local decode = require("cjson").new().decode
return assert(decode([===[
{ "canonicalName": "Recommender", "version_module": true, "basePath": "", "id": "recommender:v1", "protocol": "rest", "rootUrl": "https://recommender.googleapis.com/", "description": "", "ownerDomain": "google.com", "discoveryVersion": "v1", "schemas": { "GoogleCloudRecommenderV1MarkRecommendationClaimedRequest": { "id": "GoogleCloudRecommenderV1MarkRecommendationClaimedRequest", "type": "object", "properties": { "etag": { "description": "Required. Fingerprint of the Recommendation. Provides optimistic locking.", "type": "string" }, "stateMetadata": { "description": "State properties to include with this state. Overwrites any existing `state_metadata`. Keys must match the regex `/^a-z0-9{0,62}$/`. Values must match the regex `/^[a-zA-Z0-9_./-]{0,255}$/`.", "additionalProperties": { "type": "string" }, "type": "object" } }, "description": "Request for the `MarkRecommendationClaimed` Method." }, "GoogleCloudRecommenderV1InsightTypeConfig": { "description": "Configuration for an InsightType.", "properties": { "displayName": { "description": "A user-settable field to provide a human-readable name to be used in user interfaces.", "type": "string" }, "annotations": { "type": "object", "description": "Allows clients to store small amounts of arbitrary data. Annotations must follow the Kubernetes syntax. The total size of all keys and values combined is limited to 256k. Key can have 2 segments: prefix (optional) and name (required), separated by a slash (/). Prefix must be a DNS subdomain. Name must be 63 characters or less, begin and end with alphanumerics, with dashes (-), underscores (_), dots (.), and alphanumerics between.", "additionalProperties": { "type": "string" } }, "revisionId": { "readOnly": true, "type": "string", "description": "Output only. Immutable. The revision ID of the config. A new revision is committed whenever the config is changed in any way. The format is an 8-character hexadecimal string." }, "updateTime": { "type": "string", "format": "google-datetime", "description": "Last time when the config was updated." }, "insightTypeGenerationConfig": { "$ref": "GoogleCloudRecommenderV1InsightTypeGenerationConfig", "description": "InsightTypeGenerationConfig which configures the generation of insights for this insight type." }, "etag": { "type": "string", "description": "Fingerprint of the InsightTypeConfig. Provides optimistic locking when updating." }, "name": { "type": "string", "description": "Name of insight type config. Eg, projects/[PROJECT_NUMBER]/locations/[LOCATION]/insightTypes/[INSIGHT_TYPE_ID]/config" } }, "id": "GoogleCloudRecommenderV1InsightTypeConfig", "type": "object" }, "GoogleCloudRecommenderV1Operation": { "description": "Contains an operation for a resource loosely based on the JSON-PATCH format with support for: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Custom filters for describing partial array patch. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Extended path values for describing nested arrays. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Custom fields for describing the resource for which the operation is being described. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Allows extension to custom operations not natively supported by RFC6902. See https://tools.ietf.org/html/rfc6902 for details on the original RFC.", "type": "object", "id": "GoogleCloudRecommenderV1Operation", "properties": { "valueMatcher": { "description": "Can be set for action 'test' for advanced matching for the value of 'path' field. Either this or `value` will be set for 'test' operation.", "$ref": "GoogleCloudRecommenderV1ValueMatcher" }, "sourcePath": { "type": "string", "description": "Can be set with action 'copy' or 'move' to indicate the source field within resource or source_resource, ignored if provided for other operation types." }, "pathFilters": { "additionalProperties": { "type": "any" }, "description": "Set of filters to apply if `path` refers to array elements or nested array elements in order to narrow down to a single unique element that is being tested/modified. This is intended to be an exact match per filter. To perform advanced matching, use path_value_matchers. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Example: ``` { \"/versions/*/name\" : \"it-123\" \"/versions/*/targetSize/percent\": 20 } ``` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Example: ``` { \"/bindings/*/role\": \"roles/owner\" \"/bindings/*/condition\" : null } ``` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Example: ``` { \"/bindings/*/role\": \"roles/owner\" \"/bindings/*/members/*\" : [\"x@example.com\", \"y@example.com\"] } ``` When both path_filters and path_value_matchers are set, an implicit AND must be performed.", "type": "object" }, "path": { "type": "string", "description": "Path to the target field being operated on. If the operation is at the resource level, then path should be \"/\". This field is always populated." }, "action": { "description": "Type of this operation. Contains one of 'add', 'remove', 'replace', 'move', 'copy', 'test' and custom operations. This field is case-insensitive and always populated.", "type": "string" }, "resourceType": { "type": "string", "description": "Type of GCP resource being modified/tested. This field is always populated. Example: cloudresourcemanager.googleapis.com/Project, compute.googleapis.com/Instance" }, "pathValueMatchers": { "additionalProperties": { "$ref": "GoogleCloudRecommenderV1ValueMatcher" }, "description": "Similar to path_filters, this contains set of filters to apply if `path` field refers to array elements. This is meant to support value matching beyond exact match. To perform exact match, use path_filters. When both path_filters and path_value_matchers are set, an implicit AND must be performed.", "type": "object" }, "sourceResource": { "type": "string", "description": "Can be set with action 'copy' to copy resource configuration across different resources of the same type. Example: A resource clone can be done via action = 'copy', path = \"/\", from = \"/\", source_resource = and resource_name = . This field is empty for all other values of `action`." }, "value": { "description": "Value for the `path` field. Will be set for actions:'add'/'replace'. Maybe set for action: 'test'. Either this or `value_matcher` will be set for 'test' operation. An exact match must be performed.", "type": "any" }, "resource": { "type": "string", "description": "Contains the fully qualified resource name. This field is always populated. ex: //cloudresourcemanager.googleapis.com/projects/foo." } } }, "GoogleCloudRecommenderV1RecommenderConfig": { "description": "Configuration for a Recommender.", "properties": { "revisionId": { "readOnly": true, "type": "string", "description": "Output only. Immutable. The revision ID of the config. A new revision is committed whenever the config is changed in any way. The format is an 8-character hexadecimal string." }, "updateTime": { "format": "google-datetime", "type": "string", "description": "Last time when the config was updated." }, "etag": { "type": "string", "description": "Fingerprint of the RecommenderConfig. Provides optimistic locking when updating." }, "annotations": { "type": "object", "additionalProperties": { "type": "string" }, "description": "Allows clients to store small amounts of arbitrary data. Annotations must follow the Kubernetes syntax. The total size of all keys and values combined is limited to 256k. Key can have 2 segments: prefix (optional) and name (required), separated by a slash (/). Prefix must be a DNS subdomain. Name must be 63 characters or less, begin and end with alphanumerics, with dashes (-), underscores (_), dots (.), and alphanumerics between." }, "recommenderGenerationConfig": { "description": "RecommenderGenerationConfig which configures the Generation of recommendations for this recommender.", "$ref": "GoogleCloudRecommenderV1RecommenderGenerationConfig" }, "displayName": { "type": "string", "description": "A user-settable field to provide a human-readable name to be used in user interfaces." }, "name": { "type": "string", "description": "Name of recommender config. Eg, projects/[PROJECT_NUMBER]/locations/[LOCATION]/recommenders/[RECOMMENDER_ID]/config" } }, "id": "GoogleCloudRecommenderV1RecommenderConfig", "type": "object" }, "GoogleCloudRecommenderV1RecommenderGenerationConfig": { "id": "GoogleCloudRecommenderV1RecommenderGenerationConfig", "type": "object", "description": "A Configuration to customize the generation of recommendations. Eg, customizing the lookback period considered when generating a recommendation.", "properties": { "params": { "type": "object", "additionalProperties": { "description": "Properties of the object.", "type": "any" }, "description": "Parameters for this RecommenderGenerationConfig. These configs can be used by or are applied to all subtypes." } } }, "GoogleCloudRecommenderV1Insight": { "type": "object", "id": "GoogleCloudRecommenderV1Insight", "description": "An insight along with the information used to derive the insight. The insight may have associated recomendations as well.", "properties": { "etag": { "type": "string", "description": "Fingerprint of the Insight. Provides optimistic locking when updating states." }, "name": { "type": "string", "description": "Name of the insight." }, "category": { "type": "string", "description": "Category being targeted by the insight.", "enumDescriptions": [ "Unspecified category.", "The insight is related to cost.", "The insight is related to security.", "The insight is related to performance.", "This insight is related to manageability." ], "enum": [ "CATEGORY_UNSPECIFIED", "COST", "SECURITY", "PERFORMANCE", "MANAGEABILITY" ] }, "lastRefreshTime": { "format": "google-datetime", "description": "Timestamp of the latest data used to generate the insight.", "type": "string" }, "associatedRecommendations": { "description": "Recommendations derived from this insight.", "items": { "$ref": "GoogleCloudRecommenderV1InsightRecommendationReference" }, "type": "array" }, "insightSubtype": { "type": "string", "description": "Insight subtype. Insight content schema will be stable for a given subtype." }, "content": { "description": "A struct of custom fields to explain the insight. Example: \"grantedPermissionsCount\": \"1000\"", "additionalProperties": { "description": "Properties of the object.", "type": "any" }, "type": "object" }, "observationPeriod": { "type": "string", "format": "google-duration", "description": "Observation period that led to the insight. The source data used to generate the insight ends at last_refresh_time and begins at (last_refresh_time - observation_period)." }, "description": { "description": "Free-form human readable summary in English. The maximum length is 500 characters.", "type": "string" }, "severity": { "enum": [ "SEVERITY_UNSPECIFIED", "LOW", "MEDIUM", "HIGH", "CRITICAL" ], "enumDescriptions": [ "Insight has unspecified severity.", "Insight has low severity.", "Insight has medium severity.", "Insight has high severity.", "Insight has critical severity." ], "description": "Insight's severity.", "type": "string" }, "stateInfo": { "$ref": "GoogleCloudRecommenderV1InsightStateInfo", "description": "Information state and metadata." }, "targetResources": { "type": "array", "description": "Fully qualified resource names that this insight is targeting.", "items": { "type": "string" } } } }, "GoogleCloudRecommenderV1InsightTypeGenerationConfig": { "id": "GoogleCloudRecommenderV1InsightTypeGenerationConfig", "description": "A configuration to customize the generation of insights. Eg, customizing the lookback period considered when generating a insight.", "properties": { "params": { "description": "Parameters for this InsightTypeGenerationConfig. These configs can be used by or are applied to all subtypes.", "additionalProperties": { "type": "any", "description": "Properties of the object." }, "type": "object" } }, "type": "object" }, "GoogleCloudRecommenderV1SecurityProjection": { "description": "Contains various ways of describing the impact on Security.", "properties": { "details": { "description": "Additional security impact details that is provided by the recommender.", "additionalProperties": { "type": "any", "description": "Properties of the object." }, "type": "object" } }, "type": "object", "id": "GoogleCloudRecommenderV1SecurityProjection" }, "GoogleCloudRecommenderV1OperationGroup": { "type": "object", "properties": { "operations": { "type": "array", "items": { "$ref": "GoogleCloudRecommenderV1Operation" }, "description": "List of operations across one or more resources that belong to this group. Loosely based on RFC6902 and should be performed in the order they appear." } }, "description": "Group of operations that need to be performed atomically.", "id": "GoogleCloudRecommenderV1OperationGroup" }, "GoogleCloudRecommenderV1RecommendationStateInfo": { "id": "GoogleCloudRecommenderV1RecommendationStateInfo", "properties": { "state": { "type": "string", "enumDescriptions": [ "Default state. Don't use directly.", "Recommendation is active and can be applied. Recommendations content can be updated by Google. ACTIVE recommendations can be marked as CLAIMED, SUCCEEDED, or FAILED.", "Recommendation is in claimed state. Recommendations content is immutable and cannot be updated by Google. CLAIMED recommendations can be marked as CLAIMED, SUCCEEDED, or FAILED.", "Recommendation is in succeeded state. Recommendations content is immutable and cannot be updated by Google. SUCCEEDED recommendations can be marked as SUCCEEDED, or FAILED.", "Recommendation is in failed state. Recommendations content is immutable and cannot be updated by Google. FAILED recommendations can be marked as SUCCEEDED, or FAILED.", "Recommendation is in dismissed state. Recommendation content can be updated by Google. DISMISSED recommendations can be marked as ACTIVE." ], "description": "The state of the recommendation, Eg ACTIVE, SUCCEEDED, FAILED.", "enum": [ "STATE_UNSPECIFIED", "ACTIVE", "CLAIMED", "SUCCEEDED", "FAILED", "DISMISSED" ] }, "stateMetadata": { "type": "object", "additionalProperties": { "type": "string" }, "description": "A map of metadata for the state, provided by user or automations systems." } }, "type": "object", "description": "Information for state. Contains state and metadata." }, "GoogleCloudRecommenderV1RecommendationInsightReference": { "type": "object", "id": "GoogleCloudRecommenderV1RecommendationInsightReference", "description": "Reference to an associated insight.", "properties": { "insight": { "type": "string", "description": "Insight resource name, e.g. projects/[PROJECT_NUMBER]/locations/[LOCATION]/insightTypes/[INSIGHT_TYPE_ID]/insights/[INSIGHT_ID]" } } }, "GoogleCloudRecommenderV1ValueMatcher": { "properties": { "matchesPattern": { "type": "string", "description": "To be used for full regex matching. The regular expression is using the Google RE2 syntax (https://github.com/google/re2/wiki/Syntax), so to be used with RE2::FullMatch" } }, "description": "Contains various matching options for values for a GCP resource field.", "id": "GoogleCloudRecommenderV1ValueMatcher", "type": "object" }, "GoogleCloudRecommenderV1MarkRecommendationFailedRequest": { "description": "Request for the `MarkRecommendationFailed` Method.", "properties": { "stateMetadata": { "additionalProperties": { "type": "string" }, "description": "State properties to include with this state. Overwrites any existing `state_metadata`. Keys must match the regex `/^a-z0-9{0,62}$/`. Values must match the regex `/^[a-zA-Z0-9_./-]{0,255}$/`.", "type": "object" }, "etag": { "type": "string", "description": "Required. Fingerprint of the Recommendation. Provides optimistic locking." } }, "id": "GoogleCloudRecommenderV1MarkRecommendationFailedRequest", "type": "object" }, "GoogleCloudRecommenderV1ListInsightsResponse": { "type": "object", "properties": { "insights": { "type": "array", "items": { "$ref": "GoogleCloudRecommenderV1Insight" }, "description": "The set of insights for the `parent` resource." }, "nextPageToken": { "description": "A token that can be used to request the next page of results. This field is empty if there are no additional results.", "type": "string" } }, "description": "Response to the `ListInsights` method.", "id": "GoogleCloudRecommenderV1ListInsightsResponse" }, "GoogleCloudRecommenderV1ListRecommendationsResponse": { "id": "GoogleCloudRecommenderV1ListRecommendationsResponse", "type": "object", "properties": { "recommendations": { "type": "array", "description": "The set of recommendations for the `parent` resource.", "items": { "$ref": "GoogleCloudRecommenderV1Recommendation" } }, "nextPageToken": { "type": "string", "description": "A token that can be used to request the next page of results. This field is empty if there are no additional results." } }, "description": "Response to the `ListRecommendations` method." }, "GoogleCloudRecommenderV1MarkRecommendationSucceededRequest": { "id": "GoogleCloudRecommenderV1MarkRecommendationSucceededRequest", "description": "Request for the `MarkRecommendationSucceeded` Method.", "properties": { "stateMetadata": { "additionalProperties": { "type": "string" }, "description": "State properties to include with this state. Overwrites any existing `state_metadata`. Keys must match the regex `/^a-z0-9{0,62}$/`. Values must match the regex `/^[a-zA-Z0-9_./-]{0,255}$/`.", "type": "object" }, "etag": { "description": "Required. Fingerprint of the Recommendation. Provides optimistic locking.", "type": "string" } }, "type": "object" }, "GoogleCloudRecommenderV1Recommendation": { "properties": { "description": { "description": "Free-form human readable summary in English. The maximum length is 500 characters.", "type": "string" }, "lastRefreshTime": { "format": "google-datetime", "description": "Last time this recommendation was refreshed by the system that created it in the first place.", "type": "string" }, "primaryImpact": { "$ref": "GoogleCloudRecommenderV1Impact", "description": "The primary impact that this recommendation can have while trying to optimize for one category." }, "xorGroupId": { "description": "Corresponds to a mutually exclusive group ID within a recommender. A non-empty ID indicates that the recommendation belongs to a mutually exclusive group. This means that only one recommendation within the group is suggested to be applied.", "type": "string" }, "associatedInsights": { "description": "Insights that led to this recommendation.", "type": "array", "items": { "$ref": "GoogleCloudRecommenderV1RecommendationInsightReference" } }, "additionalImpact": { "description": "Optional set of additional impact that this recommendation may have when trying to optimize for the primary category. These may be positive or negative.", "type": "array", "items": { "$ref": "GoogleCloudRecommenderV1Impact" } }, "name": { "type": "string", "description": "Name of recommendation." }, "recommenderSubtype": { "description": "Contains an identifier for a subtype of recommendations produced for the same recommender. Subtype is a function of content and impact, meaning a new subtype might be added when significant changes to `content` or `primary_impact.category` are introduced. See the Recommenders section to see a list of subtypes for a given Recommender. Examples: For recommender = \"google.iam.policy.Recommender\", recommender_subtype can be one of \"REMOVE_ROLE\"/\"REPLACE_ROLE\"", "type": "string" }, "stateInfo": { "$ref": "GoogleCloudRecommenderV1RecommendationStateInfo", "description": "Information for state. Contains state and metadata." }, "priority": { "description": "Recommendation's priority.", "enumDescriptions": [ "Recommendation has unspecified priority.", "Recommendation has P4 priority (lowest priority).", "Recommendation has P3 priority (second lowest priority).", "Recommendation has P2 priority (second highest priority).", "Recommendation has P1 priority (highest priority)." ], "type": "string", "enum": [ "PRIORITY_UNSPECIFIED", "P4", "P3", "P2", "P1" ] }, "content": { "description": "Content of the recommendation describing recommended changes to resources.", "$ref": "GoogleCloudRecommenderV1RecommendationContent" }, "etag": { "type": "string", "description": "Fingerprint of the Recommendation. Provides optimistic locking when updating states." } }, "type": "object", "description": "A recommendation along with a suggested action. E.g., a rightsizing recommendation for an underutilized VM, IAM role recommendations, etc", "id": "GoogleCloudRecommenderV1Recommendation" }, "GoogleCloudRecommenderV1MarkInsightAcceptedRequest": { "properties": { "etag": { "type": "string", "description": "Required. Fingerprint of the Insight. Provides optimistic locking." }, "stateMetadata": { "description": "Optional. State properties user wish to include with this state. Full replace of the current state_metadata.", "additionalProperties": { "type": "string" }, "type": "object" } }, "type": "object", "description": "Request for the `MarkInsightAccepted` method.", "id": "GoogleCloudRecommenderV1MarkInsightAcceptedRequest" }, "GoogleCloudRecommenderV1RecommendationContent": { "description": "Contains what resources are changing and how they are changing.", "id": "GoogleCloudRecommenderV1RecommendationContent", "properties": { "operationGroups": { "type": "array", "items": { "$ref": "GoogleCloudRecommenderV1OperationGroup" }, "description": "Operations to one or more Google Cloud resources grouped in such a way that, all operations within one group are expected to be performed atomically and in an order." }, "overview": { "description": "Condensed overview information about the recommendation.", "type": "object", "additionalProperties": { "type": "any", "description": "Properties of the object." } } }, "type": "object" }, "GoogleCloudRecommenderV1Impact": { "properties": { "securityProjection": { "description": "Use with CategoryType.SECURITY", "$ref": "GoogleCloudRecommenderV1SecurityProjection" }, "category": { "enum": [ "CATEGORY_UNSPECIFIED", "COST", "SECURITY", "PERFORMANCE", "MANAGEABILITY" ], "description": "Category that is being targeted.", "enumDescriptions": [ "Default unspecified category. Don't use directly.", "Indicates a potential increase or decrease in cost.", "Indicates a potential increase or decrease in security.", "Indicates a potential increase or decrease in performance.", "Indicates a potential increase or decrease in manageability." ], "type": "string" }, "costProjection": { "$ref": "GoogleCloudRecommenderV1CostProjection", "description": "Use with CategoryType.COST" } }, "description": "Contains the impact a recommendation can have for a given category.", "id": "GoogleCloudRecommenderV1Impact", "type": "object" }, "GoogleCloudRecommenderV1InsightStateInfo": { "type": "object", "description": "Information related to insight state.", "id": "GoogleCloudRecommenderV1InsightStateInfo", "properties": { "state": { "type": "string", "enumDescriptions": [ "Unspecified state.", "Insight is active. Content for ACTIVE insights can be updated by Google. ACTIVE insights can be marked DISMISSED OR ACCEPTED.", "Some action has been taken based on this insight. Insights become accepted when a recommendation derived from the insight has been marked CLAIMED, SUCCEEDED, or FAILED. ACTIVE insights can also be marked ACCEPTED explicitly. Content for ACCEPTED insights is immutable. ACCEPTED insights can only be marked ACCEPTED (which may update state metadata).", "Insight is dismissed. Content for DISMISSED insights can be updated by Google. DISMISSED insights can be marked as ACTIVE." ], "description": "Insight state.", "enum": [ "STATE_UNSPECIFIED", "ACTIVE", "ACCEPTED", "DISMISSED" ] }, "stateMetadata": { "description": "A map of metadata for the state, provided by user or automations systems.", "type": "object", "additionalProperties": { "type": "string" } } } }, "GoogleTypeMoney": { "properties": { "units": { "description": "The whole units of the amount. For example if `currencyCode` is `\"USD\"`, then 1 unit is one US dollar.", "format": "int64", "type": "string" }, "currencyCode": { "description": "The three-letter currency code defined in ISO 4217.", "type": "string" }, "nanos": { "type": "integer", "format": "int32", "description": "Number of nano (10^-9) units of the amount. The value must be between -999,999,999 and +999,999,999 inclusive. If `units` is positive, `nanos` must be positive or zero. If `units` is zero, `nanos` can be positive, zero, or negative. If `units` is negative, `nanos` must be negative or zero. For example $-1.75 is represented as `units`=-1 and `nanos`=-750,000,000." } }, "id": "GoogleTypeMoney", "type": "object", "description": "Represents an amount of money with its currency type." }, "GoogleCloudRecommenderV1InsightRecommendationReference": { "id": "GoogleCloudRecommenderV1InsightRecommendationReference", "description": "Reference to an associated recommendation.", "type": "object", "properties": { "recommendation": { "description": "Recommendation resource name, e.g. projects/[PROJECT_NUMBER]/locations/[LOCATION]/recommenders/[RECOMMENDER_ID]/recommendations/[RECOMMENDATION_ID]", "type": "string" } } }, "GoogleCloudRecommenderV1CostProjection": { "type": "object", "properties": { "cost": { "description": "An approximate projection on amount saved or amount incurred. Negative cost units indicate cost savings and positive cost units indicate increase. See google.type.Money documentation for positive/negative units. A user's permissions may affect whether the cost is computed using list prices or custom contract prices.", "$ref": "GoogleTypeMoney" }, "duration": { "type": "string", "format": "google-duration", "description": "Duration for which this cost applies." } }, "id": "GoogleCloudRecommenderV1CostProjection", "description": "Contains metadata about how much money a recommendation can save or incur." } }, "version": "v1", "baseUrl": "https://recommender.googleapis.com/", "ownerName": "Google", "servicePath": "", "icons": { "x16": "http://www.google.com/images/icons/product/search-16.gif", "x32": "http://www.google.com/images/icons/product/search-32.gif" }, "mtlsRootUrl": "https://recommender.mtls.googleapis.com/", "title": "Recommender API", "kind": "discovery#restDescription", "revision": "20220626", "documentationLink": "https://cloud.google.com/recommender/docs/", "parameters": { "oauth_token": { "type": "string", "location": "query", "description": "OAuth 2.0 token for the current user." }, "alt": { "description": "Data format for response.", "location": "query", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "type": "string", "enum": [ "json", "media", "proto" ], "default": "json" }, "$.xgafv": { "type": "string", "location": "query", "enumDescriptions": [ "v1 error format", "v2 error format" ], "enum": [ "1", "2" ], "description": "V1 error format." }, "upload_protocol": { "location": "query", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "type": "string" }, "fields": { "location": "query", "type": "string", "description": "Selector specifying which fields to include in a partial response." }, "callback": { "location": "query", "description": "JSONP", "type": "string" }, "uploadType": { "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "type": "string", "location": "query" }, "access_token": { "location": "query", "type": "string", "description": "OAuth access token." }, "quotaUser": { "location": "query", "type": "string", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters." }, "prettyPrint": { "description": "Returns response with indentations and line breaks.", "default": "true", "location": "query", "type": "boolean" }, "key": { "type": "string", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "location": "query" } }, "batchPath": "batch", "fullyEncodeReservedExpansion": true, "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." } } } }, "name": "recommender", "resources": { "billingAccounts": { "resources": { "locations": { "resources": { "insightTypes": { "resources": { "insights": { "methods": { "get": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/billingAccounts/{billingAccountsId}/locations/{locationsId}/insightTypes/{insightTypesId}/insights/{insightsId}", "path": "v1/{+name}", "id": "recommender.billingAccounts.locations.insightTypes.insights.get", "parameters": { "name": { "location": "path", "pattern": "^billingAccounts/[^/]+/locations/[^/]+/insightTypes/[^/]+/insights/[^/]+$", "required": true, "description": "Required. Name of the insight.", "type": "string" } }, "httpMethod": "GET", "response": { "$ref": "GoogleCloudRecommenderV1Insight" }, "description": "Gets the requested insight. Requires the recommender.*.get IAM permission for the specified insight type.", "parameterOrder": [ "name" ] }, "markAccepted": { "parameters": { "name": { "pattern": "^billingAccounts/[^/]+/locations/[^/]+/insightTypes/[^/]+/insights/[^/]+$", "type": "string", "required": true, "description": "Required. Name of the insight.", "location": "path" } }, "flatPath": "v1/billingAccounts/{billingAccountsId}/locations/{locationsId}/insightTypes/{insightTypesId}/insights/{insightsId}:markAccepted", "parameterOrder": [ "name" ], "description": "Marks the Insight State as Accepted. Users can use this method to indicate to the Recommender API that they have applied some action based on the insight. This stops the insight content from being updated. MarkInsightAccepted can be applied to insights in ACTIVE state. Requires the recommender.*.update IAM permission for the specified insight.", "id": "recommender.billingAccounts.locations.insightTypes.insights.markAccepted", "response": { "$ref": "GoogleCloudRecommenderV1Insight" }, "httpMethod": "POST", "request": { "$ref": "GoogleCloudRecommenderV1MarkInsightAcceptedRequest" }, "path": "v1/{+name}:markAccepted", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "list": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Lists insights for the specified Cloud Resource. Requires the recommender.*.list IAM permission for the specified insight type.", "response": { "$ref": "GoogleCloudRecommenderV1ListInsightsResponse" }, "httpMethod": "GET", "parameters": { "filter": { "location": "query", "type": "string", "description": "Optional. Filter expression to restrict the insights returned. Supported filter fields: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `stateInfo.state` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `insightSubtype` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `severity` Examples: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `stateInfo.state = ACTIVE OR stateInfo.state = DISMISSED` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `insightSubtype = PERMISSIONS_USAGE` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `severity = CRITICAL OR severity = HIGH` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `stateInfo.state = ACTIVE AND (severity = CRITICAL OR severity = HIGH)` (These expressions are based on the filter language described at https://google.aip.dev/160)" }, "pageToken": { "type": "string", "description": "Optional. If present, retrieves the next batch of results from the preceding call to this method. `page_token` must be the value of `next_page_token` from the previous response. The values of other method parameters must be identical to those in the previous call.", "location": "query" }, "parent": { "location": "path", "pattern": "^billingAccounts/[^/]+/locations/[^/]+/insightTypes/[^/]+$", "description": "Required. The container resource on which to execute the request. Acceptable formats: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `projects/[PROJECT_NUMBER]/locations/[LOCATION]/insightTypes/[INSIGHT_TYPE_ID]` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `projects/[PROJECT_ID]/locations/[LOCATION]/insightTypes/[INSIGHT_TYPE_ID]` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `billingAccounts/[BILLING_ACCOUNT_ID]/locations/[LOCATION]/insightTypes/[INSIGHT_TYPE_ID]` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `folders/[FOLDER_ID]/locations/[LOCATION]/insightTypes/[INSIGHT_TYPE_ID]` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `organizations/[ORGANIZATION_ID]/locations/[LOCATION]/insightTypes/[INSIGHT_TYPE_ID]` LOCATION here refers to GCP Locations: https://cloud.google.com/about/locations/ INSIGHT_TYPE_ID refers to supported insight types: https://cloud.google.com/recommender/docs/insights/insight-types.", "required": true, "type": "string" }, "pageSize": { "type": "integer", "description": "Optional. The maximum number of results to return from this request. Non-positive values are ignored. If not specified, the server will determine the number of results to return.", "location": "query", "format": "int32" } }, "path": "v1/{+parent}/insights", "flatPath": "v1/billingAccounts/{billingAccountsId}/locations/{locationsId}/insightTypes/{insightTypesId}/insights", "id": "recommender.billingAccounts.locations.insightTypes.insights.list", "parameterOrder": [ "parent" ] } } } } }, "recommenders": { "resources": { "recommendations": { "methods": { "get": { "parameters": { "name": { "description": "Required. Name of the recommendation.", "location": "path", "type": "string", "required": true, "pattern": "^billingAccounts/[^/]+/locations/[^/]+/recommenders/[^/]+/recommendations/[^/]+$" } }, "flatPath": "v1/billingAccounts/{billingAccountsId}/locations/{locationsId}/recommenders/{recommendersId}/recommendations/{recommendationsId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "id": "recommender.billingAccounts.locations.recommenders.recommendations.get", "description": "Gets the requested recommendation. Requires the recommender.*.get IAM permission for the specified recommender.", "parameterOrder": [ "name" ], "response": { "$ref": "GoogleCloudRecommenderV1Recommendation" }, "path": "v1/{+name}" }, "markFailed": { "id": "recommender.billingAccounts.locations.recommenders.recommendations.markFailed", "httpMethod": "POST", "flatPath": "v1/billingAccounts/{billingAccountsId}/locations/{locationsId}/recommenders/{recommendersId}/recommendations/{recommendationsId}:markFailed", "parameterOrder": [ "name" ], "description": "Marks the Recommendation State as Failed. Users can use this method to indicate to the Recommender API that they have applied the recommendation themselves, and the operation failed. This stops the recommendation content from being updated. Associated insights are frozen and placed in the ACCEPTED state. MarkRecommendationFailed can be applied to recommendations in ACTIVE, CLAIMED, SUCCEEDED, or FAILED state. Requires the recommender.*.update IAM permission for the specified recommender.", "request": { "$ref": "GoogleCloudRecommenderV1MarkRecommendationFailedRequest" }, "parameters": { "name": { "pattern": "^billingAccounts/[^/]+/locations/[^/]+/recommenders/[^/]+/recommendations/[^/]+$", "location": "path", "description": "Required. Name of the recommendation.", "required": true, "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+name}:markFailed", "response": { "$ref": "GoogleCloudRecommenderV1Recommendation" } }, "markSucceeded": { "response": { "$ref": "GoogleCloudRecommenderV1Recommendation" }, "description": "Marks the Recommendation State as Succeeded. Users can use this method to indicate to the Recommender API that they have applied the recommendation themselves, and the operation was successful. This stops the recommendation content from being updated. Associated insights are frozen and placed in the ACCEPTED state. MarkRecommendationSucceeded can be applied to recommendations in ACTIVE, CLAIMED, SUCCEEDED, or FAILED state. Requires the recommender.*.update IAM permission for the specified recommender.", "parameterOrder": [ "name" ], "httpMethod": "POST", "path": "v1/{+name}:markSucceeded", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/billingAccounts/{billingAccountsId}/locations/{locationsId}/recommenders/{recommendersId}/recommendations/{recommendationsId}:markSucceeded", "parameters": { "name": { "required": true, "location": "path", "description": "Required. Name of the recommendation.", "type": "string", "pattern": "^billingAccounts/[^/]+/locations/[^/]+/recommenders/[^/]+/recommendations/[^/]+$" } }, "request": { "$ref": "GoogleCloudRecommenderV1MarkRecommendationSucceededRequest" }, "id": "recommender.billingAccounts.locations.recommenders.recommendations.markSucceeded" }, "list": { "parameterOrder": [ "parent" ], "parameters": { "pageSize": { "format": "int32", "type": "integer", "description": "Optional. The maximum number of results to return from this request. Non-positive values are ignored. If not specified, the server will determine the number of results to return.", "location": "query" }, "filter": { "location": "query", "description": "Filter expression to restrict the recommendations returned. Supported filter fields: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `state_info.state` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `recommenderSubtype` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `priority` Examples: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `stateInfo.state = ACTIVE OR stateInfo.state = DISMISSED` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `recommenderSubtype = REMOVE_ROLE OR recommenderSubtype = REPLACE_ROLE` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `priority = P1 OR priority = P2` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `stateInfo.state = ACTIVE AND (priority = P1 OR priority = P2)` (These expressions are based on the filter language described at https://google.aip.dev/160)", "type": "string" }, "parent": { "location": "path", "required": true, "pattern": "^billingAccounts/[^/]+/locations/[^/]+/recommenders/[^/]+$", "type": "string", "description": "Required. The container resource on which to execute the request. Acceptable formats: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `projects/[PROJECT_NUMBER]/locations/[LOCATION]/recommenders/[RECOMMENDER_ID]` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `projects/[PROJECT_ID]/locations/[LOCATION]/recommenders/[RECOMMENDER_ID]` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `billingAccounts/[BILLING_ACCOUNT_ID]/locations/[LOCATION]/recommenders/[RECOMMENDER_ID]` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `folders/[FOLDER_ID]/locations/[LOCATION]/recommenders/[RECOMMENDER_ID]` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `organizations/[ORGANIZATION_ID]/locations/[LOCATION]/recommenders/[RECOMMENDER_ID]` LOCATION here refers to GCP Locations: https://cloud.google.com/about/locations/ RECOMMENDER_ID refers to supported recommenders: https://cloud.google.com/recommender/docs/recommenders." }, "pageToken": { "description": "Optional. If present, retrieves the next batch of results from the preceding call to this method. `page_token` must be the value of `next_page_token` from the previous response. The values of other method parameters must be identical to those in the previous call.", "location": "query", "type": "string" } }, "id": "recommender.billingAccounts.locations.recommenders.recommendations.list", "path": "v1/{+parent}/recommendations", "response": { "$ref": "GoogleCloudRecommenderV1ListRecommendationsResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Lists recommendations for the specified Cloud Resource. Requires the recommender.*.list IAM permission for the specified recommender.", "httpMethod": "GET", "flatPath": "v1/billingAccounts/{billingAccountsId}/locations/{locationsId}/recommenders/{recommendersId}/recommendations" }, "markClaimed": { "flatPath": "v1/billingAccounts/{billingAccountsId}/locations/{locationsId}/recommenders/{recommendersId}/recommendations/{recommendationsId}:markClaimed", "parameterOrder": [ "name" ], "request": { "$ref": "GoogleCloudRecommenderV1MarkRecommendationClaimedRequest" }, "response": { "$ref": "GoogleCloudRecommenderV1Recommendation" }, "httpMethod": "POST", "parameters": { "name": { "type": "string", "required": true, "description": "Required. Name of the recommendation.", "pattern": "^billingAccounts/[^/]+/locations/[^/]+/recommenders/[^/]+/recommendations/[^/]+$", "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "recommender.billingAccounts.locations.recommenders.recommendations.markClaimed", "path": "v1/{+name}:markClaimed", "description": "Marks the Recommendation State as Claimed. Users can use this method to indicate to the Recommender API that they are starting to apply the recommendation themselves. This stops the recommendation content from being updated. Associated insights are frozen and placed in the ACCEPTED state. MarkRecommendationClaimed can be applied to recommendations in CLAIMED, SUCCEEDED, FAILED, or ACTIVE state. Requires the recommender.*.update IAM permission for the specified recommender." } } } } } } } } }, "organizations": { "resources": { "locations": { "resources": { "insightTypes": { "methods": { "updateConfig": { "description": "Updates an InsightTypeConfig change. This will create a new revision of the config.", "parameterOrder": [ "name" ], "parameters": { "validateOnly": { "type": "boolean", "location": "query", "description": "If true, validate the request and preview the change, but do not actually update it." }, "updateMask": { "location": "query", "format": "google-fieldmask", "type": "string", "description": "The list of fields to be updated." }, "name": { "type": "string", "location": "path", "description": "Name of insight type config. Eg, projects/[PROJECT_NUMBER]/locations/[LOCATION]/insightTypes/[INSIGHT_TYPE_ID]/config", "pattern": "^organizations/[^/]+/locations/[^/]+/insightTypes/[^/]+/config$", "required": true } }, "httpMethod": "PATCH", "response": { "$ref": "GoogleCloudRecommenderV1InsightTypeConfig" }, "path": "v1/{+name}", "id": "recommender.organizations.locations.insightTypes.updateConfig", "request": { "$ref": "GoogleCloudRecommenderV1InsightTypeConfig" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/organizations/{organizationsId}/locations/{locationsId}/insightTypes/{insightTypesId}/config" }, "getConfig": { "flatPath": "v1/organizations/{organizationsId}/locations/{locationsId}/insightTypes/{insightTypesId}/config", "path": "v1/{+name}", "parameters": { "name": { "description": "Required. Name of the InsightTypeConfig to get. Acceptable formats: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `projects/[PROJECT_NUMBER]/locations/global/recommenders/[INSIGHT_TYPE_ID]/config` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `projects/[PROJECT_ID]/locations/global/recommenders/[INSIGHT_TYPE_ID]/config` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `organizations/[ORGANIZATION_ID]/locations/global/recommenders/[INSIGHT_TYPE_ID]/config`", "required": true, "location": "path", "type": "string", "pattern": "^organizations/[^/]+/locations/[^/]+/insightTypes/[^/]+/config$" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "parameterOrder": [ "name" ], "response": { "$ref": "GoogleCloudRecommenderV1InsightTypeConfig" }, "id": "recommender.organizations.locations.insightTypes.getConfig", "description": "Gets the requested InsightTypeConfig. There is only one instance of the config for each InsightType." } }, "resources": { "insights": { "methods": { "get": { "parameterOrder": [ "name" ], "response": { "$ref": "GoogleCloudRecommenderV1Insight" }, "parameters": { "name": { "description": "Required. Name of the insight.", "pattern": "^organizations/[^/]+/locations/[^/]+/insightTypes/[^/]+/insights/[^/]+$", "required": true, "type": "string", "location": "path" } }, "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Gets the requested insight. Requires the recommender.*.get IAM permission for the specified insight type.", "path": "v1/{+name}", "id": "recommender.organizations.locations.insightTypes.insights.get", "flatPath": "v1/organizations/{organizationsId}/locations/{locationsId}/insightTypes/{insightTypesId}/insights/{insightsId}" }, "markAccepted": { "httpMethod": "POST", "response": { "$ref": "GoogleCloudRecommenderV1Insight" }, "parameterOrder": [ "name" ], "flatPath": "v1/organizations/{organizationsId}/locations/{locationsId}/insightTypes/{insightTypesId}/insights/{insightsId}:markAccepted", "path": "v1/{+name}:markAccepted", "parameters": { "name": { "required": true, "location": "path", "description": "Required. Name of the insight.", "type": "string", "pattern": "^organizations/[^/]+/locations/[^/]+/insightTypes/[^/]+/insights/[^/]+$" } }, "request": { "$ref": "GoogleCloudRecommenderV1MarkInsightAcceptedRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Marks the Insight State as Accepted. Users can use this method to indicate to the Recommender API that they have applied some action based on the insight. This stops the insight content from being updated. MarkInsightAccepted can be applied to insights in ACTIVE state. Requires the recommender.*.update IAM permission for the specified insight.", "id": "recommender.organizations.locations.insightTypes.insights.markAccepted" }, "list": { "response": { "$ref": "GoogleCloudRecommenderV1ListInsightsResponse" }, "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "filter": { "location": "query", "type": "string", "description": "Optional. Filter expression to restrict the insights returned. Supported filter fields: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `stateInfo.state` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `insightSubtype` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `severity` Examples: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `stateInfo.state = ACTIVE OR stateInfo.state = DISMISSED` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `insightSubtype = PERMISSIONS_USAGE` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `severity = CRITICAL OR severity = HIGH` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `stateInfo.state = ACTIVE AND (severity = CRITICAL OR severity = HIGH)` (These expressions are based on the filter language described at https://google.aip.dev/160)" }, "pageSize": { "location": "query", "type": "integer", "format": "int32", "description": "Optional. The maximum number of results to return from this request. Non-positive values are ignored. If not specified, the server will determine the number of results to return." }, "pageToken": { "type": "string", "description": "Optional. If present, retrieves the next batch of results from the preceding call to this method. `page_token` must be the value of `next_page_token` from the previous response. The values of other method parameters must be identical to those in the previous call.", "location": "query" }, "parent": { "required": true, "type": "string", "location": "path", "pattern": "^organizations/[^/]+/locations/[^/]+/insightTypes/[^/]+$", "description": "Required. The container resource on which to execute the request. Acceptable formats: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `projects/[PROJECT_NUMBER]/locations/[LOCATION]/insightTypes/[INSIGHT_TYPE_ID]` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `projects/[PROJECT_ID]/locations/[LOCATION]/insightTypes/[INSIGHT_TYPE_ID]` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `billingAccounts/[BILLING_ACCOUNT_ID]/locations/[LOCATION]/insightTypes/[INSIGHT_TYPE_ID]` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `folders/[FOLDER_ID]/locations/[LOCATION]/insightTypes/[INSIGHT_TYPE_ID]` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `organizations/[ORGANIZATION_ID]/locations/[LOCATION]/insightTypes/[INSIGHT_TYPE_ID]` LOCATION here refers to GCP Locations: https://cloud.google.com/about/locations/ INSIGHT_TYPE_ID refers to supported insight types: https://cloud.google.com/recommender/docs/insights/insight-types." } }, "description": "Lists insights for the specified Cloud Resource. Requires the recommender.*.list IAM permission for the specified insight type.", "path": "v1/{+parent}/insights", "parameterOrder": [ "parent" ], "id": "recommender.organizations.locations.insightTypes.insights.list", "flatPath": "v1/organizations/{organizationsId}/locations/{locationsId}/insightTypes/{insightTypesId}/insights" } } } } }, "recommenders": { "methods": { "updateConfig": { "parameterOrder": [ "name" ], "request": { "$ref": "GoogleCloudRecommenderV1RecommenderConfig" }, "flatPath": "v1/organizations/{organizationsId}/locations/{locationsId}/recommenders/{recommendersId}/config", "httpMethod": "PATCH", "id": "recommender.organizations.locations.recommenders.updateConfig", "description": "Updates a Recommender Config. This will create a new revision of the config.", "path": "v1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "GoogleCloudRecommenderV1RecommenderConfig" }, "parameters": { "updateMask": { "type": "string", "description": "The list of fields to be updated.", "location": "query", "format": "google-fieldmask" }, "validateOnly": { "location": "query", "description": "If true, validate the request and preview the change, but do not actually update it.", "type": "boolean" }, "name": { "location": "path", "description": "Name of recommender config. Eg, projects/[PROJECT_NUMBER]/locations/[LOCATION]/recommenders/[RECOMMENDER_ID]/config", "pattern": "^organizations/[^/]+/locations/[^/]+/recommenders/[^/]+/config$", "required": true, "type": "string" } } }, "getConfig": { "parameterOrder": [ "name" ], "description": "Gets the requested Recommender Config. There is only one instance of the config for each Recommender.", "parameters": { "name": { "location": "path", "type": "string", "description": "Required. Name of the Recommendation Config to get. Acceptable formats: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `projects/[PROJECT_NUMBER]/locations/[LOCATION]/recommenders/[RECOMMENDER_ID]/config` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `projects/[PROJECT_ID]/locations/[LOCATION]/recommenders/[RECOMMENDER_ID]/config` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `organizations/[ORGANIZATION_ID]/locations/[LOCATION]/recommenders/[RECOMMENDER_ID]/config`", "required": true, "pattern": "^organizations/[^/]+/locations/[^/]+/recommenders/[^/]+/config$" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "response": { "$ref": "GoogleCloudRecommenderV1RecommenderConfig" }, "flatPath": "v1/organizations/{organizationsId}/locations/{locationsId}/recommenders/{recommendersId}/config", "path": "v1/{+name}", "id": "recommender.organizations.locations.recommenders.getConfig" } }, "resources": { "recommendations": { "methods": { "list": { "flatPath": "v1/organizations/{organizationsId}/locations/{locationsId}/recommenders/{recommendersId}/recommendations", "parameters": { "pageToken": { "type": "string", "location": "query", "description": "Optional. If present, retrieves the next batch of results from the preceding call to this method. `page_token` must be the value of `next_page_token` from the previous response. The values of other method parameters must be identical to those in the previous call." }, "filter": { "description": "Filter expression to restrict the recommendations returned. Supported filter fields: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `state_info.state` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `recommenderSubtype` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `priority` Examples: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `stateInfo.state = ACTIVE OR stateInfo.state = DISMISSED` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `recommenderSubtype = REMOVE_ROLE OR recommenderSubtype = REPLACE_ROLE` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `priority = P1 OR priority = P2` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `stateInfo.state = ACTIVE AND (priority = P1 OR priority = P2)` (These expressions are based on the filter language described at https://google.aip.dev/160)", "location": "query", "type": "string" }, "parent": { "required": true, "location": "path", "type": "string", "description": "Required. The container resource on which to execute the request. Acceptable formats: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `projects/[PROJECT_NUMBER]/locations/[LOCATION]/recommenders/[RECOMMENDER_ID]` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `projects/[PROJECT_ID]/locations/[LOCATION]/recommenders/[RECOMMENDER_ID]` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `billingAccounts/[BILLING_ACCOUNT_ID]/locations/[LOCATION]/recommenders/[RECOMMENDER_ID]` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `folders/[FOLDER_ID]/locations/[LOCATION]/recommenders/[RECOMMENDER_ID]` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `organizations/[ORGANIZATION_ID]/locations/[LOCATION]/recommenders/[RECOMMENDER_ID]` LOCATION here refers to GCP Locations: https://cloud.google.com/about/locations/ RECOMMENDER_ID refers to supported recommenders: https://cloud.google.com/recommender/docs/recommenders.", "pattern": "^organizations/[^/]+/locations/[^/]+/recommenders/[^/]+$" }, "pageSize": { "format": "int32", "description": "Optional. The maximum number of results to return from this request. Non-positive values are ignored. If not specified, the server will determine the number of results to return.", "type": "integer", "location": "query" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "recommender.organizations.locations.recommenders.recommendations.list", "description": "Lists recommendations for the specified Cloud Resource. Requires the recommender.*.list IAM permission for the specified recommender.", "httpMethod": "GET", "path": "v1/{+parent}/recommendations", "response": { "$ref": "GoogleCloudRecommenderV1ListRecommendationsResponse" }, "parameterOrder": [ "parent" ] }, "get": { "httpMethod": "GET", "flatPath": "v1/organizations/{organizationsId}/locations/{locationsId}/recommenders/{recommendersId}/recommendations/{recommendationsId}", "path": "v1/{+name}", "parameterOrder": [ "name" ], "id": "recommender.organizations.locations.recommenders.recommendations.get", "response": { "$ref": "GoogleCloudRecommenderV1Recommendation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "type": "string", "description": "Required. Name of the recommendation.", "pattern": "^organizations/[^/]+/locations/[^/]+/recommenders/[^/]+/recommendations/[^/]+$", "required": true, "location": "path" } }, "description": "Gets the requested recommendation. Requires the recommender.*.get IAM permission for the specified recommender." }, "markClaimed": { "path": "v1/{+name}:markClaimed", "description": "Marks the Recommendation State as Claimed. Users can use this method to indicate to the Recommender API that they are starting to apply the recommendation themselves. This stops the recommendation content from being updated. Associated insights are frozen and placed in the ACCEPTED state. MarkRecommendationClaimed can be applied to recommendations in CLAIMED, SUCCEEDED, FAILED, or ACTIVE state. Requires the recommender.*.update IAM permission for the specified recommender.", "parameterOrder": [ "name" ], "flatPath": "v1/organizations/{organizationsId}/locations/{locationsId}/recommenders/{recommendersId}/recommendations/{recommendationsId}:markClaimed", "response": { "$ref": "GoogleCloudRecommenderV1Recommendation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST", "request": { "$ref": "GoogleCloudRecommenderV1MarkRecommendationClaimedRequest" }, "parameters": { "name": { "type": "string", "description": "Required. Name of the recommendation.", "location": "path", "pattern": "^organizations/[^/]+/locations/[^/]+/recommenders/[^/]+/recommendations/[^/]+$", "required": true } }, "id": "recommender.organizations.locations.recommenders.recommendations.markClaimed" }, "markFailed": { "response": { "$ref": "GoogleCloudRecommenderV1Recommendation" }, "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "recommender.organizations.locations.recommenders.recommendations.markFailed", "description": "Marks the Recommendation State as Failed. Users can use this method to indicate to the Recommender API that they have applied the recommendation themselves, and the operation failed. This stops the recommendation content from being updated. Associated insights are frozen and placed in the ACCEPTED state. MarkRecommendationFailed can be applied to recommendations in ACTIVE, CLAIMED, SUCCEEDED, or FAILED state. Requires the recommender.*.update IAM permission for the specified recommender.", "httpMethod": "POST", "request": { "$ref": "GoogleCloudRecommenderV1MarkRecommendationFailedRequest" }, "path": "v1/{+name}:markFailed", "parameters": { "name": { "type": "string", "location": "path", "description": "Required. Name of the recommendation.", "pattern": "^organizations/[^/]+/locations/[^/]+/recommenders/[^/]+/recommendations/[^/]+$", "required": true } }, "flatPath": "v1/organizations/{organizationsId}/locations/{locationsId}/recommenders/{recommendersId}/recommendations/{recommendationsId}:markFailed" }, "markSucceeded": { "flatPath": "v1/organizations/{organizationsId}/locations/{locationsId}/recommenders/{recommendersId}/recommendations/{recommendationsId}:markSucceeded", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "GoogleCloudRecommenderV1Recommendation" }, "httpMethod": "POST", "id": "recommender.organizations.locations.recommenders.recommendations.markSucceeded", "path": "v1/{+name}:markSucceeded", "parameterOrder": [ "name" ], "description": "Marks the Recommendation State as Succeeded. Users can use this method to indicate to the Recommender API that they have applied the recommendation themselves, and the operation was successful. This stops the recommendation content from being updated. Associated insights are frozen and placed in the ACCEPTED state. MarkRecommendationSucceeded can be applied to recommendations in ACTIVE, CLAIMED, SUCCEEDED, or FAILED state. Requires the recommender.*.update IAM permission for the specified recommender.", "request": { "$ref": "GoogleCloudRecommenderV1MarkRecommendationSucceededRequest" }, "parameters": { "name": { "required": true, "description": "Required. Name of the recommendation.", "location": "path", "pattern": "^organizations/[^/]+/locations/[^/]+/recommenders/[^/]+/recommendations/[^/]+$", "type": "string" } } } } } } } } } } }, "folders": { "resources": { "locations": { "resources": { "insightTypes": { "resources": { "insights": { "methods": { "get": { "id": "recommender.folders.locations.insightTypes.insights.get", "httpMethod": "GET", "flatPath": "v1/folders/{foldersId}/locations/{locationsId}/insightTypes/{insightTypesId}/insights/{insightsId}", "parameterOrder": [ "name" ], "path": "v1/{+name}", "response": { "$ref": "GoogleCloudRecommenderV1Insight" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Gets the requested insight. Requires the recommender.*.get IAM permission for the specified insight type.", "parameters": { "name": { "pattern": "^folders/[^/]+/locations/[^/]+/insightTypes/[^/]+/insights/[^/]+$", "required": true, "location": "path", "type": "string", "description": "Required. Name of the insight." } } }, "markAccepted": { "request": { "$ref": "GoogleCloudRecommenderV1MarkInsightAcceptedRequest" }, "id": "recommender.folders.locations.insightTypes.insights.markAccepted", "flatPath": "v1/folders/{foldersId}/locations/{locationsId}/insightTypes/{insightTypesId}/insights/{insightsId}:markAccepted", "parameters": { "name": { "required": true, "location": "path", "description": "Required. Name of the insight.", "type": "string", "pattern": "^folders/[^/]+/locations/[^/]+/insightTypes/[^/]+/insights/[^/]+$" } }, "path": "v1/{+name}:markAccepted", "description": "Marks the Insight State as Accepted. Users can use this method to indicate to the Recommender API that they have applied some action based on the insight. This stops the insight content from being updated. MarkInsightAccepted can be applied to insights in ACTIVE state. Requires the recommender.*.update IAM permission for the specified insight.", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "GoogleCloudRecommenderV1Insight" }, "parameterOrder": [ "name" ] }, "list": { "description": "Lists insights for the specified Cloud Resource. Requires the recommender.*.list IAM permission for the specified insight type.", "id": "recommender.folders.locations.insightTypes.insights.list", "flatPath": "v1/folders/{foldersId}/locations/{locationsId}/insightTypes/{insightTypesId}/insights", "response": { "$ref": "GoogleCloudRecommenderV1ListInsightsResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "pageSize": { "description": "Optional. The maximum number of results to return from this request. Non-positive values are ignored. If not specified, the server will determine the number of results to return.", "location": "query", "type": "integer", "format": "int32" }, "filter": { "type": "string", "description": "Optional. Filter expression to restrict the insights returned. Supported filter fields: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `stateInfo.state` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `insightSubtype` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `severity` Examples: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `stateInfo.state = ACTIVE OR stateInfo.state = DISMISSED` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `insightSubtype = PERMISSIONS_USAGE` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `severity = CRITICAL OR severity = HIGH` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `stateInfo.state = ACTIVE AND (severity = CRITICAL OR severity = HIGH)` (These expressions are based on the filter language described at https://google.aip.dev/160)", "location": "query" }, "pageToken": { "description": "Optional. If present, retrieves the next batch of results from the preceding call to this method. `page_token` must be the value of `next_page_token` from the previous response. The values of other method parameters must be identical to those in the previous call.", "type": "string", "location": "query" }, "parent": { "pattern": "^folders/[^/]+/locations/[^/]+/insightTypes/[^/]+$", "location": "path", "required": true, "description": "Required. The container resource on which to execute the request. Acceptable formats: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `projects/[PROJECT_NUMBER]/locations/[LOCATION]/insightTypes/[INSIGHT_TYPE_ID]` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `projects/[PROJECT_ID]/locations/[LOCATION]/insightTypes/[INSIGHT_TYPE_ID]` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `billingAccounts/[BILLING_ACCOUNT_ID]/locations/[LOCATION]/insightTypes/[INSIGHT_TYPE_ID]` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `folders/[FOLDER_ID]/locations/[LOCATION]/insightTypes/[INSIGHT_TYPE_ID]` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `organizations/[ORGANIZATION_ID]/locations/[LOCATION]/insightTypes/[INSIGHT_TYPE_ID]` LOCATION here refers to GCP Locations: https://cloud.google.com/about/locations/ INSIGHT_TYPE_ID refers to supported insight types: https://cloud.google.com/recommender/docs/insights/insight-types.", "type": "string" } }, "parameterOrder": [ "parent" ], "path": "v1/{+parent}/insights", "httpMethod": "GET" } } } } }, "recommenders": { "resources": { "recommendations": { "methods": { "markClaimed": { "httpMethod": "POST", "parameters": { "name": { "type": "string", "pattern": "^folders/[^/]+/locations/[^/]+/recommenders/[^/]+/recommendations/[^/]+$", "location": "path", "description": "Required. Name of the recommendation.", "required": true } }, "path": "v1/{+name}:markClaimed", "id": "recommender.folders.locations.recommenders.recommendations.markClaimed", "request": { "$ref": "GoogleCloudRecommenderV1MarkRecommendationClaimedRequest" }, "description": "Marks the Recommendation State as Claimed. Users can use this method to indicate to the Recommender API that they are starting to apply the recommendation themselves. This stops the recommendation content from being updated. Associated insights are frozen and placed in the ACCEPTED state. MarkRecommendationClaimed can be applied to recommendations in CLAIMED, SUCCEEDED, FAILED, or ACTIVE state. Requires the recommender.*.update IAM permission for the specified recommender.", "response": { "$ref": "GoogleCloudRecommenderV1Recommendation" }, "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/folders/{foldersId}/locations/{locationsId}/recommenders/{recommendersId}/recommendations/{recommendationsId}:markClaimed" }, "markFailed": { "flatPath": "v1/folders/{foldersId}/locations/{locationsId}/recommenders/{recommendersId}/recommendations/{recommendationsId}:markFailed", "id": "recommender.folders.locations.recommenders.recommendations.markFailed", "response": { "$ref": "GoogleCloudRecommenderV1Recommendation" }, "parameters": { "name": { "description": "Required. Name of the recommendation.", "pattern": "^folders/[^/]+/locations/[^/]+/recommenders/[^/]+/recommendations/[^/]+$", "required": true, "type": "string", "location": "path" } }, "httpMethod": "POST", "path": "v1/{+name}:markFailed", "description": "Marks the Recommendation State as Failed. Users can use this method to indicate to the Recommender API that they have applied the recommendation themselves, and the operation failed. This stops the recommendation content from being updated. Associated insights are frozen and placed in the ACCEPTED state. MarkRecommendationFailed can be applied to recommendations in ACTIVE, CLAIMED, SUCCEEDED, or FAILED state. Requires the recommender.*.update IAM permission for the specified recommender.", "request": { "$ref": "GoogleCloudRecommenderV1MarkRecommendationFailedRequest" }, "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "get": { "httpMethod": "GET", "flatPath": "v1/folders/{foldersId}/locations/{locationsId}/recommenders/{recommendersId}/recommendations/{recommendationsId}", "description": "Gets the requested recommendation. Requires the recommender.*.get IAM permission for the specified recommender.", "parameters": { "name": { "location": "path", "pattern": "^folders/[^/]+/locations/[^/]+/recommenders/[^/]+/recommendations/[^/]+$", "required": true, "description": "Required. Name of the recommendation.", "type": "string" } }, "response": { "$ref": "GoogleCloudRecommenderV1Recommendation" }, "id": "recommender.folders.locations.recommenders.recommendations.get", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "path": "v1/{+name}" }, "list": { "flatPath": "v1/folders/{foldersId}/locations/{locationsId}/recommenders/{recommendersId}/recommendations", "parameters": { "parent": { "required": true, "description": "Required. The container resource on which to execute the request. Acceptable formats: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `projects/[PROJECT_NUMBER]/locations/[LOCATION]/recommenders/[RECOMMENDER_ID]` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `projects/[PROJECT_ID]/locations/[LOCATION]/recommenders/[RECOMMENDER_ID]` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `billingAccounts/[BILLING_ACCOUNT_ID]/locations/[LOCATION]/recommenders/[RECOMMENDER_ID]` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `folders/[FOLDER_ID]/locations/[LOCATION]/recommenders/[RECOMMENDER_ID]` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `organizations/[ORGANIZATION_ID]/locations/[LOCATION]/recommenders/[RECOMMENDER_ID]` LOCATION here refers to GCP Locations: https://cloud.google.com/about/locations/ RECOMMENDER_ID refers to supported recommenders: https://cloud.google.com/recommender/docs/recommenders.", "pattern": "^folders/[^/]+/locations/[^/]+/recommenders/[^/]+$", "type": "string", "location": "path" }, "filter": { "description": "Filter expression to restrict the recommendations returned. Supported filter fields: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `state_info.state` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `recommenderSubtype` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `priority` Examples: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `stateInfo.state = ACTIVE OR stateInfo.state = DISMISSED` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `recommenderSubtype = REMOVE_ROLE OR recommenderSubtype = REPLACE_ROLE` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `priority = P1 OR priority = P2` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `stateInfo.state = ACTIVE AND (priority = P1 OR priority = P2)` (These expressions are based on the filter language described at https://google.aip.dev/160)", "type": "string", "location": "query" }, "pageToken": { "type": "string", "location": "query", "description": "Optional. If present, retrieves the next batch of results from the preceding call to this method. `page_token` must be the value of `next_page_token` from the previous response. The values of other method parameters must be identical to those in the previous call." }, "pageSize": { "type": "integer", "description": "Optional. The maximum number of results to return from this request. Non-positive values are ignored. If not specified, the server will determine the number of results to return.", "format": "int32", "location": "query" } }, "response": { "$ref": "GoogleCloudRecommenderV1ListRecommendationsResponse" }, "httpMethod": "GET", "description": "Lists recommendations for the specified Cloud Resource. Requires the recommender.*.list IAM permission for the specified recommender.", "path": "v1/{+parent}/recommendations", "id": "recommender.folders.locations.recommenders.recommendations.list", "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "markSucceeded": { "httpMethod": "POST", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Marks the Recommendation State as Succeeded. Users can use this method to indicate to the Recommender API that they have applied the recommendation themselves, and the operation was successful. This stops the recommendation content from being updated. Associated insights are frozen and placed in the ACCEPTED state. MarkRecommendationSucceeded can be applied to recommendations in ACTIVE, CLAIMED, SUCCEEDED, or FAILED state. Requires the recommender.*.update IAM permission for the specified recommender.", "parameters": { "name": { "location": "path", "description": "Required. Name of the recommendation.", "required": true, "type": "string", "pattern": "^folders/[^/]+/locations/[^/]+/recommenders/[^/]+/recommendations/[^/]+$" } }, "id": "recommender.folders.locations.recommenders.recommendations.markSucceeded", "request": { "$ref": "GoogleCloudRecommenderV1MarkRecommendationSucceededRequest" }, "flatPath": "v1/folders/{foldersId}/locations/{locationsId}/recommenders/{recommendersId}/recommendations/{recommendationsId}:markSucceeded", "response": { "$ref": "GoogleCloudRecommenderV1Recommendation" }, "path": "v1/{+name}:markSucceeded" } } } } } } } } }, "projects": { "resources": { "locations": { "resources": { "recommenders": { "resources": { "recommendations": { "methods": { "markFailed": { "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/recommenders/[^/]+/recommendations/[^/]+$", "location": "path", "required": true, "description": "Required. Name of the recommendation.", "type": "string" } }, "id": "recommender.projects.locations.recommenders.recommendations.markFailed", "description": "Marks the Recommendation State as Failed. Users can use this method to indicate to the Recommender API that they have applied the recommendation themselves, and the operation failed. This stops the recommendation content from being updated. Associated insights are frozen and placed in the ACCEPTED state. MarkRecommendationFailed can be applied to recommendations in ACTIVE, CLAIMED, SUCCEEDED, or FAILED state. Requires the recommender.*.update IAM permission for the specified recommender.", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/recommenders/{recommendersId}/recommendations/{recommendationsId}:markFailed", "request": { "$ref": "GoogleCloudRecommenderV1MarkRecommendationFailedRequest" }, "path": "v1/{+name}:markFailed", "response": { "$ref": "GoogleCloudRecommenderV1Recommendation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "httpMethod": "POST" }, "get": { "path": "v1/{+name}", "response": { "$ref": "GoogleCloudRecommenderV1Recommendation" }, "parameters": { "name": { "description": "Required. Name of the recommendation.", "pattern": "^projects/[^/]+/locations/[^/]+/recommenders/[^/]+/recommendations/[^/]+$", "type": "string", "required": true, "location": "path" } }, "parameterOrder": [ "name" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/recommenders/{recommendersId}/recommendations/{recommendationsId}", "id": "recommender.projects.locations.recommenders.recommendations.get", "description": "Gets the requested recommendation. Requires the recommender.*.get IAM permission for the specified recommender.", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "markSucceeded": { "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/recommenders/{recommendersId}/recommendations/{recommendationsId}:markSucceeded", "response": { "$ref": "GoogleCloudRecommenderV1Recommendation" }, "path": "v1/{+name}:markSucceeded", "request": { "$ref": "GoogleCloudRecommenderV1MarkRecommendationSucceededRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST", "parameters": { "name": { "description": "Required. Name of the recommendation.", "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/recommenders/[^/]+/recommendations/[^/]+$", "type": "string" } }, "parameterOrder": [ "name" ], "description": "Marks the Recommendation State as Succeeded. Users can use this method to indicate to the Recommender API that they have applied the recommendation themselves, and the operation was successful. This stops the recommendation content from being updated. Associated insights are frozen and placed in the ACCEPTED state. MarkRecommendationSucceeded can be applied to recommendations in ACTIVE, CLAIMED, SUCCEEDED, or FAILED state. Requires the recommender.*.update IAM permission for the specified recommender.", "id": "recommender.projects.locations.recommenders.recommendations.markSucceeded" }, "list": { "id": "recommender.projects.locations.recommenders.recommendations.list", "parameters": { "parent": { "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/recommenders/[^/]+$", "location": "path", "type": "string", "description": "Required. The container resource on which to execute the request. Acceptable formats: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `projects/[PROJECT_NUMBER]/locations/[LOCATION]/recommenders/[RECOMMENDER_ID]` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `projects/[PROJECT_ID]/locations/[LOCATION]/recommenders/[RECOMMENDER_ID]` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `billingAccounts/[BILLING_ACCOUNT_ID]/locations/[LOCATION]/recommenders/[RECOMMENDER_ID]` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `folders/[FOLDER_ID]/locations/[LOCATION]/recommenders/[RECOMMENDER_ID]` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `organizations/[ORGANIZATION_ID]/locations/[LOCATION]/recommenders/[RECOMMENDER_ID]` LOCATION here refers to GCP Locations: https://cloud.google.com/about/locations/ RECOMMENDER_ID refers to supported recommenders: https://cloud.google.com/recommender/docs/recommenders." }, "filter": { "location": "query", "type": "string", "description": "Filter expression to restrict the recommendations returned. Supported filter fields: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `state_info.state` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `recommenderSubtype` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `priority` Examples: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `stateInfo.state = ACTIVE OR stateInfo.state = DISMISSED` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `recommenderSubtype = REMOVE_ROLE OR recommenderSubtype = REPLACE_ROLE` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `priority = P1 OR priority = P2` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `stateInfo.state = ACTIVE AND (priority = P1 OR priority = P2)` (These expressions are based on the filter language described at https://google.aip.dev/160)" }, "pageSize": { "location": "query", "type": "integer", "description": "Optional. The maximum number of results to return from this request. Non-positive values are ignored. If not specified, the server will determine the number of results to return.", "format": "int32" }, "pageToken": { "location": "query", "type": "string", "description": "Optional. If present, retrieves the next batch of results from the preceding call to this method. `page_token` must be the value of `next_page_token` from the previous response. The values of other method parameters must be identical to those in the previous call." } }, "httpMethod": "GET", "path": "v1/{+parent}/recommendations", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/recommenders/{recommendersId}/recommendations", "response": { "$ref": "GoogleCloudRecommenderV1ListRecommendationsResponse" }, "parameterOrder": [ "parent" ], "description": "Lists recommendations for the specified Cloud Resource. Requires the recommender.*.list IAM permission for the specified recommender.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "markClaimed": { "response": { "$ref": "GoogleCloudRecommenderV1Recommendation" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/recommenders/{recommendersId}/recommendations/{recommendationsId}:markClaimed", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Marks the Recommendation State as Claimed. Users can use this method to indicate to the Recommender API that they are starting to apply the recommendation themselves. This stops the recommendation content from being updated. Associated insights are frozen and placed in the ACCEPTED state. MarkRecommendationClaimed can be applied to recommendations in CLAIMED, SUCCEEDED, FAILED, or ACTIVE state. Requires the recommender.*.update IAM permission for the specified recommender.", "id": "recommender.projects.locations.recommenders.recommendations.markClaimed", "parameters": { "name": { "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/recommenders/[^/]+/recommendations/[^/]+$", "type": "string", "description": "Required. Name of the recommendation." } }, "parameterOrder": [ "name" ], "httpMethod": "POST", "request": { "$ref": "GoogleCloudRecommenderV1MarkRecommendationClaimedRequest" }, "path": "v1/{+name}:markClaimed" } } } }, "methods": { "updateConfig": { "description": "Updates a Recommender Config. This will create a new revision of the config.", "parameters": { "name": { "required": true, "description": "Name of recommender config. Eg, projects/[PROJECT_NUMBER]/locations/[LOCATION]/recommenders/[RECOMMENDER_ID]/config", "pattern": "^projects/[^/]+/locations/[^/]+/recommenders/[^/]+/config$", "type": "string", "location": "path" }, "updateMask": { "format": "google-fieldmask", "description": "The list of fields to be updated.", "location": "query", "type": "string" }, "validateOnly": { "location": "query", "description": "If true, validate the request and preview the change, but do not actually update it.", "type": "boolean" } }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/recommenders/{recommendersId}/config", "id": "recommender.projects.locations.recommenders.updateConfig", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "GoogleCloudRecommenderV1RecommenderConfig" }, "parameterOrder": [ "name" ], "httpMethod": "PATCH", "path": "v1/{+name}", "request": { "$ref": "GoogleCloudRecommenderV1RecommenderConfig" } }, "getConfig": { "parameters": { "name": { "location": "path", "required": true, "description": "Required. Name of the Recommendation Config to get. Acceptable formats: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `projects/[PROJECT_NUMBER]/locations/[LOCATION]/recommenders/[RECOMMENDER_ID]/config` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `projects/[PROJECT_ID]/locations/[LOCATION]/recommenders/[RECOMMENDER_ID]/config` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `organizations/[ORGANIZATION_ID]/locations/[LOCATION]/recommenders/[RECOMMENDER_ID]/config`", "pattern": "^projects/[^/]+/locations/[^/]+/recommenders/[^/]+/config$", "type": "string" } }, "response": { "$ref": "GoogleCloudRecommenderV1RecommenderConfig" }, "path": "v1/{+name}", "id": "recommender.projects.locations.recommenders.getConfig", "description": "Gets the requested Recommender Config. There is only one instance of the config for each Recommender.", "httpMethod": "GET", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/recommenders/{recommendersId}/config", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ] } } }, "insightTypes": { "resources": { "insights": { "methods": { "get": { "description": "Gets the requested insight. Requires the recommender.*.get IAM permission for the specified insight type.", "id": "recommender.projects.locations.insightTypes.insights.get", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/insightTypes/{insightTypesId}/insights/{insightsId}", "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/insightTypes/[^/]+/insights/[^/]+$", "required": true, "location": "path", "description": "Required. Name of the insight.", "type": "string" } }, "httpMethod": "GET", "path": "v1/{+name}", "response": { "$ref": "GoogleCloudRecommenderV1Insight" } }, "markAccepted": { "path": "v1/{+name}:markAccepted", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST", "description": "Marks the Insight State as Accepted. Users can use this method to indicate to the Recommender API that they have applied some action based on the insight. This stops the insight content from being updated. MarkInsightAccepted can be applied to insights in ACTIVE state. Requires the recommender.*.update IAM permission for the specified insight.", "id": "recommender.projects.locations.insightTypes.insights.markAccepted", "parameterOrder": [ "name" ], "response": { "$ref": "GoogleCloudRecommenderV1Insight" }, "parameters": { "name": { "description": "Required. Name of the insight.", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/insightTypes/[^/]+/insights/[^/]+$", "location": "path", "required": true } }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/insightTypes/{insightTypesId}/insights/{insightsId}:markAccepted", "request": { "$ref": "GoogleCloudRecommenderV1MarkInsightAcceptedRequest" } }, "list": { "httpMethod": "GET", "id": "recommender.projects.locations.insightTypes.insights.list", "parameters": { "filter": { "location": "query", "description": "Optional. Filter expression to restrict the insights returned. Supported filter fields: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `stateInfo.state` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `insightSubtype` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `severity` Examples: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `stateInfo.state = ACTIVE OR stateInfo.state = DISMISSED` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `insightSubtype = PERMISSIONS_USAGE` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `severity = CRITICAL OR severity = HIGH` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `stateInfo.state = ACTIVE AND (severity = CRITICAL OR severity = HIGH)` (These expressions are based on the filter language described at https://google.aip.dev/160)", "type": "string" }, "pageToken": { "description": "Optional. If present, retrieves the next batch of results from the preceding call to this method. `page_token` must be the value of `next_page_token` from the previous response. The values of other method parameters must be identical to those in the previous call.", "type": "string", "location": "query" }, "pageSize": { "type": "integer", "format": "int32", "description": "Optional. The maximum number of results to return from this request. Non-positive values are ignored. If not specified, the server will determine the number of results to return.", "location": "query" }, "parent": { "pattern": "^projects/[^/]+/locations/[^/]+/insightTypes/[^/]+$", "description": "Required. The container resource on which to execute the request. Acceptable formats: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `projects/[PROJECT_NUMBER]/locations/[LOCATION]/insightTypes/[INSIGHT_TYPE_ID]` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `projects/[PROJECT_ID]/locations/[LOCATION]/insightTypes/[INSIGHT_TYPE_ID]` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `billingAccounts/[BILLING_ACCOUNT_ID]/locations/[LOCATION]/insightTypes/[INSIGHT_TYPE_ID]` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `folders/[FOLDER_ID]/locations/[LOCATION]/insightTypes/[INSIGHT_TYPE_ID]` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `organizations/[ORGANIZATION_ID]/locations/[LOCATION]/insightTypes/[INSIGHT_TYPE_ID]` LOCATION here refers to GCP Locations: https://cloud.google.com/about/locations/ INSIGHT_TYPE_ID refers to supported insight types: https://cloud.google.com/recommender/docs/insights/insight-types.", "required": true, "location": "path", "type": "string" } }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/insightTypes/{insightTypesId}/insights", "response": { "$ref": "GoogleCloudRecommenderV1ListInsightsResponse" }, "parameterOrder": [ "parent" ], "description": "Lists insights for the specified Cloud Resource. Requires the recommender.*.list IAM permission for the specified insight type.", "path": "v1/{+parent}/insights", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] } } } }, "methods": { "updateConfig": { "parameterOrder": [ "name" ], "response": { "$ref": "GoogleCloudRecommenderV1InsightTypeConfig" }, "httpMethod": "PATCH", "description": "Updates an InsightTypeConfig change. This will create a new revision of the config.", "id": "recommender.projects.locations.insightTypes.updateConfig", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/insightTypes/{insightTypesId}/config", "request": { "$ref": "GoogleCloudRecommenderV1InsightTypeConfig" }, "parameters": { "updateMask": { "type": "string", "description": "The list of fields to be updated.", "location": "query", "format": "google-fieldmask" }, "name": { "required": true, "type": "string", "location": "path", "description": "Name of insight type config. Eg, projects/[PROJECT_NUMBER]/locations/[LOCATION]/insightTypes/[INSIGHT_TYPE_ID]/config", "pattern": "^projects/[^/]+/locations/[^/]+/insightTypes/[^/]+/config$" }, "validateOnly": { "location": "query", "type": "boolean", "description": "If true, validate the request and preview the change, but do not actually update it." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+name}" }, "getConfig": { "parameterOrder": [ "name" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/insightTypes/{insightTypesId}/config", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "type": "string", "description": "Required. Name of the InsightTypeConfig to get. Acceptable formats: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `projects/[PROJECT_NUMBER]/locations/global/recommenders/[INSIGHT_TYPE_ID]/config` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `projects/[PROJECT_ID]/locations/global/recommenders/[INSIGHT_TYPE_ID]/config` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `organizations/[ORGANIZATION_ID]/locations/global/recommenders/[INSIGHT_TYPE_ID]/config`", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/insightTypes/[^/]+/config$", "location": "path" } }, "description": "Gets the requested InsightTypeConfig. There is only one instance of the config for each InsightType.", "id": "recommender.projects.locations.insightTypes.getConfig", "path": "v1/{+name}", "response": { "$ref": "GoogleCloudRecommenderV1InsightTypeConfig" } } } } } } } } } }
]===]))
