local decode = require("cjson").new().decode
return assert(decode([===[
{ "documentationLink": "https://cloud.google.com/recommender/docs/", "version_module": true, "ownerDomain": "google.com", "ownerName": "Google", "icons": { "x16": "http://www.google.com/images/icons/product/search-16.gif", "x32": "http://www.google.com/images/icons/product/search-32.gif" }, "parameters": { "quotaUser": { "type": "string", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "location": "query" }, "access_token": { "description": "OAuth access token.", "location": "query", "type": "string" }, "key": { "location": "query", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "type": "string" }, "upload_protocol": { "location": "query", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "type": "string" }, "$.xgafv": { "type": "string", "location": "query", "enumDescriptions": [ "v1 error format", "v2 error format" ], "enum": [ "1", "2" ], "description": "V1 error format." }, "uploadType": { "type": "string", "location": "query", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\")." }, "callback": { "type": "string", "description": "JSONP", "location": "query" }, "fields": { "type": "string", "location": "query", "description": "Selector specifying which fields to include in a partial response." }, "alt": { "type": "string", "enum": [ "json", "media", "proto" ], "location": "query", "description": "Data format for response.", "default": "json", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ] }, "oauth_token": { "type": "string", "location": "query", "description": "OAuth 2.0 token for the current user." }, "prettyPrint": { "type": "boolean", "description": "Returns response with indentations and line breaks.", "default": "true", "location": "query" } }, "baseUrl": "https://recommender.googleapis.com/", "description": "", "rootUrl": "https://recommender.googleapis.com/", "protocol": "rest", "kind": "discovery#restDescription", "title": "Recommender API", "batchPath": "batch", "schemas": { "GoogleCloudRecommenderV1beta1InsightTypeGenerationConfig": { "description": "A configuration to customize the generation of insights. Eg, customizing the lookback period considered when generating a insight.", "type": "object", "properties": { "params": { "additionalProperties": { "type": "any", "description": "Properties of the object." }, "type": "object", "description": "Parameters for this InsightTypeGenerationConfig. These configs can be used by or are applied to all subtypes." } }, "id": "GoogleCloudRecommenderV1beta1InsightTypeGenerationConfig" }, "GoogleCloudRecommenderV1beta1ListInsightsResponse": { "type": "object", "id": "GoogleCloudRecommenderV1beta1ListInsightsResponse", "properties": { "nextPageToken": { "type": "string", "description": "A token that can be used to request the next page of results. This field is empty if there are no additional results." }, "insights": { "type": "array", "description": "The set of insights for the `parent` resource.", "items": { "$ref": "GoogleCloudRecommenderV1beta1Insight" } } }, "description": "Response to the `ListInsights` method." }, "GoogleCloudRecommenderV1beta1Impact": { "type": "object", "description": "Contains the impact a recommendation can have for a given category.", "properties": { "securityProjection": { "$ref": "GoogleCloudRecommenderV1beta1SecurityProjection", "description": "Use with CategoryType.SECURITY" }, "sustainabilityProjection": { "description": "Use with CategoryType.SUSTAINABILITY", "$ref": "GoogleCloudRecommenderV1beta1SustainabilityProjection" }, "category": { "enum": [ "CATEGORY_UNSPECIFIED", "COST", "SECURITY", "PERFORMANCE", "MANAGEABILITY", "SUSTAINABILITY" ], "description": "Category that is being targeted.", "type": "string", "enumDescriptions": [ "Default unspecified category. Don't use directly.", "Indicates a potential increase or decrease in cost.", "Indicates a potential increase or decrease in security.", "Indicates a potential increase or decrease in performance.", "Indicates a potential increase or decrease in manageability.", "Indicates a potential increase or decrease in sustainability." ] }, "costProjection": { "description": "Use with CategoryType.COST", "$ref": "GoogleCloudRecommenderV1beta1CostProjection" } }, "id": "GoogleCloudRecommenderV1beta1Impact" }, "GoogleCloudRecommenderV1beta1RecommendationInsightReference": { "description": "Reference to an associated insight.", "properties": { "insight": { "type": "string", "description": "Insight resource name, e.g. projects/[PROJECT_NUMBER]/locations/[LOCATION]/insightTypes/[INSIGHT_TYPE_ID]/insights/[INSIGHT_ID]" } }, "id": "GoogleCloudRecommenderV1beta1RecommendationInsightReference", "type": "object" }, "GoogleCloudRecommenderV1beta1OperationGroup": { "description": "Group of operations that need to be performed atomically.", "id": "GoogleCloudRecommenderV1beta1OperationGroup", "properties": { "operations": { "type": "array", "description": "List of operations across one or more resources that belong to this group. Loosely based on RFC6902 and should be performed in the order they appear.", "items": { "$ref": "GoogleCloudRecommenderV1beta1Operation" } } }, "type": "object" }, "GoogleCloudRecommenderV1beta1MarkInsightAcceptedRequest": { "id": "GoogleCloudRecommenderV1beta1MarkInsightAcceptedRequest", "type": "object", "properties": { "etag": { "description": "Required. Fingerprint of the Insight. Provides optimistic locking.", "type": "string" }, "stateMetadata": { "type": "object", "description": "Optional. State properties user wish to include with this state. Full replace of the current state_metadata.", "additionalProperties": { "type": "string" } } }, "description": "Request for the `MarkInsightAccepted` method." }, "GoogleCloudRecommenderV1beta1Recommendation": { "id": "GoogleCloudRecommenderV1beta1Recommendation", "type": "object", "properties": { "additionalImpact": { "type": "array", "description": "Optional set of additional impact that this recommendation may have when trying to optimize for the primary category. These may be positive or negative.", "items": { "$ref": "GoogleCloudRecommenderV1beta1Impact" } }, "description": { "type": "string", "description": "Free-form human readable summary in English. The maximum length is 500 characters." }, "recommenderSubtype": { "type": "string", "description": "Contains an identifier for a subtype of recommendations produced for the same recommender. Subtype is a function of content and impact, meaning a new subtype might be added when significant changes to `content` or `primary_impact.category` are introduced. See the Recommenders section to see a list of subtypes for a given Recommender. Examples: For recommender = \"google.iam.policy.Recommender\", recommender_subtype can be one of \"REMOVE_ROLE\"/\"REPLACE_ROLE\"" }, "name": { "description": "Name of recommendation.", "type": "string" }, "stateInfo": { "description": "Information for state. Contains state and metadata.", "$ref": "GoogleCloudRecommenderV1beta1RecommendationStateInfo" }, "priority": { "description": "Recommendation's priority.", "enum": [ "PRIORITY_UNSPECIFIED", "P4", "P3", "P2", "P1" ], "type": "string", "enumDescriptions": [ "Recommendation has unspecified priority.", "Recommendation has P4 priority (lowest priority).", "Recommendation has P3 priority (second lowest priority).", "Recommendation has P2 priority (second highest priority).", "Recommendation has P1 priority (highest priority)." ] }, "primaryImpact": { "description": "The primary impact that this recommendation can have while trying to optimize for one category.", "$ref": "GoogleCloudRecommenderV1beta1Impact" }, "etag": { "type": "string", "description": "Fingerprint of the Recommendation. Provides optimistic locking when updating states." }, "content": { "description": "Content of the recommendation describing recommended changes to resources.", "$ref": "GoogleCloudRecommenderV1beta1RecommendationContent" }, "xorGroupId": { "type": "string", "description": "Corresponds to a mutually exclusive group ID within a recommender. A non-empty ID indicates that the recommendation belongs to a mutually exclusive group. This means that only one recommendation within the group is suggested to be applied." }, "associatedInsights": { "description": "Insights that led to this recommendation.", "type": "array", "items": { "$ref": "GoogleCloudRecommenderV1beta1RecommendationInsightReference" } }, "lastRefreshTime": { "format": "google-datetime", "type": "string", "description": "Last time this recommendation was refreshed by the system that created it in the first place." } }, "description": "A recommendation along with a suggested action. E.g., a rightsizing recommendation for an underutilized VM, IAM role recommendations, etc" }, "GoogleCloudRecommenderV1beta1RecommenderGenerationConfig": { "type": "object", "id": "GoogleCloudRecommenderV1beta1RecommenderGenerationConfig", "description": "A Configuration to customize the generation of recommendations. Eg, customizing the lookback period considered when generating a recommendation.", "properties": { "params": { "type": "object", "additionalProperties": { "type": "any", "description": "Properties of the object." }, "description": "Parameters for this RecommenderGenerationConfig. These configs can be used by or are applied to all subtypes." } } }, "GoogleCloudRecommenderV1beta1MarkRecommendationClaimedRequest": { "type": "object", "description": "Request for the `MarkRecommendationClaimed` Method.", "properties": { "etag": { "description": "Required. Fingerprint of the Recommendation. Provides optimistic locking.", "type": "string" }, "stateMetadata": { "description": "State properties to include with this state. Overwrites any existing `state_metadata`. Keys must match the regex `/^a-z0-9{0,62}$/`. Values must match the regex `/^[a-zA-Z0-9_./-]{0,255}$/`.", "additionalProperties": { "type": "string" }, "type": "object" } }, "id": "GoogleCloudRecommenderV1beta1MarkRecommendationClaimedRequest" }, "GoogleCloudRecommenderV1beta1SecurityProjection": { "description": "Contains various ways of describing the impact on Security.", "type": "object", "id": "GoogleCloudRecommenderV1beta1SecurityProjection", "properties": { "details": { "description": "This field can be used by the recommender to define details specific to security impact.", "additionalProperties": { "type": "any", "description": "Properties of the object." }, "type": "object" } } }, "GoogleCloudRecommenderV1beta1ListRecommendationsResponse": { "id": "GoogleCloudRecommenderV1beta1ListRecommendationsResponse", "type": "object", "description": "Response to the `ListRecommendations` method.", "properties": { "nextPageToken": { "type": "string", "description": "A token that can be used to request the next page of results. This field is empty if there are no additional results." }, "recommendations": { "type": "array", "description": "The set of recommendations for the `parent` resource.", "items": { "$ref": "GoogleCloudRecommenderV1beta1Recommendation" } } } }, "GoogleCloudRecommenderV1beta1Insight": { "properties": { "severity": { "type": "string", "description": "Insight's severity.", "enum": [ "SEVERITY_UNSPECIFIED", "LOW", "MEDIUM", "HIGH", "CRITICAL" ], "enumDescriptions": [ "Insight has unspecified severity.", "Insight has low severity.", "Insight has medium severity.", "Insight has high severity.", "Insight has critical severity." ] }, "lastRefreshTime": { "description": "Timestamp of the latest data used to generate the insight.", "format": "google-datetime", "type": "string" }, "name": { "type": "string", "description": "Name of the insight." }, "content": { "description": "A struct of custom fields to explain the insight. Example: \"grantedPermissionsCount\": \"1000\"", "type": "object", "additionalProperties": { "type": "any", "description": "Properties of the object." } }, "observationPeriod": { "format": "google-duration", "type": "string", "description": "Observation period that led to the insight. The source data used to generate the insight ends at last_refresh_time and begins at (last_refresh_time - observation_period)." }, "category": { "enumDescriptions": [ "Unspecified category.", "The insight is related to cost.", "The insight is related to security.", "The insight is related to performance.", "This insight is related to manageability." ], "type": "string", "enum": [ "CATEGORY_UNSPECIFIED", "COST", "SECURITY", "PERFORMANCE", "MANAGEABILITY" ], "description": "Category being targeted by the insight." }, "insightSubtype": { "description": "Insight subtype. Insight content schema will be stable for a given subtype.", "type": "string" }, "associatedRecommendations": { "description": "Recommendations derived from this insight.", "items": { "$ref": "GoogleCloudRecommenderV1beta1InsightRecommendationReference" }, "type": "array" }, "description": { "description": "Free-form human readable summary in English. The maximum length is 500 characters.", "type": "string" }, "targetResources": { "description": "Fully qualified resource names that this insight is targeting.", "items": { "type": "string" }, "type": "array" }, "etag": { "description": "Fingerprint of the Insight. Provides optimistic locking when updating states.", "type": "string" }, "stateInfo": { "$ref": "GoogleCloudRecommenderV1beta1InsightStateInfo", "description": "Information state and metadata." } }, "description": "An insight along with the information used to derive the insight. The insight may have associated recomendations as well.", "id": "GoogleCloudRecommenderV1beta1Insight", "type": "object" }, "GoogleCloudRecommenderV1beta1Operation": { "id": "GoogleCloudRecommenderV1beta1Operation", "description": "Contains an operation for a resource loosely based on the JSON-PATCH format with support for: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Custom filters for describing partial array patch. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Extended path values for describing nested arrays. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Custom fields for describing the resource for which the operation is being described. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Allows extension to custom operations not natively supported by RFC6902. See https://tools.ietf.org/html/rfc6902 for details on the original RFC.", "properties": { "sourcePath": { "type": "string", "description": "Can be set with action 'copy' or 'move' to indicate the source field within resource or source_resource, ignored if provided for other operation types." }, "pathValueMatchers": { "additionalProperties": { "$ref": "GoogleCloudRecommenderV1beta1ValueMatcher" }, "type": "object", "description": "Similar to path_filters, this contains set of filters to apply if `path` field refers to array elements. This is meant to support value matching beyond exact match. To perform exact match, use path_filters. When both path_filters and path_value_matchers are set, an implicit AND must be performed." }, "sourceResource": { "description": "Can be set with action 'copy' to copy resource configuration across different resources of the same type. Example: A resource clone can be done via action = 'copy', path = \"/\", from = \"/\", source_resource = and resource_name = . This field is empty for all other values of `action`.", "type": "string" }, "pathFilters": { "description": "Set of filters to apply if `path` refers to array elements or nested array elements in order to narrow down to a single unique element that is being tested/modified. This is intended to be an exact match per filter. To perform advanced matching, use path_value_matchers. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Example: ``` { \"/versions/*/name\" : \"it-123\" \"/versions/*/targetSize/percent\": 20 } ``` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Example: ``` { \"/bindings/*/role\": \"roles/owner\" \"/bindings/*/condition\" : null } ``` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Example: ``` { \"/bindings/*/role\": \"roles/owner\" \"/bindings/*/members/*\" : [\"x@example.com\", \"y@example.com\"] } ``` When both path_filters and path_value_matchers are set, an implicit AND must be performed.", "additionalProperties": { "type": "any" }, "type": "object" }, "value": { "description": "Value for the `path` field. Will be set for actions:'add'/'replace'. Maybe set for action: 'test'. Either this or `value_matcher` will be set for 'test' operation. An exact match must be performed.", "type": "any" }, "valueMatcher": { "$ref": "GoogleCloudRecommenderV1beta1ValueMatcher", "description": "Can be set for action 'test' for advanced matching for the value of 'path' field. Either this or `value` will be set for 'test' operation." }, "resource": { "type": "string", "description": "Contains the fully qualified resource name. This field is always populated. ex: //cloudresourcemanager.googleapis.com/projects/foo." }, "resourceType": { "type": "string", "description": "Type of GCP resource being modified/tested. This field is always populated. Example: cloudresourcemanager.googleapis.com/Project, compute.googleapis.com/Instance" }, "path": { "description": "Path to the target field being operated on. If the operation is at the resource level, then path should be \"/\". This field is always populated.", "type": "string" }, "action": { "description": "Type of this operation. Contains one of 'add', 'remove', 'replace', 'move', 'copy', 'test' and 'custom' operations. This field is case-insensitive and always populated.", "type": "string" } }, "type": "object" }, "GoogleCloudRecommenderV1beta1RecommenderConfig": { "id": "GoogleCloudRecommenderV1beta1RecommenderConfig", "description": "Configuration for a Recommender.", "properties": { "displayName": { "description": "A user-settable field to provide a human-readable name to be used in user interfaces.", "type": "string" }, "recommenderGenerationConfig": { "description": "RecommenderGenerationConfig which configures the Generation of recommendations for this recommender.", "$ref": "GoogleCloudRecommenderV1beta1RecommenderGenerationConfig" }, "etag": { "type": "string", "description": "Fingerprint of the RecommenderConfig. Provides optimistic locking when updating." }, "name": { "description": "Name of recommender config. Eg, projects/[PROJECT_NUMBER]/locations/[LOCATION]/recommenders/[RECOMMENDER_ID]/config", "type": "string" }, "revisionId": { "description": "Output only. Immutable. The revision ID of the config. A new revision is committed whenever the config is changed in any way. The format is an 8-character hexadecimal string.", "type": "string", "readOnly": true }, "annotations": { "type": "object", "description": "Allows clients to store small amounts of arbitrary data. Annotations must follow the Kubernetes syntax. The total size of all keys and values combined is limited to 256k. Key can have 2 segments: prefix (optional) and name (required), separated by a slash (/). Prefix must be a DNS subdomain. Name must be 63 characters or less, begin and end with alphanumerics, with dashes (-), underscores (_), dots (.), and alphanumerics between.", "additionalProperties": { "type": "string" } }, "updateTime": { "description": "Last time when the config was updated.", "format": "google-datetime", "type": "string" } }, "type": "object" }, "GoogleCloudRecommenderV1beta1CostProjection": { "properties": { "cost": { "description": "An approximate projection on amount saved or amount incurred. Negative cost units indicate cost savings and positive cost units indicate increase. See google.type.Money documentation for positive/negative units. A user's permissions may affect whether the cost is computed using list prices or custom contract prices.", "$ref": "GoogleTypeMoney" }, "duration": { "description": "Duration for which this cost applies.", "format": "google-duration", "type": "string" } }, "description": "Contains metadata about how much money a recommendation can save or incur.", "id": "GoogleCloudRecommenderV1beta1CostProjection", "type": "object" }, "GoogleCloudRecommenderV1beta1SustainabilityProjection": { "description": "Contains metadata about how much sustainability a recommendation can save or incur.", "type": "object", "properties": { "kgCO2e": { "format": "double", "description": "Carbon Footprint generated in kg of CO2 equivalent. Chose kg_c_o2e so that the name renders correctly in camelCase (kgCO2e).", "type": "number" }, "duration": { "description": "Duration for which this sustanability applies.", "format": "google-duration", "type": "string" } }, "id": "GoogleCloudRecommenderV1beta1SustainabilityProjection" }, "GoogleCloudRecommenderV1beta1MarkRecommendationSucceededRequest": { "properties": { "etag": { "type": "string", "description": "Required. Fingerprint of the Recommendation. Provides optimistic locking." }, "stateMetadata": { "type": "object", "additionalProperties": { "type": "string" }, "description": "State properties to include with this state. Overwrites any existing `state_metadata`. Keys must match the regex `/^a-z0-9{0,62}$/`. Values must match the regex `/^[a-zA-Z0-9_./-]{0,255}$/`." } }, "id": "GoogleCloudRecommenderV1beta1MarkRecommendationSucceededRequest", "description": "Request for the `MarkRecommendationSucceeded` Method.", "type": "object" }, "GoogleCloudRecommenderV1beta1RecommendationStateInfo": { "id": "GoogleCloudRecommenderV1beta1RecommendationStateInfo", "type": "object", "description": "Information for state. Contains state and metadata.", "properties": { "stateMetadata": { "type": "object", "additionalProperties": { "type": "string" }, "description": "A map of metadata for the state, provided by user or automations systems." }, "state": { "description": "The state of the recommendation, Eg ACTIVE, SUCCEEDED, FAILED.", "enumDescriptions": [ "Default state. Don't use directly.", "Recommendation is active and can be applied. Recommendations content can be updated by Google. ACTIVE recommendations can be marked as CLAIMED, SUCCEEDED, or FAILED.", "Recommendation is in claimed state. Recommendations content is immutable and cannot be updated by Google. CLAIMED recommendations can be marked as CLAIMED, SUCCEEDED, or FAILED.", "Recommendation is in succeeded state. Recommendations content is immutable and cannot be updated by Google. SUCCEEDED recommendations can be marked as SUCCEEDED, or FAILED.", "Recommendation is in failed state. Recommendations content is immutable and cannot be updated by Google. FAILED recommendations can be marked as SUCCEEDED, or FAILED.", "Recommendation is in dismissed state. Recommendation content can be updated by Google. DISMISSED recommendations can be marked as ACTIVE." ], "type": "string", "enum": [ "STATE_UNSPECIFIED", "ACTIVE", "CLAIMED", "SUCCEEDED", "FAILED", "DISMISSED" ] } } }, "GoogleCloudRecommenderV1beta1MarkRecommendationFailedRequest": { "id": "GoogleCloudRecommenderV1beta1MarkRecommendationFailedRequest", "properties": { "stateMetadata": { "type": "object", "additionalProperties": { "type": "string" }, "description": "State properties to include with this state. Overwrites any existing `state_metadata`. Keys must match the regex `/^a-z0-9{0,62}$/`. Values must match the regex `/^[a-zA-Z0-9_./-]{0,255}$/`." }, "etag": { "type": "string", "description": "Required. Fingerprint of the Recommendation. Provides optimistic locking." } }, "type": "object", "description": "Request for the `MarkRecommendationFailed` Method." }, "GoogleCloudRecommenderV1beta1RecommendationContent": { "id": "GoogleCloudRecommenderV1beta1RecommendationContent", "description": "Contains what resources are changing and how they are changing.", "type": "object", "properties": { "operationGroups": { "description": "Operations to one or more Google Cloud resources grouped in such a way that, all operations within one group are expected to be performed atomically and in an order.", "items": { "$ref": "GoogleCloudRecommenderV1beta1OperationGroup" }, "type": "array" }, "overview": { "description": "Condensed overview information about the recommendation.", "type": "object", "additionalProperties": { "type": "any", "description": "Properties of the object." } } } }, "GoogleCloudRecommenderV1beta1InsightRecommendationReference": { "id": "GoogleCloudRecommenderV1beta1InsightRecommendationReference", "type": "object", "description": "Reference to an associated recommendation.", "properties": { "recommendation": { "type": "string", "description": "Recommendation resource name, e.g. projects/[PROJECT_NUMBER]/locations/[LOCATION]/recommenders/[RECOMMENDER_ID]/recommendations/[RECOMMENDATION_ID]" } } }, "GoogleTypeMoney": { "properties": { "units": { "description": "The whole units of the amount. For example if `currencyCode` is `\"USD\"`, then 1 unit is one US dollar.", "format": "int64", "type": "string" }, "currencyCode": { "description": "The three-letter currency code defined in ISO 4217.", "type": "string" }, "nanos": { "description": "Number of nano (10^-9) units of the amount. The value must be between -999,999,999 and +999,999,999 inclusive. If `units` is positive, `nanos` must be positive or zero. If `units` is zero, `nanos` can be positive, zero, or negative. If `units` is negative, `nanos` must be negative or zero. For example $-1.75 is represented as `units`=-1 and `nanos`=-750,000,000.", "type": "integer", "format": "int32" } }, "description": "Represents an amount of money with its currency type.", "type": "object", "id": "GoogleTypeMoney" }, "GoogleCloudRecommenderV1beta1ValueMatcher": { "id": "GoogleCloudRecommenderV1beta1ValueMatcher", "properties": { "matchesPattern": { "type": "string", "description": "To be used for full regex matching. The regular expression is using the Google RE2 syntax (https://github.com/google/re2/wiki/Syntax), so to be used with RE2::FullMatch" } }, "type": "object", "description": "Contains various matching options for values for a GCP resource field." }, "GoogleCloudRecommenderV1beta1InsightStateInfo": { "type": "object", "properties": { "state": { "type": "string", "enumDescriptions": [ "Unspecified state.", "Insight is active. Content for ACTIVE insights can be updated by Google. ACTIVE insights can be marked DISMISSED OR ACCEPTED.", "Some action has been taken based on this insight. Insights become accepted when a recommendation derived from the insight has been marked CLAIMED, SUCCEEDED, or FAILED. ACTIVE insights can also be marked ACCEPTED explicitly. Content for ACCEPTED insights is immutable. ACCEPTED insights can only be marked ACCEPTED (which may update state metadata).", "Insight is dismissed. Content for DISMISSED insights can be updated by Google. DISMISSED insights can be marked as ACTIVE." ], "enum": [ "STATE_UNSPECIFIED", "ACTIVE", "ACCEPTED", "DISMISSED" ], "description": "Insight state." }, "stateMetadata": { "description": "A map of metadata for the state, provided by user or automations systems.", "type": "object", "additionalProperties": { "type": "string" } } }, "description": "Information related to insight state.", "id": "GoogleCloudRecommenderV1beta1InsightStateInfo" }, "GoogleCloudRecommenderV1beta1InsightTypeConfig": { "properties": { "revisionId": { "type": "string", "readOnly": true, "description": "Output only. Immutable. The revision ID of the config. A new revision is committed whenever the config is changed in any way. The format is an 8-character hexadecimal string." }, "insightTypeGenerationConfig": { "description": "InsightTypeGenerationConfig which configures the generation of insights for this insight type.", "$ref": "GoogleCloudRecommenderV1beta1InsightTypeGenerationConfig" }, "updateTime": { "description": "Last time when the config was updated.", "type": "string", "format": "google-datetime" }, "annotations": { "additionalProperties": { "type": "string" }, "description": "Allows clients to store small amounts of arbitrary data. Annotations must follow the Kubernetes syntax. The total size of all keys and values combined is limited to 256k. Key can have 2 segments: prefix (optional) and name (required), separated by a slash (/). Prefix must be a DNS subdomain. Name must be 63 characters or less, begin and end with alphanumerics, with dashes (-), underscores (_), dots (.), and alphanumerics between.", "type": "object" }, "name": { "type": "string", "description": "Name of insight type config. Eg, projects/[PROJECT_NUMBER]/locations/[LOCATION]/insightTypes/[INSIGHT_TYPE_ID]/config" }, "displayName": { "description": "A user-settable field to provide a human-readable name to be used in user interfaces.", "type": "string" }, "etag": { "type": "string", "description": "Fingerprint of the InsightTypeConfig. Provides optimistic locking when updating." } }, "description": "Configuration for an InsightType.", "type": "object", "id": "GoogleCloudRecommenderV1beta1InsightTypeConfig" } }, "id": "recommender:v1beta1", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." } } } }, "discoveryVersion": "v1", "resources": { "billingAccounts": { "resources": { "locations": { "resources": { "recommenders": { "resources": { "recommendations": { "methods": { "list": { "path": "v1beta1/{+parent}/recommendations", "httpMethod": "GET", "id": "recommender.billingAccounts.locations.recommenders.recommendations.list", "description": "Lists recommendations for the specified Cloud Resource. Requires the recommender.*.list IAM permission for the specified recommender.", "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "parent": { "location": "path", "required": true, "type": "string", "description": "Required. The container resource on which to execute the request. Acceptable formats: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `projects/[PROJECT_NUMBER]/locations/[LOCATION]/recommenders/[RECOMMENDER_ID]` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `projects/[PROJECT_ID]/locations/[LOCATION]/recommenders/[RECOMMENDER_ID]` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `billingAccounts/[BILLING_ACCOUNT_ID]/locations/[LOCATION]/recommenders/[RECOMMENDER_ID]` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `folders/[FOLDER_ID]/locations/[LOCATION]/recommenders/[RECOMMENDER_ID]` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `organizations/[ORGANIZATION_ID]/locations/[LOCATION]/recommenders/[RECOMMENDER_ID]` LOCATION here refers to GCP Locations: https://cloud.google.com/about/locations/ RECOMMENDER_ID refers to supported recommenders: https://cloud.google.com/recommender/docs/recommenders.", "pattern": "^billingAccounts/[^/]+/locations/[^/]+/recommenders/[^/]+$" }, "pageSize": { "location": "query", "description": "Optional. The maximum number of results to return from this request. Non-positive values are ignored. If not specified, the server will determine the number of results to return.", "type": "integer", "format": "int32" }, "pageToken": { "location": "query", "type": "string", "description": "Optional. If present, retrieves the next batch of results from the preceding call to this method. `page_token` must be the value of `next_page_token` from the previous response. The values of other method parameters must be identical to those in the previous call." }, "filter": { "type": "string", "location": "query", "description": "Filter expression to restrict the recommendations returned. Supported filter fields: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `state_info.state` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `recommenderSubtype` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `priority` Examples: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `stateInfo.state = ACTIVE OR stateInfo.state = DISMISSED` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `recommenderSubtype = REMOVE_ROLE OR recommenderSubtype = REPLACE_ROLE` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `priority = P1 OR priority = P2` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `stateInfo.state = ACTIVE AND (priority = P1 OR priority = P2)` (These expressions are based on the filter language described at https://google.aip.dev/160)" } }, "response": { "$ref": "GoogleCloudRecommenderV1beta1ListRecommendationsResponse" }, "flatPath": "v1beta1/billingAccounts/{billingAccountsId}/locations/{locationsId}/recommenders/{recommendersId}/recommendations" }, "markSucceeded": { "id": "recommender.billingAccounts.locations.recommenders.recommendations.markSucceeded", "path": "v1beta1/{+name}:markSucceeded", "flatPath": "v1beta1/billingAccounts/{billingAccountsId}/locations/{locationsId}/recommenders/{recommendersId}/recommendations/{recommendationsId}:markSucceeded", "response": { "$ref": "GoogleCloudRecommenderV1beta1Recommendation" }, "description": "Marks the Recommendation State as Succeeded. Users can use this method to indicate to the Recommender API that they have applied the recommendation themselves, and the operation was successful. This stops the recommendation content from being updated. Associated insights are frozen and placed in the ACCEPTED state. MarkRecommendationSucceeded can be applied to recommendations in ACTIVE, CLAIMED, SUCCEEDED, or FAILED state. Requires the recommender.*.update IAM permission for the specified recommender.", "parameterOrder": [ "name" ], "httpMethod": "POST", "request": { "$ref": "GoogleCloudRecommenderV1beta1MarkRecommendationSucceededRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "location": "path", "pattern": "^billingAccounts/[^/]+/locations/[^/]+/recommenders/[^/]+/recommendations/[^/]+$", "type": "string", "description": "Required. Name of the recommendation.", "required": true } } }, "get": { "flatPath": "v1beta1/billingAccounts/{billingAccountsId}/locations/{locationsId}/recommenders/{recommendersId}/recommendations/{recommendationsId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "recommender.billingAccounts.locations.recommenders.recommendations.get", "parameters": { "name": { "description": "Required. Name of the recommendation.", "pattern": "^billingAccounts/[^/]+/locations/[^/]+/recommenders/[^/]+/recommendations/[^/]+$", "required": true, "type": "string", "location": "path" } }, "httpMethod": "GET", "path": "v1beta1/{+name}", "parameterOrder": [ "name" ], "response": { "$ref": "GoogleCloudRecommenderV1beta1Recommendation" }, "description": "Gets the requested recommendation. Requires the recommender.*.get IAM permission for the specified recommender." }, "markFailed": { "httpMethod": "POST", "parameters": { "name": { "pattern": "^billingAccounts/[^/]+/locations/[^/]+/recommenders/[^/]+/recommendations/[^/]+$", "location": "path", "required": true, "type": "string", "description": "Required. Name of the recommendation." } }, "response": { "$ref": "GoogleCloudRecommenderV1beta1Recommendation" }, "path": "v1beta1/{+name}:markFailed", "description": "Marks the Recommendation State as Failed. Users can use this method to indicate to the Recommender API that they have applied the recommendation themselves, and the operation failed. This stops the recommendation content from being updated. Associated insights are frozen and placed in the ACCEPTED state. MarkRecommendationFailed can be applied to recommendations in ACTIVE, CLAIMED, SUCCEEDED, or FAILED state. Requires the recommender.*.update IAM permission for the specified recommender.", "flatPath": "v1beta1/billingAccounts/{billingAccountsId}/locations/{locationsId}/recommenders/{recommendersId}/recommendations/{recommendationsId}:markFailed", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "GoogleCloudRecommenderV1beta1MarkRecommendationFailedRequest" }, "id": "recommender.billingAccounts.locations.recommenders.recommendations.markFailed" }, "markClaimed": { "id": "recommender.billingAccounts.locations.recommenders.recommendations.markClaimed", "path": "v1beta1/{+name}:markClaimed", "description": "Marks the Recommendation State as Claimed. Users can use this method to indicate to the Recommender API that they are starting to apply the recommendation themselves. This stops the recommendation content from being updated. Associated insights are frozen and placed in the ACCEPTED state. MarkRecommendationClaimed can be applied to recommendations in CLAIMED or ACTIVE state. Requires the recommender.*.update IAM permission for the specified recommender.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "response": { "$ref": "GoogleCloudRecommenderV1beta1Recommendation" }, "flatPath": "v1beta1/billingAccounts/{billingAccountsId}/locations/{locationsId}/recommenders/{recommendersId}/recommendations/{recommendationsId}:markClaimed", "request": { "$ref": "GoogleCloudRecommenderV1beta1MarkRecommendationClaimedRequest" }, "httpMethod": "POST", "parameters": { "name": { "type": "string", "description": "Required. Name of the recommendation.", "location": "path", "pattern": "^billingAccounts/[^/]+/locations/[^/]+/recommenders/[^/]+/recommendations/[^/]+$", "required": true } } } } } } }, "insightTypes": { "resources": { "insights": { "methods": { "markAccepted": { "path": "v1beta1/{+name}:markAccepted", "parameters": { "name": { "pattern": "^billingAccounts/[^/]+/locations/[^/]+/insightTypes/[^/]+/insights/[^/]+$", "location": "path", "type": "string", "required": true, "description": "Required. Name of the insight." } }, "parameterOrder": [ "name" ], "id": "recommender.billingAccounts.locations.insightTypes.insights.markAccepted", "response": { "$ref": "GoogleCloudRecommenderV1beta1Insight" }, "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "GoogleCloudRecommenderV1beta1MarkInsightAcceptedRequest" }, "flatPath": "v1beta1/billingAccounts/{billingAccountsId}/locations/{locationsId}/insightTypes/{insightTypesId}/insights/{insightsId}:markAccepted", "description": "Marks the Insight State as Accepted. Users can use this method to indicate to the Recommender API that they have applied some action based on the insight. This stops the insight content from being updated. MarkInsightAccepted can be applied to insights in ACTIVE state. Requires the recommender.*.update IAM permission for the specified insight." }, "get": { "response": { "$ref": "GoogleCloudRecommenderV1beta1Insight" }, "parameterOrder": [ "name" ], "id": "recommender.billingAccounts.locations.insightTypes.insights.get", "path": "v1beta1/{+name}", "flatPath": "v1beta1/billingAccounts/{billingAccountsId}/locations/{locationsId}/insightTypes/{insightTypesId}/insights/{insightsId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "description": "Gets the requested insight. Requires the recommender.*.get IAM permission for the specified insight type.", "parameters": { "name": { "description": "Required. Name of the insight.", "location": "path", "pattern": "^billingAccounts/[^/]+/locations/[^/]+/insightTypes/[^/]+/insights/[^/]+$", "type": "string", "required": true } } }, "list": { "response": { "$ref": "GoogleCloudRecommenderV1beta1ListInsightsResponse" }, "parameterOrder": [ "parent" ], "httpMethod": "GET", "description": "Lists insights for the specified Cloud Resource. Requires the recommender.*.list IAM permission for the specified insight type.", "id": "recommender.billingAccounts.locations.insightTypes.insights.list", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1beta1/billingAccounts/{billingAccountsId}/locations/{locationsId}/insightTypes/{insightTypesId}/insights", "parameters": { "pageToken": { "location": "query", "type": "string", "description": "Optional. If present, retrieves the next batch of results from the preceding call to this method. `page_token` must be the value of `next_page_token` from the previous response. The values of other method parameters must be identical to those in the previous call." }, "filter": { "type": "string", "location": "query", "description": "Optional. Filter expression to restrict the insights returned. Supported filter fields: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `stateInfo.state` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `insightSubtype` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `severity` Examples: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `stateInfo.state = ACTIVE OR stateInfo.state = DISMISSED` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `insightSubtype = PERMISSIONS_USAGE` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `severity = CRITICAL OR severity = HIGH` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `stateInfo.state = ACTIVE AND (severity = CRITICAL OR severity = HIGH)` (These expressions are based on the filter language described at https://google.aip.dev/160)" }, "parent": { "type": "string", "required": true, "description": "Required. The container resource on which to execute the request. Acceptable formats: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `projects/[PROJECT_NUMBER]/locations/[LOCATION]/insightTypes/[INSIGHT_TYPE_ID]` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `projects/[PROJECT_ID]/locations/[LOCATION]/insightTypes/[INSIGHT_TYPE_ID]` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `billingAccounts/[BILLING_ACCOUNT_ID]/locations/[LOCATION]/insightTypes/[INSIGHT_TYPE_ID]` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `folders/[FOLDER_ID]/locations/[LOCATION]/insightTypes/[INSIGHT_TYPE_ID]` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `organizations/[ORGANIZATION_ID]/locations/[LOCATION]/insightTypes/[INSIGHT_TYPE_ID]` LOCATION here refers to GCP Locations: https://cloud.google.com/about/locations/ INSIGHT_TYPE_ID refers to supported insight types: https://cloud.google.com/recommender/docs/insights/insight-types.", "pattern": "^billingAccounts/[^/]+/locations/[^/]+/insightTypes/[^/]+$", "location": "path" }, "pageSize": { "location": "query", "description": "Optional. The maximum number of results to return from this request. Non-positive values are ignored. If not specified, the server will determine the number of results to return.", "format": "int32", "type": "integer" } }, "path": "v1beta1/{+parent}/insights" } } } } } } } } }, "folders": { "resources": { "locations": { "resources": { "insightTypes": { "resources": { "insights": { "methods": { "get": { "flatPath": "v1beta1/folders/{foldersId}/locations/{locationsId}/insightTypes/{insightTypesId}/insights/{insightsId}", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "required": true, "description": "Required. Name of the insight.", "type": "string", "location": "path", "pattern": "^folders/[^/]+/locations/[^/]+/insightTypes/[^/]+/insights/[^/]+$" } }, "response": { "$ref": "GoogleCloudRecommenderV1beta1Insight" }, "description": "Gets the requested insight. Requires the recommender.*.get IAM permission for the specified insight type.", "id": "recommender.folders.locations.insightTypes.insights.get", "path": "v1beta1/{+name}", "httpMethod": "GET" }, "markAccepted": { "id": "recommender.folders.locations.insightTypes.insights.markAccepted", "response": { "$ref": "GoogleCloudRecommenderV1beta1Insight" }, "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1beta1/{+name}:markAccepted", "request": { "$ref": "GoogleCloudRecommenderV1beta1MarkInsightAcceptedRequest" }, "flatPath": "v1beta1/folders/{foldersId}/locations/{locationsId}/insightTypes/{insightTypesId}/insights/{insightsId}:markAccepted", "httpMethod": "POST", "parameters": { "name": { "pattern": "^folders/[^/]+/locations/[^/]+/insightTypes/[^/]+/insights/[^/]+$", "required": true, "description": "Required. Name of the insight.", "location": "path", "type": "string" } }, "description": "Marks the Insight State as Accepted. Users can use this method to indicate to the Recommender API that they have applied some action based on the insight. This stops the insight content from being updated. MarkInsightAccepted can be applied to insights in ACTIVE state. Requires the recommender.*.update IAM permission for the specified insight." }, "list": { "parameters": { "filter": { "location": "query", "type": "string", "description": "Optional. Filter expression to restrict the insights returned. Supported filter fields: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `stateInfo.state` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `insightSubtype` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `severity` Examples: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `stateInfo.state = ACTIVE OR stateInfo.state = DISMISSED` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `insightSubtype = PERMISSIONS_USAGE` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `severity = CRITICAL OR severity = HIGH` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `stateInfo.state = ACTIVE AND (severity = CRITICAL OR severity = HIGH)` (These expressions are based on the filter language described at https://google.aip.dev/160)" }, "parent": { "type": "string", "location": "path", "description": "Required. The container resource on which to execute the request. Acceptable formats: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `projects/[PROJECT_NUMBER]/locations/[LOCATION]/insightTypes/[INSIGHT_TYPE_ID]` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `projects/[PROJECT_ID]/locations/[LOCATION]/insightTypes/[INSIGHT_TYPE_ID]` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `billingAccounts/[BILLING_ACCOUNT_ID]/locations/[LOCATION]/insightTypes/[INSIGHT_TYPE_ID]` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `folders/[FOLDER_ID]/locations/[LOCATION]/insightTypes/[INSIGHT_TYPE_ID]` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `organizations/[ORGANIZATION_ID]/locations/[LOCATION]/insightTypes/[INSIGHT_TYPE_ID]` LOCATION here refers to GCP Locations: https://cloud.google.com/about/locations/ INSIGHT_TYPE_ID refers to supported insight types: https://cloud.google.com/recommender/docs/insights/insight-types.", "pattern": "^folders/[^/]+/locations/[^/]+/insightTypes/[^/]+$", "required": true }, "pageToken": { "location": "query", "description": "Optional. If present, retrieves the next batch of results from the preceding call to this method. `page_token` must be the value of `next_page_token` from the previous response. The values of other method parameters must be identical to those in the previous call.", "type": "string" }, "pageSize": { "description": "Optional. The maximum number of results to return from this request. Non-positive values are ignored. If not specified, the server will determine the number of results to return.", "location": "query", "type": "integer", "format": "int32" } }, "response": { "$ref": "GoogleCloudRecommenderV1beta1ListInsightsResponse" }, "flatPath": "v1beta1/folders/{foldersId}/locations/{locationsId}/insightTypes/{insightTypesId}/insights", "httpMethod": "GET", "path": "v1beta1/{+parent}/insights", "description": "Lists insights for the specified Cloud Resource. Requires the recommender.*.list IAM permission for the specified insight type.", "parameterOrder": [ "parent" ], "id": "recommender.folders.locations.insightTypes.insights.list", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] } } } } }, "recommenders": { "resources": { "recommendations": { "methods": { "list": { "response": { "$ref": "GoogleCloudRecommenderV1beta1ListRecommendationsResponse" }, "parameterOrder": [ "parent" ], "id": "recommender.folders.locations.recommenders.recommendations.list", "path": "v1beta1/{+parent}/recommendations", "flatPath": "v1beta1/folders/{foldersId}/locations/{locationsId}/recommenders/{recommendersId}/recommendations", "description": "Lists recommendations for the specified Cloud Resource. Requires the recommender.*.list IAM permission for the specified recommender.", "parameters": { "pageToken": { "type": "string", "location": "query", "description": "Optional. If present, retrieves the next batch of results from the preceding call to this method. `page_token` must be the value of `next_page_token` from the previous response. The values of other method parameters must be identical to those in the previous call." }, "parent": { "pattern": "^folders/[^/]+/locations/[^/]+/recommenders/[^/]+$", "type": "string", "description": "Required. The container resource on which to execute the request. Acceptable formats: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `projects/[PROJECT_NUMBER]/locations/[LOCATION]/recommenders/[RECOMMENDER_ID]` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `projects/[PROJECT_ID]/locations/[LOCATION]/recommenders/[RECOMMENDER_ID]` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `billingAccounts/[BILLING_ACCOUNT_ID]/locations/[LOCATION]/recommenders/[RECOMMENDER_ID]` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `folders/[FOLDER_ID]/locations/[LOCATION]/recommenders/[RECOMMENDER_ID]` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `organizations/[ORGANIZATION_ID]/locations/[LOCATION]/recommenders/[RECOMMENDER_ID]` LOCATION here refers to GCP Locations: https://cloud.google.com/about/locations/ RECOMMENDER_ID refers to supported recommenders: https://cloud.google.com/recommender/docs/recommenders.", "location": "path", "required": true }, "filter": { "type": "string", "location": "query", "description": "Filter expression to restrict the recommendations returned. Supported filter fields: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `state_info.state` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `recommenderSubtype` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `priority` Examples: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `stateInfo.state = ACTIVE OR stateInfo.state = DISMISSED` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `recommenderSubtype = REMOVE_ROLE OR recommenderSubtype = REPLACE_ROLE` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `priority = P1 OR priority = P2` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `stateInfo.state = ACTIVE AND (priority = P1 OR priority = P2)` (These expressions are based on the filter language described at https://google.aip.dev/160)" }, "pageSize": { "type": "integer", "description": "Optional. The maximum number of results to return from this request. Non-positive values are ignored. If not specified, the server will determine the number of results to return.", "format": "int32", "location": "query" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET" }, "get": { "description": "Gets the requested recommendation. Requires the recommender.*.get IAM permission for the specified recommender.", "parameterOrder": [ "name" ], "httpMethod": "GET", "parameters": { "name": { "location": "path", "pattern": "^folders/[^/]+/locations/[^/]+/recommenders/[^/]+/recommendations/[^/]+$", "description": "Required. Name of the recommendation.", "required": true, "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1beta1/{+name}", "response": { "$ref": "GoogleCloudRecommenderV1beta1Recommendation" }, "id": "recommender.folders.locations.recommenders.recommendations.get", "flatPath": "v1beta1/folders/{foldersId}/locations/{locationsId}/recommenders/{recommendersId}/recommendations/{recommendationsId}" }, "markClaimed": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Marks the Recommendation State as Claimed. Users can use this method to indicate to the Recommender API that they are starting to apply the recommendation themselves. This stops the recommendation content from being updated. Associated insights are frozen and placed in the ACCEPTED state. MarkRecommendationClaimed can be applied to recommendations in CLAIMED or ACTIVE state. Requires the recommender.*.update IAM permission for the specified recommender.", "response": { "$ref": "GoogleCloudRecommenderV1beta1Recommendation" }, "httpMethod": "POST", "parameterOrder": [ "name" ], "parameters": { "name": { "type": "string", "description": "Required. Name of the recommendation.", "location": "path", "pattern": "^folders/[^/]+/locations/[^/]+/recommenders/[^/]+/recommendations/[^/]+$", "required": true } }, "request": { "$ref": "GoogleCloudRecommenderV1beta1MarkRecommendationClaimedRequest" }, "flatPath": "v1beta1/folders/{foldersId}/locations/{locationsId}/recommenders/{recommendersId}/recommendations/{recommendationsId}:markClaimed", "path": "v1beta1/{+name}:markClaimed", "id": "recommender.folders.locations.recommenders.recommendations.markClaimed" }, "markFailed": { "flatPath": "v1beta1/folders/{foldersId}/locations/{locationsId}/recommenders/{recommendersId}/recommendations/{recommendationsId}:markFailed", "request": { "$ref": "GoogleCloudRecommenderV1beta1MarkRecommendationFailedRequest" }, "parameterOrder": [ "name" ], "response": { "$ref": "GoogleCloudRecommenderV1beta1Recommendation" }, "path": "v1beta1/{+name}:markFailed", "parameters": { "name": { "required": true, "location": "path", "type": "string", "description": "Required. Name of the recommendation.", "pattern": "^folders/[^/]+/locations/[^/]+/recommenders/[^/]+/recommendations/[^/]+$" } }, "id": "recommender.folders.locations.recommenders.recommendations.markFailed", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Marks the Recommendation State as Failed. Users can use this method to indicate to the Recommender API that they have applied the recommendation themselves, and the operation failed. This stops the recommendation content from being updated. Associated insights are frozen and placed in the ACCEPTED state. MarkRecommendationFailed can be applied to recommendations in ACTIVE, CLAIMED, SUCCEEDED, or FAILED state. Requires the recommender.*.update IAM permission for the specified recommender.", "httpMethod": "POST" }, "markSucceeded": { "response": { "$ref": "GoogleCloudRecommenderV1beta1Recommendation" }, "parameters": { "name": { "type": "string", "description": "Required. Name of the recommendation.", "location": "path", "required": true, "pattern": "^folders/[^/]+/locations/[^/]+/recommenders/[^/]+/recommendations/[^/]+$" } }, "httpMethod": "POST", "flatPath": "v1beta1/folders/{foldersId}/locations/{locationsId}/recommenders/{recommendersId}/recommendations/{recommendationsId}:markSucceeded", "id": "recommender.folders.locations.recommenders.recommendations.markSucceeded", "description": "Marks the Recommendation State as Succeeded. Users can use this method to indicate to the Recommender API that they have applied the recommendation themselves, and the operation was successful. This stops the recommendation content from being updated. Associated insights are frozen and placed in the ACCEPTED state. MarkRecommendationSucceeded can be applied to recommendations in ACTIVE, CLAIMED, SUCCEEDED, or FAILED state. Requires the recommender.*.update IAM permission for the specified recommender.", "path": "v1beta1/{+name}:markSucceeded", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "GoogleCloudRecommenderV1beta1MarkRecommendationSucceededRequest" }, "parameterOrder": [ "name" ] } } } } } } } } }, "projects": { "resources": { "locations": { "resources": { "recommenders": { "methods": { "updateConfig": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "GoogleCloudRecommenderV1beta1RecommenderConfig" }, "description": "Updates a Recommender Config. This will create a new revision of the config.", "path": "v1beta1/{+name}", "response": { "$ref": "GoogleCloudRecommenderV1beta1RecommenderConfig" }, "id": "recommender.projects.locations.recommenders.updateConfig", "parameters": { "validateOnly": { "description": "If true, validate the request and preview the change, but do not actually update it.", "type": "boolean", "location": "query" }, "updateMask": { "location": "query", "type": "string", "format": "google-fieldmask", "description": "The list of fields to be updated." }, "name": { "pattern": "^projects/[^/]+/locations/[^/]+/recommenders/[^/]+/config$", "required": true, "description": "Name of recommender config. Eg, projects/[PROJECT_NUMBER]/locations/[LOCATION]/recommenders/[RECOMMENDER_ID]/config", "type": "string", "location": "path" } }, "httpMethod": "PATCH", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/recommenders/{recommendersId}/config", "parameterOrder": [ "name" ] }, "getConfig": { "response": { "$ref": "GoogleCloudRecommenderV1beta1RecommenderConfig" }, "id": "recommender.projects.locations.recommenders.getConfig", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "path": "v1beta1/{+name}", "httpMethod": "GET", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/recommenders/{recommendersId}/config", "description": "Gets the requested Recommender Config. There is only one instance of the config for each Recommender.", "parameters": { "name": { "location": "path", "description": "Required. Name of the Recommendation Config to get. Acceptable formats: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `projects/[PROJECT_NUMBER]/locations/[LOCATION]/recommenders/[RECOMMENDER_ID]/config` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `projects/[PROJECT_ID]/locations/[LOCATION]/recommenders/[RECOMMENDER_ID]/config` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `organizations/[ORGANIZATION_ID]/locations/[LOCATION]/recommenders/[RECOMMENDER_ID]/config`", "pattern": "^projects/[^/]+/locations/[^/]+/recommenders/[^/]+/config$", "type": "string", "required": true } } } }, "resources": { "recommendations": { "methods": { "markClaimed": { "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/recommenders/{recommendersId}/recommendations/{recommendationsId}:markClaimed", "parameterOrder": [ "name" ], "id": "recommender.projects.locations.recommenders.recommendations.markClaimed", "httpMethod": "POST", "description": "Marks the Recommendation State as Claimed. Users can use this method to indicate to the Recommender API that they are starting to apply the recommendation themselves. This stops the recommendation content from being updated. Associated insights are frozen and placed in the ACCEPTED state. MarkRecommendationClaimed can be applied to recommendations in CLAIMED or ACTIVE state. Requires the recommender.*.update IAM permission for the specified recommender.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "GoogleCloudRecommenderV1beta1MarkRecommendationClaimedRequest" }, "response": { "$ref": "GoogleCloudRecommenderV1beta1Recommendation" }, "path": "v1beta1/{+name}:markClaimed", "parameters": { "name": { "description": "Required. Name of the recommendation.", "pattern": "^projects/[^/]+/locations/[^/]+/recommenders/[^/]+/recommendations/[^/]+$", "required": true, "type": "string", "location": "path" } } }, "markSucceeded": { "description": "Marks the Recommendation State as Succeeded. Users can use this method to indicate to the Recommender API that they have applied the recommendation themselves, and the operation was successful. This stops the recommendation content from being updated. Associated insights are frozen and placed in the ACCEPTED state. MarkRecommendationSucceeded can be applied to recommendations in ACTIVE, CLAIMED, SUCCEEDED, or FAILED state. Requires the recommender.*.update IAM permission for the specified recommender.", "id": "recommender.projects.locations.recommenders.recommendations.markSucceeded", "path": "v1beta1/{+name}:markSucceeded", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST", "parameters": { "name": { "location": "path", "description": "Required. Name of the recommendation.", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/recommenders/[^/]+/recommendations/[^/]+$" } }, "response": { "$ref": "GoogleCloudRecommenderV1beta1Recommendation" }, "request": { "$ref": "GoogleCloudRecommenderV1beta1MarkRecommendationSucceededRequest" }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/recommenders/{recommendersId}/recommendations/{recommendationsId}:markSucceeded", "parameterOrder": [ "name" ] }, "markFailed": { "httpMethod": "POST", "parameterOrder": [ "name" ], "request": { "$ref": "GoogleCloudRecommenderV1beta1MarkRecommendationFailedRequest" }, "id": "recommender.projects.locations.recommenders.recommendations.markFailed", "parameters": { "name": { "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/recommenders/[^/]+/recommendations/[^/]+$", "description": "Required. Name of the recommendation.", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1beta1/{+name}:markFailed", "response": { "$ref": "GoogleCloudRecommenderV1beta1Recommendation" }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/recommenders/{recommendersId}/recommendations/{recommendationsId}:markFailed", "description": "Marks the Recommendation State as Failed. Users can use this method to indicate to the Recommender API that they have applied the recommendation themselves, and the operation failed. This stops the recommendation content from being updated. Associated insights are frozen and placed in the ACCEPTED state. MarkRecommendationFailed can be applied to recommendations in ACTIVE, CLAIMED, SUCCEEDED, or FAILED state. Requires the recommender.*.update IAM permission for the specified recommender." }, "get": { "id": "recommender.projects.locations.recommenders.recommendations.get", "path": "v1beta1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/recommenders/[^/]+/recommendations/[^/]+$", "location": "path", "type": "string", "description": "Required. Name of the recommendation.", "required": true } }, "response": { "$ref": "GoogleCloudRecommenderV1beta1Recommendation" }, "httpMethod": "GET", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/recommenders/{recommendersId}/recommendations/{recommendationsId}", "description": "Gets the requested recommendation. Requires the recommender.*.get IAM permission for the specified recommender.", "parameterOrder": [ "name" ] }, "list": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/recommenders/{recommendersId}/recommendations", "description": "Lists recommendations for the specified Cloud Resource. Requires the recommender.*.list IAM permission for the specified recommender.", "parameterOrder": [ "parent" ], "httpMethod": "GET", "parameters": { "pageSize": { "location": "query", "type": "integer", "description": "Optional. The maximum number of results to return from this request. Non-positive values are ignored. If not specified, the server will determine the number of results to return.", "format": "int32" }, "pageToken": { "type": "string", "location": "query", "description": "Optional. If present, retrieves the next batch of results from the preceding call to this method. `page_token` must be the value of `next_page_token` from the previous response. The values of other method parameters must be identical to those in the previous call." }, "filter": { "type": "string", "location": "query", "description": "Filter expression to restrict the recommendations returned. Supported filter fields: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `state_info.state` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `recommenderSubtype` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `priority` Examples: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `stateInfo.state = ACTIVE OR stateInfo.state = DISMISSED` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `recommenderSubtype = REMOVE_ROLE OR recommenderSubtype = REPLACE_ROLE` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `priority = P1 OR priority = P2` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `stateInfo.state = ACTIVE AND (priority = P1 OR priority = P2)` (These expressions are based on the filter language described at https://google.aip.dev/160)" }, "parent": { "required": true, "description": "Required. The container resource on which to execute the request. Acceptable formats: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `projects/[PROJECT_NUMBER]/locations/[LOCATION]/recommenders/[RECOMMENDER_ID]` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `projects/[PROJECT_ID]/locations/[LOCATION]/recommenders/[RECOMMENDER_ID]` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `billingAccounts/[BILLING_ACCOUNT_ID]/locations/[LOCATION]/recommenders/[RECOMMENDER_ID]` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `folders/[FOLDER_ID]/locations/[LOCATION]/recommenders/[RECOMMENDER_ID]` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `organizations/[ORGANIZATION_ID]/locations/[LOCATION]/recommenders/[RECOMMENDER_ID]` LOCATION here refers to GCP Locations: https://cloud.google.com/about/locations/ RECOMMENDER_ID refers to supported recommenders: https://cloud.google.com/recommender/docs/recommenders.", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/recommenders/[^/]+$", "location": "path" } }, "response": { "$ref": "GoogleCloudRecommenderV1beta1ListRecommendationsResponse" }, "id": "recommender.projects.locations.recommenders.recommendations.list", "path": "v1beta1/{+parent}/recommendations" } } } } }, "insightTypes": { "methods": { "updateConfig": { "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/insightTypes/{insightTypesId}/config", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "id": "recommender.projects.locations.insightTypes.updateConfig", "response": { "$ref": "GoogleCloudRecommenderV1beta1InsightTypeConfig" }, "description": "Updates an InsightTypeConfig change. This will create a new revision of the config.", "request": { "$ref": "GoogleCloudRecommenderV1beta1InsightTypeConfig" }, "parameters": { "updateMask": { "format": "google-fieldmask", "type": "string", "description": "The list of fields to be updated.", "location": "query" }, "name": { "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/insightTypes/[^/]+/config$", "location": "path", "description": "Name of insight type config. Eg, projects/[PROJECT_NUMBER]/locations/[LOCATION]/insightTypes/[INSIGHT_TYPE_ID]/config" }, "validateOnly": { "description": "If true, validate the request and preview the change, but do not actually update it.", "location": "query", "type": "boolean" } }, "path": "v1beta1/{+name}", "httpMethod": "PATCH" }, "getConfig": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "GoogleCloudRecommenderV1beta1InsightTypeConfig" }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/insightTypes/{insightTypesId}/config", "httpMethod": "GET", "description": "Gets the requested InsightTypeConfig. There is only one instance of the config for each InsightType.", "parameterOrder": [ "name" ], "parameters": { "name": { "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/insightTypes/[^/]+/config$", "description": "Required. Name of the InsightTypeConfig to get. Acceptable formats: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `projects/[PROJECT_NUMBER]/locations/global/recommenders/[INSIGHT_TYPE_ID]/config` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `projects/[PROJECT_ID]/locations/global/recommenders/[INSIGHT_TYPE_ID]/config` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `organizations/[ORGANIZATION_ID]/locations/global/recommenders/[INSIGHT_TYPE_ID]/config`", "location": "path", "type": "string" } }, "id": "recommender.projects.locations.insightTypes.getConfig", "path": "v1beta1/{+name}" } }, "resources": { "insights": { "methods": { "get": { "httpMethod": "GET", "path": "v1beta1/{+name}", "parameterOrder": [ "name" ], "description": "Gets the requested insight. Requires the recommender.*.get IAM permission for the specified insight type.", "parameters": { "name": { "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/insightTypes/[^/]+/insights/[^/]+$", "description": "Required. Name of the insight.", "type": "string", "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "GoogleCloudRecommenderV1beta1Insight" }, "id": "recommender.projects.locations.insightTypes.insights.get", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/insightTypes/{insightTypesId}/insights/{insightsId}" }, "list": { "response": { "$ref": "GoogleCloudRecommenderV1beta1ListInsightsResponse" }, "parameters": { "filter": { "description": "Optional. Filter expression to restrict the insights returned. Supported filter fields: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `stateInfo.state` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `insightSubtype` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `severity` Examples: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `stateInfo.state = ACTIVE OR stateInfo.state = DISMISSED` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `insightSubtype = PERMISSIONS_USAGE` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `severity = CRITICAL OR severity = HIGH` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `stateInfo.state = ACTIVE AND (severity = CRITICAL OR severity = HIGH)` (These expressions are based on the filter language described at https://google.aip.dev/160)", "type": "string", "location": "query" }, "pageToken": { "location": "query", "description": "Optional. If present, retrieves the next batch of results from the preceding call to this method. `page_token` must be the value of `next_page_token` from the previous response. The values of other method parameters must be identical to those in the previous call.", "type": "string" }, "pageSize": { "location": "query", "description": "Optional. The maximum number of results to return from this request. Non-positive values are ignored. If not specified, the server will determine the number of results to return.", "type": "integer", "format": "int32" }, "parent": { "pattern": "^projects/[^/]+/locations/[^/]+/insightTypes/[^/]+$", "required": true, "type": "string", "description": "Required. The container resource on which to execute the request. Acceptable formats: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `projects/[PROJECT_NUMBER]/locations/[LOCATION]/insightTypes/[INSIGHT_TYPE_ID]` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `projects/[PROJECT_ID]/locations/[LOCATION]/insightTypes/[INSIGHT_TYPE_ID]` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `billingAccounts/[BILLING_ACCOUNT_ID]/locations/[LOCATION]/insightTypes/[INSIGHT_TYPE_ID]` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `folders/[FOLDER_ID]/locations/[LOCATION]/insightTypes/[INSIGHT_TYPE_ID]` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `organizations/[ORGANIZATION_ID]/locations/[LOCATION]/insightTypes/[INSIGHT_TYPE_ID]` LOCATION here refers to GCP Locations: https://cloud.google.com/about/locations/ INSIGHT_TYPE_ID refers to supported insight types: https://cloud.google.com/recommender/docs/insights/insight-types.", "location": "path" } }, "path": "v1beta1/{+parent}/insights", "description": "Lists insights for the specified Cloud Resource. Requires the recommender.*.list IAM permission for the specified insight type.", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/insightTypes/{insightTypesId}/insights", "httpMethod": "GET", "parameterOrder": [ "parent" ], "id": "recommender.projects.locations.insightTypes.insights.list", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "markAccepted": { "id": "recommender.projects.locations.insightTypes.insights.markAccepted", "request": { "$ref": "GoogleCloudRecommenderV1beta1MarkInsightAcceptedRequest" }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/insightTypes/{insightTypesId}/insights/{insightsId}:markAccepted", "description": "Marks the Insight State as Accepted. Users can use this method to indicate to the Recommender API that they have applied some action based on the insight. This stops the insight content from being updated. MarkInsightAccepted can be applied to insights in ACTIVE state. Requires the recommender.*.update IAM permission for the specified insight.", "parameters": { "name": { "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/insightTypes/[^/]+/insights/[^/]+$", "type": "string", "required": true, "description": "Required. Name of the insight." } }, "response": { "$ref": "GoogleCloudRecommenderV1beta1Insight" }, "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "path": "v1beta1/{+name}:markAccepted" } } } } } } } } }, "organizations": { "resources": { "locations": { "resources": { "insightTypes": { "methods": { "updateConfig": { "parameterOrder": [ "name" ], "parameters": { "name": { "type": "string", "location": "path", "pattern": "^organizations/[^/]+/locations/[^/]+/insightTypes/[^/]+/config$", "description": "Name of insight type config. Eg, projects/[PROJECT_NUMBER]/locations/[LOCATION]/insightTypes/[INSIGHT_TYPE_ID]/config", "required": true }, "validateOnly": { "location": "query", "type": "boolean", "description": "If true, validate the request and preview the change, but do not actually update it." }, "updateMask": { "type": "string", "format": "google-fieldmask", "location": "query", "description": "The list of fields to be updated." } }, "description": "Updates an InsightTypeConfig change. This will create a new revision of the config.", "httpMethod": "PATCH", "flatPath": "v1beta1/organizations/{organizationsId}/locations/{locationsId}/insightTypes/{insightTypesId}/config", "id": "recommender.organizations.locations.insightTypes.updateConfig", "request": { "$ref": "GoogleCloudRecommenderV1beta1InsightTypeConfig" }, "response": { "$ref": "GoogleCloudRecommenderV1beta1InsightTypeConfig" }, "path": "v1beta1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "getConfig": { "httpMethod": "GET", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1beta1/organizations/{organizationsId}/locations/{locationsId}/insightTypes/{insightTypesId}/config", "response": { "$ref": "GoogleCloudRecommenderV1beta1InsightTypeConfig" }, "description": "Gets the requested InsightTypeConfig. There is only one instance of the config for each InsightType.", "path": "v1beta1/{+name}", "id": "recommender.organizations.locations.insightTypes.getConfig", "parameters": { "name": { "required": true, "description": "Required. Name of the InsightTypeConfig to get. Acceptable formats: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `projects/[PROJECT_NUMBER]/locations/global/recommenders/[INSIGHT_TYPE_ID]/config` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `projects/[PROJECT_ID]/locations/global/recommenders/[INSIGHT_TYPE_ID]/config` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `organizations/[ORGANIZATION_ID]/locations/global/recommenders/[INSIGHT_TYPE_ID]/config`", "location": "path", "type": "string", "pattern": "^organizations/[^/]+/locations/[^/]+/insightTypes/[^/]+/config$" } } } }, "resources": { "insights": { "methods": { "list": { "parameterOrder": [ "parent" ], "id": "recommender.organizations.locations.insightTypes.insights.list", "path": "v1beta1/{+parent}/insights", "parameters": { "pageSize": { "location": "query", "type": "integer", "format": "int32", "description": "Optional. The maximum number of results to return from this request. Non-positive values are ignored. If not specified, the server will determine the number of results to return." }, "filter": { "type": "string", "location": "query", "description": "Optional. Filter expression to restrict the insights returned. Supported filter fields: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `stateInfo.state` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `insightSubtype` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `severity` Examples: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `stateInfo.state = ACTIVE OR stateInfo.state = DISMISSED` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `insightSubtype = PERMISSIONS_USAGE` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `severity = CRITICAL OR severity = HIGH` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `stateInfo.state = ACTIVE AND (severity = CRITICAL OR severity = HIGH)` (These expressions are based on the filter language described at https://google.aip.dev/160)" }, "parent": { "pattern": "^organizations/[^/]+/locations/[^/]+/insightTypes/[^/]+$", "type": "string", "location": "path", "description": "Required. The container resource on which to execute the request. Acceptable formats: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `projects/[PROJECT_NUMBER]/locations/[LOCATION]/insightTypes/[INSIGHT_TYPE_ID]` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `projects/[PROJECT_ID]/locations/[LOCATION]/insightTypes/[INSIGHT_TYPE_ID]` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `billingAccounts/[BILLING_ACCOUNT_ID]/locations/[LOCATION]/insightTypes/[INSIGHT_TYPE_ID]` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `folders/[FOLDER_ID]/locations/[LOCATION]/insightTypes/[INSIGHT_TYPE_ID]` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `organizations/[ORGANIZATION_ID]/locations/[LOCATION]/insightTypes/[INSIGHT_TYPE_ID]` LOCATION here refers to GCP Locations: https://cloud.google.com/about/locations/ INSIGHT_TYPE_ID refers to supported insight types: https://cloud.google.com/recommender/docs/insights/insight-types.", "required": true }, "pageToken": { "type": "string", "location": "query", "description": "Optional. If present, retrieves the next batch of results from the preceding call to this method. `page_token` must be the value of `next_page_token` from the previous response. The values of other method parameters must be identical to those in the previous call." } }, "response": { "$ref": "GoogleCloudRecommenderV1beta1ListInsightsResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "description": "Lists insights for the specified Cloud Resource. Requires the recommender.*.list IAM permission for the specified insight type.", "flatPath": "v1beta1/organizations/{organizationsId}/locations/{locationsId}/insightTypes/{insightTypesId}/insights" }, "markAccepted": { "parameterOrder": [ "name" ], "request": { "$ref": "GoogleCloudRecommenderV1beta1MarkInsightAcceptedRequest" }, "httpMethod": "POST", "id": "recommender.organizations.locations.insightTypes.insights.markAccepted", "flatPath": "v1beta1/organizations/{organizationsId}/locations/{locationsId}/insightTypes/{insightTypesId}/insights/{insightsId}:markAccepted", "description": "Marks the Insight State as Accepted. Users can use this method to indicate to the Recommender API that they have applied some action based on the insight. This stops the insight content from being updated. MarkInsightAccepted can be applied to insights in ACTIVE state. Requires the recommender.*.update IAM permission for the specified insight.", "response": { "$ref": "GoogleCloudRecommenderV1beta1Insight" }, "parameters": { "name": { "required": true, "location": "path", "description": "Required. Name of the insight.", "pattern": "^organizations/[^/]+/locations/[^/]+/insightTypes/[^/]+/insights/[^/]+$", "type": "string" } }, "path": "v1beta1/{+name}:markAccepted", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "get": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1beta1/organizations/{organizationsId}/locations/{locationsId}/insightTypes/{insightTypesId}/insights/{insightsId}", "id": "recommender.organizations.locations.insightTypes.insights.get", "description": "Gets the requested insight. Requires the recommender.*.get IAM permission for the specified insight type.", "path": "v1beta1/{+name}", "httpMethod": "GET", "parameters": { "name": { "description": "Required. Name of the insight.", "required": true, "pattern": "^organizations/[^/]+/locations/[^/]+/insightTypes/[^/]+/insights/[^/]+$", "type": "string", "location": "path" } }, "response": { "$ref": "GoogleCloudRecommenderV1beta1Insight" }, "parameterOrder": [ "name" ] } } } } }, "recommenders": { "methods": { "getConfig": { "httpMethod": "GET", "response": { "$ref": "GoogleCloudRecommenderV1beta1RecommenderConfig" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "required": true, "pattern": "^organizations/[^/]+/locations/[^/]+/recommenders/[^/]+/config$", "location": "path", "type": "string", "description": "Required. Name of the Recommendation Config to get. Acceptable formats: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `projects/[PROJECT_NUMBER]/locations/[LOCATION]/recommenders/[RECOMMENDER_ID]/config` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `projects/[PROJECT_ID]/locations/[LOCATION]/recommenders/[RECOMMENDER_ID]/config` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `organizations/[ORGANIZATION_ID]/locations/[LOCATION]/recommenders/[RECOMMENDER_ID]/config`" } }, "description": "Gets the requested Recommender Config. There is only one instance of the config for each Recommender.", "parameterOrder": [ "name" ], "id": "recommender.organizations.locations.recommenders.getConfig", "flatPath": "v1beta1/organizations/{organizationsId}/locations/{locationsId}/recommenders/{recommendersId}/config", "path": "v1beta1/{+name}" }, "updateConfig": { "flatPath": "v1beta1/organizations/{organizationsId}/locations/{locationsId}/recommenders/{recommendersId}/config", "request": { "$ref": "GoogleCloudRecommenderV1beta1RecommenderConfig" }, "description": "Updates a Recommender Config. This will create a new revision of the config.", "id": "recommender.organizations.locations.recommenders.updateConfig", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1beta1/{+name}", "httpMethod": "PATCH", "response": { "$ref": "GoogleCloudRecommenderV1beta1RecommenderConfig" }, "parameters": { "updateMask": { "location": "query", "format": "google-fieldmask", "type": "string", "description": "The list of fields to be updated." }, "name": { "description": "Name of recommender config. Eg, projects/[PROJECT_NUMBER]/locations/[LOCATION]/recommenders/[RECOMMENDER_ID]/config", "required": true, "pattern": "^organizations/[^/]+/locations/[^/]+/recommenders/[^/]+/config$", "location": "path", "type": "string" }, "validateOnly": { "location": "query", "description": "If true, validate the request and preview the change, but do not actually update it.", "type": "boolean" } } } }, "resources": { "recommendations": { "methods": { "markClaimed": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "GoogleCloudRecommenderV1beta1MarkRecommendationClaimedRequest" }, "path": "v1beta1/{+name}:markClaimed", "httpMethod": "POST", "flatPath": "v1beta1/organizations/{organizationsId}/locations/{locationsId}/recommenders/{recommendersId}/recommendations/{recommendationsId}:markClaimed", "description": "Marks the Recommendation State as Claimed. Users can use this method to indicate to the Recommender API that they are starting to apply the recommendation themselves. This stops the recommendation content from being updated. Associated insights are frozen and placed in the ACCEPTED state. MarkRecommendationClaimed can be applied to recommendations in CLAIMED or ACTIVE state. Requires the recommender.*.update IAM permission for the specified recommender.", "id": "recommender.organizations.locations.recommenders.recommendations.markClaimed", "parameterOrder": [ "name" ], "response": { "$ref": "GoogleCloudRecommenderV1beta1Recommendation" }, "parameters": { "name": { "required": true, "location": "path", "description": "Required. Name of the recommendation.", "pattern": "^organizations/[^/]+/locations/[^/]+/recommenders/[^/]+/recommendations/[^/]+$", "type": "string" } } }, "markSucceeded": { "path": "v1beta1/{+name}:markSucceeded", "response": { "$ref": "GoogleCloudRecommenderV1beta1Recommendation" }, "httpMethod": "POST", "parameterOrder": [ "name" ], "parameters": { "name": { "type": "string", "pattern": "^organizations/[^/]+/locations/[^/]+/recommenders/[^/]+/recommendations/[^/]+$", "description": "Required. Name of the recommendation.", "required": true, "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Marks the Recommendation State as Succeeded. Users can use this method to indicate to the Recommender API that they have applied the recommendation themselves, and the operation was successful. This stops the recommendation content from being updated. Associated insights are frozen and placed in the ACCEPTED state. MarkRecommendationSucceeded can be applied to recommendations in ACTIVE, CLAIMED, SUCCEEDED, or FAILED state. Requires the recommender.*.update IAM permission for the specified recommender.", "flatPath": "v1beta1/organizations/{organizationsId}/locations/{locationsId}/recommenders/{recommendersId}/recommendations/{recommendationsId}:markSucceeded", "request": { "$ref": "GoogleCloudRecommenderV1beta1MarkRecommendationSucceededRequest" }, "id": "recommender.organizations.locations.recommenders.recommendations.markSucceeded" }, "markFailed": { "parameterOrder": [ "name" ], "httpMethod": "POST", "request": { "$ref": "GoogleCloudRecommenderV1beta1MarkRecommendationFailedRequest" }, "response": { "$ref": "GoogleCloudRecommenderV1beta1Recommendation" }, "id": "recommender.organizations.locations.recommenders.recommendations.markFailed", "parameters": { "name": { "pattern": "^organizations/[^/]+/locations/[^/]+/recommenders/[^/]+/recommendations/[^/]+$", "description": "Required. Name of the recommendation.", "location": "path", "required": true, "type": "string" } }, "description": "Marks the Recommendation State as Failed. Users can use this method to indicate to the Recommender API that they have applied the recommendation themselves, and the operation failed. This stops the recommendation content from being updated. Associated insights are frozen and placed in the ACCEPTED state. MarkRecommendationFailed can be applied to recommendations in ACTIVE, CLAIMED, SUCCEEDED, or FAILED state. Requires the recommender.*.update IAM permission for the specified recommender.", "flatPath": "v1beta1/organizations/{organizationsId}/locations/{locationsId}/recommenders/{recommendersId}/recommendations/{recommendationsId}:markFailed", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1beta1/{+name}:markFailed" }, "get": { "httpMethod": "GET", "parameterOrder": [ "name" ], "response": { "$ref": "GoogleCloudRecommenderV1beta1Recommendation" }, "id": "recommender.organizations.locations.recommenders.recommendations.get", "flatPath": "v1beta1/organizations/{organizationsId}/locations/{locationsId}/recommenders/{recommendersId}/recommendations/{recommendationsId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Gets the requested recommendation. Requires the recommender.*.get IAM permission for the specified recommender.", "parameters": { "name": { "required": true, "description": "Required. Name of the recommendation.", "location": "path", "type": "string", "pattern": "^organizations/[^/]+/locations/[^/]+/recommenders/[^/]+/recommendations/[^/]+$" } }, "path": "v1beta1/{+name}" }, "list": { "response": { "$ref": "GoogleCloudRecommenderV1beta1ListRecommendationsResponse" }, "id": "recommender.organizations.locations.recommenders.recommendations.list", "description": "Lists recommendations for the specified Cloud Resource. Requires the recommender.*.list IAM permission for the specified recommender.", "path": "v1beta1/{+parent}/recommendations", "parameters": { "pageSize": { "description": "Optional. The maximum number of results to return from this request. Non-positive values are ignored. If not specified, the server will determine the number of results to return.", "location": "query", "format": "int32", "type": "integer" }, "filter": { "description": "Filter expression to restrict the recommendations returned. Supported filter fields: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `state_info.state` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `recommenderSubtype` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `priority` Examples: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `stateInfo.state = ACTIVE OR stateInfo.state = DISMISSED` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `recommenderSubtype = REMOVE_ROLE OR recommenderSubtype = REPLACE_ROLE` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `priority = P1 OR priority = P2` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `stateInfo.state = ACTIVE AND (priority = P1 OR priority = P2)` (These expressions are based on the filter language described at https://google.aip.dev/160)", "location": "query", "type": "string" }, "parent": { "description": "Required. The container resource on which to execute the request. Acceptable formats: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `projects/[PROJECT_NUMBER]/locations/[LOCATION]/recommenders/[RECOMMENDER_ID]` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `projects/[PROJECT_ID]/locations/[LOCATION]/recommenders/[RECOMMENDER_ID]` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `billingAccounts/[BILLING_ACCOUNT_ID]/locations/[LOCATION]/recommenders/[RECOMMENDER_ID]` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `folders/[FOLDER_ID]/locations/[LOCATION]/recommenders/[RECOMMENDER_ID]` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `organizations/[ORGANIZATION_ID]/locations/[LOCATION]/recommenders/[RECOMMENDER_ID]` LOCATION here refers to GCP Locations: https://cloud.google.com/about/locations/ RECOMMENDER_ID refers to supported recommenders: https://cloud.google.com/recommender/docs/recommenders.", "pattern": "^organizations/[^/]+/locations/[^/]+/recommenders/[^/]+$", "type": "string", "location": "path", "required": true }, "pageToken": { "type": "string", "location": "query", "description": "Optional. If present, retrieves the next batch of results from the preceding call to this method. `page_token` must be the value of `next_page_token` from the previous response. The values of other method parameters must be identical to those in the previous call." } }, "httpMethod": "GET", "parameterOrder": [ "parent" ], "flatPath": "v1beta1/organizations/{organizationsId}/locations/{locationsId}/recommenders/{recommendersId}/recommendations", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] } } } } } } } } } }, "name": "recommender", "fullyEncodeReservedExpansion": true, "basePath": "", "canonicalName": "Recommender", "servicePath": "", "revision": "20220626", "version": "v1beta1", "mtlsRootUrl": "https://recommender.mtls.googleapis.com/" }
]===]))
