local decode = require("cjson").new().decode
return assert(decode([===[
{ "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." } } } }, "description": "Creates and manages Redis instances on the Google Cloud Platform.", "kind": "discovery#restDescription", "ownerName": "Google", "version": "v1", "name": "redis", "batchPath": "batch", "icons": { "x16": "http://www.google.com/images/icons/product/search-16.gif", "x32": "http://www.google.com/images/icons/product/search-32.gif" }, "mtlsRootUrl": "https://redis.mtls.googleapis.com/", "documentationLink": "https://cloud.google.com/memorystore/docs/redis/", "revision": "20220627", "canonicalName": "Cloud Redis", "baseUrl": "https://redis.googleapis.com/", "version_module": true, "parameters": { "upload_protocol": { "type": "string", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "location": "query" }, "access_token": { "location": "query", "description": "OAuth access token.", "type": "string" }, "prettyPrint": { "description": "Returns response with indentations and line breaks.", "default": "true", "location": "query", "type": "boolean" }, "callback": { "location": "query", "description": "JSONP", "type": "string" }, "fields": { "location": "query", "type": "string", "description": "Selector specifying which fields to include in a partial response." }, "uploadType": { "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "type": "string", "location": "query" }, "$.xgafv": { "type": "string", "description": "V1 error format.", "enum": [ "1", "2" ], "enumDescriptions": [ "v1 error format", "v2 error format" ], "location": "query" }, "alt": { "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "description": "Data format for response.", "default": "json", "type": "string", "location": "query", "enum": [ "json", "media", "proto" ] }, "key": { "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "location": "query", "type": "string" }, "oauth_token": { "location": "query", "type": "string", "description": "OAuth 2.0 token for the current user." }, "quotaUser": { "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "type": "string", "location": "query" } }, "resources": { "projects": { "resources": { "locations": { "resources": { "operations": { "methods": { "list": { "description": "Lists operations that match the specified filter in the request. If the server doesn't support this method, it returns `UNIMPLEMENTED`. NOTE: the `name` binding allows API services to override the binding to use different resource name schemes, such as `users/*/operations`. To override the binding, API services can add a binding such as `\"/v1/{name=users/*}/operations\"` to their service configuration. For backwards compatibility, the default name includes the operations collection id, however overriding users must ensure the name binding is the parent resource, without the operations collection id.", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/operations", "id": "redis.projects.locations.operations.list", "path": "v1/{+name}/operations", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "parameters": { "pageSize": { "format": "int32", "description": "The standard list page size.", "type": "integer", "location": "query" }, "filter": { "location": "query", "type": "string", "description": "The standard list filter." }, "pageToken": { "type": "string", "description": "The standard list page token.", "location": "query" }, "name": { "description": "The name of the operation's parent resource.", "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+$", "location": "path" } }, "httpMethod": "GET", "response": { "$ref": "ListOperationsResponse" } }, "cancel": { "parameters": { "name": { "required": true, "type": "string", "location": "path", "description": "The name of the operation resource to be cancelled.", "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$" } }, "httpMethod": "POST", "path": "v1/{+name}:cancel", "description": "Starts asynchronous cancellation on a long-running operation. The server makes a best effort to cancel the operation, but success is not guaranteed. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`. Clients can use Operations.GetOperation or other methods to check whether the cancellation succeeded or whether the operation completed despite cancellation. On successful cancellation, the operation is not deleted; instead, it becomes an operation with an Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "redis.projects.locations.operations.cancel", "parameterOrder": [ "name" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}:cancel", "response": { "$ref": "Empty" } }, "delete": { "id": "redis.projects.locations.operations.delete", "httpMethod": "DELETE", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Empty" }, "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "type": "string", "location": "path", "required": true, "description": "The name of the operation resource to be deleted." } }, "path": "v1/{+name}", "parameterOrder": [ "name" ], "description": "Deletes a long-running operation. This method indicates that the client is no longer interested in the operation result. It does not cancel the operation. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`.", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}" }, "get": { "httpMethod": "GET", "description": "Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service.", "response": { "$ref": "Operation" }, "parameterOrder": [ "name" ], "path": "v1/{+name}", "parameters": { "name": { "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "location": "path", "description": "The name of the operation resource." } }, "id": "redis.projects.locations.operations.get", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] } } }, "instances": { "methods": { "import": { "httpMethod": "POST", "request": { "$ref": "ImportInstanceRequest" }, "description": "Import a Redis RDB snapshot file from Cloud Storage into a Redis instance. Redis may stop serving during this operation. Instance state will be IMPORTING for entire operation. When complete, the instance will contain only data from the imported file. The returned operation is automatically deleted after a few hours, so there is no need to call DeleteOperation.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/instances/[^/]+$", "type": "string", "description": "Required. Redis instance resource name using the form: `projects/{project_id}/locations/{location_id}/instances/{instance_id}` where `location_id` refers to a GCP region." } }, "path": "v1/{+name}:import", "parameterOrder": [ "name" ], "response": { "$ref": "Operation" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/instances/{instancesId}:import", "id": "redis.projects.locations.instances.import" }, "create": { "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/instances", "id": "redis.projects.locations.instances.create", "parameterOrder": [ "parent" ], "path": "v1/{+parent}/instances", "request": { "$ref": "Instance" }, "parameters": { "instanceId": { "type": "string", "location": "query", "description": "Required. The logical name of the Redis instance in the customer project with the following restrictions: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Must contain only lowercase letters, numbers, and hyphens. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Must start with a letter. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Must be between 1-40 characters. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Must end with a number or a letter. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Must be unique within the customer project / location" }, "parent": { "description": "Required. The resource name of the instance location using the form: `projects/{project_id}/locations/{location_id}` where `location_id` refers to a GCP region.", "type": "string", "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+$" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Operation" }, "description": "Creates a Redis instance based on the specified tier and memory size. By default, the instance is accessible from the project's [default network](https://cloud.google.com/vpc/docs/vpc). The creation is executed asynchronously and callers may check the returned operation to track its progress. Once the operation is completed the Redis instance will be fully functional. Completed longrunning.Operation will contain the new instance object in the response field. The returned operation is automatically deleted after a few hours, so there is no need to call DeleteOperation.", "httpMethod": "POST" }, "failover": { "response": { "$ref": "Operation" }, "id": "redis.projects.locations.instances.failover", "parameterOrder": [ "name" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/instances/{instancesId}:failover", "description": "Initiates a failover of the primary node to current replica node for a specific STANDARD tier Cloud Memorystore for Redis instance.", "path": "v1/{+name}:failover", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST", "request": { "$ref": "FailoverInstanceRequest" }, "parameters": { "name": { "required": true, "description": "Required. Redis instance resource name using the form: `projects/{project_id}/locations/{location_id}/instances/{instance_id}` where `location_id` refers to a GCP region.", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/instances/[^/]+$", "location": "path" } } }, "delete": { "parameterOrder": [ "name" ], "id": "redis.projects.locations.instances.delete", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/instances/{instancesId}", "parameters": { "name": { "required": true, "location": "path", "type": "string", "description": "Required. Redis instance resource name using the form: `projects/{project_id}/locations/{location_id}/instances/{instance_id}` where `location_id` refers to a GCP region.", "pattern": "^projects/[^/]+/locations/[^/]+/instances/[^/]+$" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Operation" }, "path": "v1/{+name}", "httpMethod": "DELETE", "description": "Deletes a specific Redis instance. Instance stops serving and data is deleted." }, "patch": { "path": "v1/{+name}", "request": { "$ref": "Instance" }, "httpMethod": "PATCH", "response": { "$ref": "Operation" }, "id": "redis.projects.locations.instances.patch", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Updates the metadata and configuration of a specific Redis instance. Completed longrunning.Operation will contain the new instance object in the response field. The returned operation is automatically deleted after a few hours, so there is no need to call DeleteOperation.", "parameterOrder": [ "name" ], "parameters": { "updateMask": { "description": "Required. Mask of fields to update. At least one path must be supplied in this field. The elements of the repeated paths field may only include these fields from Instance: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `displayName` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `labels` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `memorySizeGb` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `redisConfig` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `replica_count`", "format": "google-fieldmask", "type": "string", "location": "query" }, "name": { "pattern": "^projects/[^/]+/locations/[^/]+/instances/[^/]+$", "location": "path", "required": true, "type": "string", "description": "Required. Unique name of the resource in this scope including project and location using the form: `projects/{project_id}/locations/{location_id}/instances/{instance_id}` Note: Redis instances are managed and addressed at regional level so location_id here refers to a GCP region; however, users may choose which specific zone (or collection of zones for cross-zone instances) an instance should be provisioned in. Refer to location_id and alternative_location_id fields for more details." } }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/instances/{instancesId}" }, "rescheduleMaintenance": { "httpMethod": "POST", "request": { "$ref": "RescheduleMaintenanceRequest" }, "id": "redis.projects.locations.instances.rescheduleMaintenance", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Reschedule maintenance for a given instance in a given project and location.", "parameterOrder": [ "name" ], "response": { "$ref": "Operation" }, "parameters": { "name": { "location": "path", "type": "string", "description": "Required. Redis instance resource name using the form: `projects/{project_id}/locations/{location_id}/instances/{instance_id}` where `location_id` refers to a GCP region.", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/instances/[^/]+$" } }, "path": "v1/{+name}:rescheduleMaintenance", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/instances/{instancesId}:rescheduleMaintenance" }, "get": { "parameters": { "name": { "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/instances/[^/]+$", "description": "Required. Redis instance resource name using the form: `projects/{project_id}/locations/{location_id}/instances/{instance_id}` where `location_id` refers to a GCP region.", "type": "string", "location": "path" } }, "description": "Gets the details of a specific Redis instance.", "path": "v1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/instances/{instancesId}", "response": { "$ref": "Instance" }, "parameterOrder": [ "name" ], "id": "redis.projects.locations.instances.get", "httpMethod": "GET" }, "getAuthString": { "response": { "$ref": "InstanceAuthString" }, "description": "Gets the AUTH string for a Redis instance. If AUTH is not enabled for the instance the response will be empty. This information is not included in the details returned to GetInstance.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/instances/[^/]+$", "description": "Required. Redis instance resource name using the form: `projects/{project_id}/locations/{location_id}/instances/{instance_id}` where `location_id` refers to a GCP region.", "type": "string", "required": true } }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/instances/{instancesId}/authString", "parameterOrder": [ "name" ], "httpMethod": "GET", "id": "redis.projects.locations.instances.getAuthString", "path": "v1/{+name}/authString" }, "upgrade": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Operation" }, "description": "Upgrades Redis instance to the newer Redis version specified in the request.", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/instances/{instancesId}:upgrade", "parameters": { "name": { "required": true, "description": "Required. Redis instance resource name using the form: `projects/{project_id}/locations/{location_id}/instances/{instance_id}` where `location_id` refers to a GCP region.", "pattern": "^projects/[^/]+/locations/[^/]+/instances/[^/]+$", "location": "path", "type": "string" } }, "path": "v1/{+name}:upgrade", "httpMethod": "POST", "id": "redis.projects.locations.instances.upgrade", "request": { "$ref": "UpgradeInstanceRequest" }, "parameterOrder": [ "name" ] }, "export": { "parameters": { "name": { "type": "string", "location": "path", "description": "Required. Redis instance resource name using the form: `projects/{project_id}/locations/{location_id}/instances/{instance_id}` where `location_id` refers to a GCP region.", "pattern": "^projects/[^/]+/locations/[^/]+/instances/[^/]+$", "required": true } }, "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "ExportInstanceRequest" }, "path": "v1/{+name}:export", "description": "Export Redis instance data into a Redis RDB format file in Cloud Storage. Redis will continue serving during this operation. The returned operation is automatically deleted after a few hours, so there is no need to call DeleteOperation.", "parameterOrder": [ "name" ], "httpMethod": "POST", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/instances/{instancesId}:export", "id": "redis.projects.locations.instances.export" }, "list": { "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/instances", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "parent" ], "httpMethod": "GET", "parameters": { "parent": { "pattern": "^projects/[^/]+/locations/[^/]+$", "location": "path", "description": "Required. The resource name of the instance location using the form: `projects/{project_id}/locations/{location_id}` where `location_id` refers to a GCP region.", "type": "string", "required": true }, "pageSize": { "location": "query", "description": "The maximum number of items to return. If not specified, a default value of 1000 will be used by the service. Regardless of the page_size value, the response may include a partial list and a caller should only rely on response's `next_page_token` to determine if there are more instances left to be queried.", "type": "integer", "format": "int32" }, "pageToken": { "description": "The `next_page_token` value returned from a previous ListInstances request, if any.", "type": "string", "location": "query" } }, "description": "Lists all Redis instances owned by a project in either the specified location (region) or all locations. The location should have the following format: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `projects/{project_id}/locations/{location_id}` If `location_id` is specified as `-` (wildcard), then all regions available to the project are queried, and the results are aggregated.", "path": "v1/{+parent}/instances", "id": "redis.projects.locations.instances.list", "response": { "$ref": "ListInstancesResponse" } } } } }, "methods": { "list": { "id": "redis.projects.locations.list", "response": { "$ref": "ListLocationsResponse" }, "path": "v1/{+name}/locations", "httpMethod": "GET", "parameters": { "pageSize": { "location": "query", "type": "integer", "format": "int32", "description": "The maximum number of results to return. If not set, the service selects a default." }, "filter": { "location": "query", "description": "A filter to narrow down results to a preferred subset. The filtering language accepts strings like `\"displayName=tokyo\"`, and is documented in more detail in [AIP-160](https://google.aip.dev/160).", "type": "string" }, "pageToken": { "description": "A page token received from the `next_page_token` field in the response. Send that page token to receive the subsequent page.", "type": "string", "location": "query" }, "name": { "required": true, "type": "string", "pattern": "^projects/[^/]+$", "location": "path", "description": "The resource that owns the locations collection, if applicable." } }, "flatPath": "v1/projects/{projectsId}/locations", "description": "Lists information about the supported locations for this service.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ] }, "get": { "id": "redis.projects.locations.get", "path": "v1/{+name}", "description": "Gets information about a location.", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}", "response": { "$ref": "Location" }, "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "parameters": { "name": { "description": "Resource name for the location.", "pattern": "^projects/[^/]+/locations/[^/]+$", "required": true, "type": "string", "location": "path" } } } } } } } }, "title": "Google Cloud Memorystore for Redis API", "id": "redis:v1", "servicePath": "", "schemas": { "ListInstancesResponse": { "id": "ListInstancesResponse", "properties": { "nextPageToken": { "type": "string", "description": "Token to retrieve the next page of results, or empty if there are no more results in the list." }, "instances": { "items": { "$ref": "Instance" }, "description": "A list of Redis instances in the project in the specified location, or across all locations. If the `location_id` in the parent field of the request is \"-\", all regions available to the project are queried, and the results aggregated. If in such an aggregated query a location is unavailable, a placeholder Redis entry is included in the response with the `name` field set to a value of the form `projects/{project_id}/locations/{location_id}/instances/`- and the `status` field set to ERROR and `status_message` field set to \"location not available for ListInstances\".", "type": "array" }, "unreachable": { "type": "array", "description": "Locations that could not be reached.", "items": { "type": "string" } } }, "type": "object", "description": "Response for ListInstances." }, "WeeklyMaintenanceWindow": { "properties": { "day": { "enum": [ "DAY_OF_WEEK_UNSPECIFIED", "MONDAY", "TUESDAY", "WEDNESDAY", "THURSDAY", "FRIDAY", "SATURDAY", "SUNDAY" ], "enumDescriptions": [ "The day of the week is unspecified.", "Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday", "Sunday" ], "type": "string", "description": "Required. The day of week that maintenance updates occur." }, "duration": { "format": "google-duration", "type": "string", "description": "Output only. Duration of the maintenance window. The current window is fixed at 1 hour.", "readOnly": true }, "startTime": { "$ref": "TimeOfDay", "description": "Required. Start time of the window in UTC time." } }, "id": "WeeklyMaintenanceWindow", "description": "Time window in which disruptive maintenance updates occur. Non-disruptive updates can occur inside or outside this window.", "type": "object" }, "TimeOfDay": { "type": "object", "description": "Represents a time of day. The date and time zone are either not significant or are specified elsewhere. An API may choose to allow leap seconds. Related types are google.type.Date and `google.protobuf.Timestamp`.", "properties": { "minutes": { "format": "int32", "type": "integer", "description": "Minutes of hour of day. Must be from 0 to 59." }, "seconds": { "format": "int32", "description": "Seconds of minutes of the time. Must normally be from 0 to 59. An API may allow the value 60 if it allows leap-seconds.", "type": "integer" }, "hours": { "description": "Hours of day in 24 hour format. Should be from 0 to 23. An API may choose to allow the value \"24:00:00\" for scenarios like business closing time.", "type": "integer", "format": "int32" }, "nanos": { "description": "Fractions of seconds in nanoseconds. Must be from 0 to 999,999,999.", "type": "integer", "format": "int32" } }, "id": "TimeOfDay" }, "InputConfig": { "type": "object", "description": "The input content", "properties": { "gcsSource": { "$ref": "GcsSource", "description": "Google Cloud Storage location where input content is located." } }, "id": "InputConfig" }, "ListOperationsResponse": { "description": "The response message for Operations.ListOperations.", "properties": { "nextPageToken": { "description": "The standard List next-page token.", "type": "string" }, "operations": { "description": "A list of operations that matches the specified filter in the request.", "items": { "$ref": "Operation" }, "type": "array" } }, "type": "object", "id": "ListOperationsResponse" }, "GoogleCloudRedisV1ZoneMetadata": { "type": "object", "properties": {}, "id": "GoogleCloudRedisV1ZoneMetadata", "description": "Defines specific information for a particular zone. Currently empty and reserved for future use only." }, "InstanceAuthString": { "id": "InstanceAuthString", "properties": { "authString": { "type": "string", "description": "AUTH string set on the instance." } }, "description": "Instance AUTH string details.", "type": "object" }, "Instance": { "id": "Instance", "description": "A Memorystore for Redis instance.", "type": "object", "properties": { "name": { "type": "string", "description": "Required. Unique name of the resource in this scope including project and location using the form: `projects/{project_id}/locations/{location_id}/instances/{instance_id}` Note: Redis instances are managed and addressed at regional level so location_id here refers to a GCP region; however, users may choose which specific zone (or collection of zones for cross-zone instances) an instance should be provisioned in. Refer to location_id and alternative_location_id fields for more details." }, "port": { "readOnly": true, "description": "Output only. The port number of the exposed Redis endpoint.", "type": "integer", "format": "int32" }, "memorySizeGb": { "description": "Required. Redis memory size in GiB.", "format": "int32", "type": "integer" }, "persistenceConfig": { "$ref": "PersistenceConfig", "description": "Optional. Persistence configuration parameters" }, "alternativeLocationId": { "description": "Optional. If specified, at least one node will be provisioned in this zone in addition to the zone specified in location_id. Only applicable to standard tier. If provided, it must be a different zone from the one provided in [location_id]. Additional nodes beyond the first 2 will be placed in zones selected by the service.", "type": "string" }, "redisConfigs": { "additionalProperties": { "type": "string" }, "type": "object", "description": "Optional. Redis configuration parameters, according to http://redis.io/topics/config. Currently, the only supported parameters are: Redis version 3.2 and newer: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh maxmemory-policy LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh notify-keyspace-events Redis version 4.0 and newer: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh activedefrag LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh lfu-decay-time LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh lfu-log-factor LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh maxmemory-gb Redis version 5.0 and newer: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh stream-node-max-bytes LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh stream-node-max-entries" }, "readEndpointPort": { "readOnly": true, "type": "integer", "format": "int32", "description": "Output only. The port number of the exposed readonly redis endpoint. Standard tier only. Write requests should target 'port'." }, "readEndpoint": { "description": "Output only. Hostname or IP address of the exposed readonly Redis endpoint. Standard tier only. Targets all healthy replica nodes in instance. Replication is asynchronous and replica nodes will exhibit some lag behind the primary. Write requests must target 'host'.", "readOnly": true, "type": "string" }, "createTime": { "type": "string", "readOnly": true, "description": "Output only. The time the instance was created.", "format": "google-datetime" }, "labels": { "description": "Resource labels to represent user provided metadata", "type": "object", "additionalProperties": { "type": "string" } }, "host": { "description": "Output only. Hostname or IP address of the exposed Redis endpoint used by clients to connect to the service.", "readOnly": true, "type": "string" }, "nodes": { "items": { "$ref": "NodeInfo" }, "description": "Output only. Info per node.", "readOnly": true, "type": "array" }, "connectMode": { "type": "string", "enum": [ "CONNECT_MODE_UNSPECIFIED", "DIRECT_PEERING", "PRIVATE_SERVICE_ACCESS" ], "description": "Optional. The network connect mode of the Redis instance. If not provided, the connect mode defaults to DIRECT_PEERING.", "enumDescriptions": [ "Not set.", "Connect via direct peering to the Memorystore for Redis hosted service.", "Connect your Memorystore for Redis instance using Private Service Access. Private services access provides an IP address range for multiple Google Cloud services, including Memorystore." ] }, "replicaCount": { "description": "Optional. The number of replica nodes. The valid range for the Standard Tier with read replicas enabled is [1-5] and defaults to 2. If read replicas are not enabled for a Standard Tier instance, the only valid value is 1 and the default is 1. The valid value for basic tier is 0 and the default is also 0.", "format": "int32", "type": "integer" }, "authEnabled": { "description": "Optional. Indicates whether OSS Redis AUTH is enabled for the instance. If set to \"true\" AUTH is enabled on the instance. Default value is \"false\" meaning AUTH is disabled.", "type": "boolean" }, "displayName": { "type": "string", "description": "An arbitrary and optional user-provided name for the instance." }, "secondaryIpRange": { "description": "Optional. Additional IP range for node placement. Required when enabling read replicas on an existing instance. For DIRECT_PEERING mode value must be a CIDR range of size /28, or \"auto\". For PRIVATE_SERVICE_ACCESS mode value must be the name of an allocated address range associated with the private service access connection, or \"auto\".", "type": "string" }, "currentLocationId": { "type": "string", "readOnly": true, "description": "Output only. The current zone where the Redis primary node is located. In basic tier, this will always be the same as [location_id]. In standard tier, this can be the zone of any node in the instance." }, "tier": { "type": "string", "description": "Required. The service tier of the instance.", "enumDescriptions": [ "Not set.", "BASIC tier: standalone instance", "STANDARD_HA tier: highly available primary/replica instances" ], "enum": [ "TIER_UNSPECIFIED", "BASIC", "STANDARD_HA" ] }, "reservedIpRange": { "description": "Optional. For DIRECT_PEERING mode, the CIDR range of internal addresses that are reserved for this instance. Range must be unique and non-overlapping with existing subnets in an authorized network. For PRIVATE_SERVICE_ACCESS mode, the name of one allocated IP address ranges associated with this private service access connection. If not provided, the service will choose an unused /29 block, for example, 10.0.0.0/29 or 192.168.0.0/29. For READ_REPLICAS_ENABLED the default block size is /28.", "type": "string" }, "statusMessage": { "description": "Output only. Additional information about the current status of this instance, if available.", "readOnly": true, "type": "string" }, "transitEncryptionMode": { "description": "Optional. The TLS mode of the Redis instance. If not provided, TLS is disabled for the instance.", "type": "string", "enum": [ "TRANSIT_ENCRYPTION_MODE_UNSPECIFIED", "SERVER_AUTHENTICATION", "DISABLED" ], "enumDescriptions": [ "Not set.", "Client to Server traffic encryption enabled with server authentication.", "TLS is disabled for the instance." ] }, "customerManagedKey": { "type": "string", "description": "Optional. The KMS key reference that the customer provides when trying to create the instance." }, "state": { "description": "Output only. The current state of this instance.", "readOnly": true, "type": "string", "enumDescriptions": [ "Not set.", "Redis instance is being created.", "Redis instance has been created and is fully usable.", "Redis instance configuration is being updated. Certain kinds of updates may cause the instance to become unusable while the update is in progress.", "Redis instance is being deleted.", "Redis instance is being repaired and may be unusable.", "Maintenance is being performed on this Redis instance.", "Redis instance is importing data (availability may be affected).", "Redis instance is failing over (availability may be affected)." ], "enum": [ "STATE_UNSPECIFIED", "CREATING", "READY", "UPDATING", "DELETING", "REPAIRING", "MAINTENANCE", "IMPORTING", "FAILING_OVER" ] }, "authorizedNetwork": { "description": "Optional. The full name of the Google Compute Engine [network](https://cloud.google.com/vpc/docs/vpc) to which the instance is connected. If left unspecified, the `default` network will be used.", "type": "string" }, "maintenancePolicy": { "description": "Optional. The maintenance policy for the instance. If not provided, maintenance events can be performed at any time.", "$ref": "MaintenancePolicy" }, "suspensionReasons": { "description": "Optional. reasons that causes instance in \"SUSPENDED\" state.", "items": { "enumDescriptions": [ "Not set.", "Something wrong with the CMEK key provided by customer." ], "type": "string", "enum": [ "SUSPENSION_REASON_UNSPECIFIED", "CUSTOMER_MANAGED_KEY_ISSUE" ] }, "type": "array" }, "persistenceIamIdentity": { "type": "string", "readOnly": true, "description": "Output only. Cloud IAM identity used by import / export operations to transfer data to/from Cloud Storage. Format is \"serviceAccount:\". The value may change over time for a given instance so should be checked before each import/export operation." }, "readReplicasMode": { "description": "Optional. Read replicas mode for the instance. Defaults to READ_REPLICAS_DISABLED.", "type": "string", "enumDescriptions": [ "If not set, Memorystore Redis backend will default to READ_REPLICAS_DISABLED.", "If disabled, read endpoint will not be provided and the instance cannot scale up or down the number of replicas.", "If enabled, read endpoint will be provided and the instance can scale up and down the number of replicas. Not valid for basic tier." ], "enum": [ "READ_REPLICAS_MODE_UNSPECIFIED", "READ_REPLICAS_DISABLED", "READ_REPLICAS_ENABLED" ] }, "maintenanceSchedule": { "$ref": "MaintenanceSchedule", "readOnly": true, "description": "Output only. Date and time of upcoming maintenance events which have been scheduled." }, "serverCaCerts": { "items": { "$ref": "TlsCertificate" }, "type": "array", "description": "Output only. List of server CA certificates for the instance.", "readOnly": true }, "locationId": { "description": "Optional. The zone where the instance will be provisioned. If not provided, the service will choose a zone from the specified region for the instance. For standard tier, additional nodes will be added across multiple zones for protection against zonal failures. If specified, at least one node will be provisioned in this zone.", "type": "string" }, "redisVersion": { "type": "string", "description": "Optional. The version of Redis software. If not provided, latest supported version will be used. Currently, the supported values are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `REDIS_3_2` for Redis 3.2 compatibility LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `REDIS_4_0` for Redis 4.0 compatibility (default) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `REDIS_5_0` for Redis 5.0 compatibility LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `REDIS_6_X` for Redis 6.x compatibility" } } }, "NodeInfo": { "description": "Node specific properties.", "type": "object", "properties": { "id": { "description": "Output only. Node identifying string. e.g. 'node-0', 'node-1'", "readOnly": true, "type": "string" }, "zone": { "readOnly": true, "type": "string", "description": "Output only. Location of the node." } }, "id": "NodeInfo" }, "GoogleCloudRedisV1LocationMetadata": { "type": "object", "properties": { "availableZones": { "description": "Output only. The set of available zones in the location. The map is keyed by the lowercase ID of each zone, as defined by GCE. These keys can be specified in `location_id` or `alternative_location_id` fields when creating a Redis instance.", "additionalProperties": { "$ref": "GoogleCloudRedisV1ZoneMetadata" }, "type": "object", "readOnly": true } }, "description": "This location metadata represents additional configuration options for a given location where a Redis instance may be created. All fields are output only. It is returned as content of the `google.cloud.location.Location.metadata` field.", "id": "GoogleCloudRedisV1LocationMetadata" }, "Operation": { "id": "Operation", "description": "This resource represents a long-running operation that is the result of a network API call.", "properties": { "error": { "description": "The error result of the operation in case of failure or cancellation.", "$ref": "Status" }, "metadata": { "description": "{ `createTime`: The time the operation was created. `endTime`: The time the operation finished running. `target`: Server-defined resource path for the target of the operation. `verb`: Name of the verb executed by the operation. `statusDetail`: Human-readable status of the operation, if any. `cancelRequested`: Identifies whether the user has requested cancellation of the operation. Operations that have successfully been cancelled have Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`. `apiVersion`: API version used to start the operation. }", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "type": "object" }, "name": { "description": "The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the `name` should be a resource name ending with `operations/{unique_id}`.", "type": "string" }, "done": { "description": "If the value is `false`, it means the operation is still in progress. If `true`, the operation is completed, and either `error` or `response` is available.", "type": "boolean" }, "response": { "type": "object", "description": "The normal response of the operation in case of success. If the original method returns no data on success, such as `Delete`, the response is `google.protobuf.Empty`. If the original method is standard `Get`/`Create`/`Update`, the response should be the resource. For other methods, the response should have the type `XxxResponse`, where `Xxx` is the original method name. For example, if the original method name is `TakeSnapshot()`, the inferred response type is `TakeSnapshotResponse`.", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" } } }, "type": "object" }, "Status": { "description": "The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors).", "properties": { "message": { "type": "string", "description": "A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client." }, "details": { "description": "A list of messages that carry the error details. There is a common set of message types for APIs to use.", "items": { "type": "object", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" } }, "type": "array" }, "code": { "format": "int32", "type": "integer", "description": "The status code, which should be an enum value of google.rpc.Code." } }, "id": "Status", "type": "object" }, "ListLocationsResponse": { "description": "The response message for Locations.ListLocations.", "id": "ListLocationsResponse", "properties": { "nextPageToken": { "type": "string", "description": "The standard List next-page token." }, "locations": { "type": "array", "description": "A list of locations that matches the specified filter in the request.", "items": { "$ref": "Location" } } }, "type": "object" }, "GcsDestination": { "properties": { "uri": { "type": "string", "description": "Required. Data destination URI (e.g. 'gs://my_bucket/my_object'). Existing files will be overwritten." } }, "description": "The Cloud Storage location for the output content", "type": "object", "id": "GcsDestination" }, "Location": { "properties": { "labels": { "description": "Cross-service attributes for the location. For example {\"cloud.googleapis.com/region\": \"us-east1\"}", "type": "object", "additionalProperties": { "type": "string" } }, "displayName": { "type": "string", "description": "The friendly name for this location, typically a nearby city name. For example, \"Tokyo\"." }, "name": { "type": "string", "description": "Full resource name for the region. For example: \"projects/example-project/locations/us-east1\"." }, "locationId": { "description": "Resource ID for the region. For example: \"us-east1\".", "type": "string" }, "metadata": { "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "description": "Output only. The set of available zones in the location. The map is keyed by the lowercase ID of each zone, as defined by Compute Engine. These keys can be specified in `location_id` or `alternative_location_id` fields when creating a Redis instance.", "type": "object" } }, "type": "object", "description": "A resource that represents Google Cloud Platform location.", "id": "Location" }, "FailoverInstanceRequest": { "id": "FailoverInstanceRequest", "type": "object", "description": "Request for Failover.", "properties": { "dataProtectionMode": { "enum": [ "DATA_PROTECTION_MODE_UNSPECIFIED", "LIMITED_DATA_LOSS", "FORCE_DATA_LOSS" ], "enumDescriptions": [ "Defaults to LIMITED_DATA_LOSS if a data protection mode is not specified.", "Instance failover will be protected with data loss control. More specifically, the failover will only be performed if the current replication offset diff between primary and replica is under a certain threshold.", "Instance failover will be performed without data loss control." ], "description": "Optional. Available data protection modes that the user can choose. If it's unspecified, data protection mode will be LIMITED_DATA_LOSS by default.", "type": "string" } } }, "GcsSource": { "properties": { "uri": { "type": "string", "description": "Required. Source data URI. (e.g. 'gs://my_bucket/my_object')." } }, "type": "object", "id": "GcsSource", "description": "The Cloud Storage location for the input content" }, "ExportInstanceRequest": { "properties": { "outputConfig": { "$ref": "OutputConfig", "description": "Required. Specify data to be exported." } }, "id": "ExportInstanceRequest", "description": "Request for Export.", "type": "object" }, "Empty": { "properties": {}, "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }", "id": "Empty", "type": "object" }, "TlsCertificate": { "description": "TlsCertificate Resource", "type": "object", "properties": { "sha1Fingerprint": { "description": "Sha1 Fingerprint of the certificate.", "type": "string" }, "serialNumber": { "type": "string", "description": "Serial number, as extracted from the certificate." }, "expireTime": { "type": "string", "description": "Output only. The time when the certificate expires in [RFC 3339](https://tools.ietf.org/html/rfc3339) format, for example `2020-05-18T00:00:00.094Z`.", "readOnly": true, "format": "google-datetime" }, "cert": { "description": "PEM representation.", "type": "string" }, "createTime": { "format": "google-datetime", "description": "Output only. The time when the certificate was created in [RFC 3339](https://tools.ietf.org/html/rfc3339) format, for example `2020-05-18T00:00:00.094Z`.", "type": "string", "readOnly": true } }, "id": "TlsCertificate" }, "UpgradeInstanceRequest": { "type": "object", "id": "UpgradeInstanceRequest", "properties": { "redisVersion": { "description": "Required. Specifies the target version of Redis software to upgrade to.", "type": "string" } }, "description": "Request for UpgradeInstance." }, "GoogleCloudRedisV1OperationMetadata": { "type": "object", "id": "GoogleCloudRedisV1OperationMetadata", "properties": { "verb": { "type": "string", "description": "Operation verb." }, "cancelRequested": { "description": "Specifies if cancellation was requested for the operation.", "type": "boolean" }, "endTime": { "type": "string", "description": "End timestamp.", "format": "google-datetime" }, "statusDetail": { "description": "Operation status details.", "type": "string" }, "apiVersion": { "description": "API version.", "type": "string" }, "createTime": { "format": "google-datetime", "description": "Creation timestamp.", "type": "string" }, "target": { "type": "string", "description": "Operation target." } }, "description": "Represents the v1 metadata of the long-running operation." }, "ImportInstanceRequest": { "properties": { "inputConfig": { "$ref": "InputConfig", "description": "Required. Specify data to be imported." } }, "type": "object", "id": "ImportInstanceRequest", "description": "Request for Import." }, "RescheduleMaintenanceRequest": { "type": "object", "id": "RescheduleMaintenanceRequest", "properties": { "rescheduleType": { "type": "string", "enum": [ "RESCHEDULE_TYPE_UNSPECIFIED", "IMMEDIATE", "NEXT_AVAILABLE_WINDOW", "SPECIFIC_TIME" ], "description": "Required. If reschedule type is SPECIFIC_TIME, must set up schedule_time as well.", "enumDescriptions": [ "Not set.", "If the user wants to schedule the maintenance to happen now.", "If the user wants to use the existing maintenance policy to find the next available window.", "If the user wants to reschedule the maintenance to a specific time." ] }, "scheduleTime": { "description": "Optional. Timestamp when the maintenance shall be rescheduled to if reschedule_type=SPECIFIC_TIME, in RFC 3339 format, for example `2012-11-15T16:19:00.094Z`.", "format": "google-datetime", "type": "string" } }, "description": "Request for RescheduleMaintenance." }, "PersistenceConfig": { "id": "PersistenceConfig", "properties": { "persistenceMode": { "enumDescriptions": [ "Not set.", "Persistence is disabled for the instance, and any existing snapshots are deleted.", "RDB based Persistence is enabled." ], "description": "Optional. Controls whether Persistence features are enabled. If not provided, the existing value will be used.", "type": "string", "enum": [ "PERSISTENCE_MODE_UNSPECIFIED", "DISABLED", "RDB" ] }, "rdbNextSnapshotTime": { "format": "google-datetime", "readOnly": true, "description": "Output only. The next time that a snapshot attempt is scheduled to occur.", "type": "string" }, "rdbSnapshotPeriod": { "enum": [ "SNAPSHOT_PERIOD_UNSPECIFIED", "ONE_HOUR", "SIX_HOURS", "TWELVE_HOURS", "TWENTY_FOUR_HOURS" ], "enumDescriptions": [ "Not set.", "Snapshot every 1 hour.", "Snapshot every 6 hours.", "Snapshot every 12 hours.", "Snapshot every 24 horus." ], "type": "string", "description": "Optional. Period between RDB snapshots. Snapshots will be attempted every period starting from the provided snapshot start time. For example, a start time of 01/01/2033 06:45 and SIX_HOURS snapshot period will do nothing until 01/01/2033, and then trigger snapshots every day at 06:45, 12:45, 18:45, and 00:45 the next day, and so on. If not provided, TWENTY_FOUR_HOURS will be used as default." }, "rdbSnapshotStartTime": { "type": "string", "format": "google-datetime", "description": "Optional. Date and time that the first snapshot was/will be attempted, and to which future snapshots will be aligned. If not provided, the current time will be used." } }, "description": "Configuration of the persistence functionality.", "type": "object" }, "MaintenancePolicy": { "id": "MaintenancePolicy", "type": "object", "properties": { "description": { "description": "Optional. Description of what this policy is for. Create/Update methods return INVALID_ARGUMENT if the length is greater than 512.", "type": "string" }, "createTime": { "description": "Output only. The time when the policy was created.", "format": "google-datetime", "readOnly": true, "type": "string" }, "weeklyMaintenanceWindow": { "description": "Optional. Maintenance window that is applied to resources covered by this policy. Minimum 1. For the current version, the maximum number of weekly_window is expected to be one.", "type": "array", "items": { "$ref": "WeeklyMaintenanceWindow" } }, "updateTime": { "type": "string", "description": "Output only. The time when the policy was last updated.", "format": "google-datetime", "readOnly": true } }, "description": "Maintenance policy for an instance." }, "OutputConfig": { "properties": { "gcsDestination": { "$ref": "GcsDestination", "description": "Google Cloud Storage destination for output content." } }, "description": "The output content", "type": "object", "id": "OutputConfig" }, "MaintenanceSchedule": { "properties": { "endTime": { "description": "Output only. The end time of any upcoming scheduled maintenance for this instance.", "readOnly": true, "type": "string", "format": "google-datetime" }, "startTime": { "readOnly": true, "description": "Output only. The start time of any upcoming scheduled maintenance for this instance.", "type": "string", "format": "google-datetime" }, "canReschedule": { "type": "boolean", "description": "If the scheduled maintenance can be rescheduled, default is true." }, "scheduleDeadlineTime": { "format": "google-datetime", "type": "string", "readOnly": true, "description": "Output only. The deadline that the maintenance schedule start time can not go beyond, including reschedule." } }, "id": "MaintenanceSchedule", "type": "object", "description": "Upcoming maintenance schedule. If no maintenance is scheduled, fields are not populated." } }, "protocol": "rest", "basePath": "", "rootUrl": "https://redis.googleapis.com/", "discoveryVersion": "v1", "ownerDomain": "google.com", "fullyEncodeReservedExpansion": true }
]===]))
