local decode = require("cjson").new().decode
return assert(decode([===[
{ "ownerDomain": "google.com", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." } } } }, "id": "retail:v2", "schemas": { "GoogleCloudRetailV2betaRejoinUserEventsResponse": { "id": "GoogleCloudRetailV2betaRejoinUserEventsResponse", "properties": { "rejoinedUserEventsCount": { "type": "string", "format": "int64", "description": "Number of user events that were joined with latest product catalog." } }, "description": "Response message for RejoinUserEvents method.", "type": "object" }, "GoogleCloudRetailV2betaRemoveFulfillmentPlacesResponse": { "type": "object", "properties": {}, "id": "GoogleCloudRetailV2betaRemoveFulfillmentPlacesResponse", "description": "Response of the RemoveFulfillmentPlacesRequest. Currently empty because there is no meaningful response populated from the ProductService.RemoveFulfillmentPlaces method." }, "GoogleCloudRetailV2CompletionDetail": { "type": "object", "id": "GoogleCloudRetailV2CompletionDetail", "description": "Detailed completion information including completion attribution token and clicked completion info.", "properties": { "completionAttributionToken": { "description": "Completion attribution token in CompleteQueryResponse.attribution_token.", "type": "string" }, "selectedPosition": { "type": "integer", "format": "int32", "description": "End user selected CompleteQueryResponse.CompletionResult.suggestion position, starting from 0." }, "selectedSuggestion": { "description": "End user selected CompleteQueryResponse.CompletionResult.suggestion.", "type": "string" } } }, "GoogleCloudRetailV2SetInventoryResponse": { "description": "Response of the SetInventoryRequest. Currently empty because there is no meaningful response populated from the ProductService.SetInventory method.", "id": "GoogleCloudRetailV2SetInventoryResponse", "properties": {}, "type": "object" }, "GoogleCloudRetailV2SearchRequestFacetSpec": { "description": "A facet specification to perform faceted search.", "type": "object", "id": "GoogleCloudRetailV2SearchRequestFacetSpec", "properties": { "facetKey": { "$ref": "GoogleCloudRetailV2SearchRequestFacetSpecFacetKey", "description": "Required. The facet key specification." }, "excludedFilterKeys": { "description": "List of keys to exclude when faceting. By default, FacetKey.key is not excluded from the filter unless it is listed in this field. Listing a facet key in this field allows its values to appear as facet results, even when they are filtered out of search results. Using this field does not affect what search results are returned. For example, suppose there are 100 products with the color facet \"Red\" and 200 products with the color facet \"Blue\". A query containing the filter \"colorFamilies:ANY(\"Red\")\" and having \"colorFamilies\" as FacetKey.key would by default return only \"Red\" products in the search results, and also return \"Red\" with count 100 as the only color facet. Although there are also blue products available, \"Blue\" would not be shown as an available facet value. If \"colorFamilies\" is listed in \"excludedFilterKeys\", then the query returns the facet values \"Red\" with count 100 and \"Blue\" with count 200, because the \"colorFamilies\" key is now excluded from the filter. Because this field doesn't affect search results, the search results are still correctly filtered to return only \"Red\" products. A maximum of 100 values are allowed. Otherwise, an INVALID_ARGUMENT error is returned.", "items": { "type": "string" }, "type": "array" }, "limit": { "description": "Maximum of facet values that should be returned for this facet. If unspecified, defaults to 20. The maximum allowed value is 300. Values above 300 will be coerced to 300. If this field is negative, an INVALID_ARGUMENT is returned.", "type": "integer", "format": "int32" }, "enableDynamicPosition": { "type": "boolean", "description": "Enables dynamic position for this facet. If set to true, the position of this facet among all facets in the response is determined by Google Retail Search. It will be ordered together with dynamic facets if dynamic facets is enabled. If set to false, the position of this facet in the response will be the same as in the request, and it will be ranked before the facets with dynamic position enable and all dynamic facets. For example, you may always want to have rating facet returned in the response, but it's not necessarily to always display the rating facet at the top. In that case, you can set enable_dynamic_position to true so that the position of rating facet in response will be determined by Google Retail Search. Another example, assuming you have the following facets in the request: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"rating\", enable_dynamic_position = true LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"price\", enable_dynamic_position = false LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"brands\", enable_dynamic_position = false And also you have a dynamic facets enable, which will generate a facet 'gender'. Then the final order of the facets in the response can be (\"price\", \"brands\", \"rating\", \"gender\") or (\"price\", \"brands\", \"gender\", \"rating\") depends on how Google Retail Search orders \"gender\" and \"rating\" facets. However, notice that \"price\" and \"brands\" will always be ranked at 1st and 2nd position since their enable_dynamic_position are false." } } }, "GoogleCloudRetailV2betaExportUserEventsResponse": { "properties": { "errorSamples": { "items": { "$ref": "GoogleRpcStatus" }, "type": "array", "description": "A sample of errors encountered while processing the request." }, "errorsConfig": { "description": "This field is never set.", "$ref": "GoogleCloudRetailV2betaExportErrorsConfig" } }, "id": "GoogleCloudRetailV2betaExportUserEventsResponse", "type": "object", "description": "Response of the ExportUserEventsRequest. If the long running operation was successful, then this message is returned by the google.longrunning.Operations.response field if the operation was successful." }, "GoogleCloudRetailV2betaRejoinUserEventsMetadata": { "id": "GoogleCloudRetailV2betaRejoinUserEventsMetadata", "type": "object", "properties": {}, "description": "Metadata for RejoinUserEvents method." }, "GoogleCloudRetailV2alphaImportMetadata": { "properties": { "updateTime": { "type": "string", "description": "Operation last update time. If the operation is done, this is also the finish time.", "format": "google-datetime" }, "notificationPubsubTopic": { "type": "string", "description": "Pub/Sub topic for receiving notification. If this field is set, when the import is finished, a notification will be sent to specified Pub/Sub topic. The message data will be JSON string of a Operation. Format of the Pub/Sub topic is `projects/{project}/topics/{topic}`." }, "createTime": { "format": "google-datetime", "type": "string", "description": "Operation create time." }, "requestId": { "description": "Deprecated. This field is never set.", "type": "string" }, "successCount": { "description": "Count of entries that were processed successfully.", "format": "int64", "type": "string" }, "failureCount": { "type": "string", "format": "int64", "description": "Count of entries that encountered errors while processing." } }, "id": "GoogleCloudRetailV2alphaImportMetadata", "type": "object", "description": "Metadata related to the progress of the Import operation. This will be returned by the google.longrunning.Operation.metadata field." }, "GoogleCloudRetailV2UserInfo": { "description": "Information of an end user.", "id": "GoogleCloudRetailV2UserInfo", "properties": { "ipAddress": { "description": "The end user's IP address. This field is used to extract location information for personalization. This field must be either an IPv4 address (e.g. \"104.133.9.80\") or an IPv6 address (e.g. \"2001:0db8:85a3:0000:0000:8a2e:0370:7334\"). Otherwise, an INVALID_ARGUMENT error is returned. This should not be set when: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh setting SearchRequest.user_info. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh using the JavaScript tag in UserEventService.CollectUserEvent or if direct_user_request is set.", "type": "string" }, "userId": { "description": "Highly recommended for logged-in users. Unique identifier for logged-in user, such as a user name. Don't set for anonymous users. Always use a hashed value for this ID. Don't set the field to the same fixed ID for different users. This mixes the event history of those users together, which results in degraded model quality. The field must be a UTF-8 encoded string with a length limit of 128 characters. Otherwise, an INVALID_ARGUMENT error is returned.", "type": "string" }, "userAgent": { "description": "User agent as included in the HTTP header. Required for getting SearchResponse.sponsored_results. The field must be a UTF-8 encoded string with a length limit of 1,000 characters. Otherwise, an INVALID_ARGUMENT error is returned. This should not be set when using the client side event reporting with GTM or JavaScript tag in UserEventService.CollectUserEvent or if direct_user_request is set.", "type": "string" }, "directUserRequest": { "type": "boolean", "description": "True if the request is made directly from the end user, in which case the ip_address and user_agent can be populated from the HTTP request. This flag should be set only if the API request is made directly from the end user such as a mobile app (and not if a gateway or a server is processing and pushing the user events). This should not be set when using the JavaScript tag in UserEventService.CollectUserEvent." } }, "type": "object" }, "GoogleCloudRetailV2PriceInfoPriceRange": { "type": "object", "properties": { "originalPrice": { "$ref": "GoogleCloudRetailV2Interval", "description": "The inclusive Product.pricing_info.original_price internal of all variant Product having the same Product.primary_product_id." }, "price": { "description": "The inclusive Product.pricing_info.price interval of all variant Product having the same Product.primary_product_id.", "$ref": "GoogleCloudRetailV2Interval" } }, "description": "The price range of all variant Product having the same Product.primary_product_id.", "id": "GoogleCloudRetailV2PriceInfoPriceRange" }, "GoogleCloudRetailV2SetInventoryRequest": { "type": "object", "description": "Request message for ProductService.SetInventory method.", "properties": { "inventory": { "$ref": "GoogleCloudRetailV2Product", "description": "Required. The inventory information to update. The allowable fields to update are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Product.price_info LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Product.availability LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Product.available_quantity LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Product.fulfillment_info The updated inventory fields must be specified in SetInventoryRequest.set_mask. If SetInventoryRequest.inventory.name is empty or invalid, an INVALID_ARGUMENT error is returned. If the caller does not have permission to update the Product named in Product.name, regardless of whether or not it exists, a PERMISSION_DENIED error is returned. If the Product to update does not have existing inventory information, the provided inventory information will be inserted. If the Product to update has existing inventory information, the provided inventory information will be merged while respecting the last update time for each inventory field, using the provided or default value for SetInventoryRequest.set_time. The caller can replace place IDs for a subset of fulfillment types in the following ways: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Adds \"fulfillment_info\" in SetInventoryRequest.set_mask LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Specifies only the desired fulfillment types and corresponding place IDs to update in SetInventoryRequest.inventory.fulfillment_info The caller can clear all place IDs from a subset of fulfillment types in the following ways: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Adds \"fulfillment_info\" in SetInventoryRequest.set_mask LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Specifies only the desired fulfillment types to clear in SetInventoryRequest.inventory.fulfillment_info LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Checks that only the desired fulfillment info types have empty SetInventoryRequest.inventory.fulfillment_info.place_ids The last update time is recorded for the following inventory fields: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Product.price_info LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Product.availability LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Product.available_quantity LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Product.fulfillment_info If a full overwrite of inventory information while ignoring timestamps is needed, ProductService.UpdateProduct should be invoked instead." }, "setMask": { "description": "Indicates which inventory fields in the provided Product to update. At least one field must be provided. If an unsupported or unknown field is provided, an INVALID_ARGUMENT error is returned and the entire update will be ignored.", "format": "google-fieldmask", "type": "string" }, "allowMissing": { "description": "If set to true, and the Product with name Product.name is not found, the inventory update will still be processed and retained for at most 1 day until the Product is created. If set to false, a NOT_FOUND error is returned if the Product is not found.", "type": "boolean" }, "setTime": { "description": "The time when the request is issued, used to prevent out-of-order updates on inventory fields with the last update time recorded. If not provided, the internal system time will be used.", "type": "string", "format": "google-datetime" } }, "id": "GoogleCloudRetailV2SetInventoryRequest" }, "GoogleCloudRetailV2betaImportMetadata": { "type": "object", "id": "GoogleCloudRetailV2betaImportMetadata", "properties": { "notificationPubsubTopic": { "type": "string", "description": "Pub/Sub topic for receiving notification. If this field is set, when the import is finished, a notification will be sent to specified Pub/Sub topic. The message data will be JSON string of a Operation. Format of the Pub/Sub topic is `projects/{project}/topics/{topic}`." }, "successCount": { "format": "int64", "type": "string", "description": "Count of entries that were processed successfully." }, "failureCount": { "format": "int64", "description": "Count of entries that encountered errors while processing.", "type": "string" }, "createTime": { "type": "string", "format": "google-datetime", "description": "Operation create time." }, "requestId": { "type": "string", "description": "Deprecated. This field is never set." }, "updateTime": { "format": "google-datetime", "type": "string", "description": "Operation last update time. If the operation is done, this is also the finish time." } }, "description": "Metadata related to the progress of the Import operation. This will be returned by the google.longrunning.Operation.metadata field." }, "GoogleCloudRetailV2betaRemoveLocalInventoriesMetadata": { "id": "GoogleCloudRetailV2betaRemoveLocalInventoriesMetadata", "description": "Metadata related to the progress of the RemoveLocalInventories operation. Currently empty because there is no meaningful metadata populated from the ProductService.RemoveLocalInventories method.", "type": "object", "properties": {} }, "GoogleCloudRetailV2AddFulfillmentPlacesRequest": { "type": "object", "id": "GoogleCloudRetailV2AddFulfillmentPlacesRequest", "properties": { "type": { "description": "Required. The fulfillment type, including commonly used types (such as pickup in store and same day delivery), and custom types. Supported values: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"pickup-in-store\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"ship-to-store\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"same-day-delivery\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"next-day-delivery\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"custom-type-1\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"custom-type-2\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"custom-type-3\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"custom-type-4\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"custom-type-5\" If this field is set to an invalid value other than these, an INVALID_ARGUMENT error is returned. This field directly corresponds to Product.fulfillment_info.type.", "type": "string" }, "allowMissing": { "description": "If set to true, and the Product is not found, the fulfillment information will still be processed and retained for at most 1 day and processed once the Product is created. If set to false, a NOT_FOUND error is returned if the Product is not found.", "type": "boolean" }, "placeIds": { "type": "array", "items": { "type": "string" }, "description": "Required. The IDs for this type, such as the store IDs for \"pickup-in-store\" or the region IDs for \"same-day-delivery\" to be added for this type. Duplicate IDs will be automatically ignored. At least 1 value is required, and a maximum of 2000 values are allowed. Each value must be a string with a length limit of 10 characters, matching the pattern `[a-zA-Z0-9_-]+`, such as \"store1\" or \"REGION-2\". Otherwise, an INVALID_ARGUMENT error is returned. If the total number of place IDs exceeds 2000 for this type after adding, then the update will be rejected." }, "addTime": { "type": "string", "description": "The time when the fulfillment updates are issued, used to prevent out-of-order updates on fulfillment information. If not provided, the internal system time will be used.", "format": "google-datetime" } }, "description": "Request message for ProductService.AddFulfillmentPlaces method." }, "GoogleCloudRetailV2Image": { "type": "object", "id": "GoogleCloudRetailV2Image", "description": "Product image. Recommendations AI and Retail Search do not use product images to improve prediction and search results. However, product images can be returned in results, and are shown in prediction or search previews in the console.", "properties": { "uri": { "type": "string", "description": "Required. URI of the image. This field must be a valid UTF-8 encoded URI with a length limit of 5,000 characters. Otherwise, an INVALID_ARGUMENT error is returned. Google Merchant Center property [image_link](https://support.google.com/merchants/answer/6324350). Schema.org property [Product.image](https://schema.org/image)." }, "width": { "format": "int32", "type": "integer", "description": "Width of the image in number of pixels. This field must be nonnegative. Otherwise, an INVALID_ARGUMENT error is returned." }, "height": { "type": "integer", "format": "int32", "description": "Height of the image in number of pixels. This field must be nonnegative. Otherwise, an INVALID_ARGUMENT error is returned." } } }, "GoogleCloudRetailV2alphaImportCompletionDataResponse": { "id": "GoogleCloudRetailV2alphaImportCompletionDataResponse", "type": "object", "properties": { "errorSamples": { "type": "array", "description": "A sample of errors encountered while processing the request.", "items": { "$ref": "GoogleRpcStatus" } } }, "description": "Response of the ImportCompletionDataRequest. If the long running operation is done, this message is returned by the google.longrunning.Operations.response field if the operation is successful." }, "GoogleCloudRetailV2ImportProductsRequest": { "type": "object", "properties": { "requestId": { "type": "string", "description": "Deprecated. This field has no effect." }, "errorsConfig": { "$ref": "GoogleCloudRetailV2ImportErrorsConfig", "description": "The desired location of errors incurred during the Import." }, "inputConfig": { "description": "Required. The desired input location of the data.", "$ref": "GoogleCloudRetailV2ProductInputConfig" }, "notificationPubsubTopic": { "description": "Full Pub/Sub topic name for receiving notification. If this field is set, when the import is finished, a notification will be sent to specified Pub/Sub topic. The message data will be JSON string of a Operation. Format of the Pub/Sub topic is `projects/{project}/topics/{topic}`. It has to be within the same project as ImportProductsRequest.parent. Make sure that both `cloud-retail-customer-data-access@system.gserviceaccount.com` and `service-@gcp-sa-retail.iam.gserviceaccount.com` have the `pubsub.topics.publish` IAM permission on the topic. Only supported when ImportProductsRequest.reconciliation_mode is set to `FULL`.", "type": "string" }, "reconciliationMode": { "description": "The mode of reconciliation between existing products and the products to be imported. Defaults to ReconciliationMode.INCREMENTAL.", "type": "string", "enum": [ "RECONCILIATION_MODE_UNSPECIFIED", "INCREMENTAL", "FULL" ], "enumDescriptions": [ "Defaults to INCREMENTAL.", "Inserts new products or updates existing products.", "Calculates diff and replaces the entire product dataset. Existing products may be deleted if they are not present in the source location. Can only be set while using BigQuerySource. And the BigQuery dataset must be created in the data location \"us (multiple regions in United States)\", otherwise a PERMISSION_DENIED error is thrown. Add the IAM permission \"BigQuery Data Viewer\" for cloud-retail-customer-data-access@system.gserviceaccount.com before using this feature otherwise an error is thrown." ] }, "updateMask": { "type": "string", "description": "Indicates which fields in the provided imported 'products' to update. If not set, will by default update all fields.", "format": "google-fieldmask" } }, "description": "Request message for Import methods.", "id": "GoogleCloudRetailV2ImportProductsRequest" }, "GoogleCloudRetailV2UserEvent": { "type": "object", "description": "UserEvent captures all metadata information Retail API needs to know about how end users interact with customers' website.", "properties": { "purchaseTransaction": { "description": "A transaction represents the entire purchase transaction. Required for `purchase-complete` events. Other event types should not set this field. Otherwise, an INVALID_ARGUMENT error is returned.", "$ref": "GoogleCloudRetailV2PurchaseTransaction" }, "completionDetail": { "$ref": "GoogleCloudRetailV2CompletionDetail", "description": "The main auto-completion details related to the event. This field should be set for `search` event when autocomplete function is enabled and the user clicks a suggestion for search." }, "orderBy": { "description": "The order in which products are returned. See SearchRequest.order_by for definition and syntax. The value must be a UTF-8 encoded string with a length limit of 1,000 characters. Otherwise, an INVALID_ARGUMENT error is returned. This can only be set for `search` events. Other event types should not set this field. Otherwise, an INVALID_ARGUMENT error is returned.", "type": "string" }, "attributionToken": { "type": "string", "description": "Highly recommended for user events that are the result of PredictionService.Predict. This field enables accurate attribution of recommendation model performance. The value must be a valid PredictResponse.attribution_token for user events that are the result of PredictionService.Predict. The value must be a valid SearchResponse.attribution_token for user events that are the result of SearchService.Search. This token enables us to accurately attribute page view or purchase back to the event and the particular predict response containing this clicked/purchased product. If user clicks on product K in the recommendation results, pass PredictResponse.attribution_token as a URL parameter to product K's page. When recording events on product K's page, log the PredictResponse.attribution_token to this field." }, "cartId": { "description": "The ID or name of the associated shopping cart. This ID is used to associate multiple items added or present in the cart before purchase. This can only be set for `add-to-cart`, `purchase-complete`, or `shopping-cart-page-view` events.", "type": "string" }, "userInfo": { "$ref": "GoogleCloudRetailV2UserInfo", "description": "User information." }, "visitorId": { "description": "Required. A unique identifier for tracking visitors. For example, this could be implemented with an HTTP cookie, which should be able to uniquely identify a visitor on a single device. This unique identifier should not change if the visitor log in/out of the website. Don't set the field to the same fixed ID for different users. This mixes the event history of those users together, which results in degraded model quality. The field must be a UTF-8 encoded string with a length limit of 128 characters. Otherwise, an INVALID_ARGUMENT error is returned. The field should not contain PII or user-data. We recommend to use Google Analytics [Client ID](https://developers.google.com/analytics/devguides/collection/analyticsjs/field-reference#clientId) for this field.", "type": "string" }, "experimentIds": { "description": "A list of identifiers for the independent experiment groups this user event belongs to. This is used to distinguish between user events associated with different experiment setups (e.g. using Retail API, using different recommendation models).", "type": "array", "items": { "type": "string" } }, "attributes": { "description": "Extra user event features to include in the recommendation model. If you provide custom attributes for ingested user events, also include them in the user events that you associate with prediction requests. Custom attribute formatting must be consistent between imported events and events provided with prediction requests. This lets the Retail API use those custom attributes when training models and serving predictions, which helps improve recommendation quality. This field needs to pass all below criteria, otherwise an INVALID_ARGUMENT error is returned: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The key must be a UTF-8 encoded string with a length limit of 5,000 characters. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh For text attributes, at most 400 values are allowed. Empty values are not allowed. Each value must be a UTF-8 encoded string with a length limit of 256 characters. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh For number attributes, at most 400 values are allowed. For product recommendations, an example of extra user information is traffic_channel, which is how a user arrives at the site. Users can arrive at the site by coming to the site directly, coming through Google search, or in other ways.", "type": "object", "additionalProperties": { "$ref": "GoogleCloudRetailV2CustomAttribute" } }, "sessionId": { "description": "A unique identifier for tracking a visitor session with a length limit of 128 bytes. A session is an aggregation of an end user behavior in a time span. A general guideline to populate the sesion_id: 1. If user has no activity for 30 min, a new session_id should be assigned. 2. The session_id should be unique across users, suggest use uuid or add visitor_id as prefix.", "type": "string" }, "referrerUri": { "type": "string", "description": "The referrer URL of the current page. When using the client side event reporting with JavaScript pixel and Google Tag Manager, this value is filled in automatically." }, "pageCategories": { "description": "The categories associated with a category page. To represent full path of category, use '\u003e' sign to separate different hierarchies. If '\u003e' is part of the category name, please replace it with other character(s). Category pages include special pages such as sales or promotions. For instance, a special sale page may have the category hierarchy: \"pageCategories\" : [\"Sales \u003e 2017 Black Friday Deals\"]. Required for `category-page-view` events. At least one of search_query or page_categories is required for `search` events. Other event types should not set this field. Otherwise, an INVALID_ARGUMENT error is returned.", "type": "array", "items": { "type": "string" } }, "eventTime": { "type": "string", "format": "google-datetime", "description": "Only required for UserEventService.ImportUserEvents method. Timestamp of when the user event happened." }, "offset": { "format": "int32", "type": "integer", "description": "An integer that specifies the current offset for pagination (the 0-indexed starting location, amongst the products deemed by the API as relevant). See SearchRequest.offset for definition. If this field is negative, an INVALID_ARGUMENT is returned. This can only be set for `search` events. Other event types should not set this field. Otherwise, an INVALID_ARGUMENT error is returned." }, "uri": { "description": "Complete URL (window.location.href) of the user's current page. When using the client side event reporting with JavaScript pixel and Google Tag Manager, this value is filled in automatically. Maximum length 5,000 characters.", "type": "string" }, "pageViewId": { "type": "string", "description": "A unique ID of a web page view. This should be kept the same for all user events triggered from the same pageview. For example, an item detail page view could trigger multiple events as the user is browsing the page. The `pageViewId` property should be kept the same for all these events so that they can be grouped together properly. When using the client side event reporting with JavaScript pixel and Google Tag Manager, this value is filled in automatically." }, "eventType": { "type": "string", "description": "Required. User event type. Allowed values are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `add-to-cart`: Products being added to cart. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `category-page-view`: Special pages such as sale or promotion pages viewed. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `detail-page-view`: Products detail page viewed. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `home-page-view`: Homepage viewed. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `promotion-offered`: Promotion is offered to a user. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `promotion-not-offered`: Promotion is not offered to a user. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `purchase-complete`: User finishing a purchase. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `search`: Product search. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `shopping-cart-page-view`: User viewing a shopping cart." }, "searchQuery": { "description": "The user's search query. See SearchRequest.query for definition. The value must be a UTF-8 encoded string with a length limit of 5,000 characters. Otherwise, an INVALID_ARGUMENT error is returned. At least one of search_query or page_categories is required for `search` events. Other event types should not set this field. Otherwise, an INVALID_ARGUMENT error is returned.", "type": "string" }, "filter": { "type": "string", "description": "The filter syntax consists of an expression language for constructing a predicate from one or more fields of the products being filtered. See SearchRequest.filter for definition and syntax. The value must be a UTF-8 encoded string with a length limit of 1,000 characters. Otherwise, an INVALID_ARGUMENT error is returned." }, "productDetails": { "items": { "$ref": "GoogleCloudRetailV2ProductDetail" }, "type": "array", "description": "The main product details related to the event. This field is optional except for the following event types: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `add-to-cart` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `detail-page-view` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `purchase-complete` In a `search` event, this field represents the products returned to the end user on the current page (the end user may have not finished browsing the whole page yet). When a new page is returned to the end user, after pagination/filtering/ordering even for the same query, a new `search` event with different product_details is desired. The end user may have not finished browsing the whole page yet." } }, "id": "GoogleCloudRetailV2UserEvent" }, "GoogleCloudRetailV2betaSetInventoryResponse": { "type": "object", "id": "GoogleCloudRetailV2betaSetInventoryResponse", "properties": {}, "description": "Response of the SetInventoryRequest. Currently empty because there is no meaningful response populated from the ProductService.SetInventory method." }, "GoogleCloudRetailV2RemoveFulfillmentPlacesMetadata": { "type": "object", "id": "GoogleCloudRetailV2RemoveFulfillmentPlacesMetadata", "properties": {}, "description": "Metadata related to the progress of the RemoveFulfillmentPlaces operation. Currently empty because there is no meaningful metadata populated from the ProductService.RemoveFulfillmentPlaces method." }, "GoogleCloudRetailV2alphaUserEventImportSummary": { "description": "A summary of import result. The UserEventImportSummary summarizes the import status for user events.", "type": "object", "properties": { "unjoinedEventsCount": { "type": "string", "format": "int64", "description": "Count of user events imported, but with catalog information not found in the imported catalog." }, "joinedEventsCount": { "format": "int64", "type": "string", "description": "Count of user events imported with complete existing catalog information." } }, "id": "GoogleCloudRetailV2alphaUserEventImportSummary" }, "GoogleCloudRetailV2alphaSetInventoryResponse": { "description": "Response of the SetInventoryRequest. Currently empty because there is no meaningful response populated from the ProductService.SetInventory method.", "type": "object", "id": "GoogleCloudRetailV2alphaSetInventoryResponse", "properties": {} }, "GoogleCloudRetailV2SearchResponseFacet": { "properties": { "key": { "description": "The key for this facet. E.g., \"colorFamilies\" or \"price\" or \"attributes.attr1\".", "type": "string" }, "values": { "items": { "$ref": "GoogleCloudRetailV2SearchResponseFacetFacetValue" }, "type": "array", "description": "The facet values for this field." }, "dynamicFacet": { "description": "Whether the facet is dynamically generated.", "type": "boolean" } }, "id": "GoogleCloudRetailV2SearchResponseFacet", "type": "object", "description": "A facet result." }, "GoogleCloudRetailV2alphaAddFulfillmentPlacesMetadata": { "description": "Metadata related to the progress of the AddFulfillmentPlaces operation. Currently empty because there is no meaningful metadata populated from the ProductService.AddFulfillmentPlaces method.", "type": "object", "properties": {}, "id": "GoogleCloudRetailV2alphaAddFulfillmentPlacesMetadata" }, "GoogleCloudRetailV2alphaPurgeUserEventsResponse": { "description": "Response of the PurgeUserEventsRequest. If the long running operation is successfully done, then this message is returned by the google.longrunning.Operations.response field.", "properties": { "purgedEventsCount": { "format": "int64", "type": "string", "description": "The total count of events purged as a result of the operation." } }, "type": "object", "id": "GoogleCloudRetailV2alphaPurgeUserEventsResponse" }, "GoogleCloudRetailV2FulfillmentInfo": { "type": "object", "properties": { "type": { "description": "The fulfillment type, including commonly used types (such as pickup in store and same day delivery), and custom types. Customers have to map custom types to their display names before rendering UI. Supported values: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"pickup-in-store\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"ship-to-store\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"same-day-delivery\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"next-day-delivery\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"custom-type-1\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"custom-type-2\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"custom-type-3\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"custom-type-4\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"custom-type-5\" If this field is set to an invalid value other than these, an INVALID_ARGUMENT error is returned.", "type": "string" }, "placeIds": { "description": "The IDs for this type, such as the store IDs for FulfillmentInfo.type.pickup-in-store or the region IDs for FulfillmentInfo.type.same-day-delivery. A maximum of 3000 values are allowed. Each value must be a string with a length limit of 30 characters, matching the pattern `[a-zA-Z0-9_-]+`, such as \"store1\" or \"REGION-2\". Otherwise, an INVALID_ARGUMENT error is returned.", "type": "array", "items": { "type": "string" } } }, "id": "GoogleCloudRetailV2FulfillmentInfo", "description": "Fulfillment information, such as the store IDs for in-store pickup or region IDs for different shipping methods." }, "GoogleCloudRetailV2alphaRemoveFulfillmentPlacesMetadata": { "description": "Metadata related to the progress of the RemoveFulfillmentPlaces operation. Currently empty because there is no meaningful metadata populated from the ProductService.RemoveFulfillmentPlaces method.", "id": "GoogleCloudRetailV2alphaRemoveFulfillmentPlacesMetadata", "properties": {}, "type": "object" }, "GoogleApiHttpBody": { "properties": { "contentType": { "description": "The HTTP Content-Type header value specifying the content type of the body.", "type": "string" }, "extensions": { "type": "array", "description": "Application specific response metadata. Must be set in the first response for streaming APIs.", "items": { "type": "object", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" } } }, "data": { "description": "The HTTP request/response body as raw binary.", "format": "byte", "type": "string" } }, "description": "Message that represents an arbitrary HTTP body. It should only be used for payload formats that can't be represented as JSON, such as raw binary or an HTML page. This message can be used both in streaming and non-streaming API methods in the request as well as the response. It can be used as a top-level request field, which is convenient if one wants to extract parameters from either the URL or HTTP template into the request fields and also want access to the raw HTTP body. Example: message GetResourceRequest { // A unique request id. string request_id = 1; // The raw HTTP body is bound to this field. google.api.HttpBody http_body = 2; } service ResourceService { rpc GetResource(GetResourceRequest) returns (google.api.HttpBody); rpc UpdateResource(google.api.HttpBody) returns (google.protobuf.Empty); } Example with streaming methods: service CaldavService { rpc GetCalendar(stream google.api.HttpBody) returns (stream google.api.HttpBody); rpc UpdateCalendar(stream google.api.HttpBody) returns (stream google.api.HttpBody); } Use of this type only changes how the request and response bodies are handled, all other features will continue to work unchanged.", "id": "GoogleApiHttpBody", "type": "object" }, "GoogleCloudRetailV2PredictRequest": { "id": "GoogleCloudRetailV2PredictRequest", "type": "object", "description": "Request message for Predict method.", "properties": { "labels": { "additionalProperties": { "type": "string" }, "type": "object", "description": "The labels applied to a resource must meet the following requirements: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Each resource can have multiple labels, up to a maximum of 64. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Each label must be a key-value pair. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Keys have a minimum length of 1 character and a maximum length of 63 characters and cannot be empty. Values can be empty and have a maximum length of 63 characters. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Keys and values can contain only lowercase letters, numeric characters, underscores, and dashes. All characters must use UTF-8 encoding, and international characters are allowed. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The key portion of a label must be unique. However, you can use the same key with multiple resources. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Keys must start with a lowercase letter or international character. See [Google Cloud Document](https://cloud.google.com/resource-manager/docs/creating-managing-labels#requirements) for more details." }, "pageToken": { "type": "string", "description": "This field is not used for now, please leave it unset." }, "params": { "type": "object", "additionalProperties": { "type": "any" }, "description": "Additional domain specific parameters for the predictions. Allowed values: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `returnProduct`: Boolean. If set to true, the associated product object will be returned in the `results.metadata` field in the prediction response. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `returnScore`: Boolean. If set to true, the prediction 'score' corresponding to each returned product will be set in the `results.metadata` field in the prediction response. The given 'score' indicates the probability of an product being clicked/purchased given the user's context and history. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `strictFiltering`: Boolean. True by default. If set to false, the service will return generic (unfiltered) popular products instead of empty if your filter blocks all prediction results. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `priceRerankLevel`: String. Default empty. If set to be non-empty, then it needs to be one of {'no-price-reranking', 'low-price-reranking', 'medium-price-reranking', 'high-price-reranking'}. This gives request-level control and adjusts prediction results based on product price. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `diversityLevel`: String. Default empty. If set to be non-empty, then it needs to be one of {'no-diversity', 'low-diversity', 'medium-diversity', 'high-diversity', 'auto-diversity'}. This gives request-level control and adjusts prediction results based on product category. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `filterSyntaxV2`: Boolean. False by default. If set to true, the `filter` field will be interpreteted according to the new, attribute-based syntax." }, "pageSize": { "type": "integer", "format": "int32", "description": "Maximum number of results to return per page. Set this property to the number of prediction results needed. If zero, the service will choose a reasonable default. The maximum allowed value is 100. Values above 100 will be coerced to 100." }, "validateOnly": { "description": "Use validate only mode for this prediction query. If set to true, a dummy model will be used that returns arbitrary products. Note that the validate only mode should only be used for testing the API, or if the model is not ready.", "type": "boolean" }, "userEvent": { "description": "Required. Context about the user, what they are looking at and what action they took to trigger the predict request. Note that this user event detail won't be ingested to userEvent logs. Thus, a separate userEvent write request is required for event logging. Don't set UserEvent.visitor_id or UserInfo.user_id to the same fixed ID for different users. If you are trying to receive non-personalized recommendations (not recommended; this can negatively impact model performance), instead set UserEvent.visitor_id to a random unique ID and leave UserInfo.user_id unset.", "$ref": "GoogleCloudRetailV2UserEvent" }, "filter": { "type": "string", "description": "Filter for restricting prediction results with a length limit of 5,000 characters. Accepts values for tags and the `filterOutOfStockItems` flag. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Tag expressions. Restricts predictions to products that match all of the specified tags. Boolean operators `OR` and `NOT` are supported if the expression is enclosed in parentheses, and must be separated from the tag values by a space. `-\"tagA\"` is also supported and is equivalent to `NOT \"tagA\"`. Tag values must be double quoted UTF-8 encoded strings with a size limit of 1,000 characters. Note: \"Recently viewed\" models don't support tag filtering at the moment. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh filterOutOfStockItems. Restricts predictions to products that do not have a stockState value of OUT_OF_STOCK. Examples: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh tag=(\"Red\" OR \"Blue\") tag=\"New-Arrival\" tag=(NOT \"promotional\") LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh filterOutOfStockItems tag=(-\"promotional\") LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh filterOutOfStockItems If your filter blocks all prediction results, the API will return generic (unfiltered) popular products. If you only want results strictly matching the filters, set `strictFiltering` to True in `PredictRequest.params` to receive empty results instead. Note that the API will never return items with storageStatus of \"EXPIRED\" or \"DELETED\" regardless of filter choices. If `filterSyntaxV2` is set to true under the `params` field, then attribute based expressions are expected instead of the above described tag-based syntax. Examples: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh (colors: ANY(\"Red\", \"Blue\")) AND NOT (categories: ANY(\"Phones\")) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh (availability: ANY(\"IN_STOCK\")) AND (colors: ANY(\"Red\") OR categories: ANY(\"Phones\"))" } } }, "GoogleCloudRetailV2ListCatalogsResponse": { "type": "object", "description": "Response for CatalogService.ListCatalogs method.", "properties": { "nextPageToken": { "description": "A token that can be sent as ListCatalogsRequest.page_token to retrieve the next page. If this field is omitted, there are no subsequent pages.", "type": "string" }, "catalogs": { "items": { "$ref": "GoogleCloudRetailV2Catalog" }, "description": "All the customer's Catalogs.", "type": "array" } }, "id": "GoogleCloudRetailV2ListCatalogsResponse" }, "GoogleCloudRetailV2PredictResponse": { "properties": { "results": { "items": { "$ref": "GoogleCloudRetailV2PredictResponsePredictionResult" }, "description": "A list of recommended products. The order represents the ranking (from the most relevant product to the least).", "type": "array" }, "attributionToken": { "description": "A unique attribution token. This should be included in the UserEvent logs resulting from this recommendation, which enables accurate attribution of recommendation model performance.", "type": "string" }, "validateOnly": { "type": "boolean", "description": "True if the validateOnly property was set in the request." }, "missingIds": { "description": "IDs of products in the request that were missing from the inventory.", "type": "array", "items": { "type": "string" } } }, "id": "GoogleCloudRetailV2PredictResponse", "type": "object", "description": "Response message for predict method." }, "GoogleCloudRetailV2betaRemoveFulfillmentPlacesMetadata": { "type": "object", "id": "GoogleCloudRetailV2betaRemoveFulfillmentPlacesMetadata", "properties": {}, "description": "Metadata related to the progress of the RemoveFulfillmentPlaces operation. Currently empty because there is no meaningful metadata populated from the ProductService.RemoveFulfillmentPlaces method." }, "GoogleCloudRetailV2alphaPurgeProductsResponse": { "properties": { "purgeCount": { "description": "The total count of products purged as a result of the operation.", "format": "int64", "type": "string" }, "purgeSample": { "description": "A sample of the product names that will be deleted. Only populated if `force` is set to false. A max of 100 names will be returned and the names are chosen at random.", "type": "array", "items": { "type": "string" } } }, "description": "Response of the PurgeProductsRequest. If the long running operation is successfully done, then this message is returned by the google.longrunning.Operations.response field.", "type": "object", "id": "GoogleCloudRetailV2alphaPurgeProductsResponse" }, "GoogleCloudRetailV2AddFulfillmentPlacesMetadata": { "properties": {}, "description": "Metadata related to the progress of the AddFulfillmentPlaces operation. Currently empty because there is no meaningful metadata populated from the ProductService.AddFulfillmentPlaces method.", "id": "GoogleCloudRetailV2AddFulfillmentPlacesMetadata", "type": "object" }, "GoogleCloudRetailV2alphaRejoinUserEventsResponse": { "description": "Response message for RejoinUserEvents method.", "type": "object", "properties": { "rejoinedUserEventsCount": { "description": "Number of user events that were joined with latest product catalog.", "type": "string", "format": "int64" } }, "id": "GoogleCloudRetailV2alphaRejoinUserEventsResponse" }, "GoogleCloudRetailV2UserEventInlineSource": { "type": "object", "description": "The inline source for the input config for ImportUserEvents method.", "properties": { "userEvents": { "items": { "$ref": "GoogleCloudRetailV2UserEvent" }, "type": "array", "description": "Required. A list of user events to import. Recommended max of 10k items." } }, "id": "GoogleCloudRetailV2UserEventInlineSource" }, "GoogleProtobufEmpty": { "properties": {}, "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }", "id": "GoogleProtobufEmpty", "type": "object" }, "GoogleTypeDate": { "description": "Represents a whole or partial calendar date, such as a birthday. The time of day and time zone are either specified elsewhere or are insignificant. The date is relative to the Gregorian Calendar. This can represent one of the following: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A full date, with non-zero year, month, and day values. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A month and day, with a zero year (for example, an anniversary). LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A year on its own, with a zero month and a zero day. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A year and month, with a zero day (for example, a credit card expiration date). Related types: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh google.type.TimeOfDay LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh google.type.DateTime LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh google.protobuf.Timestamp", "id": "GoogleTypeDate", "type": "object", "properties": { "year": { "type": "integer", "format": "int32", "description": "Year of the date. Must be from 1 to 9999, or 0 to specify a date without a year." }, "day": { "description": "Day of a month. Must be from 1 to 31 and valid for the year and month, or 0 to specify a year by itself or a year and month where the day isn't significant.", "type": "integer", "format": "int32" }, "month": { "type": "integer", "format": "int32", "description": "Month of a year. Must be from 1 to 12, or 0 to specify a year without a month and day." } } }, "GoogleCloudRetailV2betaImportCompletionDataResponse": { "id": "GoogleCloudRetailV2betaImportCompletionDataResponse", "description": "Response of the ImportCompletionDataRequest. If the long running operation is done, this message is returned by the google.longrunning.Operations.response field if the operation is successful.", "type": "object", "properties": { "errorSamples": { "type": "array", "items": { "$ref": "GoogleRpcStatus" }, "description": "A sample of errors encountered while processing the request." } } }, "GoogleCloudRetailLoggingSourceLocation": { "description": "Indicates a location in the source code of the service for which errors are reported.", "type": "object", "properties": { "functionName": { "description": "Human-readable name of a function or method. For example, \"google.cloud.retail.v2.UserEventService.ImportUserEvents\".", "type": "string" } }, "id": "GoogleCloudRetailLoggingSourceLocation" }, "GoogleCloudRetailV2RemoveLocalInventoriesResponse": { "id": "GoogleCloudRetailV2RemoveLocalInventoriesResponse", "properties": {}, "type": "object", "description": "Response of the ProductService.RemoveLocalInventories API. Currently empty because there is no meaningful response populated from the ProductService.RemoveLocalInventories method." }, "GoogleCloudRetailV2ImportUserEventsRequest": { "description": "Request message for the ImportUserEvents request.", "properties": { "errorsConfig": { "description": "The desired location of errors incurred during the Import. Cannot be set for inline user event imports.", "$ref": "GoogleCloudRetailV2ImportErrorsConfig" }, "inputConfig": { "description": "Required. The desired input location of the data.", "$ref": "GoogleCloudRetailV2UserEventInputConfig" } }, "id": "GoogleCloudRetailV2ImportUserEventsRequest", "type": "object" }, "GoogleCloudRetailV2RemoveLocalInventoriesMetadata": { "type": "object", "id": "GoogleCloudRetailV2RemoveLocalInventoriesMetadata", "description": "Metadata related to the progress of the RemoveLocalInventories operation. Currently empty because there is no meaningful metadata populated from the ProductService.RemoveLocalInventories method.", "properties": {} }, "GoogleCloudRetailV2betaExportProductsResponse": { "description": "Response of the ExportProductsRequest. If the long running operation is done, then this message is returned by the google.longrunning.Operations.response field if the operation was successful.", "properties": { "errorsConfig": { "$ref": "GoogleCloudRetailV2betaExportErrorsConfig", "description": "This field is never set." }, "errorSamples": { "description": "A sample of errors encountered while processing the request.", "type": "array", "items": { "$ref": "GoogleRpcStatus" } } }, "type": "object", "id": "GoogleCloudRetailV2betaExportProductsResponse" }, "GoogleCloudRetailV2SearchRequestPersonalizationSpec": { "id": "GoogleCloudRetailV2SearchRequestPersonalizationSpec", "properties": { "mode": { "description": "Defaults to Mode.AUTO.", "enumDescriptions": [ "Default value. Defaults to Mode.AUTO.", "Let CRS decide whether to use personalization.", "Disable personalization." ], "type": "string", "enum": [ "MODE_UNSPECIFIED", "AUTO", "DISABLED" ] } }, "type": "object", "description": "The specification for personalization." }, "GoogleCloudRetailV2GetDefaultBranchResponse": { "type": "object", "properties": { "note": { "type": "string", "description": "This corresponds to SetDefaultBranchRequest.note field, when this branch was set as default." }, "branch": { "description": "Full resource name of the branch id currently set as default branch.", "type": "string" }, "setTime": { "type": "string", "format": "google-datetime", "description": "The time when this branch is set to default." } }, "id": "GoogleCloudRetailV2GetDefaultBranchResponse", "description": "Response message of CatalogService.GetDefaultBranch." }, "GoogleCloudRetailV2betaSetInventoryMetadata": { "description": "Metadata related to the progress of the SetInventory operation. Currently empty because there is no meaningful metadata populated from the ProductService.SetInventory method.", "type": "object", "properties": {}, "id": "GoogleCloudRetailV2betaSetInventoryMetadata" }, "GoogleCloudRetailV2SearchRequestDynamicFacetSpec": { "properties": { "mode": { "description": "Mode of the DynamicFacet feature. Defaults to Mode.DISABLED if it's unset.", "enum": [ "MODE_UNSPECIFIED", "DISABLED", "ENABLED" ], "type": "string", "enumDescriptions": [ "Default value.", "Disable Dynamic Facet.", "Automatic mode built by Google Retail Search." ] } }, "type": "object", "id": "GoogleCloudRetailV2SearchRequestDynamicFacetSpec", "description": "The specifications of dynamically generated facets." }, "GoogleCloudRetailV2RemoveLocalInventoriesRequest": { "description": "Request message for ProductService.RemoveLocalInventories method.", "id": "GoogleCloudRetailV2RemoveLocalInventoriesRequest", "properties": { "placeIds": { "type": "array", "items": { "type": "string" }, "description": "Required. A list of place IDs to have their inventory deleted. At most 3000 place IDs are allowed per request." }, "removeTime": { "format": "google-datetime", "type": "string", "description": "The time when the inventory deletions are issued. Used to prevent out-of-order updates and deletions on local inventory fields. If not provided, the internal system time will be used." }, "allowMissing": { "type": "boolean", "description": "If set to true, and the Product is not found, the local inventory removal request will still be processed and retained for at most 1 day and processed once the Product is created. If set to false, a NOT_FOUND error is returned if the Product is not found." } }, "type": "object" }, "GoogleCloudRetailV2RemoveFulfillmentPlacesRequest": { "description": "Request message for ProductService.RemoveFulfillmentPlaces method.", "id": "GoogleCloudRetailV2RemoveFulfillmentPlacesRequest", "properties": { "placeIds": { "type": "array", "description": "Required. The IDs for this type, such as the store IDs for \"pickup-in-store\" or the region IDs for \"same-day-delivery\", to be removed for this type. At least 1 value is required, and a maximum of 2000 values are allowed. Each value must be a string with a length limit of 10 characters, matching the pattern `[a-zA-Z0-9_-]+`, such as \"store1\" or \"REGION-2\". Otherwise, an INVALID_ARGUMENT error is returned.", "items": { "type": "string" } }, "allowMissing": { "description": "If set to true, and the Product is not found, the fulfillment information will still be processed and retained for at most 1 day and processed once the Product is created. If set to false, a NOT_FOUND error is returned if the Product is not found.", "type": "boolean" }, "removeTime": { "type": "string", "format": "google-datetime", "description": "The time when the fulfillment updates are issued, used to prevent out-of-order updates on fulfillment information. If not provided, the internal system time will be used." }, "type": { "description": "Required. The fulfillment type, including commonly used types (such as pickup in store and same day delivery), and custom types. Supported values: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"pickup-in-store\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"ship-to-store\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"same-day-delivery\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"next-day-delivery\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"custom-type-1\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"custom-type-2\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"custom-type-3\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"custom-type-4\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"custom-type-5\" If this field is set to an invalid value other than these, an INVALID_ARGUMENT error is returned. This field directly corresponds to Product.fulfillment_info.type.", "type": "string" } }, "type": "object" }, "GoogleCloudRetailV2alphaAddFulfillmentPlacesResponse": { "type": "object", "description": "Response of the AddFulfillmentPlacesRequest. Currently empty because there is no meaningful response populated from the ProductService.AddFulfillmentPlaces method.", "properties": {}, "id": "GoogleCloudRetailV2alphaAddFulfillmentPlacesResponse" }, "GoogleCloudRetailV2Audience": { "id": "GoogleCloudRetailV2Audience", "properties": { "ageGroups": { "description": "The age groups of the audience. Strongly encouraged to use the standard values: \"newborn\" (up to 3 months old), \"infant\" (3–12 months old), \"toddler\" (1–5 years old), \"kids\" (5–13 years old), \"adult\" (typically teens or older). At most 5 values are allowed. Each value must be a UTF-8 encoded string with a length limit of 128 characters. Otherwise, an INVALID_ARGUMENT error is returned. Google Merchant Center property [age_group](https://support.google.com/merchants/answer/6324463). Schema.org property [Product.audience.suggestedMinAge](https://schema.org/suggestedMinAge) and [Product.audience.suggestedMaxAge](https://schema.org/suggestedMaxAge).", "items": { "type": "string" }, "type": "array" }, "genders": { "type": "array", "items": { "type": "string" }, "description": "The genders of the audience. Strongly encouraged to use the standard values: \"male\", \"female\", \"unisex\". At most 5 values are allowed. Each value must be a UTF-8 encoded string with a length limit of 128 characters. Otherwise, an INVALID_ARGUMENT error is returned. Google Merchant Center property [gender](https://support.google.com/merchants/answer/6324479). Schema.org property [Product.audience.suggestedGender](https://schema.org/suggestedGender)." } }, "type": "object", "description": "An intended audience of the Product for whom it's sold." }, "GoogleCloudRetailV2betaPurgeMetadata": { "description": "Metadata related to the progress of the Purge operation. This will be returned by the google.longrunning.Operation.metadata field.", "type": "object", "properties": {}, "id": "GoogleCloudRetailV2betaPurgeMetadata" }, "GoogleCloudRetailV2GcsSource": { "id": "GoogleCloudRetailV2GcsSource", "type": "object", "properties": { "inputUris": { "items": { "type": "string" }, "description": "Required. Google Cloud Storage URIs to input files. URI can be up to 2000 characters long. URIs can match the full object path (for example, `gs://bucket/directory/object.json`) or a pattern matching one or more files, such as `gs://bucket/directory/*.json`. A request can contain at most 100 files, and each file can be up to 2 GB. See [Importing product information](https://cloud.google.com/retail/recommendations-ai/docs/upload-catalog) for the expected file format and setup instructions.", "type": "array" }, "dataSchema": { "description": "The schema to use when parsing the data from the source. Supported values for product imports: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `product` (default): One JSON Product per line. Each product must have a valid Product.id. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `product_merchant_center`: See [Importing catalog data from Merchant Center](https://cloud.google.com/retail/recommendations-ai/docs/upload-catalog#mc). Supported values for user events imports: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `user_event` (default): One JSON UserEvent per line. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `user_event_ga360`: Using https://support.google.com/analytics/answer/3437719. Supported values for control imports: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh 'control' (default): One JSON Control per line. Supported values for catalog attribute imports: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh 'catalog_attribute' (default): One CSV CatalogAttribute per line.", "type": "string" } }, "description": "Google Cloud Storage location for input content. format." }, "GoogleCloudRetailV2SearchRequestBoostSpecConditionBoostSpec": { "description": "Boost applies to products which match a condition.", "type": "object", "properties": { "condition": { "description": "An expression which specifies a boost condition. The syntax and supported fields are the same as a filter expression. See SearchRequest.filter for detail syntax and limitations. Examples: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh To boost products with product ID \"product_1\" or \"product_2\", and color \"Red\" or \"Blue\": LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh (id: ANY(\"product_1\", \"product_2\")) AND (colorFamilies: ANY(\"Red\",\"Blue\"))", "type": "string" }, "boost": { "type": "number", "description": "Strength of the condition boost, which should be in [-1, 1]. Negative boost means demotion. Default is 0.0. Setting to 1.0 gives the item a big promotion. However, it does not necessarily mean that the boosted item will be the top result at all times, nor that other items will be excluded. Results could still be shown even when none of them matches the condition. And results that are significantly more relevant to the search query can still trump your heavily favored but irrelevant items. Setting to -1.0 gives the item a big demotion. However, results that are deeply relevant might still be shown. The item will have an upstream battle to get a fairly high ranking, but it is not blocked out completely. Setting to 0.0 means no boost applied. The boosting condition is ignored.", "format": "float" } }, "id": "GoogleCloudRetailV2SearchRequestBoostSpecConditionBoostSpec" }, "GoogleCloudRetailV2betaPurgeUserEventsResponse": { "id": "GoogleCloudRetailV2betaPurgeUserEventsResponse", "properties": { "purgedEventsCount": { "description": "The total count of events purged as a result of the operation.", "type": "string", "format": "int64" } }, "description": "Response of the PurgeUserEventsRequest. If the long running operation is successfully done, then this message is returned by the google.longrunning.Operations.response field.", "type": "object" }, "GoogleCloudRetailV2alphaExportMetadata": { "id": "GoogleCloudRetailV2alphaExportMetadata", "type": "object", "properties": { "createTime": { "type": "string", "description": "Operation create time.", "format": "google-datetime" }, "updateTime": { "description": "Operation last update time. If the operation is done, this is also the finish time.", "type": "string", "format": "google-datetime" } }, "description": "Metadata related to the progress of the Export operation. This will be returned by the google.longrunning.Operation.metadata field." }, "GoogleCloudRetailV2alphaPurgeProductsMetadata": { "properties": { "createTime": { "format": "google-datetime", "type": "string", "description": "Operation create time." }, "updateTime": { "type": "string", "description": "Operation last update time. If the operation is done, this is also the finish time.", "format": "google-datetime" }, "successCount": { "format": "int64", "description": "Count of entries that were deleted successfully.", "type": "string" }, "failureCount": { "description": "Count of entries that encountered errors while processing.", "format": "int64", "type": "string" } }, "description": "Metadata related to the progress of the PurgeProducts operation. This will be returned by the google.longrunning.Operation.metadata field.", "id": "GoogleCloudRetailV2alphaPurgeProductsMetadata", "type": "object" }, "GoogleCloudRetailV2UserEventImportSummary": { "description": "A summary of import result. The UserEventImportSummary summarizes the import status for user events.", "properties": { "unjoinedEventsCount": { "description": "Count of user events imported, but with catalog information not found in the imported catalog.", "type": "string", "format": "int64" }, "joinedEventsCount": { "format": "int64", "description": "Count of user events imported with complete existing catalog information.", "type": "string" } }, "id": "GoogleCloudRetailV2UserEventImportSummary", "type": "object" }, "GoogleCloudRetailV2SearchRequestBoostSpec": { "id": "GoogleCloudRetailV2SearchRequestBoostSpec", "type": "object", "description": "Boost specification to boost certain items.", "properties": { "conditionBoostSpecs": { "type": "array", "description": "Condition boost specifications. If a product matches multiple conditions in the specifictions, boost scores from these specifications are all applied and combined in a non-linear way. Maximum number of specifications is 20.", "items": { "$ref": "GoogleCloudRetailV2SearchRequestBoostSpecConditionBoostSpec" } }, "skipBoostSpecValidation": { "description": "Whether to skip boostspec validation. If this field is set to true, invalid BoostSpec.condition_boost_specs will be ignored and valid BoostSpec.condition_boost_specs will still be applied.", "type": "boolean" } } }, "GoogleCloudRetailV2AddLocalInventoriesMetadata": { "properties": {}, "description": "Metadata related to the progress of the AddLocalInventories operation. Currently empty because there is no meaningful metadata populated from the ProductService.AddLocalInventories method.", "id": "GoogleCloudRetailV2AddLocalInventoriesMetadata", "type": "object" }, "GoogleCloudRetailV2SetInventoryMetadata": { "id": "GoogleCloudRetailV2SetInventoryMetadata", "type": "object", "properties": {}, "description": "Metadata related to the progress of the SetInventory operation. Currently empty because there is no meaningful metadata populated from the ProductService.SetInventory method." }, "GoogleCloudRetailV2AddFulfillmentPlacesResponse": { "description": "Response of the AddFulfillmentPlacesRequest. Currently empty because there is no meaningful response populated from the ProductService.AddFulfillmentPlaces method.", "type": "object", "properties": {}, "id": "GoogleCloudRetailV2AddFulfillmentPlacesResponse" }, "GoogleCloudRetailV2alphaExportErrorsConfig": { "properties": { "gcsPrefix": { "description": "Google Cloud Storage path for import errors. This must be an empty, existing Cloud Storage bucket. Export errors will be written to a file in this bucket, one per line, as a JSON-encoded `google.rpc.Status` message.", "type": "string" } }, "type": "object", "id": "GoogleCloudRetailV2alphaExportErrorsConfig", "description": "Configuration of destination for Export related errors." }, "GoogleCloudRetailV2CompleteQueryResponseCompletionResult": { "description": "Resource that represents completion results.", "type": "object", "properties": { "attributes": { "type": "object", "additionalProperties": { "$ref": "GoogleCloudRetailV2CustomAttribute" }, "description": "Custom attributes for the suggestion term. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh For \"user-data\", the attributes are additional custom attributes ingested through BigQuery. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh For \"cloud-retail\", the attributes are product attributes generated by Cloud Retail. This is an experimental feature. Contact Retail Search support team if you are interested in enabling it." }, "suggestion": { "type": "string", "description": "The suggestion for the query." } }, "id": "GoogleCloudRetailV2CompleteQueryResponseCompletionResult" }, "GoogleCloudRetailV2ListProductsResponse": { "description": "Response message for ProductService.ListProducts method.", "type": "object", "id": "GoogleCloudRetailV2ListProductsResponse", "properties": { "nextPageToken": { "description": "A token that can be sent as ListProductsRequest.page_token to retrieve the next page. If this field is omitted, there are no subsequent pages.", "type": "string" }, "products": { "type": "array", "description": "The Products.", "items": { "$ref": "GoogleCloudRetailV2Product" } } } }, "GoogleCloudRetailLoggingServiceContext": { "id": "GoogleCloudRetailLoggingServiceContext", "properties": { "service": { "type": "string", "description": "An identifier of the service. For example, \"retail.googleapis.com\"." } }, "type": "object", "description": "Describes a running service that sends errors." }, "GoogleCloudRetailV2Product": { "description": "Product captures all metadata information of items to be recommended or searched.", "type": "object", "properties": { "sizes": { "type": "array", "description": "The size of the product. To represent different size systems or size types, consider using this format: [[[size_system:]size_type:]size_value]. For example, in \"US:MENS:M\", \"US\" represents size system; \"MENS\" represents size type; \"M\" represents size value. In \"GIRLS:27\", size system is empty; \"GIRLS\" represents size type; \"27\" represents size value. In \"32 inches\", both size system and size type are empty, while size value is \"32 inches\". A maximum of 20 values are allowed per Product. Each value must be a UTF-8 encoded string with a length limit of 128 characters. Otherwise, an INVALID_ARGUMENT error is returned. Corresponding properties: Google Merchant Center property [size](https://support.google.com/merchants/answer/6324492), [size_type](https://support.google.com/merchants/answer/6324497), and [size_system](https://support.google.com/merchants/answer/6324502). Schema.org property [Product.size](https://schema.org/size).", "items": { "type": "string" } }, "materials": { "items": { "type": "string" }, "type": "array", "description": "The material of the product. For example, \"leather\", \"wooden\". A maximum of 20 values are allowed. Each value must be a UTF-8 encoded string with a length limit of 200 characters. Otherwise, an INVALID_ARGUMENT error is returned. Corresponding properties: Google Merchant Center property [material](https://support.google.com/merchants/answer/6324410). Schema.org property [Product.material](https://schema.org/material)." }, "priceInfo": { "$ref": "GoogleCloudRetailV2PriceInfo", "description": "Product price and cost information. Corresponding properties: Google Merchant Center property [price](https://support.google.com/merchants/answer/6324371)." }, "availableTime": { "description": "The timestamp when this Product becomes available for SearchService.Search.", "type": "string", "format": "google-datetime" }, "patterns": { "type": "array", "items": { "type": "string" }, "description": "The pattern or graphic print of the product. For example, \"striped\", \"polka dot\", \"paisley\". A maximum of 20 values are allowed per Product. Each value must be a UTF-8 encoded string with a length limit of 128 characters. Otherwise, an INVALID_ARGUMENT error is returned. Corresponding properties: Google Merchant Center property [pattern](https://support.google.com/merchants/answer/6324483). Schema.org property [Product.pattern](https://schema.org/pattern)." }, "retrievableFields": { "type": "string", "description": "Indicates which fields in the Products are returned in SearchResponse. Supported fields for all types: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh audience LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh availability LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh brands LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh color_info LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh conditions LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh gtin LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh materials LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh name LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh patterns LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh price_info LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh rating LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh sizes LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh title LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh uri Supported fields only for Type.PRIMARY and Type.COLLECTION: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh categories LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh description LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh images Supported fields only for Type.VARIANT: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Only the first image in images To mark attributes as retrievable, include paths of the form \"attributes.key\" where \"key\" is the key of a custom attribute, as specified in attributes. For Type.PRIMARY and Type.COLLECTION, the following fields are always returned in SearchResponse by default: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh name For Type.VARIANT, the following fields are always returned in by default: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh name LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh color_info The maximum number of paths is 30. Otherwise, an INVALID_ARGUMENT error is returned. Note: Returning more fields in SearchResponse can increase response payload size and serving latency.", "format": "google-fieldmask" }, "title": { "type": "string", "description": "Required. Product title. This field must be a UTF-8 encoded string with a length limit of 1,000 characters. Otherwise, an INVALID_ARGUMENT error is returned. Corresponding properties: Google Merchant Center property [title](https://support.google.com/merchants/answer/6324415). Schema.org property [Product.name](https://schema.org/name)." }, "languageCode": { "type": "string", "description": "Language of the title/description and other string attributes. Use language tags defined by [BCP 47](https://www.rfc-editor.org/rfc/bcp/bcp47.txt). For product prediction, this field is ignored and the model automatically detects the text language. The Product can include text in different languages, but duplicating Products to provide text in multiple languages can result in degraded model performance. For product search this field is in use. It defaults to \"en-US\" if unset." }, "images": { "type": "array", "description": "Product images for the product. We highly recommend putting the main image first. A maximum of 300 images are allowed. Corresponding properties: Google Merchant Center property [image_link](https://support.google.com/merchants/answer/6324350). Schema.org property [Product.image](https://schema.org/image).", "items": { "$ref": "GoogleCloudRetailV2Image" } }, "uri": { "description": "Canonical URL directly linking to the product detail page. It is strongly recommended to provide a valid uri for the product, otherwise the service performance could be significantly degraded. This field must be a UTF-8 encoded string with a length limit of 5,000 characters. Otherwise, an INVALID_ARGUMENT error is returned. Corresponding properties: Google Merchant Center property [link](https://support.google.com/merchants/answer/6324416). Schema.org property [Offer.url](https://schema.org/url).", "type": "string" }, "attributes": { "description": "Highly encouraged. Extra product attributes to be included. For example, for products, this could include the store name, vendor, style, color, etc. These are very strong signals for recommendation model, thus we highly recommend providing the attributes here. Features that can take on one of a limited number of possible values. Two types of features can be set are: Textual features. some examples would be the brand/maker of a product, or country of a customer. Numerical features. Some examples would be the height/weight of a product, or age of a customer. For example: `{ \"vendor\": {\"text\": [\"vendor123\", \"vendor456\"]}, \"lengths_cm\": {\"numbers\":[2.3, 15.4]}, \"heights_cm\": {\"numbers\":[8.1, 6.4]} }`. This field needs to pass all below criteria, otherwise an INVALID_ARGUMENT error is returned: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Max entries count: 200. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The key must be a UTF-8 encoded string with a length limit of 128 characters. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh For indexable attribute, the key must match the pattern: `a-zA-Z0-9*`. For example, `key0LikeThis` or `KEY_1_LIKE_THIS`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh For text attributes, at most 400 values are allowed. Empty values are not allowed. Each value must be a non-empty UTF-8 encoded string with a length limit of 256 characters. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh For number attributes, at most 400 values are allowed.", "additionalProperties": { "$ref": "GoogleCloudRetailV2CustomAttribute" }, "type": "object" }, "primaryProductId": { "description": "Variant group identifier. Must be an id, with the same parent branch with this product. Otherwise, an error is thrown. For Type.PRIMARY Products, this field can only be empty or set to the same value as id. For VARIANT Products, this field cannot be empty. A maximum of 2,000 products are allowed to share the same Type.PRIMARY Product. Otherwise, an INVALID_ARGUMENT error is returned. Corresponding properties: Google Merchant Center property [item_group_id](https://support.google.com/merchants/answer/6324507). Schema.org property [Product.inProductGroupWithID](https://schema.org/inProductGroupWithID).", "type": "string" }, "fulfillmentInfo": { "type": "array", "items": { "$ref": "GoogleCloudRetailV2FulfillmentInfo" }, "description": "Fulfillment information, such as the store IDs for in-store pickup or region IDs for different shipping methods. All the elements must have distinct FulfillmentInfo.type. Otherwise, an INVALID_ARGUMENT error is returned." }, "categories": { "description": "Product categories. This field is repeated for supporting one product belonging to several parallel categories. Strongly recommended using the full path for better search / recommendation quality. To represent full path of category, use '\u003e' sign to separate different hierarchies. If '\u003e' is part of the category name, please replace it with other character(s). For example, if a shoes product belongs to both [\"Shoes & Accessories\" -\u003e \"Shoes\"] and [\"Sports & Fitness\" -\u003e \"Athletic Clothing\" -\u003e \"Shoes\"], it could be represented as: \"categories\": [ \"Shoes & Accessories \u003e Shoes\", \"Sports & Fitness \u003e Athletic Clothing \u003e Shoes\" ] Must be set for Type.PRIMARY Product otherwise an INVALID_ARGUMENT error is returned. At most 250 values are allowed per Product. Empty values are not allowed. Each value must be a UTF-8 encoded string with a length limit of 5,000 characters. Otherwise, an INVALID_ARGUMENT error is returned. Corresponding properties: Google Merchant Center property google_product_category. Schema.org property [Product.category] (https://schema.org/category). [mc_google_product_category]: https://support.google.com/merchants/answer/6324436", "items": { "type": "string" }, "type": "array" }, "publishTime": { "description": "The timestamp when the product is published by the retailer for the first time, which indicates the freshness of the products. Note that this field is different from available_time, given it purely describes product freshness regardless of when it is available on search and recommendation.", "type": "string", "format": "google-datetime" }, "id": { "type": "string", "description": "Immutable. Product identifier, which is the final component of name. For example, this field is \"id_1\", if name is `projects/*/locations/global/catalogs/default_catalog/branches/default_branch/products/id_1`. This field must be a UTF-8 encoded string with a length limit of 128 characters. Otherwise, an INVALID_ARGUMENT error is returned. Corresponding properties: Google Merchant Center property [id](https://support.google.com/merchants/answer/6324405). Schema.org property [Product.sku](https://schema.org/sku)." }, "conditions": { "description": "The condition of the product. Strongly encouraged to use the standard values: \"new\", \"refurbished\", \"used\". A maximum of 1 value is allowed per Product. Each value must be a UTF-8 encoded string with a length limit of 128 characters. Otherwise, an INVALID_ARGUMENT error is returned. Corresponding properties: Google Merchant Center property [condition](https://support.google.com/merchants/answer/6324469). Schema.org property [Offer.itemCondition](https://schema.org/itemCondition).", "type": "array", "items": { "type": "string" } }, "collectionMemberIds": { "description": "The id of the collection members when type is Type.COLLECTION. Non-existent product ids are allowed. The type of the members must be either Type.PRIMARY or Type.VARIANT otherwise and INVALID_ARGUMENT error is thrown. Should not set it for other types. A maximum of 1000 values are allowed. Otherwise, an INVALID_ARGUMENT error is return.", "items": { "type": "string" }, "type": "array" }, "name": { "type": "string", "description": "Immutable. Full resource name of the product, such as `projects/*/locations/global/catalogs/default_catalog/branches/default_branch/products/product_id`." }, "type": { "type": "string", "enumDescriptions": [ "Default value. Default to Catalog.product_level_config.ingestion_product_type if unset.", "The primary type. As the primary unit for predicting, indexing and search serving, a Type.PRIMARY Product is grouped with multiple Type.VARIANT Products.", "The variant type. Type.VARIANT Products usually share some common attributes on the same Type.PRIMARY Products, but they have variant attributes like different colors, sizes and prices, etc.", "The collection type. Collection products are bundled Type.PRIMARY Products or Type.VARIANT Products that are sold together, such as a jewelry set with necklaces, earrings and rings, etc." ], "enum": [ "TYPE_UNSPECIFIED", "PRIMARY", "VARIANT", "COLLECTION" ], "description": "Immutable. The type of the product. Default to Catalog.product_level_config.ingestion_product_type if unset." }, "promotions": { "items": { "$ref": "GoogleCloudRetailV2Promotion" }, "description": "The promotions applied to the product. A maximum of 10 values are allowed per Product. Only Promotion.promotion_id will be used, other fields will be ignored if set.", "type": "array" }, "colorInfo": { "$ref": "GoogleCloudRetailV2ColorInfo", "description": "The color of the product. Corresponding properties: Google Merchant Center property [color](https://support.google.com/merchants/answer/6324487). Schema.org property [Product.color](https://schema.org/color)." }, "ttl": { "type": "string", "format": "google-duration", "description": "Input only. The TTL (time to live) of the product. If it is set, it must be a non-negative value, and expire_time is set as current timestamp plus ttl. The derived expire_time is returned in the output and ttl is left blank when retrieving the Product. If it is set, the product is not available for SearchService.Search after current timestamp plus ttl. However, the product can still be retrieved by ProductService.GetProduct and ProductService.ListProducts." }, "expireTime": { "type": "string", "description": "The timestamp when this product becomes unavailable for SearchService.Search. If it is set, the Product is not available for SearchService.Search after expire_time. However, the product can still be retrieved by ProductService.GetProduct and ProductService.ListProducts. expire_time must be later than available_time and publish_time, otherwise an INVALID_ARGUMENT error is thrown. Corresponding properties: Google Merchant Center property [expiration_date](https://support.google.com/merchants/answer/6324499).", "format": "google-datetime" }, "variants": { "description": "Output only. Product variants grouped together on primary product which share similar product attributes. It's automatically grouped by primary_product_id for all the product variants. Only populated for Type.PRIMARY Products. Note: This field is OUTPUT_ONLY for ProductService.GetProduct. Do not set this field in API requests.", "readOnly": true, "items": { "$ref": "GoogleCloudRetailV2Product" }, "type": "array" }, "availability": { "type": "string", "description": "The online availability of the Product. Default to Availability.IN_STOCK. Corresponding properties: Google Merchant Center property [availability](https://support.google.com/merchants/answer/6324448). Schema.org property [Offer.availability](https://schema.org/availability).", "enumDescriptions": [ "Default product availability. Default to Availability.IN_STOCK if unset.", "Product in stock.", "Product out of stock.", "Product that is in pre-order state.", "Product that is back-ordered (i.e. temporarily out of stock)." ], "enum": [ "AVAILABILITY_UNSPECIFIED", "IN_STOCK", "OUT_OF_STOCK", "PREORDER", "BACKORDER" ] }, "audience": { "$ref": "GoogleCloudRetailV2Audience", "description": "The target group associated with a given audience (e.g. male, veterans, car owners, musicians, etc.) of the product." }, "gtin": { "type": "string", "description": "The Global Trade Item Number (GTIN) of the product. This field must be a UTF-8 encoded string with a length limit of 128 characters. Otherwise, an INVALID_ARGUMENT error is returned. This field must be a Unigram. Otherwise, an INVALID_ARGUMENT error is returned. Corresponding properties: Google Merchant Center property [gtin](https://support.google.com/merchants/answer/6324461). Schema.org property [Product.isbn](https://schema.org/isbn), [Product.gtin8](https://schema.org/gtin8), [Product.gtin12](https://schema.org/gtin12), [Product.gtin13](https://schema.org/gtin13), or [Product.gtin14](https://schema.org/gtin14). If the value is not a valid GTIN, an INVALID_ARGUMENT error is returned." }, "availableQuantity": { "description": "The available quantity of the item.", "type": "integer", "format": "int32" }, "brands": { "type": "array", "description": "The brands of the product. A maximum of 30 brands are allowed. Each brand must be a UTF-8 encoded string with a length limit of 1,000 characters. Otherwise, an INVALID_ARGUMENT error is returned. Corresponding properties: Google Merchant Center property [brand](https://support.google.com/merchants/answer/6324351). Schema.org property [Product.brand](https://schema.org/brand).", "items": { "type": "string" } }, "description": { "type": "string", "description": "Product description. This field must be a UTF-8 encoded string with a length limit of 5,000 characters. Otherwise, an INVALID_ARGUMENT error is returned. Corresponding properties: Google Merchant Center property [description](https://support.google.com/merchants/answer/6324468). Schema.org property [Product.description](https://schema.org/description)." }, "rating": { "description": "The rating of this product.", "$ref": "GoogleCloudRetailV2Rating" }, "tags": { "items": { "type": "string" }, "description": "Custom tags associated with the product. At most 250 values are allowed per Product. This value must be a UTF-8 encoded string with a length limit of 1,000 characters. Otherwise, an INVALID_ARGUMENT error is returned. This tag can be used for filtering recommendation results by passing the tag as part of the PredictRequest.filter. Corresponding properties: Google Merchant Center property [custom_label_0–4](https://support.google.com/merchants/answer/6324473).", "type": "array" } }, "id": "GoogleCloudRetailV2Product" }, "GoogleCloudRetailV2betaRemoveLocalInventoriesResponse": { "properties": {}, "description": "Response of the ProductService.RemoveLocalInventories API. Currently empty because there is no meaningful response populated from the ProductService.RemoveLocalInventories method.", "id": "GoogleCloudRetailV2betaRemoveLocalInventoriesResponse", "type": "object" }, "GoogleCloudRetailV2PriceInfo": { "description": "The price information of a Product.", "type": "object", "properties": { "priceEffectiveTime": { "description": "The timestamp when the price starts to be effective. This can be set as a future timestamp, and the price is only used for search after price_effective_time. If so, the original_price must be set and original_price is used before price_effective_time. Do not set if price is always effective because it will cause additional latency during search.", "format": "google-datetime", "type": "string" }, "cost": { "description": "The costs associated with the sale of a particular product. Used for gross profit reporting. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Profit = price - cost Google Merchant Center property [cost_of_goods_sold](https://support.google.com/merchants/answer/9017895).", "format": "float", "type": "number" }, "originalPrice": { "description": "Price of the product without any discount. If zero, by default set to be the price. If set, original_price should be greater than or equal to price, otherwise an INVALID_ARGUMENT error is thrown.", "type": "number", "format": "float" }, "price": { "description": "Price of the product. Google Merchant Center property [price](https://support.google.com/merchants/answer/6324371). Schema.org property [Offer.price](https://schema.org/price).", "format": "float", "type": "number" }, "currencyCode": { "type": "string", "description": "The 3-letter currency code defined in [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html). If this field is an unrecognizable currency code, an INVALID_ARGUMENT error is returned. The Product.Type.VARIANT Products with the same Product.primary_product_id must share the same currency_code. Otherwise, a FAILED_PRECONDITION error is returned." }, "priceExpireTime": { "description": "The timestamp when the price stops to be effective. The price is used for search before price_expire_time. If this field is set, the original_price must be set and original_price is used after price_expire_time. Do not set if price is always effective because it will cause additional latency during search.", "type": "string", "format": "google-datetime" }, "priceRange": { "description": "Output only. The price range of all the child Product.Type.VARIANT Products grouped together on the Product.Type.PRIMARY Product. Only populated for Product.Type.PRIMARY Products. Note: This field is OUTPUT_ONLY for ProductService.GetProduct. Do not set this field in API requests.", "readOnly": true, "$ref": "GoogleCloudRetailV2PriceInfoPriceRange" } }, "id": "GoogleCloudRetailV2PriceInfo" }, "GoogleCloudRetailV2AddLocalInventoriesResponse": { "description": "Response of the ProductService.AddLocalInventories API. Currently empty because there is no meaningful response populated from the ProductService.AddLocalInventories method.", "id": "GoogleCloudRetailV2AddLocalInventoriesResponse", "properties": {}, "type": "object" }, "GoogleCloudRetailV2ImportUserEventsResponse": { "properties": { "errorsConfig": { "description": "Echoes the destination for the complete errors if this field was set in the request.", "$ref": "GoogleCloudRetailV2ImportErrorsConfig" }, "importSummary": { "$ref": "GoogleCloudRetailV2UserEventImportSummary", "description": "Aggregated statistics of user event import status." }, "errorSamples": { "items": { "$ref": "GoogleRpcStatus" }, "type": "array", "description": "A sample of errors encountered while processing the request." } }, "description": "Response of the ImportUserEventsRequest. If the long running operation was successful, then this message is returned by the google.longrunning.Operations.response field if the operation was successful.", "type": "object", "id": "GoogleCloudRetailV2ImportUserEventsResponse" }, "GoogleCloudRetailV2SearchResponseQueryExpansionInfo": { "id": "GoogleCloudRetailV2SearchResponseQueryExpansionInfo", "properties": { "pinnedResultCount": { "description": "Number of pinned results. This field will only be set when expansion happens and SearchRequest.QueryExpansionSpec.pin_unexpanded_results is set to true.", "format": "int64", "type": "string" }, "expandedQuery": { "type": "boolean", "description": "Bool describing whether query expansion has occurred." } }, "description": "Information describing query expansion including whether expansion has occurred.", "type": "object" }, "GoogleCloudRetailV2SearchResponse": { "description": "Response message for SearchService.Search method.", "id": "GoogleCloudRetailV2SearchResponse", "properties": { "totalSize": { "format": "int32", "type": "integer", "description": "The estimated total count of matched items irrespective of pagination. The count of results returned by pagination may be less than the total_size that matches." }, "queryExpansionInfo": { "$ref": "GoogleCloudRetailV2SearchResponseQueryExpansionInfo", "description": "Query expansion information for the returned results." }, "nextPageToken": { "type": "string", "description": "A token that can be sent as SearchRequest.page_token to retrieve the next page. If this field is omitted, there are no subsequent pages." }, "results": { "items": { "$ref": "GoogleCloudRetailV2SearchResponseSearchResult" }, "type": "array", "description": "A list of matched items. The order represents the ranking." }, "correctedQuery": { "type": "string", "description": "Contains the spell corrected query, if found. If the spell correction type is AUTOMATIC, then the search results are based on corrected_query. Otherwise the original query will be used for search." }, "redirectUri": { "description": "The URI of a customer-defined redirect page. If redirect action is triggered, no search is performed, and only redirect_uri and attribution_token are set in the response.", "type": "string" }, "appliedControls": { "items": { "type": "string" }, "description": "The fully qualified resource name of applied [controls](https://cloud.google.com/retail/docs/serving-control-rules).", "type": "array" }, "facets": { "items": { "$ref": "GoogleCloudRetailV2SearchResponseFacet" }, "description": "Results of facets requested by user.", "type": "array" }, "invalidConditionBoostSpecs": { "description": "The invalid SearchRequest.BoostSpec.condition_boost_specs that are not applied during serving.", "items": { "$ref": "GoogleCloudRetailV2SearchRequestBoostSpecConditionBoostSpec" }, "type": "array" }, "attributionToken": { "description": "A unique search token. This should be included in the UserEvent logs resulting from this search, which enables accurate attribution of search model performance.", "type": "string" } }, "type": "object" }, "GoogleCloudRetailV2ImportCompletionDataResponse": { "properties": { "errorSamples": { "description": "A sample of errors encountered while processing the request.", "type": "array", "items": { "$ref": "GoogleRpcStatus" } } }, "type": "object", "description": "Response of the ImportCompletionDataRequest. If the long running operation is done, this message is returned by the google.longrunning.Operations.response field if the operation is successful.", "id": "GoogleCloudRetailV2ImportCompletionDataResponse" }, "GoogleCloudRetailV2alphaExportProductsResponse": { "type": "object", "id": "GoogleCloudRetailV2alphaExportProductsResponse", "properties": { "errorSamples": { "type": "array", "items": { "$ref": "GoogleRpcStatus" }, "description": "A sample of errors encountered while processing the request." }, "errorsConfig": { "$ref": "GoogleCloudRetailV2alphaExportErrorsConfig", "description": "This field is never set." } }, "description": "Response of the ExportProductsRequest. If the long running operation is done, then this message is returned by the google.longrunning.Operations.response field if the operation was successful." }, "GoogleCloudRetailV2RejoinUserEventsRequest": { "type": "object", "id": "GoogleCloudRetailV2RejoinUserEventsRequest", "description": "Request message for RejoinUserEvents method.", "properties": { "userEventRejoinScope": { "type": "string", "enumDescriptions": [ "Rejoin all events with the latest product catalog, including both joined events and unjoined events.", "Only rejoin joined events with the latest product catalog.", "Only rejoin unjoined events with the latest product catalog." ], "enum": [ "USER_EVENT_REJOIN_SCOPE_UNSPECIFIED", "JOINED_EVENTS", "UNJOINED_EVENTS" ], "description": "The type of the user event rejoin to define the scope and range of the user events to be rejoined with the latest product catalog. Defaults to USER_EVENT_REJOIN_SCOPE_UNSPECIFIED if this field is not set, or set to an invalid integer value." } } }, "GoogleCloudRetailV2AddLocalInventoriesRequest": { "properties": { "localInventories": { "type": "array", "description": "Required. A list of inventory information at difference places. Each place is identified by its place ID. At most 3000 inventories are allowed per request.", "items": { "$ref": "GoogleCloudRetailV2LocalInventory" } }, "addTime": { "type": "string", "format": "google-datetime", "description": "The time when the inventory updates are issued. Used to prevent out-of-order updates on local inventory fields. If not provided, the internal system time will be used." }, "addMask": { "format": "google-fieldmask", "description": "Indicates which inventory fields in the provided list of LocalInventory to update. The field is updated to the provided value. If a field is set while the place does not have a previous local inventory, the local inventory at that store is created. If a field is set while the value of that field is not provided, the original field value, if it exists, is deleted. If the mask is not set or set with empty paths, all inventory fields will be updated. If an unsupported or unknown field is provided, an INVALID_ARGUMENT error is returned and the entire update will be ignored.", "type": "string" }, "allowMissing": { "description": "If set to true, and the Product is not found, the local inventory will still be processed and retained for at most 1 day and processed once the Product is created. If set to false, a NOT_FOUND error is returned if the Product is not found.", "type": "boolean" } }, "description": "Request message for ProductService.AddLocalInventories method.", "id": "GoogleCloudRetailV2AddLocalInventoriesRequest", "type": "object" }, "GoogleCloudRetailV2betaExportErrorsConfig": { "id": "GoogleCloudRetailV2betaExportErrorsConfig", "properties": { "gcsPrefix": { "type": "string", "description": "Google Cloud Storage path for import errors. This must be an empty, existing Cloud Storage bucket. Export errors will be written to a file in this bucket, one per line, as a JSON-encoded `google.rpc.Status` message." } }, "type": "object", "description": "Configuration of destination for Export related errors." }, "GoogleRpcStatus": { "type": "object", "id": "GoogleRpcStatus", "properties": { "code": { "format": "int32", "description": "The status code, which should be an enum value of google.rpc.Code.", "type": "integer" }, "message": { "type": "string", "description": "A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client." }, "details": { "items": { "type": "object", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." } }, "type": "array", "description": "A list of messages that carry the error details. There is a common set of message types for APIs to use." } }, "description": "The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors)." }, "GoogleCloudRetailV2PurgeUserEventsResponse": { "id": "GoogleCloudRetailV2PurgeUserEventsResponse", "type": "object", "properties": { "purgedEventsCount": { "type": "string", "format": "int64", "description": "The total count of events purged as a result of the operation." } }, "description": "Response of the PurgeUserEventsRequest. If the long running operation is successfully done, then this message is returned by the google.longrunning.Operations.response field." }, "GoogleCloudRetailV2betaImportUserEventsResponse": { "id": "GoogleCloudRetailV2betaImportUserEventsResponse", "description": "Response of the ImportUserEventsRequest. If the long running operation was successful, then this message is returned by the google.longrunning.Operations.response field if the operation was successful.", "properties": { "errorsConfig": { "description": "Echoes the destination for the complete errors if this field was set in the request.", "$ref": "GoogleCloudRetailV2betaImportErrorsConfig" }, "errorSamples": { "type": "array", "items": { "$ref": "GoogleRpcStatus" }, "description": "A sample of errors encountered while processing the request." }, "importSummary": { "$ref": "GoogleCloudRetailV2betaUserEventImportSummary", "description": "Aggregated statistics of user event import status." } }, "type": "object" }, "GoogleCloudRetailV2RejoinUserEventsMetadata": { "type": "object", "properties": {}, "id": "GoogleCloudRetailV2RejoinUserEventsMetadata", "description": "Metadata for RejoinUserEvents method." }, "GoogleCloudRetailV2alphaSetInventoryMetadata": { "id": "GoogleCloudRetailV2alphaSetInventoryMetadata", "description": "Metadata related to the progress of the SetInventory operation. Currently empty because there is no meaningful metadata populated from the ProductService.SetInventory method.", "type": "object", "properties": {} }, "GoogleCloudRetailV2PredictResponsePredictionResult": { "type": "object", "properties": { "metadata": { "description": "Additional product metadata / annotations. Possible values: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `product`: JSON representation of the product. Is set if `returnProduct` is set to true in `PredictRequest.params`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `score`: Prediction score in double value. Is set if `returnScore` is set to true in `PredictRequest.params`.", "type": "object", "additionalProperties": { "type": "any" } }, "id": { "description": "ID of the recommended product", "type": "string" } }, "description": "PredictionResult represents the recommendation prediction results.", "id": "GoogleCloudRetailV2PredictResponsePredictionResult" }, "GoogleCloudRetailV2CustomAttribute": { "properties": { "numbers": { "description": "The numerical values of this custom attribute. For example, `[2.3, 15.4]` when the key is \"lengths_cm\". Exactly one of text or numbers should be set. Otherwise, an INVALID_ARGUMENT error is returned.", "items": { "type": "number", "format": "double" }, "type": "array" }, "searchable": { "description": "This field is normally ignored unless AttributesConfig.attribute_config_level of the Catalog is set to the deprecated 'PRODUCT_LEVEL_ATTRIBUTE_CONFIG' mode. For information about product-level attribute configuration, see [Configuration modes](https://cloud.google.com/retail/docs/attribute-config#config-modes). If true, custom attribute values are searchable by text queries in SearchService.Search. This field is ignored in a UserEvent. Only set if type text is set. Otherwise, a INVALID_ARGUMENT error is returned.", "type": "boolean" }, "text": { "items": { "type": "string" }, "type": "array", "description": "The textual values of this custom attribute. For example, `[\"yellow\", \"green\"]` when the key is \"color\". Empty string is not allowed. Otherwise, an INVALID_ARGUMENT error is returned. Exactly one of text or numbers should be set. Otherwise, an INVALID_ARGUMENT error is returned." }, "indexable": { "type": "boolean", "description": "This field is normally ignored unless AttributesConfig.attribute_config_level of the Catalog is set to the deprecated 'PRODUCT_LEVEL_ATTRIBUTE_CONFIG' mode. For information about product-level attribute configuration, see [Configuration modes](https://cloud.google.com/retail/docs/attribute-config#config-modes). If true, custom attribute values are indexed, so that they can be filtered, faceted or boosted in SearchService.Search. This field is ignored in a UserEvent. See SearchRequest.filter, SearchRequest.facet_specs and SearchRequest.boost_spec for more details." } }, "id": "GoogleCloudRetailV2CustomAttribute", "description": "A custom attribute that is not explicitly modeled in Product.", "type": "object" }, "GoogleCloudRetailV2alphaAddLocalInventoriesMetadata": { "properties": {}, "id": "GoogleCloudRetailV2alphaAddLocalInventoriesMetadata", "type": "object", "description": "Metadata related to the progress of the AddLocalInventories operation. Currently empty because there is no meaningful metadata populated from the ProductService.AddLocalInventories method." }, "GoogleCloudRetailV2ProductInputConfig": { "type": "object", "description": "The input config source for products.", "id": "GoogleCloudRetailV2ProductInputConfig", "properties": { "gcsSource": { "description": "Google Cloud Storage location for the input content.", "$ref": "GoogleCloudRetailV2GcsSource" }, "bigQuerySource": { "$ref": "GoogleCloudRetailV2BigQuerySource", "description": "BigQuery input source." }, "productInlineSource": { "$ref": "GoogleCloudRetailV2ProductInlineSource", "description": "The Inline source for the input content for products." } } }, "GoogleCloudRetailV2alphaPurgeMetadata": { "id": "GoogleCloudRetailV2alphaPurgeMetadata", "description": "Metadata related to the progress of the Purge operation. This will be returned by the google.longrunning.Operation.metadata field.", "type": "object", "properties": {} }, "GoogleCloudRetailV2SearchRequestQueryExpansionSpec": { "description": "Specification to determine under which conditions query expansion should occur.", "id": "GoogleCloudRetailV2SearchRequestQueryExpansionSpec", "properties": { "condition": { "description": "The condition under which query expansion should occur. Default to Condition.DISABLED.", "enumDescriptions": [ "Unspecified query expansion condition. This defaults to Condition.DISABLED.", "Disabled query expansion. Only the exact search query is used, even if SearchResponse.total_size is zero.", "Automatic query expansion built by Google Retail Search." ], "enum": [ "CONDITION_UNSPECIFIED", "DISABLED", "AUTO" ], "type": "string" }, "pinUnexpandedResults": { "description": "Whether to pin unexpanded results. If this field is set to true, unexpanded products are always at the top of the search results, followed by the expanded results.", "type": "boolean" } }, "type": "object" }, "GoogleCloudRetailV2betaAddFulfillmentPlacesResponse": { "properties": {}, "type": "object", "description": "Response of the AddFulfillmentPlacesRequest. Currently empty because there is no meaningful response populated from the ProductService.AddFulfillmentPlaces method.", "id": "GoogleCloudRetailV2betaAddFulfillmentPlacesResponse" }, "GoogleLongrunningOperation": { "type": "object", "id": "GoogleLongrunningOperation", "properties": { "done": { "description": "If the value is `false`, it means the operation is still in progress. If `true`, the operation is completed, and either `error` or `response` is available.", "type": "boolean" }, "response": { "type": "object", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "description": "The normal response of the operation in case of success. If the original method returns no data on success, such as `Delete`, the response is `google.protobuf.Empty`. If the original method is standard `Get`/`Create`/`Update`, the response should be the resource. For other methods, the response should have the type `XxxResponse`, where `Xxx` is the original method name. For example, if the original method name is `TakeSnapshot()`, the inferred response type is `TakeSnapshotResponse`." }, "name": { "type": "string", "description": "The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the `name` should be a resource name ending with `operations/{unique_id}`." }, "error": { "description": "The error result of the operation in case of failure or cancellation.", "$ref": "GoogleRpcStatus" }, "metadata": { "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "description": "Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any.", "type": "object" } }, "description": "This resource represents a long-running operation that is the result of a network API call." }, "GoogleCloudRetailV2alphaAddLocalInventoriesResponse": { "id": "GoogleCloudRetailV2alphaAddLocalInventoriesResponse", "description": "Response of the ProductService.AddLocalInventories API. Currently empty because there is no meaningful response populated from the ProductService.AddLocalInventories method.", "properties": {}, "type": "object" }, "GoogleCloudRetailLoggingHttpRequestContext": { "id": "GoogleCloudRetailLoggingHttpRequestContext", "description": "HTTP request data that is related to a reported error.", "type": "object", "properties": { "responseStatusCode": { "type": "integer", "description": "The HTTP response status code for the request.", "format": "int32" } } }, "GoogleCloudRetailV2PurchaseTransaction": { "id": "GoogleCloudRetailV2PurchaseTransaction", "properties": { "tax": { "format": "float", "type": "number", "description": "All the taxes associated with the transaction." }, "cost": { "description": "All the costs associated with the products. These can be manufacturing costs, shipping expenses not borne by the end user, or any other costs, such that: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Profit = revenue - tax - cost", "type": "number", "format": "float" }, "id": { "type": "string", "description": "The transaction ID with a length limit of 128 characters." }, "currencyCode": { "description": "Required. Currency code. Use three-character ISO-4217 code.", "type": "string" }, "revenue": { "format": "float", "type": "number", "description": "Required. Total non-zero revenue or grand total associated with the transaction. This value include shipping, tax, or other adjustments to total revenue that you want to include as part of your revenue calculations." } }, "type": "object", "description": "A transaction represents the entire purchase transaction." }, "GoogleCloudRetailV2Catalog": { "description": "The catalog configuration.", "type": "object", "properties": { "productLevelConfig": { "description": "Required. The product level configuration.", "$ref": "GoogleCloudRetailV2ProductLevelConfig" }, "name": { "description": "Required. Immutable. The fully qualified resource name of the catalog.", "type": "string" }, "displayName": { "description": "Required. Immutable. The catalog display name. This field must be a UTF-8 encoded string with a length limit of 128 characters. Otherwise, an INVALID_ARGUMENT error is returned.", "type": "string" } }, "id": "GoogleCloudRetailV2Catalog" }, "GoogleCloudRetailV2RejoinUserEventsResponse": { "id": "GoogleCloudRetailV2RejoinUserEventsResponse", "properties": { "rejoinedUserEventsCount": { "format": "int64", "type": "string", "description": "Number of user events that were joined with latest product catalog." } }, "type": "object", "description": "Response message for RejoinUserEvents method." }, "GoogleCloudRetailV2alphaRemoveLocalInventoriesResponse": { "properties": {}, "description": "Response of the ProductService.RemoveLocalInventories API. Currently empty because there is no meaningful response populated from the ProductService.RemoveLocalInventories method.", "type": "object", "id": "GoogleCloudRetailV2alphaRemoveLocalInventoriesResponse" }, "GoogleCloudRetailV2ProductDetail": { "id": "GoogleCloudRetailV2ProductDetail", "description": "Detailed product information associated with a user event.", "type": "object", "properties": { "quantity": { "format": "int32", "description": "Quantity of the product associated with the user event. For example, this field will be 2 if two products are added to the shopping cart for `purchase-complete` event. Required for `add-to-cart` and `purchase-complete` event types.", "type": "integer" }, "product": { "$ref": "GoogleCloudRetailV2Product", "description": "Required. Product information. Required field(s): LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Product.id Optional override field(s): LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Product.price_info If any supported optional fields are provided, we will treat them as a full override when looking up product information from the catalog. Thus, it is important to ensure that the overriding fields are accurate and complete. All other product fields are ignored and instead populated via catalog lookup after event ingestion." } } }, "GoogleCloudRetailV2ImportErrorsConfig": { "properties": { "gcsPrefix": { "description": "Google Cloud Storage prefix for import errors. This must be an empty, existing Cloud Storage directory. Import errors will be written to sharded files in this directory, one per line, as a JSON-encoded `google.rpc.Status` message.", "type": "string" } }, "description": "Configuration of destination for Import related errors.", "id": "GoogleCloudRetailV2ImportErrorsConfig", "type": "object" }, "GoogleCloudRetailV2betaAddLocalInventoriesResponse": { "id": "GoogleCloudRetailV2betaAddLocalInventoriesResponse", "type": "object", "description": "Response of the ProductService.AddLocalInventories API. Currently empty because there is no meaningful response populated from the ProductService.AddLocalInventories method.", "properties": {} }, "GoogleCloudRetailV2betaImportErrorsConfig": { "type": "object", "description": "Configuration of destination for Import related errors.", "id": "GoogleCloudRetailV2betaImportErrorsConfig", "properties": { "gcsPrefix": { "type": "string", "description": "Google Cloud Storage prefix for import errors. This must be an empty, existing Cloud Storage directory. Import errors will be written to sharded files in this directory, one per line, as a JSON-encoded `google.rpc.Status` message." } } }, "GoogleCloudRetailV2CompletionDataInputConfig": { "id": "GoogleCloudRetailV2CompletionDataInputConfig", "description": "The input config source for completion data.", "properties": { "bigQuerySource": { "$ref": "GoogleCloudRetailV2BigQuerySource", "description": "Required. BigQuery input source. Add the IAM permission \"BigQuery Data Viewer\" for cloud-retail-customer-data-access@system.gserviceaccount.com before using this feature otherwise an error is thrown." } }, "type": "object" }, "GoogleCloudRetailV2LocalInventory": { "id": "GoogleCloudRetailV2LocalInventory", "type": "object", "properties": { "attributes": { "description": "Additional local inventory attributes, for example, store name, promotion tags, etc. This field needs to pass all below criteria, otherwise an INVALID_ARGUMENT error is returned: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh At most 30 attributes are allowed. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The key must be a UTF-8 encoded string with a length limit of 32 characters. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The key must match the pattern: `a-zA-Z0-9*`. For example, key0LikeThis or KEY_1_LIKE_THIS. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The attribute values must be of the same type (text or number). LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Only 1 value is allowed for each attribute. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh For text values, the length limit is 256 UTF-8 characters. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The attribute does not support search. The `searchable` field should be unset or set to false. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The max summed total bytes of custom attribute keys and values per product is 5MiB.", "type": "object", "additionalProperties": { "$ref": "GoogleCloudRetailV2CustomAttribute" } }, "placeId": { "description": "The place ID for the current set of inventory information.", "type": "string" }, "fulfillmentTypes": { "items": { "type": "string" }, "description": "Input only. Supported fulfillment types. Valid fulfillment type values include commonly used types (such as pickup in store and same day delivery), and custom types. Customers have to map custom types to their display names before rendering UI. Supported values: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"pickup-in-store\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"ship-to-store\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"same-day-delivery\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"next-day-delivery\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"custom-type-1\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"custom-type-2\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"custom-type-3\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"custom-type-4\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"custom-type-5\" If this field is set to an invalid value other than these, an INVALID_ARGUMENT error is returned. All the elements must be distinct. Otherwise, an INVALID_ARGUMENT error is returned.", "type": "array" }, "priceInfo": { "description": "Product price and cost information. Google Merchant Center property [price](https://support.google.com/merchants/answer/6324371).", "$ref": "GoogleCloudRetailV2PriceInfo" } }, "description": "The inventory information at a place (e.g. a store) identified by a place ID." }, "GoogleCloudRetailV2PurgeUserEventsRequest": { "type": "object", "id": "GoogleCloudRetailV2PurgeUserEventsRequest", "properties": { "filter": { "type": "string", "description": "Required. The filter string to specify the events to be deleted with a length limit of 5,000 characters. Empty string filter is not allowed. The eligible fields for filtering are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `eventType`: Double quoted UserEvent.event_type string. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `eventTime`: in ISO 8601 \"zulu\" format. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `visitorId`: Double quoted string. Specifying this will delete all events associated with a visitor. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `userId`: Double quoted string. Specifying this will delete all events associated with a user. Examples: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Deleting all events in a time range: `eventTime \u003e \"2012-04-23T18:25:43.511Z\" eventTime \u003c \"2012-04-23T18:30:43.511Z\"` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Deleting specific eventType in time range: `eventTime \u003e \"2012-04-23T18:25:43.511Z\" eventType = \"detail-page-view\"` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Deleting all events for a specific visitor: `visitorId = \"visitor1024\"` The filtering fields are assumed to have an implicit AND." }, "force": { "type": "boolean", "description": "Actually perform the purge. If `force` is set to false, the method will return the expected purge count without deleting any user events." } }, "description": "Request message for PurgeUserEvents method." }, "GoogleCloudRetailV2SetDefaultBranchRequest": { "properties": { "branchId": { "type": "string", "description": "The final component of the resource name of a branch. This field must be one of \"0\", \"1\" or \"2\". Otherwise, an INVALID_ARGUMENT error is returned. If there are no sufficient active products in the targeted branch and force is not set, a FAILED_PRECONDITION error is returned." }, "force": { "description": "If set to true, it permits switching to a branch with branch_id even if it has no sufficient active products.", "type": "boolean" }, "note": { "type": "string", "description": "Some note on this request, this can be retrieved by CatalogService.GetDefaultBranch before next valid default branch set occurs. This field must be a UTF-8 encoded string with a length limit of 1,000 characters. Otherwise, an INVALID_ARGUMENT error is returned." } }, "type": "object", "description": "Request message to set a specified branch as new default_branch.", "id": "GoogleCloudRetailV2SetDefaultBranchRequest" }, "GoogleCloudRetailV2betaAddFulfillmentPlacesMetadata": { "type": "object", "id": "GoogleCloudRetailV2betaAddFulfillmentPlacesMetadata", "description": "Metadata related to the progress of the AddFulfillmentPlaces operation. Currently empty because there is no meaningful metadata populated from the ProductService.AddFulfillmentPlaces method.", "properties": {} }, "GoogleCloudRetailV2PurgeMetadata": { "id": "GoogleCloudRetailV2PurgeMetadata", "description": "Metadata related to the progress of the Purge operation. This will be returned by the google.longrunning.Operation.metadata field.", "type": "object", "properties": {} }, "GoogleCloudRetailV2Interval": { "id": "GoogleCloudRetailV2Interval", "properties": { "exclusiveMaximum": { "type": "number", "description": "Exclusive upper bound.", "format": "double" }, "maximum": { "description": "Inclusive upper bound.", "type": "number", "format": "double" }, "minimum": { "description": "Inclusive lower bound.", "type": "number", "format": "double" }, "exclusiveMinimum": { "description": "Exclusive lower bound.", "format": "double", "type": "number" } }, "description": "A floating point interval.", "type": "object" }, "GoogleCloudRetailV2alphaExportUserEventsResponse": { "id": "GoogleCloudRetailV2alphaExportUserEventsResponse", "type": "object", "description": "Response of the ExportUserEventsRequest. If the long running operation was successful, then this message is returned by the google.longrunning.Operations.response field if the operation was successful.", "properties": { "errorSamples": { "type": "array", "items": { "$ref": "GoogleRpcStatus" }, "description": "A sample of errors encountered while processing the request." }, "errorsConfig": { "description": "This field is never set.", "$ref": "GoogleCloudRetailV2alphaExportErrorsConfig" } } }, "GoogleCloudRetailV2betaAddLocalInventoriesMetadata": { "description": "Metadata related to the progress of the AddLocalInventories operation. Currently empty because there is no meaningful metadata populated from the ProductService.AddLocalInventories method.", "id": "GoogleCloudRetailV2betaAddLocalInventoriesMetadata", "type": "object", "properties": {} }, "GoogleCloudRetailLoggingImportErrorContext": { "description": "The error payload that is populated on LRO import APIs. Including: \"google.cloud.retail.v2.ProductService.ImportProducts\" \"google.cloud.retail.v2.EventService.ImportUserEvents\"", "type": "object", "id": "GoogleCloudRetailLoggingImportErrorContext", "properties": { "gcsPath": { "type": "string", "description": "Cloud Storage file path of the import source. Can be set for batch operation error." }, "userEvent": { "description": "The detailed content which caused the error on importing a user event.", "type": "string" }, "operationName": { "type": "string", "description": "The operation resource name of the LRO." }, "catalogItem": { "description": "The detailed content which caused the error on importing a catalog item.", "type": "string" }, "lineNumber": { "type": "string", "description": "Line number of the content in file. Should be empty for permission or batch operation error." }, "product": { "description": "The detailed content which caused the error on importing a product.", "type": "string" } } }, "GoogleCloudRetailV2alphaRejoinUserEventsMetadata": { "id": "GoogleCloudRetailV2alphaRejoinUserEventsMetadata", "properties": {}, "type": "object", "description": "Metadata for RejoinUserEvents method." }, "GoogleCloudRetailV2SearchRequestSpellCorrectionSpec": { "description": "The specification for query spell correction.", "id": "GoogleCloudRetailV2SearchRequestSpellCorrectionSpec", "properties": { "mode": { "enum": [ "MODE_UNSPECIFIED", "SUGGESTION_ONLY", "AUTO" ], "type": "string", "description": "The mode under which spell correction should take effect to replace the original search query. Default to Mode.AUTO.", "enumDescriptions": [ "Unspecified spell correction mode. This defaults to Mode.AUTO.", "Google Retail Search will try to find a spell suggestion if there is any and put in the SearchResponse.corrected_query. The spell suggestion will not be used as the search query.", "Automatic spell correction built by Google Retail Search. Search will be based on the corrected query if found." ] } }, "type": "object" }, "GoogleCloudRetailV2ImportCompletionDataRequest": { "description": "Request message for ImportCompletionData methods.", "id": "GoogleCloudRetailV2ImportCompletionDataRequest", "type": "object", "properties": { "inputConfig": { "description": "Required. The desired input location of the data.", "$ref": "GoogleCloudRetailV2CompletionDataInputConfig" }, "notificationPubsubTopic": { "description": "Pub/Sub topic for receiving notification. If this field is set, when the import is finished, a notification will be sent to specified Pub/Sub topic. The message data will be JSON string of a Operation. Format of the Pub/Sub topic is `projects/{project}/topics/{topic}`.", "type": "string" } } }, "GoogleCloudRetailV2RemoveFulfillmentPlacesResponse": { "properties": {}, "description": "Response of the RemoveFulfillmentPlacesRequest. Currently empty because there is no meaningful response populated from the ProductService.RemoveFulfillmentPlaces method.", "type": "object", "id": "GoogleCloudRetailV2RemoveFulfillmentPlacesResponse" }, "GoogleCloudRetailV2SearchRequestFacetSpecFacetKey": { "properties": { "query": { "type": "string", "description": "The query that is used to compute facet for the given facet key. When provided, it will override the default behavior of facet computation. The query syntax is the same as a filter expression. See SearchRequest.filter for detail syntax and limitations. Notice that there is no limitation on FacetKey.key when query is specified. In the response, SearchResponse.Facet.values.value will be always \"1\" and SearchResponse.Facet.values.count will be the number of results that match the query. For example, you can set a customized facet for \"shipToStore\", where FacetKey.key is \"customizedShipToStore\", and FacetKey.query is \"availability: ANY(\\\"IN_STOCK\\\") AND shipToStore: ANY(\\\"123\\\")\". Then the facet will count the products that are both in stock and ship to store \"123\"." }, "caseInsensitive": { "type": "boolean", "description": "True to make facet keys case insensitive when getting faceting values with prefixes or contains; false otherwise." }, "orderBy": { "type": "string", "description": "The order in which SearchResponse.Facet.values are returned. Allowed values are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"count desc\", which means order by SearchResponse.Facet.values.count descending. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"value desc\", which means order by SearchResponse.Facet.values.value descending. Only applies to textual facets. If not set, textual values are sorted in [natural order](https://en.wikipedia.org/wiki/Natural_sort_order); numerical intervals are sorted in the order given by FacetSpec.FacetKey.intervals; FulfillmentInfo.place_ids are sorted in the order given by FacetSpec.FacetKey.restricted_values." }, "intervals": { "items": { "$ref": "GoogleCloudRetailV2Interval" }, "description": "Set only if values should be bucketized into intervals. Must be set for facets with numerical values. Must not be set for facet with text values. Maximum number of intervals is 30.", "type": "array" }, "prefixes": { "description": "Only get facet values that start with the given string prefix. For example, suppose \"categories\" has three values \"Women \u003e Shoe\", \"Women \u003e Dress\" and \"Men \u003e Shoe\". If set \"prefixes\" to \"Women\", the \"categories\" facet will give only \"Women \u003e Shoe\" and \"Women \u003e Dress\". Only supported on textual fields. Maximum is 10.", "type": "array", "items": { "type": "string" } }, "restrictedValues": { "items": { "type": "string" }, "description": "Only get facet for the given restricted values. For example, when using \"pickupInStore\" as key and set restricted values to [\"store123\", \"store456\"], only facets for \"store123\" and \"store456\" are returned. Only supported on predefined textual fields, custom textual attributes and fulfillments. Maximum is 20. Must be set for the fulfillment facet keys: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh pickupInStore LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh shipToStore LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh sameDayDelivery LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh nextDayDelivery LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh customFulfillment1 LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh customFulfillment2 LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh customFulfillment3 LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh customFulfillment4 LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh customFulfillment5", "type": "array" }, "contains": { "type": "array", "description": "Only get facet values that contains the given strings. For example, suppose \"categories\" has three values \"Women \u003e Shoe\", \"Women \u003e Dress\" and \"Men \u003e Shoe\". If set \"contains\" to \"Shoe\", the \"categories\" facet will give only \"Women \u003e Shoe\" and \"Men \u003e Shoe\". Only supported on textual fields. Maximum is 10.", "items": { "type": "string" } }, "key": { "description": "Required. Supported textual and numerical facet keys in Product object, over which the facet values are computed. Facet key is case-sensitive. Allowed facet keys when FacetKey.query is not specified: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh textual_field = LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"brands\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"categories\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"genders\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"ageGroups\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"availability\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"colorFamilies\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"colors\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"sizes\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"materials\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"patterns\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"conditions\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"attributes.key\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"pickupInStore\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"shipToStore\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"sameDayDelivery\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"nextDayDelivery\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"customFulfillment1\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"customFulfillment2\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"customFulfillment3\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"customFulfillment4\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"customFulfillment5\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"inventory(place_id,attributes.key)\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh numerical_field = LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"price\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"discount\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"rating\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"ratingCount\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"attributes.key\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"inventory(place_id,price)\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"inventory(place_id,original_price)\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"inventory(place_id,attributes.key)\"", "type": "string" } }, "type": "object", "id": "GoogleCloudRetailV2SearchRequestFacetSpecFacetKey", "description": "Specifies how a facet is computed." }, "GoogleCloudRetailV2Rating": { "id": "GoogleCloudRetailV2Rating", "description": "The rating of a Product.", "properties": { "ratingHistogram": { "type": "array", "description": "List of rating counts per rating value (index = rating - 1). The list is empty if there is no rating. If the list is non-empty, its size is always 5. Otherwise, an INVALID_ARGUMENT error is returned. For example, [41, 14, 13, 47, 303]. It means that the Product got 41 ratings with 1 star, 14 ratings with 2 star, and so on.", "items": { "format": "int32", "type": "integer" } }, "averageRating": { "type": "number", "description": "The average rating of the Product. The rating is scaled at 1-5. Otherwise, an INVALID_ARGUMENT error is returned.", "format": "float" }, "ratingCount": { "type": "integer", "format": "int32", "description": "The total number of ratings. This value is independent of the value of rating_histogram. This value must be nonnegative. Otherwise, an INVALID_ARGUMENT error is returned." } }, "type": "object" }, "GoogleCloudRetailV2ProductLevelConfig": { "id": "GoogleCloudRetailV2ProductLevelConfig", "properties": { "merchantCenterProductIdField": { "type": "string", "description": "Which field of [Merchant Center Product](/bigquery-transfer/docs/merchant-center-products-schema) should be imported as Product.id. Acceptable values are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `offerId` (default): Import `offerId` as the product ID. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `itemGroupId`: Import `itemGroupId` as the product ID. Notice that Retail API will choose one item from the ones with the same `itemGroupId`, and use it to represent the item group. If this field is set to an invalid value other than these, an INVALID_ARGUMENT error is returned. If this field is `itemGroupId` and ingestion_product_type is `variant`, an INVALID_ARGUMENT error is returned. See [Product levels](https://cloud.google.com/retail/docs/catalog#product-levels) for more details." }, "ingestionProductType": { "type": "string", "description": "The type of Products allowed to be ingested into the catalog. Acceptable values are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `primary` (default): You can ingest Products of all types. When ingesting a Product, its type will default to Product.Type.PRIMARY if unset. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `variant` (incompatible with Retail Search): You can only ingest Product.Type.VARIANT Products. This means Product.primary_product_id cannot be empty. If this field is set to an invalid value other than these, an INVALID_ARGUMENT error is returned. If this field is `variant` and merchant_center_product_id_field is `itemGroupId`, an INVALID_ARGUMENT error is returned. See [Product levels](https://cloud.google.com/retail/docs/catalog#product-levels) for more details." } }, "type": "object", "description": "Configures what level the product should be uploaded with regards to how users will be send events and how predictions will be made." }, "GoogleCloudRetailV2SearchRequest": { "id": "GoogleCloudRetailV2SearchRequest", "properties": { "searchMode": { "description": "The search mode of the search request. If not specified, a single search request triggers both product search and faceted search.", "enumDescriptions": [ "Default value. In this case both product search and faceted search will be performed. Both [SearchResponse.SearchResult] and [SearchResponse.Facet] will be returned.", "Only product search will be performed. The faceted search will be disabled. Only [SearchResponse.SearchResult] will be returned. [SearchResponse.Facet] will not be returned, even if SearchRequest.facet_specs or SearchRequest.dynamic_facet_spec is set.", "Only faceted search will be performed. The product search will be disabled. When in this mode, one or both of SearchRequest.facet_specs and SearchRequest.dynamic_facet_spec should be set. Otherwise, an INVALID_ARGUMENT error is returned. Only [SearchResponse.Facet] will be returned. [SearchResponse.SearchResult] will not be returned." ], "type": "string", "enum": [ "SEARCH_MODE_UNSPECIFIED", "PRODUCT_SEARCH_ONLY", "FACETED_SEARCH_ONLY" ] }, "query": { "type": "string", "description": "Raw search query. If this field is empty, the request is considered a category browsing request and returned results are based on filter and page_categories." }, "orderBy": { "type": "string", "description": "The order in which products are returned. Products can be ordered by a field in an Product object. Leave it unset if ordered by relevance. OrderBy expression is case-sensitive. See more details at this [user guide](https://cloud.google.com/retail/docs/filter-and-order#order). If this field is unrecognizable, an INVALID_ARGUMENT is returned." }, "pageToken": { "type": "string", "description": "A page token SearchResponse.next_page_token, received from a previous SearchService.Search call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to SearchService.Search must match the call that provided the page token. Otherwise, an INVALID_ARGUMENT error is returned." }, "dynamicFacetSpec": { "$ref": "GoogleCloudRetailV2SearchRequestDynamicFacetSpec", "description": "Deprecated. Refer to https://cloud.google.com/retail/docs/configs#dynamic to enable dynamic facets. Do not set this field. The specification for dynamically generated facets. Notice that only textual facets can be dynamically generated." }, "filter": { "description": "The filter syntax consists of an expression language for constructing a predicate from one or more fields of the products being filtered. Filter expression is case-sensitive. See more details at this [user guide](https://cloud.google.com/retail/docs/filter-and-order#filter). If this field is unrecognizable, an INVALID_ARGUMENT is returned.", "type": "string" }, "visitorId": { "description": "Required. A unique identifier for tracking visitors. For example, this could be implemented with an HTTP cookie, which should be able to uniquely identify a visitor on a single device. This unique identifier should not change if the visitor logs in or out of the website. This should be the same identifier as UserEvent.visitor_id. The field must be a UTF-8 encoded string with a length limit of 128 characters. Otherwise, an INVALID_ARGUMENT error is returned.", "type": "string" }, "facetSpecs": { "items": { "$ref": "GoogleCloudRetailV2SearchRequestFacetSpec" }, "description": "Facet specifications for faceted search. If empty, no facets are returned. A maximum of 100 values are allowed. Otherwise, an INVALID_ARGUMENT error is returned.", "type": "array" }, "personalizationSpec": { "$ref": "GoogleCloudRetailV2SearchRequestPersonalizationSpec", "description": "The specification for personalization." }, "pageCategories": { "type": "array", "description": "The categories associated with a category page. Required for category navigation queries to achieve good search quality. The format should be the same as UserEvent.page_categories; To represent full path of category, use '\u003e' sign to separate different hierarchies. If '\u003e' is part of the category name, please replace it with other character(s). Category pages include special pages such as sales or promotions. For instance, a special sale page may have the category hierarchy: \"pageCategories\" : [\"Sales \u003e 2017 Black Friday Deals\"].", "items": { "type": "string" } }, "branch": { "description": "The branch resource name, such as `projects/*/locations/global/catalogs/default_catalog/branches/0`. Use \"default_branch\" as the branch ID or leave this field empty, to search products under the default branch.", "type": "string" }, "labels": { "description": "The labels applied to a resource must meet the following requirements: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Each resource can have multiple labels, up to a maximum of 64. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Each label must be a key-value pair. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Keys have a minimum length of 1 character and a maximum length of 63 characters and cannot be empty. Values can be empty and have a maximum length of 63 characters. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Keys and values can contain only lowercase letters, numeric characters, underscores, and dashes. All characters must use UTF-8 encoding, and international characters are allowed. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The key portion of a label must be unique. However, you can use the same key with multiple resources. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Keys must start with a lowercase letter or international character. See [Google Cloud Document](https://cloud.google.com/resource-manager/docs/creating-managing-labels#requirements) for more details.", "additionalProperties": { "type": "string" }, "type": "object" }, "boostSpec": { "description": "Boost specification to boost certain products. See more details at this [user guide](https://cloud.google.com/retail/docs/boosting). Notice that if both ServingConfig.boost_control_ids and SearchRequest.boost_spec are set, the boost conditions from both places are evaluated. If a search request matches multiple boost conditions, the final boost score is equal to the sum of the boost scores from all matched boost conditions.", "$ref": "GoogleCloudRetailV2SearchRequestBoostSpec" }, "spellCorrectionSpec": { "description": "The spell correction specification that specifies the mode under which spell correction will take effect.", "$ref": "GoogleCloudRetailV2SearchRequestSpellCorrectionSpec" }, "pageSize": { "type": "integer", "description": "Maximum number of Products to return. If unspecified, defaults to a reasonable value. The maximum allowed value is 120. Values above 120 will be coerced to 120. If this field is negative, an INVALID_ARGUMENT is returned.", "format": "int32" }, "queryExpansionSpec": { "$ref": "GoogleCloudRetailV2SearchRequestQueryExpansionSpec", "description": "The query expansion specification that specifies the conditions under which query expansion will occur. See more details at this [user guide](https://cloud.google.com/retail/docs/result-size#query_expansion)." }, "offset": { "type": "integer", "description": "A 0-indexed integer that specifies the current offset (that is, starting result location, amongst the Products deemed by the API as relevant) in search results. This field is only considered if page_token is unset. If this field is negative, an INVALID_ARGUMENT is returned.", "format": "int32" }, "variantRollupKeys": { "type": "array", "description": "The keys to fetch and rollup the matching variant Products attributes, FulfillmentInfo or LocalInventorys attributes. The attributes from all the matching variant Products or LocalInventorys are merged and de-duplicated. Notice that rollup attributes will lead to extra query latency. Maximum number of keys is 30. For FulfillmentInfo, a fulfillment type and a fulfillment ID must be provided in the format of \"fulfillmentType.fulfillmentId\". E.g., in \"pickupInStore.store123\", \"pickupInStore\" is fulfillment type and \"store123\" is the store ID. Supported keys are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh colorFamilies LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh price LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh originalPrice LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh discount LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh variantId LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh inventory(place_id,price) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh inventory(place_id,original_price) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh inventory(place_id,attributes.key), where key is any key in the Product.local_inventories.attributes map. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh attributes.key, where key is any key in the Product.attributes map. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh pickupInStore.id, where id is any FulfillmentInfo.place_ids for FulfillmentInfo.type \"pickup-in-store\". LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh shipToStore.id, where id is any FulfillmentInfo.place_ids for FulfillmentInfo.type \"ship-to-store\". LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh sameDayDelivery.id, where id is any FulfillmentInfo.place_ids for FulfillmentInfo.type \"same-day-delivery\". LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh nextDayDelivery.id, where id is any FulfillmentInfo.place_ids for FulfillmentInfo.type \"next-day-delivery\". LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh customFulfillment1.id, where id is any FulfillmentInfo.place_ids for FulfillmentInfo.type \"custom-type-1\". LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh customFulfillment2.id, where id is any FulfillmentInfo.place_ids for FulfillmentInfo.type \"custom-type-2\". LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh customFulfillment3.id, where id is any FulfillmentInfo.place_ids for FulfillmentInfo.type \"custom-type-3\". LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh customFulfillment4.id, where id is any FulfillmentInfo.place_ids for FulfillmentInfo.type \"custom-type-4\". LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh customFulfillment5.id, where id is any FulfillmentInfo.place_ids for FulfillmentInfo.type \"custom-type-5\". If this field is set to an invalid value other than these, an INVALID_ARGUMENT error is returned.", "items": { "type": "string" } }, "userInfo": { "$ref": "GoogleCloudRetailV2UserInfo", "description": "User information." }, "canonicalFilter": { "description": "The default filter that is applied when a user performs a search without checking any filters on the search page. The filter applied to every search request when quality improvement such as query expansion is needed. For example, if a query does not have enough results, an expanded query with SearchRequest.canonical_filter will be returned as a supplement of the original query. This field is strongly recommended to achieve high search quality. See SearchRequest.filter for more details about filter syntax.", "type": "string" } }, "description": "Request message for SearchService.Search method.", "type": "object" }, "GoogleCloudRetailV2SearchResponseSearchResult": { "type": "object", "properties": { "variantRollupValues": { "additionalProperties": { "type": "any" }, "type": "object", "description": "The rollup matching variant Product attributes. The key is one of the SearchRequest.variant_rollup_keys. The values are the merged and de-duplicated Product attributes. Notice that the rollup values are respect filter. For example, when filtering by \"colorFamilies:ANY(\\\"red\\\")\" and rollup \"colorFamilies\", only \"red\" is returned. For textual and numerical attributes, the rollup values is a list of string or double values with type google.protobuf.ListValue. For example, if there are two variants with colors \"red\" and \"blue\", the rollup values are { key: \"colorFamilies\" value { list_value { values { string_value: \"red\" } values { string_value: \"blue\" } } } } For FulfillmentInfo, the rollup values is a double value with type google.protobuf.Value. For example, `{key: \"pickupInStore.store1\" value { number_value: 10 }}` means a there are 10 variants in this product are available in the store \"store1\"." }, "id": { "description": "Product.id of the searched Product.", "type": "string" }, "matchingVariantCount": { "description": "The count of matched variant Products.", "format": "int32", "type": "integer" }, "matchingVariantFields": { "type": "object", "description": "If a variant Product matches the search query, this map indicates which Product fields are matched. The key is the Product.name, the value is a field mask of the matched Product fields. If matched attributes cannot be determined, this map will be empty. For example, a key \"sku1\" with field mask \"products.color_info\" indicates there is a match between \"sku1\" ColorInfo and the query.", "additionalProperties": { "format": "google-fieldmask", "type": "string" } }, "product": { "description": "The product data snippet in the search response. Only Product.name is guaranteed to be populated. Product.variants contains the product variants that match the search query. If there are multiple product variants matching the query, top 5 most relevant product variants are returned and ordered by relevancy. If relevancy can be deternmined, use matching_variant_fields to look up matched product variants fields. If relevancy cannot be determined, e.g. when searching \"shoe\" all products in a shoe product can be a match, 5 product variants are returned but order is meaningless.", "$ref": "GoogleCloudRetailV2Product" } }, "description": "Represents the search results.", "id": "GoogleCloudRetailV2SearchResponseSearchResult" }, "GoogleCloudRetailV2BigQuerySource": { "type": "object", "id": "GoogleCloudRetailV2BigQuerySource", "properties": { "tableId": { "type": "string", "description": "Required. The BigQuery table to copy the data from with a length limit of 1,024 characters." }, "datasetId": { "description": "Required. The BigQuery data set to copy the data from with a length limit of 1,024 characters.", "type": "string" }, "dataSchema": { "description": "The schema to use when parsing the data from the source. Supported values for product imports: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `product` (default): One JSON Product per line. Each product must have a valid Product.id. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `product_merchant_center`: See [Importing catalog data from Merchant Center](https://cloud.google.com/retail/recommendations-ai/docs/upload-catalog#mc). Supported values for user events imports: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `user_event` (default): One JSON UserEvent per line. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `user_event_ga360`: The schema is available here: https://support.google.com/analytics/answer/3437719. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `user_event_ga4`: This feature is in private preview. Please contact the support team for importing Google Analytics 4 events. The schema is available here: https://support.google.com/analytics/answer/7029846. Supported values for auto-completion imports: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `suggestions` (default): One JSON completion suggestion per line. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `denylist`: One JSON deny suggestion per line. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `allowlist`: One JSON allow suggestion per line.", "type": "string" }, "gcsStagingDir": { "type": "string", "description": "Intermediate Cloud Storage directory used for the import with a length limit of 2,000 characters. Can be specified if one wants to have the BigQuery export to a specific Cloud Storage directory." }, "partitionDate": { "description": "BigQuery time partitioned table's _PARTITIONDATE in YYYY-MM-DD format. Only supported when ImportProductsRequest.reconciliation_mode is set to `FULL`.", "$ref": "GoogleTypeDate" }, "projectId": { "description": "The project ID (can be project # or ID) that the BigQuery source is in with a length limit of 128 characters. If not specified, inherits the project ID from the parent request.", "type": "string" } }, "description": "BigQuery source import data from." }, "GoogleCloudRetailV2alphaImportUserEventsResponse": { "type": "object", "id": "GoogleCloudRetailV2alphaImportUserEventsResponse", "properties": { "importSummary": { "description": "Aggregated statistics of user event import status.", "$ref": "GoogleCloudRetailV2alphaUserEventImportSummary" }, "errorsConfig": { "description": "Echoes the destination for the complete errors if this field was set in the request.", "$ref": "GoogleCloudRetailV2alphaImportErrorsConfig" }, "errorSamples": { "items": { "$ref": "GoogleRpcStatus" }, "description": "A sample of errors encountered while processing the request.", "type": "array" } }, "description": "Response of the ImportUserEventsRequest. If the long running operation was successful, then this message is returned by the google.longrunning.Operations.response field if the operation was successful." }, "GoogleCloudRetailV2betaImportProductsResponse": { "id": "GoogleCloudRetailV2betaImportProductsResponse", "description": "Response of the ImportProductsRequest. If the long running operation is done, then this message is returned by the google.longrunning.Operations.response field if the operation was successful.", "properties": { "errorsConfig": { "$ref": "GoogleCloudRetailV2betaImportErrorsConfig", "description": "Echoes the destination for the complete errors in the request if set." }, "errorSamples": { "description": "A sample of errors encountered while processing the request.", "items": { "$ref": "GoogleRpcStatus" }, "type": "array" } }, "type": "object" }, "GoogleCloudRetailV2ImportMetadata": { "properties": { "updateTime": { "type": "string", "description": "Operation last update time. If the operation is done, this is also the finish time.", "format": "google-datetime" }, "createTime": { "format": "google-datetime", "description": "Operation create time.", "type": "string" }, "requestId": { "type": "string", "description": "Deprecated. This field is never set." }, "notificationPubsubTopic": { "type": "string", "description": "Pub/Sub topic for receiving notification. If this field is set, when the import is finished, a notification will be sent to specified Pub/Sub topic. The message data will be JSON string of a Operation. Format of the Pub/Sub topic is `projects/{project}/topics/{topic}`." }, "failureCount": { "type": "string", "format": "int64", "description": "Count of entries that encountered errors while processing." }, "successCount": { "format": "int64", "type": "string", "description": "Count of entries that were processed successfully." } }, "type": "object", "id": "GoogleCloudRetailV2ImportMetadata", "description": "Metadata related to the progress of the Import operation. This will be returned by the google.longrunning.Operation.metadata field." }, "GoogleCloudRetailV2CompleteQueryResponseRecentSearchResult": { "id": "GoogleCloudRetailV2CompleteQueryResponseRecentSearchResult", "properties": { "recentSearch": { "description": "The recent search query.", "type": "string" } }, "type": "object", "description": "Recent search of this user." }, "GoogleCloudRetailV2alphaImportProductsResponse": { "id": "GoogleCloudRetailV2alphaImportProductsResponse", "description": "Response of the ImportProductsRequest. If the long running operation is done, then this message is returned by the google.longrunning.Operations.response field if the operation was successful.", "type": "object", "properties": { "errorsConfig": { "description": "Echoes the destination for the complete errors in the request if set.", "$ref": "GoogleCloudRetailV2alphaImportErrorsConfig" }, "errorSamples": { "description": "A sample of errors encountered while processing the request.", "type": "array", "items": { "$ref": "GoogleRpcStatus" } } } }, "GoogleCloudRetailV2alphaRemoveFulfillmentPlacesResponse": { "properties": {}, "id": "GoogleCloudRetailV2alphaRemoveFulfillmentPlacesResponse", "type": "object", "description": "Response of the RemoveFulfillmentPlacesRequest. Currently empty because there is no meaningful response populated from the ProductService.RemoveFulfillmentPlaces method." }, "GoogleCloudRetailV2alphaImportErrorsConfig": { "description": "Configuration of destination for Import related errors.", "id": "GoogleCloudRetailV2alphaImportErrorsConfig", "type": "object", "properties": { "gcsPrefix": { "type": "string", "description": "Google Cloud Storage prefix for import errors. This must be an empty, existing Cloud Storage directory. Import errors will be written to sharded files in this directory, one per line, as a JSON-encoded `google.rpc.Status` message." } } }, "GoogleCloudRetailV2ColorInfo": { "description": "The color information of a Product.", "properties": { "colorFamilies": { "items": { "type": "string" }, "description": "The standard color families. Strongly recommended to use the following standard color groups: \"Red\", \"Pink\", \"Orange\", \"Yellow\", \"Purple\", \"Green\", \"Cyan\", \"Blue\", \"Brown\", \"White\", \"Gray\", \"Black\" and \"Mixed\". Normally it is expected to have only 1 color family. May consider using single \"Mixed\" instead of multiple values. A maximum of 5 values are allowed. Each value must be a UTF-8 encoded string with a length limit of 128 characters. Otherwise, an INVALID_ARGUMENT error is returned. Google Merchant Center property [color](https://support.google.com/merchants/answer/6324487). Schema.org property [Product.color](https://schema.org/color).", "type": "array" }, "colors": { "description": "The color display names, which may be different from standard color family names, such as the color aliases used in the website frontend. Normally it is expected to have only 1 color. May consider using single \"Mixed\" instead of multiple values. A maximum of 25 colors are allowed. Each value must be a UTF-8 encoded string with a length limit of 128 characters. Otherwise, an INVALID_ARGUMENT error is returned. Google Merchant Center property [color](https://support.google.com/merchants/answer/6324487). Schema.org property [Product.color](https://schema.org/color).", "type": "array", "items": { "type": "string" } } }, "type": "object", "id": "GoogleCloudRetailV2ColorInfo" }, "GoogleCloudRetailLoggingErrorLog": { "type": "object", "description": "An error log which is reported to the Error Reporting system. This proto a superset of google.devtools.clouderrorreporting.v1beta1.ReportedErrorEvent.", "properties": { "message": { "description": "A message describing the error.", "type": "string" }, "status": { "$ref": "GoogleRpcStatus", "description": "The RPC status associated with the error log." }, "responsePayload": { "description": "The API response payload, represented as a protocol buffer. This is used to log some \"soft errors\", where the response is valid but we consider there are some quality issues like unjoined events. The following API responses are supported and no PII is included: \"google.cloud.retail.v2.PredictionService.Predict\" \"google.cloud.retail.v2.UserEventService.WriteUserEvent\" \"google.cloud.retail.v2.UserEventService.CollectUserEvent\"", "additionalProperties": { "description": "Properties of the object.", "type": "any" }, "type": "object" }, "importPayload": { "$ref": "GoogleCloudRetailLoggingImportErrorContext", "description": "The error payload that is populated on LRO import APIs." }, "context": { "description": "A description of the context in which the error occurred.", "$ref": "GoogleCloudRetailLoggingErrorContext" }, "requestPayload": { "additionalProperties": { "type": "any", "description": "Properties of the object." }, "type": "object", "description": "The API request payload, represented as a protocol buffer. Most API request types are supported. For example: \"type.googleapis.com/google.cloud.retail.v2.ProductService.CreateProductRequest\" \"type.googleapis.com/google.cloud.retail.v2.UserEventService.WriteUserEventRequest\"" }, "serviceContext": { "description": "The service context in which this error has occurred.", "$ref": "GoogleCloudRetailLoggingServiceContext" } }, "id": "GoogleCloudRetailLoggingErrorLog" }, "GoogleCloudRetailV2ImportProductsResponse": { "type": "object", "description": "Response of the ImportProductsRequest. If the long running operation is done, then this message is returned by the google.longrunning.Operations.response field if the operation was successful.", "id": "GoogleCloudRetailV2ImportProductsResponse", "properties": { "errorSamples": { "type": "array", "description": "A sample of errors encountered while processing the request.", "items": { "$ref": "GoogleRpcStatus" } }, "errorsConfig": { "description": "Echoes the destination for the complete errors in the request if set.", "$ref": "GoogleCloudRetailV2ImportErrorsConfig" } } }, "GoogleLongrunningListOperationsResponse": { "properties": { "nextPageToken": { "type": "string", "description": "The standard List next-page token." }, "operations": { "type": "array", "items": { "$ref": "GoogleLongrunningOperation" }, "description": "A list of operations that matches the specified filter in the request." } }, "description": "The response message for Operations.ListOperations.", "id": "GoogleLongrunningListOperationsResponse", "type": "object" }, "GoogleCloudRetailV2ProductInlineSource": { "description": "The inline source for the input config for ImportProducts method.", "type": "object", "id": "GoogleCloudRetailV2ProductInlineSource", "properties": { "products": { "items": { "$ref": "GoogleCloudRetailV2Product" }, "type": "array", "description": "Required. A list of products to update/create. Each product must have a valid Product.id. Recommended max of 100 items." } } }, "GoogleCloudRetailV2betaExportMetadata": { "properties": { "updateTime": { "description": "Operation last update time. If the operation is done, this is also the finish time.", "type": "string", "format": "google-datetime" }, "createTime": { "description": "Operation create time.", "format": "google-datetime", "type": "string" } }, "id": "GoogleCloudRetailV2betaExportMetadata", "type": "object", "description": "Metadata related to the progress of the Export operation. This will be returned by the google.longrunning.Operation.metadata field." }, "GoogleCloudRetailV2UserEventInputConfig": { "properties": { "gcsSource": { "description": "Required. Google Cloud Storage location for the input content.", "$ref": "GoogleCloudRetailV2GcsSource" }, "userEventInlineSource": { "$ref": "GoogleCloudRetailV2UserEventInlineSource", "description": "Required. The Inline source for the input content for UserEvents." }, "bigQuerySource": { "description": "Required. BigQuery input source.", "$ref": "GoogleCloudRetailV2BigQuerySource" } }, "description": "The input config source for user events.", "type": "object", "id": "GoogleCloudRetailV2UserEventInputConfig" }, "GoogleCloudRetailV2CompleteQueryResponse": { "description": "Response of the auto-complete query.", "properties": { "attributionToken": { "type": "string", "description": "A unique complete token. This should be included in the UserEvent.completion_detail for search events resulting from this completion, which enables accurate attribution of complete model performance." }, "recentSearchResults": { "items": { "$ref": "GoogleCloudRetailV2CompleteQueryResponseRecentSearchResult" }, "type": "array", "description": "Matched recent searches of this user. The maximum number of recent searches is 10. This field is a restricted feature. Contact Retail Search support team if you are interested in enabling it. This feature is only available when CompleteQueryRequest.visitor_id field is set and UserEvent is imported. The recent searches satisfy the follow rules: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh They are ordered from latest to oldest. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh They are matched with CompleteQueryRequest.query case insensitively. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh They are transformed to lower cases. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh They are UTF-8 safe. Recent searches are deduplicated. More recent searches will be reserved when duplication happens." }, "completionResults": { "type": "array", "description": "Results of the matching suggestions. The result list is ordered and the first result is top suggestion.", "items": { "$ref": "GoogleCloudRetailV2CompleteQueryResponseCompletionResult" } } }, "type": "object", "id": "GoogleCloudRetailV2CompleteQueryResponse" }, "GoogleCloudRetailV2Promotion": { "description": "Promotion specification.", "properties": { "promotionId": { "type": "string", "description": "Promotion identifier, which is the final component of name. For example, this field is \"free_gift\", if name is `projects/*/locations/global/catalogs/default_catalog/promotions/free_gift`. The value must be a UTF-8 encoded string with a length limit of 128 characters, and match the pattern: `a-zA-Z*`. For example, id0LikeThis or ID_1_LIKE_THIS. Otherwise, an INVALID_ARGUMENT error is returned. Corresponds to Google Merchant Center property [promotion_id](https://support.google.com/merchants/answer/7050148)." } }, "id": "GoogleCloudRetailV2Promotion", "type": "object" }, "GoogleCloudRetailV2alphaRemoveLocalInventoriesMetadata": { "description": "Metadata related to the progress of the RemoveLocalInventories operation. Currently empty because there is no meaningful metadata populated from the ProductService.RemoveLocalInventories method.", "id": "GoogleCloudRetailV2alphaRemoveLocalInventoriesMetadata", "type": "object", "properties": {} }, "GoogleCloudRetailV2SearchResponseFacetFacetValue": { "id": "GoogleCloudRetailV2SearchResponseFacetFacetValue", "properties": { "count": { "type": "string", "description": "Number of items that have this facet value.", "format": "int64" }, "interval": { "$ref": "GoogleCloudRetailV2Interval", "description": "Interval value for a facet, such as [10, 20) for facet \"price\"." }, "value": { "type": "string", "description": "Text value of a facet, such as \"Black\" for facet \"colorFamilies\"." } }, "description": "A facet value which contains value names and their count.", "type": "object" }, "GoogleCloudRetailLoggingErrorContext": { "description": "A description of the context in which an error occurred.", "id": "GoogleCloudRetailLoggingErrorContext", "properties": { "reportLocation": { "description": "The location in the source code where the decision was made to report the error, usually the place where it was logged.", "$ref": "GoogleCloudRetailLoggingSourceLocation" }, "httpRequest": { "$ref": "GoogleCloudRetailLoggingHttpRequestContext", "description": "The HTTP request which was processed when the error was triggered." } }, "type": "object" }, "GoogleCloudRetailV2betaUserEventImportSummary": { "properties": { "joinedEventsCount": { "format": "int64", "type": "string", "description": "Count of user events imported with complete existing catalog information." }, "unjoinedEventsCount": { "format": "int64", "type": "string", "description": "Count of user events imported, but with catalog information not found in the imported catalog." } }, "id": "GoogleCloudRetailV2betaUserEventImportSummary", "description": "A summary of import result. The UserEventImportSummary summarizes the import status for user events.", "type": "object" } }, "baseUrl": "https://retail.googleapis.com/", "parameters": { "oauth_token": { "location": "query", "type": "string", "description": "OAuth 2.0 token for the current user." }, "$.xgafv": { "location": "query", "type": "string", "enum": [ "1", "2" ], "enumDescriptions": [ "v1 error format", "v2 error format" ], "description": "V1 error format." }, "callback": { "description": "JSONP", "type": "string", "location": "query" }, "uploadType": { "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "type": "string", "location": "query" }, "fields": { "description": "Selector specifying which fields to include in a partial response.", "location": "query", "type": "string" }, "quotaUser": { "type": "string", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "location": "query" }, "alt": { "default": "json", "location": "query", "type": "string", "description": "Data format for response.", "enum": [ "json", "media", "proto" ], "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ] }, "access_token": { "location": "query", "description": "OAuth access token.", "type": "string" }, "key": { "location": "query", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "type": "string" }, "prettyPrint": { "default": "true", "location": "query", "description": "Returns response with indentations and line breaks.", "type": "boolean" }, "upload_protocol": { "location": "query", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "type": "string" } }, "canonicalName": "Cloud Retail", "kind": "discovery#restDescription", "discoveryVersion": "v1", "version": "v2", "servicePath": "", "protocol": "rest", "resources": { "projects": { "resources": { "locations": { "resources": { "catalogs": { "resources": { "branches": { "resources": { "products": { "methods": { "create": { "id": "retail.projects.locations.catalogs.branches.products.create", "parameters": { "productId": { "location": "query", "type": "string", "description": "Required. The ID to use for the Product, which will become the final component of the Product.name. If the caller does not have permission to create the Product, regardless of whether or not it exists, a PERMISSION_DENIED error is returned. This field must be unique among all Products with the same parent. Otherwise, an ALREADY_EXISTS error is returned. This field must be a UTF-8 encoded string with a length limit of 128 characters. Otherwise, an INVALID_ARGUMENT error is returned." }, "parent": { "type": "string", "description": "Required. The parent catalog resource name, such as `projects/*/locations/global/catalogs/default_catalog/branches/default_branch`.", "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/catalogs/[^/]+/branches/[^/]+$" } }, "httpMethod": "POST", "flatPath": "v2/projects/{projectsId}/locations/{locationsId}/catalogs/{catalogsId}/branches/{branchesId}/products", "path": "v2/{+parent}/products", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "parent" ], "request": { "$ref": "GoogleCloudRetailV2Product" }, "response": { "$ref": "GoogleCloudRetailV2Product" }, "description": "Creates a Product." }, "removeFulfillmentPlaces": { "id": "retail.projects.locations.catalogs.branches.products.removeFulfillmentPlaces", "description": "Incrementally removes place IDs from a Product.fulfillment_info.place_ids. This process is asynchronous and does not require the Product to exist before updating fulfillment information. If the request is valid, the update will be enqueued and processed downstream. As a consequence, when a response is returned, the removed place IDs are not immediately manifested in the Product queried by ProductService.GetProduct or ProductService.ListProducts. This feature is only available for users who have Retail Search enabled. Please enable Retail Search on Cloud Console before using this feature.", "flatPath": "v2/projects/{projectsId}/locations/{locationsId}/catalogs/{catalogsId}/branches/{branchesId}/products/{productsId}:removeFulfillmentPlaces", "path": "v2/{+product}:removeFulfillmentPlaces", "parameterOrder": [ "product" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "product": { "location": "path", "description": "Required. Full resource name of Product, such as `projects/*/locations/global/catalogs/default_catalog/branches/default_branch/products/some_product_id`. If the caller does not have permission to access the Product, regardless of whether or not it exists, a PERMISSION_DENIED error is returned.", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/catalogs/[^/]+/branches/[^/]+/products/.*$" } }, "httpMethod": "POST", "response": { "$ref": "GoogleLongrunningOperation" }, "request": { "$ref": "GoogleCloudRetailV2RemoveFulfillmentPlacesRequest" } }, "list": { "flatPath": "v2/projects/{projectsId}/locations/{locationsId}/catalogs/{catalogsId}/branches/{branchesId}/products", "httpMethod": "GET", "parameterOrder": [ "parent" ], "path": "v2/{+parent}/products", "parameters": { "pageSize": { "description": "Maximum number of Products to return. If unspecified, defaults to 100. The maximum allowed value is 1000. Values above 1000 will be coerced to 1000. If this field is negative, an INVALID_ARGUMENT error is returned.", "format": "int32", "location": "query", "type": "integer" }, "parent": { "pattern": "^projects/[^/]+/locations/[^/]+/catalogs/[^/]+/branches/[^/]+$", "description": "Required. The parent branch resource name, such as `projects/*/locations/global/catalogs/default_catalog/branches/0`. Use `default_branch` as the branch ID, to list products under the default branch. If the caller does not have permission to list Products under this branch, regardless of whether or not this branch exists, a PERMISSION_DENIED error is returned.", "type": "string", "location": "path", "required": true }, "pageToken": { "type": "string", "description": "A page token ListProductsResponse.next_page_token, received from a previous ProductService.ListProducts call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to ProductService.ListProducts must match the call that provided the page token. Otherwise, an INVALID_ARGUMENT error is returned.", "location": "query" }, "readMask": { "location": "query", "type": "string", "format": "google-fieldmask", "description": "The fields of Product to return in the responses. If not set or empty, the following fields are returned: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Product.name LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Product.id LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Product.title LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Product.uri LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Product.images LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Product.price_info LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Product.brands If \"*\" is provided, all fields are returned. Product.name is always returned no matter what mask is set. If an unsupported or unknown field is provided, an INVALID_ARGUMENT error is returned." }, "filter": { "location": "query", "type": "string", "description": "A filter to apply on the list results. Supported features: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh List all the products under the parent branch if filter is unset. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh List Product.Type.VARIANT Products sharing the same Product.Type.PRIMARY Product. For example: `primary_product_id = \"some_product_id\"` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh List Products bundled in a Product.Type.COLLECTION Product. For example: `collection_product_id = \"some_product_id\"` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh List Products with a partibular type. For example: `type = \"PRIMARY\"` `type = \"VARIANT\"` `type = \"COLLECTION\"` If the field is unrecognizable, an INVALID_ARGUMENT error is returned. If the specified Product.Type.PRIMARY Product or Product.Type.COLLECTION Product does not exist, a NOT_FOUND error is returned." } }, "response": { "$ref": "GoogleCloudRetailV2ListProductsResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Gets a list of Products.", "id": "retail.projects.locations.catalogs.branches.products.list" }, "removeLocalInventories": { "parameters": { "product": { "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/catalogs/[^/]+/branches/[^/]+/products/.*$", "location": "path", "type": "string", "description": "Required. Full resource name of Product, such as `projects/*/locations/global/catalogs/default_catalog/branches/default_branch/products/some_product_id`. If the caller does not have permission to access the Product, regardless of whether or not it exists, a PERMISSION_DENIED error is returned." } }, "response": { "$ref": "GoogleLongrunningOperation" }, "flatPath": "v2/projects/{projectsId}/locations/{locationsId}/catalogs/{catalogsId}/branches/{branchesId}/products/{productsId}:removeLocalInventories", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "product" ], "description": "Remove local inventory information for a Product at a list of places at a removal timestamp. This process is asynchronous. If the request is valid, the removal will be enqueued and processed downstream. As a consequence, when a response is returned, removals are not immediately manifested in the Product queried by ProductService.GetProduct or ProductService.ListProducts. Local inventory information can only be removed using this method. ProductService.CreateProduct and ProductService.UpdateProduct has no effect on local inventories. This feature is only available for users who have Retail Search enabled. Please enable Retail Search on Cloud Console before using this feature.", "request": { "$ref": "GoogleCloudRetailV2RemoveLocalInventoriesRequest" }, "path": "v2/{+product}:removeLocalInventories", "id": "retail.projects.locations.catalogs.branches.products.removeLocalInventories" }, "addLocalInventories": { "parameterOrder": [ "product" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "GoogleCloudRetailV2AddLocalInventoriesRequest" }, "parameters": { "product": { "description": "Required. Full resource name of Product, such as `projects/*/locations/global/catalogs/default_catalog/branches/default_branch/products/some_product_id`. If the caller does not have permission to access the Product, regardless of whether or not it exists, a PERMISSION_DENIED error is returned.", "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/catalogs/[^/]+/branches/[^/]+/products/.*$", "location": "path" } }, "id": "retail.projects.locations.catalogs.branches.products.addLocalInventories", "path": "v2/{+product}:addLocalInventories", "description": "Updates local inventory information for a Product at a list of places, while respecting the last update timestamps of each inventory field. This process is asynchronous and does not require the Product to exist before updating inventory information. If the request is valid, the update will be enqueued and processed downstream. As a consequence, when a response is returned, updates are not immediately manifested in the Product queried by ProductService.GetProduct or ProductService.ListProducts. Local inventory information can only be modified using this method. ProductService.CreateProduct and ProductService.UpdateProduct has no effect on local inventories. This feature is only available for users who have Retail Search enabled. Please enable Retail Search on Cloud Console before using this feature.", "flatPath": "v2/projects/{projectsId}/locations/{locationsId}/catalogs/{catalogsId}/branches/{branchesId}/products/{productsId}:addLocalInventories", "httpMethod": "POST", "response": { "$ref": "GoogleLongrunningOperation" } }, "setInventory": { "response": { "$ref": "GoogleLongrunningOperation" }, "description": "Updates inventory information for a Product while respecting the last update timestamps of each inventory field. This process is asynchronous and does not require the Product to exist before updating fulfillment information. If the request is valid, the update will be enqueued and processed downstream. As a consequence, when a response is returned, updates are not immediately manifested in the Product queried by ProductService.GetProduct or ProductService.ListProducts. When inventory is updated with ProductService.CreateProduct and ProductService.UpdateProduct, the specified inventory field value(s) will overwrite any existing value(s) while ignoring the last update time for this field. Furthermore, the last update time for the specified inventory fields will be overwritten to the time of the ProductService.CreateProduct or ProductService.UpdateProduct request. If no inventory fields are set in CreateProductRequest.product, then any pre-existing inventory information for this product will be used. If no inventory fields are set in SetInventoryRequest.set_mask, then any existing inventory information will be preserved. Pre-existing inventory information can only be updated with ProductService.SetInventory, ProductService.AddFulfillmentPlaces, and ProductService.RemoveFulfillmentPlaces. This feature is only available for users who have Retail Search enabled. Please enable Retail Search on Cloud Console before using this feature.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v2/{+name}:setInventory", "httpMethod": "POST", "request": { "$ref": "GoogleCloudRetailV2SetInventoryRequest" }, "parameters": { "name": { "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/catalogs/[^/]+/branches/[^/]+/products/.*$", "type": "string", "description": "Immutable. Full resource name of the product, such as `projects/*/locations/global/catalogs/default_catalog/branches/default_branch/products/product_id`." } }, "id": "retail.projects.locations.catalogs.branches.products.setInventory", "flatPath": "v2/projects/{projectsId}/locations/{locationsId}/catalogs/{catalogsId}/branches/{branchesId}/products/{productsId}:setInventory", "parameterOrder": [ "name" ] }, "patch": { "path": "v2/{+name}", "description": "Updates a Product.", "flatPath": "v2/projects/{projectsId}/locations/{locationsId}/catalogs/{catalogsId}/branches/{branchesId}/products/{productsId}", "request": { "$ref": "GoogleCloudRetailV2Product" }, "httpMethod": "PATCH", "id": "retail.projects.locations.catalogs.branches.products.patch", "parameters": { "allowMissing": { "type": "boolean", "description": "If set to true, and the Product is not found, a new Product will be created. In this situation, `update_mask` is ignored.", "location": "query" }, "name": { "required": true, "description": "Immutable. Full resource name of the product, such as `projects/*/locations/global/catalogs/default_catalog/branches/default_branch/products/product_id`.", "pattern": "^projects/[^/]+/locations/[^/]+/catalogs/[^/]+/branches/[^/]+/products/.*$", "location": "path", "type": "string" }, "updateMask": { "location": "query", "format": "google-fieldmask", "description": "Indicates which fields in the provided Product to update. The immutable and output only fields are NOT supported. If not set, all supported fields (the fields that are neither immutable nor output only) are updated. If an unsupported or unknown field is provided, an INVALID_ARGUMENT error is returned. The attribute key can be updated by setting the mask path as \"attributes.${key_name}\". If a key name is present in the mask but not in the patching product from the request, this key will be deleted after the update.", "type": "string" } }, "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "GoogleCloudRetailV2Product" } }, "delete": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "DELETE", "id": "retail.projects.locations.catalogs.branches.products.delete", "path": "v2/{+name}", "flatPath": "v2/projects/{projectsId}/locations/{locationsId}/catalogs/{catalogsId}/branches/{branchesId}/products/{productsId}", "response": { "$ref": "GoogleProtobufEmpty" }, "parameterOrder": [ "name" ], "parameters": { "name": { "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/catalogs/[^/]+/branches/[^/]+/products/.*$", "description": "Required. Full resource name of Product, such as `projects/*/locations/global/catalogs/default_catalog/branches/default_branch/products/some_product_id`. If the caller does not have permission to delete the Product, regardless of whether or not it exists, a PERMISSION_DENIED error is returned. If the Product to delete does not exist, a NOT_FOUND error is returned. The Product to delete can neither be a Product.Type.COLLECTION Product member nor a Product.Type.PRIMARY Product with more than one variants. Otherwise, an INVALID_ARGUMENT error is returned. All inventory information for the named Product will be deleted.", "location": "path" } }, "description": "Deletes a Product." }, "addFulfillmentPlaces": { "id": "retail.projects.locations.catalogs.branches.products.addFulfillmentPlaces", "response": { "$ref": "GoogleLongrunningOperation" }, "parameters": { "product": { "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/catalogs/[^/]+/branches/[^/]+/products/.*$", "location": "path", "description": "Required. Full resource name of Product, such as `projects/*/locations/global/catalogs/default_catalog/branches/default_branch/products/some_product_id`. If the caller does not have permission to access the Product, regardless of whether or not it exists, a PERMISSION_DENIED error is returned." } }, "httpMethod": "POST", "description": "Incrementally adds place IDs to Product.fulfillment_info.place_ids. This process is asynchronous and does not require the Product to exist before updating fulfillment information. If the request is valid, the update will be enqueued and processed downstream. As a consequence, when a response is returned, the added place IDs are not immediately manifested in the Product queried by ProductService.GetProduct or ProductService.ListProducts. This feature is only available for users who have Retail Search enabled. Please enable Retail Search on Cloud Console before using this feature.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v2/projects/{projectsId}/locations/{locationsId}/catalogs/{catalogsId}/branches/{branchesId}/products/{productsId}:addFulfillmentPlaces", "parameterOrder": [ "product" ], "path": "v2/{+product}:addFulfillmentPlaces", "request": { "$ref": "GoogleCloudRetailV2AddFulfillmentPlacesRequest" } }, "import": { "path": "v2/{+parent}/products:import", "parameterOrder": [ "parent" ], "description": "Bulk import of multiple Products. Request processing may be synchronous. Non-existing items are created. Note that it is possible for a subset of the Products to be successfully updated.", "httpMethod": "POST", "flatPath": "v2/projects/{projectsId}/locations/{locationsId}/catalogs/{catalogsId}/branches/{branchesId}/products:import", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "retail.projects.locations.catalogs.branches.products.import", "request": { "$ref": "GoogleCloudRetailV2ImportProductsRequest" }, "parameters": { "parent": { "type": "string", "description": "Required. `projects/1234/locations/global/catalogs/default_catalog/branches/default_branch` If no updateMask is specified, requires products.create permission. If updateMask is specified, requires products.update permission.", "pattern": "^projects/[^/]+/locations/[^/]+/catalogs/[^/]+/branches/[^/]+$", "required": true, "location": "path" } }, "response": { "$ref": "GoogleLongrunningOperation" } }, "get": { "id": "retail.projects.locations.catalogs.branches.products.get", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/catalogs/[^/]+/branches/[^/]+/products/.*$", "location": "path", "description": "Required. Full resource name of Product, such as `projects/*/locations/global/catalogs/default_catalog/branches/default_branch/products/some_product_id`. If the caller does not have permission to access the Product, regardless of whether or not it exists, a PERMISSION_DENIED error is returned. If the requested Product does not exist, a NOT_FOUND error is returned." } }, "path": "v2/{+name}", "flatPath": "v2/projects/{projectsId}/locations/{locationsId}/catalogs/{catalogsId}/branches/{branchesId}/products/{productsId}", "description": "Gets a Product.", "httpMethod": "GET", "parameterOrder": [ "name" ], "response": { "$ref": "GoogleCloudRetailV2Product" } } } }, "operations": { "methods": { "get": { "parameterOrder": [ "name" ], "id": "retail.projects.locations.catalogs.branches.operations.get", "parameters": { "name": { "location": "path", "required": true, "description": "The name of the operation resource.", "pattern": "^projects/[^/]+/locations/[^/]+/catalogs/[^/]+/branches/[^/]+/operations/[^/]+$", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v2/projects/{projectsId}/locations/{locationsId}/catalogs/{catalogsId}/branches/{branchesId}/operations/{operationsId}", "description": "Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service.", "path": "v2/{+name}", "httpMethod": "GET", "response": { "$ref": "GoogleLongrunningOperation" } } } } } }, "completionData": { "methods": { "import": { "flatPath": "v2/projects/{projectsId}/locations/{locationsId}/catalogs/{catalogsId}/completionData:import", "response": { "$ref": "GoogleLongrunningOperation" }, "description": "Bulk import of processed completion dataset. Request processing is asynchronous. Partial updating is not supported. The operation is successfully finished only after the imported suggestions are indexed successfully and ready for serving. The process takes hours. This feature is only available for users who have Retail Search enabled. Please enable Retail Search on Cloud Console before using this feature.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "parent": { "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/catalogs/[^/]+$", "required": true, "description": "Required. The catalog which the suggestions dataset belongs to. Format: `projects/1234/locations/global/catalogs/default_catalog`.", "location": "path" } }, "httpMethod": "POST", "request": { "$ref": "GoogleCloudRetailV2ImportCompletionDataRequest" }, "path": "v2/{+parent}/completionData:import", "id": "retail.projects.locations.catalogs.completionData.import", "parameterOrder": [ "parent" ] } } }, "operations": { "methods": { "list": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "id": "retail.projects.locations.catalogs.operations.list", "parameters": { "pageSize": { "format": "int32", "description": "The standard list page size.", "type": "integer", "location": "query" }, "pageToken": { "location": "query", "description": "The standard list page token.", "type": "string" }, "filter": { "type": "string", "location": "query", "description": "The standard list filter." }, "name": { "pattern": "^projects/[^/]+/locations/[^/]+/catalogs/[^/]+$", "location": "path", "description": "The name of the operation's parent resource.", "type": "string", "required": true } }, "response": { "$ref": "GoogleLongrunningListOperationsResponse" }, "flatPath": "v2/projects/{projectsId}/locations/{locationsId}/catalogs/{catalogsId}/operations", "path": "v2/{+name}/operations", "description": "Lists operations that match the specified filter in the request. If the server doesn't support this method, it returns `UNIMPLEMENTED`. NOTE: the `name` binding allows API services to override the binding to use different resource name schemes, such as `users/*/operations`. To override the binding, API services can add a binding such as `\"/v1/{name=users/*}/operations\"` to their service configuration. For backwards compatibility, the default name includes the operations collection id, however overriding users must ensure the name binding is the parent resource, without the operations collection id.", "parameterOrder": [ "name" ] }, "get": { "id": "retail.projects.locations.catalogs.operations.get", "parameters": { "name": { "required": true, "type": "string", "description": "The name of the operation resource.", "pattern": "^projects/[^/]+/locations/[^/]+/catalogs/[^/]+/operations/[^/]+$", "location": "path" } }, "httpMethod": "GET", "path": "v2/{+name}", "response": { "$ref": "GoogleLongrunningOperation" }, "description": "Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service.", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v2/projects/{projectsId}/locations/{locationsId}/catalogs/{catalogsId}/operations/{operationsId}" } } }, "userEvents": { "methods": { "write": { "path": "v2/{+parent}/userEvents:write", "parameters": { "parent": { "pattern": "^projects/[^/]+/locations/[^/]+/catalogs/[^/]+$", "type": "string", "description": "Required. The parent catalog resource name, such as `projects/1234/locations/global/catalogs/default_catalog`.", "location": "path", "required": true } }, "description": "Writes a single user event.", "response": { "$ref": "GoogleCloudRetailV2UserEvent" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST", "id": "retail.projects.locations.catalogs.userEvents.write", "flatPath": "v2/projects/{projectsId}/locations/{locationsId}/catalogs/{catalogsId}/userEvents:write", "request": { "$ref": "GoogleCloudRetailV2UserEvent" }, "parameterOrder": [ "parent" ] }, "purge": { "path": "v2/{+parent}/userEvents:purge", "parameterOrder": [ "parent" ], "request": { "$ref": "GoogleCloudRetailV2PurgeUserEventsRequest" }, "parameters": { "parent": { "description": "Required. The resource name of the catalog under which the events are created. The format is `projects/${projectId}/locations/global/catalogs/${catalogId}`", "location": "path", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/catalogs/[^/]+$", "required": true } }, "httpMethod": "POST", "flatPath": "v2/projects/{projectsId}/locations/{locationsId}/catalogs/{catalogsId}/userEvents:purge", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "retail.projects.locations.catalogs.userEvents.purge", "response": { "$ref": "GoogleLongrunningOperation" }, "description": "Deletes permanently all user events specified by the filter provided. Depending on the number of events specified by the filter, this operation could take hours or days to complete. To test a filter, use the list command first." }, "collect": { "id": "retail.projects.locations.catalogs.userEvents.collect", "description": "Writes a single user event from the browser. This uses a GET request to due to browser restriction of POST-ing to a 3rd party domain. This method is used only by the Retail API JavaScript pixel and Google Tag Manager. Users should not call this method directly.", "parameterOrder": [ "parent" ], "httpMethod": "GET", "parameters": { "parent": { "pattern": "^projects/[^/]+/locations/[^/]+/catalogs/[^/]+$", "type": "string", "description": "Required. The parent catalog name, such as `projects/1234/locations/global/catalogs/default_catalog`.", "required": true, "location": "path" }, "ets": { "description": "The event timestamp in milliseconds. This prevents browser caching of otherwise identical get requests. The name is abbreviated to reduce the payload bytes.", "format": "int64", "type": "string", "location": "query" }, "userEvent": { "location": "query", "type": "string", "description": "Required. URL encoded UserEvent proto with a length limit of 2,000,000 characters." }, "uri": { "description": "The URL including cgi-parameters but excluding the hash fragment with a length limit of 5,000 characters. This is often more useful than the referer URL, because many browsers only send the domain for 3rd party requests.", "location": "query", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v2/{+parent}/userEvents:collect", "flatPath": "v2/projects/{projectsId}/locations/{locationsId}/catalogs/{catalogsId}/userEvents:collect", "response": { "$ref": "GoogleApiHttpBody" } }, "import": { "flatPath": "v2/projects/{projectsId}/locations/{locationsId}/catalogs/{catalogsId}/userEvents:import", "httpMethod": "POST", "parameters": { "parent": { "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/catalogs/[^/]+$", "location": "path", "description": "Required. `projects/1234/locations/global/catalogs/default_catalog`", "required": true } }, "parameterOrder": [ "parent" ], "response": { "$ref": "GoogleLongrunningOperation" }, "description": "Bulk import of User events. Request processing might be synchronous. Events that already exist are skipped. Use this method for backfilling historical user events. Operation.response is of type ImportResponse. Note that it is possible for a subset of the items to be successfully inserted. Operation.metadata is of type ImportMetadata.", "request": { "$ref": "GoogleCloudRetailV2ImportUserEventsRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "retail.projects.locations.catalogs.userEvents.import", "path": "v2/{+parent}/userEvents:import" }, "rejoin": { "parameterOrder": [ "parent" ], "id": "retail.projects.locations.catalogs.userEvents.rejoin", "response": { "$ref": "GoogleLongrunningOperation" }, "request": { "$ref": "GoogleCloudRetailV2RejoinUserEventsRequest" }, "parameters": { "parent": { "pattern": "^projects/[^/]+/locations/[^/]+/catalogs/[^/]+$", "description": "Required. The parent catalog resource name, such as `projects/1234/locations/global/catalogs/default_catalog`.", "type": "string", "location": "path", "required": true } }, "description": "Starts a user event rejoin operation with latest product catalog. Events will not be annotated with detailed product information if product is missing from the catalog at the time the user event is ingested, and these events are stored as unjoined events with a limited usage on training and serving. This method can be used to start a join operation on specified events with latest version of product catalog. It can also be used to correct events joined with the wrong product catalog. A rejoin operation can take hours or days to complete.", "flatPath": "v2/projects/{projectsId}/locations/{locationsId}/catalogs/{catalogsId}/userEvents:rejoin", "path": "v2/{+parent}/userEvents:rejoin", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] } } }, "servingConfigs": { "methods": { "predict": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "placement" ], "id": "retail.projects.locations.catalogs.servingConfigs.predict", "httpMethod": "POST", "path": "v2/{+placement}:predict", "response": { "$ref": "GoogleCloudRetailV2PredictResponse" }, "parameters": { "placement": { "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/catalogs/[^/]+/servingConfigs/[^/]+$", "description": "Required. Full resource name of the format: {placement=projects/*/locations/global/catalogs/default_catalog/servingConfigs/*} or {placement=projects/*/locations/global/catalogs/default_catalog/placements/*}. We recommend using the `servingConfigs` resource. `placements` is a legacy resource. The ID of the Recommendations AI serving config or placement. Before you can request predictions from your model, you must create at least one serving config or placement for it. For more information, see [Managing serving configurations] (https://cloud.google.com/retail/docs/manage-configs). The full list of available serving configs can be seen at https://console.cloud.google.com/ai/retail/catalogs/default_catalog/configs", "type": "string", "location": "path" } }, "flatPath": "v2/projects/{projectsId}/locations/{locationsId}/catalogs/{catalogsId}/servingConfigs/{servingConfigsId}:predict", "description": "Makes a recommendation prediction.", "request": { "$ref": "GoogleCloudRetailV2PredictRequest" } }, "search": { "id": "retail.projects.locations.catalogs.servingConfigs.search", "description": "Performs a search. This feature is only available for users who have Retail Search enabled. Please enable Retail Search on Cloud Console before using this feature.", "parameterOrder": [ "placement" ], "flatPath": "v2/projects/{projectsId}/locations/{locationsId}/catalogs/{catalogsId}/servingConfigs/{servingConfigsId}:search", "request": { "$ref": "GoogleCloudRetailV2SearchRequest" }, "response": { "$ref": "GoogleCloudRetailV2SearchResponse" }, "parameters": { "placement": { "pattern": "^projects/[^/]+/locations/[^/]+/catalogs/[^/]+/servingConfigs/[^/]+$", "type": "string", "location": "path", "required": true, "description": "Required. The resource name of the Retail Search serving config, such as `projects/*/locations/global/catalogs/default_catalog/servingConfigs/default_serving_config` or the name of the legacy placement resource, such as `projects/*/locations/global/catalogs/default_catalog/placements/default_search`. This field is used to identify the serving configuration name and the set of models that will be used to make the search." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST", "path": "v2/{+placement}:search" } } }, "placements": { "methods": { "predict": { "parameters": { "placement": { "type": "string", "description": "Required. Full resource name of the format: {placement=projects/*/locations/global/catalogs/default_catalog/servingConfigs/*} or {placement=projects/*/locations/global/catalogs/default_catalog/placements/*}. We recommend using the `servingConfigs` resource. `placements` is a legacy resource. The ID of the Recommendations AI serving config or placement. Before you can request predictions from your model, you must create at least one serving config or placement for it. For more information, see [Managing serving configurations] (https://cloud.google.com/retail/docs/manage-configs). The full list of available serving configs can be seen at https://console.cloud.google.com/ai/retail/catalogs/default_catalog/configs", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/catalogs/[^/]+/placements/[^/]+$", "required": true } }, "path": "v2/{+placement}:predict", "flatPath": "v2/projects/{projectsId}/locations/{locationsId}/catalogs/{catalogsId}/placements/{placementsId}:predict", "description": "Makes a recommendation prediction.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST", "parameterOrder": [ "placement" ], "response": { "$ref": "GoogleCloudRetailV2PredictResponse" }, "request": { "$ref": "GoogleCloudRetailV2PredictRequest" }, "id": "retail.projects.locations.catalogs.placements.predict" }, "search": { "parameterOrder": [ "placement" ], "description": "Performs a search. This feature is only available for users who have Retail Search enabled. Please enable Retail Search on Cloud Console before using this feature.", "request": { "$ref": "GoogleCloudRetailV2SearchRequest" }, "id": "retail.projects.locations.catalogs.placements.search", "parameters": { "placement": { "location": "path", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/catalogs/[^/]+/placements/[^/]+$", "description": "Required. The resource name of the Retail Search serving config, such as `projects/*/locations/global/catalogs/default_catalog/servingConfigs/default_serving_config` or the name of the legacy placement resource, such as `projects/*/locations/global/catalogs/default_catalog/placements/default_search`. This field is used to identify the serving configuration name and the set of models that will be used to make the search." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v2/projects/{projectsId}/locations/{locationsId}/catalogs/{catalogsId}/placements/{placementsId}:search", "response": { "$ref": "GoogleCloudRetailV2SearchResponse" }, "httpMethod": "POST", "path": "v2/{+placement}:search" } } } }, "methods": { "getDefaultBranch": { "path": "v2/{+catalog}:getDefaultBranch", "parameterOrder": [ "catalog" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v2/projects/{projectsId}/locations/{locationsId}/catalogs/{catalogsId}:getDefaultBranch", "httpMethod": "GET", "id": "retail.projects.locations.catalogs.getDefaultBranch", "parameters": { "catalog": { "type": "string", "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/catalogs/[^/]+$", "description": "The parent catalog resource name, such as `projects/*/locations/global/catalogs/default_catalog`." } }, "response": { "$ref": "GoogleCloudRetailV2GetDefaultBranchResponse" }, "description": "Get which branch is currently default branch set by CatalogService.SetDefaultBranch method under a specified parent catalog." }, "patch": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "GoogleCloudRetailV2Catalog" }, "parameterOrder": [ "name" ], "parameters": { "name": { "required": true, "type": "string", "location": "path", "description": "Required. Immutable. The fully qualified resource name of the catalog.", "pattern": "^projects/[^/]+/locations/[^/]+/catalogs/[^/]+$" }, "updateMask": { "format": "google-fieldmask", "description": "Indicates which fields in the provided Catalog to update. If an unsupported or unknown field is provided, an INVALID_ARGUMENT error is returned.", "type": "string", "location": "query" } }, "path": "v2/{+name}", "httpMethod": "PATCH", "request": { "$ref": "GoogleCloudRetailV2Catalog" }, "flatPath": "v2/projects/{projectsId}/locations/{locationsId}/catalogs/{catalogsId}", "description": "Updates the Catalogs.", "id": "retail.projects.locations.catalogs.patch" }, "list": { "response": { "$ref": "GoogleCloudRetailV2ListCatalogsResponse" }, "id": "retail.projects.locations.catalogs.list", "description": "Lists all the Catalogs associated with the project.", "path": "v2/{+parent}/catalogs", "httpMethod": "GET", "flatPath": "v2/projects/{projectsId}/locations/{locationsId}/catalogs", "parameterOrder": [ "parent" ], "parameters": { "parent": { "type": "string", "location": "path", "description": "Required. The account resource name with an associated location. If the caller does not have permission to list Catalogs under this location, regardless of whether or not this location exists, a PERMISSION_DENIED error is returned.", "pattern": "^projects/[^/]+/locations/[^/]+$", "required": true }, "pageToken": { "description": "A page token ListCatalogsResponse.next_page_token, received from a previous CatalogService.ListCatalogs call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to CatalogService.ListCatalogs must match the call that provided the page token. Otherwise, an INVALID_ARGUMENT error is returned.", "type": "string", "location": "query" }, "pageSize": { "type": "integer", "format": "int32", "location": "query", "description": "Maximum number of Catalogs to return. If unspecified, defaults to 50. The maximum allowed value is 1000. Values above 1000 will be coerced to 1000. If this field is negative, an INVALID_ARGUMENT is returned." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "setDefaultBranch": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "catalog" ], "id": "retail.projects.locations.catalogs.setDefaultBranch", "request": { "$ref": "GoogleCloudRetailV2SetDefaultBranchRequest" }, "description": "Set a specified branch id as default branch. API methods such as SearchService.Search, ProductService.GetProduct, ProductService.ListProducts will treat requests using \"default_branch\" to the actual branch id set as default. For example, if `projects/*/locations/*/catalogs/*/branches/1` is set as default, setting SearchRequest.branch to `projects/*/locations/*/catalogs/*/branches/default_branch` is equivalent to setting SearchRequest.branch to `projects/*/locations/*/catalogs/*/branches/1`. Using multiple branches can be useful when developers would like to have a staging branch to test and verify for future usage. When it becomes ready, developers switch on the staging branch using this API while keeping using `projects/*/locations/*/catalogs/*/branches/default_branch` as SearchRequest.branch to route the traffic to this staging branch. CAUTION: If you have live predict/search traffic, switching the default branch could potentially cause outages if the ID space of the new branch is very different from the old one. More specifically: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh PredictionService will only return product IDs from branch {newBranch}. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh SearchService will only return product IDs from branch {newBranch} (if branch is not explicitly set). LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh UserEventService will only join events with products from branch {newBranch}.", "parameters": { "catalog": { "type": "string", "description": "Full resource name of the catalog, such as `projects/*/locations/global/catalogs/default_catalog`.", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/catalogs/[^/]+$", "location": "path" } }, "path": "v2/{+catalog}:setDefaultBranch", "response": { "$ref": "GoogleProtobufEmpty" }, "flatPath": "v2/projects/{projectsId}/locations/{locationsId}/catalogs/{catalogsId}:setDefaultBranch", "httpMethod": "POST" }, "completeQuery": { "parameterOrder": [ "catalog" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v2/projects/{projectsId}/locations/{locationsId}/catalogs/{catalogsId}:completeQuery", "path": "v2/{+catalog}:completeQuery", "response": { "$ref": "GoogleCloudRetailV2CompleteQueryResponse" }, "httpMethod": "GET", "parameters": { "deviceType": { "type": "string", "location": "query", "description": "The device type context for completion suggestions. It is useful to apply different suggestions on different device types, e.g. `DESKTOP`, `MOBILE`. If it is empty, the suggestions are across all device types. Supported formats: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `UNKNOWN_DEVICE_TYPE` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `DESKTOP` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `MOBILE` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A customized string starts with `OTHER_`, e.g. `OTHER_IPHONE`." }, "dataset": { "type": "string", "location": "query", "description": "Determines which dataset to use for fetching completion. \"user-data\" will use the imported dataset through CompletionService.ImportCompletionData. \"cloud-retail\" will use the dataset generated by cloud retail based on user events. If leave empty, it will use the \"user-data\". Current supported values: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh user-data LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh cloud-retail: This option requires enabling auto-learning function first. See [guidelines](https://cloud.google.com/retail/docs/completion-overview#generated-completion-dataset)." }, "catalog": { "pattern": "^projects/[^/]+/locations/[^/]+/catalogs/[^/]+$", "description": "Required. Catalog for which the completion is performed. Full resource name of catalog, such as `projects/*/locations/global/catalogs/default_catalog`.", "required": true, "location": "path", "type": "string" }, "maxSuggestions": { "description": "Completion max suggestions. If left unset or set to 0, then will fallback to the configured value CompletionConfig.max_suggestions. The maximum allowed max suggestions is 20. If it is set higher, it will be capped by 20.", "type": "integer", "location": "query", "format": "int32" }, "visitorId": { "type": "string", "description": "Required field. A unique identifier for tracking visitors. For example, this could be implemented with an HTTP cookie, which should be able to uniquely identify a visitor on a single device. This unique identifier should not change if the visitor logs in or out of the website. The field must be a UTF-8 encoded string with a length limit of 128 characters. Otherwise, an INVALID_ARGUMENT error is returned.", "location": "query" }, "languageCodes": { "repeated": true, "location": "query", "description": "Note that this field applies for `user-data` dataset only. For requests with `cloud-retail` dataset, setting this field has no effect. The language filters applied to the output suggestions. If set, it should contain the language of the query. If not set, suggestions are returned without considering language restrictions. This is the BCP-47 language code, such as \"en-US\" or \"sr-Latn\". For more information, see [Tags for Identifying Languages](https://tools.ietf.org/html/bcp47). The maximum number of language codes is 3.", "type": "string" }, "query": { "description": "Required. The query used to generate suggestions. The maximum number of allowed characters is 255.", "type": "string", "location": "query" } }, "description": "Completes the specified prefix with keyword suggestions. This feature is only available for users who have Retail Search enabled. Please enable Retail Search on Cloud Console before using this feature.", "id": "retail.projects.locations.catalogs.completeQuery" } } }, "operations": { "methods": { "get": { "id": "retail.projects.locations.operations.get", "description": "Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "description": "The name of the operation resource.", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "required": true, "location": "path" } }, "flatPath": "v2/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}", "httpMethod": "GET", "path": "v2/{+name}", "parameterOrder": [ "name" ], "response": { "$ref": "GoogleLongrunningOperation" } }, "list": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "id": "retail.projects.locations.operations.list", "parameterOrder": [ "name" ], "parameters": { "filter": { "description": "The standard list filter.", "location": "query", "type": "string" }, "pageSize": { "location": "query", "format": "int32", "type": "integer", "description": "The standard list page size." }, "name": { "pattern": "^projects/[^/]+/locations/[^/]+$", "type": "string", "description": "The name of the operation's parent resource.", "location": "path", "required": true }, "pageToken": { "type": "string", "location": "query", "description": "The standard list page token." } }, "path": "v2/{+name}/operations", "response": { "$ref": "GoogleLongrunningListOperationsResponse" }, "description": "Lists operations that match the specified filter in the request. If the server doesn't support this method, it returns `UNIMPLEMENTED`. NOTE: the `name` binding allows API services to override the binding to use different resource name schemes, such as `users/*/operations`. To override the binding, API services can add a binding such as `\"/v1/{name=users/*}/operations\"` to their service configuration. For backwards compatibility, the default name includes the operations collection id, however overriding users must ensure the name binding is the parent resource, without the operations collection id.", "flatPath": "v2/projects/{projectsId}/locations/{locationsId}/operations" } } } } }, "operations": { "methods": { "get": { "id": "retail.projects.operations.get", "description": "Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service.", "response": { "$ref": "GoogleLongrunningOperation" }, "path": "v2/{+name}", "parameterOrder": [ "name" ], "httpMethod": "GET", "flatPath": "v2/projects/{projectsId}/operations/{operationsId}", "parameters": { "name": { "location": "path", "required": true, "pattern": "^projects/[^/]+/operations/[^/]+$", "description": "The name of the operation resource.", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "list": { "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "GoogleLongrunningListOperationsResponse" }, "path": "v2/{+name}/operations", "parameters": { "pageToken": { "location": "query", "type": "string", "description": "The standard list page token." }, "name": { "location": "path", "required": true, "type": "string", "pattern": "^projects/[^/]+$", "description": "The name of the operation's parent resource." }, "pageSize": { "format": "int32", "type": "integer", "description": "The standard list page size.", "location": "query" }, "filter": { "description": "The standard list filter.", "location": "query", "type": "string" } }, "flatPath": "v2/projects/{projectsId}/operations", "id": "retail.projects.operations.list", "httpMethod": "GET", "description": "Lists operations that match the specified filter in the request. If the server doesn't support this method, it returns `UNIMPLEMENTED`. NOTE: the `name` binding allows API services to override the binding to use different resource name schemes, such as `users/*/operations`. To override the binding, API services can add a binding such as `\"/v1/{name=users/*}/operations\"` to their service configuration. For backwards compatibility, the default name includes the operations collection id, however overriding users must ensure the name binding is the parent resource, without the operations collection id." } } } } } }, "icons": { "x32": "http://www.google.com/images/icons/product/search-32.gif", "x16": "http://www.google.com/images/icons/product/search-16.gif" }, "revision": "20220707", "rootUrl": "https://retail.googleapis.com/", "basePath": "", "version_module": true, "ownerName": "Google", "batchPath": "batch", "description": "Cloud Retail service enables customers to build end-to-end personalized recommendation systems without requiring a high level of expertise in machine learning, recommendation system, or Google Cloud.", "mtlsRootUrl": "https://retail.mtls.googleapis.com/", "documentationLink": "https://cloud.google.com/recommendations", "name": "retail", "fullyEncodeReservedExpansion": true, "title": "Retail API" }
]===]))
