local decode = require("cjson").new().decode
return assert(decode([===[
{ "revision": "20220707", "ownerName": "Google", "icons": { "x32": "http://www.google.com/images/icons/product/search-32.gif", "x16": "http://www.google.com/images/icons/product/search-16.gif" }, "ownerDomain": "google.com", "servicePath": "", "basePath": "", "title": "Retail API", "resources": { "projects": { "resources": { "operations": { "methods": { "get": { "response": { "$ref": "GoogleLongrunningOperation" }, "httpMethod": "GET", "parameters": { "name": { "location": "path", "type": "string", "pattern": "^projects/[^/]+/operations/[^/]+$", "required": true, "description": "The name of the operation resource." } }, "flatPath": "v2alpha/projects/{projectsId}/operations/{operationsId}", "description": "Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service.", "id": "retail.projects.operations.get", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v2alpha/{+name}" }, "list": { "response": { "$ref": "GoogleLongrunningListOperationsResponse" }, "parameters": { "name": { "pattern": "^projects/[^/]+$", "required": true, "type": "string", "location": "path", "description": "The name of the operation's parent resource." }, "pageToken": { "type": "string", "description": "The standard list page token.", "location": "query" }, "filter": { "description": "The standard list filter.", "location": "query", "type": "string" }, "pageSize": { "description": "The standard list page size.", "location": "query", "type": "integer", "format": "int32" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "description": "Lists operations that match the specified filter in the request. If the server doesn't support this method, it returns `UNIMPLEMENTED`. NOTE: the `name` binding allows API services to override the binding to use different resource name schemes, such as `users/*/operations`. To override the binding, API services can add a binding such as `\"/v1/{name=users/*}/operations\"` to their service configuration. For backwards compatibility, the default name includes the operations collection id, however overriding users must ensure the name binding is the parent resource, without the operations collection id.", "flatPath": "v2alpha/projects/{projectsId}/operations", "id": "retail.projects.operations.list", "path": "v2alpha/{+name}/operations", "httpMethod": "GET" } } }, "locations": { "resources": { "catalogs": { "methods": { "getCompletionConfig": { "flatPath": "v2alpha/projects/{projectsId}/locations/{locationsId}/catalogs/{catalogsId}/completionConfig", "description": "Gets a CompletionConfig.", "id": "retail.projects.locations.catalogs.getCompletionConfig", "path": "v2alpha/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "GoogleCloudRetailV2alphaCompletionConfig" }, "parameters": { "name": { "description": "Required. Full CompletionConfig resource name. Format: projects/{project_number}/locations/{location_id}/catalogs/{catalog_id}/completionConfig", "required": true, "location": "path", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/catalogs/[^/]+/completionConfig$" } }, "httpMethod": "GET", "parameterOrder": [ "name" ] }, "updateAttributesConfig": { "parameterOrder": [ "name" ], "request": { "$ref": "GoogleCloudRetailV2alphaAttributesConfig" }, "id": "retail.projects.locations.catalogs.updateAttributesConfig", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "updateMask": { "location": "query", "format": "google-fieldmask", "type": "string", "description": "Indicates which fields in the provided AttributesConfig to update. The following is the only supported field: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh AttributesConfig.catalog_attributes If not set, all supported fields are updated." }, "name": { "pattern": "^projects/[^/]+/locations/[^/]+/catalogs/[^/]+/attributesConfig$", "location": "path", "required": true, "type": "string", "description": "Required. Immutable. The fully qualified resource name of the attribute config. Format: `projects/*/locations/*/catalogs/*/attributesConfig`" } }, "httpMethod": "PATCH", "path": "v2alpha/{+name}", "response": { "$ref": "GoogleCloudRetailV2alphaAttributesConfig" }, "flatPath": "v2alpha/projects/{projectsId}/locations/{locationsId}/catalogs/{catalogsId}/attributesConfig", "description": "Updates the AttributesConfig. The catalog attributes in the request will be updated in the catalog, or inserted if they do not exist. Existing catalog attributes not included in the request will remain unchanged. Attributes that are assigned to products, but do not exist at the catalog level, are always included in the response. The product attribute is assigned default values for missing catalog attribute fields, e.g., searchable and dynamic facetable options." }, "updateCompletionConfig": { "parameterOrder": [ "name" ], "response": { "$ref": "GoogleCloudRetailV2alphaCompletionConfig" }, "parameters": { "name": { "description": "Required. Immutable. Fully qualified name `projects/*/locations/*/catalogs/*/completionConfig`", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/catalogs/[^/]+/completionConfig$", "type": "string", "location": "path" }, "updateMask": { "format": "google-fieldmask", "type": "string", "description": "Indicates which fields in the provided CompletionConfig to update. The following are the only supported fields: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh CompletionConfig.matching_order LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh CompletionConfig.max_suggestions LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh CompletionConfig.min_prefix_length LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh CompletionConfig.auto_learning If not set, all supported fields are updated.", "location": "query" } }, "request": { "$ref": "GoogleCloudRetailV2alphaCompletionConfig" }, "description": "Updates the CompletionConfigs.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "retail.projects.locations.catalogs.updateCompletionConfig", "flatPath": "v2alpha/projects/{projectsId}/locations/{locationsId}/catalogs/{catalogsId}/completionConfig", "httpMethod": "PATCH", "path": "v2alpha/{+name}" }, "completeQuery": { "response": { "$ref": "GoogleCloudRetailV2alphaCompleteQueryResponse" }, "id": "retail.projects.locations.catalogs.completeQuery", "description": "Completes the specified prefix with keyword suggestions. This feature is only available for users who have Retail Search enabled. Please enable Retail Search on Cloud Console before using this feature.", "parameterOrder": [ "catalog" ], "httpMethod": "GET", "parameters": { "dataset": { "location": "query", "type": "string", "description": "Determines which dataset to use for fetching completion. \"user-data\" will use the imported dataset through CompletionService.ImportCompletionData. \"cloud-retail\" will use the dataset generated by cloud retail based on user events. If leave empty, it will use the \"user-data\". Current supported values: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh user-data LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh cloud-retail: This option requires enabling auto-learning function first. See [guidelines](https://cloud.google.com/retail/docs/completion-overview#generated-completion-dataset)." }, "deviceType": { "type": "string", "description": "The device type context for completion suggestions. It is useful to apply different suggestions on different device types, e.g. `DESKTOP`, `MOBILE`. If it is empty, the suggestions are across all device types. Supported formats: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `UNKNOWN_DEVICE_TYPE` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `DESKTOP` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `MOBILE` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A customized string starts with `OTHER_`, e.g. `OTHER_IPHONE`.", "location": "query" }, "query": { "type": "string", "description": "Required. The query used to generate suggestions. The maximum number of allowed characters is 255.", "location": "query" }, "maxSuggestions": { "location": "query", "type": "integer", "format": "int32", "description": "Completion max suggestions. If left unset or set to 0, then will fallback to the configured value CompletionConfig.max_suggestions. The maximum allowed max suggestions is 20. If it is set higher, it will be capped by 20." }, "languageCodes": { "description": "Note that this field applies for `user-data` dataset only. For requests with `cloud-retail` dataset, setting this field has no effect. The language filters applied to the output suggestions. If set, it should contain the language of the query. If not set, suggestions are returned without considering language restrictions. This is the BCP-47 language code, such as \"en-US\" or \"sr-Latn\". For more information, see [Tags for Identifying Languages](https://tools.ietf.org/html/bcp47). The maximum number of language codes is 3.", "type": "string", "repeated": true, "location": "query" }, "catalog": { "pattern": "^projects/[^/]+/locations/[^/]+/catalogs/[^/]+$", "location": "path", "required": true, "type": "string", "description": "Required. Catalog for which the completion is performed. Full resource name of catalog, such as `projects/*/locations/global/catalogs/default_catalog`." }, "visitorId": { "location": "query", "description": "Required field. A unique identifier for tracking visitors. For example, this could be implemented with an HTTP cookie, which should be able to uniquely identify a visitor on a single device. This unique identifier should not change if the visitor logs in or out of the website. The field must be a UTF-8 encoded string with a length limit of 128 characters. Otherwise, an INVALID_ARGUMENT error is returned.", "type": "string" } }, "path": "v2alpha/{+catalog}:completeQuery", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v2alpha/projects/{projectsId}/locations/{locationsId}/catalogs/{catalogsId}:completeQuery" }, "patch": { "description": "Updates the Catalogs.", "parameters": { "updateMask": { "type": "string", "description": "Indicates which fields in the provided Catalog to update. If an unsupported or unknown field is provided, an INVALID_ARGUMENT error is returned.", "format": "google-fieldmask", "location": "query" }, "name": { "pattern": "^projects/[^/]+/locations/[^/]+/catalogs/[^/]+$", "type": "string", "location": "path", "description": "Required. Immutable. The fully qualified resource name of the catalog.", "required": true } }, "request": { "$ref": "GoogleCloudRetailV2alphaCatalog" }, "flatPath": "v2alpha/projects/{projectsId}/locations/{locationsId}/catalogs/{catalogsId}", "parameterOrder": [ "name" ], "httpMethod": "PATCH", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "GoogleCloudRetailV2alphaCatalog" }, "path": "v2alpha/{+name}", "id": "retail.projects.locations.catalogs.patch" }, "getDefaultBranch": { "parameterOrder": [ "catalog" ], "response": { "$ref": "GoogleCloudRetailV2alphaGetDefaultBranchResponse" }, "httpMethod": "GET", "description": "Get which branch is currently default branch set by CatalogService.SetDefaultBranch method under a specified parent catalog.", "parameters": { "catalog": { "pattern": "^projects/[^/]+/locations/[^/]+/catalogs/[^/]+$", "description": "The parent catalog resource name, such as `projects/*/locations/global/catalogs/default_catalog`.", "location": "path", "type": "string", "required": true } }, "id": "retail.projects.locations.catalogs.getDefaultBranch", "path": "v2alpha/{+catalog}:getDefaultBranch", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v2alpha/projects/{projectsId}/locations/{locationsId}/catalogs/{catalogsId}:getDefaultBranch" }, "getAttributesConfig": { "response": { "$ref": "GoogleCloudRetailV2alphaAttributesConfig" }, "parameterOrder": [ "name" ], "httpMethod": "GET", "flatPath": "v2alpha/projects/{projectsId}/locations/{locationsId}/catalogs/{catalogsId}/attributesConfig", "id": "retail.projects.locations.catalogs.getAttributesConfig", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "required": true, "description": "Required. Full AttributesConfig resource name. Format: `projects/{project_number}/locations/{location_id}/catalogs/{catalog_id}/attributesConfig`", "pattern": "^projects/[^/]+/locations/[^/]+/catalogs/[^/]+/attributesConfig$", "type": "string", "location": "path" } }, "description": "Gets an AttributesConfig.", "path": "v2alpha/{+name}" }, "list": { "parameters": { "pageSize": { "type": "integer", "location": "query", "description": "Maximum number of Catalogs to return. If unspecified, defaults to 50. The maximum allowed value is 1000. Values above 1000 will be coerced to 1000. If this field is negative, an INVALID_ARGUMENT is returned.", "format": "int32" }, "parent": { "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+$", "type": "string", "description": "Required. The account resource name with an associated location. If the caller does not have permission to list Catalogs under this location, regardless of whether or not this location exists, a PERMISSION_DENIED error is returned.", "required": true }, "pageToken": { "location": "query", "description": "A page token ListCatalogsResponse.next_page_token, received from a previous CatalogService.ListCatalogs call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to CatalogService.ListCatalogs must match the call that provided the page token. Otherwise, an INVALID_ARGUMENT error is returned.", "type": "string" } }, "flatPath": "v2alpha/projects/{projectsId}/locations/{locationsId}/catalogs", "path": "v2alpha/{+parent}/catalogs", "response": { "$ref": "GoogleCloudRetailV2alphaListCatalogsResponse" }, "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Lists all the Catalogs associated with the project.", "id": "retail.projects.locations.catalogs.list", "parameterOrder": [ "parent" ] }, "setDefaultBranch": { "parameters": { "catalog": { "pattern": "^projects/[^/]+/locations/[^/]+/catalogs/[^/]+$", "type": "string", "location": "path", "description": "Full resource name of the catalog, such as `projects/*/locations/global/catalogs/default_catalog`.", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v2alpha/projects/{projectsId}/locations/{locationsId}/catalogs/{catalogsId}:setDefaultBranch", "parameterOrder": [ "catalog" ], "response": { "$ref": "GoogleProtobufEmpty" }, "id": "retail.projects.locations.catalogs.setDefaultBranch", "request": { "$ref": "GoogleCloudRetailV2alphaSetDefaultBranchRequest" }, "httpMethod": "POST", "description": "Set a specified branch id as default branch. API methods such as SearchService.Search, ProductService.GetProduct, ProductService.ListProducts will treat requests using \"default_branch\" to the actual branch id set as default. For example, if `projects/*/locations/*/catalogs/*/branches/1` is set as default, setting SearchRequest.branch to `projects/*/locations/*/catalogs/*/branches/default_branch` is equivalent to setting SearchRequest.branch to `projects/*/locations/*/catalogs/*/branches/1`. Using multiple branches can be useful when developers would like to have a staging branch to test and verify for future usage. When it becomes ready, developers switch on the staging branch using this API while keeping using `projects/*/locations/*/catalogs/*/branches/default_branch` as SearchRequest.branch to route the traffic to this staging branch. CAUTION: If you have live predict/search traffic, switching the default branch could potentially cause outages if the ID space of the new branch is very different from the old one. More specifically: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh PredictionService will only return product IDs from branch {newBranch}. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh SearchService will only return product IDs from branch {newBranch} (if branch is not explicitly set). LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh UserEventService will only join events with products from branch {newBranch}.", "path": "v2alpha/{+catalog}:setDefaultBranch" } }, "resources": { "completionData": { "methods": { "import": { "description": "Bulk import of processed completion dataset. Request processing is asynchronous. Partial updating is not supported. The operation is successfully finished only after the imported suggestions are indexed successfully and ready for serving. The process takes hours. This feature is only available for users who have Retail Search enabled. Please enable Retail Search on Cloud Console before using this feature.", "request": { "$ref": "GoogleCloudRetailV2alphaImportCompletionDataRequest" }, "flatPath": "v2alpha/projects/{projectsId}/locations/{locationsId}/catalogs/{catalogsId}/completionData:import", "httpMethod": "POST", "path": "v2alpha/{+parent}/completionData:import", "response": { "$ref": "GoogleLongrunningOperation" }, "parameters": { "parent": { "pattern": "^projects/[^/]+/locations/[^/]+/catalogs/[^/]+$", "required": true, "location": "path", "description": "Required. The catalog which the suggestions dataset belongs to. Format: `projects/1234/locations/global/catalogs/default_catalog`.", "type": "string" } }, "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "retail.projects.locations.catalogs.completionData.import" } } }, "branches": { "resources": { "products": { "methods": { "removeFulfillmentPlaces": { "id": "retail.projects.locations.catalogs.branches.products.removeFulfillmentPlaces", "response": { "$ref": "GoogleLongrunningOperation" }, "flatPath": "v2alpha/projects/{projectsId}/locations/{locationsId}/catalogs/{catalogsId}/branches/{branchesId}/products/{productsId}:removeFulfillmentPlaces", "parameterOrder": [ "product" ], "httpMethod": "POST", "description": "Incrementally removes place IDs from a Product.fulfillment_info.place_ids. This process is asynchronous and does not require the Product to exist before updating fulfillment information. If the request is valid, the update will be enqueued and processed downstream. As a consequence, when a response is returned, the removed place IDs are not immediately manifested in the Product queried by ProductService.GetProduct or ProductService.ListProducts. This feature is only available for users who have Retail Search enabled. Please enable Retail Search on Cloud Console before using this feature.", "request": { "$ref": "GoogleCloudRetailV2alphaRemoveFulfillmentPlacesRequest" }, "path": "v2alpha/{+product}:removeFulfillmentPlaces", "parameters": { "product": { "description": "Required. Full resource name of Product, such as `projects/*/locations/global/catalogs/default_catalog/branches/default_branch/products/some_product_id`. If the caller does not have permission to access the Product, regardless of whether or not it exists, a PERMISSION_DENIED error is returned.", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/catalogs/[^/]+/branches/[^/]+/products/.*$", "type": "string", "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "addLocalInventories": { "parameterOrder": [ "product" ], "path": "v2alpha/{+product}:addLocalInventories", "parameters": { "product": { "description": "Required. Full resource name of Product, such as `projects/*/locations/global/catalogs/default_catalog/branches/default_branch/products/some_product_id`. If the caller does not have permission to access the Product, regardless of whether or not it exists, a PERMISSION_DENIED error is returned.", "required": true, "location": "path", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/catalogs/[^/]+/branches/[^/]+/products/.*$" } }, "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Updates local inventory information for a Product at a list of places, while respecting the last update timestamps of each inventory field. This process is asynchronous and does not require the Product to exist before updating inventory information. If the request is valid, the update will be enqueued and processed downstream. As a consequence, when a response is returned, updates are not immediately manifested in the Product queried by ProductService.GetProduct or ProductService.ListProducts. Local inventory information can only be modified using this method. ProductService.CreateProduct and ProductService.UpdateProduct has no effect on local inventories. This feature is only available for users who have Retail Search enabled. Please enable Retail Search on Cloud Console before using this feature.", "flatPath": "v2alpha/projects/{projectsId}/locations/{locationsId}/catalogs/{catalogsId}/branches/{branchesId}/products/{productsId}:addLocalInventories", "request": { "$ref": "GoogleCloudRetailV2alphaAddLocalInventoriesRequest" }, "id": "retail.projects.locations.catalogs.branches.products.addLocalInventories", "response": { "$ref": "GoogleLongrunningOperation" } }, "get": { "parameters": { "name": { "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/catalogs/[^/]+/branches/[^/]+/products/.*$", "type": "string", "required": true, "description": "Required. Full resource name of Product, such as `projects/*/locations/global/catalogs/default_catalog/branches/default_branch/products/some_product_id`. If the caller does not have permission to access the Product, regardless of whether or not it exists, a PERMISSION_DENIED error is returned. If the requested Product does not exist, a NOT_FOUND error is returned." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "retail.projects.locations.catalogs.branches.products.get", "httpMethod": "GET", "flatPath": "v2alpha/projects/{projectsId}/locations/{locationsId}/catalogs/{catalogsId}/branches/{branchesId}/products/{productsId}", "parameterOrder": [ "name" ], "description": "Gets a Product.", "path": "v2alpha/{+name}", "response": { "$ref": "GoogleCloudRetailV2alphaProduct" } }, "import": { "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "retail.projects.locations.catalogs.branches.products.import", "path": "v2alpha/{+parent}/products:import", "request": { "$ref": "GoogleCloudRetailV2alphaImportProductsRequest" }, "parameters": { "parent": { "pattern": "^projects/[^/]+/locations/[^/]+/catalogs/[^/]+/branches/[^/]+$", "location": "path", "type": "string", "description": "Required. `projects/1234/locations/global/catalogs/default_catalog/branches/default_branch` If no updateMask is specified, requires products.create permission. If updateMask is specified, requires products.update permission.", "required": true } }, "httpMethod": "POST", "flatPath": "v2alpha/projects/{projectsId}/locations/{locationsId}/catalogs/{catalogsId}/branches/{branchesId}/products:import", "response": { "$ref": "GoogleLongrunningOperation" }, "description": "Bulk import of multiple Products. Request processing may be synchronous. Non-existing items are created. Note that it is possible for a subset of the Products to be successfully updated." }, "patch": { "flatPath": "v2alpha/projects/{projectsId}/locations/{locationsId}/catalogs/{catalogsId}/branches/{branchesId}/products/{productsId}", "request": { "$ref": "GoogleCloudRetailV2alphaProduct" }, "response": { "$ref": "GoogleCloudRetailV2alphaProduct" }, "parameters": { "name": { "description": "Immutable. Full resource name of the product, such as `projects/*/locations/global/catalogs/default_catalog/branches/default_branch/products/product_id`.", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/catalogs/[^/]+/branches/[^/]+/products/.*$", "location": "path", "required": true }, "updateMask": { "type": "string", "description": "Indicates which fields in the provided Product to update. The immutable and output only fields are NOT supported. If not set, all supported fields (the fields that are neither immutable nor output only) are updated. If an unsupported or unknown field is provided, an INVALID_ARGUMENT error is returned. The attribute key can be updated by setting the mask path as \"attributes.${key_name}\". If a key name is present in the mask but not in the patching product from the request, this key will be deleted after the update.", "location": "query", "format": "google-fieldmask" }, "allowMissing": { "location": "query", "description": "If set to true, and the Product is not found, a new Product will be created. In this situation, `update_mask` is ignored.", "type": "boolean" } }, "description": "Updates a Product.", "path": "v2alpha/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "PATCH", "parameterOrder": [ "name" ], "id": "retail.projects.locations.catalogs.branches.products.patch" }, "purge": { "description": "Permanently deletes all selected Products under a branch. This process is asynchronous. If the request is valid, the removal will be enqueued and processed offline. Depending on the number of Products, this operation could take hours to complete. Before the operation completes, some Products may still be returned by ProductService.GetProduct or ProductService.ListProducts. Depending on the number of Products, this operation could take hours to complete. To get a sample of Products that would be deleted, set PurgeProductsRequest.force to false.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "GoogleCloudRetailV2alphaPurgeProductsRequest" }, "flatPath": "v2alpha/projects/{projectsId}/locations/{locationsId}/catalogs/{catalogsId}/branches/{branchesId}/products:purge", "parameterOrder": [ "parent" ], "response": { "$ref": "GoogleLongrunningOperation" }, "httpMethod": "POST", "id": "retail.projects.locations.catalogs.branches.products.purge", "path": "v2alpha/{+parent}/products:purge", "parameters": { "parent": { "type": "string", "location": "path", "description": "Required. The resource name of the branch under which the products are created. The format is `projects/${projectId}/locations/global/catalogs/${catalogId}/branches/${branchId}`", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/catalogs/[^/]+/branches/[^/]+$" } } }, "delete": { "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/catalogs/[^/]+/branches/[^/]+/products/.*$", "required": true, "location": "path", "type": "string", "description": "Required. Full resource name of Product, such as `projects/*/locations/global/catalogs/default_catalog/branches/default_branch/products/some_product_id`. If the caller does not have permission to delete the Product, regardless of whether or not it exists, a PERMISSION_DENIED error is returned. If the Product to delete does not exist, a NOT_FOUND error is returned. The Product to delete can neither be a Product.Type.COLLECTION Product member nor a Product.Type.PRIMARY Product with more than one variants. Otherwise, an INVALID_ARGUMENT error is returned. All inventory information for the named Product will be deleted." } }, "httpMethod": "DELETE", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v2alpha/projects/{projectsId}/locations/{locationsId}/catalogs/{catalogsId}/branches/{branchesId}/products/{productsId}", "path": "v2alpha/{+name}", "response": { "$ref": "GoogleProtobufEmpty" }, "description": "Deletes a Product.", "id": "retail.projects.locations.catalogs.branches.products.delete", "parameterOrder": [ "name" ] }, "addFulfillmentPlaces": { "httpMethod": "POST", "id": "retail.projects.locations.catalogs.branches.products.addFulfillmentPlaces", "request": { "$ref": "GoogleCloudRetailV2alphaAddFulfillmentPlacesRequest" }, "flatPath": "v2alpha/projects/{projectsId}/locations/{locationsId}/catalogs/{catalogsId}/branches/{branchesId}/products/{productsId}:addFulfillmentPlaces", "response": { "$ref": "GoogleLongrunningOperation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "product" ], "description": "Incrementally adds place IDs to Product.fulfillment_info.place_ids. This process is asynchronous and does not require the Product to exist before updating fulfillment information. If the request is valid, the update will be enqueued and processed downstream. As a consequence, when a response is returned, the added place IDs are not immediately manifested in the Product queried by ProductService.GetProduct or ProductService.ListProducts. This feature is only available for users who have Retail Search enabled. Please enable Retail Search on Cloud Console before using this feature.", "path": "v2alpha/{+product}:addFulfillmentPlaces", "parameters": { "product": { "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/catalogs/[^/]+/branches/[^/]+/products/.*$", "location": "path", "required": true, "description": "Required. Full resource name of Product, such as `projects/*/locations/global/catalogs/default_catalog/branches/default_branch/products/some_product_id`. If the caller does not have permission to access the Product, regardless of whether or not it exists, a PERMISSION_DENIED error is returned." } } }, "setInventory": { "description": "Updates inventory information for a Product while respecting the last update timestamps of each inventory field. This process is asynchronous and does not require the Product to exist before updating fulfillment information. If the request is valid, the update will be enqueued and processed downstream. As a consequence, when a response is returned, updates are not immediately manifested in the Product queried by ProductService.GetProduct or ProductService.ListProducts. When inventory is updated with ProductService.CreateProduct and ProductService.UpdateProduct, the specified inventory field value(s) will overwrite any existing value(s) while ignoring the last update time for this field. Furthermore, the last update time for the specified inventory fields will be overwritten to the time of the ProductService.CreateProduct or ProductService.UpdateProduct request. If no inventory fields are set in CreateProductRequest.product, then any pre-existing inventory information for this product will be used. If no inventory fields are set in SetInventoryRequest.set_mask, then any existing inventory information will be preserved. Pre-existing inventory information can only be updated with ProductService.SetInventory, ProductService.AddFulfillmentPlaces, and ProductService.RemoveFulfillmentPlaces. This feature is only available for users who have Retail Search enabled. Please enable Retail Search on Cloud Console before using this feature.", "request": { "$ref": "GoogleCloudRetailV2alphaSetInventoryRequest" }, "httpMethod": "POST", "path": "v2alpha/{+name}:setInventory", "id": "retail.projects.locations.catalogs.branches.products.setInventory", "flatPath": "v2alpha/projects/{projectsId}/locations/{locationsId}/catalogs/{catalogsId}/branches/{branchesId}/products/{productsId}:setInventory", "parameterOrder": [ "name" ], "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/catalogs/[^/]+/branches/[^/]+/products/.*$", "location": "path", "required": true, "description": "Immutable. Full resource name of the product, such as `projects/*/locations/global/catalogs/default_catalog/branches/default_branch/products/product_id`.", "type": "string" } }, "response": { "$ref": "GoogleLongrunningOperation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "list": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v2alpha/{+parent}/products", "response": { "$ref": "GoogleCloudRetailV2alphaListProductsResponse" }, "parameterOrder": [ "parent" ], "description": "Gets a list of Products.", "parameters": { "filter": { "location": "query", "type": "string", "description": "A filter to apply on the list results. Supported features: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh List all the products under the parent branch if filter is unset. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh List Product.Type.VARIANT Products sharing the same Product.Type.PRIMARY Product. For example: `primary_product_id = \"some_product_id\"` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh List Products bundled in a Product.Type.COLLECTION Product. For example: `collection_product_id = \"some_product_id\"` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh List Products with a partibular type. For example: `type = \"PRIMARY\"` `type = \"VARIANT\"` `type = \"COLLECTION\"` If the field is unrecognizable, an INVALID_ARGUMENT error is returned. If the specified Product.Type.PRIMARY Product or Product.Type.COLLECTION Product does not exist, a NOT_FOUND error is returned." }, "pageSize": { "location": "query", "type": "integer", "format": "int32", "description": "Maximum number of Products to return. If unspecified, defaults to 100. The maximum allowed value is 1000. Values above 1000 will be coerced to 1000. If this field is negative, an INVALID_ARGUMENT error is returned." }, "requireTotalSize": { "description": "If true and page_token is empty, ListProductsResponse.total_size is set to the total count of matched items irrespective of pagination. Notice that setting this field to true affects the performance.", "type": "boolean", "location": "query" }, "parent": { "description": "Required. The parent branch resource name, such as `projects/*/locations/global/catalogs/default_catalog/branches/0`. Use `default_branch` as the branch ID, to list products under the default branch. If the caller does not have permission to list Products under this branch, regardless of whether or not this branch exists, a PERMISSION_DENIED error is returned.", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/catalogs/[^/]+/branches/[^/]+$", "required": true, "type": "string" }, "pageToken": { "type": "string", "description": "A page token ListProductsResponse.next_page_token, received from a previous ProductService.ListProducts call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to ProductService.ListProducts must match the call that provided the page token. Otherwise, an INVALID_ARGUMENT error is returned.", "location": "query" }, "readMask": { "format": "google-fieldmask", "type": "string", "description": "The fields of Product to return in the responses. If not set or empty, the following fields are returned: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Product.name LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Product.id LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Product.title LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Product.uri LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Product.images LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Product.price_info LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Product.brands If \"*\" is provided, all fields are returned. Product.name is always returned no matter what mask is set. If an unsupported or unknown field is provided, an INVALID_ARGUMENT error is returned.", "location": "query" } }, "id": "retail.projects.locations.catalogs.branches.products.list", "httpMethod": "GET", "flatPath": "v2alpha/projects/{projectsId}/locations/{locationsId}/catalogs/{catalogsId}/branches/{branchesId}/products" }, "removeLocalInventories": { "response": { "$ref": "GoogleLongrunningOperation" }, "parameters": { "product": { "type": "string", "description": "Required. Full resource name of Product, such as `projects/*/locations/global/catalogs/default_catalog/branches/default_branch/products/some_product_id`. If the caller does not have permission to access the Product, regardless of whether or not it exists, a PERMISSION_DENIED error is returned.", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/catalogs/[^/]+/branches/[^/]+/products/.*$", "location": "path" } }, "id": "retail.projects.locations.catalogs.branches.products.removeLocalInventories", "flatPath": "v2alpha/projects/{projectsId}/locations/{locationsId}/catalogs/{catalogsId}/branches/{branchesId}/products/{productsId}:removeLocalInventories", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "product" ], "request": { "$ref": "GoogleCloudRetailV2alphaRemoveLocalInventoriesRequest" }, "httpMethod": "POST", "description": "Remove local inventory information for a Product at a list of places at a removal timestamp. This process is asynchronous. If the request is valid, the removal will be enqueued and processed downstream. As a consequence, when a response is returned, removals are not immediately manifested in the Product queried by ProductService.GetProduct or ProductService.ListProducts. Local inventory information can only be removed using this method. ProductService.CreateProduct and ProductService.UpdateProduct has no effect on local inventories. This feature is only available for users who have Retail Search enabled. Please enable Retail Search on Cloud Console before using this feature.", "path": "v2alpha/{+product}:removeLocalInventories" }, "create": { "response": { "$ref": "GoogleCloudRetailV2alphaProduct" }, "path": "v2alpha/{+parent}/products", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "parent" ], "id": "retail.projects.locations.catalogs.branches.products.create", "parameters": { "parent": { "pattern": "^projects/[^/]+/locations/[^/]+/catalogs/[^/]+/branches/[^/]+$", "required": true, "location": "path", "description": "Required. The parent catalog resource name, such as `projects/*/locations/global/catalogs/default_catalog/branches/default_branch`.", "type": "string" }, "productId": { "description": "Required. The ID to use for the Product, which will become the final component of the Product.name. If the caller does not have permission to create the Product, regardless of whether or not it exists, a PERMISSION_DENIED error is returned. This field must be unique among all Products with the same parent. Otherwise, an ALREADY_EXISTS error is returned. This field must be a UTF-8 encoded string with a length limit of 128 characters. Otherwise, an INVALID_ARGUMENT error is returned.", "type": "string", "location": "query" } }, "httpMethod": "POST", "description": "Creates a Product.", "flatPath": "v2alpha/projects/{projectsId}/locations/{locationsId}/catalogs/{catalogsId}/branches/{branchesId}/products", "request": { "$ref": "GoogleCloudRetailV2alphaProduct" } } } }, "operations": { "methods": { "get": { "flatPath": "v2alpha/projects/{projectsId}/locations/{locationsId}/catalogs/{catalogsId}/branches/{branchesId}/operations/{operationsId}", "id": "retail.projects.locations.catalogs.branches.operations.get", "description": "Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service.", "parameterOrder": [ "name" ], "path": "v2alpha/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "GoogleLongrunningOperation" }, "httpMethod": "GET", "parameters": { "name": { "required": true, "description": "The name of the operation resource.", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/catalogs/[^/]+/branches/[^/]+/operations/[^/]+$", "type": "string" } } } } } } }, "userEvents": { "methods": { "purge": { "httpMethod": "POST", "id": "retail.projects.locations.catalogs.userEvents.purge", "response": { "$ref": "GoogleLongrunningOperation" }, "request": { "$ref": "GoogleCloudRetailV2alphaPurgeUserEventsRequest" }, "parameters": { "parent": { "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/catalogs/[^/]+$", "location": "path", "description": "Required. The resource name of the catalog under which the events are created. The format is `projects/${projectId}/locations/global/catalogs/${catalogId}`", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v2alpha/projects/{projectsId}/locations/{locationsId}/catalogs/{catalogsId}/userEvents:purge", "parameterOrder": [ "parent" ], "description": "Deletes permanently all user events specified by the filter provided. Depending on the number of events specified by the filter, this operation could take hours or days to complete. To test a filter, use the list command first.", "path": "v2alpha/{+parent}/userEvents:purge" }, "write": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST", "parameters": { "parent": { "description": "Required. The parent catalog resource name, such as `projects/1234/locations/global/catalogs/default_catalog`.", "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/catalogs/[^/]+$", "required": true } }, "flatPath": "v2alpha/projects/{projectsId}/locations/{locationsId}/catalogs/{catalogsId}/userEvents:write", "parameterOrder": [ "parent" ], "response": { "$ref": "GoogleCloudRetailV2alphaUserEvent" }, "request": { "$ref": "GoogleCloudRetailV2alphaUserEvent" }, "id": "retail.projects.locations.catalogs.userEvents.write", "description": "Writes a single user event.", "path": "v2alpha/{+parent}/userEvents:write" }, "import": { "path": "v2alpha/{+parent}/userEvents:import", "parameters": { "parent": { "pattern": "^projects/[^/]+/locations/[^/]+/catalogs/[^/]+$", "required": true, "type": "string", "location": "path", "description": "Required. `projects/1234/locations/global/catalogs/default_catalog`" } }, "response": { "$ref": "GoogleLongrunningOperation" }, "request": { "$ref": "GoogleCloudRetailV2alphaImportUserEventsRequest" }, "flatPath": "v2alpha/projects/{projectsId}/locations/{locationsId}/catalogs/{catalogsId}/userEvents:import", "id": "retail.projects.locations.catalogs.userEvents.import", "description": "Bulk import of User events. Request processing might be synchronous. Events that already exist are skipped. Use this method for backfilling historical user events. Operation.response is of type ImportResponse. Note that it is possible for a subset of the items to be successfully inserted. Operation.metadata is of type ImportMetadata.", "parameterOrder": [ "parent" ], "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "collect": { "parameters": { "uri": { "description": "The URL including cgi-parameters but excluding the hash fragment with a length limit of 5,000 characters. This is often more useful than the referer URL, because many browsers only send the domain for 3rd party requests.", "type": "string", "location": "query" }, "parent": { "location": "path", "required": true, "description": "Required. The parent catalog name, such as `projects/1234/locations/global/catalogs/default_catalog`.", "pattern": "^projects/[^/]+/locations/[^/]+/catalogs/[^/]+$", "type": "string" }, "userEvent": { "type": "string", "location": "query", "description": "Required. URL encoded UserEvent proto with a length limit of 2,000,000 characters." }, "ets": { "format": "int64", "type": "string", "location": "query", "description": "The event timestamp in milliseconds. This prevents browser caching of otherwise identical get requests. The name is abbreviated to reduce the payload bytes." } }, "flatPath": "v2alpha/projects/{projectsId}/locations/{locationsId}/catalogs/{catalogsId}/userEvents:collect", "path": "v2alpha/{+parent}/userEvents:collect", "response": { "$ref": "GoogleApiHttpBody" }, "description": "Writes a single user event from the browser. This uses a GET request to due to browser restriction of POST-ing to a 3rd party domain. This method is used only by the Retail API JavaScript pixel and Google Tag Manager. Users should not call this method directly.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "parent" ], "id": "retail.projects.locations.catalogs.userEvents.collect", "httpMethod": "GET" }, "rejoin": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "GoogleLongrunningOperation" }, "request": { "$ref": "GoogleCloudRetailV2alphaRejoinUserEventsRequest" }, "flatPath": "v2alpha/projects/{projectsId}/locations/{locationsId}/catalogs/{catalogsId}/userEvents:rejoin", "httpMethod": "POST", "id": "retail.projects.locations.catalogs.userEvents.rejoin", "path": "v2alpha/{+parent}/userEvents:rejoin", "description": "Starts a user event rejoin operation with latest product catalog. Events will not be annotated with detailed product information if product is missing from the catalog at the time the user event is ingested, and these events are stored as unjoined events with a limited usage on training and serving. This method can be used to start a join operation on specified events with latest version of product catalog. It can also be used to correct events joined with the wrong product catalog. A rejoin operation can take hours or days to complete.", "parameters": { "parent": { "location": "path", "required": true, "description": "Required. The parent catalog resource name, such as `projects/1234/locations/global/catalogs/default_catalog`.", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/catalogs/[^/]+$" } }, "parameterOrder": [ "parent" ] } } }, "attributesConfig": { "methods": { "addCatalogAttribute": { "response": { "$ref": "GoogleCloudRetailV2alphaAttributesConfig" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST", "description": "Adds the specified CatalogAttribute to the AttributesConfig. If the CatalogAttribute to add already exists, an ALREADY_EXISTS error is returned.", "parameterOrder": [ "attributesConfig" ], "parameters": { "attributesConfig": { "pattern": "^projects/[^/]+/locations/[^/]+/catalogs/[^/]+/attributesConfig$", "required": true, "location": "path", "type": "string", "description": "Required. Full AttributesConfig resource name. Format: `projects/{project_number}/locations/{location_id}/catalogs/{catalog_id}/attributesConfig`" } }, "path": "v2alpha/{+attributesConfig}:addCatalogAttribute", "request": { "$ref": "GoogleCloudRetailV2alphaAddCatalogAttributeRequest" }, "id": "retail.projects.locations.catalogs.attributesConfig.addCatalogAttribute", "flatPath": "v2alpha/projects/{projectsId}/locations/{locationsId}/catalogs/{catalogsId}/attributesConfig:addCatalogAttribute" }, "removeCatalogAttribute": { "path": "v2alpha/{+attributesConfig}:removeCatalogAttribute", "description": "Removes the specified CatalogAttribute from the AttributesConfig. If the CatalogAttribute to remove does not exist, a NOT_FOUND error is returned.", "parameterOrder": [ "attributesConfig" ], "response": { "$ref": "GoogleCloudRetailV2alphaAttributesConfig" }, "httpMethod": "POST", "flatPath": "v2alpha/projects/{projectsId}/locations/{locationsId}/catalogs/{catalogsId}/attributesConfig:removeCatalogAttribute", "id": "retail.projects.locations.catalogs.attributesConfig.removeCatalogAttribute", "request": { "$ref": "GoogleCloudRetailV2alphaRemoveCatalogAttributeRequest" }, "parameters": { "attributesConfig": { "location": "path", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/catalogs/[^/]+/attributesConfig$", "description": "Required. Full AttributesConfig resource name. Format: `projects/{project_number}/locations/{location_id}/catalogs/{catalog_id}/attributesConfig`" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "replaceCatalogAttribute": { "response": { "$ref": "GoogleCloudRetailV2alphaAttributesConfig" }, "parameterOrder": [ "attributesConfig" ], "flatPath": "v2alpha/projects/{projectsId}/locations/{locationsId}/catalogs/{catalogsId}/attributesConfig:replaceCatalogAttribute", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "attributesConfig": { "type": "string", "required": true, "description": "Required. Full AttributesConfig resource name. Format: `projects/{project_number}/locations/{location_id}/catalogs/{catalog_id}/attributesConfig`", "pattern": "^projects/[^/]+/locations/[^/]+/catalogs/[^/]+/attributesConfig$", "location": "path" } }, "path": "v2alpha/{+attributesConfig}:replaceCatalogAttribute", "httpMethod": "POST", "description": "Replaces the specified CatalogAttribute in the AttributesConfig by updating the catalog attribute with the same CatalogAttribute.key. If the CatalogAttribute to replace does not exist, a NOT_FOUND error is returned.", "request": { "$ref": "GoogleCloudRetailV2alphaReplaceCatalogAttributeRequest" }, "id": "retail.projects.locations.catalogs.attributesConfig.replaceCatalogAttribute" } } }, "controls": { "methods": { "patch": { "description": "Updates a Control. Control cannot be set to a different oneof field, if so an INVALID_ARGUMENT is returned. If the Control to delete does not exist, a NOT_FOUND error is returned.", "id": "retail.projects.locations.catalogs.controls.patch", "parameterOrder": [ "name" ], "parameters": { "updateMask": { "format": "google-fieldmask", "location": "query", "type": "string", "description": "Indicates which fields in the provided Control to update. The following are NOT supported: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Control.name If not set or empty, all supported fields are updated." }, "name": { "type": "string", "description": "Immutable. Fully qualified name `projects/*/locations/global/catalogs/*/controls/*`", "pattern": "^projects/[^/]+/locations/[^/]+/catalogs/[^/]+/controls/[^/]+$", "location": "path", "required": true } }, "response": { "$ref": "GoogleCloudRetailV2alphaControl" }, "httpMethod": "PATCH", "request": { "$ref": "GoogleCloudRetailV2alphaControl" }, "flatPath": "v2alpha/projects/{projectsId}/locations/{locationsId}/catalogs/{catalogsId}/controls/{controlsId}", "path": "v2alpha/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "delete": { "description": "Deletes a Control. If the Control to delete does not exist, a NOT_FOUND error is returned.", "id": "retail.projects.locations.catalogs.controls.delete", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/catalogs/[^/]+/controls/[^/]+$", "description": "Required. The resource name of the Control to delete. Format: `projects/{project_number}/locations/{location_id}/catalogs/{catalog_id}/controls/{control_id}`", "type": "string", "location": "path", "required": true } }, "httpMethod": "DELETE", "response": { "$ref": "GoogleProtobufEmpty" }, "flatPath": "v2alpha/projects/{projectsId}/locations/{locationsId}/catalogs/{catalogsId}/controls/{controlsId}", "path": "v2alpha/{+name}" }, "list": { "parameters": { "pageSize": { "description": "Optional. Maximum number of results to return. If unspecified, defaults to 50. Max allowed value is 1000.", "location": "query", "type": "integer", "format": "int32" }, "parent": { "pattern": "^projects/[^/]+/locations/[^/]+/catalogs/[^/]+$", "location": "path", "description": "Required. The catalog resource name. Format: `projects/{project_number}/locations/{location_id}/catalogs/{catalog_id}`", "type": "string", "required": true }, "filter": { "description": "Optional. A filter to apply on the list results. Supported features: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh List all the products under the parent branch if filter is unset. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh List controls that are used in a single ServingConfig: 'serving_config = \"boosted_home_page_cvr\"'", "location": "query", "type": "string" }, "pageToken": { "location": "query", "description": "Optional. A page token, received from a previous `ListControls` call. Provide this to retrieve the subsequent page.", "type": "string" } }, "description": "Lists all Controls linked to this catalog.", "flatPath": "v2alpha/projects/{projectsId}/locations/{locationsId}/catalogs/{catalogsId}/controls", "response": { "$ref": "GoogleCloudRetailV2alphaListControlsResponse" }, "httpMethod": "GET", "id": "retail.projects.locations.catalogs.controls.list", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v2alpha/{+parent}/controls", "parameterOrder": [ "parent" ] }, "create": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "GoogleCloudRetailV2alphaControl" }, "path": "v2alpha/{+parent}/controls", "response": { "$ref": "GoogleCloudRetailV2alphaControl" }, "id": "retail.projects.locations.catalogs.controls.create", "parameterOrder": [ "parent" ], "parameters": { "parent": { "required": true, "location": "path", "type": "string", "description": "Required. Full resource name of parent catalog. Format: `projects/{project_number}/locations/{location_id}/catalogs/{catalog_id}`", "pattern": "^projects/[^/]+/locations/[^/]+/catalogs/[^/]+$" }, "controlId": { "description": "Required. The ID to use for the Control, which will become the final component of the Control's resource name. This value should be 4-63 characters, and valid characters are /a-z-_/.", "location": "query", "type": "string" } }, "httpMethod": "POST", "description": "Creates a Control. If the Control to create already exists, an ALREADY_EXISTS error is returned.", "flatPath": "v2alpha/projects/{projectsId}/locations/{locationsId}/catalogs/{catalogsId}/controls" }, "get": { "parameterOrder": [ "name" ], "httpMethod": "GET", "id": "retail.projects.locations.catalogs.controls.get", "flatPath": "v2alpha/projects/{projectsId}/locations/{locationsId}/catalogs/{catalogsId}/controls/{controlsId}", "parameters": { "name": { "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/catalogs/[^/]+/controls/[^/]+$", "description": "Required. The resource name of the Control to delete. Format: `projects/{project_number}/locations/{location_id}/catalogs/{catalog_id}/controls/{control_id}`", "required": true } }, "description": "Gets a Control.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v2alpha/{+name}", "response": { "$ref": "GoogleCloudRetailV2alphaControl" } } } }, "placements": { "methods": { "search": { "httpMethod": "POST", "parameters": { "placement": { "type": "string", "description": "Required. The resource name of the Retail Search serving config, such as `projects/*/locations/global/catalogs/default_catalog/servingConfigs/default_serving_config` or the name of the legacy placement resource, such as `projects/*/locations/global/catalogs/default_catalog/placements/default_search`. This field is used to identify the serving configuration name and the set of models that will be used to make the search.", "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/catalogs/[^/]+/placements/[^/]+$" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "GoogleCloudRetailV2alphaSearchResponse" }, "flatPath": "v2alpha/projects/{projectsId}/locations/{locationsId}/catalogs/{catalogsId}/placements/{placementsId}:search", "path": "v2alpha/{+placement}:search", "id": "retail.projects.locations.catalogs.placements.search", "request": { "$ref": "GoogleCloudRetailV2alphaSearchRequest" }, "parameterOrder": [ "placement" ], "description": "Performs a search. This feature is only available for users who have Retail Search enabled. Please enable Retail Search on Cloud Console before using this feature." }, "predict": { "parameterOrder": [ "placement" ], "request": { "$ref": "GoogleCloudRetailV2alphaPredictRequest" }, "httpMethod": "POST", "path": "v2alpha/{+placement}:predict", "id": "retail.projects.locations.catalogs.placements.predict", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v2alpha/projects/{projectsId}/locations/{locationsId}/catalogs/{catalogsId}/placements/{placementsId}:predict", "description": "Makes a recommendation prediction.", "parameters": { "placement": { "pattern": "^projects/[^/]+/locations/[^/]+/catalogs/[^/]+/placements/[^/]+$", "type": "string", "location": "path", "description": "Required. Full resource name of the format: {placement=projects/*/locations/global/catalogs/default_catalog/servingConfigs/*} or {placement=projects/*/locations/global/catalogs/default_catalog/placements/*}. We recommend using the `servingConfigs` resource. `placements` is a legacy resource. The ID of the Recommendations AI serving config or placement. Before you can request predictions from your model, you must create at least one serving config or placement for it. For more information, see [Managing serving configurations] (https://cloud.google.com/retail/docs/manage-configs). The full list of available serving configs can be seen at https://console.cloud.google.com/ai/retail/catalogs/default_catalog/configs", "required": true } }, "response": { "$ref": "GoogleCloudRetailV2alphaPredictResponse" } } } }, "operations": { "methods": { "list": { "id": "retail.projects.locations.catalogs.operations.list", "flatPath": "v2alpha/projects/{projectsId}/locations/{locationsId}/catalogs/{catalogsId}/operations", "path": "v2alpha/{+name}/operations", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "description": "Lists operations that match the specified filter in the request. If the server doesn't support this method, it returns `UNIMPLEMENTED`. NOTE: the `name` binding allows API services to override the binding to use different resource name schemes, such as `users/*/operations`. To override the binding, API services can add a binding such as `\"/v1/{name=users/*}/operations\"` to their service configuration. For backwards compatibility, the default name includes the operations collection id, however overriding users must ensure the name binding is the parent resource, without the operations collection id.", "httpMethod": "GET", "parameters": { "filter": { "location": "query", "description": "The standard list filter.", "type": "string" }, "pageToken": { "type": "string", "description": "The standard list page token.", "location": "query" }, "name": { "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/catalogs/[^/]+$", "location": "path", "description": "The name of the operation's parent resource." }, "pageSize": { "location": "query", "format": "int32", "type": "integer", "description": "The standard list page size." } }, "response": { "$ref": "GoogleLongrunningListOperationsResponse" } }, "get": { "id": "retail.projects.locations.catalogs.operations.get", "description": "Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "flatPath": "v2alpha/projects/{projectsId}/locations/{locationsId}/catalogs/{catalogsId}/operations/{operationsId}", "httpMethod": "GET", "path": "v2alpha/{+name}", "parameters": { "name": { "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/catalogs/[^/]+/operations/[^/]+$", "required": true, "location": "path", "description": "The name of the operation resource." } }, "response": { "$ref": "GoogleLongrunningOperation" } } } }, "servingConfigs": { "methods": { "addControl": { "parameterOrder": [ "servingConfig" ], "path": "v2alpha/{+servingConfig}:addControl", "parameters": { "servingConfig": { "required": true, "description": "Required. The source ServingConfig resource name . Format: projects/{project_number}/locations/{location_id}/catalogs/{catalog_id}/servingConfigs/{serving_config_id}", "pattern": "^projects/[^/]+/locations/[^/]+/catalogs/[^/]+/servingConfigs/[^/]+$", "location": "path", "type": "string" } }, "request": { "$ref": "GoogleCloudRetailV2alphaAddControlRequest" }, "description": "Enables a Control on the specified ServingConfig. The control is added in the last position of the list of controls it belongs to (e.g. if it's a facet spec control it will be applied in the last position of servingConfig.facetSpecIds) Returns a ALREADY_EXISTS error if the control has already been applied. Returns a FAILED_PRECONDITION error if the addition could exceed maximum number of control allowed for that type of control.", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "retail.projects.locations.catalogs.servingConfigs.addControl", "response": { "$ref": "GoogleCloudRetailV2alphaServingConfig" }, "flatPath": "v2alpha/projects/{projectsId}/locations/{locationsId}/catalogs/{catalogsId}/servingConfigs/{servingConfigsId}:addControl" }, "create": { "id": "retail.projects.locations.catalogs.servingConfigs.create", "flatPath": "v2alpha/projects/{projectsId}/locations/{locationsId}/catalogs/{catalogsId}/servingConfigs", "description": "Creates a ServingConfig. A maximum of 100 ServingConfigs are allowed in a Catalog, otherwise a FAILED_PRECONDITION error is returned.", "request": { "$ref": "GoogleCloudRetailV2alphaServingConfig" }, "response": { "$ref": "GoogleCloudRetailV2alphaServingConfig" }, "path": "v2alpha/{+parent}/servingConfigs", "parameterOrder": [ "parent" ], "httpMethod": "POST", "parameters": { "parent": { "description": "Required. Full resource name of parent. Format: `projects/{project_number}/locations/{location_id}/catalogs/{catalog_id}`", "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/catalogs/[^/]+$", "type": "string" }, "servingConfigId": { "description": "Required. The ID to use for the ServingConfig, which will become the final component of the ServingConfig's resource name. This value should be 4-63 characters, and valid characters are /a-z-_/.", "type": "string", "location": "query" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "delete": { "id": "retail.projects.locations.catalogs.servingConfigs.delete", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "GoogleProtobufEmpty" }, "description": "Deletes a ServingConfig. Returns a NotFound error if the ServingConfig does not exist.", "path": "v2alpha/{+name}", "parameters": { "name": { "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/catalogs/[^/]+/servingConfigs/[^/]+$", "location": "path", "required": true, "description": "Required. The resource name of the ServingConfig to delete. Format: projects/{project_number}/locations/{location_id}/catalogs/{catalog_id}/servingConfigs/{serving_config_id}" } }, "parameterOrder": [ "name" ], "flatPath": "v2alpha/projects/{projectsId}/locations/{locationsId}/catalogs/{catalogsId}/servingConfigs/{servingConfigsId}", "httpMethod": "DELETE" }, "search": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Performs a search. This feature is only available for users who have Retail Search enabled. Please enable Retail Search on Cloud Console before using this feature.", "parameterOrder": [ "placement" ], "httpMethod": "POST", "parameters": { "placement": { "type": "string", "description": "Required. The resource name of the Retail Search serving config, such as `projects/*/locations/global/catalogs/default_catalog/servingConfigs/default_serving_config` or the name of the legacy placement resource, such as `projects/*/locations/global/catalogs/default_catalog/placements/default_search`. This field is used to identify the serving configuration name and the set of models that will be used to make the search.", "pattern": "^projects/[^/]+/locations/[^/]+/catalogs/[^/]+/servingConfigs/[^/]+$", "required": true, "location": "path" } }, "id": "retail.projects.locations.catalogs.servingConfigs.search", "flatPath": "v2alpha/projects/{projectsId}/locations/{locationsId}/catalogs/{catalogsId}/servingConfigs/{servingConfigsId}:search", "request": { "$ref": "GoogleCloudRetailV2alphaSearchRequest" }, "response": { "$ref": "GoogleCloudRetailV2alphaSearchResponse" }, "path": "v2alpha/{+placement}:search" }, "patch": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "GoogleCloudRetailV2alphaServingConfig" }, "description": "Updates a ServingConfig.", "httpMethod": "PATCH", "response": { "$ref": "GoogleCloudRetailV2alphaServingConfig" }, "parameters": { "name": { "required": true, "description": "Immutable. Fully qualified name `projects/*/locations/global/catalogs/*/servingConfig/*`", "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/catalogs/[^/]+/servingConfigs/[^/]+$" }, "updateMask": { "format": "google-fieldmask", "type": "string", "description": "Indicates which fields in the provided ServingConfig to update. The following are NOT supported: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh ServingConfig.name If not set, all supported fields are updated.", "location": "query" } }, "path": "v2alpha/{+name}", "id": "retail.projects.locations.catalogs.servingConfigs.patch", "flatPath": "v2alpha/projects/{projectsId}/locations/{locationsId}/catalogs/{catalogsId}/servingConfigs/{servingConfigsId}", "parameterOrder": [ "name" ] }, "removeControl": { "httpMethod": "POST", "parameterOrder": [ "servingConfig" ], "parameters": { "servingConfig": { "pattern": "^projects/[^/]+/locations/[^/]+/catalogs/[^/]+/servingConfigs/[^/]+$", "location": "path", "required": true, "type": "string", "description": "Required. The source ServingConfig resource name . Format: projects/{project_number}/locations/{location_id}/catalogs/{catalog_id}/servingConfigs/{serving_config_id}" } }, "description": "Disables a Control on the specified ServingConfig. The control is removed from the ServingConfig. Returns a NOT_FOUND error if the Control is not enabled for the ServingConfig.", "response": { "$ref": "GoogleCloudRetailV2alphaServingConfig" }, "flatPath": "v2alpha/projects/{projectsId}/locations/{locationsId}/catalogs/{catalogsId}/servingConfigs/{servingConfigsId}:removeControl", "id": "retail.projects.locations.catalogs.servingConfigs.removeControl", "request": { "$ref": "GoogleCloudRetailV2alphaRemoveControlRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v2alpha/{+servingConfig}:removeControl" }, "get": { "flatPath": "v2alpha/projects/{projectsId}/locations/{locationsId}/catalogs/{catalogsId}/servingConfigs/{servingConfigsId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v2alpha/{+name}", "parameterOrder": [ "name" ], "description": "Gets a ServingConfig. Returns a NotFound error if the ServingConfig does not exist.", "id": "retail.projects.locations.catalogs.servingConfigs.get", "httpMethod": "GET", "response": { "$ref": "GoogleCloudRetailV2alphaServingConfig" }, "parameters": { "name": { "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/catalogs/[^/]+/servingConfigs/[^/]+$", "description": "Required. The resource name of the ServingConfig to get. Format: projects/{project_number}/locations/{location_id}/catalogs/{catalog_id}/servingConfigs/{serving_config_id}", "location": "path" } } }, "list": { "httpMethod": "GET", "path": "v2alpha/{+parent}/servingConfigs", "flatPath": "v2alpha/projects/{projectsId}/locations/{locationsId}/catalogs/{catalogsId}/servingConfigs", "parameters": { "pageToken": { "location": "query", "type": "string", "description": "Optional. A page token, received from a previous `ListServingConfigs` call. Provide this to retrieve the subsequent page." }, "parent": { "type": "string", "description": "Required. The catalog resource name. Format: projects/{project_number}/locations/{location_id}/catalogs/{catalog_id}", "pattern": "^projects/[^/]+/locations/[^/]+/catalogs/[^/]+$", "location": "path", "required": true }, "pageSize": { "location": "query", "type": "integer", "description": "Optional. Maximum number of results to return. If unspecified, defaults to 100. If a value greater than 100 is provided, at most 100 results are returned.", "format": "int32" } }, "description": "Lists all ServingConfigs linked to this catalog.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "retail.projects.locations.catalogs.servingConfigs.list", "response": { "$ref": "GoogleCloudRetailV2alphaListServingConfigsResponse" }, "parameterOrder": [ "parent" ] }, "predict": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "GoogleCloudRetailV2alphaPredictResponse" }, "httpMethod": "POST", "parameterOrder": [ "placement" ], "description": "Makes a recommendation prediction.", "flatPath": "v2alpha/projects/{projectsId}/locations/{locationsId}/catalogs/{catalogsId}/servingConfigs/{servingConfigsId}:predict", "request": { "$ref": "GoogleCloudRetailV2alphaPredictRequest" }, "id": "retail.projects.locations.catalogs.servingConfigs.predict", "path": "v2alpha/{+placement}:predict", "parameters": { "placement": { "required": true, "type": "string", "description": "Required. Full resource name of the format: {placement=projects/*/locations/global/catalogs/default_catalog/servingConfigs/*} or {placement=projects/*/locations/global/catalogs/default_catalog/placements/*}. We recommend using the `servingConfigs` resource. `placements` is a legacy resource. The ID of the Recommendations AI serving config or placement. Before you can request predictions from your model, you must create at least one serving config or placement for it. For more information, see [Managing serving configurations] (https://cloud.google.com/retail/docs/manage-configs). The full list of available serving configs can be seen at https://console.cloud.google.com/ai/retail/catalogs/default_catalog/configs", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/catalogs/[^/]+/servingConfigs/[^/]+$" } } } } } } }, "operations": { "methods": { "get": { "description": "Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v2alpha/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}", "path": "v2alpha/{+name}", "response": { "$ref": "GoogleLongrunningOperation" }, "httpMethod": "GET", "parameterOrder": [ "name" ], "id": "retail.projects.locations.operations.get", "parameters": { "name": { "required": true, "description": "The name of the operation resource.", "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$" } } }, "list": { "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "parameters": { "pageToken": { "location": "query", "description": "The standard list page token.", "type": "string" }, "pageSize": { "format": "int32", "type": "integer", "location": "query", "description": "The standard list page size." }, "filter": { "description": "The standard list filter.", "location": "query", "type": "string" }, "name": { "required": true, "type": "string", "description": "The name of the operation's parent resource.", "pattern": "^projects/[^/]+/locations/[^/]+$", "location": "path" } }, "flatPath": "v2alpha/projects/{projectsId}/locations/{locationsId}/operations", "path": "v2alpha/{+name}/operations", "response": { "$ref": "GoogleLongrunningListOperationsResponse" }, "description": "Lists operations that match the specified filter in the request. If the server doesn't support this method, it returns `UNIMPLEMENTED`. NOTE: the `name` binding allows API services to override the binding to use different resource name schemes, such as `users/*/operations`. To override the binding, API services can add a binding such as `\"/v1/{name=users/*}/operations\"` to their service configuration. For backwards compatibility, the default name includes the operations collection id, however overriding users must ensure the name binding is the parent resource, without the operations collection id.", "id": "retail.projects.locations.operations.list" } } } } } } } }, "canonicalName": "Cloud Retail", "id": "retail:v2alpha", "description": "Cloud Retail service enables customers to build end-to-end personalized recommendation systems without requiring a high level of expertise in machine learning, recommendation system, or Google Cloud.", "name": "retail", "discoveryVersion": "v1", "parameters": { "key": { "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "type": "string", "location": "query" }, "access_token": { "type": "string", "location": "query", "description": "OAuth access token." }, "prettyPrint": { "description": "Returns response with indentations and line breaks.", "default": "true", "type": "boolean", "location": "query" }, "fields": { "description": "Selector specifying which fields to include in a partial response.", "type": "string", "location": "query" }, "upload_protocol": { "type": "string", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "location": "query" }, "$.xgafv": { "enum": [ "1", "2" ], "description": "V1 error format.", "enumDescriptions": [ "v1 error format", "v2 error format" ], "location": "query", "type": "string" }, "quotaUser": { "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "type": "string", "location": "query" }, "alt": { "enum": [ "json", "media", "proto" ], "default": "json", "description": "Data format for response.", "location": "query", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "type": "string" }, "oauth_token": { "type": "string", "location": "query", "description": "OAuth 2.0 token for the current user." }, "callback": { "type": "string", "location": "query", "description": "JSONP" }, "uploadType": { "type": "string", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "location": "query" } }, "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." } } } }, "batchPath": "batch", "rootUrl": "https://retail.googleapis.com/", "baseUrl": "https://retail.googleapis.com/", "version": "v2alpha", "documentationLink": "https://cloud.google.com/recommendations", "version_module": true, "schemas": { "GoogleCloudRetailV2alphaConditionQueryTerm": { "id": "GoogleCloudRetailV2alphaConditionQueryTerm", "description": "Query terms that we want to match on.", "properties": { "value": { "type": "string", "description": "The value of the term to match on. Value cannot be empty. Value can have at most 3 terms if specified as a partial match. Each space separated string is considered as one term. Example) \"a b c\" is 3 terms and allowed, \" a b c d\" is 4 terms and not allowed for partial match." }, "fullMatch": { "type": "boolean", "description": "Whether this is supposed to be a full or partial match." } }, "type": "object" }, "GoogleCloudRetailV2alphaSearchRequestQueryExpansionSpec": { "description": "Specification to determine under which conditions query expansion should occur.", "id": "GoogleCloudRetailV2alphaSearchRequestQueryExpansionSpec", "type": "object", "properties": { "condition": { "enumDescriptions": [ "Unspecified query expansion condition. This defaults to Condition.DISABLED.", "Disabled query expansion. Only the exact search query is used, even if SearchResponse.total_size is zero.", "Automatic query expansion built by Google Retail Search." ], "enum": [ "CONDITION_UNSPECIFIED", "DISABLED", "AUTO" ], "description": "The condition under which query expansion should occur. Default to Condition.DISABLED.", "type": "string" }, "pinUnexpandedResults": { "description": "Whether to pin unexpanded results. If this field is set to true, unexpanded products are always at the top of the search results, followed by the expanded results.", "type": "boolean" } } }, "GoogleCloudRetailV2alphaSearchResponseSearchResult": { "id": "GoogleCloudRetailV2alphaSearchResponseSearchResult", "description": "Represents the search results.", "properties": { "matchingVariantFields": { "additionalProperties": { "type": "string", "format": "google-fieldmask" }, "description": "If a variant Product matches the search query, this map indicates which Product fields are matched. The key is the Product.name, the value is a field mask of the matched Product fields. If matched attributes cannot be determined, this map will be empty. For example, a key \"sku1\" with field mask \"products.color_info\" indicates there is a match between \"sku1\" ColorInfo and the query.", "type": "object" }, "id": { "description": "Product.id of the searched Product.", "type": "string" }, "variantRollupValues": { "description": "The rollup matching variant Product attributes. The key is one of the SearchRequest.variant_rollup_keys. The values are the merged and de-duplicated Product attributes. Notice that the rollup values are respect filter. For example, when filtering by \"colorFamilies:ANY(\\\"red\\\")\" and rollup \"colorFamilies\", only \"red\" is returned. For textual and numerical attributes, the rollup values is a list of string or double values with type google.protobuf.ListValue. For example, if there are two variants with colors \"red\" and \"blue\", the rollup values are { key: \"colorFamilies\" value { list_value { values { string_value: \"red\" } values { string_value: \"blue\" } } } } For FulfillmentInfo, the rollup values is a double value with type google.protobuf.Value. For example, `{key: \"pickupInStore.store1\" value { number_value: 10 }}` means a there are 10 variants in this product are available in the store \"store1\".", "type": "object", "additionalProperties": { "type": "any" } }, "product": { "description": "The product data snippet in the search response. Only Product.name is guaranteed to be populated. Product.variants contains the product variants that match the search query. If there are multiple product variants matching the query, top 5 most relevant product variants are returned and ordered by relevancy. If relevancy can be deternmined, use matching_variant_fields to look up matched product variants fields. If relevancy cannot be determined, e.g. when searching \"shoe\" all products in a shoe product can be a match, 5 product variants are returned but order is meaningless.", "$ref": "GoogleCloudRetailV2alphaProduct" }, "matchingVariantCount": { "description": "The count of matched variant Products.", "format": "int32", "type": "integer" } }, "type": "object" }, "GoogleCloudRetailV2alphaAddLocalInventoriesMetadata": { "type": "object", "description": "Metadata related to the progress of the AddLocalInventories operation. Currently empty because there is no meaningful metadata populated from the ProductService.AddLocalInventories method.", "id": "GoogleCloudRetailV2alphaAddLocalInventoriesMetadata", "properties": {} }, "GoogleCloudRetailV2alphaSearchRequestBoostSpecConditionBoostSpec": { "description": "Boost applies to products which match a condition.", "properties": { "condition": { "type": "string", "description": "An expression which specifies a boost condition. The syntax and supported fields are the same as a filter expression. See SearchRequest.filter for detail syntax and limitations. Examples: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh To boost products with product ID \"product_1\" or \"product_2\", and color \"Red\" or \"Blue\": LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh (id: ANY(\"product_1\", \"product_2\")) AND (colorFamilies: ANY(\"Red\",\"Blue\"))" }, "boost": { "type": "number", "description": "Strength of the condition boost, which should be in [-1, 1]. Negative boost means demotion. Default is 0.0. Setting to 1.0 gives the item a big promotion. However, it does not necessarily mean that the boosted item will be the top result at all times, nor that other items will be excluded. Results could still be shown even when none of them matches the condition. And results that are significantly more relevant to the search query can still trump your heavily favored but irrelevant items. Setting to -1.0 gives the item a big demotion. However, results that are deeply relevant might still be shown. The item will have an upstream battle to get a fairly high ranking, but it is not blocked out completely. Setting to 0.0 means no boost applied. The boosting condition is ignored.", "format": "float" } }, "id": "GoogleCloudRetailV2alphaSearchRequestBoostSpecConditionBoostSpec", "type": "object" }, "GoogleCloudRetailV2PurgeUserEventsResponse": { "id": "GoogleCloudRetailV2PurgeUserEventsResponse", "properties": { "purgedEventsCount": { "type": "string", "description": "The total count of events purged as a result of the operation.", "format": "int64" } }, "type": "object", "description": "Response of the PurgeUserEventsRequest. If the long running operation is successfully done, then this message is returned by the google.longrunning.Operations.response field." }, "GoogleCloudRetailV2betaImportMetadata": { "description": "Metadata related to the progress of the Import operation. This will be returned by the google.longrunning.Operation.metadata field.", "id": "GoogleCloudRetailV2betaImportMetadata", "properties": { "updateTime": { "description": "Operation last update time. If the operation is done, this is also the finish time.", "format": "google-datetime", "type": "string" }, "successCount": { "description": "Count of entries that were processed successfully.", "format": "int64", "type": "string" }, "failureCount": { "format": "int64", "type": "string", "description": "Count of entries that encountered errors while processing." }, "notificationPubsubTopic": { "type": "string", "description": "Pub/Sub topic for receiving notification. If this field is set, when the import is finished, a notification will be sent to specified Pub/Sub topic. The message data will be JSON string of a Operation. Format of the Pub/Sub topic is `projects/{project}/topics/{topic}`." }, "requestId": { "description": "Deprecated. This field is never set.", "type": "string" }, "createTime": { "type": "string", "description": "Operation create time.", "format": "google-datetime" } }, "type": "object" }, "GoogleCloudRetailV2betaRemoveLocalInventoriesResponse": { "type": "object", "properties": {}, "description": "Response of the ProductService.RemoveLocalInventories API. Currently empty because there is no meaningful response populated from the ProductService.RemoveLocalInventories method.", "id": "GoogleCloudRetailV2betaRemoveLocalInventoriesResponse" }, "GoogleCloudRetailV2alphaAddCatalogAttributeRequest": { "id": "GoogleCloudRetailV2alphaAddCatalogAttributeRequest", "type": "object", "properties": { "catalogAttribute": { "description": "Required. The CatalogAttribute to add.", "$ref": "GoogleCloudRetailV2alphaCatalogAttribute" } }, "description": "Request for CatalogService.AddCatalogAttribute method." }, "GoogleApiHttpBody": { "description": "Message that represents an arbitrary HTTP body. It should only be used for payload formats that can't be represented as JSON, such as raw binary or an HTML page. This message can be used both in streaming and non-streaming API methods in the request as well as the response. It can be used as a top-level request field, which is convenient if one wants to extract parameters from either the URL or HTTP template into the request fields and also want access to the raw HTTP body. Example: message GetResourceRequest { // A unique request id. string request_id = 1; // The raw HTTP body is bound to this field. google.api.HttpBody http_body = 2; } service ResourceService { rpc GetResource(GetResourceRequest) returns (google.api.HttpBody); rpc UpdateResource(google.api.HttpBody) returns (google.protobuf.Empty); } Example with streaming methods: service CaldavService { rpc GetCalendar(stream google.api.HttpBody) returns (stream google.api.HttpBody); rpc UpdateCalendar(stream google.api.HttpBody) returns (stream google.api.HttpBody); } Use of this type only changes how the request and response bodies are handled, all other features will continue to work unchanged.", "type": "object", "properties": { "contentType": { "description": "The HTTP Content-Type header value specifying the content type of the body.", "type": "string" }, "data": { "type": "string", "format": "byte", "description": "The HTTP request/response body as raw binary." }, "extensions": { "items": { "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "type": "object" }, "description": "Application specific response metadata. Must be set in the first response for streaming APIs.", "type": "array" } }, "id": "GoogleApiHttpBody" }, "GoogleCloudRetailV2alphaPredictResponsePredictionResult": { "type": "object", "description": "PredictionResult represents the recommendation prediction results.", "id": "GoogleCloudRetailV2alphaPredictResponsePredictionResult", "properties": { "id": { "type": "string", "description": "ID of the recommended product" }, "metadata": { "description": "Additional product metadata / annotations. Possible values: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `product`: JSON representation of the product. Is set if `returnProduct` is set to true in `PredictRequest.params`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `score`: Prediction score in double value. Is set if `returnScore` is set to true in `PredictRequest.params`.", "type": "object", "additionalProperties": { "type": "any" } } } }, "GoogleCloudRetailV2betaAddFulfillmentPlacesMetadata": { "description": "Metadata related to the progress of the AddFulfillmentPlaces operation. Currently empty because there is no meaningful metadata populated from the ProductService.AddFulfillmentPlaces method.", "id": "GoogleCloudRetailV2betaAddFulfillmentPlacesMetadata", "properties": {}, "type": "object" }, "GoogleCloudRetailLoggingErrorLog": { "properties": { "status": { "$ref": "GoogleRpcStatus", "description": "The RPC status associated with the error log." }, "serviceContext": { "description": "The service context in which this error has occurred.", "$ref": "GoogleCloudRetailLoggingServiceContext" }, "requestPayload": { "additionalProperties": { "description": "Properties of the object.", "type": "any" }, "description": "The API request payload, represented as a protocol buffer. Most API request types are supported. For example: \"type.googleapis.com/google.cloud.retail.v2.ProductService.CreateProductRequest\" \"type.googleapis.com/google.cloud.retail.v2.UserEventService.WriteUserEventRequest\"", "type": "object" }, "message": { "description": "A message describing the error.", "type": "string" }, "context": { "$ref": "GoogleCloudRetailLoggingErrorContext", "description": "A description of the context in which the error occurred." }, "responsePayload": { "type": "object", "additionalProperties": { "type": "any", "description": "Properties of the object." }, "description": "The API response payload, represented as a protocol buffer. This is used to log some \"soft errors\", where the response is valid but we consider there are some quality issues like unjoined events. The following API responses are supported and no PII is included: \"google.cloud.retail.v2.PredictionService.Predict\" \"google.cloud.retail.v2.UserEventService.WriteUserEvent\" \"google.cloud.retail.v2.UserEventService.CollectUserEvent\"" }, "importPayload": { "$ref": "GoogleCloudRetailLoggingImportErrorContext", "description": "The error payload that is populated on LRO import APIs." } }, "type": "object", "id": "GoogleCloudRetailLoggingErrorLog", "description": "An error log which is reported to the Error Reporting system. This proto a superset of google.devtools.clouderrorreporting.v1beta1.ReportedErrorEvent." }, "GoogleCloudRetailV2alphaRating": { "properties": { "ratingHistogram": { "type": "array", "items": { "format": "int32", "type": "integer" }, "description": "List of rating counts per rating value (index = rating - 1). The list is empty if there is no rating. If the list is non-empty, its size is always 5. Otherwise, an INVALID_ARGUMENT error is returned. For example, [41, 14, 13, 47, 303]. It means that the Product got 41 ratings with 1 star, 14 ratings with 2 star, and so on." }, "averageRating": { "description": "The average rating of the Product. The rating is scaled at 1-5. Otherwise, an INVALID_ARGUMENT error is returned.", "format": "float", "type": "number" }, "ratingCount": { "format": "int32", "type": "integer", "description": "The total number of ratings. This value is independent of the value of rating_histogram. This value must be nonnegative. Otherwise, an INVALID_ARGUMENT error is returned." } }, "description": "The rating of a Product.", "type": "object", "id": "GoogleCloudRetailV2alphaRating" }, "GoogleProtobufEmpty": { "id": "GoogleProtobufEmpty", "properties": {}, "type": "object", "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }" }, "GoogleCloudRetailV2alphaRuleReplacementAction": { "type": "object", "description": "Replaces a term in the query. Multiple replacement candidates can be specified. All `query_terms` will be replaced with the replacement term. Example: Replace \"gShoe\" with \"google shoe\".", "id": "GoogleCloudRetailV2alphaRuleReplacementAction", "properties": { "queryTerms": { "type": "array", "items": { "type": "string" }, "description": "Terms from the search query. Will be replaced by replacement term. Can specify up to 100 terms." }, "replacementTerm": { "type": "string", "description": "Term that will be used for replacement." }, "term": { "type": "string", "description": "Will be [deprecated = true] post migration;" } } }, "GoogleCloudRetailV2alphaCompletionDataInputConfig": { "properties": { "bigQuerySource": { "$ref": "GoogleCloudRetailV2alphaBigQuerySource", "description": "Required. BigQuery input source. Add the IAM permission \"BigQuery Data Viewer\" for cloud-retail-customer-data-access@system.gserviceaccount.com before using this feature otherwise an error is thrown." } }, "description": "The input config source for completion data.", "type": "object", "id": "GoogleCloudRetailV2alphaCompletionDataInputConfig" }, "GoogleCloudRetailV2alphaReplaceCatalogAttributeRequest": { "description": "Request for CatalogService.ReplaceCatalogAttribute method.", "id": "GoogleCloudRetailV2alphaReplaceCatalogAttributeRequest", "properties": { "updateMask": { "format": "google-fieldmask", "description": "Indicates which fields in the provided CatalogAttribute to update. The following are NOT supported: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh CatalogAttribute.key If not set, all supported fields are updated.", "type": "string" }, "catalogAttribute": { "$ref": "GoogleCloudRetailV2alphaCatalogAttribute", "description": "Required. The updated CatalogAttribute." } }, "type": "object" }, "GoogleCloudRetailV2alphaRuleTwowaySynonymsAction": { "type": "object", "description": "Creates a set of terms that will be treated as synonyms of each other. Example: synonyms of \"sneakers\" and \"shoes\". LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"sneakers\" will use a synonym of \"shoes\". LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"shoes\" will use a synonym of \"sneakers\".", "id": "GoogleCloudRetailV2alphaRuleTwowaySynonymsAction", "properties": { "synonyms": { "type": "array", "description": "Defines a set of synonyms. Can specify up to 100 synonyms. Must specify at least 2 synonyms.", "items": { "type": "string" } } } }, "GoogleCloudRetailLoggingServiceContext": { "description": "Describes a running service that sends errors.", "id": "GoogleCloudRetailLoggingServiceContext", "type": "object", "properties": { "service": { "type": "string", "description": "An identifier of the service. For example, \"retail.googleapis.com\"." } } }, "GoogleCloudRetailV2alphaAddFulfillmentPlacesRequest": { "type": "object", "properties": { "addTime": { "description": "The time when the fulfillment updates are issued, used to prevent out-of-order updates on fulfillment information. If not provided, the internal system time will be used.", "format": "google-datetime", "type": "string" }, "placeIds": { "items": { "type": "string" }, "type": "array", "description": "Required. The IDs for this type, such as the store IDs for \"pickup-in-store\" or the region IDs for \"same-day-delivery\" to be added for this type. Duplicate IDs will be automatically ignored. At least 1 value is required, and a maximum of 2000 values are allowed. Each value must be a string with a length limit of 10 characters, matching the pattern `[a-zA-Z0-9_-]+`, such as \"store1\" or \"REGION-2\". Otherwise, an INVALID_ARGUMENT error is returned. If the total number of place IDs exceeds 2000 for this type after adding, then the update will be rejected." }, "allowMissing": { "description": "If set to true, and the Product is not found, the fulfillment information will still be processed and retained for at most 1 day and processed once the Product is created. If set to false, a NOT_FOUND error is returned if the Product is not found.", "type": "boolean" }, "type": { "type": "string", "description": "Required. The fulfillment type, including commonly used types (such as pickup in store and same day delivery), and custom types. Supported values: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"pickup-in-store\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"ship-to-store\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"same-day-delivery\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"next-day-delivery\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"custom-type-1\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"custom-type-2\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"custom-type-3\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"custom-type-4\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"custom-type-5\" If this field is set to an invalid value other than these, an INVALID_ARGUMENT error is returned. This field directly corresponds to Product.fulfillment_info.type." } }, "description": "Request message for ProductService.AddFulfillmentPlaces method.", "id": "GoogleCloudRetailV2alphaAddFulfillmentPlacesRequest" }, "GoogleCloudRetailV2alphaAddLocalInventoriesRequest": { "id": "GoogleCloudRetailV2alphaAddLocalInventoriesRequest", "description": "Request message for ProductService.AddLocalInventories method.", "properties": { "addMask": { "format": "google-fieldmask", "description": "Indicates which inventory fields in the provided list of LocalInventory to update. The field is updated to the provided value. If a field is set while the place does not have a previous local inventory, the local inventory at that store is created. If a field is set while the value of that field is not provided, the original field value, if it exists, is deleted. If the mask is not set or set with empty paths, all inventory fields will be updated. If an unsupported or unknown field is provided, an INVALID_ARGUMENT error is returned and the entire update will be ignored.", "type": "string" }, "addTime": { "description": "The time when the inventory updates are issued. Used to prevent out-of-order updates on local inventory fields. If not provided, the internal system time will be used.", "type": "string", "format": "google-datetime" }, "allowMissing": { "description": "If set to true, and the Product is not found, the local inventory will still be processed and retained for at most 1 day and processed once the Product is created. If set to false, a NOT_FOUND error is returned if the Product is not found.", "type": "boolean" }, "localInventories": { "description": "Required. A list of inventory information at difference places. Each place is identified by its place ID. At most 3000 inventories are allowed per request.", "items": { "$ref": "GoogleCloudRetailV2alphaLocalInventory" }, "type": "array" } }, "type": "object" }, "GoogleTypeDate": { "description": "Represents a whole or partial calendar date, such as a birthday. The time of day and time zone are either specified elsewhere or are insignificant. The date is relative to the Gregorian Calendar. This can represent one of the following: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A full date, with non-zero year, month, and day values. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A month and day, with a zero year (for example, an anniversary). LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A year on its own, with a zero month and a zero day. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A year and month, with a zero day (for example, a credit card expiration date). Related types: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh google.type.TimeOfDay LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh google.type.DateTime LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh google.protobuf.Timestamp", "properties": { "day": { "format": "int32", "type": "integer", "description": "Day of a month. Must be from 1 to 31 and valid for the year and month, or 0 to specify a year by itself or a year and month where the day isn't significant." }, "year": { "description": "Year of the date. Must be from 1 to 9999, or 0 to specify a date without a year.", "type": "integer", "format": "int32" }, "month": { "description": "Month of a year. Must be from 1 to 12, or 0 to specify a year without a month and day.", "format": "int32", "type": "integer" } }, "type": "object", "id": "GoogleTypeDate" }, "GoogleCloudRetailV2alphaUserEventImportSummary": { "properties": { "unjoinedEventsCount": { "format": "int64", "description": "Count of user events imported, but with catalog information not found in the imported catalog.", "type": "string" }, "joinedEventsCount": { "type": "string", "description": "Count of user events imported with complete existing catalog information.", "format": "int64" } }, "id": "GoogleCloudRetailV2alphaUserEventImportSummary", "type": "object", "description": "A summary of import result. The UserEventImportSummary summarizes the import status for user events." }, "GoogleLongrunningListOperationsResponse": { "type": "object", "properties": { "nextPageToken": { "description": "The standard List next-page token.", "type": "string" }, "operations": { "items": { "$ref": "GoogleLongrunningOperation" }, "description": "A list of operations that matches the specified filter in the request.", "type": "array" } }, "id": "GoogleLongrunningListOperationsResponse", "description": "The response message for Operations.ListOperations." }, "GoogleCloudRetailV2alphaPurgeProductsResponse": { "type": "object", "properties": { "purgeCount": { "type": "string", "description": "The total count of products purged as a result of the operation.", "format": "int64" }, "purgeSample": { "items": { "type": "string" }, "description": "A sample of the product names that will be deleted. Only populated if `force` is set to false. A max of 100 names will be returned and the names are chosen at random.", "type": "array" } }, "description": "Response of the PurgeProductsRequest. If the long running operation is successfully done, then this message is returned by the google.longrunning.Operations.response field.", "id": "GoogleCloudRetailV2alphaPurgeProductsResponse" }, "GoogleCloudRetailV2alphaCompleteQueryResponse": { "properties": { "recentSearchResults": { "type": "array", "items": { "$ref": "GoogleCloudRetailV2alphaCompleteQueryResponseRecentSearchResult" }, "description": "Matched recent searches of this user. The maximum number of recent searches is 10. This field is a restricted feature. Contact Retail Search support team if you are interested in enabling it. This feature is only available when CompleteQueryRequest.visitor_id field is set and UserEvent is imported. The recent searches satisfy the follow rules: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh They are ordered from latest to oldest. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh They are matched with CompleteQueryRequest.query case insensitively. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh They are transformed to lower cases. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh They are UTF-8 safe. Recent searches are deduplicated. More recent searches will be reserved when duplication happens." }, "completionResults": { "items": { "$ref": "GoogleCloudRetailV2alphaCompleteQueryResponseCompletionResult" }, "description": "Results of the matching suggestions. The result list is ordered and the first result is top suggestion.", "type": "array" }, "attributionToken": { "description": "A unique complete token. This should be included in the UserEvent.completion_detail for search events resulting from this completion, which enables accurate attribution of complete model performance.", "type": "string" } }, "type": "object", "id": "GoogleCloudRetailV2alphaCompleteQueryResponse", "description": "Response of the auto-complete query." }, "GoogleCloudRetailV2alphaProductLevelConfig": { "type": "object", "properties": { "ingestionProductType": { "type": "string", "description": "The type of Products allowed to be ingested into the catalog. Acceptable values are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `primary` (default): You can ingest Products of all types. When ingesting a Product, its type will default to Product.Type.PRIMARY if unset. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `variant` (incompatible with Retail Search): You can only ingest Product.Type.VARIANT Products. This means Product.primary_product_id cannot be empty. If this field is set to an invalid value other than these, an INVALID_ARGUMENT error is returned. If this field is `variant` and merchant_center_product_id_field is `itemGroupId`, an INVALID_ARGUMENT error is returned. See [Product levels](https://cloud.google.com/retail/docs/catalog#product-levels) for more details." }, "merchantCenterProductIdField": { "type": "string", "description": "Which field of [Merchant Center Product](/bigquery-transfer/docs/merchant-center-products-schema) should be imported as Product.id. Acceptable values are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `offerId` (default): Import `offerId` as the product ID. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `itemGroupId`: Import `itemGroupId` as the product ID. Notice that Retail API will choose one item from the ones with the same `itemGroupId`, and use it to represent the item group. If this field is set to an invalid value other than these, an INVALID_ARGUMENT error is returned. If this field is `itemGroupId` and ingestion_product_type is `variant`, an INVALID_ARGUMENT error is returned. See [Product levels](https://cloud.google.com/retail/docs/catalog#product-levels) for more details." } }, "description": "Configures what level the product should be uploaded with regards to how users will be send events and how predictions will be made.", "id": "GoogleCloudRetailV2alphaProductLevelConfig" }, "GoogleCloudRetailV2alphaSetInventoryResponse": { "description": "Response of the SetInventoryRequest. Currently empty because there is no meaningful response populated from the ProductService.SetInventory method.", "type": "object", "properties": {}, "id": "GoogleCloudRetailV2alphaSetInventoryResponse" }, "GoogleCloudRetailV2RemoveLocalInventoriesResponse": { "id": "GoogleCloudRetailV2RemoveLocalInventoriesResponse", "description": "Response of the ProductService.RemoveLocalInventories API. Currently empty because there is no meaningful response populated from the ProductService.RemoveLocalInventories method.", "properties": {}, "type": "object" }, "GoogleCloudRetailV2alphaControl": { "properties": { "displayName": { "description": "Required. The human readable control display name. Used in Retail UI. This field must be a UTF-8 encoded string with a length limit of 128 characters. Otherwise, an INVALID_ARGUMENT error is thrown.", "type": "string" }, "associatedServingConfigIds": { "type": "array", "readOnly": true, "description": "Output only. List of serving configuration ids that that are associated with this control. Note the association is managed via the ServingConfig, this is an output only denormalizeed view. Assumed to be in the same catalog.", "items": { "type": "string" } }, "name": { "description": "Immutable. Fully qualified name `projects/*/locations/global/catalogs/*/controls/*`", "type": "string" }, "facetSpec": { "$ref": "GoogleCloudRetailV2alphaSearchRequestFacetSpec", "description": "A facet specification to perform faceted search." }, "solutionTypes": { "description": "Required. Immutable. The solution types that the serving config is used for. Currently we support setting only one type of solution at creation time. Only `SOLUTION_TYPE_SEARCH` value is supported at the moment. If no solution type is provided at creation time, will default to SOLUTION_TYPE_SEARCH.", "items": { "type": "string", "enumDescriptions": [ "Default value.", "Used for Recommendations AI.", "Used for Retail Search." ], "enum": [ "SOLUTION_TYPE_UNSPECIFIED", "SOLUTION_TYPE_RECOMMENDATION", "SOLUTION_TYPE_SEARCH" ] }, "type": "array" }, "rule": { "$ref": "GoogleCloudRetailV2alphaRule", "description": "A rule control - a condition-action pair. Enacts a set action when the condition is triggered. For example: Boost \"gShoe\" when query full matches \"Running Shoes\"." } }, "id": "GoogleCloudRetailV2alphaControl", "description": "Configures dynamic serving time metadata that is used to pre and post process search/recommendation model results.", "type": "object" }, "GoogleCloudRetailV2alphaAudience": { "properties": { "genders": { "description": "The genders of the audience. Strongly encouraged to use the standard values: \"male\", \"female\", \"unisex\". At most 5 values are allowed. Each value must be a UTF-8 encoded string with a length limit of 128 characters. Otherwise, an INVALID_ARGUMENT error is returned. Google Merchant Center property [gender](https://support.google.com/merchants/answer/6324479). Schema.org property [Product.audience.suggestedGender](https://schema.org/suggestedGender).", "type": "array", "items": { "type": "string" } }, "ageGroups": { "items": { "type": "string" }, "type": "array", "description": "The age groups of the audience. Strongly encouraged to use the standard values: \"newborn\" (up to 3 months old), \"infant\" (3–12 months old), \"toddler\" (1–5 years old), \"kids\" (5–13 years old), \"adult\" (typically teens or older). At most 5 values are allowed. Each value must be a UTF-8 encoded string with a length limit of 128 characters. Otherwise, an INVALID_ARGUMENT error is returned. Google Merchant Center property [age_group](https://support.google.com/merchants/answer/6324463). Schema.org property [Product.audience.suggestedMinAge](https://schema.org/suggestedMinAge) and [Product.audience.suggestedMaxAge](https://schema.org/suggestedMaxAge)." } }, "type": "object", "id": "GoogleCloudRetailV2alphaAudience", "description": "An intended audience of the Product for whom it's sold." }, "GoogleCloudRetailV2alphaRemoveLocalInventoriesMetadata": { "type": "object", "id": "GoogleCloudRetailV2alphaRemoveLocalInventoriesMetadata", "properties": {}, "description": "Metadata related to the progress of the RemoveLocalInventories operation. Currently empty because there is no meaningful metadata populated from the ProductService.RemoveLocalInventories method." }, "GoogleCloudRetailV2AddLocalInventoriesResponse": { "description": "Response of the ProductService.AddLocalInventories API. Currently empty because there is no meaningful response populated from the ProductService.AddLocalInventories method.", "properties": {}, "id": "GoogleCloudRetailV2AddLocalInventoriesResponse", "type": "object" }, "GoogleCloudRetailV2ImportCompletionDataResponse": { "description": "Response of the ImportCompletionDataRequest. If the long running operation is done, this message is returned by the google.longrunning.Operations.response field if the operation is successful.", "id": "GoogleCloudRetailV2ImportCompletionDataResponse", "type": "object", "properties": { "errorSamples": { "description": "A sample of errors encountered while processing the request.", "type": "array", "items": { "$ref": "GoogleRpcStatus" } } } }, "GoogleCloudRetailV2alphaRemoveControlRequest": { "id": "GoogleCloudRetailV2alphaRemoveControlRequest", "properties": { "controlId": { "description": "Required. The id of the control to apply. Assumed to be in the same catalog as the serving config.", "type": "string" } }, "type": "object", "description": "Request for RemoveControl method." }, "GoogleCloudRetailV2betaExportMetadata": { "properties": { "createTime": { "description": "Operation create time.", "format": "google-datetime", "type": "string" }, "updateTime": { "type": "string", "description": "Operation last update time. If the operation is done, this is also the finish time.", "format": "google-datetime" } }, "description": "Metadata related to the progress of the Export operation. This will be returned by the google.longrunning.Operation.metadata field.", "type": "object", "id": "GoogleCloudRetailV2betaExportMetadata" }, "GoogleCloudRetailV2alphaImportCompletionDataResponse": { "description": "Response of the ImportCompletionDataRequest. If the long running operation is done, this message is returned by the google.longrunning.Operations.response field if the operation is successful.", "type": "object", "id": "GoogleCloudRetailV2alphaImportCompletionDataResponse", "properties": { "errorSamples": { "type": "array", "items": { "$ref": "GoogleRpcStatus" }, "description": "A sample of errors encountered while processing the request." } } }, "GoogleCloudRetailV2alphaSetInventoryMetadata": { "properties": {}, "description": "Metadata related to the progress of the SetInventory operation. Currently empty because there is no meaningful metadata populated from the ProductService.SetInventory method.", "id": "GoogleCloudRetailV2alphaSetInventoryMetadata", "type": "object" }, "GoogleCloudRetailV2betaAddLocalInventoriesMetadata": { "properties": {}, "type": "object", "id": "GoogleCloudRetailV2betaAddLocalInventoriesMetadata", "description": "Metadata related to the progress of the AddLocalInventories operation. Currently empty because there is no meaningful metadata populated from the ProductService.AddLocalInventories method." }, "GoogleCloudRetailV2alphaImage": { "description": "Product image. Recommendations AI and Retail Search do not use product images to improve prediction and search results. However, product images can be returned in results, and are shown in prediction or search previews in the console.", "id": "GoogleCloudRetailV2alphaImage", "type": "object", "properties": { "uri": { "type": "string", "description": "Required. URI of the image. This field must be a valid UTF-8 encoded URI with a length limit of 5,000 characters. Otherwise, an INVALID_ARGUMENT error is returned. Google Merchant Center property [image_link](https://support.google.com/merchants/answer/6324350). Schema.org property [Product.image](https://schema.org/image)." }, "height": { "type": "integer", "format": "int32", "description": "Height of the image in number of pixels. This field must be nonnegative. Otherwise, an INVALID_ARGUMENT error is returned." }, "width": { "description": "Width of the image in number of pixels. This field must be nonnegative. Otherwise, an INVALID_ARGUMENT error is returned.", "type": "integer", "format": "int32" } } }, "GoogleCloudRetailV2alphaSearchResponseFacet": { "description": "A facet result.", "type": "object", "properties": { "dynamicFacet": { "description": "Whether the facet is dynamically generated.", "type": "boolean" }, "key": { "description": "The key for this facet. E.g., \"colorFamilies\" or \"price\" or \"attributes.attr1\".", "type": "string" }, "values": { "type": "array", "description": "The facet values for this field.", "items": { "$ref": "GoogleCloudRetailV2alphaSearchResponseFacetFacetValue" } } }, "id": "GoogleCloudRetailV2alphaSearchResponseFacet" }, "GoogleCloudRetailV2betaAddFulfillmentPlacesResponse": { "description": "Response of the AddFulfillmentPlacesRequest. Currently empty because there is no meaningful response populated from the ProductService.AddFulfillmentPlaces method.", "type": "object", "id": "GoogleCloudRetailV2betaAddFulfillmentPlacesResponse", "properties": {} }, "GoogleCloudRetailV2alphaConditionTimeRange": { "description": "Used for time-dependent conditions. Example: Want to have rule applied for week long sale.", "id": "GoogleCloudRetailV2alphaConditionTimeRange", "properties": { "endTime": { "description": "End of time range. Range is inclusive.", "type": "string", "format": "google-datetime" }, "startTime": { "description": "Start of time range. Range is inclusive.", "type": "string", "format": "google-datetime" } }, "type": "object" }, "GoogleCloudRetailV2alphaPriceInfo": { "id": "GoogleCloudRetailV2alphaPriceInfo", "properties": { "currencyCode": { "type": "string", "description": "The 3-letter currency code defined in [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html). If this field is an unrecognizable currency code, an INVALID_ARGUMENT error is returned. The Product.Type.VARIANT Products with the same Product.primary_product_id must share the same currency_code. Otherwise, a FAILED_PRECONDITION error is returned." }, "priceRange": { "readOnly": true, "$ref": "GoogleCloudRetailV2alphaPriceInfoPriceRange", "description": "Output only. The price range of all the child Product.Type.VARIANT Products grouped together on the Product.Type.PRIMARY Product. Only populated for Product.Type.PRIMARY Products. Note: This field is OUTPUT_ONLY for ProductService.GetProduct. Do not set this field in API requests." }, "priceEffectiveTime": { "format": "google-datetime", "type": "string", "description": "The timestamp when the price starts to be effective. This can be set as a future timestamp, and the price is only used for search after price_effective_time. If so, the original_price must be set and original_price is used before price_effective_time. Do not set if price is always effective because it will cause additional latency during search." }, "cost": { "description": "The costs associated with the sale of a particular product. Used for gross profit reporting. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Profit = price - cost Google Merchant Center property [cost_of_goods_sold](https://support.google.com/merchants/answer/9017895).", "type": "number", "format": "float" }, "priceExpireTime": { "type": "string", "description": "The timestamp when the price stops to be effective. The price is used for search before price_expire_time. If this field is set, the original_price must be set and original_price is used after price_expire_time. Do not set if price is always effective because it will cause additional latency during search.", "format": "google-datetime" }, "price": { "format": "float", "description": "Price of the product. Google Merchant Center property [price](https://support.google.com/merchants/answer/6324371). Schema.org property [Offer.price](https://schema.org/price).", "type": "number" }, "originalPrice": { "type": "number", "description": "Price of the product without any discount. If zero, by default set to be the price. If set, original_price should be greater than or equal to price, otherwise an INVALID_ARGUMENT error is thrown.", "format": "float" } }, "type": "object", "description": "The price information of a Product." }, "GoogleCloudRetailV2alphaUserInfo": { "properties": { "userId": { "description": "Highly recommended for logged-in users. Unique identifier for logged-in user, such as a user name. Don't set for anonymous users. Always use a hashed value for this ID. Don't set the field to the same fixed ID for different users. This mixes the event history of those users together, which results in degraded model quality. The field must be a UTF-8 encoded string with a length limit of 128 characters. Otherwise, an INVALID_ARGUMENT error is returned.", "type": "string" }, "ipAddress": { "type": "string", "description": "The end user's IP address. This field is used to extract location information for personalization. This field must be either an IPv4 address (e.g. \"104.133.9.80\") or an IPv6 address (e.g. \"2001:0db8:85a3:0000:0000:8a2e:0370:7334\"). Otherwise, an INVALID_ARGUMENT error is returned. This should not be set when: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh setting SearchRequest.user_info. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh using the JavaScript tag in UserEventService.CollectUserEvent or if direct_user_request is set." }, "userAgent": { "description": "User agent as included in the HTTP header. Required for getting SearchResponse.sponsored_results. The field must be a UTF-8 encoded string with a length limit of 1,000 characters. Otherwise, an INVALID_ARGUMENT error is returned. This should not be set when using the client side event reporting with GTM or JavaScript tag in UserEventService.CollectUserEvent or if direct_user_request is set.", "type": "string" }, "directUserRequest": { "description": "True if the request is made directly from the end user, in which case the ip_address and user_agent can be populated from the HTTP request. This flag should be set only if the API request is made directly from the end user such as a mobile app (and not if a gateway or a server is processing and pushing the user events). This should not be set when using the JavaScript tag in UserEventService.CollectUserEvent.", "type": "boolean" } }, "type": "object", "id": "GoogleCloudRetailV2alphaUserInfo", "description": "Information of an end user." }, "GoogleCloudRetailV2alphaRuleIgnoreAction": { "id": "GoogleCloudRetailV2alphaRuleIgnoreAction", "type": "object", "description": "Prevents a term in the query from being used in search. Example: Don't search for \"shoddy\".", "properties": { "ignoreTerms": { "description": "Terms to ignore in the search query.", "type": "array", "items": { "type": "string" } } } }, "GoogleCloudRetailV2alphaCompleteQueryResponseRecentSearchResult": { "type": "object", "description": "Recent search of this user.", "id": "GoogleCloudRetailV2alphaCompleteQueryResponseRecentSearchResult", "properties": { "recentSearch": { "type": "string", "description": "The recent search query." } } }, "GoogleCloudRetailV2betaRejoinUserEventsResponse": { "type": "object", "id": "GoogleCloudRetailV2betaRejoinUserEventsResponse", "properties": { "rejoinedUserEventsCount": { "format": "int64", "description": "Number of user events that were joined with latest product catalog.", "type": "string" } }, "description": "Response message for RejoinUserEvents method." }, "GoogleCloudRetailV2alphaCatalog": { "id": "GoogleCloudRetailV2alphaCatalog", "properties": { "name": { "type": "string", "description": "Required. Immutable. The fully qualified resource name of the catalog." }, "productLevelConfig": { "description": "Required. The product level configuration.", "$ref": "GoogleCloudRetailV2alphaProductLevelConfig" }, "displayName": { "type": "string", "description": "Required. Immutable. The catalog display name. This field must be a UTF-8 encoded string with a length limit of 128 characters. Otherwise, an INVALID_ARGUMENT error is returned." }, "merchantCenterLinkingConfig": { "description": "The Merchant Center linking configuration. Once a link is added, the data stream from Merchant Center to Cloud Retail will be enabled automatically. The requester must have access to the merchant center account in order to make changes to this field.", "$ref": "GoogleCloudRetailV2alphaMerchantCenterLinkingConfig" } }, "description": "The catalog configuration.", "type": "object" }, "GoogleCloudRetailV2alphaPurchaseTransaction": { "id": "GoogleCloudRetailV2alphaPurchaseTransaction", "properties": { "cost": { "description": "All the costs associated with the products. These can be manufacturing costs, shipping expenses not borne by the end user, or any other costs, such that: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Profit = revenue - tax - cost", "type": "number", "format": "float" }, "revenue": { "description": "Required. Total non-zero revenue or grand total associated with the transaction. This value include shipping, tax, or other adjustments to total revenue that you want to include as part of your revenue calculations.", "type": "number", "format": "float" }, "currencyCode": { "type": "string", "description": "Required. Currency code. Use three-character ISO-4217 code." }, "tax": { "format": "float", "type": "number", "description": "All the taxes associated with the transaction." }, "id": { "description": "The transaction ID with a length limit of 128 characters.", "type": "string" } }, "description": "A transaction represents the entire purchase transaction.", "type": "object" }, "GoogleCloudRetailV2betaExportProductsResponse": { "properties": { "errorsConfig": { "$ref": "GoogleCloudRetailV2betaExportErrorsConfig", "description": "This field is never set." }, "errorSamples": { "items": { "$ref": "GoogleRpcStatus" }, "description": "A sample of errors encountered while processing the request.", "type": "array" } }, "description": "Response of the ExportProductsRequest. If the long running operation is done, then this message is returned by the google.longrunning.Operations.response field if the operation was successful.", "id": "GoogleCloudRetailV2betaExportProductsResponse", "type": "object" }, "GoogleCloudRetailV2alphaLocalInventory": { "properties": { "attributes": { "type": "object", "description": "Additional local inventory attributes, for example, store name, promotion tags, etc. This field needs to pass all below criteria, otherwise an INVALID_ARGUMENT error is returned: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh At most 30 attributes are allowed. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The key must be a UTF-8 encoded string with a length limit of 32 characters. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The key must match the pattern: `a-zA-Z0-9*`. For example, key0LikeThis or KEY_1_LIKE_THIS. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The attribute values must be of the same type (text or number). LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Only 1 value is allowed for each attribute. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh For text values, the length limit is 256 UTF-8 characters. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The attribute does not support search. The `searchable` field should be unset or set to false. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The max summed total bytes of custom attribute keys and values per product is 5MiB.", "additionalProperties": { "$ref": "GoogleCloudRetailV2alphaCustomAttribute" } }, "placeId": { "description": "The place ID for the current set of inventory information.", "type": "string" }, "fulfillmentTypes": { "description": "Input only. Supported fulfillment types. Valid fulfillment type values include commonly used types (such as pickup in store and same day delivery), and custom types. Customers have to map custom types to their display names before rendering UI. Supported values: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"pickup-in-store\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"ship-to-store\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"same-day-delivery\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"next-day-delivery\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"custom-type-1\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"custom-type-2\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"custom-type-3\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"custom-type-4\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"custom-type-5\" If this field is set to an invalid value other than these, an INVALID_ARGUMENT error is returned. All the elements must be distinct. Otherwise, an INVALID_ARGUMENT error is returned.", "items": { "type": "string" }, "type": "array" }, "priceInfo": { "description": "Product price and cost information. Google Merchant Center property [price](https://support.google.com/merchants/answer/6324371).", "$ref": "GoogleCloudRetailV2alphaPriceInfo" } }, "type": "object", "id": "GoogleCloudRetailV2alphaLocalInventory", "description": "The inventory information at a place (e.g. a store) identified by a place ID." }, "GoogleCloudRetailV2alphaSearchResponseFacetFacetValue": { "properties": { "count": { "description": "Number of items that have this facet value.", "format": "int64", "type": "string" }, "interval": { "description": "Interval value for a facet, such as [10, 20) for facet \"price\".", "$ref": "GoogleCloudRetailV2alphaInterval" }, "value": { "description": "Text value of a facet, such as \"Black\" for facet \"colorFamilies\".", "type": "string" } }, "description": "A facet value which contains value names and their count.", "id": "GoogleCloudRetailV2alphaSearchResponseFacetFacetValue", "type": "object" }, "GoogleCloudRetailV2alphaBigQuerySource": { "id": "GoogleCloudRetailV2alphaBigQuerySource", "properties": { "dataSchema": { "type": "string", "description": "The schema to use when parsing the data from the source. Supported values for product imports: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `product` (default): One JSON Product per line. Each product must have a valid Product.id. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `product_merchant_center`: See [Importing catalog data from Merchant Center](https://cloud.google.com/retail/recommendations-ai/docs/upload-catalog#mc). Supported values for user events imports: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `user_event` (default): One JSON UserEvent per line. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `user_event_ga360`: The schema is available here: https://support.google.com/analytics/answer/3437719. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `user_event_ga4`: This feature is in private preview. Please contact the support team for importing Google Analytics 4 events. The schema is available here: https://support.google.com/analytics/answer/7029846. Supported values for auto-completion imports: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `suggestions` (default): One JSON completion suggestion per line. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `denylist`: One JSON deny suggestion per line. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `allowlist`: One JSON allow suggestion per line." }, "partitionDate": { "$ref": "GoogleTypeDate", "description": "BigQuery time partitioned table's _PARTITIONDATE in YYYY-MM-DD format. Only supported when ImportProductsRequest.reconciliation_mode is set to `FULL`." }, "gcsStagingDir": { "description": "Intermediate Cloud Storage directory used for the import with a length limit of 2,000 characters. Can be specified if one wants to have the BigQuery export to a specific Cloud Storage directory.", "type": "string" }, "projectId": { "description": "The project ID (can be project # or ID) that the BigQuery source is in with a length limit of 128 characters. If not specified, inherits the project ID from the parent request.", "type": "string" }, "datasetId": { "type": "string", "description": "Required. The BigQuery data set to copy the data from with a length limit of 1,024 characters." }, "tableId": { "description": "Required. The BigQuery table to copy the data from with a length limit of 1,024 characters.", "type": "string" } }, "description": "BigQuery source import data from.", "type": "object" }, "GoogleCloudRetailV2alphaListCatalogsResponse": { "id": "GoogleCloudRetailV2alphaListCatalogsResponse", "description": "Response for CatalogService.ListCatalogs method.", "type": "object", "properties": { "catalogs": { "description": "All the customer's Catalogs.", "items": { "$ref": "GoogleCloudRetailV2alphaCatalog" }, "type": "array" }, "nextPageToken": { "description": "A token that can be sent as ListCatalogsRequest.page_token to retrieve the next page. If this field is omitted, there are no subsequent pages.", "type": "string" } } }, "GoogleCloudRetailV2alphaRemoveFulfillmentPlacesRequest": { "id": "GoogleCloudRetailV2alphaRemoveFulfillmentPlacesRequest", "type": "object", "properties": { "removeTime": { "description": "The time when the fulfillment updates are issued, used to prevent out-of-order updates on fulfillment information. If not provided, the internal system time will be used.", "format": "google-datetime", "type": "string" }, "type": { "description": "Required. The fulfillment type, including commonly used types (such as pickup in store and same day delivery), and custom types. Supported values: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"pickup-in-store\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"ship-to-store\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"same-day-delivery\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"next-day-delivery\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"custom-type-1\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"custom-type-2\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"custom-type-3\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"custom-type-4\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"custom-type-5\" If this field is set to an invalid value other than these, an INVALID_ARGUMENT error is returned. This field directly corresponds to Product.fulfillment_info.type.", "type": "string" }, "placeIds": { "type": "array", "description": "Required. The IDs for this type, such as the store IDs for \"pickup-in-store\" or the region IDs for \"same-day-delivery\", to be removed for this type. At least 1 value is required, and a maximum of 2000 values are allowed. Each value must be a string with a length limit of 10 characters, matching the pattern `[a-zA-Z0-9_-]+`, such as \"store1\" or \"REGION-2\". Otherwise, an INVALID_ARGUMENT error is returned.", "items": { "type": "string" } }, "allowMissing": { "description": "If set to true, and the Product is not found, the fulfillment information will still be processed and retained for at most 1 day and processed once the Product is created. If set to false, a NOT_FOUND error is returned if the Product is not found.", "type": "boolean" } }, "description": "Request message for ProductService.RemoveFulfillmentPlaces method." }, "GoogleCloudRetailV2alphaMerchantCenterLinkingConfig": { "properties": { "links": { "items": { "$ref": "GoogleCloudRetailV2alphaMerchantCenterLink" }, "description": "Links between Merchant Center accounts and branches.", "type": "array" } }, "id": "GoogleCloudRetailV2alphaMerchantCenterLinkingConfig", "description": "Configures Merchant Center linking. Links contained in the config will be used to sync data from a Merchant Center account to a Cloud Retail branch.", "type": "object" }, "GoogleCloudRetailV2alphaUserEvent": { "description": "UserEvent captures all metadata information Retail API needs to know about how end users interact with customers' website.", "id": "GoogleCloudRetailV2alphaUserEvent", "type": "object", "properties": { "sessionId": { "type": "string", "description": "A unique identifier for tracking a visitor session with a length limit of 128 bytes. A session is an aggregation of an end user behavior in a time span. A general guideline to populate the sesion_id: 1. If user has no activity for 30 min, a new session_id should be assigned. 2. The session_id should be unique across users, suggest use uuid or add visitor_id as prefix." }, "pageCategories": { "description": "The categories associated with a category page. To represent full path of category, use '\u003e' sign to separate different hierarchies. If '\u003e' is part of the category name, please replace it with other character(s). Category pages include special pages such as sales or promotions. For instance, a special sale page may have the category hierarchy: \"pageCategories\" : [\"Sales \u003e 2017 Black Friday Deals\"]. Required for `category-page-view` events. At least one of search_query or page_categories is required for `search` events. Other event types should not set this field. Otherwise, an INVALID_ARGUMENT error is returned.", "type": "array", "items": { "type": "string" } }, "filter": { "description": "The filter syntax consists of an expression language for constructing a predicate from one or more fields of the products being filtered. See SearchRequest.filter for definition and syntax. The value must be a UTF-8 encoded string with a length limit of 1,000 characters. Otherwise, an INVALID_ARGUMENT error is returned.", "type": "string" }, "offset": { "description": "An integer that specifies the current offset for pagination (the 0-indexed starting location, amongst the products deemed by the API as relevant). See SearchRequest.offset for definition. If this field is negative, an INVALID_ARGUMENT is returned. This can only be set for `search` events. Other event types should not set this field. Otherwise, an INVALID_ARGUMENT error is returned.", "format": "int32", "type": "integer" }, "orderBy": { "description": "The order in which products are returned. See SearchRequest.order_by for definition and syntax. The value must be a UTF-8 encoded string with a length limit of 1,000 characters. Otherwise, an INVALID_ARGUMENT error is returned. This can only be set for `search` events. Other event types should not set this field. Otherwise, an INVALID_ARGUMENT error is returned.", "type": "string" }, "completionDetail": { "$ref": "GoogleCloudRetailV2alphaCompletionDetail", "description": "The main auto-completion details related to the event. This field should be set for `search` event when autocomplete function is enabled and the user clicks a suggestion for search." }, "attributionToken": { "description": "Highly recommended for user events that are the result of PredictionService.Predict. This field enables accurate attribution of recommendation model performance. The value must be a valid PredictResponse.attribution_token for user events that are the result of PredictionService.Predict. The value must be a valid SearchResponse.attribution_token for user events that are the result of SearchService.Search. This token enables us to accurately attribute page view or purchase back to the event and the particular predict response containing this clicked/purchased product. If user clicks on product K in the recommendation results, pass PredictResponse.attribution_token as a URL parameter to product K's page. When recording events on product K's page, log the PredictResponse.attribution_token to this field.", "type": "string" }, "visitorId": { "type": "string", "description": "Required. A unique identifier for tracking visitors. For example, this could be implemented with an HTTP cookie, which should be able to uniquely identify a visitor on a single device. This unique identifier should not change if the visitor log in/out of the website. Don't set the field to the same fixed ID for different users. This mixes the event history of those users together, which results in degraded model quality. The field must be a UTF-8 encoded string with a length limit of 128 characters. Otherwise, an INVALID_ARGUMENT error is returned. The field should not contain PII or user-data. We recommend to use Google Analytics [Client ID](https://developers.google.com/analytics/devguides/collection/analyticsjs/field-reference#clientId) for this field." }, "experimentIds": { "type": "array", "items": { "type": "string" }, "description": "A list of identifiers for the independent experiment groups this user event belongs to. This is used to distinguish between user events associated with different experiment setups (e.g. using Retail API, using different recommendation models)." }, "userInfo": { "description": "User information.", "$ref": "GoogleCloudRetailV2alphaUserInfo" }, "pageViewId": { "description": "A unique ID of a web page view. This should be kept the same for all user events triggered from the same pageview. For example, an item detail page view could trigger multiple events as the user is browsing the page. The `pageViewId` property should be kept the same for all these events so that they can be grouped together properly. When using the client side event reporting with JavaScript pixel and Google Tag Manager, this value is filled in automatically.", "type": "string" }, "cartId": { "type": "string", "description": "The ID or name of the associated shopping cart. This ID is used to associate multiple items added or present in the cart before purchase. This can only be set for `add-to-cart`, `purchase-complete`, or `shopping-cart-page-view` events." }, "eventTime": { "description": "Only required for UserEventService.ImportUserEvents method. Timestamp of when the user event happened.", "format": "google-datetime", "type": "string" }, "referrerUri": { "description": "The referrer URL of the current page. When using the client side event reporting with JavaScript pixel and Google Tag Manager, this value is filled in automatically.", "type": "string" }, "uri": { "type": "string", "description": "Complete URL (window.location.href) of the user's current page. When using the client side event reporting with JavaScript pixel and Google Tag Manager, this value is filled in automatically. Maximum length 5,000 characters." }, "productDetails": { "items": { "$ref": "GoogleCloudRetailV2alphaProductDetail" }, "description": "The main product details related to the event. This field is optional except for the following event types: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `add-to-cart` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `detail-page-view` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `purchase-complete` In a `search` event, this field represents the products returned to the end user on the current page (the end user may have not finished browsing the whole page yet). When a new page is returned to the end user, after pagination/filtering/ordering even for the same query, a new `search` event with different product_details is desired. The end user may have not finished browsing the whole page yet.", "type": "array" }, "purchaseTransaction": { "$ref": "GoogleCloudRetailV2alphaPurchaseTransaction", "description": "A transaction represents the entire purchase transaction. Required for `purchase-complete` events. Other event types should not set this field. Otherwise, an INVALID_ARGUMENT error is returned." }, "attributes": { "description": "Extra user event features to include in the recommendation model. If you provide custom attributes for ingested user events, also include them in the user events that you associate with prediction requests. Custom attribute formatting must be consistent between imported events and events provided with prediction requests. This lets the Retail API use those custom attributes when training models and serving predictions, which helps improve recommendation quality. This field needs to pass all below criteria, otherwise an INVALID_ARGUMENT error is returned: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The key must be a UTF-8 encoded string with a length limit of 5,000 characters. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh For text attributes, at most 400 values are allowed. Empty values are not allowed. Each value must be a UTF-8 encoded string with a length limit of 256 characters. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh For number attributes, at most 400 values are allowed. For product recommendations, an example of extra user information is traffic_channel, which is how a user arrives at the site. Users can arrive at the site by coming to the site directly, coming through Google search, or in other ways.", "type": "object", "additionalProperties": { "$ref": "GoogleCloudRetailV2alphaCustomAttribute" } }, "searchQuery": { "type": "string", "description": "The user's search query. See SearchRequest.query for definition. The value must be a UTF-8 encoded string with a length limit of 5,000 characters. Otherwise, an INVALID_ARGUMENT error is returned. At least one of search_query or page_categories is required for `search` events. Other event types should not set this field. Otherwise, an INVALID_ARGUMENT error is returned." }, "eventType": { "description": "Required. User event type. Allowed values are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `add-to-cart`: Products being added to cart. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `category-page-view`: Special pages such as sale or promotion pages viewed. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `detail-page-view`: Products detail page viewed. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `home-page-view`: Homepage viewed. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `promotion-offered`: Promotion is offered to a user. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `promotion-not-offered`: Promotion is not offered to a user. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `purchase-complete`: User finishing a purchase. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `search`: Product search. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `shopping-cart-page-view`: User viewing a shopping cart.", "type": "string" } } }, "GoogleCloudRetailV2betaRejoinUserEventsMetadata": { "properties": {}, "description": "Metadata for RejoinUserEvents method.", "id": "GoogleCloudRetailV2betaRejoinUserEventsMetadata", "type": "object" }, "GoogleCloudRetailV2alphaCatalogAttribute": { "id": "GoogleCloudRetailV2alphaCatalogAttribute", "type": "object", "description": "Catalog level attribute config for an attribute. For example, if customers want to enable/disable facet for a specific attribute.", "properties": { "inUse": { "description": "Output only. Indicates whether this attribute has been used by any products. `True` if at least one Product is using this attribute in Product.attributes. Otherwise, this field is `False`. CatalogAttribute can be pre-loaded by using CatalogService.AddCatalogAttribute, CatalogService.ImportCatalogAttributes, or CatalogService.UpdateAttributesConfig APIs. This field is `False` for pre-loaded CatalogAttributes. Only pre-loaded CatalogAttributes that are neither in use by products nor predefined can be deleted. CatalogAttributes that are either in use by products or are predefined cannot be deleted; however, their configuration properties will reset to default values upon removal request. After catalog changes, it takes about 10 minutes for this field to update.", "readOnly": true, "type": "boolean" }, "dynamicFacetableOption": { "type": "string", "enum": [ "DYNAMIC_FACETABLE_OPTION_UNSPECIFIED", "DYNAMIC_FACETABLE_ENABLED", "DYNAMIC_FACETABLE_DISABLED" ], "enumDescriptions": [ "Value used when unset. Defaults to DYNAMIC_FACETABLE_ENABLED.", "Dynamic facetable option enabled for an attribute.", "Dynamic facetable option disabled for an attribute." ], "description": "If DYNAMIC_FACETABLE_ENABLED, attribute values are available for dynamic facet. Could only be DYNAMIC_FACETABLE_DISABLED if CatalogAttribute.indexable_option is INDEXABLE_DISABLED. Otherwise, an INVALID_ARGUMENT error is returned." }, "key": { "description": "Required. Attribute name. For example: `color`, `brands`, `attributes.custom_attribute`, such as `attributes.xyz`. To be indexable, the attribute name can contain only alpha-numeric characters and underscores. For example, an attribute named `attributes.abc_xyz` can be indexed, but an attribute named `attributes.abc-xyz` cannot be indexed.", "type": "string" }, "searchableOption": { "enum": [ "SEARCHABLE_OPTION_UNSPECIFIED", "SEARCHABLE_ENABLED", "SEARCHABLE_DISABLED" ], "description": "When AttributesConfig.attribute_config_level is CATALOG_LEVEL_ATTRIBUTE_CONFIG, if SEARCHABLE_ENABLED, attribute values are searchable by text queries in SearchService.Search. If SEARCHABLE_ENABLED but attribute type is numerical, attribute values will not be searchable by text queries in SearchService.Search, as there are no text values associated to numerical attributes.", "enumDescriptions": [ "Value used when unset. Defaults to SEARCHABLE_DISABLED.", "Searchable option enabled for an attribute.", "Searchable option disabled for an attribute." ], "type": "string" }, "type": { "description": "Output only. The type of this attribute. This is derived from the attribute in Product.attributes.", "enum": [ "UNKNOWN", "TEXTUAL", "NUMERICAL" ], "type": "string", "enumDescriptions": [ "The type of the attribute is unknown. Used when type cannot be derived from attribute that is not in_use.", "Textual attribute.", "Numerical attribute." ], "readOnly": true }, "indexableOption": { "enumDescriptions": [ "Value used when unset. Defaults to INDEXABLE_ENABLED.", "Indexable option enabled for an attribute.", "Indexable option disabled for an attribute." ], "enum": [ "INDEXABLE_OPTION_UNSPECIFIED", "INDEXABLE_ENABLED", "INDEXABLE_DISABLED" ], "description": "When AttributesConfig.attribute_config_level is CATALOG_LEVEL_ATTRIBUTE_CONFIG, if INDEXABLE_ENABLED attribute values are indexed so that it can be filtered, faceted, or boosted in SearchService.Search.", "type": "string" }, "recommendationsFilteringOption": { "type": "string", "description": "When AttributesConfig.attribute_config_level is CATALOG_LEVEL_ATTRIBUTE_CONFIG, if RECOMMENDATIONS_FILTERING_ENABLED, attribute values are filterable for recommendations. This option works for categorical features only, does not work for numerical features, inventory filtering.", "enumDescriptions": [ "Value used when unset. Defaults to RECOMMENDATIONS_FILTERING_DISABLED.", "Recommendation filtering is disabled.", "Recommendation filtering is enabled." ], "enum": [ "RECOMMENDATIONS_FILTERING_OPTION_UNSPECIFIED", "RECOMMENDATIONS_FILTERING_DISABLED", "RECOMMENDATIONS_FILTERING_ENABLED" ] } } }, "GoogleCloudRetailV2betaRemoveFulfillmentPlacesMetadata": { "type": "object", "properties": {}, "description": "Metadata related to the progress of the RemoveFulfillmentPlaces operation. Currently empty because there is no meaningful metadata populated from the ProductService.RemoveFulfillmentPlaces method.", "id": "GoogleCloudRetailV2betaRemoveFulfillmentPlacesMetadata" }, "GoogleCloudRetailV2alphaImportMetadata": { "id": "GoogleCloudRetailV2alphaImportMetadata", "description": "Metadata related to the progress of the Import operation. This will be returned by the google.longrunning.Operation.metadata field.", "properties": { "createTime": { "description": "Operation create time.", "format": "google-datetime", "type": "string" }, "notificationPubsubTopic": { "type": "string", "description": "Pub/Sub topic for receiving notification. If this field is set, when the import is finished, a notification will be sent to specified Pub/Sub topic. The message data will be JSON string of a Operation. Format of the Pub/Sub topic is `projects/{project}/topics/{topic}`." }, "successCount": { "type": "string", "format": "int64", "description": "Count of entries that were processed successfully." }, "requestId": { "type": "string", "description": "Deprecated. This field is never set." }, "updateTime": { "description": "Operation last update time. If the operation is done, this is also the finish time.", "format": "google-datetime", "type": "string" }, "failureCount": { "type": "string", "description": "Count of entries that encountered errors while processing.", "format": "int64" } }, "type": "object" }, "GoogleCloudRetailV2RemoveFulfillmentPlacesResponse": { "type": "object", "properties": {}, "description": "Response of the RemoveFulfillmentPlacesRequest. Currently empty because there is no meaningful response populated from the ProductService.RemoveFulfillmentPlaces method.", "id": "GoogleCloudRetailV2RemoveFulfillmentPlacesResponse" }, "GoogleCloudRetailV2alphaSearchRequestFacetSpecFacetKey": { "description": "Specifies how a facet is computed.", "id": "GoogleCloudRetailV2alphaSearchRequestFacetSpecFacetKey", "type": "object", "properties": { "orderBy": { "type": "string", "description": "The order in which SearchResponse.Facet.values are returned. Allowed values are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"count desc\", which means order by SearchResponse.Facet.values.count descending. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"value desc\", which means order by SearchResponse.Facet.values.value descending. Only applies to textual facets. If not set, textual values are sorted in [natural order](https://en.wikipedia.org/wiki/Natural_sort_order); numerical intervals are sorted in the order given by FacetSpec.FacetKey.intervals; FulfillmentInfo.place_ids are sorted in the order given by FacetSpec.FacetKey.restricted_values." }, "prefixes": { "description": "Only get facet values that start with the given string prefix. For example, suppose \"categories\" has three values \"Women \u003e Shoe\", \"Women \u003e Dress\" and \"Men \u003e Shoe\". If set \"prefixes\" to \"Women\", the \"categories\" facet will give only \"Women \u003e Shoe\" and \"Women \u003e Dress\". Only supported on textual fields. Maximum is 10.", "type": "array", "items": { "type": "string" } }, "contains": { "description": "Only get facet values that contains the given strings. For example, suppose \"categories\" has three values \"Women \u003e Shoe\", \"Women \u003e Dress\" and \"Men \u003e Shoe\". If set \"contains\" to \"Shoe\", the \"categories\" facet will give only \"Women \u003e Shoe\" and \"Men \u003e Shoe\". Only supported on textual fields. Maximum is 10.", "items": { "type": "string" }, "type": "array" }, "query": { "description": "The query that is used to compute facet for the given facet key. When provided, it will override the default behavior of facet computation. The query syntax is the same as a filter expression. See SearchRequest.filter for detail syntax and limitations. Notice that there is no limitation on FacetKey.key when query is specified. In the response, SearchResponse.Facet.values.value will be always \"1\" and SearchResponse.Facet.values.count will be the number of results that match the query. For example, you can set a customized facet for \"shipToStore\", where FacetKey.key is \"customizedShipToStore\", and FacetKey.query is \"availability: ANY(\\\"IN_STOCK\\\") AND shipToStore: ANY(\\\"123\\\")\". Then the facet will count the products that are both in stock and ship to store \"123\".", "type": "string" }, "intervals": { "type": "array", "items": { "$ref": "GoogleCloudRetailV2alphaInterval" }, "description": "Set only if values should be bucketized into intervals. Must be set for facets with numerical values. Must not be set for facet with text values. Maximum number of intervals is 30." }, "key": { "type": "string", "description": "Required. Supported textual and numerical facet keys in Product object, over which the facet values are computed. Facet key is case-sensitive. Allowed facet keys when FacetKey.query is not specified: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh textual_field = LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"brands\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"categories\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"genders\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"ageGroups\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"availability\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"colorFamilies\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"colors\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"sizes\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"materials\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"patterns\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"conditions\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"attributes.key\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"pickupInStore\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"shipToStore\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"sameDayDelivery\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"nextDayDelivery\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"customFulfillment1\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"customFulfillment2\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"customFulfillment3\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"customFulfillment4\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"customFulfillment5\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"inventory(place_id,attributes.key)\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh numerical_field = LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"price\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"discount\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"rating\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"ratingCount\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"attributes.key\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"inventory(place_id,price)\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"inventory(place_id,original_price)\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"inventory(place_id,attributes.key)\"" }, "caseInsensitive": { "description": "True to make facet keys case insensitive when getting faceting values with prefixes or contains; false otherwise.", "type": "boolean" }, "restrictedValues": { "description": "Only get facet for the given restricted values. For example, when using \"pickupInStore\" as key and set restricted values to [\"store123\", \"store456\"], only facets for \"store123\" and \"store456\" are returned. Only supported on predefined textual fields, custom textual attributes and fulfillments. Maximum is 20. Must be set for the fulfillment facet keys: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh pickupInStore LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh shipToStore LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh sameDayDelivery LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh nextDayDelivery LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh customFulfillment1 LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh customFulfillment2 LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh customFulfillment3 LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh customFulfillment4 LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh customFulfillment5", "type": "array", "items": { "type": "string" } } } }, "GoogleCloudRetailV2alphaRemoveCatalogAttributeRequest": { "id": "GoogleCloudRetailV2alphaRemoveCatalogAttributeRequest", "description": "Request for CatalogService.RemoveCatalogAttribute method.", "type": "object", "properties": { "key": { "type": "string", "description": "Required. The attribute name key of the CatalogAttribute to remove." } } }, "GoogleCloudRetailV2alphaMerchantCenterLink": { "type": "object", "description": "Represents a link between a Merchant Center account and a branch. Once a link is established, products from the linked merchant center account will be streamed to the linked branch.", "properties": { "merchantCenterAccountId": { "format": "int64", "description": "Required. The linked [Merchant center account id](https://developers.google.com/shopping-content/guides/accountstatuses). The account must be a standalone account or a sub-account of a MCA.", "type": "string" }, "regionCode": { "description": "Region code of offers to accept. 2-letter Uppercase ISO 3166-1 alpha-2 code. List of values can be found [here](https://www.iana.org/assignments/language-subtag-registry/language-subtag-registry) under the `region` tag. If left blank no region filtering will be performed. Example value: `US`.", "type": "string" }, "branchId": { "type": "string", "description": "The branch id (e.g. 0/1/2) within this catalog that products from merchant_center_account_id are streamed to. When updating this field, an empty value will use the currently configured default branch. However, changing the default branch later on won't change the linked branch here. A single branch id can only have one linked merchant center account id." }, "languageCode": { "description": "Language of the title/description and other string attributes. Use language tags defined by [BCP 47](https://www.rfc-editor.org/rfc/bcp/bcp47.txt). ISO 639-1. This specifies the language of offers in Merchant Center that will be accepted. If empty no language filtering will be performed. Example value: `en`.", "type": "string" }, "destinations": { "items": { "type": "string" }, "type": "array", "description": "String representing the destination to import for, all if left empty. List of possible values can be found here. [https://support.google.com/merchants/answer/7501026] List of allowed string values: \"Shopping_ads\", \"Buy_on_google_listings\", \"Display_ads\", \"Local_inventory _ads\", \"Free_listings\", \"Free_local_listings\" NOTE: The string values are case sensitive." } }, "id": "GoogleCloudRetailV2alphaMerchantCenterLink" }, "GoogleCloudRetailV2alphaCompletionConfig": { "type": "object", "id": "GoogleCloudRetailV2alphaCompletionConfig", "properties": { "autoLearning": { "description": "If set to true, the auto learning function is enabled. Auto learning uses user data to generate suggestions using ML techniques. Default value is false. Only after enabling auto learning can users use `cloud-retail` data in CompleteQueryRequest.", "type": "boolean" }, "lastDenylistImportOperation": { "type": "string", "readOnly": true, "description": "Output only. Name of the LRO corresponding to the latest denylist import. Can use GetOperation API to retrieve the latest state of the Long Running Operation." }, "allowlistInputConfig": { "$ref": "GoogleCloudRetailV2alphaCompletionDataInputConfig", "description": "Output only. The source data for the latest import of the autocomplete allowlist phrases.", "readOnly": true }, "minPrefixLength": { "description": "The minimum number of characters needed to be typed in order to get suggestions. Default value is 2. If left unset or set to 0, then will fallback to default value.", "format": "int32", "type": "integer" }, "name": { "type": "string", "description": "Required. Immutable. Fully qualified name `projects/*/locations/*/catalogs/*/completionConfig`" }, "matchingOrder": { "type": "string", "description": "Specifies the matching order for autocomplete suggestions, e.g., a query consisting of 'sh' with 'out-of-order' specified would suggest \"women's shoes\", whereas a query of 'red s' with 'exact-prefix' specified would suggest \"red shoes\". Currently supported values: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh 'out-of-order' LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh 'exact-prefix' Default value: 'exact-prefix'." }, "suggestionsInputConfig": { "description": "Output only. The source data for the latest import of the autocomplete suggestion phrases.", "$ref": "GoogleCloudRetailV2alphaCompletionDataInputConfig", "readOnly": true }, "lastAllowlistImportOperation": { "readOnly": true, "type": "string", "description": "Output only. Name of the LRO corresponding to the latest allowlist import. Can use GetOperation API to retrieve the latest state of the Long Running Operation." }, "lastSuggestionsImportOperation": { "type": "string", "readOnly": true, "description": "Output only. Name of the LRO corresponding to the latest suggestion terms list import. Can use GetOperation API to retrieve the latest state of the Long Running Operation." }, "denylistInputConfig": { "description": "Output only. The source data for the latest import of the autocomplete denylist phrases.", "$ref": "GoogleCloudRetailV2alphaCompletionDataInputConfig", "readOnly": true }, "maxSuggestions": { "format": "int32", "description": "The maximum number of autocomplete suggestions returned per term. The maximum allowed max suggestions is 20. Default value is 20. If left unset or set to 0, then will fallback to default value.", "type": "integer" } }, "description": "Catalog level autocomplete config for customers to customize autocomplete feature's settings." }, "GoogleCloudRetailV2alphaRejoinUserEventsRequest": { "type": "object", "properties": { "userEventRejoinScope": { "type": "string", "enumDescriptions": [ "Rejoin all events with the latest product catalog, including both joined events and unjoined events.", "Only rejoin joined events with the latest product catalog.", "Only rejoin unjoined events with the latest product catalog." ], "description": "The type of the user event rejoin to define the scope and range of the user events to be rejoined with the latest product catalog. Defaults to USER_EVENT_REJOIN_SCOPE_UNSPECIFIED if this field is not set, or set to an invalid integer value.", "enum": [ "USER_EVENT_REJOIN_SCOPE_UNSPECIFIED", "JOINED_EVENTS", "UNJOINED_EVENTS" ] } }, "description": "Request message for RejoinUserEvents method.", "id": "GoogleCloudRetailV2alphaRejoinUserEventsRequest" }, "GoogleCloudRetailV2alphaRule": { "properties": { "replacementAction": { "$ref": "GoogleCloudRetailV2alphaRuleReplacementAction", "description": "Replaces specific terms in the query." }, "ignoreAction": { "$ref": "GoogleCloudRetailV2alphaRuleIgnoreAction", "description": "Ignores specific terms from query during search." }, "condition": { "description": "Required. The condition that triggers the rule. If the condition is empty, the rule will always apply.", "$ref": "GoogleCloudRetailV2alphaCondition" }, "doNotAssociateAction": { "description": "Prevents term from being associated with other terms.", "$ref": "GoogleCloudRetailV2alphaRuleDoNotAssociateAction" }, "boostAction": { "$ref": "GoogleCloudRetailV2alphaRuleBoostAction", "description": "A boost action." }, "onewaySynonymsAction": { "$ref": "GoogleCloudRetailV2alphaRuleOnewaySynonymsAction", "description": "Treats specific term as a synonym with a group of terms. Group of terms will not be treated as synonyms with the specific term." }, "filterAction": { "$ref": "GoogleCloudRetailV2alphaRuleFilterAction", "description": "Filters results." }, "redirectAction": { "description": "Redirects a shopper to a specific page.", "$ref": "GoogleCloudRetailV2alphaRuleRedirectAction" }, "twowaySynonymsAction": { "$ref": "GoogleCloudRetailV2alphaRuleTwowaySynonymsAction", "description": "Treats a set of terms as synonyms of one another." } }, "description": "A rule is a condition-action pair LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A condition defines when a rule is to be triggered. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh An action specifies what occurs on that trigger. Currently only boost rules are supported. Currently only supported by the search endpoint.", "id": "GoogleCloudRetailV2alphaRule", "type": "object" }, "GoogleCloudRetailV2ImportMetadata": { "id": "GoogleCloudRetailV2ImportMetadata", "description": "Metadata related to the progress of the Import operation. This will be returned by the google.longrunning.Operation.metadata field.", "type": "object", "properties": { "createTime": { "format": "google-datetime", "type": "string", "description": "Operation create time." }, "requestId": { "type": "string", "description": "Deprecated. This field is never set." }, "failureCount": { "type": "string", "format": "int64", "description": "Count of entries that encountered errors while processing." }, "updateTime": { "description": "Operation last update time. If the operation is done, this is also the finish time.", "type": "string", "format": "google-datetime" }, "successCount": { "format": "int64", "description": "Count of entries that were processed successfully.", "type": "string" }, "notificationPubsubTopic": { "type": "string", "description": "Pub/Sub topic for receiving notification. If this field is set, when the import is finished, a notification will be sent to specified Pub/Sub topic. The message data will be JSON string of a Operation. Format of the Pub/Sub topic is `projects/{project}/topics/{topic}`." } } }, "GoogleCloudRetailV2betaPurgeMetadata": { "type": "object", "properties": {}, "id": "GoogleCloudRetailV2betaPurgeMetadata", "description": "Metadata related to the progress of the Purge operation. This will be returned by the google.longrunning.Operation.metadata field." }, "GoogleCloudRetailV2alphaExportErrorsConfig": { "id": "GoogleCloudRetailV2alphaExportErrorsConfig", "description": "Configuration of destination for Export related errors.", "type": "object", "properties": { "gcsPrefix": { "description": "Google Cloud Storage path for import errors. This must be an empty, existing Cloud Storage bucket. Export errors will be written to a file in this bucket, one per line, as a JSON-encoded `google.rpc.Status` message.", "type": "string" } } }, "GoogleCloudRetailV2betaUserEventImportSummary": { "type": "object", "id": "GoogleCloudRetailV2betaUserEventImportSummary", "description": "A summary of import result. The UserEventImportSummary summarizes the import status for user events.", "properties": { "joinedEventsCount": { "type": "string", "format": "int64", "description": "Count of user events imported with complete existing catalog information." }, "unjoinedEventsCount": { "format": "int64", "description": "Count of user events imported, but with catalog information not found in the imported catalog.", "type": "string" } } }, "GoogleCloudRetailV2alphaPredictResponse": { "id": "GoogleCloudRetailV2alphaPredictResponse", "properties": { "missingIds": { "description": "IDs of products in the request that were missing from the inventory.", "type": "array", "items": { "type": "string" } }, "attributionToken": { "type": "string", "description": "A unique attribution token. This should be included in the UserEvent logs resulting from this recommendation, which enables accurate attribution of recommendation model performance." }, "validateOnly": { "type": "boolean", "description": "True if the validateOnly property was set in the request." }, "results": { "items": { "$ref": "GoogleCloudRetailV2alphaPredictResponsePredictionResult" }, "description": "A list of recommended products. The order represents the ranking (from the most relevant product to the least).", "type": "array" } }, "description": "Response message for predict method.", "type": "object" }, "GoogleCloudRetailV2alphaGcsSource": { "description": "Google Cloud Storage location for input content. format.", "type": "object", "id": "GoogleCloudRetailV2alphaGcsSource", "properties": { "inputUris": { "description": "Required. Google Cloud Storage URIs to input files. URI can be up to 2000 characters long. URIs can match the full object path (for example, `gs://bucket/directory/object.json`) or a pattern matching one or more files, such as `gs://bucket/directory/*.json`. A request can contain at most 100 files, and each file can be up to 2 GB. See [Importing product information](https://cloud.google.com/retail/recommendations-ai/docs/upload-catalog) for the expected file format and setup instructions.", "items": { "type": "string" }, "type": "array" }, "dataSchema": { "description": "The schema to use when parsing the data from the source. Supported values for product imports: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `product` (default): One JSON Product per line. Each product must have a valid Product.id. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `product_merchant_center`: See [Importing catalog data from Merchant Center](https://cloud.google.com/retail/recommendations-ai/docs/upload-catalog#mc). Supported values for user events imports: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `user_event` (default): One JSON UserEvent per line. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `user_event_ga360`: Using https://support.google.com/analytics/answer/3437719. Supported values for control imports: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh 'control' (default): One JSON Control per line. Supported values for catalog attribute imports: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh 'catalog_attribute' (default): One CSV CatalogAttribute per line.", "type": "string" } } }, "GoogleCloudRetailV2alphaProduct": { "description": "Product captures all metadata information of items to be recommended or searched.", "properties": { "patterns": { "type": "array", "items": { "type": "string" }, "description": "The pattern or graphic print of the product. For example, \"striped\", \"polka dot\", \"paisley\". A maximum of 20 values are allowed per Product. Each value must be a UTF-8 encoded string with a length limit of 128 characters. Otherwise, an INVALID_ARGUMENT error is returned. Corresponding properties: Google Merchant Center property [pattern](https://support.google.com/merchants/answer/6324483). Schema.org property [Product.pattern](https://schema.org/pattern)." }, "id": { "description": "Immutable. Product identifier, which is the final component of name. For example, this field is \"id_1\", if name is `projects/*/locations/global/catalogs/default_catalog/branches/default_branch/products/id_1`. This field must be a UTF-8 encoded string with a length limit of 128 characters. Otherwise, an INVALID_ARGUMENT error is returned. Corresponding properties: Google Merchant Center property [id](https://support.google.com/merchants/answer/6324405). Schema.org property [Product.sku](https://schema.org/sku).", "type": "string" }, "collectionMemberIds": { "items": { "type": "string" }, "type": "array", "description": "The id of the collection members when type is Type.COLLECTION. Non-existent product ids are allowed. The type of the members must be either Type.PRIMARY or Type.VARIANT otherwise and INVALID_ARGUMENT error is thrown. Should not set it for other types. A maximum of 1000 values are allowed. Otherwise, an INVALID_ARGUMENT error is return." }, "conditions": { "description": "The condition of the product. Strongly encouraged to use the standard values: \"new\", \"refurbished\", \"used\". A maximum of 1 value is allowed per Product. Each value must be a UTF-8 encoded string with a length limit of 128 characters. Otherwise, an INVALID_ARGUMENT error is returned. Corresponding properties: Google Merchant Center property [condition](https://support.google.com/merchants/answer/6324469). Schema.org property [Offer.itemCondition](https://schema.org/itemCondition).", "items": { "type": "string" }, "type": "array" }, "name": { "description": "Immutable. Full resource name of the product, such as `projects/*/locations/global/catalogs/default_catalog/branches/default_branch/products/product_id`.", "type": "string" }, "publishTime": { "description": "The timestamp when the product is published by the retailer for the first time, which indicates the freshness of the products. Note that this field is different from available_time, given it purely describes product freshness regardless of when it is available on search and recommendation.", "format": "google-datetime", "type": "string" }, "title": { "type": "string", "description": "Required. Product title. This field must be a UTF-8 encoded string with a length limit of 1,000 characters. Otherwise, an INVALID_ARGUMENT error is returned. Corresponding properties: Google Merchant Center property [title](https://support.google.com/merchants/answer/6324415). Schema.org property [Product.name](https://schema.org/name)." }, "primaryProductId": { "description": "Variant group identifier. Must be an id, with the same parent branch with this product. Otherwise, an error is thrown. For Type.PRIMARY Products, this field can only be empty or set to the same value as id. For VARIANT Products, this field cannot be empty. A maximum of 2,000 products are allowed to share the same Type.PRIMARY Product. Otherwise, an INVALID_ARGUMENT error is returned. Corresponding properties: Google Merchant Center property [item_group_id](https://support.google.com/merchants/answer/6324507). Schema.org property [Product.inProductGroupWithID](https://schema.org/inProductGroupWithID).", "type": "string" }, "materials": { "description": "The material of the product. For example, \"leather\", \"wooden\". A maximum of 20 values are allowed. Each value must be a UTF-8 encoded string with a length limit of 200 characters. Otherwise, an INVALID_ARGUMENT error is returned. Corresponding properties: Google Merchant Center property [material](https://support.google.com/merchants/answer/6324410). Schema.org property [Product.material](https://schema.org/material).", "type": "array", "items": { "type": "string" } }, "variants": { "items": { "$ref": "GoogleCloudRetailV2alphaProduct" }, "type": "array", "readOnly": true, "description": "Output only. Product variants grouped together on primary product which share similar product attributes. It's automatically grouped by primary_product_id for all the product variants. Only populated for Type.PRIMARY Products. Note: This field is OUTPUT_ONLY for ProductService.GetProduct. Do not set this field in API requests." }, "uri": { "description": "Canonical URL directly linking to the product detail page. It is strongly recommended to provide a valid uri for the product, otherwise the service performance could be significantly degraded. This field must be a UTF-8 encoded string with a length limit of 5,000 characters. Otherwise, an INVALID_ARGUMENT error is returned. Corresponding properties: Google Merchant Center property [link](https://support.google.com/merchants/answer/6324416). Schema.org property [Offer.url](https://schema.org/url).", "type": "string" }, "retrievableFields": { "description": "Indicates which fields in the Products are returned in SearchResponse. Supported fields for all types: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh audience LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh availability LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh brands LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh color_info LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh conditions LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh gtin LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh materials LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh name LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh patterns LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh price_info LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh rating LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh sizes LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh title LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh uri Supported fields only for Type.PRIMARY and Type.COLLECTION: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh categories LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh description LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh images Supported fields only for Type.VARIANT: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Only the first image in images To mark attributes as retrievable, include paths of the form \"attributes.key\" where \"key\" is the key of a custom attribute, as specified in attributes. For Type.PRIMARY and Type.COLLECTION, the following fields are always returned in SearchResponse by default: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh name For Type.VARIANT, the following fields are always returned in by default: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh name LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh color_info The maximum number of paths is 30. Otherwise, an INVALID_ARGUMENT error is returned. Note: Returning more fields in SearchResponse can increase response payload size and serving latency.", "format": "google-fieldmask", "type": "string" }, "tags": { "items": { "type": "string" }, "type": "array", "description": "Custom tags associated with the product. At most 250 values are allowed per Product. This value must be a UTF-8 encoded string with a length limit of 1,000 characters. Otherwise, an INVALID_ARGUMENT error is returned. This tag can be used for filtering recommendation results by passing the tag as part of the PredictRequest.filter. Corresponding properties: Google Merchant Center property [custom_label_0–4](https://support.google.com/merchants/answer/6324473)." }, "description": { "description": "Product description. This field must be a UTF-8 encoded string with a length limit of 5,000 characters. Otherwise, an INVALID_ARGUMENT error is returned. Corresponding properties: Google Merchant Center property [description](https://support.google.com/merchants/answer/6324468). Schema.org property [Product.description](https://schema.org/description).", "type": "string" }, "colorInfo": { "description": "The color of the product. Corresponding properties: Google Merchant Center property [color](https://support.google.com/merchants/answer/6324487). Schema.org property [Product.color](https://schema.org/color).", "$ref": "GoogleCloudRetailV2alphaColorInfo" }, "gtin": { "type": "string", "description": "The Global Trade Item Number (GTIN) of the product. This field must be a UTF-8 encoded string with a length limit of 128 characters. Otherwise, an INVALID_ARGUMENT error is returned. This field must be a Unigram. Otherwise, an INVALID_ARGUMENT error is returned. Corresponding properties: Google Merchant Center property [gtin](https://support.google.com/merchants/answer/6324461). Schema.org property [Product.isbn](https://schema.org/isbn), [Product.gtin8](https://schema.org/gtin8), [Product.gtin12](https://schema.org/gtin12), [Product.gtin13](https://schema.org/gtin13), or [Product.gtin14](https://schema.org/gtin14). If the value is not a valid GTIN, an INVALID_ARGUMENT error is returned." }, "availability": { "enumDescriptions": [ "Default product availability. Default to Availability.IN_STOCK if unset.", "Product in stock.", "Product out of stock.", "Product that is in pre-order state.", "Product that is back-ordered (i.e. temporarily out of stock)." ], "type": "string", "description": "The online availability of the Product. Default to Availability.IN_STOCK. Corresponding properties: Google Merchant Center property [availability](https://support.google.com/merchants/answer/6324448). Schema.org property [Offer.availability](https://schema.org/availability).", "enum": [ "AVAILABILITY_UNSPECIFIED", "IN_STOCK", "OUT_OF_STOCK", "PREORDER", "BACKORDER" ] }, "sizes": { "description": "The size of the product. To represent different size systems or size types, consider using this format: [[[size_system:]size_type:]size_value]. For example, in \"US:MENS:M\", \"US\" represents size system; \"MENS\" represents size type; \"M\" represents size value. In \"GIRLS:27\", size system is empty; \"GIRLS\" represents size type; \"27\" represents size value. In \"32 inches\", both size system and size type are empty, while size value is \"32 inches\". A maximum of 20 values are allowed per Product. Each value must be a UTF-8 encoded string with a length limit of 128 characters. Otherwise, an INVALID_ARGUMENT error is returned. Corresponding properties: Google Merchant Center property [size](https://support.google.com/merchants/answer/6324492), [size_type](https://support.google.com/merchants/answer/6324497), and [size_system](https://support.google.com/merchants/answer/6324502). Schema.org property [Product.size](https://schema.org/size).", "items": { "type": "string" }, "type": "array" }, "attributes": { "description": "Highly encouraged. Extra product attributes to be included. For example, for products, this could include the store name, vendor, style, color, etc. These are very strong signals for recommendation model, thus we highly recommend providing the attributes here. Features that can take on one of a limited number of possible values. Two types of features can be set are: Textual features. some examples would be the brand/maker of a product, or country of a customer. Numerical features. Some examples would be the height/weight of a product, or age of a customer. For example: `{ \"vendor\": {\"text\": [\"vendor123\", \"vendor456\"]}, \"lengths_cm\": {\"numbers\":[2.3, 15.4]}, \"heights_cm\": {\"numbers\":[8.1, 6.4]} }`. This field needs to pass all below criteria, otherwise an INVALID_ARGUMENT error is returned: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Max entries count: 200. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The key must be a UTF-8 encoded string with a length limit of 128 characters. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh For indexable attribute, the key must match the pattern: `a-zA-Z0-9*`. For example, `key0LikeThis` or `KEY_1_LIKE_THIS`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh For text attributes, at most 400 values are allowed. Empty values are not allowed. Each value must be a non-empty UTF-8 encoded string with a length limit of 256 characters. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh For number attributes, at most 400 values are allowed.", "type": "object", "additionalProperties": { "$ref": "GoogleCloudRetailV2alphaCustomAttribute" } }, "languageCode": { "type": "string", "description": "Language of the title/description and other string attributes. Use language tags defined by [BCP 47](https://www.rfc-editor.org/rfc/bcp/bcp47.txt). For product prediction, this field is ignored and the model automatically detects the text language. The Product can include text in different languages, but duplicating Products to provide text in multiple languages can result in degraded model performance. For product search this field is in use. It defaults to \"en-US\" if unset." }, "promotions": { "type": "array", "description": "The promotions applied to the product. A maximum of 10 values are allowed per Product. Only Promotion.promotion_id will be used, other fields will be ignored if set.", "items": { "$ref": "GoogleCloudRetailV2alphaPromotion" } }, "availableQuantity": { "type": "integer", "format": "int32", "description": "The available quantity of the item." }, "images": { "type": "array", "description": "Product images for the product. We highly recommend putting the main image first. A maximum of 300 images are allowed. Corresponding properties: Google Merchant Center property [image_link](https://support.google.com/merchants/answer/6324350). Schema.org property [Product.image](https://schema.org/image).", "items": { "$ref": "GoogleCloudRetailV2alphaImage" } }, "availableTime": { "description": "The timestamp when this Product becomes available for SearchService.Search.", "format": "google-datetime", "type": "string" }, "fulfillmentInfo": { "description": "Fulfillment information, such as the store IDs for in-store pickup or region IDs for different shipping methods. All the elements must have distinct FulfillmentInfo.type. Otherwise, an INVALID_ARGUMENT error is returned.", "type": "array", "items": { "$ref": "GoogleCloudRetailV2alphaFulfillmentInfo" } }, "expireTime": { "description": "The timestamp when this product becomes unavailable for SearchService.Search. If it is set, the Product is not available for SearchService.Search after expire_time. However, the product can still be retrieved by ProductService.GetProduct and ProductService.ListProducts. expire_time must be later than available_time and publish_time, otherwise an INVALID_ARGUMENT error is thrown. Corresponding properties: Google Merchant Center property [expiration_date](https://support.google.com/merchants/answer/6324499).", "format": "google-datetime", "type": "string" }, "type": { "enum": [ "TYPE_UNSPECIFIED", "PRIMARY", "VARIANT", "COLLECTION" ], "type": "string", "enumDescriptions": [ "Default value. Default to Catalog.product_level_config.ingestion_product_type if unset.", "The primary type. As the primary unit for predicting, indexing and search serving, a Type.PRIMARY Product is grouped with multiple Type.VARIANT Products.", "The variant type. Type.VARIANT Products usually share some common attributes on the same Type.PRIMARY Products, but they have variant attributes like different colors, sizes and prices, etc.", "The collection type. Collection products are bundled Type.PRIMARY Products or Type.VARIANT Products that are sold together, such as a jewelry set with necklaces, earrings and rings, etc." ], "description": "Immutable. The type of the product. Default to Catalog.product_level_config.ingestion_product_type if unset." }, "priceInfo": { "description": "Product price and cost information. Corresponding properties: Google Merchant Center property [price](https://support.google.com/merchants/answer/6324371).", "$ref": "GoogleCloudRetailV2alphaPriceInfo" }, "audience": { "description": "The target group associated with a given audience (e.g. male, veterans, car owners, musicians, etc.) of the product.", "$ref": "GoogleCloudRetailV2alphaAudience" }, "ttl": { "type": "string", "description": "Input only. The TTL (time to live) of the product. If it is set, it must be a non-negative value, and expire_time is set as current timestamp plus ttl. The derived expire_time is returned in the output and ttl is left blank when retrieving the Product. If it is set, the product is not available for SearchService.Search after current timestamp plus ttl. However, the product can still be retrieved by ProductService.GetProduct and ProductService.ListProducts.", "format": "google-duration" }, "categories": { "type": "array", "description": "Product categories. This field is repeated for supporting one product belonging to several parallel categories. Strongly recommended using the full path for better search / recommendation quality. To represent full path of category, use '\u003e' sign to separate different hierarchies. If '\u003e' is part of the category name, please replace it with other character(s). For example, if a shoes product belongs to both [\"Shoes & Accessories\" -\u003e \"Shoes\"] and [\"Sports & Fitness\" -\u003e \"Athletic Clothing\" -\u003e \"Shoes\"], it could be represented as: \"categories\": [ \"Shoes & Accessories \u003e Shoes\", \"Sports & Fitness \u003e Athletic Clothing \u003e Shoes\" ] Must be set for Type.PRIMARY Product otherwise an INVALID_ARGUMENT error is returned. At most 250 values are allowed per Product. Empty values are not allowed. Each value must be a UTF-8 encoded string with a length limit of 5,000 characters. Otherwise, an INVALID_ARGUMENT error is returned. Corresponding properties: Google Merchant Center property google_product_category. Schema.org property [Product.category] (https://schema.org/category). [mc_google_product_category]: https://support.google.com/merchants/answer/6324436", "items": { "type": "string" } }, "brands": { "type": "array", "description": "The brands of the product. A maximum of 30 brands are allowed. Each brand must be a UTF-8 encoded string with a length limit of 1,000 characters. Otherwise, an INVALID_ARGUMENT error is returned. Corresponding properties: Google Merchant Center property [brand](https://support.google.com/merchants/answer/6324351). Schema.org property [Product.brand](https://schema.org/brand).", "items": { "type": "string" } }, "rating": { "description": "The rating of this product.", "$ref": "GoogleCloudRetailV2alphaRating" } }, "type": "object", "id": "GoogleCloudRetailV2alphaProduct" }, "GoogleCloudRetailV2alphaPriceInfoPriceRange": { "type": "object", "id": "GoogleCloudRetailV2alphaPriceInfoPriceRange", "properties": { "originalPrice": { "description": "The inclusive Product.pricing_info.original_price internal of all variant Product having the same Product.primary_product_id.", "$ref": "GoogleCloudRetailV2alphaInterval" }, "price": { "description": "The inclusive Product.pricing_info.price interval of all variant Product having the same Product.primary_product_id.", "$ref": "GoogleCloudRetailV2alphaInterval" } }, "description": "The price range of all variant Product having the same Product.primary_product_id." }, "GoogleCloudRetailV2PurgeMetadata": { "type": "object", "properties": {}, "id": "GoogleCloudRetailV2PurgeMetadata", "description": "Metadata related to the progress of the Purge operation. This will be returned by the google.longrunning.Operation.metadata field." }, "GoogleCloudRetailV2alphaImportErrorsConfig": { "id": "GoogleCloudRetailV2alphaImportErrorsConfig", "properties": { "gcsPrefix": { "description": "Google Cloud Storage prefix for import errors. This must be an empty, existing Cloud Storage directory. Import errors will be written to sharded files in this directory, one per line, as a JSON-encoded `google.rpc.Status` message.", "type": "string" } }, "type": "object", "description": "Configuration of destination for Import related errors." }, "GoogleCloudRetailV2RemoveFulfillmentPlacesMetadata": { "description": "Metadata related to the progress of the RemoveFulfillmentPlaces operation. Currently empty because there is no meaningful metadata populated from the ProductService.RemoveFulfillmentPlaces method.", "id": "GoogleCloudRetailV2RemoveFulfillmentPlacesMetadata", "type": "object", "properties": {} }, "GoogleCloudRetailV2alphaSearchRequestPersonalizationSpec": { "description": "The specification for personalization.", "properties": { "mode": { "description": "Defaults to Mode.AUTO.", "enum": [ "MODE_UNSPECIFIED", "AUTO", "DISABLED" ], "type": "string", "enumDescriptions": [ "Default value. Defaults to Mode.AUTO.", "Let CRS decide whether to use personalization.", "Disable personalization." ] } }, "type": "object", "id": "GoogleCloudRetailV2alphaSearchRequestPersonalizationSpec" }, "GoogleCloudRetailV2AddLocalInventoriesMetadata": { "description": "Metadata related to the progress of the AddLocalInventories operation. Currently empty because there is no meaningful metadata populated from the ProductService.AddLocalInventories method.", "type": "object", "id": "GoogleCloudRetailV2AddLocalInventoriesMetadata", "properties": {} }, "GoogleCloudRetailV2alphaSearchResponseQueryExpansionInfo": { "description": "Information describing query expansion including whether expansion has occurred.", "type": "object", "properties": { "pinnedResultCount": { "type": "string", "format": "int64", "description": "Number of pinned results. This field will only be set when expansion happens and SearchRequest.QueryExpansionSpec.pin_unexpanded_results is set to true." }, "expandedQuery": { "description": "Bool describing whether query expansion has occurred.", "type": "boolean" } }, "id": "GoogleCloudRetailV2alphaSearchResponseQueryExpansionInfo" }, "GoogleCloudRetailV2ImportUserEventsResponse": { "description": "Response of the ImportUserEventsRequest. If the long running operation was successful, then this message is returned by the google.longrunning.Operations.response field if the operation was successful.", "properties": { "errorsConfig": { "$ref": "GoogleCloudRetailV2ImportErrorsConfig", "description": "Echoes the destination for the complete errors if this field was set in the request." }, "importSummary": { "description": "Aggregated statistics of user event import status.", "$ref": "GoogleCloudRetailV2UserEventImportSummary" }, "errorSamples": { "items": { "$ref": "GoogleRpcStatus" }, "type": "array", "description": "A sample of errors encountered while processing the request." } }, "id": "GoogleCloudRetailV2ImportUserEventsResponse", "type": "object" }, "GoogleCloudRetailV2AddFulfillmentPlacesMetadata": { "id": "GoogleCloudRetailV2AddFulfillmentPlacesMetadata", "description": "Metadata related to the progress of the AddFulfillmentPlaces operation. Currently empty because there is no meaningful metadata populated from the ProductService.AddFulfillmentPlaces method.", "type": "object", "properties": {} }, "GoogleCloudRetailV2betaImportCompletionDataResponse": { "description": "Response of the ImportCompletionDataRequest. If the long running operation is done, this message is returned by the google.longrunning.Operations.response field if the operation is successful.", "properties": { "errorSamples": { "description": "A sample of errors encountered while processing the request.", "type": "array", "items": { "$ref": "GoogleRpcStatus" } } }, "id": "GoogleCloudRetailV2betaImportCompletionDataResponse", "type": "object" }, "GoogleCloudRetailLoggingErrorContext": { "description": "A description of the context in which an error occurred.", "properties": { "httpRequest": { "$ref": "GoogleCloudRetailLoggingHttpRequestContext", "description": "The HTTP request which was processed when the error was triggered." }, "reportLocation": { "$ref": "GoogleCloudRetailLoggingSourceLocation", "description": "The location in the source code where the decision was made to report the error, usually the place where it was logged." } }, "id": "GoogleCloudRetailLoggingErrorContext", "type": "object" }, "GoogleCloudRetailLoggingSourceLocation": { "type": "object", "description": "Indicates a location in the source code of the service for which errors are reported.", "properties": { "functionName": { "type": "string", "description": "Human-readable name of a function or method. For example, \"google.cloud.retail.v2.UserEventService.ImportUserEvents\"." } }, "id": "GoogleCloudRetailLoggingSourceLocation" }, "GoogleCloudRetailV2alphaRemoveFulfillmentPlacesResponse": { "type": "object", "properties": {}, "id": "GoogleCloudRetailV2alphaRemoveFulfillmentPlacesResponse", "description": "Response of the RemoveFulfillmentPlacesRequest. Currently empty because there is no meaningful response populated from the ProductService.RemoveFulfillmentPlaces method." }, "GoogleLongrunningOperation": { "description": "This resource represents a long-running operation that is the result of a network API call.", "type": "object", "properties": { "metadata": { "description": "Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any.", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "type": "object" }, "response": { "description": "The normal response of the operation in case of success. If the original method returns no data on success, such as `Delete`, the response is `google.protobuf.Empty`. If the original method is standard `Get`/`Create`/`Update`, the response should be the resource. For other methods, the response should have the type `XxxResponse`, where `Xxx` is the original method name. For example, if the original method name is `TakeSnapshot()`, the inferred response type is `TakeSnapshotResponse`.", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "type": "object" }, "done": { "description": "If the value is `false`, it means the operation is still in progress. If `true`, the operation is completed, and either `error` or `response` is available.", "type": "boolean" }, "name": { "type": "string", "description": "The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the `name` should be a resource name ending with `operations/{unique_id}`." }, "error": { "$ref": "GoogleRpcStatus", "description": "The error result of the operation in case of failure or cancellation." } }, "id": "GoogleLongrunningOperation" }, "GoogleCloudRetailV2alphaRuleFilterAction": { "properties": { "filter": { "description": "A filter to apply on the matching condition results. Supported features: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh filter must be set. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Filter syntax is identical to SearchRequest.filter. See more details at the Retail Search [user guide](/retail/search/docs/filter-and-order#filter). LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh To filter products with product ID \"product_1\" or \"product_2\", and color \"Red\" or \"Blue\": *(id: ANY(\"product_1\", \"product_2\")) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh *AND LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh *(colorFamilies: ANY(\"Red\", \"Blue\")) *", "type": "string" } }, "description": "* Rule Condition: - No Condition provided is a global match. - 1 or more Condition provided is combined with OR operator. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Action Input: The request query and filter that will be applied to the retrieved products, in addition to any filters already provided with the SearchRequest. The AND operator is used to combine the query's existing filters with the filter rule(s). NOTE: May result in 0 results when filters conflict. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Action Result: Filters the returned objects to be ONLY those that passed the filter.", "id": "GoogleCloudRetailV2alphaRuleFilterAction", "type": "object" }, "GoogleCloudRetailV2alphaImportUserEventsRequest": { "id": "GoogleCloudRetailV2alphaImportUserEventsRequest", "properties": { "errorsConfig": { "description": "The desired location of errors incurred during the Import. Cannot be set for inline user event imports.", "$ref": "GoogleCloudRetailV2alphaImportErrorsConfig" }, "inputConfig": { "description": "Required. The desired input location of the data.", "$ref": "GoogleCloudRetailV2alphaUserEventInputConfig" } }, "type": "object", "description": "Request message for the ImportUserEvents request." }, "GoogleCloudRetailLoggingHttpRequestContext": { "description": "HTTP request data that is related to a reported error.", "id": "GoogleCloudRetailLoggingHttpRequestContext", "properties": { "responseStatusCode": { "description": "The HTTP response status code for the request.", "type": "integer", "format": "int32" } }, "type": "object" }, "GoogleCloudRetailV2alphaRejoinUserEventsResponse": { "type": "object", "properties": { "rejoinedUserEventsCount": { "description": "Number of user events that were joined with latest product catalog.", "format": "int64", "type": "string" } }, "id": "GoogleCloudRetailV2alphaRejoinUserEventsResponse", "description": "Response message for RejoinUserEvents method." }, "GoogleCloudRetailV2alphaUserEventInlineSource": { "type": "object", "description": "The inline source for the input config for ImportUserEvents method.", "id": "GoogleCloudRetailV2alphaUserEventInlineSource", "properties": { "userEvents": { "items": { "$ref": "GoogleCloudRetailV2alphaUserEvent" }, "description": "Required. A list of user events to import. Recommended max of 10k items.", "type": "array" } } }, "GoogleCloudRetailV2alphaAddFulfillmentPlacesResponse": { "description": "Response of the AddFulfillmentPlacesRequest. Currently empty because there is no meaningful response populated from the ProductService.AddFulfillmentPlaces method.", "type": "object", "id": "GoogleCloudRetailV2alphaAddFulfillmentPlacesResponse", "properties": {} }, "GoogleCloudRetailV2alphaRemoveFulfillmentPlacesMetadata": { "description": "Metadata related to the progress of the RemoveFulfillmentPlaces operation. Currently empty because there is no meaningful metadata populated from the ProductService.RemoveFulfillmentPlaces method.", "type": "object", "properties": {}, "id": "GoogleCloudRetailV2alphaRemoveFulfillmentPlacesMetadata" }, "GoogleCloudRetailV2alphaSetInventoryRequest": { "type": "object", "properties": { "setMask": { "type": "string", "description": "Indicates which inventory fields in the provided Product to update. At least one field must be provided. If an unsupported or unknown field is provided, an INVALID_ARGUMENT error is returned and the entire update will be ignored.", "format": "google-fieldmask" }, "inventory": { "description": "Required. The inventory information to update. The allowable fields to update are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Product.price_info LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Product.availability LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Product.available_quantity LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Product.fulfillment_info The updated inventory fields must be specified in SetInventoryRequest.set_mask. If SetInventoryRequest.inventory.name is empty or invalid, an INVALID_ARGUMENT error is returned. If the caller does not have permission to update the Product named in Product.name, regardless of whether or not it exists, a PERMISSION_DENIED error is returned. If the Product to update does not have existing inventory information, the provided inventory information will be inserted. If the Product to update has existing inventory information, the provided inventory information will be merged while respecting the last update time for each inventory field, using the provided or default value for SetInventoryRequest.set_time. The caller can replace place IDs for a subset of fulfillment types in the following ways: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Adds \"fulfillment_info\" in SetInventoryRequest.set_mask LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Specifies only the desired fulfillment types and corresponding place IDs to update in SetInventoryRequest.inventory.fulfillment_info The caller can clear all place IDs from a subset of fulfillment types in the following ways: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Adds \"fulfillment_info\" in SetInventoryRequest.set_mask LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Specifies only the desired fulfillment types to clear in SetInventoryRequest.inventory.fulfillment_info LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Checks that only the desired fulfillment info types have empty SetInventoryRequest.inventory.fulfillment_info.place_ids The last update time is recorded for the following inventory fields: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Product.price_info LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Product.availability LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Product.available_quantity LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Product.fulfillment_info If a full overwrite of inventory information while ignoring timestamps is needed, ProductService.UpdateProduct should be invoked instead.", "$ref": "GoogleCloudRetailV2alphaProduct" }, "allowMissing": { "type": "boolean", "description": "If set to true, and the Product with name Product.name is not found, the inventory update will still be processed and retained for at most 1 day until the Product is created. If set to false, a NOT_FOUND error is returned if the Product is not found." }, "setTime": { "type": "string", "description": "The time when the request is issued, used to prevent out-of-order updates on inventory fields with the last update time recorded. If not provided, the internal system time will be used.", "format": "google-datetime" } }, "id": "GoogleCloudRetailV2alphaSetInventoryRequest", "description": "Request message for ProductService.SetInventory method." }, "GoogleCloudRetailV2alphaImportCompletionDataRequest": { "description": "Request message for ImportCompletionData methods.", "type": "object", "properties": { "notificationPubsubTopic": { "type": "string", "description": "Pub/Sub topic for receiving notification. If this field is set, when the import is finished, a notification will be sent to specified Pub/Sub topic. The message data will be JSON string of a Operation. Format of the Pub/Sub topic is `projects/{project}/topics/{topic}`." }, "inputConfig": { "$ref": "GoogleCloudRetailV2alphaCompletionDataInputConfig", "description": "Required. The desired input location of the data." } }, "id": "GoogleCloudRetailV2alphaImportCompletionDataRequest" }, "GoogleCloudRetailV2alphaRuleBoostAction": { "id": "GoogleCloudRetailV2alphaRuleBoostAction", "type": "object", "properties": { "boost": { "description": "Strength of the condition boost, which must be in [-1, 1]. Negative boost means demotion. Default is 0.0. Setting to 1.0 gives the item a big promotion. However, it does not necessarily mean that the boosted item will be the top result at all times, nor that other items will be excluded. Results could still be shown even when none of them matches the condition. And results that are significantly more relevant to the search query can still trump your heavily favored but irrelevant items. Setting to -1.0 gives the item a big demotion. However, results that are deeply relevant might still be shown. The item will have an upstream battle to get a fairly high ranking, but it is not blocked out completely. Setting to 0.0 means no boost applied. The boosting condition is ignored.", "type": "number", "format": "float" }, "productsFilter": { "description": "The filter can have a max size of 5000 characters. An expression which specifies which products to apply an action to. The syntax and supported fields are the same as a filter expression. See SearchRequest.filter for detail syntax and limitations. Examples: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh To boost products with product ID \"product_1\" or \"product_2\", and color \"Red\" or \"Blue\": *(id: ANY(\"product_1\", \"product_2\")) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh *AND LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh *(colorFamilies: ANY(\"Red\", \"Blue\")) *", "type": "string" } }, "description": "A boost action to apply to results matching condition specified above." }, "GoogleCloudRetailV2alphaAddFulfillmentPlacesMetadata": { "type": "object", "properties": {}, "id": "GoogleCloudRetailV2alphaAddFulfillmentPlacesMetadata", "description": "Metadata related to the progress of the AddFulfillmentPlaces operation. Currently empty because there is no meaningful metadata populated from the ProductService.AddFulfillmentPlaces method." }, "GoogleCloudRetailV2ImportErrorsConfig": { "type": "object", "properties": { "gcsPrefix": { "type": "string", "description": "Google Cloud Storage prefix for import errors. This must be an empty, existing Cloud Storage directory. Import errors will be written to sharded files in this directory, one per line, as a JSON-encoded `google.rpc.Status` message." } }, "description": "Configuration of destination for Import related errors.", "id": "GoogleCloudRetailV2ImportErrorsConfig" }, "GoogleCloudRetailV2alphaPromotion": { "properties": { "promotionId": { "description": "Promotion identifier, which is the final component of name. For example, this field is \"free_gift\", if name is `projects/*/locations/global/catalogs/default_catalog/promotions/free_gift`. The value must be a UTF-8 encoded string with a length limit of 128 characters, and match the pattern: `a-zA-Z*`. For example, id0LikeThis or ID_1_LIKE_THIS. Otherwise, an INVALID_ARGUMENT error is returned. Corresponds to Google Merchant Center property [promotion_id](https://support.google.com/merchants/answer/7050148).", "type": "string" } }, "description": "Promotion specification.", "id": "GoogleCloudRetailV2alphaPromotion", "type": "object" }, "GoogleCloudRetailV2betaRemoveFulfillmentPlacesResponse": { "description": "Response of the RemoveFulfillmentPlacesRequest. Currently empty because there is no meaningful response populated from the ProductService.RemoveFulfillmentPlaces method.", "type": "object", "properties": {}, "id": "GoogleCloudRetailV2betaRemoveFulfillmentPlacesResponse" }, "GoogleCloudRetailV2alphaProductDetail": { "properties": { "product": { "description": "Required. Product information. Required field(s): LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Product.id Optional override field(s): LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Product.price_info If any supported optional fields are provided, we will treat them as a full override when looking up product information from the catalog. Thus, it is important to ensure that the overriding fields are accurate and complete. All other product fields are ignored and instead populated via catalog lookup after event ingestion.", "$ref": "GoogleCloudRetailV2alphaProduct" }, "quantity": { "type": "integer", "format": "int32", "description": "Quantity of the product associated with the user event. For example, this field will be 2 if two products are added to the shopping cart for `purchase-complete` event. Required for `add-to-cart` and `purchase-complete` event types." } }, "type": "object", "description": "Detailed product information associated with a user event.", "id": "GoogleCloudRetailV2alphaProductDetail" }, "GoogleCloudRetailV2alphaAddLocalInventoriesResponse": { "type": "object", "description": "Response of the ProductService.AddLocalInventories API. Currently empty because there is no meaningful response populated from the ProductService.AddLocalInventories method.", "id": "GoogleCloudRetailV2alphaAddLocalInventoriesResponse", "properties": {} }, "GoogleCloudRetailV2AddFulfillmentPlacesResponse": { "description": "Response of the AddFulfillmentPlacesRequest. Currently empty because there is no meaningful response populated from the ProductService.AddFulfillmentPlaces method.", "properties": {}, "type": "object", "id": "GoogleCloudRetailV2AddFulfillmentPlacesResponse" }, "GoogleCloudRetailV2alphaInterval": { "type": "object", "properties": { "maximum": { "type": "number", "format": "double", "description": "Inclusive upper bound." }, "minimum": { "description": "Inclusive lower bound.", "format": "double", "type": "number" }, "exclusiveMinimum": { "type": "number", "description": "Exclusive lower bound.", "format": "double" }, "exclusiveMaximum": { "format": "double", "description": "Exclusive upper bound.", "type": "number" } }, "description": "A floating point interval.", "id": "GoogleCloudRetailV2alphaInterval" }, "GoogleCloudRetailV2betaImportErrorsConfig": { "type": "object", "properties": { "gcsPrefix": { "type": "string", "description": "Google Cloud Storage prefix for import errors. This must be an empty, existing Cloud Storage directory. Import errors will be written to sharded files in this directory, one per line, as a JSON-encoded `google.rpc.Status` message." } }, "description": "Configuration of destination for Import related errors.", "id": "GoogleCloudRetailV2betaImportErrorsConfig" }, "GoogleCloudRetailV2alphaRemoveLocalInventoriesResponse": { "description": "Response of the ProductService.RemoveLocalInventories API. Currently empty because there is no meaningful response populated from the ProductService.RemoveLocalInventories method.", "properties": {}, "type": "object", "id": "GoogleCloudRetailV2alphaRemoveLocalInventoriesResponse" }, "GoogleCloudRetailV2alphaExportProductsResponse": { "properties": { "errorsConfig": { "description": "This field is never set.", "$ref": "GoogleCloudRetailV2alphaExportErrorsConfig" }, "errorSamples": { "type": "array", "description": "A sample of errors encountered while processing the request.", "items": { "$ref": "GoogleRpcStatus" } } }, "description": "Response of the ExportProductsRequest. If the long running operation is done, then this message is returned by the google.longrunning.Operations.response field if the operation was successful.", "type": "object", "id": "GoogleCloudRetailV2alphaExportProductsResponse" }, "GoogleCloudRetailV2betaImportProductsResponse": { "id": "GoogleCloudRetailV2betaImportProductsResponse", "type": "object", "description": "Response of the ImportProductsRequest. If the long running operation is done, then this message is returned by the google.longrunning.Operations.response field if the operation was successful.", "properties": { "errorSamples": { "type": "array", "description": "A sample of errors encountered while processing the request.", "items": { "$ref": "GoogleRpcStatus" } }, "errorsConfig": { "$ref": "GoogleCloudRetailV2betaImportErrorsConfig", "description": "Echoes the destination for the complete errors in the request if set." } } }, "GoogleCloudRetailV2alphaColorInfo": { "id": "GoogleCloudRetailV2alphaColorInfo", "description": "The color information of a Product.", "properties": { "colors": { "type": "array", "items": { "type": "string" }, "description": "The color display names, which may be different from standard color family names, such as the color aliases used in the website frontend. Normally it is expected to have only 1 color. May consider using single \"Mixed\" instead of multiple values. A maximum of 25 colors are allowed. Each value must be a UTF-8 encoded string with a length limit of 128 characters. Otherwise, an INVALID_ARGUMENT error is returned. Google Merchant Center property [color](https://support.google.com/merchants/answer/6324487). Schema.org property [Product.color](https://schema.org/color)." }, "colorFamilies": { "type": "array", "items": { "type": "string" }, "description": "The standard color families. Strongly recommended to use the following standard color groups: \"Red\", \"Pink\", \"Orange\", \"Yellow\", \"Purple\", \"Green\", \"Cyan\", \"Blue\", \"Brown\", \"White\", \"Gray\", \"Black\" and \"Mixed\". Normally it is expected to have only 1 color family. May consider using single \"Mixed\" instead of multiple values. A maximum of 5 values are allowed. Each value must be a UTF-8 encoded string with a length limit of 128 characters. Otherwise, an INVALID_ARGUMENT error is returned. Google Merchant Center property [color](https://support.google.com/merchants/answer/6324487). Schema.org property [Product.color](https://schema.org/color)." } }, "type": "object" }, "GoogleCloudRetailV2alphaRuleDoNotAssociateAction": { "description": "Prevents `query_term` from being associated with specified terms during search. Example: Don't associate \"gShoe\" and \"cheap\".", "properties": { "doNotAssociateTerms": { "description": "Cannot contain duplicates or the query term. Can specify up to 100 terms.", "items": { "type": "string" }, "type": "array" }, "queryTerms": { "items": { "type": "string" }, "description": "Terms from the search query. Will not consider do_not_associate_terms for search if in search query. Can specify up to 100 terms.", "type": "array" }, "terms": { "description": "Will be [deprecated = true] post migration;", "items": { "type": "string" }, "type": "array" } }, "type": "object", "id": "GoogleCloudRetailV2alphaRuleDoNotAssociateAction" }, "GoogleCloudRetailV2alphaPurgeUserEventsRequest": { "type": "object", "description": "Request message for PurgeUserEvents method.", "properties": { "force": { "description": "Actually perform the purge. If `force` is set to false, the method will return the expected purge count without deleting any user events.", "type": "boolean" }, "filter": { "type": "string", "description": "Required. The filter string to specify the events to be deleted with a length limit of 5,000 characters. Empty string filter is not allowed. The eligible fields for filtering are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `eventType`: Double quoted UserEvent.event_type string. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `eventTime`: in ISO 8601 \"zulu\" format. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `visitorId`: Double quoted string. Specifying this will delete all events associated with a visitor. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `userId`: Double quoted string. Specifying this will delete all events associated with a user. Examples: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Deleting all events in a time range: `eventTime \u003e \"2012-04-23T18:25:43.511Z\" eventTime \u003c \"2012-04-23T18:30:43.511Z\"` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Deleting specific eventType in time range: `eventTime \u003e \"2012-04-23T18:25:43.511Z\" eventType = \"detail-page-view\"` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Deleting all events for a specific visitor: `visitorId = \"visitor1024\"` The filtering fields are assumed to have an implicit AND." } }, "id": "GoogleCloudRetailV2alphaPurgeUserEventsRequest" }, "GoogleCloudRetailV2alphaRuleOnewaySynonymsAction": { "properties": { "queryTerms": { "items": { "type": "string" }, "type": "array", "description": "Terms from the search query. Will treat synonyms as their synonyms. Not themselves synonyms of the synonyms. Can specify up to 100 terms." }, "onewayTerms": { "description": "Will be [deprecated = true] post migration;", "type": "array", "items": { "type": "string" } }, "synonyms": { "items": { "type": "string" }, "description": "Defines a set of synonyms. Cannot contain duplicates. Can specify up to 100 synonyms.", "type": "array" } }, "description": "Maps a set of terms to a set of synonyms. Set of synonyms will be treated as synonyms of each query term only. `query_terms` will not be treated as synonyms of each other. Example: \"sneakers\" will use a synonym of \"shoes\". \"shoes\" will not use a synonym of \"sneakers\".", "type": "object", "id": "GoogleCloudRetailV2alphaRuleOnewaySynonymsAction" }, "GoogleCloudRetailV2alphaSearchRequestBoostSpec": { "id": "GoogleCloudRetailV2alphaSearchRequestBoostSpec", "properties": { "conditionBoostSpecs": { "description": "Condition boost specifications. If a product matches multiple conditions in the specifictions, boost scores from these specifications are all applied and combined in a non-linear way. Maximum number of specifications is 20.", "type": "array", "items": { "$ref": "GoogleCloudRetailV2alphaSearchRequestBoostSpecConditionBoostSpec" } }, "skipBoostSpecValidation": { "description": "Whether to skip boostspec validation. If this field is set to true, invalid BoostSpec.condition_boost_specs will be ignored and valid BoostSpec.condition_boost_specs will still be applied.", "type": "boolean" } }, "type": "object", "description": "Boost specification to boost certain items." }, "GoogleCloudRetailV2betaExportErrorsConfig": { "type": "object", "id": "GoogleCloudRetailV2betaExportErrorsConfig", "description": "Configuration of destination for Export related errors.", "properties": { "gcsPrefix": { "description": "Google Cloud Storage path for import errors. This must be an empty, existing Cloud Storage bucket. Export errors will be written to a file in this bucket, one per line, as a JSON-encoded `google.rpc.Status` message.", "type": "string" } } }, "GoogleCloudRetailV2betaPurgeUserEventsResponse": { "properties": { "purgedEventsCount": { "type": "string", "description": "The total count of events purged as a result of the operation.", "format": "int64" } }, "description": "Response of the PurgeUserEventsRequest. If the long running operation is successfully done, then this message is returned by the google.longrunning.Operations.response field.", "id": "GoogleCloudRetailV2betaPurgeUserEventsResponse", "type": "object" }, "GoogleCloudRetailV2alphaListProductsResponse": { "id": "GoogleCloudRetailV2alphaListProductsResponse", "properties": { "products": { "items": { "$ref": "GoogleCloudRetailV2alphaProduct" }, "type": "array", "description": "The Products." }, "totalSize": { "description": "The total count of matched Products irrespective of pagination. The total number of Products returned by pagination may be less than the total_size that matches. This field is ignored if ListProductsRequest.require_total_size is not set or ListProductsRequest.page_token is not empty.", "format": "int32", "type": "integer" }, "nextPageToken": { "type": "string", "description": "A token that can be sent as ListProductsRequest.page_token to retrieve the next page. If this field is omitted, there are no subsequent pages." } }, "description": "Response message for ProductService.ListProducts method.", "type": "object" }, "GoogleCloudRetailV2alphaPurgeUserEventsResponse": { "properties": { "purgedEventsCount": { "description": "The total count of events purged as a result of the operation.", "type": "string", "format": "int64" } }, "id": "GoogleCloudRetailV2alphaPurgeUserEventsResponse", "type": "object", "description": "Response of the PurgeUserEventsRequest. If the long running operation is successfully done, then this message is returned by the google.longrunning.Operations.response field." }, "GoogleCloudRetailV2alphaCompletionDetail": { "description": "Detailed completion information including completion attribution token and clicked completion info.", "properties": { "selectedPosition": { "type": "integer", "description": "End user selected CompleteQueryResponse.CompletionResult.suggestion position, starting from 0.", "format": "int32" }, "completionAttributionToken": { "description": "Completion attribution token in CompleteQueryResponse.attribution_token.", "type": "string" }, "selectedSuggestion": { "type": "string", "description": "End user selected CompleteQueryResponse.CompletionResult.suggestion." } }, "type": "object", "id": "GoogleCloudRetailV2alphaCompletionDetail" }, "GoogleCloudRetailV2betaExportUserEventsResponse": { "type": "object", "id": "GoogleCloudRetailV2betaExportUserEventsResponse", "description": "Response of the ExportUserEventsRequest. If the long running operation was successful, then this message is returned by the google.longrunning.Operations.response field if the operation was successful.", "properties": { "errorsConfig": { "$ref": "GoogleCloudRetailV2betaExportErrorsConfig", "description": "This field is never set." }, "errorSamples": { "items": { "$ref": "GoogleRpcStatus" }, "description": "A sample of errors encountered while processing the request.", "type": "array" } } }, "GoogleCloudRetailV2alphaUserEventInputConfig": { "id": "GoogleCloudRetailV2alphaUserEventInputConfig", "description": "The input config source for user events.", "type": "object", "properties": { "userEventInlineSource": { "description": "Required. The Inline source for the input content for UserEvents.", "$ref": "GoogleCloudRetailV2alphaUserEventInlineSource" }, "bigQuerySource": { "description": "Required. BigQuery input source.", "$ref": "GoogleCloudRetailV2alphaBigQuerySource" }, "gcsSource": { "description": "Required. Google Cloud Storage location for the input content.", "$ref": "GoogleCloudRetailV2alphaGcsSource" } } }, "GoogleCloudRetailV2alphaSearchResponse": { "description": "Response message for SearchService.Search method.", "properties": { "invalidConditionBoostSpecs": { "items": { "$ref": "GoogleCloudRetailV2alphaSearchRequestBoostSpecConditionBoostSpec" }, "description": "The invalid SearchRequest.BoostSpec.condition_boost_specs that are not applied during serving.", "type": "array" }, "appliedControls": { "description": "The fully qualified resource name of applied [controls](https://cloud.google.com/retail/docs/serving-control-rules).", "items": { "type": "string" }, "type": "array" }, "nextPageToken": { "type": "string", "description": "A token that can be sent as SearchRequest.page_token to retrieve the next page. If this field is omitted, there are no subsequent pages." }, "correctedQuery": { "type": "string", "description": "Contains the spell corrected query, if found. If the spell correction type is AUTOMATIC, then the search results are based on corrected_query. Otherwise the original query will be used for search." }, "totalSize": { "type": "integer", "format": "int32", "description": "The estimated total count of matched items irrespective of pagination. The count of results returned by pagination may be less than the total_size that matches." }, "attributionToken": { "type": "string", "description": "A unique search token. This should be included in the UserEvent logs resulting from this search, which enables accurate attribution of search model performance." }, "redirectUri": { "description": "The URI of a customer-defined redirect page. If redirect action is triggered, no search is performed, and only redirect_uri and attribution_token are set in the response.", "type": "string" }, "queryExpansionInfo": { "description": "Query expansion information for the returned results.", "$ref": "GoogleCloudRetailV2alphaSearchResponseQueryExpansionInfo" }, "results": { "type": "array", "items": { "$ref": "GoogleCloudRetailV2alphaSearchResponseSearchResult" }, "description": "A list of matched items. The order represents the ranking." }, "facets": { "type": "array", "items": { "$ref": "GoogleCloudRetailV2alphaSearchResponseFacet" }, "description": "Results of facets requested by user." } }, "type": "object", "id": "GoogleCloudRetailV2alphaSearchResponse" }, "GoogleCloudRetailV2alphaPurgeProductsMetadata": { "id": "GoogleCloudRetailV2alphaPurgeProductsMetadata", "type": "object", "description": "Metadata related to the progress of the PurgeProducts operation. This will be returned by the google.longrunning.Operation.metadata field.", "properties": { "successCount": { "description": "Count of entries that were deleted successfully.", "type": "string", "format": "int64" }, "createTime": { "description": "Operation create time.", "format": "google-datetime", "type": "string" }, "updateTime": { "description": "Operation last update time. If the operation is done, this is also the finish time.", "format": "google-datetime", "type": "string" }, "failureCount": { "type": "string", "format": "int64", "description": "Count of entries that encountered errors while processing." } } }, "GoogleCloudRetailV2alphaAttributesConfig": { "type": "object", "id": "GoogleCloudRetailV2alphaAttributesConfig", "description": "Catalog level attribute config.", "properties": { "catalogAttributes": { "description": "Enable attribute(s) config at catalog level. For example, indexable, dynamic_facetable, or searchable for each attribute. The key is catalog attribute's name. For example: `color`, `brands`, `attributes.custom_attribute`, such as `attributes.xyz`. The maximum number of catalog attributes allowed in a request is 1000.", "type": "object", "additionalProperties": { "$ref": "GoogleCloudRetailV2alphaCatalogAttribute" } }, "name": { "description": "Required. Immutable. The fully qualified resource name of the attribute config. Format: `projects/*/locations/*/catalogs/*/attributesConfig`", "type": "string" }, "attributeConfigLevel": { "enumDescriptions": [ "Value used when unset. Defaults to CATALOG_LEVEL_ATTRIBUTE_CONFIG.", "At this level, we honor the attribute configurations set in Product.attributes.", "At this level, we honor the attribute configurations set in CatalogConfig.attribute_configs." ], "enum": [ "ATTRIBUTE_CONFIG_LEVEL_UNSPECIFIED", "PRODUCT_LEVEL_ATTRIBUTE_CONFIG", "CATALOG_LEVEL_ATTRIBUTE_CONFIG" ], "type": "string", "description": "Output only. The AttributeConfigLevel used for this catalog.", "readOnly": true } } }, "GoogleCloudRetailV2alphaAddControlRequest": { "type": "object", "properties": { "controlId": { "type": "string", "description": "Required. The id of the control to apply. Assumed to be in the same catalog as the serving config - if id is not found a NOT_FOUND error is returned." } }, "description": "Request for AddControl method.", "id": "GoogleCloudRetailV2alphaAddControlRequest" }, "GoogleCloudRetailV2alphaExportMetadata": { "description": "Metadata related to the progress of the Export operation. This will be returned by the google.longrunning.Operation.metadata field.", "id": "GoogleCloudRetailV2alphaExportMetadata", "properties": { "createTime": { "format": "google-datetime", "type": "string", "description": "Operation create time." }, "updateTime": { "type": "string", "format": "google-datetime", "description": "Operation last update time. If the operation is done, this is also the finish time." } }, "type": "object" }, "GoogleCloudRetailV2alphaImportProductsResponse": { "type": "object", "description": "Response of the ImportProductsRequest. If the long running operation is done, then this message is returned by the google.longrunning.Operations.response field if the operation was successful.", "id": "GoogleCloudRetailV2alphaImportProductsResponse", "properties": { "errorSamples": { "items": { "$ref": "GoogleRpcStatus" }, "description": "A sample of errors encountered while processing the request.", "type": "array" }, "errorsConfig": { "description": "Echoes the destination for the complete errors in the request if set.", "$ref": "GoogleCloudRetailV2alphaImportErrorsConfig" } } }, "GoogleCloudRetailV2alphaSearchRequestSpellCorrectionSpec": { "type": "object", "description": "The specification for query spell correction.", "id": "GoogleCloudRetailV2alphaSearchRequestSpellCorrectionSpec", "properties": { "mode": { "description": "The mode under which spell correction should take effect to replace the original search query. Default to Mode.AUTO.", "enumDescriptions": [ "Unspecified spell correction mode. This defaults to Mode.AUTO.", "Google Retail Search will try to find a spell suggestion if there is any and put in the SearchResponse.corrected_query. The spell suggestion will not be used as the search query.", "Automatic spell correction built by Google Retail Search. Search will be based on the corrected query if found." ], "enum": [ "MODE_UNSPECIFIED", "SUGGESTION_ONLY", "AUTO" ], "type": "string" } } }, "GoogleCloudRetailV2alphaSearchRequestFacetSpec": { "properties": { "facetKey": { "$ref": "GoogleCloudRetailV2alphaSearchRequestFacetSpecFacetKey", "description": "Required. The facet key specification." }, "enableDynamicPosition": { "description": "Enables dynamic position for this facet. If set to true, the position of this facet among all facets in the response is determined by Google Retail Search. It will be ordered together with dynamic facets if dynamic facets is enabled. If set to false, the position of this facet in the response will be the same as in the request, and it will be ranked before the facets with dynamic position enable and all dynamic facets. For example, you may always want to have rating facet returned in the response, but it's not necessarily to always display the rating facet at the top. In that case, you can set enable_dynamic_position to true so that the position of rating facet in response will be determined by Google Retail Search. Another example, assuming you have the following facets in the request: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"rating\", enable_dynamic_position = true LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"price\", enable_dynamic_position = false LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"brands\", enable_dynamic_position = false And also you have a dynamic facets enable, which will generate a facet 'gender'. Then the final order of the facets in the response can be (\"price\", \"brands\", \"rating\", \"gender\") or (\"price\", \"brands\", \"gender\", \"rating\") depends on how Google Retail Search orders \"gender\" and \"rating\" facets. However, notice that \"price\" and \"brands\" will always be ranked at 1st and 2nd position since their enable_dynamic_position are false.", "type": "boolean" }, "excludedFilterKeys": { "type": "array", "description": "List of keys to exclude when faceting. By default, FacetKey.key is not excluded from the filter unless it is listed in this field. Listing a facet key in this field allows its values to appear as facet results, even when they are filtered out of search results. Using this field does not affect what search results are returned. For example, suppose there are 100 products with the color facet \"Red\" and 200 products with the color facet \"Blue\". A query containing the filter \"colorFamilies:ANY(\"Red\")\" and having \"colorFamilies\" as FacetKey.key would by default return only \"Red\" products in the search results, and also return \"Red\" with count 100 as the only color facet. Although there are also blue products available, \"Blue\" would not be shown as an available facet value. If \"colorFamilies\" is listed in \"excludedFilterKeys\", then the query returns the facet values \"Red\" with count 100 and \"Blue\" with count 200, because the \"colorFamilies\" key is now excluded from the filter. Because this field doesn't affect search results, the search results are still correctly filtered to return only \"Red\" products. A maximum of 100 values are allowed. Otherwise, an INVALID_ARGUMENT error is returned.", "items": { "type": "string" } }, "limit": { "type": "integer", "format": "int32", "description": "Maximum of facet values that should be returned for this facet. If unspecified, defaults to 20. The maximum allowed value is 300. Values above 300 will be coerced to 300. If this field is negative, an INVALID_ARGUMENT is returned." } }, "type": "object", "id": "GoogleCloudRetailV2alphaSearchRequestFacetSpec", "description": "A facet specification to perform faceted search." }, "GoogleCloudRetailV2betaAddLocalInventoriesResponse": { "description": "Response of the ProductService.AddLocalInventories API. Currently empty because there is no meaningful response populated from the ProductService.AddLocalInventories method.", "id": "GoogleCloudRetailV2betaAddLocalInventoriesResponse", "properties": {}, "type": "object" }, "GoogleCloudRetailV2alphaSetDefaultBranchRequest": { "description": "Request message to set a specified branch as new default_branch.", "id": "GoogleCloudRetailV2alphaSetDefaultBranchRequest", "properties": { "note": { "description": "Some note on this request, this can be retrieved by CatalogService.GetDefaultBranch before next valid default branch set occurs. This field must be a UTF-8 encoded string with a length limit of 1,000 characters. Otherwise, an INVALID_ARGUMENT error is returned.", "type": "string" }, "force": { "type": "boolean", "description": "If set to true, it permits switching to a branch with branch_id even if it has no sufficient active products." }, "branchId": { "description": "The final component of the resource name of a branch. This field must be one of \"0\", \"1\" or \"2\". Otherwise, an INVALID_ARGUMENT error is returned. If there are no sufficient active products in the targeted branch and force is not set, a FAILED_PRECONDITION error is returned.", "type": "string" } }, "type": "object" }, "GoogleCloudRetailV2alphaFulfillmentInfo": { "type": "object", "id": "GoogleCloudRetailV2alphaFulfillmentInfo", "description": "Fulfillment information, such as the store IDs for in-store pickup or region IDs for different shipping methods.", "properties": { "type": { "description": "The fulfillment type, including commonly used types (such as pickup in store and same day delivery), and custom types. Customers have to map custom types to their display names before rendering UI. Supported values: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"pickup-in-store\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"ship-to-store\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"same-day-delivery\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"next-day-delivery\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"custom-type-1\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"custom-type-2\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"custom-type-3\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"custom-type-4\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"custom-type-5\" If this field is set to an invalid value other than these, an INVALID_ARGUMENT error is returned.", "type": "string" }, "placeIds": { "description": "The IDs for this type, such as the store IDs for FulfillmentInfo.type.pickup-in-store or the region IDs for FulfillmentInfo.type.same-day-delivery. A maximum of 3000 values are allowed. Each value must be a string with a length limit of 30 characters, matching the pattern `[a-zA-Z0-9_-]+`, such as \"store1\" or \"REGION-2\". Otherwise, an INVALID_ARGUMENT error is returned.", "items": { "type": "string" }, "type": "array" } } }, "GoogleCloudRetailV2RemoveLocalInventoriesMetadata": { "type": "object", "description": "Metadata related to the progress of the RemoveLocalInventories operation. Currently empty because there is no meaningful metadata populated from the ProductService.RemoveLocalInventories method.", "id": "GoogleCloudRetailV2RemoveLocalInventoriesMetadata", "properties": {} }, "GoogleCloudRetailV2betaSetInventoryMetadata": { "id": "GoogleCloudRetailV2betaSetInventoryMetadata", "description": "Metadata related to the progress of the SetInventory operation. Currently empty because there is no meaningful metadata populated from the ProductService.SetInventory method.", "type": "object", "properties": {} }, "GoogleCloudRetailV2SetInventoryMetadata": { "properties": {}, "type": "object", "id": "GoogleCloudRetailV2SetInventoryMetadata", "description": "Metadata related to the progress of the SetInventory operation. Currently empty because there is no meaningful metadata populated from the ProductService.SetInventory method." }, "GoogleCloudRetailV2alphaServingConfig": { "properties": { "priceRerankingLevel": { "type": "string", "description": "How much price ranking we want in serving results. Price reranking causes product items with a similar recommendation probability to be ordered by price, with the highest-priced items first. This setting could result in a decrease in click-through and conversion rates. Allowed values are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh 'no-price-reranking' LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh 'low-price-raranking' LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh 'medium-price-reranking' LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh 'high-price-reranking' If not specified, we choose default based on model type. Default value: 'no-price-reranking'. Can only be set if solution_types is SOLUTION_TYPE_RECOMMENDATION." }, "displayName": { "type": "string", "description": "Required. The human readable serving config display name. Used in Retail UI. This field must be a UTF-8 encoded string with a length limit of 128 characters. Otherwise, an INVALID_ARGUMENT error is returned." }, "solutionTypes": { "items": { "type": "string", "enumDescriptions": [ "Default value.", "Used for Recommendations AI.", "Used for Retail Search." ], "enum": [ "SOLUTION_TYPE_UNSPECIFIED", "SOLUTION_TYPE_RECOMMENDATION", "SOLUTION_TYPE_SEARCH" ] }, "description": "Required. Immutable. Specifies the solution types that a serving config can be associated with. Currently we support setting only one type of solution.", "type": "array" }, "filterControlIds": { "type": "array", "items": { "type": "string" }, "description": "Condition filter specifications. If a product matches multiple conditions in the specifications, filters from these specifications are all applied and combined via the AND operator. Maximum number of specifications is 100. Can only be set if solution_types is SOLUTION_TYPE_SEARCH." }, "onewaySynonymsControlIds": { "description": "Condition oneway synonyms specifications. If multiple oneway synonyms conditions match, all matching oneway synonyms controls in the list will execute. Order of controls in the list will not matter. Maximum number of specifications is 100. Can only be set if solution_types is SOLUTION_TYPE_SEARCH.", "type": "array", "items": { "type": "string" } }, "twowaySynonymsControlIds": { "type": "array", "description": "Condition synonyms specifications. If multiple syonyms conditions match, all matching synonyms control in the list will execute. Order of controls in the list will not matter. Maximum number of specifications is 100. Can only be set if solution_types is SOLUTION_TYPE_SEARCH.", "items": { "type": "string" } }, "diversityLevel": { "type": "string", "description": "How much diversity to use in recommendation model results e.g. 'medium-diversity' or 'high-diversity'. Currently supported values: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh 'no-diversity' LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh 'low-diversity' LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh 'medium-diversity' LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh 'high-diversity' LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh 'auto-diversity' If not specified, we choose default based on recommendation model type. Default value: 'no-diversity'. Can only be set if solution_types is SOLUTION_TYPE_RECOMMENDATION." }, "ignoreControlIds": { "type": "array", "items": { "type": "string" }, "description": "Condition ignore specifications. If multiple ignore conditions match, all matching ignore controls in the list will execute. - Order does not matter. - Maximum number of specifications is 100. Can only be set if solution_types is SOLUTION_TYPE_SEARCH." }, "boostControlIds": { "type": "array", "items": { "type": "string" }, "description": "Condition boost specifications. If a product matches multiple conditions in the specifications, boost scores from these specifications are all applied and combined in a non-linear way. Maximum number of specifications is 100. Notice that if both ServingConfig.boost_control_ids and SearchRequest.boost_spec are set, the boost conditions from both places are evaluated. If a search request matches multiple boost conditions, the final boost score is equal to the sum of the boost scores from all matched boost conditions. Can only be set if solution_types is SOLUTION_TYPE_SEARCH." }, "facetControlIds": { "items": { "type": "string" }, "type": "array", "description": "Facet specifications for faceted search. If empty, no facets are returned. The ids refer to the ids of Control resources with only the Facet control set. These controls are assumed to be in the same Catalog as the ServingConfig. A maximum of 100 values are allowed. Otherwise, an INVALID_ARGUMENT error is returned. Can only be set if solution_types is SOLUTION_TYPE_SEARCH." }, "redirectControlIds": { "type": "array", "description": "Condition redirect specifications. Only the first triggered redirect action is applied, even if multiple apply. Maximum number of specifications is 1000. Can only be set if solution_types is SOLUTION_TYPE_SEARCH.", "items": { "type": "string" } }, "modelId": { "description": "The id of the model to use at serving time. Currently only RecommendationModels are supported: https://cloud.google.com/retail/recommendations-ai/docs/create-models Can be changed but only to a compatible model (e.g. others-you-may-like CTR to others-you-may-like CVR). Required when solution_types is SOLUTION_TYPE_RECOMMENDATION.", "type": "string" }, "enableCategoryFilterLevel": { "description": "Whether to add additional category filters on the 'similar-items' model. If not specified, we enable it by default. Allowed values are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh 'no-category-match': No additional filtering of original results from the model and the customer's filters. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh 'relaxed-category-match': Only keep results with categories that match at least one item categories in the PredictRequests's context item. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh If customer also sends filters in the PredictRequest, then the results will satisfy both conditions (user given and category match). Can only be set if solution_types is SOLUTION_TYPE_RECOMMENDATION.", "type": "string" }, "replacementControlIds": { "type": "array", "description": "Condition replacement specifications. - Applied according to the order in the list. - A previously replaced term can not be re-replaced. - Maximum number of specifications is 100. Can only be set if solution_types is SOLUTION_TYPE_SEARCH.", "items": { "type": "string" } }, "doNotAssociateControlIds": { "description": "Condition do not associate specifications. If multiple do not associate conditions match, all matching do not associate controls in the list will execute. - Order does not matter. - Maximum number of specifications is 100. Can only be set if solution_types is SOLUTION_TYPE_SEARCH.", "items": { "type": "string" }, "type": "array" }, "name": { "description": "Immutable. Fully qualified name `projects/*/locations/global/catalogs/*/servingConfig/*`", "type": "string" }, "dynamicFacetSpec": { "description": "The specification for dynamically generated facets. Notice that only textual facets can be dynamically generated. Can only be set if solution_types is SOLUTION_TYPE_SEARCH.", "$ref": "GoogleCloudRetailV2alphaSearchRequestDynamicFacetSpec" } }, "type": "object", "description": "Configures metadata that is used to generate serving time results (e.g. search results or recommendation predictions). The ServingConfig is passed in the search and predict request and together with the Catalog.default_branch, generates results.", "id": "GoogleCloudRetailV2alphaServingConfig" }, "GoogleCloudRetailV2alphaProductInlineSource": { "description": "The inline source for the input config for ImportProducts method.", "id": "GoogleCloudRetailV2alphaProductInlineSource", "type": "object", "properties": { "products": { "type": "array", "description": "Required. A list of products to update/create. Each product must have a valid Product.id. Recommended max of 100 items.", "items": { "$ref": "GoogleCloudRetailV2alphaProduct" } } } }, "GoogleCloudRetailV2alphaRemoveLocalInventoriesRequest": { "description": "Request message for ProductService.RemoveLocalInventories method.", "properties": { "removeTime": { "type": "string", "format": "google-datetime", "description": "The time when the inventory deletions are issued. Used to prevent out-of-order updates and deletions on local inventory fields. If not provided, the internal system time will be used." }, "allowMissing": { "type": "boolean", "description": "If set to true, and the Product is not found, the local inventory removal request will still be processed and retained for at most 1 day and processed once the Product is created. If set to false, a NOT_FOUND error is returned if the Product is not found." }, "placeIds": { "description": "Required. A list of place IDs to have their inventory deleted. At most 3000 place IDs are allowed per request.", "type": "array", "items": { "type": "string" } } }, "type": "object", "id": "GoogleCloudRetailV2alphaRemoveLocalInventoriesRequest" }, "GoogleCloudRetailV2SetInventoryResponse": { "description": "Response of the SetInventoryRequest. Currently empty because there is no meaningful response populated from the ProductService.SetInventory method.", "type": "object", "id": "GoogleCloudRetailV2SetInventoryResponse", "properties": {} }, "GoogleCloudRetailV2alphaListControlsResponse": { "id": "GoogleCloudRetailV2alphaListControlsResponse", "type": "object", "description": "Response for ListControls method.", "properties": { "nextPageToken": { "description": "Pagination token, if not returned indicates the last page.", "type": "string" }, "controls": { "type": "array", "description": "All the Controls for a given catalog.", "items": { "$ref": "GoogleCloudRetailV2alphaControl" } } } }, "GoogleCloudRetailV2alphaRejoinUserEventsMetadata": { "type": "object", "id": "GoogleCloudRetailV2alphaRejoinUserEventsMetadata", "properties": {}, "description": "Metadata for RejoinUserEvents method." }, "GoogleCloudRetailV2betaSetInventoryResponse": { "properties": {}, "description": "Response of the SetInventoryRequest. Currently empty because there is no meaningful response populated from the ProductService.SetInventory method.", "id": "GoogleCloudRetailV2betaSetInventoryResponse", "type": "object" }, "GoogleCloudRetailV2betaImportUserEventsResponse": { "type": "object", "properties": { "errorsConfig": { "$ref": "GoogleCloudRetailV2betaImportErrorsConfig", "description": "Echoes the destination for the complete errors if this field was set in the request." }, "importSummary": { "description": "Aggregated statistics of user event import status.", "$ref": "GoogleCloudRetailV2betaUserEventImportSummary" }, "errorSamples": { "description": "A sample of errors encountered while processing the request.", "items": { "$ref": "GoogleRpcStatus" }, "type": "array" } }, "description": "Response of the ImportUserEventsRequest. If the long running operation was successful, then this message is returned by the google.longrunning.Operations.response field if the operation was successful.", "id": "GoogleCloudRetailV2betaImportUserEventsResponse" }, "GoogleCloudRetailV2alphaSearchRequestDynamicFacetSpec": { "type": "object", "id": "GoogleCloudRetailV2alphaSearchRequestDynamicFacetSpec", "properties": { "mode": { "enum": [ "MODE_UNSPECIFIED", "DISABLED", "ENABLED" ], "description": "Mode of the DynamicFacet feature. Defaults to Mode.DISABLED if it's unset.", "enumDescriptions": [ "Default value.", "Disable Dynamic Facet.", "Automatic mode built by Google Retail Search." ], "type": "string" } }, "description": "The specifications of dynamically generated facets." }, "GoogleCloudRetailV2alphaImportProductsRequest": { "description": "Request message for Import methods.", "type": "object", "id": "GoogleCloudRetailV2alphaImportProductsRequest", "properties": { "updateMask": { "description": "Indicates which fields in the provided imported 'products' to update. If not set, will by default update all fields.", "type": "string", "format": "google-fieldmask" }, "reconciliationMode": { "enumDescriptions": [ "Defaults to INCREMENTAL.", "Inserts new products or updates existing products.", "Calculates diff and replaces the entire product dataset. Existing products may be deleted if they are not present in the source location. Can only be set while using BigQuerySource. And the BigQuery dataset must be created in the data location \"us (multiple regions in United States)\", otherwise a PERMISSION_DENIED error is thrown. Add the IAM permission \"BigQuery Data Viewer\" for cloud-retail-customer-data-access@system.gserviceaccount.com before using this feature otherwise an error is thrown." ], "type": "string", "enum": [ "RECONCILIATION_MODE_UNSPECIFIED", "INCREMENTAL", "FULL" ], "description": "The mode of reconciliation between existing products and the products to be imported. Defaults to ReconciliationMode.INCREMENTAL." }, "requestId": { "type": "string", "description": "Deprecated. This field has no effect." }, "notificationPubsubTopic": { "type": "string", "description": "Full Pub/Sub topic name for receiving notification. If this field is set, when the import is finished, a notification will be sent to specified Pub/Sub topic. The message data will be JSON string of a Operation. Format of the Pub/Sub topic is `projects/{project}/topics/{topic}`. It has to be within the same project as ImportProductsRequest.parent. Make sure that both `cloud-retail-customer-data-access@system.gserviceaccount.com` and `service-@gcp-sa-retail.iam.gserviceaccount.com` have the `pubsub.topics.publish` IAM permission on the topic. Only supported when ImportProductsRequest.reconciliation_mode is set to `FULL`." }, "errorsConfig": { "description": "The desired location of errors incurred during the Import.", "$ref": "GoogleCloudRetailV2alphaImportErrorsConfig" }, "inputConfig": { "$ref": "GoogleCloudRetailV2alphaProductInputConfig", "description": "Required. The desired input location of the data." }, "skipDefaultBranchProtection": { "description": "If true, will perform the FULL import even if it would delete a large proportion of the products in the default branch, which could potentially cause outages if you have live predict/search traffic. Only supported when ImportProductsRequest.reconciliation_mode is set to `FULL`.", "type": "boolean" } } }, "GoogleCloudRetailV2betaRemoveLocalInventoriesMetadata": { "id": "GoogleCloudRetailV2betaRemoveLocalInventoriesMetadata", "properties": {}, "description": "Metadata related to the progress of the RemoveLocalInventories operation. Currently empty because there is no meaningful metadata populated from the ProductService.RemoveLocalInventories method.", "type": "object" }, "GoogleCloudRetailV2ImportProductsResponse": { "type": "object", "id": "GoogleCloudRetailV2ImportProductsResponse", "description": "Response of the ImportProductsRequest. If the long running operation is done, then this message is returned by the google.longrunning.Operations.response field if the operation was successful.", "properties": { "errorSamples": { "description": "A sample of errors encountered while processing the request.", "type": "array", "items": { "$ref": "GoogleRpcStatus" } }, "errorsConfig": { "$ref": "GoogleCloudRetailV2ImportErrorsConfig", "description": "Echoes the destination for the complete errors in the request if set." } } }, "GoogleCloudRetailV2RejoinUserEventsResponse": { "properties": { "rejoinedUserEventsCount": { "type": "string", "format": "int64", "description": "Number of user events that were joined with latest product catalog." } }, "description": "Response message for RejoinUserEvents method.", "type": "object", "id": "GoogleCloudRetailV2RejoinUserEventsResponse" }, "GoogleCloudRetailV2alphaCustomAttribute": { "properties": { "indexable": { "description": "This field is normally ignored unless AttributesConfig.attribute_config_level of the Catalog is set to the deprecated 'PRODUCT_LEVEL_ATTRIBUTE_CONFIG' mode. For information about product-level attribute configuration, see [Configuration modes](https://cloud.google.com/retail/docs/attribute-config#config-modes). If true, custom attribute values are indexed, so that they can be filtered, faceted or boosted in SearchService.Search. This field is ignored in a UserEvent. See SearchRequest.filter, SearchRequest.facet_specs and SearchRequest.boost_spec for more details.", "type": "boolean" }, "searchable": { "type": "boolean", "description": "This field is normally ignored unless AttributesConfig.attribute_config_level of the Catalog is set to the deprecated 'PRODUCT_LEVEL_ATTRIBUTE_CONFIG' mode. For information about product-level attribute configuration, see [Configuration modes](https://cloud.google.com/retail/docs/attribute-config#config-modes). If true, custom attribute values are searchable by text queries in SearchService.Search. This field is ignored in a UserEvent. Only set if type text is set. Otherwise, a INVALID_ARGUMENT error is returned." }, "numbers": { "description": "The numerical values of this custom attribute. For example, `[2.3, 15.4]` when the key is \"lengths_cm\". Exactly one of text or numbers should be set. Otherwise, an INVALID_ARGUMENT error is returned.", "type": "array", "items": { "format": "double", "type": "number" } }, "text": { "items": { "type": "string" }, "type": "array", "description": "The textual values of this custom attribute. For example, `[\"yellow\", \"green\"]` when the key is \"color\". Empty string is not allowed. Otherwise, an INVALID_ARGUMENT error is returned. Exactly one of text or numbers should be set. Otherwise, an INVALID_ARGUMENT error is returned." } }, "type": "object", "id": "GoogleCloudRetailV2alphaCustomAttribute", "description": "A custom attribute that is not explicitly modeled in Product." }, "GoogleCloudRetailV2alphaProductInputConfig": { "properties": { "gcsSource": { "description": "Google Cloud Storage location for the input content.", "$ref": "GoogleCloudRetailV2alphaGcsSource" }, "bigQuerySource": { "$ref": "GoogleCloudRetailV2alphaBigQuerySource", "description": "BigQuery input source." }, "productInlineSource": { "$ref": "GoogleCloudRetailV2alphaProductInlineSource", "description": "The Inline source for the input content for products." } }, "type": "object", "id": "GoogleCloudRetailV2alphaProductInputConfig", "description": "The input config source for products." }, "GoogleCloudRetailV2alphaImportUserEventsResponse": { "type": "object", "properties": { "errorSamples": { "type": "array", "items": { "$ref": "GoogleRpcStatus" }, "description": "A sample of errors encountered while processing the request." }, "importSummary": { "description": "Aggregated statistics of user event import status.", "$ref": "GoogleCloudRetailV2alphaUserEventImportSummary" }, "errorsConfig": { "description": "Echoes the destination for the complete errors if this field was set in the request.", "$ref": "GoogleCloudRetailV2alphaImportErrorsConfig" } }, "id": "GoogleCloudRetailV2alphaImportUserEventsResponse", "description": "Response of the ImportUserEventsRequest. If the long running operation was successful, then this message is returned by the google.longrunning.Operations.response field if the operation was successful." }, "GoogleRpcStatus": { "id": "GoogleRpcStatus", "description": "The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors).", "type": "object", "properties": { "message": { "type": "string", "description": "A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client." }, "code": { "description": "The status code, which should be an enum value of google.rpc.Code.", "type": "integer", "format": "int32" }, "details": { "type": "array", "items": { "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "type": "object" }, "description": "A list of messages that carry the error details. There is a common set of message types for APIs to use." } } }, "GoogleCloudRetailV2alphaListServingConfigsResponse": { "description": "Response for ListServingConfigs method.", "type": "object", "id": "GoogleCloudRetailV2alphaListServingConfigsResponse", "properties": { "nextPageToken": { "type": "string", "description": "Pagination token, if not returned indicates the last page." }, "servingConfigs": { "description": "All the ServingConfigs for a given catalog.", "items": { "$ref": "GoogleCloudRetailV2alphaServingConfig" }, "type": "array" } } }, "GoogleCloudRetailV2alphaCondition": { "type": "object", "description": "Metadata that is used to define a condition that triggers an action. A valid condition must specify at least one of 'query_terms' or 'products_filter'. If multiple fields are specified, the condition is met if all the fields are satisfied e.g. if a set of query terms and product_filter are set, then only items matching the product_filter for requests with a query matching the query terms wil get boosted.", "id": "GoogleCloudRetailV2alphaCondition", "properties": { "activeTimeRange": { "description": "Range of time(s) specifying when Condition is active. Condition true if any time range matches.", "items": { "$ref": "GoogleCloudRetailV2alphaConditionTimeRange" }, "type": "array" }, "queryTerms": { "items": { "$ref": "GoogleCloudRetailV2alphaConditionQueryTerm" }, "type": "array", "description": "A list (up to 10 entries) of terms to match the query on. If not specified, match all queries. If many query terms are specified, the condition is matched if any of the terms is a match (i.e. using the OR operator)." } } }, "GoogleCloudRetailLoggingImportErrorContext": { "properties": { "lineNumber": { "type": "string", "description": "Line number of the content in file. Should be empty for permission or batch operation error." }, "userEvent": { "type": "string", "description": "The detailed content which caused the error on importing a user event." }, "product": { "type": "string", "description": "The detailed content which caused the error on importing a product." }, "operationName": { "type": "string", "description": "The operation resource name of the LRO." }, "catalogItem": { "type": "string", "description": "The detailed content which caused the error on importing a catalog item." }, "gcsPath": { "type": "string", "description": "Cloud Storage file path of the import source. Can be set for batch operation error." } }, "description": "The error payload that is populated on LRO import APIs. Including: \"google.cloud.retail.v2.ProductService.ImportProducts\" \"google.cloud.retail.v2.EventService.ImportUserEvents\"", "type": "object", "id": "GoogleCloudRetailLoggingImportErrorContext" }, "GoogleCloudRetailV2alphaSearchRequest": { "properties": { "queryExpansionSpec": { "$ref": "GoogleCloudRetailV2alphaSearchRequestQueryExpansionSpec", "description": "The query expansion specification that specifies the conditions under which query expansion will occur. See more details at this [user guide](https://cloud.google.com/retail/docs/result-size#query_expansion)." }, "facetSpecs": { "items": { "$ref": "GoogleCloudRetailV2alphaSearchRequestFacetSpec" }, "description": "Facet specifications for faceted search. If empty, no facets are returned. A maximum of 100 values are allowed. Otherwise, an INVALID_ARGUMENT error is returned.", "type": "array" }, "filter": { "description": "The filter syntax consists of an expression language for constructing a predicate from one or more fields of the products being filtered. Filter expression is case-sensitive. See more details at this [user guide](https://cloud.google.com/retail/docs/filter-and-order#filter). If this field is unrecognizable, an INVALID_ARGUMENT is returned.", "type": "string" }, "visitorId": { "type": "string", "description": "Required. A unique identifier for tracking visitors. For example, this could be implemented with an HTTP cookie, which should be able to uniquely identify a visitor on a single device. This unique identifier should not change if the visitor logs in or out of the website. This should be the same identifier as UserEvent.visitor_id. The field must be a UTF-8 encoded string with a length limit of 128 characters. Otherwise, an INVALID_ARGUMENT error is returned." }, "relevanceThreshold": { "description": "The relevance threshold of the search results. Defaults to RelevanceThreshold.HIGH, which means only the most relevant results are shown, and the least number of results are returned. See more details at this [user guide](https://cloud.google.com/retail/docs/result-size#relevance_thresholding).", "type": "string", "enum": [ "RELEVANCE_THRESHOLD_UNSPECIFIED", "HIGH", "MEDIUM", "LOW", "LOWEST" ], "enumDescriptions": [ "Default value. Defaults to RelevanceThreshold.HIGH.", "High relevance threshold.", "Medium relevance threshold.", "Low relevance threshold.", "Lowest relevance threshold." ] }, "query": { "type": "string", "description": "Raw search query. If this field is empty, the request is considered a category browsing request and returned results are based on filter and page_categories." }, "pageSize": { "type": "integer", "format": "int32", "description": "Maximum number of Products to return. If unspecified, defaults to a reasonable value. The maximum allowed value is 120. Values above 120 will be coerced to 120. If this field is negative, an INVALID_ARGUMENT is returned." }, "labels": { "description": "The labels applied to a resource must meet the following requirements: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Each resource can have multiple labels, up to a maximum of 64. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Each label must be a key-value pair. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Keys have a minimum length of 1 character and a maximum length of 63 characters and cannot be empty. Values can be empty and have a maximum length of 63 characters. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Keys and values can contain only lowercase letters, numeric characters, underscores, and dashes. All characters must use UTF-8 encoding, and international characters are allowed. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The key portion of a label must be unique. However, you can use the same key with multiple resources. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Keys must start with a lowercase letter or international character. See [Google Cloud Document](https://cloud.google.com/resource-manager/docs/creating-managing-labels#requirements) for more details.", "additionalProperties": { "type": "string" }, "type": "object" }, "boostSpec": { "description": "Boost specification to boost certain products. See more details at this [user guide](https://cloud.google.com/retail/docs/boosting). Notice that if both ServingConfig.boost_control_ids and SearchRequest.boost_spec are set, the boost conditions from both places are evaluated. If a search request matches multiple boost conditions, the final boost score is equal to the sum of the boost scores from all matched boost conditions.", "$ref": "GoogleCloudRetailV2alphaSearchRequestBoostSpec" }, "branch": { "type": "string", "description": "The branch resource name, such as `projects/*/locations/global/catalogs/default_catalog/branches/0`. Use \"default_branch\" as the branch ID or leave this field empty, to search products under the default branch." }, "searchMode": { "enumDescriptions": [ "Default value. In this case both product search and faceted search will be performed. Both [SearchResponse.SearchResult] and [SearchResponse.Facet] will be returned.", "Only product search will be performed. The faceted search will be disabled. Only [SearchResponse.SearchResult] will be returned. [SearchResponse.Facet] will not be returned, even if SearchRequest.facet_specs or SearchRequest.dynamic_facet_spec is set.", "Only faceted search will be performed. The product search will be disabled. When in this mode, one or both of SearchRequest.facet_specs and SearchRequest.dynamic_facet_spec should be set. Otherwise, an INVALID_ARGUMENT error is returned. Only [SearchResponse.Facet] will be returned. [SearchResponse.SearchResult] will not be returned." ], "description": "The search mode of the search request. If not specified, a single search request triggers both product search and faceted search.", "type": "string", "enum": [ "SEARCH_MODE_UNSPECIFIED", "PRODUCT_SEARCH_ONLY", "FACETED_SEARCH_ONLY" ] }, "orderBy": { "description": "The order in which products are returned. Products can be ordered by a field in an Product object. Leave it unset if ordered by relevance. OrderBy expression is case-sensitive. See more details at this [user guide](https://cloud.google.com/retail/docs/filter-and-order#order). If this field is unrecognizable, an INVALID_ARGUMENT is returned.", "type": "string" }, "canonicalFilter": { "description": "The default filter that is applied when a user performs a search without checking any filters on the search page. The filter applied to every search request when quality improvement such as query expansion is needed. For example, if a query does not have enough results, an expanded query with SearchRequest.canonical_filter will be returned as a supplement of the original query. This field is strongly recommended to achieve high search quality. See SearchRequest.filter for more details about filter syntax.", "type": "string" }, "variantRollupKeys": { "type": "array", "items": { "type": "string" }, "description": "The keys to fetch and rollup the matching variant Products attributes, FulfillmentInfo or LocalInventorys attributes. The attributes from all the matching variant Products or LocalInventorys are merged and de-duplicated. Notice that rollup attributes will lead to extra query latency. Maximum number of keys is 30. For FulfillmentInfo, a fulfillment type and a fulfillment ID must be provided in the format of \"fulfillmentType.fulfillmentId\". E.g., in \"pickupInStore.store123\", \"pickupInStore\" is fulfillment type and \"store123\" is the store ID. Supported keys are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh colorFamilies LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh price LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh originalPrice LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh discount LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh variantId LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh inventory(place_id,price) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh inventory(place_id,original_price) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh inventory(place_id,attributes.key), where key is any key in the Product.local_inventories.attributes map. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh attributes.key, where key is any key in the Product.attributes map. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh pickupInStore.id, where id is any FulfillmentInfo.place_ids for FulfillmentInfo.type \"pickup-in-store\". LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh shipToStore.id, where id is any FulfillmentInfo.place_ids for FulfillmentInfo.type \"ship-to-store\". LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh sameDayDelivery.id, where id is any FulfillmentInfo.place_ids for FulfillmentInfo.type \"same-day-delivery\". LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh nextDayDelivery.id, where id is any FulfillmentInfo.place_ids for FulfillmentInfo.type \"next-day-delivery\". LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh customFulfillment1.id, where id is any FulfillmentInfo.place_ids for FulfillmentInfo.type \"custom-type-1\". LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh customFulfillment2.id, where id is any FulfillmentInfo.place_ids for FulfillmentInfo.type \"custom-type-2\". LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh customFulfillment3.id, where id is any FulfillmentInfo.place_ids for FulfillmentInfo.type \"custom-type-3\". LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh customFulfillment4.id, where id is any FulfillmentInfo.place_ids for FulfillmentInfo.type \"custom-type-4\". LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh customFulfillment5.id, where id is any FulfillmentInfo.place_ids for FulfillmentInfo.type \"custom-type-5\". If this field is set to an invalid value other than these, an INVALID_ARGUMENT error is returned." }, "spellCorrectionSpec": { "$ref": "GoogleCloudRetailV2alphaSearchRequestSpellCorrectionSpec", "description": "The spell correction specification that specifies the mode under which spell correction will take effect." }, "pageCategories": { "items": { "type": "string" }, "type": "array", "description": "The categories associated with a category page. Required for category navigation queries to achieve good search quality. The format should be the same as UserEvent.page_categories; To represent full path of category, use '\u003e' sign to separate different hierarchies. If '\u003e' is part of the category name, please replace it with other character(s). Category pages include special pages such as sales or promotions. For instance, a special sale page may have the category hierarchy: \"pageCategories\" : [\"Sales \u003e 2017 Black Friday Deals\"]." }, "offset": { "type": "integer", "description": "A 0-indexed integer that specifies the current offset (that is, starting result location, amongst the Products deemed by the API as relevant) in search results. This field is only considered if page_token is unset. If this field is negative, an INVALID_ARGUMENT is returned.", "format": "int32" }, "userInfo": { "description": "User information.", "$ref": "GoogleCloudRetailV2alphaUserInfo" }, "dynamicFacetSpec": { "$ref": "GoogleCloudRetailV2alphaSearchRequestDynamicFacetSpec", "description": "Deprecated. Refer to https://cloud.google.com/retail/docs/configs#dynamic to enable dynamic facets. Do not set this field. The specification for dynamically generated facets. Notice that only textual facets can be dynamically generated." }, "personalizationSpec": { "description": "The specification for personalization.", "$ref": "GoogleCloudRetailV2alphaSearchRequestPersonalizationSpec" }, "pageToken": { "type": "string", "description": "A page token SearchResponse.next_page_token, received from a previous SearchService.Search call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to SearchService.Search must match the call that provided the page token. Otherwise, an INVALID_ARGUMENT error is returned." } }, "type": "object", "description": "Request message for SearchService.Search method.", "id": "GoogleCloudRetailV2alphaSearchRequest" }, "GoogleCloudRetailV2alphaPurgeMetadata": { "id": "GoogleCloudRetailV2alphaPurgeMetadata", "properties": {}, "description": "Metadata related to the progress of the Purge operation. This will be returned by the google.longrunning.Operation.metadata field.", "type": "object" }, "GoogleCloudRetailV2alphaGetDefaultBranchResponse": { "properties": { "branch": { "type": "string", "description": "Full resource name of the branch id currently set as default branch." }, "note": { "type": "string", "description": "This corresponds to SetDefaultBranchRequest.note field, when this branch was set as default." }, "setTime": { "format": "google-datetime", "description": "The time when this branch is set to default.", "type": "string" } }, "description": "Response message of CatalogService.GetDefaultBranch.", "type": "object", "id": "GoogleCloudRetailV2alphaGetDefaultBranchResponse" }, "GoogleCloudRetailV2alphaPurgeProductsRequest": { "type": "object", "id": "GoogleCloudRetailV2alphaPurgeProductsRequest", "description": "Request message for PurgeProducts method.", "properties": { "force": { "description": "Actually perform the purge. If `force` is set to false, the method will return the expected purge count without deleting any products.", "type": "boolean" }, "filter": { "description": "Required. The filter string to specify the products to be deleted with a length limit of 5,000 characters. Empty string filter is not allowed. \"*\" implies delete all items in a branch. The eligible fields for filtering are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `availability`: Double quoted Product.availability string. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `create_time` : in ISO 8601 \"zulu\" format. Supported syntax: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Comparators (\"\u003e\", \"\u003c\", \"\u003e=\", \"\u003c=\", \"=\"). Examples: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh create_time \u003c= \"2015-02-13T17:05:46Z\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh availability = \"IN_STOCK\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Conjunctions (\"AND\") Examples: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh create_time \u003c= \"2015-02-13T17:05:46Z\" AND availability = \"PREORDER\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Disjunctions (\"OR\") Examples: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh create_time \u003c= \"2015-02-13T17:05:46Z\" OR availability = \"IN_STOCK\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Can support nested queries. Examples: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh (create_time \u003c= \"2015-02-13T17:05:46Z\" AND availability = \"PREORDER\") OR (create_time \u003e= \"2015-02-14T13:03:32Z\" AND availability = \"IN_STOCK\") LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Filter Limits: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Filter should not contain more than 6 conditions. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Max nesting depth should not exceed 2 levels. Examples queries: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Delete back order products created before a timestamp. create_time \u003c= \"2015-02-13T17:05:46Z\" OR availability = \"BACKORDER\"", "type": "string" } } }, "GoogleCloudRetailV2RejoinUserEventsMetadata": { "id": "GoogleCloudRetailV2RejoinUserEventsMetadata", "type": "object", "properties": {}, "description": "Metadata for RejoinUserEvents method." }, "GoogleCloudRetailV2alphaRuleRedirectAction": { "type": "object", "description": "Redirects a shopper to a specific page. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Rule Condition: - Must specify Condition. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Action Input: Request Query LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Action Result: Redirects shopper to provided uri.", "properties": { "redirectUri": { "type": "string", "description": "URL must have length equal or less than 2000 characters." } }, "id": "GoogleCloudRetailV2alphaRuleRedirectAction" }, "GoogleCloudRetailV2UserEventImportSummary": { "type": "object", "properties": { "joinedEventsCount": { "type": "string", "description": "Count of user events imported with complete existing catalog information.", "format": "int64" }, "unjoinedEventsCount": { "description": "Count of user events imported, but with catalog information not found in the imported catalog.", "type": "string", "format": "int64" } }, "description": "A summary of import result. The UserEventImportSummary summarizes the import status for user events.", "id": "GoogleCloudRetailV2UserEventImportSummary" }, "GoogleCloudRetailV2alphaExportUserEventsResponse": { "properties": { "errorSamples": { "items": { "$ref": "GoogleRpcStatus" }, "description": "A sample of errors encountered while processing the request.", "type": "array" }, "errorsConfig": { "$ref": "GoogleCloudRetailV2alphaExportErrorsConfig", "description": "This field is never set." } }, "type": "object", "description": "Response of the ExportUserEventsRequest. If the long running operation was successful, then this message is returned by the google.longrunning.Operations.response field if the operation was successful.", "id": "GoogleCloudRetailV2alphaExportUserEventsResponse" }, "GoogleCloudRetailV2alphaCompleteQueryResponseCompletionResult": { "type": "object", "properties": { "suggestion": { "type": "string", "description": "The suggestion for the query." }, "attributes": { "additionalProperties": { "$ref": "GoogleCloudRetailV2alphaCustomAttribute" }, "type": "object", "description": "Custom attributes for the suggestion term. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh For \"user-data\", the attributes are additional custom attributes ingested through BigQuery. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh For \"cloud-retail\", the attributes are product attributes generated by Cloud Retail. This is an experimental feature. Contact Retail Search support team if you are interested in enabling it." } }, "description": "Resource that represents completion results.", "id": "GoogleCloudRetailV2alphaCompleteQueryResponseCompletionResult" }, "GoogleCloudRetailV2alphaPredictRequest": { "id": "GoogleCloudRetailV2alphaPredictRequest", "description": "Request message for Predict method.", "properties": { "userEvent": { "description": "Required. Context about the user, what they are looking at and what action they took to trigger the predict request. Note that this user event detail won't be ingested to userEvent logs. Thus, a separate userEvent write request is required for event logging. Don't set UserEvent.visitor_id or UserInfo.user_id to the same fixed ID for different users. If you are trying to receive non-personalized recommendations (not recommended; this can negatively impact model performance), instead set UserEvent.visitor_id to a random unique ID and leave UserInfo.user_id unset.", "$ref": "GoogleCloudRetailV2alphaUserEvent" }, "labels": { "type": "object", "description": "The labels applied to a resource must meet the following requirements: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Each resource can have multiple labels, up to a maximum of 64. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Each label must be a key-value pair. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Keys have a minimum length of 1 character and a maximum length of 63 characters and cannot be empty. Values can be empty and have a maximum length of 63 characters. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Keys and values can contain only lowercase letters, numeric characters, underscores, and dashes. All characters must use UTF-8 encoding, and international characters are allowed. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The key portion of a label must be unique. However, you can use the same key with multiple resources. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Keys must start with a lowercase letter or international character. See [Google Cloud Document](https://cloud.google.com/resource-manager/docs/creating-managing-labels#requirements) for more details.", "additionalProperties": { "type": "string" } }, "validateOnly": { "description": "Use validate only mode for this prediction query. If set to true, a dummy model will be used that returns arbitrary products. Note that the validate only mode should only be used for testing the API, or if the model is not ready.", "type": "boolean" }, "pageSize": { "description": "Maximum number of results to return per page. Set this property to the number of prediction results needed. If zero, the service will choose a reasonable default. The maximum allowed value is 100. Values above 100 will be coerced to 100.", "type": "integer", "format": "int32" }, "params": { "additionalProperties": { "type": "any" }, "description": "Additional domain specific parameters for the predictions. Allowed values: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `returnProduct`: Boolean. If set to true, the associated product object will be returned in the `results.metadata` field in the prediction response. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `returnScore`: Boolean. If set to true, the prediction 'score' corresponding to each returned product will be set in the `results.metadata` field in the prediction response. The given 'score' indicates the probability of an product being clicked/purchased given the user's context and history. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `strictFiltering`: Boolean. True by default. If set to false, the service will return generic (unfiltered) popular products instead of empty if your filter blocks all prediction results. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `priceRerankLevel`: String. Default empty. If set to be non-empty, then it needs to be one of {'no-price-reranking', 'low-price-reranking', 'medium-price-reranking', 'high-price-reranking'}. This gives request-level control and adjusts prediction results based on product price. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `diversityLevel`: String. Default empty. If set to be non-empty, then it needs to be one of {'no-diversity', 'low-diversity', 'medium-diversity', 'high-diversity', 'auto-diversity'}. This gives request-level control and adjusts prediction results based on product category. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `filterSyntaxV2`: Boolean. False by default. If set to true, the `filter` field will be interpreteted according to the new, attribute-based syntax.", "type": "object" }, "filter": { "type": "string", "description": "Filter for restricting prediction results with a length limit of 5,000 characters. Accepts values for tags and the `filterOutOfStockItems` flag. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Tag expressions. Restricts predictions to products that match all of the specified tags. Boolean operators `OR` and `NOT` are supported if the expression is enclosed in parentheses, and must be separated from the tag values by a space. `-\"tagA\"` is also supported and is equivalent to `NOT \"tagA\"`. Tag values must be double quoted UTF-8 encoded strings with a size limit of 1,000 characters. Note: \"Recently viewed\" models don't support tag filtering at the moment. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh filterOutOfStockItems. Restricts predictions to products that do not have a stockState value of OUT_OF_STOCK. Examples: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh tag=(\"Red\" OR \"Blue\") tag=\"New-Arrival\" tag=(NOT \"promotional\") LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh filterOutOfStockItems tag=(-\"promotional\") LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh filterOutOfStockItems If your filter blocks all prediction results, the API will return generic (unfiltered) popular products. If you only want results strictly matching the filters, set `strictFiltering` to True in `PredictRequest.params` to receive empty results instead. Note that the API will never return items with storageStatus of \"EXPIRED\" or \"DELETED\" regardless of filter choices. If `filterSyntaxV2` is set to true under the `params` field, then attribute based expressions are expected instead of the above described tag-based syntax. Examples: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh (colors: ANY(\"Red\", \"Blue\")) AND NOT (categories: ANY(\"Phones\")) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh (availability: ANY(\"IN_STOCK\")) AND (colors: ANY(\"Red\") OR categories: ANY(\"Phones\"))" }, "pageToken": { "type": "string", "description": "This field is not used for now, please leave it unset." } }, "type": "object" } }, "kind": "discovery#restDescription", "mtlsRootUrl": "https://retail.mtls.googleapis.com/", "protocol": "rest", "fullyEncodeReservedExpansion": true }
]===]))
