local decode = require("cjson").new().decode
return assert(decode([===[
{ "protocol": "rest", "ownerName": "Google", "batchPath": "batch", "baseUrl": "https://run.googleapis.com/", "icons": { "x16": "http://www.google.com/images/icons/product/search-16.gif", "x32": "http://www.google.com/images/icons/product/search-32.gif" }, "id": "run:v1", "resources": { "namespaces": { "resources": { "services": { "methods": { "delete": { "id": "run.namespaces.services.delete", "path": "apis/serving.knative.dev/v1/{+name}", "description": "Delete a service. This will cause the Service to stop serving traffic and will delete the child entities like Routes, Configurations and Revisions.", "parameters": { "apiVersion": { "type": "string", "description": "Cloud Run currently ignores this parameter.", "location": "query" }, "name": { "location": "path", "pattern": "^namespaces/[^/]+/services/[^/]+$", "description": "The name of the service to delete. For Cloud Run (fully managed), replace {namespace} with the project ID or number. It takes the form namespaces/{namespace}. For example: namespaces/PROJECT_ID", "required": true, "type": "string" }, "dryRun": { "type": "string", "description": "Indicates that the server should validate the request and populate default values without persisting the request. Supported values: `all`", "location": "query" }, "kind": { "type": "string", "description": "Cloud Run currently ignores this parameter.", "location": "query" }, "propagationPolicy": { "location": "query", "description": "Specifies the propagation policy of delete. Cloud Run currently ignores this setting, and deletes in the background. Please see kubernetes.io/docs/concepts/workloads/controllers/garbage-collection/ for more information.", "type": "string" } }, "response": { "$ref": "Status" }, "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "apis/serving.knative.dev/v1/namespaces/{namespacesId}/services/{servicesId}", "httpMethod": "DELETE" }, "list": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "includeUninitialized": { "location": "query", "description": "Not currently used by Cloud Run.", "type": "boolean" }, "parent": { "type": "string", "description": "The namespace from which the services should be listed. For Cloud Run (fully managed), replace {namespace} with the project ID or number. It takes the form namespaces/{namespace}. For example: namespaces/PROJECT_ID", "pattern": "^namespaces/[^/]+$", "required": true, "location": "path" }, "labelSelector": { "type": "string", "location": "query", "description": "Allows to filter resources based on a label. Supported operations are =, !=, exists, in, and notIn." }, "watch": { "description": "Flag that indicates that the client expects to watch this resource as well. Not currently used by Cloud Run.", "type": "boolean", "location": "query" }, "fieldSelector": { "type": "string", "description": "Allows to filter resources based on a specific value for a field name. Send this in a query string format. i.e. 'metadata.name%3Dlorem'. Not currently used by Cloud Run.", "location": "query" }, "limit": { "format": "int32", "type": "integer", "description": "Optional. The maximum number of records that should be returned.", "location": "query" }, "resourceVersion": { "description": "The baseline resource version from which the list or watch operation should start. Not currently used by Cloud Run.", "type": "string", "location": "query" }, "continue": { "description": "Optional. Encoded string to continue paging.", "location": "query", "type": "string" } }, "flatPath": "apis/serving.knative.dev/v1/namespaces/{namespacesId}/services", "parameterOrder": [ "parent" ], "id": "run.namespaces.services.list", "description": "List services.", "response": { "$ref": "ListServicesResponse" }, "path": "apis/serving.knative.dev/v1/{+parent}/services", "httpMethod": "GET" }, "create": { "id": "run.namespaces.services.create", "parameters": { "dryRun": { "description": "Indicates that the server should validate the request and populate default values without persisting the request. Supported values: `all`", "location": "query", "type": "string" }, "parent": { "location": "path", "required": true, "description": "The namespace in which the service should be created. For Cloud Run (fully managed), replace {namespace} with the project ID or number. It takes the form namespaces/{namespace}. For example: namespaces/PROJECT_ID", "pattern": "^namespaces/[^/]+$", "type": "string" } }, "flatPath": "apis/serving.knative.dev/v1/namespaces/{namespacesId}/services", "parameterOrder": [ "parent" ], "description": "Create a service.", "response": { "$ref": "Service" }, "path": "apis/serving.knative.dev/v1/{+parent}/services", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "Service" } }, "get": { "response": { "$ref": "Service" }, "parameters": { "name": { "required": true, "location": "path", "pattern": "^namespaces/[^/]+/services/[^/]+$", "description": "The name of the service to retrieve. For Cloud Run (fully managed), replace {namespace} with the project ID or number. It takes the form namespaces/{namespace}. For example: namespaces/PROJECT_ID", "type": "string" } }, "path": "apis/serving.knative.dev/v1/{+name}", "flatPath": "apis/serving.knative.dev/v1/namespaces/{namespacesId}/services/{servicesId}", "httpMethod": "GET", "parameterOrder": [ "name" ], "description": "Get information about a service.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "run.namespaces.services.get" }, "replaceService": { "parameterOrder": [ "name" ], "httpMethod": "PUT", "flatPath": "apis/serving.knative.dev/v1/namespaces/{namespacesId}/services/{servicesId}", "id": "run.namespaces.services.replaceService", "response": { "$ref": "Service" }, "parameters": { "name": { "location": "path", "pattern": "^namespaces/[^/]+/services/[^/]+$", "required": true, "description": "The name of the service being replaced. For Cloud Run (fully managed), replace {namespace} with the project ID or number. It takes the form namespaces/{namespace}. For example: namespaces/PROJECT_ID", "type": "string" }, "dryRun": { "location": "query", "type": "string", "description": "Indicates that the server should validate the request and populate default values without persisting the request. Supported values: `all`" } }, "path": "apis/serving.knative.dev/v1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Replace a service. Only the spec and metadata labels and annotations are modifiable. After the Update request, Cloud Run will work to make the 'status' match the requested 'spec'. May provide metadata.resourceVersion to enforce update from last read for optimistic concurrency control.", "request": { "$ref": "Service" } } } }, "revisions": { "methods": { "delete": { "id": "run.namespaces.revisions.delete", "response": { "$ref": "Status" }, "parameters": { "apiVersion": { "description": "Cloud Run currently ignores this parameter.", "location": "query", "type": "string" }, "propagationPolicy": { "type": "string", "location": "query", "description": "Specifies the propagation policy of delete. Cloud Run currently ignores this setting, and deletes in the background. Please see kubernetes.io/docs/concepts/workloads/controllers/garbage-collection/ for more information." }, "dryRun": { "type": "string", "location": "query", "description": "Indicates that the server should validate the request and populate default values without persisting the request. Supported values: `all`" }, "kind": { "location": "query", "type": "string", "description": "Cloud Run currently ignores this parameter." }, "name": { "required": true, "type": "string", "pattern": "^namespaces/[^/]+/revisions/[^/]+$", "description": "The name of the revision to delete. For Cloud Run (fully managed), replace {namespace} with the project ID or number. It takes the form namespaces/{namespace}. For example: namespaces/PROJECT_ID", "location": "path" } }, "path": "apis/serving.knative.dev/v1/{+name}", "description": "Delete a revision.", "httpMethod": "DELETE", "flatPath": "apis/serving.knative.dev/v1/namespaces/{namespacesId}/revisions/{revisionsId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ] }, "list": { "parameterOrder": [ "parent" ], "description": "List revisions.", "flatPath": "apis/serving.knative.dev/v1/namespaces/{namespacesId}/revisions", "parameters": { "resourceVersion": { "location": "query", "description": "The baseline resource version from which the list or watch operation should start. Not currently used by Cloud Run.", "type": "string" }, "continue": { "type": "string", "description": "Optional. Encoded string to continue paging.", "location": "query" }, "labelSelector": { "type": "string", "description": "Allows to filter resources based on a label. Supported operations are =, !=, exists, in, and notIn.", "location": "query" }, "watch": { "location": "query", "type": "boolean", "description": "Flag that indicates that the client expects to watch this resource as well. Not currently used by Cloud Run." }, "includeUninitialized": { "location": "query", "type": "boolean", "description": "Not currently used by Cloud Run." }, "parent": { "required": true, "description": "The namespace from which the revisions should be listed. For Cloud Run (fully managed), replace {namespace} with the project ID or number. It takes the form namespaces/{namespace}. For example: namespaces/PROJECT_ID", "location": "path", "type": "string", "pattern": "^namespaces/[^/]+$" }, "fieldSelector": { "location": "query", "type": "string", "description": "Allows to filter resources based on a specific value for a field name. Send this in a query string format. i.e. 'metadata.name%3Dlorem'. Not currently used by Cloud Run." }, "limit": { "format": "int32", "location": "query", "type": "integer", "description": "Optional. The maximum number of records that should be returned." } }, "path": "apis/serving.knative.dev/v1/{+parent}/revisions", "httpMethod": "GET", "id": "run.namespaces.revisions.list", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "ListRevisionsResponse" } }, "get": { "flatPath": "apis/serving.knative.dev/v1/namespaces/{namespacesId}/revisions/{revisionsId}", "path": "apis/serving.knative.dev/v1/{+name}", "parameters": { "name": { "location": "path", "required": true, "pattern": "^namespaces/[^/]+/revisions/[^/]+$", "type": "string", "description": "The name of the revision to retrieve. For Cloud Run (fully managed), replace {namespace} with the project ID or number. It takes the form namespaces/{namespace}. For example: namespaces/PROJECT_ID" } }, "httpMethod": "GET", "response": { "$ref": "Revision" }, "id": "run.namespaces.revisions.get", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Get information about a revision.", "parameterOrder": [ "name" ] } } }, "domainmappings": { "methods": { "get": { "path": "apis/domains.cloudrun.com/v1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "run.namespaces.domainmappings.get", "httpMethod": "GET", "parameters": { "name": { "description": "The name of the domain mapping to retrieve. For Cloud Run (fully managed), replace {namespace} with the project ID or number. It takes the form namespaces/{namespace}. For example: namespaces/PROJECT_ID", "pattern": "^namespaces/[^/]+/domainmappings/[^/]+$", "type": "string", "location": "path", "required": true } }, "response": { "$ref": "DomainMapping" }, "flatPath": "apis/domains.cloudrun.com/v1/namespaces/{namespacesId}/domainmappings/{domainmappingsId}", "parameterOrder": [ "name" ], "description": "Get information about a domain mapping." }, "create": { "flatPath": "apis/domains.cloudrun.com/v1/namespaces/{namespacesId}/domainmappings", "path": "apis/domains.cloudrun.com/v1/{+parent}/domainmappings", "httpMethod": "POST", "description": "Create a new domain mapping.", "response": { "$ref": "DomainMapping" }, "request": { "$ref": "DomainMapping" }, "parameterOrder": [ "parent" ], "parameters": { "parent": { "required": true, "location": "path", "pattern": "^namespaces/[^/]+$", "type": "string", "description": "The namespace in which the domain mapping should be created. For Cloud Run (fully managed), replace {namespace} with the project ID or number. It takes the form namespaces/{namespace}. For example: namespaces/PROJECT_ID" }, "dryRun": { "type": "string", "location": "query", "description": "Indicates that the server should validate the request and populate default values without persisting the request. Supported values: `all`" } }, "id": "run.namespaces.domainmappings.create", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "list": { "parameterOrder": [ "parent" ], "httpMethod": "GET", "description": "List domain mappings.", "parameters": { "fieldSelector": { "location": "query", "description": "Allows to filter resources based on a specific value for a field name. Send this in a query string format. i.e. 'metadata.name%3Dlorem'. Not currently used by Cloud Run.", "type": "string" }, "continue": { "location": "query", "type": "string", "description": "Optional. Encoded string to continue paging." }, "parent": { "location": "path", "required": true, "description": "The namespace from which the domain mappings should be listed. For Cloud Run (fully managed), replace {namespace} with the project ID or number. It takes the form namespaces/{namespace}. For example: namespaces/PROJECT_ID", "type": "string", "pattern": "^namespaces/[^/]+$" }, "resourceVersion": { "location": "query", "type": "string", "description": "The baseline resource version from which the list or watch operation should start. Not currently used by Cloud Run." }, "labelSelector": { "type": "string", "description": "Allows to filter resources based on a label. Supported operations are =, !=, exists, in, and notIn.", "location": "query" }, "watch": { "description": "Flag that indicates that the client expects to watch this resource as well. Not currently used by Cloud Run.", "location": "query", "type": "boolean" }, "limit": { "format": "int32", "type": "integer", "location": "query", "description": "Optional. The maximum number of records that should be returned." }, "includeUninitialized": { "type": "boolean", "location": "query", "description": "Not currently used by Cloud Run." } }, "path": "apis/domains.cloudrun.com/v1/{+parent}/domainmappings", "id": "run.namespaces.domainmappings.list", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "apis/domains.cloudrun.com/v1/namespaces/{namespacesId}/domainmappings", "response": { "$ref": "ListDomainMappingsResponse" } }, "delete": { "path": "apis/domains.cloudrun.com/v1/{+name}", "parameters": { "propagationPolicy": { "type": "string", "description": "Specifies the propagation policy of delete. Cloud Run currently ignores this setting, and deletes in the background. Please see kubernetes.io/docs/concepts/workloads/controllers/garbage-collection/ for more information.", "location": "query" }, "name": { "pattern": "^namespaces/[^/]+/domainmappings/[^/]+$", "required": true, "description": "The name of the domain mapping to delete. For Cloud Run (fully managed), replace {namespace} with the project ID or number. It takes the form namespaces/{namespace}. For example: namespaces/PROJECT_ID", "location": "path", "type": "string" }, "dryRun": { "location": "query", "description": "Indicates that the server should validate the request and populate default values without persisting the request. Supported values: `all`", "type": "string" }, "kind": { "description": "Cloud Run currently ignores this parameter.", "type": "string", "location": "query" }, "apiVersion": { "location": "query", "description": "Cloud Run currently ignores this parameter.", "type": "string" } }, "flatPath": "apis/domains.cloudrun.com/v1/namespaces/{namespacesId}/domainmappings/{domainmappingsId}", "description": "Delete a domain mapping.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Status" }, "id": "run.namespaces.domainmappings.delete", "httpMethod": "DELETE", "parameterOrder": [ "name" ] } } }, "jobs": { "methods": { "list": { "response": { "$ref": "ListJobsResponse" }, "path": "apis/run.googleapis.com/v1/{+parent}/jobs", "httpMethod": "GET", "parameterOrder": [ "parent" ], "id": "run.namespaces.jobs.list", "parameters": { "watch": { "location": "query", "type": "boolean", "description": "Optional. Flag that indicates that the client expects to watch this resource as well. Not currently used by Cloud Run." }, "parent": { "type": "string", "required": true, "location": "path", "description": "Required. The namespace from which the jobs should be listed. Replace {namespace} with the project ID or number. It takes the form namespaces/{namespace}. For example: namespaces/PROJECT_ID", "pattern": "^namespaces/[^/]+$" }, "labelSelector": { "type": "string", "location": "query", "description": "Optional. Allows to filter resources based on a label. Supported operations are =, !=, exists, in, and notIn." }, "resourceVersion": { "location": "query", "description": "Optional. The baseline resource version from which the list or watch operation should start. Not currently used by Cloud Run.", "type": "string" }, "continue": { "type": "string", "location": "query", "description": "Optional. Optional encoded string to continue paging." }, "limit": { "description": "Optional. The maximum number of records that should be returned.", "format": "int32", "location": "query", "type": "integer" }, "includeUninitialized": { "location": "query", "description": "Optional. Not currently used by Cloud Run.", "type": "boolean" }, "fieldSelector": { "location": "query", "description": "Optional. Allows to filter resources based on a specific value for a field name. Send this in a query string format. i.e. 'metadata.name%3Dlorem'. Not currently used by Cloud Run.", "type": "string" } }, "flatPath": "apis/run.googleapis.com/v1/namespaces/{namespacesId}/jobs", "description": "List jobs.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "delete": { "httpMethod": "DELETE", "response": { "$ref": "Status" }, "description": "Delete a job.", "flatPath": "apis/run.googleapis.com/v1/namespaces/{namespacesId}/jobs/{jobsId}", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "run.namespaces.jobs.delete", "parameters": { "apiVersion": { "location": "query", "description": "Optional. Cloud Run currently ignores this parameter.", "type": "string" }, "name": { "pattern": "^namespaces/[^/]+/jobs/[^/]+$", "type": "string", "description": "Required. The name of the job to delete. Replace {namespace} with the project ID or number. It takes the form namespaces/{namespace}. For example: namespaces/PROJECT_ID", "required": true, "location": "path" }, "kind": { "description": "Optional. Cloud Run currently ignores this parameter.", "location": "query", "type": "string" }, "propagationPolicy": { "type": "string", "location": "query", "description": "Optional. Specifies the propagation policy of delete. Cloud Run currently ignores this setting, and deletes in the background. Please see kubernetes.io/docs/concepts/workloads/controllers/garbage-collection/ for more information." } }, "path": "apis/run.googleapis.com/v1/{+name}" }, "run": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "parameters": { "name": { "location": "path", "type": "string", "required": true, "description": "Required. The name of the job to run. Replace {namespace} with the project ID or number. It takes the form namespaces/{namespace}. For example: namespaces/PROJECT_ID", "pattern": "^namespaces/[^/]+/jobs/[^/]+$" } }, "response": { "$ref": "Execution" }, "request": { "$ref": "RunJobRequest" }, "path": "apis/run.googleapis.com/v1/{+name}:run", "description": "Trigger creation of a new execution of this job.", "id": "run.namespaces.jobs.run", "flatPath": "apis/run.googleapis.com/v1/namespaces/{namespacesId}/jobs/{jobsId}:run", "httpMethod": "POST" }, "replaceJob": { "id": "run.namespaces.jobs.replaceJob", "httpMethod": "PUT", "parameterOrder": [ "name" ], "description": "Replace a job. Only the spec and metadata labels and annotations are modifiable. After the Replace request, Cloud Run will work to make the 'status' match the requested 'spec'. May provide metadata.resourceVersion to enforce update from last read for optimistic concurrency control.", "path": "apis/run.googleapis.com/v1/{+name}", "parameters": { "name": { "pattern": "^namespaces/[^/]+/jobs/[^/]+$", "type": "string", "description": "Required. The name of the service being replaced. Replace {namespace} with the project ID or number. It takes the form namespaces/{namespace}. For example: namespaces/PROJECT_ID", "required": true, "location": "path" } }, "response": { "$ref": "Job" }, "flatPath": "apis/run.googleapis.com/v1/namespaces/{namespacesId}/jobs/{jobsId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "Job" } }, "get": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "apis/run.googleapis.com/v1/{+name}", "description": "Get information about a job.", "httpMethod": "GET", "flatPath": "apis/run.googleapis.com/v1/namespaces/{namespacesId}/jobs/{jobsId}", "id": "run.namespaces.jobs.get", "response": { "$ref": "Job" }, "parameters": { "name": { "description": "Required. The name of the job to retrieve. Replace {namespace} with the project ID or number. It takes the form namespaces/{namespace}. For example: namespaces/PROJECT_ID", "pattern": "^namespaces/[^/]+/jobs/[^/]+$", "location": "path", "required": true, "type": "string" } }, "parameterOrder": [ "name" ] }, "create": { "path": "apis/run.googleapis.com/v1/{+parent}/jobs", "id": "run.namespaces.jobs.create", "request": { "$ref": "Job" }, "description": "Create a job.", "httpMethod": "POST", "response": { "$ref": "Job" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "parent" ], "flatPath": "apis/run.googleapis.com/v1/namespaces/{namespacesId}/jobs", "parameters": { "parent": { "required": true, "pattern": "^namespaces/[^/]+$", "type": "string", "location": "path", "description": "Required. The namespace in which the job should be created. Replace {namespace} with the project ID or number. It takes the form namespaces/{namespace}. For example: namespaces/PROJECT_ID" } } } } }, "authorizeddomains": { "methods": { "list": { "response": { "$ref": "ListAuthorizedDomainsResponse" }, "flatPath": "apis/domains.cloudrun.com/v1/namespaces/{namespacesId}/authorizeddomains", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "pageToken": { "type": "string", "description": "Continuation token for fetching the next page of results.", "location": "query" }, "parent": { "description": "Name of the parent Project resource. Example: `projects/myproject`.", "type": "string", "required": true, "location": "path", "pattern": "^namespaces/[^/]+$" }, "pageSize": { "type": "integer", "format": "int32", "location": "query", "description": "Maximum results to return per page." } }, "parameterOrder": [ "parent" ], "httpMethod": "GET", "description": "List authorized domains.", "path": "apis/domains.cloudrun.com/v1/{+parent}/authorizeddomains", "id": "run.namespaces.authorizeddomains.list" } } }, "executions": { "methods": { "get": { "id": "run.namespaces.executions.get", "path": "apis/run.googleapis.com/v1/{+name}", "parameters": { "name": { "location": "path", "type": "string", "description": "Required. The name of the execution to retrieve. Replace {namespace} with the project ID or number. It takes the form namespaces/{namespace}. For example: namespaces/PROJECT_ID", "pattern": "^namespaces/[^/]+/executions/[^/]+$", "required": true } }, "description": "Get information about an execution.", "flatPath": "apis/run.googleapis.com/v1/namespaces/{namespacesId}/executions/{executionsId}", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Execution" }, "parameterOrder": [ "name" ] }, "list": { "flatPath": "apis/run.googleapis.com/v1/namespaces/{namespacesId}/executions", "id": "run.namespaces.executions.list", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "apis/run.googleapis.com/v1/{+parent}/executions", "httpMethod": "GET", "parameterOrder": [ "parent" ], "parameters": { "continue": { "location": "query", "description": "Optional. Optional encoded string to continue paging.", "type": "string" }, "resourceVersion": { "location": "query", "description": "Optional. The baseline resource version from which the list or watch operation should start. Not currently used by Cloud Run.", "type": "string" }, "watch": { "description": "Optional. Flag that indicates that the client expects to watch this resource as well. Not currently used by Cloud Run.", "type": "boolean", "location": "query" }, "includeUninitialized": { "location": "query", "description": "Optional. Not currently used by Cloud Run.", "type": "boolean" }, "labelSelector": { "location": "query", "type": "string", "description": "Optional. Allows to filter resources based on a label. Supported operations are =, !=, exists, in, and notIn." }, "parent": { "description": "Required. The namespace from which the executions should be listed. Replace {namespace} with the project ID or number. It takes the form namespaces/{namespace}. For example: namespaces/PROJECT_ID", "location": "path", "pattern": "^namespaces/[^/]+$", "required": true, "type": "string" }, "fieldSelector": { "description": "Optional. Allows to filter resources based on a specific value for a field name. Send this in a query string format. i.e. 'metadata.name%3Dlorem'. Not currently used by Cloud Run.", "location": "query", "type": "string" }, "limit": { "type": "integer", "description": "Optional. The maximum number of records that should be returned.", "format": "int32", "location": "query" } }, "response": { "$ref": "ListExecutionsResponse" }, "description": "List executions." }, "delete": { "id": "run.namespaces.executions.delete", "description": "Delete an execution.", "parameterOrder": [ "name" ], "httpMethod": "DELETE", "parameters": { "propagationPolicy": { "description": "Optional. Specifies the propagation policy of delete. Cloud Run currently ignores this setting, and deletes in the background. Please see kubernetes.io/docs/concepts/workloads/controllers/garbage-collection/ for more information.", "type": "string", "location": "query" }, "kind": { "location": "query", "description": "Optional. Cloud Run currently ignores this parameter.", "type": "string" }, "name": { "location": "path", "required": true, "description": "Required. The name of the execution to delete. Replace {namespace} with the project ID or number. It takes the form namespaces/{namespace}. For example: namespaces/PROJECT_ID", "type": "string", "pattern": "^namespaces/[^/]+/executions/[^/]+$" }, "apiVersion": { "location": "query", "description": "Optional. Cloud Run currently ignores this parameter.", "type": "string" } }, "path": "apis/run.googleapis.com/v1/{+name}", "response": { "$ref": "Status" }, "flatPath": "apis/run.googleapis.com/v1/namespaces/{namespacesId}/executions/{executionsId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] } } }, "routes": { "methods": { "list": { "parameterOrder": [ "parent" ], "path": "apis/serving.knative.dev/v1/{+parent}/routes", "id": "run.namespaces.routes.list", "response": { "$ref": "ListRoutesResponse" }, "parameters": { "fieldSelector": { "description": "Allows to filter resources based on a specific value for a field name. Send this in a query string format. i.e. 'metadata.name%3Dlorem'. Not currently used by Cloud Run.", "type": "string", "location": "query" }, "resourceVersion": { "type": "string", "description": "The baseline resource version from which the list or watch operation should start. Not currently used by Cloud Run.", "location": "query" }, "parent": { "type": "string", "required": true, "description": "The namespace from which the routes should be listed. For Cloud Run (fully managed), replace {namespace} with the project ID or number. It takes the form namespaces/{namespace}. For example: namespaces/PROJECT_ID", "pattern": "^namespaces/[^/]+$", "location": "path" }, "watch": { "location": "query", "description": "Flag that indicates that the client expects to watch this resource as well. Not currently used by Cloud Run.", "type": "boolean" }, "labelSelector": { "location": "query", "description": "Allows to filter resources based on a label. Supported operations are =, !=, exists, in, and notIn.", "type": "string" }, "includeUninitialized": { "description": "Not currently used by Cloud Run.", "location": "query", "type": "boolean" }, "continue": { "description": "Optional. Encoded string to continue paging.", "type": "string", "location": "query" }, "limit": { "format": "int32", "location": "query", "type": "integer", "description": "Optional. The maximum number of records that should be returned." } }, "httpMethod": "GET", "flatPath": "apis/serving.knative.dev/v1/namespaces/{namespacesId}/routes", "description": "List routes.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "get": { "response": { "$ref": "Route" }, "id": "run.namespaces.routes.get", "description": "Get information about a route.", "parameterOrder": [ "name" ], "parameters": { "name": { "description": "The name of the route to retrieve. For Cloud Run (fully managed), replace {namespace} with the project ID or number. It takes the form namespaces/{namespace}. For example: namespaces/PROJECT_ID", "pattern": "^namespaces/[^/]+/routes/[^/]+$", "required": true, "location": "path", "type": "string" } }, "flatPath": "apis/serving.knative.dev/v1/namespaces/{namespacesId}/routes/{routesId}", "path": "apis/serving.knative.dev/v1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET" } } }, "tasks": { "methods": { "get": { "httpMethod": "GET", "response": { "$ref": "Task" }, "description": "Get information about a task.", "parameterOrder": [ "name" ], "path": "apis/run.googleapis.com/v1/{+name}", "parameters": { "name": { "required": true, "type": "string", "description": "Required. The name of the task to retrieve. Replace {namespace} with the project ID or number. It takes the form namespaces/{namespace}. For example: namespaces/PROJECT_ID", "location": "path", "pattern": "^namespaces/[^/]+/tasks/[^/]+$" } }, "id": "run.namespaces.tasks.get", "flatPath": "apis/run.googleapis.com/v1/namespaces/{namespacesId}/tasks/{tasksId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "list": { "httpMethod": "GET", "parameters": { "continue": { "location": "query", "type": "string", "description": "Optional. Optional encoded string to continue paging." }, "includeUninitialized": { "type": "boolean", "description": "Optional. Not currently used by Cloud Run.", "location": "query" }, "resourceVersion": { "description": "Optional. The baseline resource version from which the list or watch operation should start. Not currently used by Cloud Run.", "location": "query", "type": "string" }, "labelSelector": { "description": "Optional. Allows to filter resources based on a label. Supported operations are =, !=, exists, in, and notIn.", "location": "query", "type": "string" }, "limit": { "location": "query", "format": "int32", "description": "Optional. The maximum number of records that should be returned.", "type": "integer" }, "fieldSelector": { "type": "string", "description": "Optional. Allows to filter resources based on a specific value for a field name. Send this in a query string format. i.e. 'metadata.name%3Dlorem'. Not currently used by Cloud Run.", "location": "query" }, "parent": { "pattern": "^namespaces/[^/]+$", "location": "path", "type": "string", "required": true, "description": "Required. The namespace from which the tasks should be listed. Replace {namespace} with the project ID or number. It takes the form namespaces/{namespace}. For example: namespaces/PROJECT_ID" }, "watch": { "description": "Optional. Flag that indicates that the client expects to watch this resource as well. Not currently used by Cloud Run.", "location": "query", "type": "boolean" } }, "description": "List tasks.", "response": { "$ref": "ListTasksResponse" }, "id": "run.namespaces.tasks.list", "parameterOrder": [ "parent" ], "path": "apis/run.googleapis.com/v1/{+parent}/tasks", "flatPath": "apis/run.googleapis.com/v1/namespaces/{namespacesId}/tasks", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] } } }, "configurations": { "methods": { "get": { "description": "Get information about a configuration.", "id": "run.namespaces.configurations.get", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "parameterOrder": [ "name" ], "response": { "$ref": "Configuration" }, "path": "apis/serving.knative.dev/v1/{+name}", "parameters": { "name": { "required": true, "description": "The name of the configuration to retrieve. For Cloud Run (fully managed), replace {namespace_id} with the project ID or number.", "type": "string", "location": "path", "pattern": "^namespaces/[^/]+/configurations/[^/]+$" } }, "flatPath": "apis/serving.knative.dev/v1/namespaces/{namespacesId}/configurations/{configurationsId}" }, "list": { "response": { "$ref": "ListConfigurationsResponse" }, "httpMethod": "GET", "description": "List configurations.", "id": "run.namespaces.configurations.list", "parameterOrder": [ "parent" ], "flatPath": "apis/serving.knative.dev/v1/namespaces/{namespacesId}/configurations", "parameters": { "limit": { "location": "query", "format": "int32", "type": "integer", "description": "Optional. The maximum number of records that should be returned." }, "watch": { "description": "Flag that indicates that the client expects to watch this resource as well. Not currently used by Cloud Run.", "type": "boolean", "location": "query" }, "labelSelector": { "description": "Allows to filter resources based on a label. Supported operations are =, !=, exists, in, and notIn.", "location": "query", "type": "string" }, "parent": { "required": true, "description": "The namespace from which the configurations should be listed. For Cloud Run (fully managed), replace {namespace_id} with the project ID or number.", "type": "string", "pattern": "^namespaces/[^/]+$", "location": "path" }, "fieldSelector": { "type": "string", "description": "Allows to filter resources based on a specific value for a field name. Send this in a query string format. i.e. 'metadata.name%3Dlorem'. Not currently used by Cloud Run.", "location": "query" }, "includeUninitialized": { "description": "Not currently used by Cloud Run.", "location": "query", "type": "boolean" }, "continue": { "location": "query", "type": "string", "description": "Optional. Encoded string to continue paging." }, "resourceVersion": { "type": "string", "description": "The baseline resource version from which the list or watch operation should start. Not currently used by Cloud Run.", "location": "query" } }, "path": "apis/serving.knative.dev/v1/{+parent}/configurations", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] } } } } }, "projects": { "resources": { "authorizeddomains": { "methods": { "list": { "parameters": { "pageToken": { "description": "Continuation token for fetching the next page of results.", "location": "query", "type": "string" }, "parent": { "required": true, "pattern": "^projects/[^/]+$", "description": "Name of the parent Project resource. Example: `projects/myproject`.", "type": "string", "location": "path" }, "pageSize": { "type": "integer", "format": "int32", "description": "Maximum results to return per page.", "location": "query" } }, "description": "List authorized domains.", "response": { "$ref": "ListAuthorizedDomainsResponse" }, "parameterOrder": [ "parent" ], "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/projects/{projectsId}/authorizeddomains", "path": "v1/{+parent}/authorizeddomains", "id": "run.projects.authorizeddomains.list" } } }, "locations": { "resources": { "jobs": { "methods": { "testIamPermissions": { "request": { "$ref": "TestIamPermissionsRequest" }, "parameters": { "resource": { "required": true, "location": "path", "type": "string", "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "pattern": "^projects/[^/]+/locations/[^/]+/jobs/[^/]+$" } }, "path": "v1/{+resource}:testIamPermissions", "response": { "$ref": "TestIamPermissionsResponse" }, "description": "Returns permissions that a caller has on the specified job. There are no permissions required for making this API call.", "parameterOrder": [ "resource" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/jobs/{jobsId}:testIamPermissions", "httpMethod": "POST", "id": "run.projects.locations.jobs.testIamPermissions", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "getIamPolicy": { "id": "run.projects.locations.jobs.getIamPolicy", "description": "Get the IAM Access Control policy currently in effect for the given job. This result does not include any inherited policies.", "response": { "$ref": "Policy" }, "httpMethod": "GET", "path": "v1/{+resource}:getIamPolicy", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/jobs/{jobsId}:getIamPolicy", "parameters": { "options.requestedPolicyVersion": { "format": "int32", "description": "Optional. The maximum policy version that will be used to format the policy. Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset. The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "type": "integer", "location": "query" }, "resource": { "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/jobs/[^/]+$", "required": true, "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "location": "path" } }, "parameterOrder": [ "resource" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "setIamPolicy": { "httpMethod": "POST", "parameters": { "resource": { "pattern": "^projects/[^/]+/locations/[^/]+/jobs/[^/]+$", "location": "path", "required": true, "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "type": "string" } }, "request": { "$ref": "SetIamPolicyRequest" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/jobs/{jobsId}:setIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "resource" ], "response": { "$ref": "Policy" }, "description": "Sets the IAM Access control policy for the specified job. Overwrites any existing policy.", "id": "run.projects.locations.jobs.setIamPolicy", "path": "v1/{+resource}:setIamPolicy" } } }, "authorizeddomains": { "methods": { "list": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+parent}/authorizeddomains", "response": { "$ref": "ListAuthorizedDomainsResponse" }, "id": "run.projects.locations.authorizeddomains.list", "parameterOrder": [ "parent" ], "httpMethod": "GET", "parameters": { "pageSize": { "format": "int32", "description": "Maximum results to return per page.", "type": "integer", "location": "query" }, "pageToken": { "location": "query", "description": "Continuation token for fetching the next page of results.", "type": "string" }, "parent": { "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+$", "type": "string", "required": true, "description": "Name of the parent Project resource. Example: `projects/myproject`." } }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/authorizeddomains", "description": "List authorized domains." } } }, "domainmappings": { "methods": { "create": { "id": "run.projects.locations.domainmappings.create", "request": { "$ref": "DomainMapping" }, "description": "Create a new domain mapping.", "parameters": { "dryRun": { "location": "query", "description": "Indicates that the server should validate the request and populate default values without persisting the request. Supported values: `all`", "type": "string" }, "parent": { "required": true, "location": "path", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+$", "description": "The namespace in which the domain mapping should be created. For Cloud Run (fully managed), replace {namespace} with the project ID or number. It takes the form namespaces/{namespace}. For example: namespaces/PROJECT_ID" } }, "path": "v1/{+parent}/domainmappings", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/domainmappings", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "DomainMapping" }, "parameterOrder": [ "parent" ], "httpMethod": "POST" }, "get": { "id": "run.projects.locations.domainmappings.get", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/domainmappings/{domainmappingsId}", "parameterOrder": [ "name" ], "response": { "$ref": "DomainMapping" }, "parameters": { "name": { "required": true, "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/domainmappings/[^/]+$", "description": "The name of the domain mapping to retrieve. For Cloud Run (fully managed), replace {namespace} with the project ID or number. It takes the form namespaces/{namespace}. For example: namespaces/PROJECT_ID" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+name}", "httpMethod": "GET", "description": "Get information about a domain mapping." }, "list": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "run.projects.locations.domainmappings.list", "response": { "$ref": "ListDomainMappingsResponse" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/domainmappings", "description": "List domain mappings.", "parameterOrder": [ "parent" ], "httpMethod": "GET", "parameters": { "fieldSelector": { "location": "query", "description": "Allows to filter resources based on a specific value for a field name. Send this in a query string format. i.e. 'metadata.name%3Dlorem'. Not currently used by Cloud Run.", "type": "string" }, "labelSelector": { "location": "query", "description": "Allows to filter resources based on a label. Supported operations are =, !=, exists, in, and notIn.", "type": "string" }, "includeUninitialized": { "description": "Not currently used by Cloud Run.", "type": "boolean", "location": "query" }, "continue": { "description": "Optional. Encoded string to continue paging.", "location": "query", "type": "string" }, "parent": { "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+$", "type": "string", "description": "The namespace from which the domain mappings should be listed. For Cloud Run (fully managed), replace {namespace} with the project ID or number. It takes the form namespaces/{namespace}. For example: namespaces/PROJECT_ID", "required": true }, "watch": { "description": "Flag that indicates that the client expects to watch this resource as well. Not currently used by Cloud Run.", "type": "boolean", "location": "query" }, "limit": { "description": "Optional. The maximum number of records that should be returned.", "location": "query", "type": "integer", "format": "int32" }, "resourceVersion": { "description": "The baseline resource version from which the list or watch operation should start. Not currently used by Cloud Run.", "location": "query", "type": "string" } }, "path": "v1/{+parent}/domainmappings" }, "delete": { "parameters": { "apiVersion": { "location": "query", "description": "Cloud Run currently ignores this parameter.", "type": "string" }, "dryRun": { "description": "Indicates that the server should validate the request and populate default values without persisting the request. Supported values: `all`", "type": "string", "location": "query" }, "name": { "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/domainmappings/[^/]+$", "type": "string", "description": "The name of the domain mapping to delete. For Cloud Run (fully managed), replace {namespace} with the project ID or number. It takes the form namespaces/{namespace}. For example: namespaces/PROJECT_ID" }, "kind": { "location": "query", "type": "string", "description": "Cloud Run currently ignores this parameter." }, "propagationPolicy": { "location": "query", "description": "Specifies the propagation policy of delete. Cloud Run currently ignores this setting, and deletes in the background. Please see kubernetes.io/docs/concepts/workloads/controllers/garbage-collection/ for more information.", "type": "string" } }, "httpMethod": "DELETE", "parameterOrder": [ "name" ], "id": "run.projects.locations.domainmappings.delete", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Delete a domain mapping.", "path": "v1/{+name}", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/domainmappings/{domainmappingsId}", "response": { "$ref": "Status" } } } }, "revisions": { "methods": { "list": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/revisions", "path": "v1/{+parent}/revisions", "parameters": { "parent": { "pattern": "^projects/[^/]+/locations/[^/]+$", "description": "The namespace from which the revisions should be listed. For Cloud Run (fully managed), replace {namespace} with the project ID or number. It takes the form namespaces/{namespace}. For example: namespaces/PROJECT_ID", "type": "string", "location": "path", "required": true }, "limit": { "location": "query", "format": "int32", "type": "integer", "description": "Optional. The maximum number of records that should be returned." }, "resourceVersion": { "description": "The baseline resource version from which the list or watch operation should start. Not currently used by Cloud Run.", "location": "query", "type": "string" }, "continue": { "type": "string", "description": "Optional. Encoded string to continue paging.", "location": "query" }, "labelSelector": { "location": "query", "type": "string", "description": "Allows to filter resources based on a label. Supported operations are =, !=, exists, in, and notIn." }, "fieldSelector": { "description": "Allows to filter resources based on a specific value for a field name. Send this in a query string format. i.e. 'metadata.name%3Dlorem'. Not currently used by Cloud Run.", "type": "string", "location": "query" }, "includeUninitialized": { "description": "Not currently used by Cloud Run.", "location": "query", "type": "boolean" }, "watch": { "description": "Flag that indicates that the client expects to watch this resource as well. Not currently used by Cloud Run.", "type": "boolean", "location": "query" } }, "httpMethod": "GET", "response": { "$ref": "ListRevisionsResponse" }, "parameterOrder": [ "parent" ], "id": "run.projects.locations.revisions.list", "description": "List revisions." }, "get": { "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Revision" }, "parameterOrder": [ "name" ], "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/revisions/[^/]+$", "location": "path", "description": "The name of the revision to retrieve. For Cloud Run (fully managed), replace {namespace} with the project ID or number. It takes the form namespaces/{namespace}. For example: namespaces/PROJECT_ID", "required": true, "type": "string" } }, "path": "v1/{+name}", "description": "Get information about a revision.", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/revisions/{revisionsId}", "id": "run.projects.locations.revisions.get" }, "delete": { "parameters": { "kind": { "description": "Cloud Run currently ignores this parameter.", "type": "string", "location": "query" }, "name": { "pattern": "^projects/[^/]+/locations/[^/]+/revisions/[^/]+$", "location": "path", "type": "string", "description": "The name of the revision to delete. For Cloud Run (fully managed), replace {namespace} with the project ID or number. It takes the form namespaces/{namespace}. For example: namespaces/PROJECT_ID", "required": true }, "dryRun": { "type": "string", "description": "Indicates that the server should validate the request and populate default values without persisting the request. Supported values: `all`", "location": "query" }, "apiVersion": { "location": "query", "description": "Cloud Run currently ignores this parameter.", "type": "string" }, "propagationPolicy": { "description": "Specifies the propagation policy of delete. Cloud Run currently ignores this setting, and deletes in the background. Please see kubernetes.io/docs/concepts/workloads/controllers/garbage-collection/ for more information.", "type": "string", "location": "query" } }, "httpMethod": "DELETE", "path": "v1/{+name}", "parameterOrder": [ "name" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/revisions/{revisionsId}", "id": "run.projects.locations.revisions.delete", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Status" }, "description": "Delete a revision." } } }, "configurations": { "methods": { "get": { "path": "v1/{+name}", "parameters": { "name": { "location": "path", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/configurations/[^/]+$", "description": "The name of the configuration to retrieve. For Cloud Run (fully managed), replace {namespace_id} with the project ID or number.", "required": true } }, "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "id": "run.projects.locations.configurations.get", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/configurations/{configurationsId}", "description": "Get information about a configuration.", "response": { "$ref": "Configuration" } }, "list": { "id": "run.projects.locations.configurations.list", "response": { "$ref": "ListConfigurationsResponse" }, "httpMethod": "GET", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/configurations", "parameterOrder": [ "parent" ], "description": "List configurations.", "path": "v1/{+parent}/configurations", "parameters": { "resourceVersion": { "location": "query", "type": "string", "description": "The baseline resource version from which the list or watch operation should start. Not currently used by Cloud Run." }, "watch": { "type": "boolean", "location": "query", "description": "Flag that indicates that the client expects to watch this resource as well. Not currently used by Cloud Run." }, "parent": { "pattern": "^projects/[^/]+/locations/[^/]+$", "location": "path", "type": "string", "required": true, "description": "The namespace from which the configurations should be listed. For Cloud Run (fully managed), replace {namespace_id} with the project ID or number." }, "labelSelector": { "location": "query", "type": "string", "description": "Allows to filter resources based on a label. Supported operations are =, !=, exists, in, and notIn." }, "limit": { "type": "integer", "location": "query", "format": "int32", "description": "Optional. The maximum number of records that should be returned." }, "includeUninitialized": { "location": "query", "description": "Not currently used by Cloud Run.", "type": "boolean" }, "fieldSelector": { "type": "string", "location": "query", "description": "Allows to filter resources based on a specific value for a field name. Send this in a query string format. i.e. 'metadata.name%3Dlorem'. Not currently used by Cloud Run." }, "continue": { "type": "string", "description": "Optional. Encoded string to continue paging.", "location": "query" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] } } }, "routes": { "methods": { "list": { "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/routes", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "id": "run.projects.locations.routes.list", "parameters": { "fieldSelector": { "location": "query", "description": "Allows to filter resources based on a specific value for a field name. Send this in a query string format. i.e. 'metadata.name%3Dlorem'. Not currently used by Cloud Run.", "type": "string" }, "parent": { "location": "path", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+$", "description": "The namespace from which the routes should be listed. For Cloud Run (fully managed), replace {namespace} with the project ID or number. It takes the form namespaces/{namespace}. For example: namespaces/PROJECT_ID" }, "labelSelector": { "type": "string", "location": "query", "description": "Allows to filter resources based on a label. Supported operations are =, !=, exists, in, and notIn." }, "includeUninitialized": { "type": "boolean", "location": "query", "description": "Not currently used by Cloud Run." }, "resourceVersion": { "type": "string", "description": "The baseline resource version from which the list or watch operation should start. Not currently used by Cloud Run.", "location": "query" }, "continue": { "type": "string", "description": "Optional. Encoded string to continue paging.", "location": "query" }, "limit": { "format": "int32", "type": "integer", "location": "query", "description": "Optional. The maximum number of records that should be returned." }, "watch": { "location": "query", "type": "boolean", "description": "Flag that indicates that the client expects to watch this resource as well. Not currently used by Cloud Run." } }, "description": "List routes.", "path": "v1/{+parent}/routes", "parameterOrder": [ "parent" ], "response": { "$ref": "ListRoutesResponse" } }, "get": { "httpMethod": "GET", "parameters": { "name": { "type": "string", "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/routes/[^/]+$", "description": "The name of the route to retrieve. For Cloud Run (fully managed), replace {namespace} with the project ID or number. It takes the form namespaces/{namespace}. For example: namespaces/PROJECT_ID" } }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/routes/{routesId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+name}", "description": "Get information about a route.", "response": { "$ref": "Route" }, "id": "run.projects.locations.routes.get", "parameterOrder": [ "name" ] } } }, "services": { "methods": { "replaceService": { "parameters": { "name": { "location": "path", "type": "string", "required": true, "description": "The name of the service being replaced. For Cloud Run (fully managed), replace {namespace} with the project ID or number. It takes the form namespaces/{namespace}. For example: namespaces/PROJECT_ID", "pattern": "^projects/[^/]+/locations/[^/]+/services/[^/]+$" }, "dryRun": { "description": "Indicates that the server should validate the request and populate default values without persisting the request. Supported values: `all`", "location": "query", "type": "string" } }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/services/{servicesId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "Service" }, "response": { "$ref": "Service" }, "httpMethod": "PUT", "parameterOrder": [ "name" ], "path": "v1/{+name}", "description": "Replace a service. Only the spec and metadata labels and annotations are modifiable. After the Update request, Cloud Run will work to make the 'status' match the requested 'spec'. May provide metadata.resourceVersion to enforce update from last read for optimistic concurrency control.", "id": "run.projects.locations.services.replaceService" }, "getIamPolicy": { "parameterOrder": [ "resource" ], "id": "run.projects.locations.services.getIamPolicy", "response": { "$ref": "Policy" }, "description": "Get the IAM Access Control policy currently in effect for the given Cloud Run service. This result does not include any inherited policies.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "resource": { "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/services/[^/]+$", "type": "string" }, "options.requestedPolicyVersion": { "location": "query", "type": "integer", "description": "Optional. The maximum policy version that will be used to format the policy. Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset. The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "format": "int32" } }, "path": "v1/{+resource}:getIamPolicy", "httpMethod": "GET", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/services/{servicesId}:getIamPolicy" }, "list": { "response": { "$ref": "ListServicesResponse" }, "description": "List services.", "id": "run.projects.locations.services.list", "parameters": { "resourceVersion": { "description": "The baseline resource version from which the list or watch operation should start. Not currently used by Cloud Run.", "type": "string", "location": "query" }, "fieldSelector": { "type": "string", "location": "query", "description": "Allows to filter resources based on a specific value for a field name. Send this in a query string format. i.e. 'metadata.name%3Dlorem'. Not currently used by Cloud Run." }, "watch": { "type": "boolean", "location": "query", "description": "Flag that indicates that the client expects to watch this resource as well. Not currently used by Cloud Run." }, "includeUninitialized": { "type": "boolean", "location": "query", "description": "Not currently used by Cloud Run." }, "labelSelector": { "description": "Allows to filter resources based on a label. Supported operations are =, !=, exists, in, and notIn.", "type": "string", "location": "query" }, "limit": { "location": "query", "format": "int32", "type": "integer", "description": "Optional. The maximum number of records that should be returned." }, "continue": { "description": "Optional. Encoded string to continue paging.", "type": "string", "location": "query" }, "parent": { "pattern": "^projects/[^/]+/locations/[^/]+$", "type": "string", "location": "path", "required": true, "description": "The namespace from which the services should be listed. For Cloud Run (fully managed), replace {namespace} with the project ID or number. It takes the form namespaces/{namespace}. For example: namespaces/PROJECT_ID" } }, "httpMethod": "GET", "parameterOrder": [ "parent" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/services", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+parent}/services" }, "create": { "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/services", "description": "Create a service.", "parameters": { "dryRun": { "type": "string", "description": "Indicates that the server should validate the request and populate default values without persisting the request. Supported values: `all`", "location": "query" }, "parent": { "type": "string", "description": "The namespace in which the service should be created. For Cloud Run (fully managed), replace {namespace} with the project ID or number. It takes the form namespaces/{namespace}. For example: namespaces/PROJECT_ID", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+$", "required": true } }, "parameterOrder": [ "parent" ], "request": { "$ref": "Service" }, "id": "run.projects.locations.services.create", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Service" }, "path": "v1/{+parent}/services", "httpMethod": "POST" }, "setIamPolicy": { "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/services/{servicesId}:setIamPolicy", "httpMethod": "POST", "id": "run.projects.locations.services.setIamPolicy", "request": { "$ref": "SetIamPolicyRequest" }, "parameters": { "resource": { "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/services/[^/]+$", "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "resource" ], "path": "v1/{+resource}:setIamPolicy", "description": "Sets the IAM Access control policy for the specified Service. Overwrites any existing policy.", "response": { "$ref": "Policy" } }, "testIamPermissions": { "parameters": { "resource": { "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/services/[^/]+$", "type": "string", "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "required": true } }, "id": "run.projects.locations.services.testIamPermissions", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/services/{servicesId}:testIamPermissions", "description": "Returns permissions that a caller has on the specified Project. There are no permissions required for making this API call.", "parameterOrder": [ "resource" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "TestIamPermissionsResponse" }, "path": "v1/{+resource}:testIamPermissions", "request": { "$ref": "TestIamPermissionsRequest" }, "httpMethod": "POST" }, "get": { "parameters": { "name": { "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/services/[^/]+$", "type": "string", "description": "The name of the service to retrieve. For Cloud Run (fully managed), replace {namespace} with the project ID or number. It takes the form namespaces/{namespace}. For example: namespaces/PROJECT_ID" } }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/services/{servicesId}", "id": "run.projects.locations.services.get", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "description": "Get information about a service.", "parameterOrder": [ "name" ], "response": { "$ref": "Service" }, "path": "v1/{+name}" }, "delete": { "id": "run.projects.locations.services.delete", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Delete a service. This will cause the Service to stop serving traffic and will delete the child entities like Routes, Configurations and Revisions.", "parameters": { "kind": { "type": "string", "description": "Cloud Run currently ignores this parameter.", "location": "query" }, "apiVersion": { "type": "string", "location": "query", "description": "Cloud Run currently ignores this parameter." }, "name": { "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/services/[^/]+$", "description": "The name of the service to delete. For Cloud Run (fully managed), replace {namespace} with the project ID or number. It takes the form namespaces/{namespace}. For example: namespaces/PROJECT_ID", "location": "path", "required": true }, "propagationPolicy": { "type": "string", "location": "query", "description": "Specifies the propagation policy of delete. Cloud Run currently ignores this setting, and deletes in the background. Please see kubernetes.io/docs/concepts/workloads/controllers/garbage-collection/ for more information." }, "dryRun": { "description": "Indicates that the server should validate the request and populate default values without persisting the request. Supported values: `all`", "type": "string", "location": "query" } }, "path": "v1/{+name}", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/services/{servicesId}", "response": { "$ref": "Status" }, "parameterOrder": [ "name" ], "httpMethod": "DELETE" } } } }, "methods": { "list": { "path": "v1/{+name}/locations", "parameters": { "pageToken": { "location": "query", "description": "A page token received from the `next_page_token` field in the response. Send that page token to receive the subsequent page.", "type": "string" }, "filter": { "type": "string", "description": "A filter to narrow down results to a preferred subset. The filtering language accepts strings like `\"displayName=tokyo\"`, and is documented in more detail in [AIP-160](https://google.aip.dev/160).", "location": "query" }, "pageSize": { "location": "query", "description": "The maximum number of results to return. If not set, the service selects a default.", "format": "int32", "type": "integer" }, "name": { "pattern": "^projects/[^/]+$", "required": true, "description": "The resource that owns the locations collection, if applicable.", "location": "path", "type": "string" } }, "id": "run.projects.locations.list", "flatPath": "v1/projects/{projectsId}/locations", "parameterOrder": [ "name" ], "description": "Lists information about the supported locations for this service.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "response": { "$ref": "ListLocationsResponse" } } } } } } }, "discoveryVersion": "v1", "version": "v1", "documentationLink": "https://cloud.google.com/run/", "revision": "20220626", "ownerDomain": "google.com", "version_module": true, "mtlsRootUrl": "https://run.mtls.googleapis.com/", "canonicalName": "Cloud Run", "description": "Deploy and manage user provided container images that scale automatically based on incoming requests. The Cloud Run Admin API v1 follows the Knative Serving API specification, while v2 is aligned with Google Cloud AIP-based API standards, as described in https://google.aip.dev/.", "schemas": { "TestIamPermissionsRequest": { "properties": { "permissions": { "items": { "type": "string" }, "type": "array", "description": "The set of permissions to check for the `resource`. Permissions with wildcards (such as `*` or `storage.*`) are not allowed. For more information see [IAM Overview](https://cloud.google.com/iam/docs/overview#permissions)." } }, "id": "TestIamPermissionsRequest", "description": "Request message for `TestIamPermissions` method.", "type": "object" }, "RouteSpec": { "id": "RouteSpec", "type": "object", "description": "RouteSpec holds the desired state of the Route (from the client).", "properties": { "traffic": { "items": { "$ref": "TrafficTarget" }, "description": "Traffic specifies how to distribute traffic over a collection of Knative Revisions and Configurations. Cloud Run currently supports a single configurationName.", "type": "array" } } }, "RevisionStatus": { "id": "RevisionStatus", "type": "object", "properties": { "imageDigest": { "type": "string", "description": "ImageDigest holds the resolved digest for the image specified within .Spec.Container.Image. The digest is resolved during the creation of Revision. This field holds the digest value regardless of whether a tag or digest was originally specified in the Container object." }, "serviceName": { "type": "string", "description": "Not currently used by Cloud Run." }, "conditions": { "items": { "$ref": "GoogleCloudRunV1Condition" }, "type": "array", "description": "Conditions communicates information about ongoing/complete reconciliation processes that bring the \"spec\" inline with the observed state of the world. As a Revision is being prepared, it will incrementally update conditions. Revision-specific conditions include: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"ResourcesAvailable\": True when underlying resources have been provisioned. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"ContainerHealthy\": True when the Revision readiness check completes. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"Active\": True when the Revision may receive traffic." }, "logUrl": { "description": "Optional. Specifies the generated logging url for this particular revision based on the revision url template specified in the controller's config.", "type": "string" }, "observedGeneration": { "description": "ObservedGeneration is the 'Generation' of the Revision that was last processed by the controller. Clients polling for completed reconciliation should poll until observedGeneration = metadata.generation, and the Ready condition's status is True or False.", "type": "integer", "format": "int32" } }, "description": "RevisionStatus communicates the observed state of the Revision (from the controller)." }, "Status": { "properties": { "status": { "type": "string", "description": "Status of the operation. One of: \"Success\" or \"Failure\". More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#spec-and-status +optional" }, "reason": { "description": "A machine-readable description of why this operation is in the \"Failure\" status. If this value is empty there is no information available. A Reason clarifies an HTTP status code but does not override it. +optional", "type": "string" }, "code": { "type": "integer", "description": "Suggested HTTP return code for this status, 0 if not set. +optional", "format": "int32" }, "metadata": { "description": "Standard list metadata. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds +optional", "$ref": "ListMeta" }, "details": { "$ref": "StatusDetails", "description": "Extended data associated with the reason. Each reason may define its own extended details. This field is optional and the data returned is not guaranteed to conform to any schema except that defined by the reason type. +optional" }, "message": { "type": "string", "description": "A human-readable description of the status of this operation. +optional" } }, "description": "Status is a return value for calls that don't return other objects", "type": "object", "id": "Status" }, "SecretVolumeSource": { "type": "object", "description": "The secret's value will be presented as the content of a file whose name is defined in the item path. If no items are defined, the name of the file is the secret_name. The contents of the target Secret's Data field will be presented in a volume as files using the keys in the Data field as the file names.", "id": "SecretVolumeSource", "properties": { "optional": { "description": "(Optional) Specify whether the Secret or its keys must be defined.", "type": "boolean" }, "items": { "items": { "$ref": "KeyToPath" }, "type": "array", "description": "(Optional) If unspecified, the volume will expose a file whose name is the secret_name. If specified, the key will be used as the version to fetch from Cloud Secret Manager and the path will be the name of the file exposed in the volume. When items are defined, they must specify a key and a path. If unspecified, each key-value pair in the Data field of the referenced Secret will be projected into the volume as a file whose name is the key and content is the value. If specified, the listed keys will be projected into the specified paths, and unlisted keys will not be present. If a key is specified that is not present in the Secret, the volume setup will error unless it is marked optional." }, "secretName": { "type": "string", "description": "The name of the secret in Cloud Secret Manager. By default, the secret is assumed to be in the same project. If the secret is in another project, you must define an alias. An alias definition has the form: :projects//secrets/. If multiple alias definitions are needed, they must be separated by commas. The alias definitions must be set on the run.googleapis.com/secrets annotation. Name of the secret in the container's namespace to use." }, "defaultMode": { "description": "Integer representation of mode bits to use on created files by default. Must be a value between 01 and 0777 (octal). If 0 or not set, it will default to 0644. Directories within the path are not affected by this setting. Notes LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Internally, a umask of 0222 will be applied to any non-zero value. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh This is an integer representation of the mode bits. So, the octal integer value should look exactly as the chmod numeric notation with a leading zero. Some examples: for chmod 777 (a=rwx), set to 0777 (octal) or 511 (base-10). For chmod 640 (u=rw,g=r), set to 0640 (octal) or 416 (base-10). For chmod 755 (u=rwx,g=rx,o=rx), set to 0755 (octal) or 493 (base-10). LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh This might be in conflict with other options that affect the file mode, like fsGroup, and the result can be other mode bits set.", "format": "int32", "type": "integer" } } }, "Location": { "id": "Location", "properties": { "displayName": { "type": "string", "description": "The friendly name for this location, typically a nearby city name. For example, \"Tokyo\"." }, "labels": { "type": "object", "description": "Cross-service attributes for the location. For example {\"cloud.googleapis.com/region\": \"us-east1\"}", "additionalProperties": { "type": "string" } }, "metadata": { "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "description": "Service-specific metadata. For example the available capacity at the given location.", "type": "object" }, "locationId": { "description": "The canonical id for this location. For example: `\"us-east1\"`.", "type": "string" }, "name": { "description": "Resource name for the location, which may vary between implementations. For example: `\"projects/example-project/locations/us-east1\"`", "type": "string" } }, "description": "A resource that represents Google Cloud Platform location.", "type": "object" }, "Volume": { "type": "object", "id": "Volume", "properties": { "configMap": { "$ref": "ConfigMapVolumeSource" }, "name": { "type": "string", "description": "Volume's name. In Cloud Run Fully Managed, the name 'cloudsql' is reserved." }, "secret": { "$ref": "SecretVolumeSource" } }, "description": "Volume represents a named volume in a container." }, "RevisionSpec": { "id": "RevisionSpec", "properties": { "timeoutSeconds": { "type": "integer", "description": "TimeoutSeconds holds the max duration the instance is allowed for responding to a request. Cloud Run fully managed: defaults to 300 seconds (5 minutes). Maximum allowed value is 3600 seconds (1 hour). Cloud Run for Anthos: defaults to 300 seconds (5 minutes). Maximum allowed value is configurable by the cluster operator.", "format": "int32" }, "imagePullSecrets": { "type": "array", "description": "ImagePullSecrets is a list of references to secrets in the same namespace to use for pulling any images in pods that reference this ServiceAccount. ImagePullSecrets are distinct from Secrets because Secrets can be mounted in the pod, but ImagePullSecrets are only accessed by the kubelet. More info: https://kubernetes.io/docs/concepts/containers/images/#specifying-imagepullsecrets-on-a-pod Cloud Run fully managed: Not supported. Cloud Run for Anthos: supported.", "items": { "$ref": "LocalObjectReference" } }, "volumes": { "type": "array", "items": { "$ref": "Volume" } }, "serviceAccountName": { "description": "Email address of the IAM service account associated with the revision of the service. The service account represents the identity of the running revision, and determines what permissions the revision has. If not provided, the revision will use the project's default service account.", "type": "string" }, "containers": { "items": { "$ref": "Container" }, "type": "array", "description": "Containers holds the single container that defines the unit of execution for this Revision. In the context of a Revision, we disallow a number of fields on this Container, including: name and lifecycle. In Cloud Run, only a single container may be provided. The runtime contract is documented here: https://github.com/knative/serving/blob/main/docs/runtime-contract.md" }, "enableServiceLinks": { "description": "Indicates whether information about services should be injected into pod's environment variables, matching the syntax of Docker links. Cloud Run fully managed: Not supported. Cloud Run for Anthos: supported, defaults to true.", "type": "boolean" }, "containerConcurrency": { "format": "int32", "type": "integer", "description": "ContainerConcurrency specifies the maximum allowed in-flight (concurrent) requests per container instance of the Revision. Cloud Run fully managed: supported, defaults to 80 Cloud Run for Anthos: supported, defaults to 0, which means concurrency to the application is not limited, and the system decides the target concurrency for the autoscaler." } }, "type": "object", "description": "RevisionSpec holds the desired state of the Revision (from the client)." }, "HTTPGetAction": { "type": "object", "description": "Not supported by Cloud Run HTTPGetAction describes an action based on HTTP Get requests.", "properties": { "httpHeaders": { "items": { "$ref": "HTTPHeader" }, "description": "(Optional) Custom headers to set in the request. HTTP allows repeated headers.", "type": "array" }, "host": { "type": "string", "description": "(Optional) Host name to connect to, defaults to the pod IP. You probably want to set \"Host\" in httpHeaders instead." }, "path": { "description": "(Optional) Path to access on the HTTP server.", "type": "string" }, "scheme": { "description": "(Optional) Scheme to use for connecting to the host. Defaults to HTTP.", "type": "string" } }, "id": "HTTPGetAction" }, "ObjectMeta": { "type": "object", "id": "ObjectMeta", "description": "k8s.io.apimachinery.pkg.apis.meta.v1.ObjectMeta is metadata that all persisted resources must have, which includes all objects users must create.", "properties": { "uid": { "type": "string", "description": "(Optional) UID is the unique in time and space value for this object. It is typically generated by the server on successful creation of a resource and is not allowed to change on PUT operations. Populated by the system. Read-only. More info: https://kubernetes.io/docs/user-guide/identifiers#uids" }, "finalizers": { "type": "array", "description": "(Optional) Not supported by Cloud Run Must be empty before the object is deleted from the registry. Each entry is an identifier for the responsible component that will remove the entry from the list. If the deletionTimestamp of the object is non-nil, entries in this list can only be removed. +patchStrategy=merge", "items": { "type": "string" } }, "resourceVersion": { "type": "string", "description": "Optional. An opaque value that represents the internal version of this object that can be used by clients to determine when objects have changed. May be used for optimistic concurrency, change detection, and the watch operation on a resource or set of resources. Clients must treat these values as opaque and passed unmodified back to the server or omit the value to disable conflict-detection. They may only be valid for a particular resource or set of resources. Populated by the system. Read-only. Value must be treated as opaque by clients or omitted. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#concurrency-control-and-consistency" }, "clusterName": { "type": "string", "description": "(Optional) Not supported by Cloud Run The name of the cluster which the object belongs to. This is used to distinguish resources with same name and namespace in different clusters. This field is not set anywhere right now and apiserver is going to ignore it if set in create or update request." }, "generateName": { "description": "(Optional) Not supported by Cloud Run GenerateName is an optional prefix, used by the server, to generate a unique name ONLY IF the Name field has not been provided. If this field is used, the name returned to the client will be different than the name passed. This value will also be combined with a unique suffix. The provided value has the same validation rules as the Name field, and may be truncated by the length of the suffix required to make the value unique on the server. If this field is specified and the generated name exists, the server will NOT return a 409 - instead, it will either return 201 Created or 500 with Reason ServerTimeout indicating a unique name could not be found in the time allotted, and the client should retry (optionally after the time indicated in the Retry-After header). Applied only if Name is not specified. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#idempotency string generateName = 2;", "type": "string" }, "namespace": { "type": "string", "description": "Namespace defines the space within each name must be unique, within a Cloud Run region. In Cloud Run the namespace must be equal to either the project ID or project number." }, "deletionTimestamp": { "format": "google-datetime", "type": "string", "description": "(Optional) Not supported by Cloud Run DeletionTimestamp is RFC 3339 date and time at which this resource will be deleted. This field is set by the server when a graceful deletion is requested by the user, and is not directly settable by a client. The resource is expected to be deleted (no longer visible from resource lists, and not reachable by name) after the time in this field, once the finalizers list is empty. As long as the finalizers list contains items, deletion is blocked. Once the deletionTimestamp is set, this value may not be unset or be set further into the future, although it may be shortened or the resource may be deleted prior to this time. For example, a user may request that a pod is deleted in 30 seconds. The Kubelet will react by sending a graceful termination signal to the containers in the pod. After that 30 seconds, the Kubelet will send a hard termination signal (SIGKILL) to the container and after cleanup, remove the pod from the API. In the presence of network partitions, this object may still exist after this timestamp, until an administrator or automated process can determine the resource is fully terminated. If not set, graceful deletion of the object has not been requested. Populated by the system when a graceful deletion is requested. Read-only. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata" }, "ownerReferences": { "type": "array", "description": "(Optional) Not supported by Cloud Run List of objects that own this object. If ALL objects in the list have been deleted, this object will be garbage collected.", "items": { "$ref": "OwnerReference" } }, "generation": { "type": "integer", "description": "(Optional) A sequence number representing a specific generation of the desired state. Populated by the system. Read-only.", "format": "int32" }, "deletionGracePeriodSeconds": { "type": "integer", "format": "int32", "description": "(Optional) Not supported by Cloud Run Number of seconds allowed for this object to gracefully terminate before it will be removed from the system. Only set when deletionTimestamp is also set. May only be shortened. Read-only." }, "annotations": { "description": "(Optional) Annotations is an unstructured key value map stored with a resource that may be set by external tools to store and retrieve arbitrary metadata. They are not queryable and should be preserved when modifying objects. More info: https://kubernetes.io/docs/user-guide/annotations", "additionalProperties": { "type": "string" }, "type": "object" }, "labels": { "description": "(Optional) Map of string keys and values that can be used to organize and categorize (scope and select) objects. May match selectors of replication controllers and routes. More info: https://kubernetes.io/docs/user-guide/labels", "additionalProperties": { "type": "string" }, "type": "object" }, "name": { "type": "string", "description": "Name must be unique within a namespace, within a Cloud Run region. Is required when creating resources, although some resources may allow a client to request the generation of an appropriate name automatically. Name is primarily intended for creation idempotence and configuration definition. Cannot be updated. More info: https://kubernetes.io/docs/user-guide/identifiers#names +optional" }, "creationTimestamp": { "format": "google-datetime", "type": "string", "description": "(Optional) CreationTimestamp is a timestamp representing the server time when this object was created. It is not guaranteed to be set in happens-before order across separate operations. Clients may not set this value. It is represented in RFC3339 form and is in UTC. Populated by the system. Read-only. Null for lists. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata" }, "selfLink": { "type": "string", "description": "(Optional) SelfLink is a URL representing this object. Populated by the system. Read-only. string selfLink = 4;" } } }, "Probe": { "description": "Not supported by Cloud Run Probe describes a health check to be performed against a container to determine whether it is alive or ready to receive traffic.", "properties": { "exec": { "$ref": "ExecAction", "description": "(Optional) Not supported by Cloud Run One and only one of the following should be specified. Exec specifies the action to take. A field inlined from the Handler message." }, "timeoutSeconds": { "description": "(Optional) Number of seconds after which the probe times out. Defaults to 1 second. Minimum value is 1. Maximum value is 3600. Must be smaller than period_seconds. More info: https://kubernetes.io/docs/concepts/workloads/pods/pod-lifecycle#container-probes", "format": "int32", "type": "integer" }, "successThreshold": { "type": "integer", "format": "int32", "description": "(Optional) Minimum consecutive successes for the probe to be considered successful after having failed. Must be 1 if set." }, "grpc": { "$ref": "GRPCAction", "description": "(Optional) GRPCAction specifies an action involving a GRPC port. A field inlined from the Handler message." }, "initialDelaySeconds": { "format": "int32", "description": "(Optional) Number of seconds after the container has started before the probe is initiated. Defaults to 0 seconds. Minimum value is 0. Maximum value for liveness probe is 3600. Maximum value for startup probe is 240. More info: https://kubernetes.io/docs/concepts/workloads/pods/pod-lifecycle#container-probes", "type": "integer" }, "httpGet": { "$ref": "HTTPGetAction", "description": "(Optional) HTTPGet specifies the http request to perform. A field inlined from the Handler message." }, "failureThreshold": { "format": "int32", "type": "integer", "description": "(Optional) Minimum consecutive failures for the probe to be considered failed after having succeeded. Defaults to 3. Minimum value is 1." }, "tcpSocket": { "description": "(Optional) TCPSocket specifies an action involving a TCP port. TCP hooks not yet supported A field inlined from the Handler message.", "$ref": "TCPSocketAction" }, "periodSeconds": { "description": "(Optional) How often (in seconds) to perform the probe. Default to 10 seconds. Minimum value is 1. Maximum value for liveness probe is 3600. Maximum value for startup probe is 240. Must be greater or equal than timeout_seconds.", "type": "integer", "format": "int32" } }, "id": "Probe", "type": "object" }, "ListAuthorizedDomainsResponse": { "type": "object", "id": "ListAuthorizedDomainsResponse", "description": "A list of Authorized Domains.", "properties": { "nextPageToken": { "description": "Continuation token for fetching the next page of results.", "type": "string" }, "domains": { "description": "The authorized domains belonging to the user.", "items": { "$ref": "AuthorizedDomain" }, "type": "array" } } }, "DomainMappingStatus": { "properties": { "mappedRouteName": { "type": "string", "description": "The name of the route that the mapping currently points to." }, "conditions": { "type": "array", "description": "Array of observed DomainMappingConditions, indicating the current state of the DomainMapping.", "items": { "$ref": "GoogleCloudRunV1Condition" } }, "url": { "description": "Optional. Cloud Run fully managed: not supported Cloud Run on GKE: supported Holds the URL that will serve the traffic of the DomainMapping.", "type": "string" }, "resourceRecords": { "description": "The resource records required to configure this domain mapping. These records must be added to the domain's DNS configuration in order to serve the application via this domain mapping.", "type": "array", "items": { "$ref": "ResourceRecord" } }, "observedGeneration": { "format": "int32", "type": "integer", "description": "ObservedGeneration is the 'Generation' of the DomainMapping that was last processed by the controller. Clients polling for completed reconciliation should poll until observedGeneration = metadata.generation and the Ready condition's status is True or False." } }, "description": "The current state of the Domain Mapping.", "id": "DomainMappingStatus", "type": "object" }, "StatusDetails": { "id": "StatusDetails", "description": "StatusDetails is a set of additional properties that MAY be set by the server to provide additional information about a response. The Reason field of a Status object defines what attributes will be set. Clients must ignore fields that do not match the defined type of each attribute, and should assume that any attribute may be empty, invalid, or under defined.", "properties": { "name": { "type": "string", "description": "The name attribute of the resource associated with the status StatusReason (when there is a single name which can be described). +optional" }, "causes": { "description": "The Causes array includes more details associated with the StatusReason failure. Not all StatusReasons may provide detailed causes. +optional", "items": { "$ref": "StatusCause" }, "type": "array" }, "kind": { "description": "The kind attribute of the resource associated with the status StatusReason. On some operations may differ from the requested resource Kind. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds +optional", "type": "string" }, "retryAfterSeconds": { "description": "If specified, the time in seconds before the operation should be retried. Some errors may indicate the client must take an alternate action - for those errors this field may indicate how long to wait before taking the alternate action. +optional", "format": "int32", "type": "integer" }, "group": { "description": "The group attribute of the resource associated with the status StatusReason. +optional", "type": "string" }, "uid": { "description": "UID of the resource. (when there is a single resource which can be described). More info: https://kubernetes.io/docs/user-guide/identifiers#uids +optional", "type": "string" } }, "type": "object" }, "ListJobsResponse": { "properties": { "kind": { "description": "The kind of this resource, in this case \"JobsList\".", "type": "string" }, "apiVersion": { "type": "string", "description": "The API version for this call such as \"run.googleapis.com/v1\"." }, "items": { "description": "List of Jobs.", "items": { "$ref": "Job" }, "type": "array" }, "unreachable": { "type": "array", "description": "Locations that could not be reached.", "items": { "type": "string" } }, "metadata": { "description": "Metadata associated with this jobs list.", "$ref": "ListMeta" } }, "description": "ListJobsResponse is a list of Jobs resources.", "id": "ListJobsResponse", "type": "object" }, "Route": { "type": "object", "id": "Route", "properties": { "kind": { "description": "The kind of this resource, in this case always \"Route\".", "type": "string" }, "metadata": { "$ref": "ObjectMeta", "description": "Metadata associated with this Route, including name, namespace, labels, and annotations." }, "apiVersion": { "description": "The API version for this call such as \"serving.knative.dev/v1\".", "type": "string" }, "status": { "$ref": "RouteStatus", "description": "Status communicates the observed state of the Route (from the controller)." }, "spec": { "$ref": "RouteSpec", "description": "Spec holds the desired state of the Route (from the client)." } }, "description": "Route is responsible for configuring ingress over a collection of Revisions. Some of the Revisions a Route distributes traffic over may be specified by referencing the Configuration responsible for creating them; in these cases the Route is additionally responsible for monitoring the Configuration for \"latest ready\" revision changes, and smoothly rolling out latest revisions. See also: https://github.com/knative/serving/blob/main/docs/spec/overview.md#route Cloud Run currently supports referencing a single Configuration to automatically deploy the \"latest ready\" Revision from that Configuration." }, "OwnerReference": { "id": "OwnerReference", "type": "object", "properties": { "controller": { "type": "boolean", "description": "If true, this reference points to the managing controller. +optional" }, "name": { "description": "Name of the referent. More info: https://kubernetes.io/docs/user-guide/identifiers#names", "type": "string" }, "uid": { "description": "UID of the referent. More info: https://kubernetes.io/docs/user-guide/identifiers#uids", "type": "string" }, "apiVersion": { "description": "API version of the referent.", "type": "string" }, "blockOwnerDeletion": { "description": "If true, AND if the owner has the \"foregroundDeletion\" finalizer, then the owner cannot be deleted from the key-value store until this reference is removed. Defaults to false. To set this field, a user needs \"delete\" permission of the owner, otherwise 422 (Unprocessable Entity) will be returned. +optional", "type": "boolean" }, "kind": { "type": "string", "description": "Kind of the referent. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds" } }, "description": "OwnerReference contains enough information to let you identify an owning object. Currently, an owning object must be in the same namespace, so there is no namespace field." }, "ExecutionTemplateSpec": { "type": "object", "description": "ExecutionTemplateSpec describes the metadata and spec an Execution should have when created from a job. Based on: https://github.com/kubernetes/api/blob/e771f807/core/v1/types.go#L3179-L3190", "properties": { "spec": { "$ref": "ExecutionSpec", "description": "Required. ExecutionSpec holds the desired configuration for executions of this job." }, "metadata": { "$ref": "ObjectMeta", "description": "Optional. Optional metadata for this Execution, including labels and annotations. The following annotation keys set properties of the created execution: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `run.googleapis.com/cloudsql-instances` sets Cloud SQL connections. Multiple values should be comma separated. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `run.googleapis.com/vpc-access-connector` sets a Serverless VPC Access connector. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `run.googleapis.com/vpc-access-egress` sets VPC egress. Supported values are `all-traffic`, `all` (deprecated), and `private-ranges-only`. `all-traffic` and `all` provide the same functionality. `all` is deprecated but will continue to be supported. Prefer `all-traffic`." } }, "id": "ExecutionTemplateSpec" }, "HTTPHeader": { "type": "object", "properties": { "value": { "type": "string", "description": "The header field value" }, "name": { "description": "The header field name", "type": "string" } }, "description": "Not supported by Cloud Run HTTPHeader describes a custom header to be used in HTTP probes", "id": "HTTPHeader" }, "Addressable": { "description": "Information for connecting over HTTP(s).", "properties": { "url": { "type": "string" } }, "type": "object", "id": "Addressable" }, "ListConfigurationsResponse": { "type": "object", "id": "ListConfigurationsResponse", "properties": { "unreachable": { "description": "Locations that could not be reached.", "items": { "type": "string" }, "type": "array" }, "metadata": { "description": "Metadata associated with this Configuration list.", "$ref": "ListMeta" }, "kind": { "description": "The kind of this resource, in this case \"ConfigurationList\".", "type": "string" }, "apiVersion": { "description": "The API version for this call such as \"serving.knative.dev/v1\".", "type": "string" }, "items": { "items": { "$ref": "Configuration" }, "description": "List of Configurations.", "type": "array" } }, "description": "ListConfigurationsResponse is a list of Configuration resources." }, "KeyToPath": { "properties": { "path": { "description": "The relative path of the file to map the key to. May not be an absolute path. May not contain the path element '..'. May not start with the string '..'.", "type": "string" }, "mode": { "description": "(Optional) Mode bits to use on this file, must be a value between 01 and 0777 (octal). If 0 or not set, the Volume's default mode will be used. Notes LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Internally, a umask of 0222 will be applied to any non-zero value. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh This is an integer representation of the mode bits. So, the octal integer value should look exactly as the chmod numeric notation with a leading zero. Some examples: for chmod 777 (a=rwx), set to 0777 (octal) or 511 (base-10). For chmod 640 (u=rw,g=r), set to 0640 (octal) or 416 (base-10). For chmod 755 (u=rwx,g=rx,o=rx), set to 0755 (octal) or 493 (base-10). LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh This might be in conflict with other options that affect the file mode, like fsGroup, and the result can be other mode bits set.", "type": "integer", "format": "int32" }, "key": { "description": "The Cloud Secret Manager secret version. Can be 'latest' for the latest value or an integer for a specific version. The key to project.", "type": "string" } }, "description": "Maps a string key to a path within a volume.", "type": "object", "id": "KeyToPath" }, "RouteStatus": { "type": "object", "properties": { "address": { "$ref": "Addressable", "description": "Similar to url, information on where the service is available on HTTP." }, "url": { "description": "URL holds the url that will distribute traffic over the provided traffic targets. It generally has the form: https://{route-hash}-{project-hash}-{cluster-level-suffix}.a.run.app", "type": "string" }, "conditions": { "type": "array", "items": { "$ref": "GoogleCloudRunV1Condition" }, "description": "Conditions communicates information about ongoing/complete reconciliation processes that bring the \"spec\" inline with the observed state of the world." }, "observedGeneration": { "type": "integer", "description": "ObservedGeneration is the 'Generation' of the Route that was last processed by the controller. Clients polling for completed reconciliation should poll until observedGeneration = metadata.generation and the Ready condition's status is True or False. Note that providing a trafficTarget that only has a configurationName will result in a Route that does not increment either its metadata.generation or its observedGeneration, as new \"latest ready\" revisions from the Configuration are processed without an update to the Route's spec.", "format": "int32" }, "traffic": { "type": "array", "description": "Traffic holds the configured traffic distribution. These entries will always contain RevisionName references. When ConfigurationName appears in the spec, this will hold the LatestReadyRevisionName that we last observed.", "items": { "$ref": "TrafficTarget" } } }, "description": "RouteStatus communicates the observed state of the Route (from the controller).", "id": "RouteStatus" }, "TCPSocketAction": { "type": "object", "properties": { "host": { "type": "string", "description": "(Optional) Optional: Host name to connect to, defaults to the pod IP." }, "port": { "type": "integer", "description": "Number or name of the port to access on the container. Number must be in the range 1 to 65535. Name must be an IANA_SVC_NAME. This field is currently limited to integer types only because of proto's inability to properly support the IntOrString golang type.", "format": "int32" } }, "description": "Not supported by Cloud Run TCPSocketAction describes an action based on opening a socket", "id": "TCPSocketAction" }, "ResourceRecord": { "description": "A DNS resource record.", "id": "ResourceRecord", "type": "object", "properties": { "name": { "description": "Relative name of the object affected by this record. Only applicable for `CNAME` records. Example: 'www'.", "type": "string" }, "rrdata": { "type": "string", "description": "Data for this record. Values vary by record type, as defined in RFC 1035 (section 5) and RFC 1034 (section 3.6.1)." }, "type": { "enum": [ "RECORD_TYPE_UNSPECIFIED", "A", "AAAA", "CNAME" ], "enumDescriptions": [ "An unknown resource record.", "An A resource record. Data is an IPv4 address.", "An AAAA resource record. Data is an IPv6 address.", "A CNAME resource record. Data is a domain name to be aliased." ], "description": "Resource record type. Example: `AAAA`.", "type": "string" } } }, "ExecutionReference": { "type": "object", "properties": { "creationTimestamp": { "type": "string", "format": "google-datetime", "description": "Optional. Creation timestamp of the execution." }, "completionTimestamp": { "type": "string", "format": "google-datetime", "description": "Optional. Completion timestamp of the execution." }, "name": { "type": "string", "description": "Optional. Name of the execution." } }, "description": "Reference to an Execution. Use /Executions.GetExecution with the given name to get full execution including the latest status.", "id": "ExecutionReference" }, "TaskTemplateSpec": { "id": "TaskTemplateSpec", "type": "object", "properties": { "spec": { "description": "Optional. Specification of the desired behavior of the task. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#spec-and-status +optional", "$ref": "TaskSpec" } }, "description": "TaskTemplateSpec describes the data a task should have when created from a template." }, "RunJobRequest": { "type": "object", "description": "Request message for creating a new execution of a job.", "properties": {}, "id": "RunJobRequest" }, "JobSpec": { "id": "JobSpec", "description": "JobSpec describes how the job will look.", "type": "object", "properties": { "template": { "description": "Optional. Describes the execution that will be created when running a job.", "$ref": "ExecutionTemplateSpec" } } }, "DomainMapping": { "id": "DomainMapping", "description": "Resource to hold the state and status of a user's domain mapping. NOTE: This resource is currently in Beta.", "type": "object", "properties": { "apiVersion": { "type": "string", "description": "The API version for this call such as \"domains.cloudrun.com/v1\"." }, "status": { "$ref": "DomainMappingStatus", "description": "The current status of the DomainMapping." }, "kind": { "description": "The kind of resource, in this case \"DomainMapping\".", "type": "string" }, "metadata": { "$ref": "ObjectMeta", "description": "Metadata associated with this BuildTemplate." }, "spec": { "$ref": "DomainMappingSpec", "description": "The spec for this DomainMapping." } } }, "TestIamPermissionsResponse": { "properties": { "permissions": { "type": "array", "items": { "type": "string" }, "description": "A subset of `TestPermissionsRequest.permissions` that the caller is allowed." } }, "description": "Response message for `TestIamPermissions` method.", "type": "object", "id": "TestIamPermissionsResponse" }, "Execution": { "properties": { "kind": { "type": "string", "description": "Optional. Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds +optional" }, "status": { "readOnly": true, "$ref": "ExecutionStatus", "description": "Output only. Current status of an execution. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status +optional" }, "metadata": { "$ref": "ObjectMeta", "description": "Optional. Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata +optional" }, "spec": { "$ref": "ExecutionSpec", "description": "Optional. Specification of the desired behavior of an execution. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status +optional" }, "apiVersion": { "type": "string", "description": "Optional. APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources +optional" } }, "id": "Execution", "description": "Execution represents the configuration of a single execution. A execution an immutable resource that references a container image which is run to completion.", "type": "object" }, "SetIamPolicyRequest": { "properties": { "policy": { "$ref": "Policy", "description": "REQUIRED: The complete policy to be applied to the `resource`. The size of the policy is limited to a few 10s of KB. An empty policy is a valid policy but certain Google Cloud services (such as Projects) might reject them." }, "updateMask": { "format": "google-fieldmask", "description": "OPTIONAL: A FieldMask specifying which fields of the policy to modify. Only the fields in the mask will be modified. If no mask is provided, the following default mask is used: `paths: \"bindings, etag\"`", "type": "string" } }, "type": "object", "id": "SetIamPolicyRequest", "description": "Request message for `SetIamPolicy` method." }, "Binding": { "type": "object", "properties": { "role": { "description": "Role that is assigned to the list of `members`, or principals. For example, `roles/viewer`, `roles/editor`, or `roles/owner`.", "type": "string" }, "condition": { "description": "The condition that is associated with this binding. If the condition evaluates to `true`, then this binding applies to the current request. If the condition evaluates to `false`, then this binding does not apply to the current request. However, a different role binding might grant the same role to one or more of the principals in this binding. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "$ref": "Expr" }, "members": { "items": { "type": "string" }, "type": "array", "description": "Specifies the principals requesting access for a Google Cloud resource. `members` can have the following values: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `allUsers`: A special identifier that represents anyone who is on the internet; with or without a Google account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `allAuthenticatedUsers`: A special identifier that represents anyone who is authenticated with a Google account or a service account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `user:{emailid}`: An email address that represents a specific Google account. For example, `alice@example.com` . LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `serviceAccount:{emailid}`: An email address that represents a service account. For example, `my-other-app@appspot.gserviceaccount.com`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `group:{emailid}`: An email address that represents a Google group. For example, `admins@example.com`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:user:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a user that has been recently deleted. For example, `alice@example.com?uid=123456789012345678901`. If the user is recovered, this value reverts to `user:{emailid}` and the recovered user retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:serviceAccount:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a service account that has been recently deleted. For example, `my-other-app@appspot.gserviceaccount.com?uid=123456789012345678901`. If the service account is undeleted, this value reverts to `serviceAccount:{emailid}` and the undeleted service account retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:group:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a Google group that has been recently deleted. For example, `admins@example.com?uid=123456789012345678901`. If the group is recovered, this value reverts to `group:{emailid}` and the recovered group retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `domain:{domain}`: The G Suite domain (primary) that represents all the users of that domain. For example, `google.com` or `example.com`. " } }, "id": "Binding", "description": "Associates `members`, or principals, with a `role`." }, "LocalObjectReference": { "id": "LocalObjectReference", "properties": { "name": { "type": "string", "description": "(Optional) Name of the referent. More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/names/#names" } }, "description": "Not supported by Cloud Run LocalObjectReference contains enough information to let you locate the referenced object inside the same namespace.", "type": "object" }, "ExecAction": { "description": "Not supported by Cloud Run ExecAction describes a \"run in container\" action.", "properties": { "command": { "type": "array", "description": "(Optional) Command is the command line to execute inside the container, the working directory for the command is root ('/') in the container's filesystem. The command is simply exec'd, it is not run inside a shell, so traditional shell instructions ('|', etc) won't work. To use a shell, you need to explicitly call out to that shell. Exit status of 0 is treated as live/healthy and non-zero is unhealthy.", "items": { "type": "string" } } }, "type": "object", "id": "ExecAction" }, "ConfigMapKeySelector": { "id": "ConfigMapKeySelector", "type": "object", "description": "Not supported by Cloud Run Selects a key from a ConfigMap.", "properties": { "localObjectReference": { "description": "This field should not be used directly as it is meant to be inlined directly into the message. Use the \"name\" field instead.", "$ref": "LocalObjectReference" }, "name": { "description": "The ConfigMap to select from.", "type": "string" }, "key": { "description": "The key to select.", "type": "string" }, "optional": { "type": "boolean", "description": "(Optional) Specify whether the ConfigMap or its key must be defined" } } }, "EnvVar": { "description": "EnvVar represents an environment variable present in a Container.", "id": "EnvVar", "type": "object", "properties": { "value": { "type": "string", "description": "(Optional) Variable references $(VAR_NAME) are expanded using the previous defined environment variables in the container and any route environment variables. If a variable cannot be resolved, the reference in the input string will be unchanged. The $(VAR_NAME) syntax can be escaped with a double $$, ie: $$(VAR_NAME). Escaped references will never be expanded, regardless of whether the variable exists or not. Defaults to \"\"." }, "name": { "type": "string", "description": "Name of the environment variable. Must be a C_IDENTIFIER." }, "valueFrom": { "description": "(Optional) Source for the environment variable's value. Only supports secret_key_ref. Source for the environment variable's value. Cannot be used if value is not empty.", "$ref": "EnvVarSource" } } }, "ResourceRequirements": { "description": "ResourceRequirements describes the compute resource requirements.", "properties": { "limits": { "additionalProperties": { "type": "string" }, "type": "object", "description": "(Optional) Only memory and CPU are supported. Limits describes the maximum amount of compute resources allowed. The values of the map is string form of the 'quantity' k8s type: https://github.com/kubernetes/kubernetes/blob/master/staging/src/k8s.io/apimachinery/pkg/api/resource/quantity.go" }, "requests": { "description": "(Optional) Only memory and CPU are supported. Requests describes the minimum amount of compute resources required. If Requests is omitted for a container, it defaults to Limits if that is explicitly specified, otherwise to an implementation-defined value. The values of the map is string form of the 'quantity' k8s type: https://github.com/kubernetes/kubernetes/blob/master/staging/src/k8s.io/apimachinery/pkg/api/resource/quantity.go", "additionalProperties": { "type": "string" }, "type": "object" } }, "id": "ResourceRequirements", "type": "object" }, "DomainMappingSpec": { "id": "DomainMappingSpec", "description": "The desired state of the Domain Mapping.", "properties": { "forceOverride": { "description": "If set, the mapping will override any mapping set before this spec was set. It is recommended that the user leaves this empty to receive an error warning about a potential conflict and only set it once the respective UI has given such a warning.", "type": "boolean" }, "routeName": { "description": "The name of the Knative Route that this DomainMapping applies to. The route must exist.", "type": "string" }, "certificateMode": { "enum": [ "CERTIFICATE_MODE_UNSPECIFIED", "NONE", "AUTOMATIC" ], "enumDescriptions": [ "", "Do not provision an HTTPS certificate.", "Automatically provisions an HTTPS certificate via GoogleCA or LetsEncrypt." ], "description": "The mode of the certificate.", "type": "string" } }, "type": "object" }, "SecretKeySelector": { "id": "SecretKeySelector", "properties": { "name": { "description": "The name of the secret in Cloud Secret Manager. By default, the secret is assumed to be in the same project. If the secret is in another project, you must define an alias. An alias definition has the form: :projects//secrets/. If multiple alias definitions are needed, they must be separated by commas. The alias definitions must be set on the run.googleapis.com/secrets annotation. The name of the secret in the pod's namespace to select from.", "type": "string" }, "key": { "type": "string", "description": "A Cloud Secret Manager secret version. Must be 'latest' for the latest version or an integer for a specific version. The key of the secret to select from. Must be a valid secret key." }, "localObjectReference": { "$ref": "LocalObjectReference", "description": "This field should not be used directly as it is meant to be inlined directly into the message. Use the \"name\" field instead." }, "optional": { "description": "(Optional) Specify whether the Secret or its key must be defined", "type": "boolean" } }, "type": "object", "description": "SecretKeySelector selects a key of a Secret." }, "Policy": { "id": "Policy", "properties": { "etag": { "description": "`etag` is used for optimistic concurrency control as a way to help prevent simultaneous updates of a policy from overwriting each other. It is strongly suggested that systems make use of the `etag` in the read-modify-write cycle to perform policy updates in order to avoid race conditions: An `etag` is returned in the response to `getIamPolicy`, and systems are expected to put that etag in the request to `setIamPolicy` to ensure that their change will be applied to the same version of the policy. **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost.", "type": "string", "format": "byte" }, "bindings": { "items": { "$ref": "Binding" }, "type": "array", "description": "Associates a list of `members`, or principals, with a `role`. Optionally, may specify a `condition` that determines how and when the `bindings` are applied. Each of the `bindings` must contain at least one principal. The `bindings` in a `Policy` can refer to up to 1,500 principals; up to 250 of these principals can be Google groups. Each occurrence of a principal counts towards these limits. For example, if the `bindings` grant 50 different roles to `user:alice@example.com`, and not to any other principal, then you can add another 1,450 principals to the `bindings` in the `Policy`." }, "version": { "description": "Specifies the format of the policy. Valid values are `0`, `1`, and `3`. Requests that specify an invalid value are rejected. Any operation that affects conditional role bindings must specify version `3`. This requirement applies to the following operations: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Getting a policy that includes a conditional role binding LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Adding a conditional role binding to a policy LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Changing a conditional role binding in a policy LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Removing any role binding, with or without a condition, from a policy that includes conditions **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost. If a policy does not include any conditions, operations on that policy may specify any valid version or leave the field unset. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "format": "int32", "type": "integer" }, "auditConfigs": { "items": { "$ref": "AuditConfig" }, "type": "array", "description": "Specifies cloud audit logging configuration for this policy." } }, "type": "object", "description": "An Identity and Access Management (IAM) policy, which specifies access controls for Google Cloud resources. A `Policy` is a collection of `bindings`. A `binding` binds one or more `members`, or principals, to a single `role`. Principals can be user accounts, service accounts, Google groups, and domains (such as G Suite). A `role` is a named list of permissions; each `role` can be an IAM predefined role or a user-created custom role. For some types of Google Cloud resources, a `binding` can also specify a `condition`, which is a logical expression that allows access to a resource only if the expression evaluates to `true`. A condition can add constraints based on attributes of the request, the resource, or both. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies). **JSON example:** { \"bindings\": [ { \"role\": \"roles/resourcemanager.organizationAdmin\", \"members\": [ \"user:mike@example.com\", \"group:admins@example.com\", \"domain:google.com\", \"serviceAccount:my-project-id@appspot.gserviceaccount.com\" ] }, { \"role\": \"roles/resourcemanager.organizationViewer\", \"members\": [ \"user:eve@example.com\" ], \"condition\": { \"title\": \"expirable access\", \"description\": \"Does not grant access after Sep 2020\", \"expression\": \"request.time \u003c timestamp('2020-10-01T00:00:00.000Z')\", } } ], \"etag\": \"BwWWja0YfJA=\", \"version\": 3 } **YAML example:** bindings: - members: - user:mike@example.com - group:admins@example.com - domain:google.com - serviceAccount:my-project-id@appspot.gserviceaccount.com role: roles/resourcemanager.organizationAdmin - members: - user:eve@example.com role: roles/resourcemanager.organizationViewer condition: title: expirable access description: Does not grant access after Sep 2020 expression: request.time \u003c timestamp('2020-10-01T00:00:00.000Z') etag: BwWWja0YfJA= version: 3 For a description of IAM and its features, see the [IAM documentation](https://cloud.google.com/iam/docs/)." }, "ServiceStatus": { "properties": { "address": { "$ref": "Addressable", "description": "From RouteStatus. Similar to url, information on where the service is available on HTTP." }, "observedGeneration": { "type": "integer", "format": "int32", "description": "ObservedGeneration is the 'Generation' of the Route that was last processed by the controller. Clients polling for completed reconciliation should poll until observedGeneration = metadata.generation and the Ready condition's status is True or False." }, "url": { "description": "From RouteStatus. URL holds the url that will distribute traffic over the provided traffic targets. It generally has the form https://{route-hash}-{project-hash}-{cluster-level-suffix}.a.run.app", "type": "string" }, "conditions": { "type": "array", "description": "Conditions communicates information about ongoing/complete reconciliation processes that bring the \"spec\" inline with the observed state of the world. Service-specific conditions include: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"ConfigurationsReady\": true when the underlying Configuration is ready. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"RoutesReady\": true when the underlying Route is ready. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"Ready\": true when both the underlying Route and Configuration are ready.", "items": { "$ref": "GoogleCloudRunV1Condition" } }, "latestReadyRevisionName": { "type": "string", "description": "From ConfigurationStatus. LatestReadyRevisionName holds the name of the latest Revision stamped out from this Service's Configuration that has had its \"Ready\" condition become \"True\"." }, "traffic": { "type": "array", "description": "From RouteStatus. Traffic holds the configured traffic distribution. These entries will always contain RevisionName references. When ConfigurationName appears in the spec, this will hold the LatestReadyRevisionName that we last observed.", "items": { "$ref": "TrafficTarget" } }, "latestCreatedRevisionName": { "type": "string", "description": "From ConfigurationStatus. LatestCreatedRevisionName is the last revision that was created from this Service's Configuration. It might not be ready yet, for that use LatestReadyRevisionName." } }, "type": "object", "id": "ServiceStatus", "description": "The current state of the Service. Output only." }, "ListExecutionsResponse": { "properties": { "apiVersion": { "type": "string", "description": "The API version for this call such as \"run.googleapis.com/v1\"." }, "unreachable": { "description": "Locations that could not be reached.", "type": "array", "items": { "type": "string" } }, "metadata": { "$ref": "ListMeta", "description": "Metadata associated with this executions list." }, "kind": { "type": "string", "description": "The kind of this resource, in this case \"ExecutionsList\"." }, "items": { "items": { "$ref": "Execution" }, "type": "array", "description": "List of Executions." } }, "type": "object", "description": "ListExecutionsResponse is a list of Executions resources.", "id": "ListExecutionsResponse" }, "AuthorizedDomain": { "properties": { "id": { "type": "string", "description": "Relative name of the domain authorized for use. Example: `example.com`." }, "name": { "description": "Deprecated Read only. Full path to the `AuthorizedDomain` resource in the API. Example: `projects/myproject/authorizedDomains/example.com`.", "type": "string" } }, "type": "object", "id": "AuthorizedDomain", "description": "A domain that a user has been authorized to administer. To authorize use of a domain, verify ownership via [Webmaster Central](https://www.google.com/webmasters/verification/home)." }, "Configuration": { "type": "object", "description": "Configuration represents the \"floating HEAD\" of a linear history of Revisions, and optionally how the containers those revisions reference are built. Users create new Revisions by updating the Configuration's spec. The \"latest created\" revision's name is available under status, as is the \"latest ready\" revision's name. See also: https://github.com/knative/serving/blob/main/docs/spec/overview.md#configuration", "properties": { "status": { "$ref": "ConfigurationStatus", "description": "Status communicates the observed state of the Configuration (from the controller)." }, "kind": { "description": "The kind of resource, in this case always \"Configuration\".", "type": "string" }, "spec": { "$ref": "ConfigurationSpec", "description": "Spec holds the desired state of the Configuration (from the client)." }, "apiVersion": { "type": "string", "description": "The API version for this call such as \"serving.knative.dev/v1\"." }, "metadata": { "$ref": "ObjectMeta", "description": "Metadata associated with this Configuration, including name, namespace, labels, and annotations." } }, "id": "Configuration" }, "TaskStatus": { "properties": { "retried": { "format": "int32", "type": "integer", "description": "Optional. The number of times this task was retried. Instances are retried when they fail up to the maxRetries limit. +optional" }, "logUri": { "description": "Optional. URI where logs for this task can be found in Cloud Console.", "type": "string" }, "observedGeneration": { "description": "Optional. The 'generation' of the execution that was last processed by the controller.", "type": "integer", "format": "int32" }, "lastAttemptResult": { "description": "Optional. Result of the last attempt of this task. +optional", "$ref": "TaskAttemptResult" }, "index": { "format": "int32", "type": "integer", "description": "Required. Index of the task, unique per execution, and beginning at 0." }, "completionTime": { "format": "google-datetime", "type": "string", "description": "Optional. Represents time when the task was completed. It is not guaranteed to be set in happens-before order across separate operations. It is represented in RFC3339 form and is in UTC. +optional" }, "conditions": { "type": "array", "items": { "$ref": "GoogleCloudRunV1Condition" }, "description": "Optional. The latest available observations of a task's current state. More info: https://kubernetes.io/docs/concepts/workloads/controllers/jobs-run-to-completion/ +optional" }, "startTime": { "description": "Optional. Represents time when the task started to run. It is not guaranteed to be set in happens-before order across separate operations. It is represented in RFC3339 form and is in UTC. +optional", "type": "string", "format": "google-datetime" } }, "description": "TaskStatus represents the status of a task of a job execution.", "type": "object", "id": "TaskStatus" }, "ConfigurationStatus": { "properties": { "observedGeneration": { "type": "integer", "format": "int32", "description": "ObservedGeneration is the 'Generation' of the Configuration that was last processed by the controller. The observed generation is updated even if the controller failed to process the spec and create the Revision. Clients polling for completed reconciliation should poll until observedGeneration = metadata.generation, and the Ready condition's status is True or False." }, "conditions": { "type": "array", "items": { "$ref": "GoogleCloudRunV1Condition" }, "description": "Conditions communicates information about ongoing/complete reconciliation processes that bring the \"spec\" inline with the observed state of the world." }, "latestCreatedRevisionName": { "description": "LatestCreatedRevisionName is the last revision that was created from this Configuration. It might not be ready yet, for that use LatestReadyRevisionName.", "type": "string" }, "latestReadyRevisionName": { "type": "string", "description": "LatestReadyRevisionName holds the name of the latest Revision stamped out from this Configuration that has had its \"Ready\" condition become \"True\"." } }, "id": "ConfigurationStatus", "description": "ConfigurationStatus communicates the observed state of the Configuration (from the controller).", "type": "object" }, "Container": { "type": "object", "properties": { "volumeMounts": { "type": "array", "items": { "$ref": "VolumeMount" }, "description": "(Optional) Volume to mount into the container's filesystem. Only supports SecretVolumeSources. Pod volumes to mount into the container's filesystem." }, "workingDir": { "description": "(Optional) Container's working directory. If not specified, the container runtime's default will be used, which might be configured in the container image.", "type": "string" }, "args": { "items": { "type": "string" }, "description": "(Optional) Arguments to the entrypoint. The docker image's CMD is used if this is not provided. Variable references $(VAR_NAME) are expanded using the container's environment. If a variable cannot be resolved, the reference in the input string will be unchanged. The $(VAR_NAME) syntax can be escaped with a double $$, ie: $$(VAR_NAME). Escaped references will never be expanded, regardless of whether the variable exists or not. More info: https://kubernetes.io/docs/tasks/inject-data-application/define-command-argument-container/#running-a-command-in-a-shell", "type": "array" }, "terminationMessagePath": { "type": "string", "description": "(Optional) Path at which the file to which the container's termination message will be written is mounted into the container's filesystem. Message written is intended to be brief final status, such as an assertion failure message. Will be truncated by the node if greater than 4096 bytes. The total message length across all containers will be limited to 12kb. Defaults to /dev/termination-log." }, "env": { "items": { "$ref": "EnvVar" }, "description": "(Optional) List of environment variables to set in the container.", "type": "array" }, "imagePullPolicy": { "type": "string", "description": "(Optional) Image pull policy. One of Always, Never, IfNotPresent. Defaults to Always if :latest tag is specified, or IfNotPresent otherwise. More info: https://kubernetes.io/docs/concepts/containers/images#updating-images" }, "command": { "items": { "type": "string" }, "type": "array" }, "image": { "type": "string", "description": "Only supports containers from Google Container Registry or Artifact Registry URL of the Container image. More info: https://kubernetes.io/docs/concepts/containers/images" }, "ports": { "items": { "$ref": "ContainerPort" }, "type": "array", "description": "(Optional) List of ports to expose from the container. Only a single port can be specified. The specified ports must be listening on all interfaces (0.0.0.0) within the container to be accessible. If omitted, a port number will be chosen and passed to the container through the PORT environment variable for the container to listen on." }, "securityContext": { "description": "(Optional) Security options the pod should run with. More info: https://kubernetes.io/docs/concepts/policy/security-context/ More info: https://kubernetes.io/docs/tasks/configure-pod-container/security-context/", "$ref": "SecurityContext" }, "resources": { "$ref": "ResourceRequirements", "description": "(Optional) Compute Resources required by this container. More info: https://kubernetes.io/docs/concepts/storage/persistent-volumes#resources" }, "livenessProbe": { "$ref": "Probe", "description": "(Optional) Periodic probe of container liveness. Container will be restarted if the probe fails. More info: https://kubernetes.io/docs/concepts/workloads/pods/pod-lifecycle#container-probes" }, "name": { "type": "string", "description": "(Optional) Name of the container specified as a DNS_LABEL. Currently unused in Cloud Run. More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/names/#dns-label-names" }, "startupProbe": { "description": "(Optional) Startup probe of application within the container. All other probes are disabled if a startup probe is provided, until it succeeds. Container will not be added to service endpoints if the probe fails. More info: https://kubernetes.io/docs/concepts/workloads/pods/pod-lifecycle#container-probes", "$ref": "Probe" }, "envFrom": { "description": "(Optional) List of sources to populate environment variables in the container. The keys defined within a source must be a C_IDENTIFIER. All invalid keys will be reported as an event when the container is starting. When a key exists in multiple sources, the value associated with the last source will take precedence. Values defined by an Env with a duplicate key will take precedence. Cannot be updated.", "type": "array", "items": { "$ref": "EnvFromSource" } }, "terminationMessagePolicy": { "type": "string", "description": "(Optional) Indicate how the termination message should be populated. File will use the contents of terminationMessagePath to populate the container status message on both success and failure. FallbackToLogsOnError will use the last chunk of container log output if the termination message file is empty and the container exited with an error. The log output is limited to 2048 bytes or 80 lines, whichever is smaller. Defaults to File. Cannot be updated." }, "readinessProbe": { "$ref": "Probe", "description": "(Optional) Periodic probe of container service readiness. Container will be removed from service endpoints if the probe fails. More info: https://kubernetes.io/docs/concepts/workloads/pods/pod-lifecycle#container-probes" } }, "id": "Container", "description": "A single application container. This specifies both the container to run, the command to run in the container and the arguments to supply to it. Note that additional arguments may be supplied by the system to the container at runtime." }, "GoogleRpcStatus": { "description": "The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors).", "type": "object", "id": "GoogleRpcStatus", "properties": { "message": { "type": "string", "description": "A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client." }, "code": { "type": "integer", "format": "int32", "description": "The status code, which should be an enum value of google.rpc.Code." }, "details": { "description": "A list of messages that carry the error details. There is a common set of message types for APIs to use.", "items": { "type": "object", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." } }, "type": "array" } } }, "ListRoutesResponse": { "description": "ListRoutesResponse is a list of Route resources.", "properties": { "items": { "items": { "$ref": "Route" }, "description": "List of Routes.", "type": "array" }, "kind": { "type": "string", "description": "The kind of this resource, in this case always \"RouteList\"." }, "metadata": { "$ref": "ListMeta", "description": "Metadata associated with this Route list." }, "apiVersion": { "type": "string", "description": "The API version for this call such as \"serving.knative.dev/v1\"." }, "unreachable": { "items": { "type": "string" }, "description": "Locations that could not be reached.", "type": "array" } }, "type": "object", "id": "ListRoutesResponse" }, "AuditLogConfig": { "type": "object", "properties": { "logType": { "description": "The log type that this config enables.", "type": "string", "enumDescriptions": [ "Default case. Should never be this.", "Admin reads. Example: CloudIAM getIamPolicy", "Data writes. Example: CloudSQL Users create", "Data reads. Example: CloudSQL Users list" ], "enum": [ "LOG_TYPE_UNSPECIFIED", "ADMIN_READ", "DATA_WRITE", "DATA_READ" ] }, "exemptedMembers": { "description": "Specifies the identities that do not cause logging for this type of permission. Follows the same format of Binding.members.", "items": { "type": "string" }, "type": "array" } }, "id": "AuditLogConfig", "description": "Provides the configuration for logging a type of permissions. Example: { \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\", \"exempted_members\": [ \"user:jose@example.com\" ] }, { \"log_type\": \"DATA_WRITE\" } ] } This enables 'DATA_READ' and 'DATA_WRITE' logging, while exempting jose@example.com from DATA_READ logging." }, "JobStatus": { "id": "JobStatus", "type": "object", "properties": { "conditions": { "items": { "$ref": "GoogleCloudRunV1Condition" }, "type": "array", "description": "The latest available observations of a job's current state. More info: https://kubernetes.io/docs/concepts/workloads/controllers/jobs-run-to-completion/" }, "executionCount": { "description": "Number of executions created for this job.", "type": "integer", "format": "int32" }, "observedGeneration": { "format": "int32", "type": "integer", "description": "The 'generation' of the job that was last processed by the controller." }, "latestCreatedExecution": { "$ref": "ExecutionReference", "description": "A pointer to the most recently created execution for this job. This is set regardless of the eventual state of the execution." } }, "description": "JobStatus represents the current state of a Job." }, "SecretEnvSource": { "properties": { "optional": { "type": "boolean", "description": "(Optional) Specify whether the Secret must be defined" }, "name": { "type": "string", "description": "The Secret to select from." }, "localObjectReference": { "description": "This field should not be used directly as it is meant to be inlined directly into the message. Use the \"name\" field instead.", "$ref": "LocalObjectReference" } }, "id": "SecretEnvSource", "description": "Not supported by Cloud Run SecretEnvSource selects a Secret to populate the environment variables with. The contents of the target Secret's Data field will represent the key-value pairs as environment variables.", "type": "object" }, "ExecutionSpec": { "id": "ExecutionSpec", "type": "object", "description": "ExecutionSpec describes how the execution will look.", "properties": { "parallelism": { "type": "integer", "format": "int32", "description": "Optional. Specifies the maximum desired number of tasks the execution should run at given time. Must be \u003c= task_count. When the job is run, if this field is 0 or unset, the maximum possible value will be used for that execution. The actual number of tasks running in steady state will be less than this number when there are fewer tasks waiting to be completed remaining, i.e. when the work left to do is less than max parallelism. +optional" }, "taskCount": { "description": "Optional. Specifies the desired number of tasks the execution should run. Setting to 1 means that parallelism is limited to 1 and the success of that task signals the success of the execution. More info: https://kubernetes.io/docs/concepts/workloads/controllers/jobs-run-to-completion/ +optional", "format": "int32", "type": "integer" }, "template": { "$ref": "TaskTemplateSpec", "description": "Optional. Describes the task(s) that will be created when executing an execution." } } }, "Revision": { "description": "Revision is an immutable snapshot of code and configuration. A revision references a container image. Revisions are created by updates to a Configuration. See also: https://github.com/knative/serving/blob/main/docs/spec/overview.md#revision", "type": "object", "id": "Revision", "properties": { "spec": { "description": "Spec holds the desired state of the Revision (from the client).", "$ref": "RevisionSpec" }, "status": { "description": "Status communicates the observed state of the Revision (from the controller).", "$ref": "RevisionStatus" }, "kind": { "description": "The kind of this resource, in this case \"Revision\".", "type": "string" }, "metadata": { "$ref": "ObjectMeta", "description": "Metadata associated with this Revision, including name, namespace, labels, and annotations." }, "apiVersion": { "type": "string", "description": "The API version for this call such as \"serving.knative.dev/v1\"." } } }, "Expr": { "description": "Represents a textual expression in the Common Expression Language (CEL) syntax. CEL is a C-like expression language. The syntax and semantics of CEL are documented at https://github.com/google/cel-spec. Example (Comparison): title: \"Summary size limit\" description: \"Determines if a summary is less than 100 chars\" expression: \"document.summary.size() \u003c 100\" Example (Equality): title: \"Requestor is owner\" description: \"Determines if requestor is the document owner\" expression: \"document.owner == request.auth.claims.email\" Example (Logic): title: \"Public documents\" description: \"Determine whether the document should be publicly visible\" expression: \"document.type != 'private' && document.type != 'internal'\" Example (Data Manipulation): title: \"Notification string\" description: \"Create a notification string with a timestamp.\" expression: \"'New message received at ' + string(document.create_time)\" The exact variables and functions that may be referenced within an expression are determined by the service that evaluates it. See the service documentation for additional information.", "id": "Expr", "properties": { "location": { "description": "Optional. String indicating the location of the expression for error reporting, e.g. a file name and a position in the file.", "type": "string" }, "title": { "description": "Optional. Title for the expression, i.e. a short string describing its purpose. This can be used e.g. in UIs which allow to enter the expression.", "type": "string" }, "expression": { "description": "Textual representation of an expression in Common Expression Language syntax.", "type": "string" }, "description": { "type": "string", "description": "Optional. Description of the expression. This is a longer text which describes the expression, e.g. when hovered over it in a UI." } }, "type": "object" }, "ContainerPort": { "type": "object", "description": "ContainerPort represents a network port in a single container.", "properties": { "name": { "type": "string", "description": "(Optional) If specified, used to specify which protocol to use. Allowed values are \"http1\" and \"h2c\"." }, "protocol": { "description": "(Optional) Protocol for port. Must be \"TCP\". Defaults to \"TCP\".", "type": "string" }, "containerPort": { "format": "int32", "description": "(Optional) Port number the container listens on. This must be a valid port number, 0 \u003c x \u003c 65536.", "type": "integer" } }, "id": "ContainerPort" }, "ListRevisionsResponse": { "description": "ListRevisionsResponse is a list of Revision resources.", "id": "ListRevisionsResponse", "properties": { "items": { "description": "List of Revisions.", "items": { "$ref": "Revision" }, "type": "array" }, "kind": { "description": "The kind of this resource, in this case \"RevisionList\".", "type": "string" }, "metadata": { "description": "Metadata associated with this revision list.", "$ref": "ListMeta" }, "apiVersion": { "description": "The API version for this call such as \"serving.knative.dev/v1\".", "type": "string" }, "unreachable": { "items": { "type": "string" }, "description": "Locations that could not be reached.", "type": "array" } }, "type": "object" }, "ListTasksResponse": { "id": "ListTasksResponse", "type": "object", "description": "ListTasksResponse is a list of Tasks resources.", "properties": { "kind": { "description": "The kind of this resource, in this case \"TasksList\".", "type": "string" }, "unreachable": { "items": { "type": "string" }, "description": "Locations that could not be reached.", "type": "array" }, "apiVersion": { "description": "The API version for this call such as \"run.googleapis.com/v1\".", "type": "string" }, "items": { "items": { "$ref": "Task" }, "description": "List of Tasks.", "type": "array" }, "metadata": { "$ref": "ListMeta", "description": "Metadata associated with this tasks list." } } }, "ConfigurationSpec": { "id": "ConfigurationSpec", "properties": { "template": { "$ref": "RevisionTemplate", "description": "Template holds the latest specification for the Revision to be stamped out." } }, "description": "ConfigurationSpec holds the desired state of the Configuration (from the client).", "type": "object" }, "ListDomainMappingsResponse": { "id": "ListDomainMappingsResponse", "properties": { "items": { "type": "array", "description": "List of DomainMappings.", "items": { "$ref": "DomainMapping" } }, "kind": { "type": "string", "description": "The kind of this resource, in this case \"DomainMappingList\"." }, "unreachable": { "type": "array", "items": { "type": "string" }, "description": "Locations that could not be reached." }, "apiVersion": { "type": "string", "description": "The API version for this call such as \"domains.cloudrun.com/v1\"." }, "metadata": { "description": "Metadata associated with this DomainMapping list.", "$ref": "ListMeta" } }, "description": "ListDomainMappingsResponse is a list of DomainMapping resources.", "type": "object" }, "ListMeta": { "type": "object", "properties": { "resourceVersion": { "description": "String that identifies the server's internal version of this object that can be used by clients to determine when objects have changed. Value must be treated as opaque by clients and passed unmodified back to the server. Populated by the system. Read-only. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#concurrency-control-and-consistency +optional", "type": "string" }, "continue": { "description": "continue may be set if the user set a limit on the number of items returned, and indicates that the server has more data available. The value is opaque and may be used to issue another request to the endpoint that served this list to retrieve the next set of available objects. Continuing a list may not be possible if the server configuration has changed or more than a few minutes have passed. The resourceVersion field returned when using this continue value will be identical to the value in the first response.", "type": "string" }, "selfLink": { "type": "string", "description": "SelfLink is a URL representing this object. Populated by the system. Read-only. +optional" } }, "description": "ListMeta describes metadata that synthetic resources must have, including lists and various status objects. A resource may have only one of {ObjectMeta, ListMeta}.", "id": "ListMeta" }, "AuditConfig": { "type": "object", "description": "Specifies the audit configuration for a service. The configuration determines which permission types are logged, and what identities, if any, are exempted from logging. An AuditConfig must have one or more AuditLogConfigs. If there are AuditConfigs for both `allServices` and a specific service, the union of the two AuditConfigs is used for that service: the log_types specified in each AuditConfig are enabled, and the exempted_members in each AuditLogConfig are exempted. Example Policy with multiple AuditConfigs: { \"audit_configs\": [ { \"service\": \"allServices\", \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\", \"exempted_members\": [ \"user:jose@example.com\" ] }, { \"log_type\": \"DATA_WRITE\" }, { \"log_type\": \"ADMIN_READ\" } ] }, { \"service\": \"sampleservice.googleapis.com\", \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\" }, { \"log_type\": \"DATA_WRITE\", \"exempted_members\": [ \"user:aliya@example.com\" ] } ] } ] } For sampleservice, this policy enables DATA_READ, DATA_WRITE and ADMIN_READ logging. It also exempts `jose@example.com` from DATA_READ logging, and `aliya@example.com` from DATA_WRITE logging.", "id": "AuditConfig", "properties": { "service": { "type": "string", "description": "Specifies a service that will be enabled for audit logging. For example, `storage.googleapis.com`, `cloudsql.googleapis.com`. `allServices` is a special value that covers all services." }, "auditLogConfigs": { "description": "The configuration for logging of each type of permission.", "type": "array", "items": { "$ref": "AuditLogConfig" } } } }, "GRPCAction": { "properties": { "service": { "description": "Service is the name of the service to place in the gRPC HealthCheckRequest (see https://github.com/grpc/grpc/blob/master/doc/health-checking.md). If this is not specified, the default behavior is defined by gRPC.", "type": "string" }, "port": { "type": "integer", "format": "int32", "description": "Port number of the gRPC service. Number must be in the range 1 to 65535." } }, "type": "object", "id": "GRPCAction", "description": "Not supported by Cloud Run GRPCAction describes an action involving a GRPC port." }, "ConfigMapVolumeSource": { "type": "object", "description": "Not supported by Cloud Run Adapts a ConfigMap into a volume. The contents of the target ConfigMap's Data field will be presented in a volume as files using the keys in the Data field as the file names, unless the items element is populated with specific mappings of keys to paths.", "properties": { "items": { "type": "array", "items": { "$ref": "KeyToPath" }, "description": "(Optional) If unspecified, each key-value pair in the Data field of the referenced Secret will be projected into the volume as a file whose name is the key and content is the value. If specified, the listed keys will be projected into the specified paths, and unlisted keys will not be present. If a key is specified that is not present in the Secret, the volume setup will error unless it is marked optional." }, "optional": { "type": "boolean", "description": "(Optional) Specify whether the Secret or its keys must be defined." }, "name": { "description": "Name of the config.", "type": "string" }, "defaultMode": { "description": "(Optional) Integer representation of mode bits to use on created files by default. Must be a value between 01 and 0777 (octal). If 0 or not set, it will default to 0644. Directories within the path are not affected by this setting. Notes LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Internally, a umask of 0222 will be applied to any non-zero value. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh This is an integer representation of the mode bits. So, the octal integer value should look exactly as the chmod numeric notation with a leading zero. Some examples: for chmod 777 (a=rwx), set to 0777 (octal) or 511 (base-10). For chmod 640 (u=rw,g=r), set to 0640 (octal) or 416 (base-10). For chmod 755 (u=rwx,g=rx,o=rx), set to 0755 (octal) or 493 (base-10). LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh This might be in conflict with other options that affect the file mode, like fsGroup, and the result can be other mode bits set.", "type": "integer", "format": "int32" } }, "id": "ConfigMapVolumeSource" }, "ConfigMapEnvSource": { "properties": { "optional": { "type": "boolean", "description": "(Optional) Specify whether the ConfigMap must be defined" }, "localObjectReference": { "description": "This field should not be used directly as it is meant to be inlined directly into the message. Use the \"name\" field instead.", "$ref": "LocalObjectReference" }, "name": { "type": "string", "description": "The ConfigMap to select from." } }, "description": "Not supported by Cloud Run ConfigMapEnvSource selects a ConfigMap to populate the environment variables with. The contents of the target ConfigMap's Data field will represent the key-value pairs as environment variables.", "id": "ConfigMapEnvSource", "type": "object" }, "SecurityContext": { "id": "SecurityContext", "description": "Not supported by Cloud Run SecurityContext holds security configuration that will be applied to a container. Some fields are present in both SecurityContext and PodSecurityContext. When both are set, the values in SecurityContext take precedence.", "type": "object", "properties": { "runAsUser": { "type": "integer", "format": "int32", "description": "(Optional) The UID to run the entrypoint of the container process. Defaults to user specified in image metadata if unspecified. May also be set in PodSecurityContext. If set in both SecurityContext and PodSecurityContext, the value specified in SecurityContext takes precedence." } } }, "EnvFromSource": { "type": "object", "description": "Not supported by Cloud Run EnvFromSource represents the source of a set of ConfigMaps", "properties": { "configMapRef": { "description": "(Optional) The ConfigMap to select from", "$ref": "ConfigMapEnvSource" }, "prefix": { "description": "(Optional) An optional identifier to prepend to each key in the ConfigMap. Must be a C_IDENTIFIER.", "type": "string" }, "secretRef": { "description": "(Optional) The Secret to select from", "$ref": "SecretEnvSource" } }, "id": "EnvFromSource" }, "VolumeMount": { "type": "object", "properties": { "readOnly": { "type": "boolean", "description": "(Optional) Only true is accepted. Defaults to true." }, "subPath": { "type": "string", "description": "(Optional) Path within the volume from which the container's volume should be mounted. Defaults to \"\" (volume's root)." }, "name": { "description": "The name of the volume. There must be a corresponding Volume with the same name.", "type": "string" }, "mountPath": { "type": "string", "description": "Path within the container at which the volume should be mounted. Must not contain ':'." } }, "description": "VolumeMount describes a mounting of a Volume within a container.", "id": "VolumeMount" }, "ListLocationsResponse": { "id": "ListLocationsResponse", "type": "object", "description": "The response message for Locations.ListLocations.", "properties": { "locations": { "items": { "$ref": "Location" }, "type": "array", "description": "A list of locations that matches the specified filter in the request." }, "nextPageToken": { "description": "The standard List next-page token.", "type": "string" } } }, "ExecutionStatus": { "type": "object", "properties": { "completionTime": { "type": "string", "format": "google-datetime", "description": "Optional. Represents time when the execution was completed. It is not guaranteed to be set in happens-before order across separate operations. It is represented in RFC3339 form and is in UTC. +optional" }, "failedCount": { "description": "Optional. The number of tasks which reached phase Failed. +optional", "format": "int32", "type": "integer" }, "runningCount": { "type": "integer", "description": "Optional. The number of actively running tasks. +optional", "format": "int32" }, "conditions": { "description": "Optional. The latest available observations of an execution's current state. More info: https://kubernetes.io/docs/concepts/workloads/controllers/jobs-run-to-completion/ +optional", "items": { "$ref": "GoogleCloudRunV1Condition" }, "type": "array" }, "startTime": { "type": "string", "format": "google-datetime", "description": "Optional. Represents time when the execution started to run. It is not guaranteed to be set in happens-before order across separate operations. It is represented in RFC3339 form and is in UTC. +optional" }, "retriedCount": { "format": "int32", "description": "Optional. The number of tasks which have retried at least once. +optional", "type": "integer" }, "cancelledCount": { "type": "integer", "format": "int32", "description": "Optional. The number of tasks which reached phase Cancelled. +optional" }, "logUri": { "type": "string", "description": "Optional. URI where logs for this execution can be found in Cloud Console." }, "succeededCount": { "type": "integer", "description": "Optional. The number of tasks which reached phase Succeeded. +optional", "format": "int32" }, "observedGeneration": { "description": "Optional. The 'generation' of the execution that was last processed by the controller.", "format": "int32", "type": "integer" } }, "id": "ExecutionStatus", "description": "ExecutionStatus represents the current state of a Execution." }, "Job": { "description": "Job represents the configuration of a single job. A job an immutable resource that references a container image which is run to completion.", "properties": { "apiVersion": { "type": "string", "description": "Optional. APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources +optional" }, "status": { "readOnly": true, "description": "Output only. Current status of a job. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status +optional", "$ref": "JobStatus" }, "kind": { "type": "string", "description": "Optional. Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds +optional" }, "metadata": { "description": "Optional. Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata +optional", "$ref": "ObjectMeta" }, "spec": { "description": "Optional. Specification of the desired behavior of a job. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status +optional", "$ref": "JobSpec" } }, "id": "Job", "type": "object" }, "EnvVarSource": { "id": "EnvVarSource", "properties": { "secretKeyRef": { "description": "(Optional) Selects a key (version) of a secret in Secret Manager.", "$ref": "SecretKeySelector" }, "configMapKeyRef": { "description": "(Optional) Not supported by Cloud Run Selects a key of a ConfigMap.", "$ref": "ConfigMapKeySelector" } }, "type": "object", "description": "EnvVarSource represents a source for the value of an EnvVar." }, "TaskSpec": { "description": "TaskSpec is a description of a task.", "properties": { "volumes": { "items": { "$ref": "Volume" }, "description": "Optional. List of volumes that can be mounted by containers belonging to the task. More info: https://kubernetes.io/docs/concepts/storage/volumes +optional", "type": "array" }, "containers": { "items": { "$ref": "Container" }, "type": "array", "description": "Optional. List of containers belonging to the task. We disallow a number of fields on this Container. Only a single container may be provided." }, "serviceAccountName": { "type": "string", "description": "Optional. Email address of the IAM service account associated with the task of a job execution. The service account represents the identity of the running task, and determines what permissions the task has. If not provided, the task will use the project's default service account. +optional" }, "timeoutSeconds": { "format": "int64", "type": "string", "description": "Optional. Optional duration in seconds the task may be active before the system will actively try to mark it failed and kill associated containers. This applies per attempt of a task, meaning each retry can run for the full timeout. +optional" }, "maxRetries": { "format": "int32", "description": "Optional. Number of retries allowed per task, before marking this job failed.", "type": "integer" } }, "id": "TaskSpec", "type": "object" }, "ServiceSpec": { "type": "object", "properties": { "traffic": { "items": { "$ref": "TrafficTarget" }, "description": "Traffic specifies how to distribute traffic over a collection of Knative Revisions and Configurations.", "type": "array" }, "template": { "$ref": "RevisionTemplate", "description": "Template holds the latest specification for the Revision to be stamped out." } }, "id": "ServiceSpec", "description": "ServiceSpec holds the desired state of the Route (from the client), which is used to manipulate the underlying Route and Configuration(s)." }, "TrafficTarget": { "id": "TrafficTarget", "type": "object", "properties": { "percent": { "type": "integer", "description": "Percent specifies percent of the traffic to this Revision or Configuration. This defaults to zero if unspecified.", "format": "int32" }, "url": { "type": "string", "description": "Output only. URL displays the URL for accessing tagged traffic targets. URL is displayed in status, and is disallowed on spec. URL must contain a scheme (e.g. https://) and a hostname, but may not contain anything else (e.g. basic auth, url path, etc.)" }, "configurationName": { "description": "ConfigurationName of a configuration to whose latest revision we will send this portion of traffic. When the \"status.latestReadyRevisionName\" of the referenced configuration changes, we will automatically migrate traffic from the prior \"latest ready\" revision to the new one. This field is never set in Route's status, only its spec. This is mutually exclusive with RevisionName. Cloud Run currently supports a single ConfigurationName.", "type": "string" }, "revisionName": { "type": "string", "description": "RevisionName of a specific revision to which to send this portion of traffic. This is mutually exclusive with ConfigurationName." }, "tag": { "type": "string", "description": "Optional. Tag is used to expose a dedicated url for referencing this target exclusively." }, "latestRevision": { "description": "Optional. LatestRevision may be provided to indicate that the latest ready Revision of the Configuration should be used for this traffic target. When provided LatestRevision must be true if RevisionName is empty; it must be false when RevisionName is non-empty.", "type": "boolean" } }, "description": "TrafficTarget holds a single entry of the routing table for a Route." }, "Task": { "properties": { "metadata": { "$ref": "ObjectMeta", "description": "Optional. Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata +optional" }, "spec": { "description": "Optional. Specification of the desired behavior of an execution. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status +optional", "$ref": "TaskSpec" }, "kind": { "type": "string", "description": "Optional. Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds +optional" }, "apiVersion": { "description": "Optional. APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources +optional", "type": "string" }, "status": { "description": "Output only. Current status of an execution. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status +optional", "readOnly": true, "$ref": "TaskStatus" } }, "type": "object", "id": "Task", "description": "Task represents a single run of a container to completion." }, "GoogleCloudRunV1Condition": { "description": "Condition defines a generic condition for a Resource.", "properties": { "severity": { "description": "Optional. How to interpret failures of this condition, one of Error, Warning, Info", "type": "string" }, "lastTransitionTime": { "description": "Optional. Last time the condition transitioned from one status to another.", "type": "string", "format": "google-datetime" }, "reason": { "type": "string", "description": "Optional. One-word CamelCase reason for the condition's last transition." }, "status": { "type": "string", "description": "Status of the condition, one of True, False, Unknown." }, "type": { "type": "string", "description": "type is used to communicate the status of the reconciliation process. See also: https://github.com/knative/serving/blob/main/docs/spec/errors.md#error-conditions-and-reporting Types common to all resources include: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"Ready\": True when the Resource is ready." }, "message": { "type": "string", "description": "Optional. Human readable message indicating details about the current status." } }, "type": "object", "id": "GoogleCloudRunV1Condition" }, "StatusCause": { "type": "object", "id": "StatusCause", "description": "StatusCause provides more information about an api.Status failure, including cases when multiple errors are encountered.", "properties": { "field": { "type": "string", "description": "The field of the resource that has caused this error, as named by its JSON serialization. May include dot and postfix notation for nested attributes. Arrays are zero-indexed. Fields may appear more than once in an array of causes due to fields having multiple errors. Optional. Examples: \"name\" - the field \"name\" on the current resource \"items[0].name\" - the field \"name\" on the first array entry in \"items\" +optional" }, "reason": { "description": "A machine-readable description of the cause of the error. If this value is empty there is no information available. +optional", "type": "string" }, "message": { "description": "A human-readable description of the cause of the error. This field may be presented as-is to a reader. +optional", "type": "string" } } }, "TaskAttemptResult": { "id": "TaskAttemptResult", "properties": { "exitCode": { "description": "Optional. The exit code of this attempt. This may be unset if the container was unable to exit cleanly with a code due to some other failure. See status field for possible failure details.", "format": "int32", "type": "integer" }, "status": { "$ref": "GoogleRpcStatus", "description": "Optional. The status of this attempt. If the status code is OK, then the attempt succeeded." } }, "description": "Result of a task attempt.", "type": "object" }, "ListServicesResponse": { "properties": { "kind": { "description": "The kind of this resource, in this case \"ServiceList\".", "type": "string" }, "metadata": { "$ref": "ListMeta", "description": "Metadata associated with this Service list." }, "items": { "items": { "$ref": "Service" }, "description": "List of Services.", "type": "array" }, "apiVersion": { "type": "string", "description": "The API version for this call such as \"serving.knative.dev/v1\"." }, "unreachable": { "items": { "type": "string" }, "type": "array", "description": "Locations that could not be reached." } }, "description": "A list of Service resources.", "type": "object", "id": "ListServicesResponse" }, "RevisionTemplate": { "id": "RevisionTemplate", "properties": { "metadata": { "description": "Optional metadata for this Revision, including labels and annotations. Name will be generated by the Configuration. The following annotation keys set properties of the created revision: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `autoscaling.knative.dev/minScale` sets the minimum number of instances. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `autoscaling.knative.dev/maxScale` sets the maximum number of instances. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `run.googleapis.com/cloudsql-instances` sets Cloud SQL connections. Multiple values should be comma separated. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `run.googleapis.com/vpc-access-connector` sets a Serverless VPC Access connector. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `run.googleapis.com/vpc-access-egress` sets VPC egress. Supported values are `all-traffic`, `all` (deprecated), and `private-ranges-only`. `all-traffic` and `all` provide the same functionality. `all` is deprecated but will continue to be supported. Prefer `all-traffic`.", "$ref": "ObjectMeta" }, "spec": { "$ref": "RevisionSpec", "description": "RevisionSpec holds the desired state of the Revision (from the client)." } }, "type": "object", "description": "RevisionTemplateSpec describes the data a revision should have when created from a template. Based on: https://github.com/kubernetes/api/blob/e771f807/core/v1/types.go#L3179-L3190" }, "Service": { "properties": { "status": { "description": "Status communicates the observed state of the Service (from the controller).", "$ref": "ServiceStatus" }, "spec": { "$ref": "ServiceSpec", "description": "Spec holds the desired state of the Service (from the client)." }, "metadata": { "$ref": "ObjectMeta", "description": "Metadata associated with this Service, including name, namespace, labels, and annotations. Cloud Run (fully managed) uses the following annotation keys to configure features on a Service: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `run.googleapis.com/ingress` sets the ingress settings for the Service. See [the ingress settings documentation](/run/docs/securing/ingress) for details on configuring ingress settings. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `run.googleapis.com/ingress-status` is output-only and contains the currently active ingress settings for the Service. `run.googleapis.com/ingress-status` may differ from `run.googleapis.com/ingress` while the system is processing a change to `run.googleapis.com/ingress` or if the system failed to process a change to `run.googleapis.com/ingress`. When the system has processed all changes successfully `run.googleapis.com/ingress-status` and `run.googleapis.com/ingress` are equal." }, "apiVersion": { "type": "string", "description": "The API version for this call such as \"serving.knative.dev/v1\"." }, "kind": { "description": "The kind of resource, in this case \"Service\".", "type": "string" } }, "type": "object", "id": "Service", "description": "Service acts as a top-level container that manages a set of Routes and Configurations which implement a network service. Service exists to provide a singular abstraction which can be access controlled, reasoned about, and which encapsulates software lifecycle decisions such as rollout policy and team resource ownership. Service acts only as an orchestrator of the underlying Routes and Configurations (much as a kubernetes Deployment orchestrates ReplicaSets). The Service's controller will track the statuses of its owned Configuration and Route, reflecting their statuses and conditions as its own. See also: https://github.com/knative/serving/blob/main/docs/spec/overview.md#service" } }, "basePath": "", "name": "run", "parameters": { "oauth_token": { "description": "OAuth 2.0 token for the current user.", "type": "string", "location": "query" }, "$.xgafv": { "enumDescriptions": [ "v1 error format", "v2 error format" ], "type": "string", "description": "V1 error format.", "location": "query", "enum": [ "1", "2" ] }, "alt": { "description": "Data format for response.", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "type": "string", "location": "query", "enum": [ "json", "media", "proto" ], "default": "json" }, "uploadType": { "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "type": "string", "location": "query" }, "callback": { "type": "string", "description": "JSONP", "location": "query" }, "key": { "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "type": "string", "location": "query" }, "upload_protocol": { "location": "query", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "type": "string" }, "fields": { "description": "Selector specifying which fields to include in a partial response.", "location": "query", "type": "string" }, "prettyPrint": { "type": "boolean", "location": "query", "description": "Returns response with indentations and line breaks.", "default": "true" }, "quotaUser": { "location": "query", "type": "string", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters." }, "access_token": { "description": "OAuth access token.", "location": "query", "type": "string" } }, "kind": "discovery#restDescription", "rootUrl": "https://run.googleapis.com/", "fullyEncodeReservedExpansion": true, "title": "Cloud Run Admin API", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." } } } }, "servicePath": "" }
]===]))
