local decode = require("cjson").new().decode
return assert(decode([===[
{ "resources": { "projects": { "resources": { "locations": { "resources": { "services": { "resources": { "revisions": { "methods": { "delete": { "parameters": { "etag": { "location": "query", "type": "string", "description": "A system-generated fingerprint for this version of the resource. This may be used to detect modification conflict during updates." }, "name": { "location": "path", "description": "Required. The name of the Revision to delete. Format: projects/{project}/locations/{location}/services/{service}/revisions/{revision}", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/services/[^/]+/revisions/[^/]+$", "required": true }, "validateOnly": { "type": "boolean", "description": "Indicates that the request should be validated without actually deleting any resources.", "location": "query" } }, "parameterOrder": [ "name" ], "id": "run.projects.locations.services.revisions.delete", "response": { "$ref": "GoogleLongrunningOperation" }, "path": "v2/{+name}", "description": "Delete a Revision.", "flatPath": "v2/projects/{projectsId}/locations/{locationsId}/services/{servicesId}/revisions/{revisionsId}", "httpMethod": "DELETE", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "get": { "path": "v2/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Gets information about a Revision.", "id": "run.projects.locations.services.revisions.get", "parameters": { "name": { "type": "string", "required": true, "description": "Required. The full name of the Revision. Format: projects/{project}/locations/{location}/services/{service}/revisions/{revision}", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/services/[^/]+/revisions/[^/]+$" } }, "response": { "$ref": "GoogleCloudRunV2Revision" }, "parameterOrder": [ "name" ], "httpMethod": "GET", "flatPath": "v2/projects/{projectsId}/locations/{locationsId}/services/{servicesId}/revisions/{revisionsId}" }, "list": { "httpMethod": "GET", "path": "v2/{+parent}/revisions", "description": "List Revisions from a given Service, or from a given location.", "flatPath": "v2/projects/{projectsId}/locations/{locationsId}/services/{servicesId}/revisions", "id": "run.projects.locations.services.revisions.list", "response": { "$ref": "GoogleCloudRunV2ListRevisionsResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "parent" ], "parameters": { "pageToken": { "location": "query", "type": "string", "description": "A page token received from a previous call to ListRevisions. All other parameters must match." }, "pageSize": { "description": "Maximum number of revisions to return in this call.", "location": "query", "type": "integer", "format": "int32" }, "showDeleted": { "description": "If true, returns deleted (but unexpired) resources along with active ones.", "type": "boolean", "location": "query" }, "parent": { "type": "string", "location": "path", "description": "Required. The Service from which the Revisions should be listed. To list all Revisions across Services, use \"-\" instead of Service name. Format: projects/{project}/locations/{location}/services/{service}", "pattern": "^projects/[^/]+/locations/[^/]+/services/[^/]+$", "required": true } } } } } }, "methods": { "delete": { "flatPath": "v2/projects/{projectsId}/locations/{locationsId}/services/{servicesId}", "description": "Deletes a Service. This will cause the Service to stop serving traffic and will delete all revisions.", "response": { "$ref": "GoogleLongrunningOperation" }, "httpMethod": "DELETE", "parameters": { "name": { "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/services/[^/]+$", "type": "string", "description": "Required. The full name of the Service. Format: projects/{projectnumber}/locations/{location}/services/{service}", "required": true }, "etag": { "location": "query", "type": "string", "description": "A system-generated fingerprint for this version of the resource. May be used to detect modification conflict during updates." }, "validateOnly": { "description": "Indicates that the request should be validated without actually deleting any resources.", "location": "query", "type": "boolean" } }, "id": "run.projects.locations.services.delete", "path": "v2/{+name}", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "list": { "description": "List Services.", "id": "run.projects.locations.services.list", "parameterOrder": [ "parent" ], "response": { "$ref": "GoogleCloudRunV2ListServicesResponse" }, "httpMethod": "GET", "path": "v2/{+parent}/services", "parameters": { "showDeleted": { "description": "If true, returns deleted (but unexpired) resources along with active ones.", "location": "query", "type": "boolean" }, "parent": { "pattern": "^projects/[^/]+/locations/[^/]+$", "description": "Required. The location and project to list resources on. Location must be a valid GCP region, and may not be the \"-\" wildcard. Format: projects/{projectnumber}/locations/{location}", "location": "path", "type": "string", "required": true }, "pageSize": { "description": "Maximum number of Services to return in this call.", "location": "query", "format": "int32", "type": "integer" }, "pageToken": { "location": "query", "type": "string", "description": "A page token received from a previous call to ListServices. All other parameters must match." } }, "flatPath": "v2/projects/{projectsId}/locations/{locationsId}/services", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "getIamPolicy": { "flatPath": "v2/projects/{projectsId}/locations/{locationsId}/services/{servicesId}:getIamPolicy", "response": { "$ref": "GoogleIamV1Policy" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "resource": { "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/services/[^/]+$", "required": true, "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "type": "string" }, "options.requestedPolicyVersion": { "type": "integer", "description": "Optional. The maximum policy version that will be used to format the policy. Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset. The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "format": "int32", "location": "query" } }, "description": "Get the IAM Access Control policy currently in effect for the given Cloud Run Service. This result does not include any inherited policies.", "parameterOrder": [ "resource" ], "path": "v2/{+resource}:getIamPolicy", "id": "run.projects.locations.services.getIamPolicy", "httpMethod": "GET" }, "patch": { "parameters": { "name": { "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/services/[^/]+$", "description": "The fully qualified name of this Service. In CreateServiceRequest, this field is ignored, and instead composed from CreateServiceRequest.parent and CreateServiceRequest.service_id. Format: projects/{project}/locations/{location}/services/{service_id}", "required": true, "type": "string" }, "allowMissing": { "description": "If set to true, and if the Service does not exist, it will create a new one. Caller must have both create and update permissions for this call if this is set to true.", "type": "boolean", "location": "query" }, "validateOnly": { "type": "boolean", "description": "Indicates that the request should be validated and default values populated, without persisting the request or updating any resources.", "location": "query" } }, "flatPath": "v2/projects/{projectsId}/locations/{locationsId}/services/{servicesId}", "request": { "$ref": "GoogleCloudRunV2Service" }, "description": "Updates a Service.", "response": { "$ref": "GoogleLongrunningOperation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "id": "run.projects.locations.services.patch", "path": "v2/{+name}", "httpMethod": "PATCH" }, "testIamPermissions": { "flatPath": "v2/projects/{projectsId}/locations/{locationsId}/services/{servicesId}:testIamPermissions", "path": "v2/{+resource}:testIamPermissions", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "GoogleIamV1TestIamPermissionsRequest" }, "httpMethod": "POST", "parameterOrder": [ "resource" ], "id": "run.projects.locations.services.testIamPermissions", "response": { "$ref": "GoogleIamV1TestIamPermissionsResponse" }, "parameters": { "resource": { "required": true, "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/services/[^/]+$", "location": "path" } }, "description": "Returns permissions that a caller has on the specified Project. There are no permissions required for making this API call." }, "setIamPolicy": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "GoogleIamV1SetIamPolicyRequest" }, "flatPath": "v2/projects/{projectsId}/locations/{locationsId}/services/{servicesId}:setIamPolicy", "parameterOrder": [ "resource" ], "response": { "$ref": "GoogleIamV1Policy" }, "description": "Sets the IAM Access control policy for the specified Service. Overwrites any existing policy.", "path": "v2/{+resource}:setIamPolicy", "id": "run.projects.locations.services.setIamPolicy", "parameters": { "resource": { "location": "path", "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "pattern": "^projects/[^/]+/locations/[^/]+/services/[^/]+$", "type": "string", "required": true } }, "httpMethod": "POST" }, "create": { "parameterOrder": [ "parent" ], "path": "v2/{+parent}/services", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "GoogleCloudRunV2Service" }, "flatPath": "v2/projects/{projectsId}/locations/{locationsId}/services", "parameters": { "serviceId": { "type": "string", "description": "Required. The unique identifier for the Service. The name of the service becomes {parent}/services/{service_id}.", "location": "query" }, "validateOnly": { "description": "Indicates that the request should be validated and default values populated, without persisting the request or creating any resources.", "location": "query", "type": "boolean" }, "parent": { "description": "Required. The location and project in which this service should be created. Format: projects/{projectnumber}/locations/{location}", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+$", "type": "string", "required": true } }, "httpMethod": "POST", "id": "run.projects.locations.services.create", "description": "Creates a new Service in a given project and location.", "response": { "$ref": "GoogleLongrunningOperation" } }, "get": { "description": "Gets information about a Service.", "response": { "$ref": "GoogleCloudRunV2Service" }, "parameterOrder": [ "name" ], "id": "run.projects.locations.services.get", "path": "v2/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v2/projects/{projectsId}/locations/{locationsId}/services/{servicesId}", "parameters": { "name": { "required": true, "type": "string", "description": "Required. The full name of the Service. Format: projects/{projectnumber}/locations/{location}/services/{service}", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/services/[^/]+$" } }, "httpMethod": "GET" } } }, "operations": { "methods": { "list": { "parameters": { "pageToken": { "type": "string", "description": "Token identifying which result to start with, which is returned by a previous list call.", "location": "query" }, "filter": { "description": "Optional. A filter for matching the completed or in-progress operations. The supported formats of *filter* are: To query for only completed operations: done:true To query for only ongoing operations: done:false Must be empty to query for all of the latest operations for the given parent project.", "type": "string", "location": "query" }, "name": { "location": "path", "description": "Required. To query for all of the operations for a project.", "pattern": "^projects/[^/]+/locations/[^/]+$", "required": true, "type": "string" }, "pageSize": { "format": "int32", "location": "query", "description": "The maximum number of records that should be returned. Requested page size cannot exceed 100. If not set or set to less than or equal to 0, the default page size is 100. .", "type": "integer" } }, "description": "Lists operations that match the specified filter in the request. If the server doesn't support this method, it returns `UNIMPLEMENTED`. NOTE: the `name` binding allows API services to override the binding to use different resource name schemes, such as `users/*/operations`. To override the binding, API services can add a binding such as `\"/v1/{name=users/*}/operations\"` to their service configuration. For backwards compatibility, the default name includes the operations collection id, however overriding users must ensure the name binding is the parent resource, without the operations collection id.", "flatPath": "v2/projects/{projectsId}/locations/{locationsId}/operations", "parameterOrder": [ "name" ], "httpMethod": "GET", "response": { "$ref": "GoogleLongrunningListOperationsResponse" }, "path": "v2/{+name}/operations", "id": "run.projects.locations.operations.list", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "get": { "description": "Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service.", "httpMethod": "GET", "flatPath": "v2/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}", "id": "run.projects.locations.operations.get", "response": { "$ref": "GoogleLongrunningOperation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "parameters": { "name": { "type": "string", "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "description": "The name of the operation resource." } }, "path": "v2/{+name}" }, "delete": { "id": "run.projects.locations.operations.delete", "response": { "$ref": "GoogleProtobufEmpty" }, "flatPath": "v2/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}", "httpMethod": "DELETE", "parameterOrder": [ "name" ], "parameters": { "name": { "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "description": "The name of the operation resource to be deleted.", "location": "path", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Deletes a long-running operation. This method indicates that the client is no longer interested in the operation result. It does not cancel the operation. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`.", "path": "v2/{+name}" } } }, "jobs": { "methods": { "patch": { "request": { "$ref": "GoogleCloudRunV2Job" }, "path": "v2/{+name}", "description": "Updates a Job.", "id": "run.projects.locations.jobs.patch", "parameterOrder": [ "name" ], "httpMethod": "PATCH", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "allowMissing": { "type": "boolean", "location": "query", "description": "If set to true, and if the Job does not exist, it will create a new one. Caller must have both create and update permissions for this call if this is set to true." }, "validateOnly": { "location": "query", "description": "Indicates that the request should be validated and default values populated, without persisting the request or updating any resources.", "type": "boolean" }, "name": { "pattern": "^projects/[^/]+/locations/[^/]+/jobs/[^/]+$", "description": "The fully qualified name of this Job. Format: projects/{project}/locations/{location}/jobs/{job}", "required": true, "type": "string", "location": "path" } }, "response": { "$ref": "GoogleLongrunningOperation" }, "flatPath": "v2/projects/{projectsId}/locations/{locationsId}/jobs/{jobsId}" }, "setIamPolicy": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v2/projects/{projectsId}/locations/{locationsId}/jobs/{jobsId}:setIamPolicy", "response": { "$ref": "GoogleIamV1Policy" }, "path": "v2/{+resource}:setIamPolicy", "request": { "$ref": "GoogleIamV1SetIamPolicyRequest" }, "parameterOrder": [ "resource" ], "id": "run.projects.locations.jobs.setIamPolicy", "httpMethod": "POST", "description": "Sets the IAM Access control policy for the specified Job. Overwrites any existing policy.", "parameters": { "resource": { "pattern": "^projects/[^/]+/locations/[^/]+/jobs/[^/]+$", "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "required": true, "location": "path", "type": "string" } } }, "get": { "id": "run.projects.locations.jobs.get", "httpMethod": "GET", "flatPath": "v2/projects/{projectsId}/locations/{locationsId}/jobs/{jobsId}", "parameterOrder": [ "name" ], "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/jobs/[^/]+$", "required": true, "location": "path", "description": "Required. The full name of the Job. Format: projects/{projectnumber}/locations/{location}/jobs/{job}", "type": "string" } }, "description": "Gets information about a Job.", "path": "v2/{+name}", "response": { "$ref": "GoogleCloudRunV2Job" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "run": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Triggers creation of a new Execution of this Job.", "response": { "$ref": "GoogleLongrunningOperation" }, "path": "v2/{+name}:run", "parameters": { "name": { "required": true, "description": "Required. The full name of the Job. Format: projects/{projectnumber}/locations/{location}/jobs/{job}", "location": "path", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/jobs/[^/]+$" } }, "parameterOrder": [ "name" ], "request": { "$ref": "GoogleCloudRunV2RunJobRequest" }, "id": "run.projects.locations.jobs.run", "flatPath": "v2/projects/{projectsId}/locations/{locationsId}/jobs/{jobsId}:run", "httpMethod": "POST" }, "create": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "jobId": { "location": "query", "type": "string", "description": "Required. The unique identifier for the Job. The name of the job becomes {parent}/jobs/{job_id}." }, "parent": { "description": "Required. The location and project in which this Job should be created. Format: projects/{projectnumber}/locations/{location}", "type": "string", "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+$" }, "validateOnly": { "description": "Indicates that the request should be validated and default values populated, without persisting the request or creating any resources.", "type": "boolean", "location": "query" } }, "description": "Create a Job.", "flatPath": "v2/projects/{projectsId}/locations/{locationsId}/jobs", "path": "v2/{+parent}/jobs", "parameterOrder": [ "parent" ], "id": "run.projects.locations.jobs.create", "httpMethod": "POST", "response": { "$ref": "GoogleLongrunningOperation" }, "request": { "$ref": "GoogleCloudRunV2Job" } }, "getIamPolicy": { "path": "v2/{+resource}:getIamPolicy", "description": "Get the IAM Access Control policy currently in effect for the given Job. This result does not include any inherited policies.", "httpMethod": "GET", "parameters": { "resource": { "pattern": "^projects/[^/]+/locations/[^/]+/jobs/[^/]+$", "location": "path", "required": true, "type": "string", "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field." }, "options.requestedPolicyVersion": { "description": "Optional. The maximum policy version that will be used to format the policy. Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset. The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "format": "int32", "type": "integer", "location": "query" } }, "flatPath": "v2/projects/{projectsId}/locations/{locationsId}/jobs/{jobsId}:getIamPolicy", "id": "run.projects.locations.jobs.getIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "GoogleIamV1Policy" }, "parameterOrder": [ "resource" ] }, "testIamPermissions": { "id": "run.projects.locations.jobs.testIamPermissions", "path": "v2/{+resource}:testIamPermissions", "httpMethod": "POST", "flatPath": "v2/projects/{projectsId}/locations/{locationsId}/jobs/{jobsId}:testIamPermissions", "parameters": { "resource": { "type": "string", "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "pattern": "^projects/[^/]+/locations/[^/]+/jobs/[^/]+$", "location": "path", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "resource" ], "description": "Returns permissions that a caller has on the specified Project. There are no permissions required for making this API call.", "request": { "$ref": "GoogleIamV1TestIamPermissionsRequest" }, "response": { "$ref": "GoogleIamV1TestIamPermissionsResponse" } }, "list": { "response": { "$ref": "GoogleCloudRunV2ListJobsResponse" }, "flatPath": "v2/projects/{projectsId}/locations/{locationsId}/jobs", "httpMethod": "GET", "path": "v2/{+parent}/jobs", "description": "List Jobs.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "parent" ], "parameters": { "pageSize": { "format": "int32", "location": "query", "type": "integer", "description": "Maximum number of Jobs to return in this call." }, "pageToken": { "type": "string", "description": "A page token received from a previous call to ListJobs. All other parameters must match.", "location": "query" }, "parent": { "description": "Required. The location and project to list resources on. Format: projects/{projectnumber}/locations/{location}", "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+$", "type": "string" }, "showDeleted": { "type": "boolean", "description": "If true, returns deleted (but unexpired) resources along with active ones.", "location": "query" } }, "id": "run.projects.locations.jobs.list" }, "delete": { "flatPath": "v2/projects/{projectsId}/locations/{locationsId}/jobs/{jobsId}", "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/jobs/[^/]+$", "required": true, "type": "string", "location": "path", "description": "Required. The full name of the Job. Format: projects/{projectnumber}/locations/{location}/jobs/{job}" }, "force": { "type": "boolean", "description": "If set to true, the Job and its Executions will be deleted no matter whether any Executions are still running or not. If set to false or unset, the Job and its Executions can only be deleted if there are no running Executions. Any running Execution will fail the deletion.", "location": "query" }, "etag": { "description": "A system-generated fingerprint for this version of the resource. May be used to detect modification conflict during updates.", "type": "string", "location": "query" }, "validateOnly": { "description": "Indicates that the request should be validated without actually deleting any resources.", "location": "query", "type": "boolean" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v2/{+name}", "parameterOrder": [ "name" ], "description": "Deletes a Job.", "httpMethod": "DELETE", "response": { "$ref": "GoogleLongrunningOperation" }, "id": "run.projects.locations.jobs.delete" } }, "resources": { "executions": { "methods": { "delete": { "httpMethod": "DELETE", "flatPath": "v2/projects/{projectsId}/locations/{locationsId}/jobs/{jobsId}/executions/{executionsId}", "id": "run.projects.locations.jobs.executions.delete", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Delete an Execution.", "parameters": { "etag": { "location": "query", "type": "string", "description": "A system-generated fingerprint for this version of the resource. This may be used to detect modification conflict during updates." }, "validateOnly": { "description": "Indicates that the request should be validated without actually deleting any resources.", "location": "query", "type": "boolean" }, "name": { "location": "path", "description": "Required. The name of the Execution to delete. Format: projects/{project}/locations/{location}/jobs/{job}/executions/{execution}", "pattern": "^projects/[^/]+/locations/[^/]+/jobs/[^/]+/executions/[^/]+$", "required": true, "type": "string" } }, "response": { "$ref": "GoogleLongrunningOperation" }, "path": "v2/{+name}", "parameterOrder": [ "name" ] }, "get": { "path": "v2/{+name}", "httpMethod": "GET", "description": "Gets information about a Execution.", "flatPath": "v2/projects/{projectsId}/locations/{locationsId}/jobs/{jobsId}/executions/{executionsId}", "parameters": { "name": { "type": "string", "location": "path", "description": "Required. The full name of the Execution. Format: projects/{project}/locations/{location}/jobs/{job}/executions/{execution}", "pattern": "^projects/[^/]+/locations/[^/]+/jobs/[^/]+/executions/[^/]+$", "required": true } }, "id": "run.projects.locations.jobs.executions.get", "response": { "$ref": "GoogleCloudRunV2Execution" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ] }, "list": { "httpMethod": "GET", "id": "run.projects.locations.jobs.executions.list", "parameterOrder": [ "parent" ], "description": "List Executions from a Job.", "response": { "$ref": "GoogleCloudRunV2ListExecutionsResponse" }, "parameters": { "pageToken": { "type": "string", "location": "query", "description": "A page token received from a previous call to ListExecutions. All other parameters must match." }, "pageSize": { "location": "query", "format": "int32", "description": "Maximum number of Executions to return in this call.", "type": "integer" }, "parent": { "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/jobs/[^/]+$", "description": "Required. The Execution from which the Executions should be listed. To list all Executions across Jobs, use \"-\" instead of Job name. Format: projects/{project}/locations/{location}/jobs/{job}", "type": "string", "location": "path" }, "showDeleted": { "location": "query", "type": "boolean", "description": "If true, returns deleted (but unexpired) resources along with active ones." } }, "path": "v2/{+parent}/executions", "flatPath": "v2/projects/{projectsId}/locations/{locationsId}/jobs/{jobsId}/executions", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] } }, "resources": { "tasks": { "methods": { "list": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v2/{+parent}/tasks", "response": { "$ref": "GoogleCloudRunV2ListTasksResponse" }, "flatPath": "v2/projects/{projectsId}/locations/{locationsId}/jobs/{jobsId}/executions/{executionsId}/tasks", "description": "List Tasks from an Execution of a Job.", "httpMethod": "GET", "parameters": { "pageToken": { "location": "query", "description": "A page token received from a previous call to ListTasks. All other parameters must match.", "type": "string" }, "showDeleted": { "description": "If true, returns deleted (but unexpired) resources along with active ones.", "location": "query", "type": "boolean" }, "pageSize": { "type": "integer", "description": "Maximum number of Tasks to return in this call.", "location": "query", "format": "int32" }, "parent": { "description": "Required. The Execution from which the Tasks should be listed. To list all Tasks across Executions of a Job, use \"-\" instead of Execution name. To list all Tasks across Jobs, use \"-\" instead of Job name. Format: projects/{project}/locations/{location}/jobs/{job}/executions/{execution}", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/jobs/[^/]+/executions/[^/]+$", "required": true, "location": "path" } }, "parameterOrder": [ "parent" ], "id": "run.projects.locations.jobs.executions.tasks.list" }, "get": { "path": "v2/{+name}", "flatPath": "v2/projects/{projectsId}/locations/{locationsId}/jobs/{jobsId}/executions/{executionsId}/tasks/{tasksId}", "httpMethod": "GET", "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/jobs/[^/]+/executions/[^/]+/tasks/[^/]+$", "required": true, "type": "string", "location": "path", "description": "Required. The full name of the Task. Format: projects/{project}/locations/{location}/jobs/{job}/executions/{execution}/tasks/{task}" } }, "description": "Gets information about a Task.", "id": "run.projects.locations.jobs.executions.tasks.get", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "GoogleCloudRunV2Task" } } } } } } } } } } } } }, "parameters": { "callback": { "description": "JSONP", "type": "string", "location": "query" }, "access_token": { "description": "OAuth access token.", "type": "string", "location": "query" }, "key": { "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "location": "query", "type": "string" }, "oauth_token": { "description": "OAuth 2.0 token for the current user.", "type": "string", "location": "query" }, "upload_protocol": { "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "type": "string", "location": "query" }, "alt": { "location": "query", "enum": [ "json", "media", "proto" ], "type": "string", "description": "Data format for response.", "default": "json", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ] }, "uploadType": { "location": "query", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "type": "string" }, "quotaUser": { "location": "query", "type": "string", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters." }, "$.xgafv": { "description": "V1 error format.", "location": "query", "enum": [ "1", "2" ], "type": "string", "enumDescriptions": [ "v1 error format", "v2 error format" ] }, "prettyPrint": { "type": "boolean", "location": "query", "default": "true", "description": "Returns response with indentations and line breaks." }, "fields": { "type": "string", "location": "query", "description": "Selector specifying which fields to include in a partial response." } }, "rootUrl": "https://run.googleapis.com/", "revision": "20220626", "basePath": "", "servicePath": "", "version": "v2", "baseUrl": "https://run.googleapis.com/", "version_module": true, "name": "run", "protocol": "rest", "title": "Cloud Run Admin API", "kind": "discovery#restDescription", "ownerName": "Google", "fullyEncodeReservedExpansion": true, "mtlsRootUrl": "https://run.mtls.googleapis.com/", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." } } } }, "canonicalName": "Cloud Run", "documentationLink": "https://cloud.google.com/run/", "description": "Deploy and manage user provided container images that scale automatically based on incoming requests. The Cloud Run Admin API v1 follows the Knative Serving API specification, while v2 is aligned with Google Cloud AIP-based API standards, as described in https://google.aip.dev/.", "ownerDomain": "google.com", "batchPath": "batch", "schemas": { "GoogleCloudRunV2ListRevisionsResponse": { "id": "GoogleCloudRunV2ListRevisionsResponse", "type": "object", "description": "Response message containing a list of Revisions.", "properties": { "revisions": { "items": { "$ref": "GoogleCloudRunV2Revision" }, "description": "The resulting list of Revisions.", "type": "array" }, "nextPageToken": { "type": "string", "description": "A token indicating there are more items than page_size. Use it in the next ListRevisions request to continue." } } }, "GoogleCloudRunV2ListExecutionsResponse": { "id": "GoogleCloudRunV2ListExecutionsResponse", "description": "Response message containing a list of Executions.", "type": "object", "properties": { "executions": { "items": { "$ref": "GoogleCloudRunV2Execution" }, "type": "array", "description": "The resulting list of Executions." }, "nextPageToken": { "type": "string", "description": "A token indicating there are more items than page_size. Use it in the next ListExecutions request to continue." } } }, "GoogleTypeExpr": { "properties": { "description": { "type": "string", "description": "Optional. Description of the expression. This is a longer text which describes the expression, e.g. when hovered over it in a UI." }, "title": { "type": "string", "description": "Optional. Title for the expression, i.e. a short string describing its purpose. This can be used e.g. in UIs which allow to enter the expression." }, "expression": { "type": "string", "description": "Textual representation of an expression in Common Expression Language syntax." }, "location": { "description": "Optional. String indicating the location of the expression for error reporting, e.g. a file name and a position in the file.", "type": "string" } }, "type": "object", "description": "Represents a textual expression in the Common Expression Language (CEL) syntax. CEL is a C-like expression language. The syntax and semantics of CEL are documented at https://github.com/google/cel-spec. Example (Comparison): title: \"Summary size limit\" description: \"Determines if a summary is less than 100 chars\" expression: \"document.summary.size() \u003c 100\" Example (Equality): title: \"Requestor is owner\" description: \"Determines if requestor is the document owner\" expression: \"document.owner == request.auth.claims.email\" Example (Logic): title: \"Public documents\" description: \"Determine whether the document should be publicly visible\" expression: \"document.type != 'private' && document.type != 'internal'\" Example (Data Manipulation): title: \"Notification string\" description: \"Create a notification string with a timestamp.\" expression: \"'New message received at ' + string(document.create_time)\" The exact variables and functions that may be referenced within an expression are determined by the service that evaluates it. See the service documentation for additional information.", "id": "GoogleTypeExpr" }, "GoogleCloudRunV2BinaryAuthorization": { "properties": { "useDefault": { "description": "If True, indicates to use the default project's binary authorization policy. If False, binary authorization will be disabled.", "type": "boolean" }, "breakglassJustification": { "type": "string", "description": "If present, indicates to use Breakglass using this justification. If use_default is False, then it must be empty. For more information on breakglass, see https://cloud.google.com/binary-authorization/docs/using-breakglass" } }, "description": "Settings for Binary Authorization feature.", "id": "GoogleCloudRunV2BinaryAuthorization", "type": "object" }, "GoogleCloudRunV2ListServicesResponse": { "description": "Response message containing a list of Services.", "properties": { "nextPageToken": { "description": "A token indicating there are more items than page_size. Use it in the next ListServices request to continue.", "type": "string" }, "services": { "description": "The resulting list of Services.", "items": { "$ref": "GoogleCloudRunV2Service" }, "type": "array" } }, "id": "GoogleCloudRunV2ListServicesResponse", "type": "object" }, "GoogleCloudRunV2ExecutionTemplate": { "type": "object", "properties": { "taskCount": { "format": "int32", "type": "integer", "description": "Specifies the desired number of tasks the execution should run. Setting to 1 means that parallelism is limited to 1 and the success of that task signals the success of the execution. More info: https://kubernetes.io/docs/concepts/workloads/controllers/jobs-run-to-completion/" }, "parallelism": { "description": "Specifies the maximum desired number of tasks the execution should run at given time. Must be \u003c= task_count. When the job is run, if this field is 0 or unset, the maximum possible value will be used for that execution. The actual number of tasks running in steady state will be less than this number when there are fewer tasks waiting to be completed remaining, i.e. when the work left to do is less than max parallelism.", "type": "integer", "format": "int32" }, "annotations": { "additionalProperties": { "type": "string" }, "type": "object", "description": "KRM-style annotations for the resource." }, "template": { "description": "Required. Describes the task(s) that will be created when executing an execution.", "$ref": "GoogleCloudRunV2TaskTemplate" }, "labels": { "type": "object", "description": "KRM-style labels for the resource.", "additionalProperties": { "type": "string" } } }, "description": "ExecutionTemplate describes the data an execution should have when created from a template.", "id": "GoogleCloudRunV2ExecutionTemplate" }, "GoogleIamV1Binding": { "type": "object", "description": "Associates `members`, or principals, with a `role`.", "id": "GoogleIamV1Binding", "properties": { "condition": { "description": "The condition that is associated with this binding. If the condition evaluates to `true`, then this binding applies to the current request. If the condition evaluates to `false`, then this binding does not apply to the current request. However, a different role binding might grant the same role to one or more of the principals in this binding. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "$ref": "GoogleTypeExpr" }, "role": { "type": "string", "description": "Role that is assigned to the list of `members`, or principals. For example, `roles/viewer`, `roles/editor`, or `roles/owner`." }, "members": { "type": "array", "description": "Specifies the principals requesting access for a Google Cloud resource. `members` can have the following values: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `allUsers`: A special identifier that represents anyone who is on the internet; with or without a Google account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `allAuthenticatedUsers`: A special identifier that represents anyone who is authenticated with a Google account or a service account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `user:{emailid}`: An email address that represents a specific Google account. For example, `alice@example.com` . LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `serviceAccount:{emailid}`: An email address that represents a service account. For example, `my-other-app@appspot.gserviceaccount.com`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `group:{emailid}`: An email address that represents a Google group. For example, `admins@example.com`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:user:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a user that has been recently deleted. For example, `alice@example.com?uid=123456789012345678901`. If the user is recovered, this value reverts to `user:{emailid}` and the recovered user retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:serviceAccount:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a service account that has been recently deleted. For example, `my-other-app@appspot.gserviceaccount.com?uid=123456789012345678901`. If the service account is undeleted, this value reverts to `serviceAccount:{emailid}` and the undeleted service account retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:group:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a Google group that has been recently deleted. For example, `admins@example.com?uid=123456789012345678901`. If the group is recovered, this value reverts to `group:{emailid}` and the recovered group retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `domain:{domain}`: The G Suite domain (primary) that represents all the users of that domain. For example, `google.com` or `example.com`. ", "items": { "type": "string" } } } }, "GoogleCloudRunV2Job": { "id": "GoogleCloudRunV2Job", "properties": { "lastModifier": { "readOnly": true, "description": "Output only. Email address of the last authenticated modifier.", "type": "string" }, "template": { "$ref": "GoogleCloudRunV2ExecutionTemplate", "description": "Required. The template used to create executions for this Job." }, "uid": { "type": "string", "readOnly": true, "description": "Output only. Server assigned unique identifier for the Execution. The value is a UUID4 string and guaranteed to remain unchanged until the resource is deleted." }, "binaryAuthorization": { "description": "Settings for the Binary Authorization feature.", "$ref": "GoogleCloudRunV2BinaryAuthorization" }, "deleteTime": { "type": "string", "readOnly": true, "description": "Output only. The deletion time.", "format": "google-datetime" }, "terminalCondition": { "readOnly": true, "description": "Output only. The Condition of this Job, containing its readiness status, and detailed error information in case it did not reach the desired state.", "$ref": "GoogleCloudRunV2Condition" }, "observedGeneration": { "format": "int64", "description": "Output only. The generation of this Job. See comments in `reconciling` for additional information on reconciliation process in Cloud Run.", "type": "string", "readOnly": true }, "creator": { "type": "string", "readOnly": true, "description": "Output only. Email address of the authenticated creator." }, "clientVersion": { "description": "Arbitrary version identifier for the API client.", "type": "string" }, "etag": { "type": "string", "description": "Output only. A system-generated fingerprint for this version of the resource. May be used to detect modification conflict during updates.", "readOnly": true }, "updateTime": { "format": "google-datetime", "readOnly": true, "description": "Output only. The last-modified time.", "type": "string" }, "latestCreatedExecution": { "$ref": "GoogleCloudRunV2ExecutionReference", "readOnly": true, "description": "Output only. Name of the last created execution." }, "expireTime": { "description": "Output only. For a deleted resource, the time after which it will be permamently deleted.", "format": "google-datetime", "type": "string", "readOnly": true }, "launchStage": { "description": "The launch stage as defined by [Google Cloud Platform Launch Stages](https://cloud.google.com/terms/launch-stages). Cloud Run supports `ALPHA`, `BETA`, and `GA`. If no value is specified, GA is assumed.", "enum": [ "LAUNCH_STAGE_UNSPECIFIED", "UNIMPLEMENTED", "PRELAUNCH", "EARLY_ACCESS", "ALPHA", "BETA", "GA", "DEPRECATED" ], "enumDescriptions": [ "Do not use this default value.", "The feature is not yet implemented. Users can not use it.", "Prelaunch features are hidden from users and are only visible internally.", "Early Access features are limited to a closed group of testers. To use these features, you must sign up in advance and sign a Trusted Tester agreement (which includes confidentiality provisions). These features may be unstable, changed in backward-incompatible ways, and are not guaranteed to be released.", "Alpha is a limited availability test for releases before they are cleared for widespread use. By Alpha, all significant design issues are resolved and we are in the process of verifying functionality. Alpha customers need to apply for access, agree to applicable terms, and have their projects allowlisted. Alpha releases don't have to be feature complete, no SLAs are provided, and there are no technical support obligations, but they will be far enough along that customers can actually use them in test environments or for limited-use tests -- just like they would in normal production cases.", "Beta is the point at which we are ready to open a release for any customer to use. There are no SLA or technical support obligations in a Beta release. Products will be complete from a feature perspective, but may have some open outstanding issues. Beta releases are suitable for limited production use cases.", "GA features are open to all developers and are considered stable and fully qualified for production use.", "Deprecated features are scheduled to be shut down and removed. For more information, see the \"Deprecation Policy\" section of our [Terms of Service](https://cloud.google.com/terms/) and the [Google Cloud Platform Subject to the Deprecation Policy](https://cloud.google.com/terms/deprecation) documentation." ], "type": "string" }, "labels": { "additionalProperties": { "type": "string" }, "description": "KRM-style labels for the resource. User-provided labels are shared with Google's billing system, so they can be used to filter, or break down billing charges by team, component, environment, state, etc. For more information, visit https://cloud.google.com/resource-manager/docs/creating-managing-labels or https://cloud.google.com/run/docs/configuring/labels Cloud Run will populate some labels with 'run.googleapis.com' or 'serving.knative.dev' namespaces. Those labels are read-only, and user changes will not be preserved.", "type": "object" }, "reconciling": { "description": "Output only. Returns true if the Job is currently being acted upon by the system to bring it into the desired state. When a new Job is created, or an existing one is updated, Cloud Run will asynchronously perform all necessary steps to bring the Job to the desired state. This process is called reconciliation. While reconciliation is in process, `observed_generation` and `latest_succeeded_execution`, will have transient values that might mismatch the intended state: Once reconciliation is over (and this field is false), there are two possible outcomes: reconciliation succeeded and the state matches the Job, or there was an error, and reconciliation failed. This state can be found in `terminal_condition.state`. If reconciliation succeeded, the following fields will match: `observed_generation` and `generation`, `latest_succeeded_execution` and `latest_created_execution`. If reconciliation failed, `observed_generation` and `latest_succeeded_execution` will have the state of the last succeeded execution or empty for newly created Job. Additional information on the failure can be found in `terminal_condition` and `conditions`.", "readOnly": true, "type": "boolean" }, "createTime": { "format": "google-datetime", "readOnly": true, "description": "Output only. The creation time.", "type": "string" }, "name": { "type": "string", "description": "The fully qualified name of this Job. Format: projects/{project}/locations/{location}/jobs/{job}" }, "generation": { "type": "string", "format": "int64", "description": "Output only. A number that monotonically increases every time the user modifies the desired state.", "readOnly": true }, "conditions": { "description": "Output only. The Conditions of all other associated sub-resources. They contain additional diagnostics information in case the Job does not reach its desired state. See comments in `reconciling` for additional information on reconciliation process in Cloud Run.", "type": "array", "readOnly": true, "items": { "$ref": "GoogleCloudRunV2Condition" } }, "annotations": { "additionalProperties": { "type": "string" }, "description": "KRM-style annotations for the resource. Unstructured key value map that may be set by external tools to store and arbitrary metadata. They are not queryable and should be preserved when modifying objects. Cloud Run will populate some annotations using 'run.googleapis.com' or 'serving.knative.dev' namespaces. This field follows Kubernetes annotations' namespacing, limits, and rules. More info: https://kubernetes.io/docs/user-guide/annotations", "type": "object" }, "executionCount": { "type": "integer", "description": "Output only. Number of executions created for this job.", "readOnly": true, "format": "int32" }, "client": { "type": "string", "description": "Arbitrary identifier for the API client." } }, "description": "Job represents the configuration of a single job. A job an immutable resource that references a container image which is run to completion.", "type": "object" }, "GoogleCloudRunV2VolumeMount": { "properties": { "name": { "description": "Required. This must match the Name of a Volume.", "type": "string" }, "mountPath": { "type": "string", "description": "Required. Path within the container at which the volume should be mounted. Must not contain ':'. For Cloud SQL volumes, it can be left empty, or must otherwise be `/cloudsql`. All instances defined in the Volume will be available as `/cloudsql/[instance]`. For more information on Cloud SQL volumes, visit https://cloud.google.com/sql/docs/mysql/connect-run" } }, "description": "VolumeMount describes a mounting of a Volume within a container.", "id": "GoogleCloudRunV2VolumeMount", "type": "object" }, "GoogleCloudRunV2Execution": { "description": "Execution represents the configuration of a single execution. A execution an immutable resource that references a container image which is run to completion.", "id": "GoogleCloudRunV2Execution", "properties": { "createTime": { "readOnly": true, "description": "Output only. Represents time when the execution was acknowledged by the execution controller. It is not guaranteed to be set in happens-before order across separate operations.", "format": "google-datetime", "type": "string" }, "template": { "readOnly": true, "$ref": "GoogleCloudRunV2TaskTemplate", "description": "Output only. Describes the task(s) that will be created when executing an execution." }, "updateTime": { "description": "Output only. The last-modified time.", "readOnly": true, "format": "google-datetime", "type": "string" }, "parallelism": { "format": "int32", "type": "integer", "description": "Output only. Specifies the maximum desired number of tasks the execution should run at any given time. Must be \u003c= task_count. The actual number of tasks running in steady state will be less than this number when ((.spec.task_count - .status.successful) \u003c .spec.parallelism), i.e. when the work left to do is less than max parallelism. More info: https://kubernetes.io/docs/concepts/workloads/controllers/jobs-run-to-completion/", "readOnly": true }, "startTime": { "description": "Output only. Represents time when the execution started to run. It is not guaranteed to be set in happens-before order across separate operations.", "format": "google-datetime", "type": "string", "readOnly": true }, "failedCount": { "description": "Output only. The number of tasks which reached phase Failed.", "format": "int32", "type": "integer", "readOnly": true }, "observedGeneration": { "description": "Output only. The generation of this Execution. See comments in `reconciling` for additional information on reconciliation process in Cloud Run.", "format": "int64", "type": "string", "readOnly": true }, "etag": { "description": "Output only. A system-generated fingerprint for this version of the resource. May be used to detect modification conflict during updates.", "readOnly": true, "type": "string" }, "expireTime": { "type": "string", "format": "google-datetime", "description": "Output only. For a deleted resource, the time after which it will be permamently deleted. It is only populated as a response to a Delete request.", "readOnly": true }, "labels": { "additionalProperties": { "type": "string" }, "description": "KRM-style labels for the resource. User-provided labels are shared with Google's billing system, so they can be used to filter, or break down billing charges by team, component, environment, state, etc. For more information, visit https://cloud.google.com/resource-manager/docs/creating-managing-labels or https://cloud.google.com/run/docs/configuring/labels Cloud Run will populate some labels with 'run.googleapis.com' or 'serving.knative.dev' namespaces. Those labels are read-only, and user changes will not be preserved.", "type": "object" }, "reconciling": { "readOnly": true, "type": "boolean", "description": "Output only. Indicates whether the resource's reconciliation is still in progress. See comments in `Job.reconciling` for additional information on reconciliation process in Cloud Run." }, "launchStage": { "enumDescriptions": [ "Do not use this default value.", "The feature is not yet implemented. Users can not use it.", "Prelaunch features are hidden from users and are only visible internally.", "Early Access features are limited to a closed group of testers. To use these features, you must sign up in advance and sign a Trusted Tester agreement (which includes confidentiality provisions). These features may be unstable, changed in backward-incompatible ways, and are not guaranteed to be released.", "Alpha is a limited availability test for releases before they are cleared for widespread use. By Alpha, all significant design issues are resolved and we are in the process of verifying functionality. Alpha customers need to apply for access, agree to applicable terms, and have their projects allowlisted. Alpha releases don't have to be feature complete, no SLAs are provided, and there are no technical support obligations, but they will be far enough along that customers can actually use them in test environments or for limited-use tests -- just like they would in normal production cases.", "Beta is the point at which we are ready to open a release for any customer to use. There are no SLA or technical support obligations in a Beta release. Products will be complete from a feature perspective, but may have some open outstanding issues. Beta releases are suitable for limited production use cases.", "GA features are open to all developers and are considered stable and fully qualified for production use.", "Deprecated features are scheduled to be shut down and removed. For more information, see the \"Deprecation Policy\" section of our [Terms of Service](https://cloud.google.com/terms/) and the [Google Cloud Platform Subject to the Deprecation Policy](https://cloud.google.com/terms/deprecation) documentation." ], "type": "string", "description": "Set the launch stage to a preview stage on write to allow use of preview features in that stage. On read, describes whether the resource uses preview features. Launch Stages are defined at [Google Cloud Platform Launch Stages](https://cloud.google.com/terms/launch-stages).", "enum": [ "LAUNCH_STAGE_UNSPECIFIED", "UNIMPLEMENTED", "PRELAUNCH", "EARLY_ACCESS", "ALPHA", "BETA", "GA", "DEPRECATED" ] }, "conditions": { "readOnly": true, "items": { "$ref": "GoogleCloudRunV2Condition" }, "description": "Output only. The Condition of this Execution, containing its readiness status, and detailed error information in case it did not reach the desired state.", "type": "array" }, "succeededCount": { "readOnly": true, "format": "int32", "type": "integer", "description": "Output only. The number of tasks which reached phase Succeeded." }, "uid": { "description": "Output only. Server assigned unique identifier for the Execution. The value is a UUID4 string and guaranteed to remain unchanged until the resource is deleted.", "type": "string", "readOnly": true }, "completionTime": { "readOnly": true, "type": "string", "description": "Output only. Represents time when the execution was completed. It is not guaranteed to be set in happens-before order across separate operations.", "format": "google-datetime" }, "generation": { "format": "int64", "description": "Output only. A number that monotonically increases every time the user modifies the desired state.", "readOnly": true, "type": "string" }, "deleteTime": { "readOnly": true, "description": "Output only. For a deleted resource, the deletion time. It is only populated as a response to a Delete request.", "format": "google-datetime", "type": "string" }, "name": { "description": "Output only. The unique name of this Execution.", "readOnly": true, "type": "string" }, "annotations": { "additionalProperties": { "type": "string" }, "type": "object", "description": "KRM-style annotations for the resource." }, "job": { "readOnly": true, "type": "string", "description": "Output only. The name of the parent Job." }, "taskCount": { "format": "int32", "description": "Output only. Specifies the desired number of tasks the execution should run. Setting to 1 means that parallelism is limited to 1 and the success of that task signals the success of the execution. More info: https://kubernetes.io/docs/concepts/workloads/controllers/jobs-run-to-completion/", "type": "integer", "readOnly": true }, "runningCount": { "description": "Output only. The number of actively running tasks.", "type": "integer", "format": "int32", "readOnly": true } }, "type": "object" }, "GoogleCloudRunV2EnvVar": { "type": "object", "description": "EnvVar represents an environment variable present in a Container.", "id": "GoogleCloudRunV2EnvVar", "properties": { "value": { "type": "string", "description": "Variable references $(VAR_NAME) are expanded using the previous defined environment variables in the container and any route environment variables. If a variable cannot be resolved, the reference in the input string will be unchanged. The $(VAR_NAME) syntax can be escaped with a double $$, ie: $$(VAR_NAME). Escaped references will never be expanded, regardless of whether the variable exists or not. Defaults to \"\", and the maximum length is 32768 bytes." }, "name": { "type": "string", "description": "Required. Name of the environment variable. Must be a C_IDENTIFIER, and mnay not exceed 32768 characters." }, "valueSource": { "$ref": "GoogleCloudRunV2EnvVarSource", "description": "Source for the environment variable's value." } } }, "GoogleCloudRunV2TrafficTarget": { "id": "GoogleCloudRunV2TrafficTarget", "type": "object", "description": "Holds a single traffic routing entry for the Service. Allocations can be done to a specific Revision name, or pointing to the latest Ready Revision.", "properties": { "revision": { "type": "string", "description": "Revision to which to send this portion of traffic, if traffic allocation is by revision." }, "type": { "enum": [ "TRAFFIC_TARGET_ALLOCATION_TYPE_UNSPECIFIED", "TRAFFIC_TARGET_ALLOCATION_TYPE_LATEST", "TRAFFIC_TARGET_ALLOCATION_TYPE_REVISION" ], "type": "string", "description": "The allocation type for this traffic target.", "enumDescriptions": [ "Unspecified instance allocation type.", "Allocates instances to the Service's latest ready Revision.", "Allocates instances to a Revision by name." ] }, "percent": { "format": "int32", "type": "integer", "description": "Specifies percent of the traffic to this Revision. This defaults to zero if unspecified." }, "tag": { "type": "string", "description": "Indicates a string to be part of the URI to exclusively reference this target." } } }, "GoogleCloudRunV2RevisionTemplate": { "description": "RevisionTemplate describes the data a revision should have when created from a template.", "properties": { "vpcAccess": { "description": "VPC Access configuration to use for this Revision. For more information, visit https://cloud.google.com/run/docs/configuring/connecting-vpc.", "$ref": "GoogleCloudRunV2VpcAccess" }, "maxInstanceRequestConcurrency": { "type": "integer", "format": "int32", "description": "Sets the maximum number of requests that each serving instance can receive." }, "labels": { "description": "KRM-style labels for the resource.", "type": "object", "additionalProperties": { "type": "string" } }, "containers": { "description": "Holds the single container that defines the unit of execution for this Revision.", "type": "array", "items": { "$ref": "GoogleCloudRunV2Container" } }, "encryptionKey": { "type": "string", "description": "A reference to a customer managed encryption key (CMEK) to use to encrypt this container image. For more information, go to https://cloud.google.com/run/docs/securing/using-cmek" }, "revision": { "description": "The unique name for the revision. If this field is omitted, it will be automatically generated based on the Service name.", "type": "string" }, "volumes": { "type": "array", "description": "A list of Volumes to make available to containers.", "items": { "$ref": "GoogleCloudRunV2Volume" } }, "serviceAccount": { "description": "Email address of the IAM service account associated with the revision of the service. The service account represents the identity of the running revision, and determines what permissions the revision has. If not provided, the revision will use the project's default service account.", "type": "string" }, "executionEnvironment": { "enumDescriptions": [ "Unspecified", "Uses the First Generation environment.", "Uses Second Generation environment." ], "description": "The sandbox environment to host this Revision.", "enum": [ "EXECUTION_ENVIRONMENT_UNSPECIFIED", "EXECUTION_ENVIRONMENT_GEN1", "EXECUTION_ENVIRONMENT_GEN2" ], "type": "string" }, "timeout": { "description": "Max allowed time for an instance to respond to a request.", "format": "google-duration", "type": "string" }, "scaling": { "$ref": "GoogleCloudRunV2RevisionScaling", "description": "Scaling settings for this Revision." }, "annotations": { "additionalProperties": { "type": "string" }, "type": "object", "description": "KRM-style annotations for the resource." } }, "type": "object", "id": "GoogleCloudRunV2RevisionTemplate" }, "GoogleCloudRunV2ExecutionReference": { "properties": { "name": { "description": "Name of the execution.", "type": "string" }, "completionTime": { "description": "Creation timestamp of the execution.", "format": "google-datetime", "type": "string" }, "createTime": { "format": "google-datetime", "description": "Creation timestamp of the execution.", "type": "string" } }, "type": "object", "description": "Reference to an Execution. Use /Executions.GetExecution with the given name to get full execution including the latest status.", "id": "GoogleCloudRunV2ExecutionReference" }, "GoogleCloudRunV2SecretKeySelector": { "id": "GoogleCloudRunV2SecretKeySelector", "properties": { "version": { "type": "string", "description": "The Cloud Secret Manager secret version. Can be 'latest' for the latest value or an integer for a specific version." }, "secret": { "type": "string", "description": "Required. The name of the secret in Cloud Secret Manager. Format: {secret_name} if the secret is in the same project. projects/{project}/secrets/{secret_name} if the secret is in a different project." } }, "description": "SecretEnvVarSource represents a source for the value of an EnvVar.", "type": "object" }, "GoogleCloudRunV2ListJobsResponse": { "description": "Response message containing a list of Jobs.", "properties": { "jobs": { "type": "array", "items": { "$ref": "GoogleCloudRunV2Job" }, "description": "The resulting list of Jobs." }, "nextPageToken": { "type": "string", "description": "A token indicating there are more items than page_size. Use it in the next ListJobs request to continue." } }, "id": "GoogleCloudRunV2ListJobsResponse", "type": "object" }, "GoogleIamV1TestIamPermissionsRequest": { "properties": { "permissions": { "description": "The set of permissions to check for the `resource`. Permissions with wildcards (such as `*` or `storage.*`) are not allowed. For more information see [IAM Overview](https://cloud.google.com/iam/docs/overview#permissions).", "type": "array", "items": { "type": "string" } } }, "id": "GoogleIamV1TestIamPermissionsRequest", "type": "object", "description": "Request message for `TestIamPermissions` method." }, "GoogleCloudRunV2Volume": { "type": "object", "properties": { "cloudSqlInstance": { "description": "For Cloud SQL volumes, contains the specific instances that should be mounted. Visit https://cloud.google.com/sql/docs/mysql/connect-run for more information on how to connect Cloud SQL and Cloud Run.", "$ref": "GoogleCloudRunV2CloudSqlInstance" }, "name": { "description": "Required. Volume's name.", "type": "string" }, "secret": { "$ref": "GoogleCloudRunV2SecretVolumeSource", "description": "Secret represents a secret that should populate this volume. More info: https://kubernetes.io/docs/concepts/storage/volumes#secret" } }, "description": "Volume represents a named volume in a container.", "id": "GoogleCloudRunV2Volume" }, "GoogleCloudRunV2EnvVarSource": { "properties": { "secretKeyRef": { "$ref": "GoogleCloudRunV2SecretKeySelector", "description": "Selects a secret and a specific version from Cloud Secret Manager." } }, "description": "EnvVarSource represents a source for the value of an EnvVar.", "id": "GoogleCloudRunV2EnvVarSource", "type": "object" }, "GoogleIamV1TestIamPermissionsResponse": { "id": "GoogleIamV1TestIamPermissionsResponse", "properties": { "permissions": { "description": "A subset of `TestPermissionsRequest.permissions` that the caller is allowed.", "type": "array", "items": { "type": "string" } } }, "description": "Response message for `TestIamPermissions` method.", "type": "object" }, "GoogleCloudRunV2TaskAttemptResult": { "description": "Result of a task attempt.", "type": "object", "id": "GoogleCloudRunV2TaskAttemptResult", "properties": { "exitCode": { "type": "integer", "description": "Output only. The exit code of this attempt. This may be unset if the container was unable to exit cleanly with a code due to some other failure. See status field for possible failure details.", "format": "int32", "readOnly": true }, "status": { "description": "Output only. The status of this attempt. If the status code is OK, then the attempt succeeded.", "$ref": "GoogleRpcStatus", "readOnly": true } } }, "GoogleProtobufEmpty": { "type": "object", "id": "GoogleProtobufEmpty", "properties": {}, "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }" }, "GoogleCloudRunV2Revision": { "id": "GoogleCloudRunV2Revision", "type": "object", "properties": { "uid": { "type": "string", "readOnly": true, "description": "Output only. Server assigned unique identifier for the Revision. The value is a UUID4 string and guaranteed to remain unchanged until the resource is deleted." }, "updateTime": { "type": "string", "format": "google-datetime", "description": "Output only. The last-modified time.", "readOnly": true }, "service": { "description": "Output only. The name of the parent service.", "type": "string", "readOnly": true }, "createTime": { "description": "Output only. The creation time.", "type": "string", "readOnly": true, "format": "google-datetime" }, "deleteTime": { "description": "Output only. For a deleted resource, the deletion time. It is only populated as a response to a Delete request.", "readOnly": true, "format": "google-datetime", "type": "string" }, "observedGeneration": { "type": "string", "format": "int64", "readOnly": true, "description": "Output only. The generation of this Revision currently serving traffic. See comments in `reconciling` for additional information on reconciliation process in Cloud Run." }, "etag": { "description": "Output only. A system-generated fingerprint for this version of the resource. May be used to detect modification conflict during updates.", "type": "string", "readOnly": true }, "name": { "readOnly": true, "description": "Output only. The unique name of this Revision.", "type": "string" }, "annotations": { "type": "object", "additionalProperties": { "type": "string" }, "description": "KRM-style annotations for the resource." }, "timeout": { "type": "string", "format": "google-duration", "description": "Max allowed time for an instance to respond to a request." }, "logUri": { "readOnly": true, "description": "Output only. The Google Console URI to obtain logs for the Revision.", "type": "string" }, "expireTime": { "format": "google-datetime", "readOnly": true, "type": "string", "description": "Output only. For a deleted resource, the time after which it will be permamently deleted. It is only populated as a response to a Delete request." }, "containers": { "items": { "$ref": "GoogleCloudRunV2Container" }, "type": "array", "description": "Holds the single container that defines the unit of execution for this Revision." }, "executionEnvironment": { "description": "The execution environment being used to host this Revision.", "type": "string", "enum": [ "EXECUTION_ENVIRONMENT_UNSPECIFIED", "EXECUTION_ENVIRONMENT_GEN1", "EXECUTION_ENVIRONMENT_GEN2" ], "enumDescriptions": [ "Unspecified", "Uses the First Generation environment.", "Uses Second Generation environment." ] }, "vpcAccess": { "$ref": "GoogleCloudRunV2VpcAccess", "description": "VPC Access configuration for this Revision. For more information, visit https://cloud.google.com/run/docs/configuring/connecting-vpc." }, "maxInstanceRequestConcurrency": { "description": "Sets the maximum number of requests that each serving instance can receive.", "type": "integer", "format": "int32" }, "volumes": { "type": "array", "description": "A list of Volumes to make available to containers.", "items": { "$ref": "GoogleCloudRunV2Volume" } }, "launchStage": { "enum": [ "LAUNCH_STAGE_UNSPECIFIED", "UNIMPLEMENTED", "PRELAUNCH", "EARLY_ACCESS", "ALPHA", "BETA", "GA", "DEPRECATED" ], "description": "Set the launch stage to a preview stage on write to allow use of preview features in that stage. On read, describes whether the resource uses preview features. Launch Stages are defined at [Google Cloud Platform Launch Stages](https://cloud.google.com/terms/launch-stages).", "enumDescriptions": [ "Do not use this default value.", "The feature is not yet implemented. Users can not use it.", "Prelaunch features are hidden from users and are only visible internally.", "Early Access features are limited to a closed group of testers. To use these features, you must sign up in advance and sign a Trusted Tester agreement (which includes confidentiality provisions). These features may be unstable, changed in backward-incompatible ways, and are not guaranteed to be released.", "Alpha is a limited availability test for releases before they are cleared for widespread use. By Alpha, all significant design issues are resolved and we are in the process of verifying functionality. Alpha customers need to apply for access, agree to applicable terms, and have their projects allowlisted. Alpha releases don't have to be feature complete, no SLAs are provided, and there are no technical support obligations, but they will be far enough along that customers can actually use them in test environments or for limited-use tests -- just like they would in normal production cases.", "Beta is the point at which we are ready to open a release for any customer to use. There are no SLA or technical support obligations in a Beta release. Products will be complete from a feature perspective, but may have some open outstanding issues. Beta releases are suitable for limited production use cases.", "GA features are open to all developers and are considered stable and fully qualified for production use.", "Deprecated features are scheduled to be shut down and removed. For more information, see the \"Deprecation Policy\" section of our [Terms of Service](https://cloud.google.com/terms/) and the [Google Cloud Platform Subject to the Deprecation Policy](https://cloud.google.com/terms/deprecation) documentation." ], "type": "string" }, "conditions": { "readOnly": true, "description": "Output only. The Condition of this Revision, containing its readiness status, and detailed error information in case it did not reach a serving state.", "type": "array", "items": { "$ref": "GoogleCloudRunV2Condition" } }, "labels": { "type": "object", "additionalProperties": { "type": "string" }, "description": "KRM-style labels for the resource. User-provided labels are shared with Google's billing system, so they can be used to filter, or break down billing charges by team, component, environment, state, etc. For more information, visit https://cloud.google.com/resource-manager/docs/creating-managing-labels or https://cloud.google.com/run/docs/configuring/labels Cloud Run will populate some labels with 'run.googleapis.com' or 'serving.knative.dev' namespaces. Those labels are read-only, and user changes will not be preserved." }, "scaling": { "description": "Scaling settings for this revision.", "$ref": "GoogleCloudRunV2RevisionScaling" }, "serviceAccount": { "description": "Email address of the IAM service account associated with the revision of the service. The service account represents the identity of the running revision, and determines what permissions the revision has.", "type": "string" }, "encryptionKey": { "type": "string", "description": "A reference to a customer managed encryption key (CMEK) to use to encrypt this container image. For more information, go to https://cloud.google.com/run/docs/securing/using-cmek" }, "generation": { "readOnly": true, "type": "string", "format": "int64", "description": "Output only. A number that monotonically increases every time the user modifies the desired state." }, "reconciling": { "description": "Output only. Indicates whether the resource's reconciliation is still in progress. See comments in `Service.reconciling` for additional information on reconciliation process in Cloud Run.", "type": "boolean", "readOnly": true } }, "description": "A Revision is an immutable snapshot of code and configuration. A Revision references a container image. Revisions are only created by updates to its parent Service." }, "GoogleIamV1AuditConfig": { "id": "GoogleIamV1AuditConfig", "type": "object", "properties": { "service": { "type": "string", "description": "Specifies a service that will be enabled for audit logging. For example, `storage.googleapis.com`, `cloudsql.googleapis.com`. `allServices` is a special value that covers all services." }, "auditLogConfigs": { "type": "array", "description": "The configuration for logging of each type of permission.", "items": { "$ref": "GoogleIamV1AuditLogConfig" } } }, "description": "Specifies the audit configuration for a service. The configuration determines which permission types are logged, and what identities, if any, are exempted from logging. An AuditConfig must have one or more AuditLogConfigs. If there are AuditConfigs for both `allServices` and a specific service, the union of the two AuditConfigs is used for that service: the log_types specified in each AuditConfig are enabled, and the exempted_members in each AuditLogConfig are exempted. Example Policy with multiple AuditConfigs: { \"audit_configs\": [ { \"service\": \"allServices\", \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\", \"exempted_members\": [ \"user:jose@example.com\" ] }, { \"log_type\": \"DATA_WRITE\" }, { \"log_type\": \"ADMIN_READ\" } ] }, { \"service\": \"sampleservice.googleapis.com\", \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\" }, { \"log_type\": \"DATA_WRITE\", \"exempted_members\": [ \"user:aliya@example.com\" ] } ] } ] } For sampleservice, this policy enables DATA_READ, DATA_WRITE and ADMIN_READ logging. It also exempts `jose@example.com` from DATA_READ logging, and `aliya@example.com` from DATA_WRITE logging." }, "GoogleCloudRunV2Condition": { "type": "object", "id": "GoogleCloudRunV2Condition", "properties": { "revisionReason": { "type": "string", "description": "A reason for the revision condition.", "enumDescriptions": [ "Default value.", "Revision in Pending state.", "Revision is in Reserve state.", "Revision is Retired.", "Revision is being retired.", "Revision is being recreated.", "There was a health check error.", "Health check failed due to user error from customized path of the container. System will retry.", "A revision with min_instance_count \u003e 0 was created and is reserved, but it was not configured to serve traffic, so it's not live. This can also happen momentarily during traffic migration.", "The maximum allowed number of active revisions has been reached.", "There was no deployment defined. This value is no longer used, but Services created in older versions of the API might contain this value.", "A revision's container has no port specified since the revision is of a manually scaled service with 0 instance count" ], "enum": [ "REVISION_REASON_UNDEFINED", "PENDING", "RESERVE", "RETIRED", "RETIRING", "RECREATING", "HEALTH_CHECK_CONTAINER_ERROR", "CUSTOMIZED_PATH_RESPONSE_PENDING", "MIN_INSTANCES_NOT_PROVISIONED", "ACTIVE_REVISION_LIMIT_REACHED", "NO_DEPLOYMENT", "HEALTH_CHECK_SKIPPED" ] }, "state": { "description": "State of the condition.", "enumDescriptions": [ "The default value. This value is used if the state is omitted.", "Transient state: Reconciliation has not started yet.", "Transient state: reconciliation is still in progress.", "Terminal state: Reconciliation did not succeed.", "Terminal state: Reconciliation completed successfully." ], "type": "string", "enum": [ "STATE_UNSPECIFIED", "CONDITION_PENDING", "CONDITION_RECONCILING", "CONDITION_FAILED", "CONDITION_SUCCEEDED" ] }, "message": { "type": "string", "description": "Human readable message indicating details about the current status." }, "executionReason": { "type": "string", "enumDescriptions": [ "Default value.", "Internal system error getting execution status. System will retry.", "A task reached its retry limit and the last attempt failed due to the user container exiting with a non-zero exit code." ], "enum": [ "EXECUTION_REASON_UNDEFINED", "JOB_STATUS_SERVICE_POLLING_ERROR", "NON_ZERO_EXIT_CODE" ], "description": "A reason for the execution condition." }, "reason": { "description": "A common (service-level) reason for this condition.", "type": "string", "enumDescriptions": [ "Default value.", "Reason unknown. Further details will be in message.", "Revision creation process failed.", "Timed out waiting for completion.", "The container image path is incorrect.", "Insufficient permissions on the container image.", "Container image is not authorized by policy.", "Container image policy authorization check failed.", "Insufficient permissions on encryption key.", "Permission check on encryption key failed.", "At least one Access check on secrets failed.", "Waiting for operation to complete.", "System will retry immediately.", "System will retry later; current attempt failed.", "An internal error occurred. Further information may be in the message." ], "enum": [ "COMMON_REASON_UNDEFINED", "UNKNOWN", "REVISION_FAILED", "PROGRESS_DEADLINE_EXCEEDED", "CONTAINER_MISSING", "CONTAINER_PERMISSION_DENIED", "CONTAINER_IMAGE_UNAUTHORIZED", "CONTAINER_IMAGE_AUTHORIZATION_CHECK_FAILED", "ENCRYPTION_KEY_PERMISSION_DENIED", "ENCRYPTION_KEY_CHECK_FAILED", "SECRETS_ACCESS_CHECK_FAILED", "WAITING_FOR_OPERATION", "IMMEDIATE_RETRY", "POSTPONED_RETRY", "INTERNAL" ] }, "type": { "description": "type is used to communicate the status of the reconciliation process. See also: https://github.com/knative/serving/blob/main/docs/spec/errors.md#error-conditions-and-reporting Types common to all resources include: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"Ready\": True when the Resource is ready.", "type": "string" }, "severity": { "type": "string", "enumDescriptions": [ "Unspecified severity", "Error severity.", "Warning severity.", "Info severity." ], "description": "How to interpret failures of this condition, one of Error, Warning, Info", "enum": [ "SEVERITY_UNSPECIFIED", "ERROR", "WARNING", "INFO" ] }, "lastTransitionTime": { "type": "string", "description": "Last time the condition transitioned from one status to another.", "format": "google-datetime" } }, "description": "Defines a status condition for a resource." }, "GoogleIamV1AuditLogConfig": { "id": "GoogleIamV1AuditLogConfig", "properties": { "exemptedMembers": { "description": "Specifies the identities that do not cause logging for this type of permission. Follows the same format of Binding.members.", "type": "array", "items": { "type": "string" } }, "logType": { "description": "The log type that this config enables.", "type": "string", "enum": [ "LOG_TYPE_UNSPECIFIED", "ADMIN_READ", "DATA_WRITE", "DATA_READ" ], "enumDescriptions": [ "Default case. Should never be this.", "Admin reads. Example: CloudIAM getIamPolicy", "Data writes. Example: CloudSQL Users create", "Data reads. Example: CloudSQL Users list" ] } }, "type": "object", "description": "Provides the configuration for logging a type of permissions. Example: { \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\", \"exempted_members\": [ \"user:jose@example.com\" ] }, { \"log_type\": \"DATA_WRITE\" } ] } This enables 'DATA_READ' and 'DATA_WRITE' logging, while exempting jose@example.com from DATA_READ logging." }, "GoogleCloudRunV2Task": { "description": "Task represents a single run of a container to completion.", "properties": { "completionTime": { "description": "Output only. Represents time when the Task was completed. It is not guaranteed to be set in happens-before order across separate operations.", "format": "google-datetime", "readOnly": true, "type": "string" }, "etag": { "type": "string", "description": "Output only. A system-generated fingerprint for this version of the resource. May be used to detect modification conflict during updates.", "readOnly": true }, "serviceAccount": { "type": "string", "description": "Email address of the IAM service account associated with the Task of a Job. The service account represents the identity of the running task, and determines what permissions the task has. If not provided, the task will use the project's default service account." }, "updateTime": { "description": "Output only. The last-modified time.", "format": "google-datetime", "type": "string", "readOnly": true }, "execution": { "type": "string", "description": "Output only. The name of the parent Execution.", "readOnly": true }, "lastAttemptResult": { "$ref": "GoogleCloudRunV2TaskAttemptResult", "description": "Output only. Result of the last attempt of this Task.", "readOnly": true }, "reconciling": { "description": "Output only. Indicates whether the resource's reconciliation is still in progress. See comments in `Job.reconciling` for additional information on reconciliation process in Cloud Run.", "type": "boolean", "readOnly": true }, "annotations": { "description": "KRM-style annotations for the resource.", "type": "object", "additionalProperties": { "type": "string" } }, "expireTime": { "description": "Output only. For a deleted resource, the time after which it will be permamently deleted. It is only populated as a response to a Delete request.", "type": "string", "format": "google-datetime", "readOnly": true }, "generation": { "description": "Output only. A number that monotonically increases every time the user modifies the desired state.", "format": "int64", "readOnly": true, "type": "string" }, "deleteTime": { "format": "google-datetime", "type": "string", "readOnly": true, "description": "Output only. For a deleted resource, the deletion time. It is only populated as a response to a Delete request." }, "index": { "type": "integer", "format": "int32", "description": "Output only. Index of the Task, unique per execution, and beginning at 0.", "readOnly": true }, "executionEnvironment": { "type": "string", "enum": [ "EXECUTION_ENVIRONMENT_UNSPECIFIED", "EXECUTION_ENVIRONMENT_GEN1", "EXECUTION_ENVIRONMENT_GEN2" ], "enumDescriptions": [ "Unspecified", "Uses the First Generation environment.", "Uses Second Generation environment." ], "description": "The execution environment being used to host this Task." }, "name": { "description": "Output only. The unique name of this Task.", "readOnly": true, "type": "string" }, "retried": { "format": "int32", "readOnly": true, "type": "integer", "description": "Output only. The number of times this Task was retried. Tasks are retried when they fail up to the maxRetries limit." }, "launchStage": { "enumDescriptions": [ "Do not use this default value.", "The feature is not yet implemented. Users can not use it.", "Prelaunch features are hidden from users and are only visible internally.", "Early Access features are limited to a closed group of testers. To use these features, you must sign up in advance and sign a Trusted Tester agreement (which includes confidentiality provisions). These features may be unstable, changed in backward-incompatible ways, and are not guaranteed to be released.", "Alpha is a limited availability test for releases before they are cleared for widespread use. By Alpha, all significant design issues are resolved and we are in the process of verifying functionality. Alpha customers need to apply for access, agree to applicable terms, and have their projects allowlisted. Alpha releases don't have to be feature complete, no SLAs are provided, and there are no technical support obligations, but they will be far enough along that customers can actually use them in test environments or for limited-use tests -- just like they would in normal production cases.", "Beta is the point at which we are ready to open a release for any customer to use. There are no SLA or technical support obligations in a Beta release. Products will be complete from a feature perspective, but may have some open outstanding issues. Beta releases are suitable for limited production use cases.", "GA features are open to all developers and are considered stable and fully qualified for production use.", "Deprecated features are scheduled to be shut down and removed. For more information, see the \"Deprecation Policy\" section of our [Terms of Service](https://cloud.google.com/terms/) and the [Google Cloud Platform Subject to the Deprecation Policy](https://cloud.google.com/terms/deprecation) documentation." ], "type": "string", "enum": [ "LAUNCH_STAGE_UNSPECIFIED", "UNIMPLEMENTED", "PRELAUNCH", "EARLY_ACCESS", "ALPHA", "BETA", "GA", "DEPRECATED" ], "description": "Set the launch stage to a preview stage on write to allow use of preview features in that stage. On read, describes whether the resource uses preview features. Launch Stages are defined at [Google Cloud Platform Launch Stages](https://cloud.google.com/terms/launch-stages)." }, "uid": { "description": "Output only. Server assigned unique identifier for the Task. The value is a UUID4 string and guaranteed to remain unchanged until the resource is deleted.", "type": "string", "readOnly": true }, "conditions": { "items": { "$ref": "GoogleCloudRunV2Condition" }, "readOnly": true, "type": "array", "description": "Output only. The Condition of this Task, containing its readiness status, and detailed error information in case it did not reach the desired state." }, "labels": { "type": "object", "description": "KRM-style labels for the resource. User-provided labels are shared with Google's billing system, so they can be used to filter, or break down billing charges by team, component, environment, state, etc. For more information, visit https://cloud.google.com/resource-manager/docs/creating-managing-labels or https://cloud.google.com/run/docs/configuring/labels Cloud Run will populate some labels with 'run.googleapis.com' or 'serving.knative.dev' namespaces. Those labels are read-only, and user changes will not be preserved.", "additionalProperties": { "type": "string" } }, "timeout": { "format": "google-duration", "description": "Max allowed time duration the Task may be active before the system will actively try to mark it failed and kill associated containers. This applies per attempt of a task, meaning each retry can run for the full timeout.", "type": "string" }, "observedGeneration": { "readOnly": true, "format": "int64", "type": "string", "description": "Output only. The generation of this Task. See comments in `Job.reconciling` for additional information on reconciliation process in Cloud Run." }, "volumes": { "type": "array", "description": "A list of Volumes to make available to containers.", "items": { "$ref": "GoogleCloudRunV2Volume" } }, "createTime": { "type": "string", "format": "google-datetime", "readOnly": true, "description": "Output only. Represents time when the task was created by the job controller. It is not guaranteed to be set in happens-before order across separate operations." }, "vpcAccess": { "readOnly": true, "description": "Output only. VPC Access configuration to use for this Task. For more information, visit https://cloud.google.com/run/docs/configuring/connecting-vpc.", "$ref": "GoogleCloudRunV2VpcAccess" }, "job": { "type": "string", "readOnly": true, "description": "Output only. The name of the parent Job." }, "encryptionKey": { "type": "string", "description": "Output only. A reference to a customer managed encryption key (CMEK) to use to encrypt this container image. For more information, go to https://cloud.google.com/run/docs/securing/using-cmek", "readOnly": true }, "startTime": { "type": "string", "format": "google-datetime", "readOnly": true, "description": "Output only. Represents time when the task started to run. It is not guaranteed to be set in happens-before order across separate operations." }, "containers": { "type": "array", "description": "Holds the single container that defines the unit of execution for this task.", "items": { "$ref": "GoogleCloudRunV2Container" } }, "maxRetries": { "type": "integer", "format": "int32", "description": "Number of retries allowed per Task, before marking this Task failed." } }, "id": "GoogleCloudRunV2Task", "type": "object" }, "GoogleCloudRunV2Container": { "properties": { "env": { "description": "List of environment variables to set in the container.", "items": { "$ref": "GoogleCloudRunV2EnvVar" }, "type": "array" }, "image": { "description": "Required. URL of the Container image in Google Container Registry or Google Artifact Registry. More info: https://kubernetes.io/docs/concepts/containers/images", "type": "string" }, "volumeMounts": { "description": "Volume to mount into the container's filesystem.", "type": "array", "items": { "$ref": "GoogleCloudRunV2VolumeMount" } }, "name": { "description": "Name of the container specified as a DNS_LABEL.", "type": "string" }, "ports": { "items": { "$ref": "GoogleCloudRunV2ContainerPort" }, "type": "array", "description": "List of ports to expose from the container. Only a single port can be specified. The specified ports must be listening on all interfaces (0.0.0.0) within the container to be accessible. If omitted, a port number will be chosen and passed to the container through the PORT environment variable for the container to listen on." }, "args": { "type": "array", "description": "Arguments to the entrypoint. The docker image's CMD is used if this is not provided. Variable references $(VAR_NAME) are expanded using the container's environment. If a variable cannot be resolved, the reference in the input string will be unchanged. The $(VAR_NAME) syntax can be escaped with a double $$, ie: $$(VAR_NAME). Escaped references will never be expanded, regardless of whether the variable exists or not. More info: https://kubernetes.io/docs/tasks/inject-data-application/define-command-argument-container/#running-a-command-in-a-shell", "items": { "type": "string" } }, "resources": { "description": "Compute Resource requirements by this container. More info: https://kubernetes.io/docs/concepts/storage/persistent-volumes#resources", "$ref": "GoogleCloudRunV2ResourceRequirements" }, "command": { "description": "Entrypoint array. Not executed within a shell. The docker image's ENTRYPOINT is used if this is not provided. Variable references $(VAR_NAME) are expanded using the container's environment. If a variable cannot be resolved, the reference in the input string will be unchanged. The $(VAR_NAME) syntax can be escaped with a double $$, ie: $$(VAR_NAME). Escaped references will never be expanded, regardless of whether the variable exists or not. More info: https://kubernetes.io/docs/tasks/inject-data-application/define-command-argument-container/#running-a-command-in-a-shell", "type": "array", "items": { "type": "string" } } }, "type": "object", "id": "GoogleCloudRunV2Container", "description": "A single application container. This specifies both the container to run, the command to run in the container and the arguments to supply to it. Note that additional arguments may be supplied by the system to the container at runtime." }, "GoogleLongrunningListOperationsResponse": { "type": "object", "description": "The response message for Operations.ListOperations.", "id": "GoogleLongrunningListOperationsResponse", "properties": { "operations": { "type": "array", "items": { "$ref": "GoogleLongrunningOperation" }, "description": "A list of operations that matches the specified filter in the request." }, "nextPageToken": { "description": "The standard List next-page token.", "type": "string" } } }, "GoogleCloudRunV2VpcAccess": { "type": "object", "description": "VPC Access settings. For more information on creating a VPC Connector, visit https://cloud.google.com/vpc/docs/configure-serverless-vpc-access For information on how to configure Cloud Run with an existing VPC Connector, visit https://cloud.google.com/run/docs/configuring/connecting-vpc", "id": "GoogleCloudRunV2VpcAccess", "properties": { "egress": { "type": "string", "enum": [ "VPC_EGRESS_UNSPECIFIED", "ALL_TRAFFIC", "PRIVATE_RANGES_ONLY" ], "description": "Traffic VPC egress settings.", "enumDescriptions": [ "Unspecified", "All outbound traffic is routed through the VPC connector.", "Only private IP ranges are routed through the VPC connector." ] }, "connector": { "description": "VPC Access connector name. Format: projects/{project}/locations/{location}/connectors/{connector}", "type": "string" } } }, "GoogleIamV1Policy": { "id": "GoogleIamV1Policy", "description": "An Identity and Access Management (IAM) policy, which specifies access controls for Google Cloud resources. A `Policy` is a collection of `bindings`. A `binding` binds one or more `members`, or principals, to a single `role`. Principals can be user accounts, service accounts, Google groups, and domains (such as G Suite). A `role` is a named list of permissions; each `role` can be an IAM predefined role or a user-created custom role. For some types of Google Cloud resources, a `binding` can also specify a `condition`, which is a logical expression that allows access to a resource only if the expression evaluates to `true`. A condition can add constraints based on attributes of the request, the resource, or both. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies). **JSON example:** { \"bindings\": [ { \"role\": \"roles/resourcemanager.organizationAdmin\", \"members\": [ \"user:mike@example.com\", \"group:admins@example.com\", \"domain:google.com\", \"serviceAccount:my-project-id@appspot.gserviceaccount.com\" ] }, { \"role\": \"roles/resourcemanager.organizationViewer\", \"members\": [ \"user:eve@example.com\" ], \"condition\": { \"title\": \"expirable access\", \"description\": \"Does not grant access after Sep 2020\", \"expression\": \"request.time \u003c timestamp('2020-10-01T00:00:00.000Z')\", } } ], \"etag\": \"BwWWja0YfJA=\", \"version\": 3 } **YAML example:** bindings: - members: - user:mike@example.com - group:admins@example.com - domain:google.com - serviceAccount:my-project-id@appspot.gserviceaccount.com role: roles/resourcemanager.organizationAdmin - members: - user:eve@example.com role: roles/resourcemanager.organizationViewer condition: title: expirable access description: Does not grant access after Sep 2020 expression: request.time \u003c timestamp('2020-10-01T00:00:00.000Z') etag: BwWWja0YfJA= version: 3 For a description of IAM and its features, see the [IAM documentation](https://cloud.google.com/iam/docs/).", "type": "object", "properties": { "bindings": { "items": { "$ref": "GoogleIamV1Binding" }, "type": "array", "description": "Associates a list of `members`, or principals, with a `role`. Optionally, may specify a `condition` that determines how and when the `bindings` are applied. Each of the `bindings` must contain at least one principal. The `bindings` in a `Policy` can refer to up to 1,500 principals; up to 250 of these principals can be Google groups. Each occurrence of a principal counts towards these limits. For example, if the `bindings` grant 50 different roles to `user:alice@example.com`, and not to any other principal, then you can add another 1,450 principals to the `bindings` in the `Policy`." }, "etag": { "description": "`etag` is used for optimistic concurrency control as a way to help prevent simultaneous updates of a policy from overwriting each other. It is strongly suggested that systems make use of the `etag` in the read-modify-write cycle to perform policy updates in order to avoid race conditions: An `etag` is returned in the response to `getIamPolicy`, and systems are expected to put that etag in the request to `setIamPolicy` to ensure that their change will be applied to the same version of the policy. **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost.", "type": "string", "format": "byte" }, "auditConfigs": { "items": { "$ref": "GoogleIamV1AuditConfig" }, "description": "Specifies cloud audit logging configuration for this policy.", "type": "array" }, "version": { "description": "Specifies the format of the policy. Valid values are `0`, `1`, and `3`. Requests that specify an invalid value are rejected. Any operation that affects conditional role bindings must specify version `3`. This requirement applies to the following operations: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Getting a policy that includes a conditional role binding LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Adding a conditional role binding to a policy LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Changing a conditional role binding in a policy LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Removing any role binding, with or without a condition, from a policy that includes conditions **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost. If a policy does not include any conditions, operations on that policy may specify any valid version or leave the field unset. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "format": "int32", "type": "integer" } } }, "GoogleCloudRunV2VersionToPath": { "properties": { "version": { "type": "string", "description": "The Cloud Secret Manager secret version. Can be 'latest' for the latest value or an integer for a specific version." }, "path": { "type": "string", "description": "Required. The relative path of the secret in the container." }, "mode": { "format": "int32", "type": "integer", "description": "Integer octal mode bits to use on this file, must be a value between 01 and 0777 (octal). If 0 or not set, the Volume's default mode will be used. Notes LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Internally, a umask of 0222 will be applied to any non-zero value. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh This is an integer representation of the mode bits. So, the octal integer value should look exactly as the chmod numeric notation with a leading zero. Some examples: for chmod 777 (a=rwx), set to 0777 (octal) or 511 (base-10). For chmod 640 (u=rw,g=r), set to 0640 (octal) or 416 (base-10). For chmod 755 (u=rwx,g=rx,o=rx), set to 0755 (octal) or 493 (base-10). LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh This might be in conflict with other options that affect the file mode, like fsGroup, and the result can be other mode bits set." } }, "type": "object", "description": "VersionToPath maps a specific version of a secret to a relative file to mount to, relative to VolumeMount's mount_path.", "id": "GoogleCloudRunV2VersionToPath" }, "GoogleLongrunningOperation": { "description": "This resource represents a long-running operation that is the result of a network API call.", "properties": { "metadata": { "type": "object", "description": "Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any.", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." } }, "response": { "description": "The normal response of the operation in case of success. If the original method returns no data on success, such as `Delete`, the response is `google.protobuf.Empty`. If the original method is standard `Get`/`Create`/`Update`, the response should be the resource. For other methods, the response should have the type `XxxResponse`, where `Xxx` is the original method name. For example, if the original method name is `TakeSnapshot()`, the inferred response type is `TakeSnapshotResponse`.", "type": "object", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" } }, "error": { "$ref": "GoogleRpcStatus", "description": "The error result of the operation in case of failure or cancellation." }, "name": { "type": "string", "description": "The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the `name` should be a resource name ending with `operations/{unique_id}`." }, "done": { "description": "If the value is `false`, it means the operation is still in progress. If `true`, the operation is completed, and either `error` or `response` is available.", "type": "boolean" } }, "type": "object", "id": "GoogleLongrunningOperation" }, "GoogleIamV1SetIamPolicyRequest": { "description": "Request message for `SetIamPolicy` method.", "type": "object", "id": "GoogleIamV1SetIamPolicyRequest", "properties": { "policy": { "$ref": "GoogleIamV1Policy", "description": "REQUIRED: The complete policy to be applied to the `resource`. The size of the policy is limited to a few 10s of KB. An empty policy is a valid policy but certain Google Cloud services (such as Projects) might reject them." }, "updateMask": { "type": "string", "format": "google-fieldmask", "description": "OPTIONAL: A FieldMask specifying which fields of the policy to modify. Only the fields in the mask will be modified. If no mask is provided, the following default mask is used: `paths: \"bindings, etag\"`" } } }, "GoogleCloudRunV2CloudSqlInstance": { "description": "Represents a specific Cloud SQL instance.", "type": "object", "properties": { "instances": { "items": { "type": "string" }, "type": "array", "description": "The Cloud SQL instance connection names, as can be found in https://console.cloud.google.com/sql/instances. Visit https://cloud.google.com/sql/docs/mysql/connect-run for more information on how to connect Cloud SQL and Cloud Run. Format: {project}:{location}:{instance}" } }, "id": "GoogleCloudRunV2CloudSqlInstance" }, "GoogleCloudRunV2SecretVolumeSource": { "type": "object", "properties": { "items": { "items": { "$ref": "GoogleCloudRunV2VersionToPath" }, "description": "If unspecified, the volume will expose a file whose name is the secret, relative to VolumeMount.mount_path. If specified, the key will be used as the version to fetch from Cloud Secret Manager and the path will be the name of the file exposed in the volume. When items are defined, they must specify a path and a version.", "type": "array" }, "defaultMode": { "type": "integer", "format": "int32", "description": "Integer representation of mode bits to use on created files by default. Must be a value between 0000 and 0777 (octal), defaulting to 0644. Directories within the path are not affected by this setting. Notes LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Internally, a umask of 0222 will be applied to any non-zero value. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh This is an integer representation of the mode bits. So, the octal integer value should look exactly as the chmod numeric notation with a leading zero. Some examples: for chmod 777 (a=rwx), set to 0777 (octal) or 511 (base-10). For chmod 640 (u=rw,g=r), set to 0640 (octal) or 416 (base-10). For chmod 755 (u=rwx,g=rx,o=rx), set to 0755 (octal) or 493 (base-10). LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh This might be in conflict with other options that affect the file mode, like fsGroup, and the result can be other mode bits set. This might be in conflict with other options that affect the file mode, like fsGroup, and as a result, other mode bits could be set." }, "secret": { "description": "Required. The name of the secret in Cloud Secret Manager. Format: {secret} if the secret is in the same project. projects/{project}/secrets/{secret} if the secret is in a different project.", "type": "string" } }, "description": "The secret's value will be presented as the content of a file whose name is defined in the item path. If no items are defined, the name of the file is the secret.", "id": "GoogleCloudRunV2SecretVolumeSource" }, "GoogleCloudRunV2RevisionScaling": { "type": "object", "id": "GoogleCloudRunV2RevisionScaling", "description": "Settings for revision-level scaling settings.", "properties": { "maxInstanceCount": { "description": "Maximum number of serving instances that this resource should have.", "format": "int32", "type": "integer" }, "minInstanceCount": { "format": "int32", "description": "Minimum number of serving instances that this resource should have.", "type": "integer" } } }, "GoogleCloudRunV2TrafficTargetStatus": { "type": "object", "properties": { "tag": { "type": "string", "description": "Indicates the string used in the URI to exclusively reference this target." }, "revision": { "type": "string", "description": "Revision to which this traffic is sent." }, "type": { "description": "The allocation type for this traffic target.", "type": "string", "enum": [ "TRAFFIC_TARGET_ALLOCATION_TYPE_UNSPECIFIED", "TRAFFIC_TARGET_ALLOCATION_TYPE_LATEST", "TRAFFIC_TARGET_ALLOCATION_TYPE_REVISION" ], "enumDescriptions": [ "Unspecified instance allocation type.", "Allocates instances to the Service's latest ready Revision.", "Allocates instances to a Revision by name." ] }, "uri": { "type": "string", "description": "Displays the target URI." }, "percent": { "description": "Specifies percent of the traffic to this Revision.", "type": "integer", "format": "int32" } }, "description": "Represents the observed state of a single `TrafficTarget` entry.", "id": "GoogleCloudRunV2TrafficTargetStatus" }, "GoogleRpcStatus": { "id": "GoogleRpcStatus", "description": "The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors).", "properties": { "details": { "type": "array", "items": { "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "type": "object" }, "description": "A list of messages that carry the error details. There is a common set of message types for APIs to use." }, "code": { "description": "The status code, which should be an enum value of google.rpc.Code.", "format": "int32", "type": "integer" }, "message": { "description": "A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client.", "type": "string" } }, "type": "object" }, "GoogleCloudRunV2ListTasksResponse": { "type": "object", "id": "GoogleCloudRunV2ListTasksResponse", "properties": { "tasks": { "items": { "$ref": "GoogleCloudRunV2Task" }, "type": "array", "description": "The resulting list of Tasks." }, "nextPageToken": { "type": "string", "description": "A token indicating there are more items than page_size. Use it in the next ListTasks request to continue." } }, "description": "Response message containing a list of Tasks." }, "GoogleCloudRunV2Service": { "type": "object", "properties": { "createTime": { "type": "string", "format": "google-datetime", "description": "Output only. The creation time.", "readOnly": true }, "traffic": { "description": "Specifies how to distribute traffic over a collection of Revisions belonging to the Service. If traffic is empty or not provided, defaults to 100% traffic to the latest `Ready` Revision.", "items": { "$ref": "GoogleCloudRunV2TrafficTarget" }, "type": "array" }, "name": { "description": "The fully qualified name of this Service. In CreateServiceRequest, this field is ignored, and instead composed from CreateServiceRequest.parent and CreateServiceRequest.service_id. Format: projects/{project}/locations/{location}/services/{service_id}", "type": "string" }, "latestReadyRevision": { "type": "string", "description": "Output only. Name of the latest revision that is serving traffic. See comments in `reconciling` for additional information on reconciliation process in Cloud Run.", "readOnly": true }, "template": { "description": "Required. The template used to create revisions for this Service.", "$ref": "GoogleCloudRunV2RevisionTemplate" }, "launchStage": { "enumDescriptions": [ "Do not use this default value.", "The feature is not yet implemented. Users can not use it.", "Prelaunch features are hidden from users and are only visible internally.", "Early Access features are limited to a closed group of testers. To use these features, you must sign up in advance and sign a Trusted Tester agreement (which includes confidentiality provisions). These features may be unstable, changed in backward-incompatible ways, and are not guaranteed to be released.", "Alpha is a limited availability test for releases before they are cleared for widespread use. By Alpha, all significant design issues are resolved and we are in the process of verifying functionality. Alpha customers need to apply for access, agree to applicable terms, and have their projects allowlisted. Alpha releases don't have to be feature complete, no SLAs are provided, and there are no technical support obligations, but they will be far enough along that customers can actually use them in test environments or for limited-use tests -- just like they would in normal production cases.", "Beta is the point at which we are ready to open a release for any customer to use. There are no SLA or technical support obligations in a Beta release. Products will be complete from a feature perspective, but may have some open outstanding issues. Beta releases are suitable for limited production use cases.", "GA features are open to all developers and are considered stable and fully qualified for production use.", "Deprecated features are scheduled to be shut down and removed. For more information, see the \"Deprecation Policy\" section of our [Terms of Service](https://cloud.google.com/terms/) and the [Google Cloud Platform Subject to the Deprecation Policy](https://cloud.google.com/terms/deprecation) documentation." ], "type": "string", "description": "The launch stage as defined by [Google Cloud Platform Launch Stages](https://cloud.google.com/terms/launch-stages). Cloud Run supports `ALPHA`, `BETA`, and `GA`. If no value is specified, GA is assumed.", "enum": [ "LAUNCH_STAGE_UNSPECIFIED", "UNIMPLEMENTED", "PRELAUNCH", "EARLY_ACCESS", "ALPHA", "BETA", "GA", "DEPRECATED" ] }, "etag": { "type": "string", "readOnly": true, "description": "Output only. A system-generated fingerprint for this version of the resource. May be used to detect modification conflict during updates." }, "clientVersion": { "description": "Arbitrary version identifier for the API client.", "type": "string" }, "binaryAuthorization": { "description": "Settings for the Binary Authorization feature.", "$ref": "GoogleCloudRunV2BinaryAuthorization" }, "updateTime": { "type": "string", "format": "google-datetime", "description": "Output only. The last-modified time.", "readOnly": true }, "ingress": { "enumDescriptions": [ "Unspecified", "All inbound traffic is allowed.", "Only internal traffic is allowed.", "Both internal and Google Cloud Load Balancer traffic is allowed." ], "enum": [ "INGRESS_TRAFFIC_UNSPECIFIED", "INGRESS_TRAFFIC_ALL", "INGRESS_TRAFFIC_INTERNAL_ONLY", "INGRESS_TRAFFIC_INTERNAL_LOAD_BALANCER" ], "description": "Provides the ingress settings for this Service. On output, returns the currently observed ingress settings, or INGRESS_TRAFFIC_UNSPECIFIED if no revision is active.", "type": "string" }, "latestCreatedRevision": { "type": "string", "description": "Output only. Name of the last created revision. See comments in `reconciling` for additional information on reconciliation process in Cloud Run.", "readOnly": true }, "expireTime": { "description": "Output only. For a deleted resource, the time after which it will be permamently deleted.", "type": "string", "readOnly": true, "format": "google-datetime" }, "lastModifier": { "description": "Output only. Email address of the last authenticated modifier.", "type": "string", "readOnly": true }, "reconciling": { "type": "boolean", "description": "Output only. Returns true if the Service is currently being acted upon by the system to bring it into the desired state. When a new Service is created, or an existing one is updated, Cloud Run will asynchronously perform all necessary steps to bring the Service to the desired serving state. This process is called reconciliation. While reconciliation is in process, `observed_generation`, `latest_ready_revison`, `traffic_statuses`, and `uri` will have transient values that might mismatch the intended state: Once reconciliation is over (and this field is false), there are two possible outcomes: reconciliation succeeded and the serving state matches the Service, or there was an error, and reconciliation failed. This state can be found in `terminal_condition.state`. If reconciliation succeeded, the following fields will match: `traffic` and `traffic_statuses`, `observed_generation` and `generation`, `latest_ready_revision` and `latest_created_revision`. If reconciliation failed, `traffic_statuses`, `observed_generation`, and `latest_ready_revision` will have the state of the last serving revision, or empty for newly created Services. Additional information on the failure can be found in `terminal_condition` and `conditions`.", "readOnly": true }, "trafficStatuses": { "items": { "$ref": "GoogleCloudRunV2TrafficTargetStatus" }, "type": "array", "readOnly": true, "description": "Output only. Detailed status information for corresponding traffic targets. See comments in `reconciling` for additional information on reconciliation process in Cloud Run." }, "uid": { "readOnly": true, "description": "Output only. Server assigned unique identifier for the trigger. The value is a UUID4 string and guaranteed to remain unchanged until the resource is deleted.", "type": "string" }, "uri": { "readOnly": true, "description": "Output only. The main URI in which this Service is serving traffic.", "type": "string" }, "labels": { "type": "object", "description": "Map of string keys and values that can be used to organize and categorize objects. User-provided labels are shared with Google's billing system, so they can be used to filter, or break down billing charges by team, component, environment, state, etc. For more information, visit https://cloud.google.com/resource-manager/docs/creating-managing-labels or https://cloud.google.com/run/docs/configuring/labels Cloud Run will populate some labels with 'run.googleapis.com' or 'serving.knative.dev' namespaces. Those labels are read-only, and user changes will not be preserved.", "additionalProperties": { "type": "string" } }, "conditions": { "items": { "$ref": "GoogleCloudRunV2Condition" }, "readOnly": true, "description": "Output only. The Conditions of all other associated sub-resources. They contain additional diagnostics information in case the Service does not reach its Serving state. See comments in `reconciling` for additional information on reconciliation process in Cloud Run.", "type": "array" }, "deleteTime": { "format": "google-datetime", "readOnly": true, "type": "string", "description": "Output only. The deletion time." }, "generation": { "format": "int64", "description": "Output only. A number that monotonically increases every time the user modifies the desired state. Please note that unlike v1, this is an int64 value. As with most Google APIs, its JSON representation will be a `string` instead of an `integer`.", "readOnly": true, "type": "string" }, "creator": { "readOnly": true, "description": "Output only. Email address of the authenticated creator.", "type": "string" }, "observedGeneration": { "type": "string", "format": "int64", "readOnly": true, "description": "Output only. The generation of this Service currently serving traffic. See comments in `reconciling` for additional information on reconciliation process in Cloud Run. Please note that unlike v1, this is an int64 value. As with most Google APIs, its JSON representation will be a `string` instead of an `integer`." }, "description": { "type": "string", "description": "User-provided description of the Service. This field currently has a 512-character limit." }, "terminalCondition": { "description": "Output only. The Condition of this Service, containing its readiness status, and detailed error information in case it did not reach a serving state. See comments in `reconciling` for additional information on reconciliation process in Cloud Run.", "readOnly": true, "$ref": "GoogleCloudRunV2Condition" }, "annotations": { "description": "Unstructured key value map that may be set by external tools to store and arbitrary metadata. They are not queryable and should be preserved when modifying objects. Cloud Run will populate some annotations using 'run.googleapis.com' or 'serving.knative.dev' namespaces. This field follows Kubernetes annotations' namespacing, limits, and rules. More info: https://kubernetes.io/docs/user-guide/annotations", "type": "object", "additionalProperties": { "type": "string" } }, "client": { "type": "string", "description": "Arbitrary identifier for the API client." } }, "id": "GoogleCloudRunV2Service", "description": "Service acts as a top-level container that manages a set of configurations and revision templates which implement a network service. Service exists to provide a singular abstraction which can be access controlled, reasoned about, and which encapsulates software lifecycle decisions such as rollout policy and team resource ownership." }, "GoogleCloudRunV2ResourceRequirements": { "type": "object", "id": "GoogleCloudRunV2ResourceRequirements", "description": "ResourceRequirements describes the compute resource requirements.", "properties": { "limits": { "additionalProperties": { "type": "string" }, "description": "Only memory and CPU are supported. Note: The only supported values for CPU are '1', '2', and '4'. Setting 4 CPU requires at least 2Gi of memory. The values of the map is string form of the 'quantity' k8s type: https://github.com/kubernetes/kubernetes/blob/master/staging/src/k8s.io/apimachinery/pkg/api/resource/quantity.go", "type": "object" }, "cpuIdle": { "description": "Determines whether CPU should be throttled or not outside of requests.", "type": "boolean" } } }, "GoogleCloudRunV2RunJobRequest": { "type": "object", "properties": { "etag": { "description": "A system-generated fingerprint for this version of the resource. May be used to detect modification conflict during updates.", "type": "string" }, "validateOnly": { "description": "Indicates that the request should be validated without actually deleting any resources.", "type": "boolean" } }, "description": "Request message to create a new Execution of a Job.", "id": "GoogleCloudRunV2RunJobRequest" }, "GoogleCloudRunV2ContainerPort": { "id": "GoogleCloudRunV2ContainerPort", "properties": { "name": { "type": "string", "description": "If specified, used to specify which protocol to use. Allowed values are \"http1\" and \"h2c\"." }, "containerPort": { "description": "Port number the container listens on. This must be a valid TCP port number, 0 \u003c container_port \u003c 65536.", "type": "integer", "format": "int32" } }, "description": "ContainerPort represents a network port in a single container.", "type": "object" }, "GoogleCloudRunV2TaskTemplate": { "description": "TaskTemplate describes the data a task should have when created from a template.", "properties": { "timeout": { "description": "Max allowed time duration the Task may be active before the system will actively try to mark it failed and kill associated containers. This applies per attempt of a task, meaning each retry can run for the full timeout.", "format": "google-duration", "type": "string" }, "executionEnvironment": { "enumDescriptions": [ "Unspecified", "Uses the First Generation environment.", "Uses Second Generation environment." ], "type": "string", "description": "The execution environment being used to host this Task.", "enum": [ "EXECUTION_ENVIRONMENT_UNSPECIFIED", "EXECUTION_ENVIRONMENT_GEN1", "EXECUTION_ENVIRONMENT_GEN2" ] }, "volumes": { "items": { "$ref": "GoogleCloudRunV2Volume" }, "description": "A list of Volumes to make available to containers.", "type": "array" }, "encryptionKey": { "description": "A reference to a customer managed encryption key (CMEK) to use to encrypt this container image. For more information, go to https://cloud.google.com/run/docs/securing/using-cmek", "type": "string" }, "vpcAccess": { "description": "VPC Access configuration to use for this Task. For more information, visit https://cloud.google.com/run/docs/configuring/connecting-vpc.", "$ref": "GoogleCloudRunV2VpcAccess" }, "serviceAccount": { "description": "Email address of the IAM service account associated with the Task of a Job. The service account represents the identity of the running task, and determines what permissions the task has. If not provided, the task will use the project's default service account.", "type": "string" }, "containers": { "description": "Holds the single container that defines the unit of execution for this task.", "type": "array", "items": { "$ref": "GoogleCloudRunV2Container" } }, "maxRetries": { "format": "int32", "type": "integer", "description": "Number of retries allowed per Task, before marking this Task failed." } }, "type": "object", "id": "GoogleCloudRunV2TaskTemplate" } }, "id": "run:v2", "discoveryVersion": "v1", "icons": { "x32": "http://www.google.com/images/icons/product/search-32.gif", "x16": "http://www.google.com/images/icons/product/search-16.gif" } }
]===]))
