local decode = require("cjson").new().decode
return assert(decode([===[
{ "description": "Manages and executes Google Apps Script projects. ", "title": "Apps Script API", "basePath": "", "name": "script", "canonicalName": "Script", "ownerDomain": "google.com", "version": "v1", "ownerName": "Google", "kind": "discovery#restDescription", "fullyEncodeReservedExpansion": true, "mtlsRootUrl": "https://script.mtls.googleapis.com/", "parameters": { "$.xgafv": { "location": "query", "type": "string", "description": "V1 error format.", "enumDescriptions": [ "v1 error format", "v2 error format" ], "enum": [ "1", "2" ] }, "fields": { "description": "Selector specifying which fields to include in a partial response.", "type": "string", "location": "query" }, "key": { "location": "query", "type": "string", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token." }, "alt": { "default": "json", "location": "query", "description": "Data format for response.", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "enum": [ "json", "media", "proto" ], "type": "string" }, "quotaUser": { "type": "string", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "location": "query" }, "access_token": { "type": "string", "description": "OAuth access token.", "location": "query" }, "callback": { "type": "string", "location": "query", "description": "JSONP" }, "uploadType": { "type": "string", "location": "query", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\")." }, "oauth_token": { "type": "string", "description": "OAuth 2.0 token for the current user.", "location": "query" }, "prettyPrint": { "description": "Returns response with indentations and line breaks.", "type": "boolean", "default": "true", "location": "query" }, "upload_protocol": { "location": "query", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "type": "string" } }, "baseUrl": "https://script.googleapis.com/", "protocol": "rest", "schemas": { "Empty": { "type": "object", "id": "Empty", "properties": {}, "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }" }, "GoogleAppsScriptTypeWebAppEntryPoint": { "description": "A web application entry point.", "id": "GoogleAppsScriptTypeWebAppEntryPoint", "properties": { "url": { "type": "string", "description": "The URL for the web application." }, "entryPointConfig": { "description": "The entry point's configuration.", "$ref": "GoogleAppsScriptTypeWebAppConfig" } }, "type": "object" }, "GoogleAppsScriptTypeAddOnEntryPoint": { "type": "object", "properties": { "addOnType": { "enumDescriptions": [ "Default value, unknown add-on type.", "Add-on type for Gmail.", "Add-on type for Data Studio." ], "type": "string", "description": "The add-on's required list of supported container types.", "enum": [ "UNKNOWN_ADDON_TYPE", "GMAIL", "DATA_STUDIO" ] }, "reportIssueUrl": { "type": "string", "description": "The add-on's optional report issue URL." }, "description": { "description": "The add-on's optional description.", "type": "string" }, "title": { "type": "string", "description": "The add-on's required title." }, "postInstallTipUrl": { "type": "string", "description": "The add-on's required post install tip URL." }, "helpUrl": { "type": "string", "description": "The add-on's optional help URL." } }, "description": "An add-on entry point.", "id": "GoogleAppsScriptTypeAddOnEntryPoint" }, "GoogleAppsScriptTypeFunctionSet": { "properties": { "values": { "type": "array", "items": { "$ref": "GoogleAppsScriptTypeFunction" }, "description": "A list of functions composing the set." } }, "description": "A set of functions. No duplicates are permitted.", "id": "GoogleAppsScriptTypeFunctionSet", "type": "object" }, "ScriptExecutionResult": { "type": "object", "properties": { "returnValue": { "description": "The returned value of the execution.", "$ref": "Value" } }, "description": "The result of an execution.", "id": "ScriptExecutionResult" }, "Version": { "type": "object", "id": "Version", "description": "A resource representing a script project version. A version is a \"snapshot\" of a script project and is similar to a read-only branched release. When creating deployments, the version to use must be specified.", "properties": { "description": { "description": "The description for this version.", "type": "string" }, "createTime": { "type": "string", "description": "When the version was created.", "format": "google-datetime" }, "scriptId": { "description": "The script project's Drive ID.", "type": "string" }, "versionNumber": { "description": "The incremental ID that is created by Apps Script when a version is created. This is system assigned number and is immutable once created.", "format": "int32", "type": "integer" } } }, "Struct": { "id": "Struct", "description": "`Struct` represents a structured data value, consisting of fields which map to dynamically typed values.", "type": "object", "properties": { "fields": { "description": "Unordered map of dynamically typed values.", "type": "object", "additionalProperties": { "$ref": "Value" } } } }, "File": { "description": "An individual file within a script project. A file is a third-party source code created by one or more developers. It can be a server-side JS code, HTML, or a configuration file. Each script project can contain multiple files.", "properties": { "type": { "type": "string", "description": "The type of the file.", "enum": [ "ENUM_TYPE_UNSPECIFIED", "SERVER_JS", "HTML", "JSON" ], "enumDescriptions": [ "Undetermined file type; never actually used.", "An Apps Script server-side code file.", "A file containing client-side HTML.", "A file in JSON format. This type is only used for the script project's manifest. The manifest file content must match the structure of a valid [ScriptManifest](/apps-script/concepts/manifests)" ] }, "functionSet": { "$ref": "GoogleAppsScriptTypeFunctionSet", "description": "The defined set of functions in the script file, if any." }, "name": { "description": "The name of the file. The file extension is not part of the file name, which can be identified from the type field.", "type": "string" }, "createTime": { "type": "string", "description": "Creation date timestamp. This read-only field is only visible to users who have WRITER permission for the script project.", "format": "google-datetime" }, "source": { "description": "The file content.", "type": "string" }, "lastModifyUser": { "description": "The user who modified the file most recently. This read-only field is only visible to users who have WRITER permission for the script project.", "$ref": "GoogleAppsScriptTypeUser" }, "updateTime": { "type": "string", "description": "Last modified date timestamp. This read-only field is only visible to users who have WRITER permission for the script project.", "format": "google-datetime" } }, "type": "object", "id": "File" }, "ListValue": { "description": "`ListValue` is a wrapper around a repeated field of values.", "id": "ListValue", "type": "object", "properties": { "values": { "type": "array", "description": "Repeated field of dynamically typed values.", "items": { "$ref": "Value" } } } }, "ExecutionError": { "properties": { "errorMessage": { "description": "The error message thrown by Apps Script, usually localized into the user's language.", "type": "string" }, "errorType": { "description": "The error type, for example `TypeError` or `ReferenceError`. If the error type is unavailable, this field is not included.", "type": "string" }, "scriptStackTraceElements": { "items": { "$ref": "ScriptStackTraceElement" }, "description": "An array of objects that provide a stack trace through the script to show where the execution failed, with the deepest call first.", "type": "array" } }, "id": "ExecutionError", "description": "An object that provides information about the nature of an error resulting from an attempted execution of a script function using the Apps Script API. If a run call succeeds but the script function (or Apps Script itself) throws an exception, the response body's error field contains a Status object. The `Status` object's `details` field contains an array with a single one of these `ExecutionError` objects.", "type": "object" }, "Value": { "properties": { "bytesValue": { "format": "byte", "description": "Represents raw byte values.", "type": "string" }, "dateValue": { "description": "Represents a date in ms since the epoch.", "type": "string", "format": "int64" }, "stringValue": { "description": "Represents a string value.", "type": "string" }, "nullValue": { "type": "string", "enum": [ "NULL_VALUE" ], "description": "Represents a null value.", "enumDescriptions": [ "Null value." ] }, "protoValue": { "type": "object", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "description": "Represents a structured proto value." }, "boolValue": { "type": "boolean", "description": "Represents a boolean value." }, "numberValue": { "format": "double", "type": "number", "description": "Represents a double value." }, "structValue": { "$ref": "Struct", "description": "Represents a structured value." }, "listValue": { "$ref": "ListValue", "description": "Represents a repeated `Value`." } }, "description": "`Value` represents a dynamically typed value which is the outcome of an executed script.", "id": "Value", "type": "object" }, "ListVersionsResponse": { "description": "Response with the list of the versions for the specified script project.", "type": "object", "id": "ListVersionsResponse", "properties": { "nextPageToken": { "type": "string", "description": "The token use to fetch the next page of records. if not exist in the response, that means no more versions to list." }, "versions": { "description": "The list of versions.", "items": { "$ref": "Version" }, "type": "array" } } }, "MetricsValue": { "type": "object", "description": "Metrics value that holds number of executions counted.", "properties": { "endTime": { "description": "Required field indicating the end time of the interval.", "format": "google-datetime", "type": "string" }, "value": { "format": "uint64", "description": "Indicates the number of executions counted.", "type": "string" }, "startTime": { "type": "string", "format": "google-datetime", "description": "Required field indicating the start time of the interval." } }, "id": "MetricsValue" }, "GoogleAppsScriptTypeExecutionApiConfig": { "description": "API executable entry point configuration.", "properties": { "access": { "enum": [ "UNKNOWN_ACCESS", "MYSELF", "DOMAIN", "ANYONE", "ANYONE_ANONYMOUS" ], "type": "string", "enumDescriptions": [ "Default value, should not be used.", "Only the user who deployed the web app or executable can access it. Note that this is not necessarily the owner of the script project.", "Only users in the same domain as the user who deployed the web app or executable can access it.", "Any logged in user can access the web app or executable.", "Any user, logged in or not, can access the web app or executable." ], "description": "Who has permission to run the API executable." } }, "id": "GoogleAppsScriptTypeExecutionApiConfig", "type": "object" }, "ExecutionResponse": { "properties": { "result": { "description": "The return value of the script function. The type matches the object type returned in Apps Script. Functions called using the Apps Script API cannot return Apps Script-specific objects (such as a `Document` or a `Calendar`); they can only return primitive types such as a `string`, `number`, `array`, `object`, or `boolean`.", "type": "any" } }, "type": "object", "id": "ExecutionResponse", "description": "An object that provides the return value of a function executed using the Apps Script API. If the script function returns successfully, the response body's response field contains this `ExecutionResponse` object." }, "ExecuteStreamResponse": { "id": "ExecuteStreamResponse", "type": "object", "description": "The response for executing or debugging a function in an Apps Script project.", "properties": { "result": { "$ref": "ScriptExecutionResult", "description": "The result of the execution." } } }, "ListUserProcessesResponse": { "description": "Response with the list of Process resources.", "type": "object", "id": "ListUserProcessesResponse", "properties": { "processes": { "type": "array", "description": "List of processes matching request parameters.", "items": { "$ref": "GoogleAppsScriptTypeProcess" } }, "nextPageToken": { "description": "Token for the next page of results. If empty, there are no more pages remaining.", "type": "string" } } }, "Project": { "id": "Project", "type": "object", "description": "The script project resource.", "properties": { "updateTime": { "description": "When the script was last updated.", "type": "string", "format": "google-datetime" }, "lastModifyUser": { "$ref": "GoogleAppsScriptTypeUser", "description": "User who last modified the script." }, "createTime": { "description": "When the script was created.", "type": "string", "format": "google-datetime" }, "title": { "type": "string", "description": "The title for the project." }, "creator": { "$ref": "GoogleAppsScriptTypeUser", "description": "User who originally created the script." }, "parentId": { "type": "string", "description": "The parent's Drive ID that the script will be attached to. This is usually the ID of a Google Document or Google Sheet. This filed is optional, and if not set, a stand-alone script will be created." }, "scriptId": { "type": "string", "description": "The script project's Drive ID." } } }, "ScriptStackTraceElement": { "type": "object", "properties": { "function": { "type": "string", "description": "The name of the function that failed." }, "lineNumber": { "description": "The line number where the script failed.", "type": "integer", "format": "int32" } }, "description": "A stack trace through the script that shows where the execution failed.", "id": "ScriptStackTraceElement" }, "Metrics": { "description": "Resource containing usage stats for a given script, based on the supplied filter and mask present in the request.", "properties": { "activeUsers": { "items": { "$ref": "MetricsValue" }, "description": "Number of active users.", "type": "array" }, "totalExecutions": { "description": "Number of total executions.", "items": { "$ref": "MetricsValue" }, "type": "array" }, "failedExecutions": { "type": "array", "description": "Number of failed executions.", "items": { "$ref": "MetricsValue" } } }, "type": "object", "id": "Metrics" }, "GoogleAppsScriptTypeUser": { "description": "A simple user profile resource.", "type": "object", "id": "GoogleAppsScriptTypeUser", "properties": { "domain": { "type": "string", "description": "The user's domain." }, "photoUrl": { "description": "The user's photo.", "type": "string" }, "name": { "type": "string", "description": "The user's display name." }, "email": { "description": "The user's identifying email address.", "type": "string" } } }, "CreateProjectRequest": { "type": "object", "description": "Request to create a script project. Request to create a script project.", "properties": { "title": { "type": "string", "description": "The title for the project." }, "parentId": { "type": "string", "description": "The Drive ID of a parent file that the created script project is bound to. This is usually the ID of a Google Doc, Google Sheet, Google Form, or Google Slides file. If not set, a standalone script project is created." } }, "id": "CreateProjectRequest" }, "Deployment": { "type": "object", "properties": { "entryPoints": { "type": "array", "description": "The deployment's entry points.", "items": { "$ref": "EntryPoint" } }, "deploymentId": { "description": "The deployment ID for this deployment.", "type": "string" }, "updateTime": { "type": "string", "format": "google-datetime", "description": "Last modified date time stamp." }, "deploymentConfig": { "description": "The deployment configuration.", "$ref": "DeploymentConfig" } }, "id": "Deployment", "description": "Representation of a single script deployment." }, "Content": { "properties": { "scriptId": { "description": "The script project's Drive ID.", "type": "string" }, "files": { "items": { "$ref": "File" }, "type": "array", "description": "The list of script project files. One of the files is a script manifest; it must be named \"appsscript\", must have type of JSON, and include the manifest configurations for the project." } }, "type": "object", "description": "The Content resource.", "id": "Content" }, "GoogleAppsScriptTypeExecutionApiEntryPoint": { "properties": { "entryPointConfig": { "description": "The entry point's configuration.", "$ref": "GoogleAppsScriptTypeExecutionApiConfig" } }, "id": "GoogleAppsScriptTypeExecutionApiEntryPoint", "description": "An API executable entry point.", "type": "object" }, "GoogleAppsScriptTypeFunction": { "id": "GoogleAppsScriptTypeFunction", "type": "object", "properties": { "name": { "type": "string", "description": "The function name in the script project." }, "parameters": { "description": "The ordered list of parameter names of the function in the script project.", "type": "array", "items": { "type": "string" } } }, "description": "Represents a function in a script project." }, "ListScriptProcessesResponse": { "properties": { "processes": { "type": "array", "description": "List of processes matching request parameters.", "items": { "$ref": "GoogleAppsScriptTypeProcess" } }, "nextPageToken": { "type": "string", "description": "Token for the next page of results. If empty, there are no more pages remaining." } }, "type": "object", "id": "ListScriptProcessesResponse", "description": "Response with the list of Process resources." }, "ListDeploymentsResponse": { "properties": { "deployments": { "items": { "$ref": "Deployment" }, "type": "array", "description": "The list of deployments." }, "nextPageToken": { "type": "string", "description": "The token that can be used in the next call to get the next page of results." } }, "description": "Response with the list of deployments for the specified Apps Script project.", "type": "object", "id": "ListDeploymentsResponse" }, "UpdateDeploymentRequest": { "description": "Request with deployment information to update an existing deployment.", "id": "UpdateDeploymentRequest", "type": "object", "properties": { "deploymentConfig": { "description": "The deployment configuration.", "$ref": "DeploymentConfig" } } }, "EntryPoint": { "type": "object", "properties": { "webApp": { "$ref": "GoogleAppsScriptTypeWebAppEntryPoint", "description": "An entry point specification for web apps." }, "executionApi": { "description": "An entry point specification for Apps Script API execution calls.", "$ref": "GoogleAppsScriptTypeExecutionApiEntryPoint" }, "addOn": { "$ref": "GoogleAppsScriptTypeAddOnEntryPoint", "description": "Add-on properties." }, "entryPointType": { "description": "The type of the entry point.", "enumDescriptions": [ "An unspecified entry point.", "A web application entry point.", "An API executable entry point.", "An Add-On entry point." ], "type": "string", "enum": [ "ENTRY_POINT_TYPE_UNSPECIFIED", "WEB_APP", "EXECUTION_API", "ADD_ON" ] } }, "id": "EntryPoint", "description": "A configuration that defines how a deployment is accessed externally." }, "Operation": { "id": "Operation", "description": "A representation of an execution of an Apps Script function started with run. The execution response does not arrive until the function finishes executing. The maximum execution runtime is listed in the [Apps Script quotas guide](/apps-script/guides/services/quotas#current_limitations). After execution has started, it can have one of four outcomes: - If the script function returns successfully, the response field contains an ExecutionResponse object with the function's return value in the object's `result` field. - If the script function (or Apps Script itself) throws an exception, the error field contains a Status object. The `Status` object's `details` field contains an array with a single ExecutionError object that provides information about the nature of the error. - If the execution has not yet completed, the done field is `false` and the neither the `response` nor `error` fields are present. - If the `run` call itself fails (for example, because of a malformed request or an authorization error), the method returns an HTTP response code in the 4XX range with a different format for the response body. Client libraries automatically convert a 4XX response into an exception class. ", "type": "object", "properties": { "error": { "description": "If a `run` call succeeds but the script function (or Apps Script itself) throws an exception, this field contains a Status object. The `Status` object's `details` field contains an array with a single ExecutionError object that provides information about the nature of the error.", "$ref": "Status" }, "done": { "type": "boolean", "description": "This field indicates whether the script execution has completed. A completed execution has a populated `response` field containing the ExecutionResponse from function that was executed." }, "response": { "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "description": "If the script function returns successfully, this field contains an ExecutionResponse object with the function's return value.", "type": "object" } } }, "ExecutionRequest": { "properties": { "parameters": { "type": "array", "items": { "type": "any" }, "description": "The parameters to be passed to the function being executed. The object type for each parameter should match the expected type in Apps Script. Parameters cannot be Apps Script-specific object types (such as a `Document` or a `Calendar`); they can only be primitive types such as `string`, `number`, `array`, `object`, or `boolean`. Optional." }, "function": { "type": "string", "description": "The name of the function to execute in the given script. The name does not include parentheses or parameters. It can reference a function in an included library such as `Library.libFunction1`." }, "sessionState": { "description": "*Deprecated*. For use with Android add-ons only. An ID that represents the user's current session in the Android app for Google Docs or Sheets, included as extra data in the [Intent](https://developer.android.com/guide/components/intents-filters.html) that launches the add-on. When an Android add-on is run with a session state, it gains the privileges of a [bound](https://developers.google.com/apps-script/guides/bound) script—that is, it can access information like the user's current cursor position (in Docs) or selected cell (in Sheets). To retrieve the state, call `Intent.getStringExtra(\"com.google.android.apps.docs.addons.SessionState\")`. Optional.", "type": "string" }, "devMode": { "description": "If `true` and the user is an owner of the script, the script runs at the most recently saved version rather than the version deployed for use with the Apps Script API. Optional; default is `false`.", "type": "boolean" } }, "description": "A request to run the function in a script. The script is identified by the specified `script_id`. Executing a function on a script returns results based on the implementation of the script.", "type": "object", "id": "ExecutionRequest" }, "GoogleAppsScriptTypeProcess": { "description": "Representation of a single script process execution that was started from the script editor, a trigger, an application, or using the Apps Script API. This is distinct from the `Operation` resource, which only represents executions started via the Apps Script API.", "properties": { "userAccessLevel": { "type": "string", "enum": [ "USER_ACCESS_LEVEL_UNSPECIFIED", "NONE", "READ", "WRITE", "OWNER" ], "description": "The executing users access level to the script.", "enumDescriptions": [ "User access level unspecified", "The user has no access.", "The user has read-only access.", "The user has write access.", "The user is an owner." ] }, "functionName": { "description": "Name of the function the started the execution.", "type": "string" }, "projectName": { "description": "Name of the script being executed.", "type": "string" }, "processStatus": { "type": "string", "description": "The executions status.", "enum": [ "PROCESS_STATUS_UNSPECIFIED", "RUNNING", "PAUSED", "COMPLETED", "CANCELED", "FAILED", "TIMED_OUT", "UNKNOWN", "DELAYED" ], "enumDescriptions": [ "Unspecified status.", "The process is currently running.", "The process has paused.", "The process has completed.", "The process was cancelled.", "The process failed.", "The process timed out.", "Process status unknown.", "The process is delayed, waiting for quota." ] }, "processType": { "enumDescriptions": [ "Unspecified type.", "The process was started from an add-on entry point.", "The process was started using the Apps Script API.", "The process was started from a time-based trigger.", "The process was started from an event-based trigger.", "The process was started from a web app entry point.", "The process was started using the Apps Script IDE.", "The process was started from a G Suite simple trigger.", "The process was started from a G Suite menu item.", "The process was started as a task in a batch job." ], "description": "The executions type.", "enum": [ "PROCESS_TYPE_UNSPECIFIED", "ADD_ON", "EXECUTION_API", "TIME_DRIVEN", "TRIGGER", "WEBAPP", "EDITOR", "SIMPLE_TRIGGER", "MENU", "BATCH_TASK" ], "type": "string" }, "startTime": { "description": "Time the execution started.", "format": "google-datetime", "type": "string" }, "duration": { "description": "Duration the execution spent executing.", "format": "google-duration", "type": "string" } }, "type": "object", "id": "GoogleAppsScriptTypeProcess" }, "Status": { "properties": { "message": { "type": "string", "description": "A developer-facing error message, which is in English. Any user-facing error message is localized and sent in the details field, or localized by the client." }, "details": { "items": { "type": "object", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" } }, "type": "array", "description": "An array that contains a single ExecutionError object that provides information about the nature of the error." }, "code": { "format": "int32", "description": "The status code. For this API, this value either: - 10, indicating a `SCRIPT_TIMEOUT` error, - 3, indicating an `INVALID_ARGUMENT` error, or - 1, indicating a `CANCELLED` execution. ", "type": "integer" } }, "description": "If a `run` call succeeds but the script function (or Apps Script itself) throws an exception, the response body's error field contains this `Status` object.", "id": "Status", "type": "object" }, "DeploymentConfig": { "description": "Metadata the defines how a deployment is configured.", "properties": { "scriptId": { "type": "string", "description": "The script project's Drive ID." }, "description": { "type": "string", "description": "The description for this deployment." }, "manifestFileName": { "type": "string", "description": "The manifest file name for this deployment." }, "versionNumber": { "description": "The version number on which this deployment is based.", "type": "integer", "format": "int32" } }, "type": "object", "id": "DeploymentConfig" }, "GoogleAppsScriptTypeWebAppConfig": { "description": "Web app entry point configuration.", "properties": { "executeAs": { "type": "string", "enumDescriptions": [ "Default value, should not be used.", "The script runs as the user accessing the web app.", "The script runs as the user who deployed the web app. Note that this is not necessarily the owner of the script project." ], "description": "Who to execute the web app as.", "enum": [ "UNKNOWN_EXECUTE_AS", "USER_ACCESSING", "USER_DEPLOYING" ] }, "access": { "enumDescriptions": [ "Default value, should not be used.", "Only the user who deployed the web app or executable can access it. Note that this is not necessarily the owner of the script project.", "Only users in the same domain as the user who deployed the web app or executable can access it.", "Any logged in user can access the web app or executable.", "Any user, logged in or not, can access the web app or executable." ], "description": "Who has permission to run the web app.", "type": "string", "enum": [ "UNKNOWN_ACCESS", "MYSELF", "DOMAIN", "ANYONE", "ANYONE_ANONYMOUS" ] } }, "id": "GoogleAppsScriptTypeWebAppConfig", "type": "object" } }, "discoveryVersion": "v1", "batchPath": "batch", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/userinfo.email": { "description": "See your primary Google Account email address" }, "https://www.googleapis.com/auth/admin.directory.user": { "description": "View and manage the provisioning of users on your domain" }, "https://www.googleapis.com/auth/script.processes": { "description": "View Google Apps Script processes" }, "https://mail.google.com/": { "description": "Read, compose, send, and permanently delete all your email from Gmail" }, "https://www.googleapis.com/auth/script.deployments.readonly": { "description": "View Google Apps Script deployments" }, "https://www.google.com/m8/feeds": { "description": "See, edit, download, and permanently delete your contacts" }, "https://www.googleapis.com/auth/script.projects": { "description": "Create and update Google Apps Script projects" }, "https://www.googleapis.com/auth/spreadsheets": { "description": "See, edit, create, and delete all your Google Sheets spreadsheets" }, "https://www.googleapis.com/auth/script.projects.readonly": { "description": "View Google Apps Script projects" }, "https://www.googleapis.com/auth/script.deployments": { "description": "Create and update Google Apps Script deployments" }, "https://www.googleapis.com/auth/forms": { "description": "View and manage your forms in Google Drive" }, "https://www.googleapis.com/auth/drive": { "description": "See, edit, create, and delete all of your Google Drive files" }, "https://www.googleapis.com/auth/forms.currentonly": { "description": "View and manage forms that this application has been installed in" }, "https://www.googleapis.com/auth/admin.directory.group": { "description": "View and manage the provisioning of groups on your domain" }, "https://www.google.com/calendar/feeds": { "description": "See, edit, share, and permanently delete all the calendars you can access using Google Calendar" }, "https://www.googleapis.com/auth/groups": { "description": "View and manage your Google Groups" }, "https://www.googleapis.com/auth/script.metrics": { "description": "View Google Apps Script project's metrics" }, "https://www.googleapis.com/auth/documents": { "description": "See, edit, create, and delete all your Google Docs documents" } } } }, "revision": "20220701", "icons": { "x32": "http://www.google.com/images/icons/product/search-32.gif", "x16": "http://www.google.com/images/icons/product/search-16.gif" }, "documentationLink": "https://developers.google.com/apps-script/api/", "rootUrl": "https://script.googleapis.com/", "id": "script:v1", "servicePath": "", "resources": { "scripts": { "methods": { "run": { "httpMethod": "POST", "scopes": [ "https://mail.google.com/", "https://www.google.com/calendar/feeds", "https://www.google.com/m8/feeds", "https://www.googleapis.com/auth/admin.directory.group", "https://www.googleapis.com/auth/admin.directory.user", "https://www.googleapis.com/auth/documents", "https://www.googleapis.com/auth/drive", "https://www.googleapis.com/auth/forms", "https://www.googleapis.com/auth/forms.currentonly", "https://www.googleapis.com/auth/groups", "https://www.googleapis.com/auth/spreadsheets", "https://www.googleapis.com/auth/userinfo.email" ], "id": "script.scripts.run", "flatPath": "v1/scripts/{scriptId}:run", "request": { "$ref": "ExecutionRequest" }, "response": { "$ref": "Operation" }, "parameters": { "scriptId": { "required": true, "location": "path", "description": "The script ID of the script to be executed. Find the script ID on the **Project settings** page under \"IDs.\"", "type": "string" } }, "description": "Runs a function in an Apps Script project. The script project must be deployed for use with the Apps Script API and the calling application must share the same Cloud Platform project. This method requires authorization with an OAuth 2.0 token that includes at least one of the scopes listed in the [Authorization](#authorization-scopes) section; script projects that do not require authorization cannot be executed through this API. To find the correct scopes to include in the authentication token, open the script project **Overview** page and scroll down to \"Project OAuth Scopes.\" The error `403, PERMISSION_DENIED: The caller does not have permission` indicates that the Cloud Platform project used to authorize the request is not the same as the one used by the script.", "parameterOrder": [ "scriptId" ], "path": "v1/scripts/{scriptId}:run" } } }, "projects": { "resources": { "versions": { "methods": { "create": { "scopes": [ "https://www.googleapis.com/auth/script.projects" ], "flatPath": "v1/projects/{scriptId}/versions", "response": { "$ref": "Version" }, "parameterOrder": [ "scriptId" ], "parameters": { "scriptId": { "location": "path", "type": "string", "required": true, "description": "The script project's Drive ID." } }, "request": { "$ref": "Version" }, "path": "v1/projects/{scriptId}/versions", "description": "Creates a new immutable version using the current code, with a unique version number.", "id": "script.projects.versions.create", "httpMethod": "POST" }, "get": { "parameters": { "versionNumber": { "location": "path", "format": "int32", "description": "The version number.", "required": true, "type": "integer" }, "scriptId": { "location": "path", "description": "The script project's Drive ID.", "required": true, "type": "string" } }, "flatPath": "v1/projects/{scriptId}/versions/{versionNumber}", "scopes": [ "https://www.googleapis.com/auth/script.projects", "https://www.googleapis.com/auth/script.projects.readonly" ], "path": "v1/projects/{scriptId}/versions/{versionNumber}", "description": "Gets a version of a script project.", "httpMethod": "GET", "response": { "$ref": "Version" }, "id": "script.projects.versions.get", "parameterOrder": [ "scriptId", "versionNumber" ] }, "list": { "scopes": [ "https://www.googleapis.com/auth/script.projects", "https://www.googleapis.com/auth/script.projects.readonly" ], "description": "List the versions of a script project.", "httpMethod": "GET", "id": "script.projects.versions.list", "path": "v1/projects/{scriptId}/versions", "flatPath": "v1/projects/{scriptId}/versions", "parameterOrder": [ "scriptId" ], "parameters": { "pageSize": { "format": "int32", "description": "The maximum number of versions on each returned page. Defaults to 50.", "type": "integer", "location": "query" }, "pageToken": { "description": "The token for continuing a previous list request on the next page. This should be set to the value of `nextPageToken` from a previous response.", "type": "string", "location": "query" }, "scriptId": { "type": "string", "description": "The script project's Drive ID.", "required": true, "location": "path" } }, "response": { "$ref": "ListVersionsResponse" } } } }, "deployments": { "methods": { "list": { "scopes": [ "https://www.googleapis.com/auth/script.deployments", "https://www.googleapis.com/auth/script.deployments.readonly" ], "response": { "$ref": "ListDeploymentsResponse" }, "flatPath": "v1/projects/{scriptId}/deployments", "id": "script.projects.deployments.list", "parameters": { "pageSize": { "location": "query", "type": "integer", "description": "The maximum number of deployments on each returned page. Defaults to 50.", "format": "int32" }, "scriptId": { "required": true, "type": "string", "description": "The script project's Drive ID.", "location": "path" }, "pageToken": { "type": "string", "location": "query", "description": "The token for continuing a previous list request on the next page. This should be set to the value of `nextPageToken` from a previous response." } }, "parameterOrder": [ "scriptId" ], "description": "Lists the deployments of an Apps Script project.", "path": "v1/projects/{scriptId}/deployments", "httpMethod": "GET" }, "update": { "httpMethod": "PUT", "id": "script.projects.deployments.update", "scopes": [ "https://www.googleapis.com/auth/script.deployments" ], "parameterOrder": [ "scriptId", "deploymentId" ], "response": { "$ref": "Deployment" }, "flatPath": "v1/projects/{scriptId}/deployments/{deploymentId}", "path": "v1/projects/{scriptId}/deployments/{deploymentId}", "parameters": { "scriptId": { "type": "string", "location": "path", "required": true, "description": "The script project's Drive ID." }, "deploymentId": { "required": true, "location": "path", "type": "string", "description": "The deployment ID for this deployment." } }, "description": "Updates a deployment of an Apps Script project.", "request": { "$ref": "UpdateDeploymentRequest" } }, "create": { "httpMethod": "POST", "parameters": { "scriptId": { "location": "path", "required": true, "description": "The script project's Drive ID.", "type": "string" } }, "path": "v1/projects/{scriptId}/deployments", "flatPath": "v1/projects/{scriptId}/deployments", "scopes": [ "https://www.googleapis.com/auth/script.deployments" ], "description": "Creates a deployment of an Apps Script project.", "id": "script.projects.deployments.create", "parameterOrder": [ "scriptId" ], "request": { "$ref": "DeploymentConfig" }, "response": { "$ref": "Deployment" } }, "delete": { "path": "v1/projects/{scriptId}/deployments/{deploymentId}", "id": "script.projects.deployments.delete", "scopes": [ "https://www.googleapis.com/auth/script.deployments" ], "description": "Deletes a deployment of an Apps Script project.", "parameterOrder": [ "scriptId", "deploymentId" ], "httpMethod": "DELETE", "parameters": { "deploymentId": { "type": "string", "description": "The deployment ID to be undeployed.", "required": true, "location": "path" }, "scriptId": { "location": "path", "required": true, "type": "string", "description": "The script project's Drive ID." } }, "flatPath": "v1/projects/{scriptId}/deployments/{deploymentId}", "response": { "$ref": "Empty" } }, "get": { "parameterOrder": [ "scriptId", "deploymentId" ], "description": "Gets a deployment of an Apps Script project.", "httpMethod": "GET", "response": { "$ref": "Deployment" }, "scopes": [ "https://www.googleapis.com/auth/script.deployments", "https://www.googleapis.com/auth/script.deployments.readonly" ], "parameters": { "scriptId": { "required": true, "type": "string", "location": "path", "description": "The script project's Drive ID." }, "deploymentId": { "description": "The deployment ID.", "location": "path", "type": "string", "required": true } }, "path": "v1/projects/{scriptId}/deployments/{deploymentId}", "id": "script.projects.deployments.get", "flatPath": "v1/projects/{scriptId}/deployments/{deploymentId}" } } } }, "methods": { "get": { "flatPath": "v1/projects/{scriptId}", "description": "Gets a script project's metadata.", "parameters": { "scriptId": { "required": true, "type": "string", "location": "path", "description": "The script project's Drive ID." } }, "id": "script.projects.get", "parameterOrder": [ "scriptId" ], "path": "v1/projects/{scriptId}", "response": { "$ref": "Project" }, "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/script.projects", "https://www.googleapis.com/auth/script.projects.readonly" ] }, "getContent": { "parameters": { "versionNumber": { "type": "integer", "description": "The version number of the project to retrieve. If not provided, the project's HEAD version is returned.", "location": "query", "format": "int32" }, "scriptId": { "description": "The script project's Drive ID.", "type": "string", "required": true, "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/script.projects", "https://www.googleapis.com/auth/script.projects.readonly" ], "description": "Gets the content of the script project, including the code source and metadata for each script file.", "path": "v1/projects/{scriptId}/content", "parameterOrder": [ "scriptId" ], "response": { "$ref": "Content" }, "httpMethod": "GET", "id": "script.projects.getContent", "flatPath": "v1/projects/{scriptId}/content" }, "updateContent": { "request": { "$ref": "Content" }, "description": "Updates the content of the specified script project. This content is stored as the HEAD version, and is used when the script is executed as a trigger, in the script editor, in add-on preview mode, or as a web app or Apps Script API in development mode. This clears all the existing files in the project.", "flatPath": "v1/projects/{scriptId}/content", "id": "script.projects.updateContent", "path": "v1/projects/{scriptId}/content", "httpMethod": "PUT", "response": { "$ref": "Content" }, "parameters": { "scriptId": { "type": "string", "description": "The script project's Drive ID.", "required": true, "location": "path" } }, "parameterOrder": [ "scriptId" ], "scopes": [ "https://www.googleapis.com/auth/script.projects" ] }, "getMetrics": { "httpMethod": "GET", "response": { "$ref": "Metrics" }, "path": "v1/projects/{scriptId}/metrics", "description": "Get metrics data for scripts, such as number of executions and active users.", "parameterOrder": [ "scriptId" ], "id": "script.projects.getMetrics", "scopes": [ "https://www.googleapis.com/auth/script.metrics" ], "flatPath": "v1/projects/{scriptId}/metrics", "parameters": { "metricsFilter.deploymentId": { "location": "query", "description": "Optional field indicating a specific deployment to retrieve metrics from.", "type": "string" }, "metricsGranularity": { "location": "query", "description": "Required field indicating what granularity of metrics are returned.", "enumDescriptions": [ "Default metric granularity used to query no metrics.", "Represents weekly metrics.", "Represents daily metrics over a period of 7 days." ], "type": "string", "enum": [ "UNSPECIFIED_GRANULARITY", "WEEKLY", "DAILY" ] }, "scriptId": { "required": true, "description": "Required field indicating the script to get metrics for.", "type": "string", "location": "path" } } }, "create": { "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/script.projects" ], "id": "script.projects.create", "response": { "$ref": "Project" }, "parameters": {}, "flatPath": "v1/projects", "request": { "$ref": "CreateProjectRequest" }, "parameterOrder": [], "description": "Creates a new, empty script project with no script files and a base manifest file.", "path": "v1/projects" } } }, "processes": { "methods": { "list": { "description": "List information about processes made by or on behalf of a user, such as process type and current status.", "parameters": { "userProcessFilter.userAccessLevels": { "location": "query", "description": "Optional field used to limit returned processes to those having one of the specified user access levels.", "enum": [ "USER_ACCESS_LEVEL_UNSPECIFIED", "NONE", "READ", "WRITE", "OWNER" ], "repeated": true, "type": "string", "enumDescriptions": [ "User access level unspecified", "The user has no access.", "The user has read-only access.", "The user has write access.", "The user is an owner." ] }, "pageToken": { "description": "The token for continuing a previous list request on the next page. This should be set to the value of `nextPageToken` from a previous response.", "type": "string", "location": "query" }, "userProcessFilter.types": { "description": "Optional field used to limit returned processes to those having one of the specified process types.", "type": "string", "enum": [ "PROCESS_TYPE_UNSPECIFIED", "ADD_ON", "EXECUTION_API", "TIME_DRIVEN", "TRIGGER", "WEBAPP", "EDITOR", "SIMPLE_TRIGGER", "MENU", "BATCH_TASK" ], "enumDescriptions": [ "Unspecified type.", "The process was started from an add-on entry point.", "The process was started using the Apps Script API.", "The process was started from a time-based trigger.", "The process was started from an event-based trigger.", "The process was started from a web app entry point.", "The process was started using the Apps Script IDE.", "The process was started from a G Suite simple trigger.", "The process was started from a G Suite menu item.", "The process was started as a task in a batch job." ], "location": "query", "repeated": true }, "userProcessFilter.statuses": { "location": "query", "type": "string", "repeated": true, "enum": [ "PROCESS_STATUS_UNSPECIFIED", "RUNNING", "PAUSED", "COMPLETED", "CANCELED", "FAILED", "TIMED_OUT", "UNKNOWN", "DELAYED" ], "enumDescriptions": [ "Unspecified status.", "The process is currently running.", "The process has paused.", "The process has completed.", "The process was cancelled.", "The process failed.", "The process timed out.", "Process status unknown.", "The process is delayed, waiting for quota." ], "description": "Optional field used to limit returned processes to those having one of the specified process statuses." }, "userProcessFilter.projectName": { "location": "query", "type": "string", "description": "Optional field used to limit returned processes to those originating from projects with project names containing a specific string." }, "userProcessFilter.endTime": { "format": "google-datetime", "description": "Optional field used to limit returned processes to those that completed on or before the given timestamp.", "location": "query", "type": "string" }, "userProcessFilter.startTime": { "format": "google-datetime", "description": "Optional field used to limit returned processes to those that were started on or after the given timestamp.", "type": "string", "location": "query" }, "pageSize": { "type": "integer", "description": "The maximum number of returned processes per page of results. Defaults to 50.", "format": "int32", "location": "query" }, "userProcessFilter.deploymentId": { "location": "query", "description": "Optional field used to limit returned processes to those originating from projects with a specific deployment ID.", "type": "string" }, "userProcessFilter.scriptId": { "description": "Optional field used to limit returned processes to those originating from projects with a specific script ID.", "location": "query", "type": "string" }, "userProcessFilter.functionName": { "type": "string", "description": "Optional field used to limit returned processes to those originating from a script function with the given function name.", "location": "query" } }, "response": { "$ref": "ListUserProcessesResponse" }, "httpMethod": "GET", "flatPath": "v1/processes", "id": "script.processes.list", "scopes": [ "https://www.googleapis.com/auth/script.processes" ], "parameterOrder": [], "path": "v1/processes" }, "listScriptProcesses": { "httpMethod": "GET", "parameterOrder": [], "description": "List information about a script's executed processes, such as process type and current status.", "flatPath": "v1/processes:listScriptProcesses", "response": { "$ref": "ListScriptProcessesResponse" }, "scopes": [ "https://www.googleapis.com/auth/script.processes" ], "id": "script.processes.listScriptProcesses", "path": "v1/processes:listScriptProcesses", "parameters": { "scriptProcessFilter.endTime": { "type": "string", "location": "query", "format": "google-datetime", "description": "Optional field used to limit returned processes to those that completed on or before the given timestamp." }, "scriptProcessFilter.statuses": { "repeated": true, "description": "Optional field used to limit returned processes to those having one of the specified process statuses.", "type": "string", "enumDescriptions": [ "Unspecified status.", "The process is currently running.", "The process has paused.", "The process has completed.", "The process was cancelled.", "The process failed.", "The process timed out.", "Process status unknown.", "The process is delayed, waiting for quota." ], "location": "query", "enum": [ "PROCESS_STATUS_UNSPECIFIED", "RUNNING", "PAUSED", "COMPLETED", "CANCELED", "FAILED", "TIMED_OUT", "UNKNOWN", "DELAYED" ] }, "pageToken": { "description": "The token for continuing a previous list request on the next page. This should be set to the value of `nextPageToken` from a previous response.", "location": "query", "type": "string" }, "scriptProcessFilter.deploymentId": { "description": "Optional field used to limit returned processes to those originating from projects with a specific deployment ID.", "type": "string", "location": "query" }, "scriptProcessFilter.startTime": { "location": "query", "description": "Optional field used to limit returned processes to those that were started on or after the given timestamp.", "type": "string", "format": "google-datetime" }, "scriptId": { "location": "query", "description": "The script ID of the project whose processes are listed.", "type": "string" }, "scriptProcessFilter.types": { "location": "query", "enumDescriptions": [ "Unspecified type.", "The process was started from an add-on entry point.", "The process was started using the Apps Script API.", "The process was started from a time-based trigger.", "The process was started from an event-based trigger.", "The process was started from a web app entry point.", "The process was started using the Apps Script IDE.", "The process was started from a G Suite simple trigger.", "The process was started from a G Suite menu item.", "The process was started as a task in a batch job." ], "repeated": true, "type": "string", "description": "Optional field used to limit returned processes to those having one of the specified process types.", "enum": [ "PROCESS_TYPE_UNSPECIFIED", "ADD_ON", "EXECUTION_API", "TIME_DRIVEN", "TRIGGER", "WEBAPP", "EDITOR", "SIMPLE_TRIGGER", "MENU", "BATCH_TASK" ] }, "pageSize": { "location": "query", "description": "The maximum number of returned processes per page of results. Defaults to 50.", "type": "integer", "format": "int32" }, "scriptProcessFilter.functionName": { "type": "string", "location": "query", "description": "Optional field used to limit returned processes to those originating from a script function with the given function name." }, "scriptProcessFilter.userAccessLevels": { "location": "query", "type": "string", "description": "Optional field used to limit returned processes to those having one of the specified user access levels.", "repeated": true, "enumDescriptions": [ "User access level unspecified", "The user has no access.", "The user has read-only access.", "The user has write access.", "The user is an owner." ], "enum": [ "USER_ACCESS_LEVEL_UNSPECIFIED", "NONE", "READ", "WRITE", "OWNER" ] } } } } } } }
]===]))
