local decode = require("cjson").new().decode
return assert(decode([===[
{ "name": "searchconsole", "canonicalName": "Search Console", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/webmasters": { "description": "View and manage Search Console data for your verified sites" }, "https://www.googleapis.com/auth/webmasters.readonly": { "description": "View Search Console data for your verified sites" } } } }, "batchPath": "batch", "revision": "20220711", "resources": { "sitemaps": { "methods": { "list": { "scopes": [ "https://www.googleapis.com/auth/webmasters", "https://www.googleapis.com/auth/webmasters.readonly" ], "description": " Lists the [sitemaps-entries](/webmaster-tools/v3/sitemaps) submitted for this site, or included in the sitemap index file (if `sitemapIndex` is specified in the request).", "parameters": { "sitemapIndex": { "type": "string", "location": "query", "description": " A URL of a site's sitemap index. For example: `http://www.example.com/sitemapindex.xml`." }, "siteUrl": { "location": "path", "required": true, "description": "The site's URL, including protocol. For example: `http://www.example.com/`.", "type": "string" } }, "parameterOrder": [ "siteUrl" ], "id": "webmasters.sitemaps.list", "httpMethod": "GET", "flatPath": "webmasters/v3/sites/{siteUrl}/sitemaps", "response": { "$ref": "SitemapsListResponse" }, "path": "webmasters/v3/sites/{siteUrl}/sitemaps" }, "submit": { "parameters": { "feedpath": { "required": true, "description": "The URL of the actual sitemap. For example: `http://www.example.com/sitemap.xml`.", "location": "path", "type": "string" }, "siteUrl": { "description": "The site's URL, including protocol. For example: `http://www.example.com/`.", "type": "string", "required": true, "location": "path" } }, "parameterOrder": [ "siteUrl", "feedpath" ], "path": "webmasters/v3/sites/{siteUrl}/sitemaps/{feedpath}", "httpMethod": "PUT", "flatPath": "webmasters/v3/sites/{siteUrl}/sitemaps/{feedpath}", "description": "Submits a sitemap for a site.", "scopes": [ "https://www.googleapis.com/auth/webmasters" ], "id": "webmasters.sitemaps.submit" }, "delete": { "path": "webmasters/v3/sites/{siteUrl}/sitemaps/{feedpath}", "httpMethod": "DELETE", "scopes": [ "https://www.googleapis.com/auth/webmasters" ], "id": "webmasters.sitemaps.delete", "description": "Deletes a sitemap from the Sitemaps report. Does not stop Google from crawling this sitemap or the URLs that were previously crawled in the deleted sitemap.", "parameters": { "siteUrl": { "required": true, "type": "string", "description": "The site's URL, including protocol. For example: `http://www.example.com/`.", "location": "path" }, "feedpath": { "type": "string", "required": true, "location": "path", "description": "The URL of the actual sitemap. For example: `http://www.example.com/sitemap.xml`." } }, "parameterOrder": [ "siteUrl", "feedpath" ], "flatPath": "webmasters/v3/sites/{siteUrl}/sitemaps/{feedpath}" }, "get": { "id": "webmasters.sitemaps.get", "parameterOrder": [ "siteUrl", "feedpath" ], "response": { "$ref": "WmxSitemap" }, "parameters": { "siteUrl": { "type": "string", "location": "path", "description": "The site's URL, including protocol. For example: `http://www.example.com/`.", "required": true }, "feedpath": { "required": true, "description": "The URL of the actual sitemap. For example: `http://www.example.com/sitemap.xml`.", "type": "string", "location": "path" } }, "path": "webmasters/v3/sites/{siteUrl}/sitemaps/{feedpath}", "scopes": [ "https://www.googleapis.com/auth/webmasters", "https://www.googleapis.com/auth/webmasters.readonly" ], "httpMethod": "GET", "flatPath": "webmasters/v3/sites/{siteUrl}/sitemaps/{feedpath}", "description": "Retrieves information about a specific sitemap." } } }, "urlTestingTools": { "resources": { "mobileFriendlyTest": { "methods": { "run": { "parameters": {}, "path": "v1/urlTestingTools/mobileFriendlyTest:run", "parameterOrder": [], "description": "Runs Mobile-Friendly Test for a given URL.", "request": { "$ref": "RunMobileFriendlyTestRequest" }, "flatPath": "v1/urlTestingTools/mobileFriendlyTest:run", "id": "searchconsole.urlTestingTools.mobileFriendlyTest.run", "response": { "$ref": "RunMobileFriendlyTestResponse" }, "httpMethod": "POST" } } } } }, "searchanalytics": { "methods": { "query": { "path": "webmasters/v3/sites/{siteUrl}/searchAnalytics/query", "id": "webmasters.searchanalytics.query", "scopes": [ "https://www.googleapis.com/auth/webmasters", "https://www.googleapis.com/auth/webmasters.readonly" ], "httpMethod": "POST", "parameters": { "siteUrl": { "required": true, "type": "string", "description": "The site's URL, including protocol. For example: `http://www.example.com/`.", "location": "path" } }, "request": { "$ref": "SearchAnalyticsQueryRequest" }, "description": "Query your data with filters and parameters that you define. Returns zero or more rows grouped by the row keys that you define. You must define a date range of one or more days. When date is one of the group by values, any days without data are omitted from the result list. If you need to know which days have data, issue a broad date range query grouped by date for any metric, and see which day rows are returned.", "parameterOrder": [ "siteUrl" ], "response": { "$ref": "SearchAnalyticsQueryResponse" }, "flatPath": "webmasters/v3/sites/{siteUrl}/searchAnalytics/query" } } }, "sites": { "methods": { "add": { "path": "webmasters/v3/sites/{siteUrl}", "scopes": [ "https://www.googleapis.com/auth/webmasters" ], "description": " Adds a site to the set of the user's sites in Search Console.", "id": "webmasters.sites.add", "parameters": { "siteUrl": { "type": "string", "description": "The URL of the site to add.", "location": "path", "required": true } }, "parameterOrder": [ "siteUrl" ], "httpMethod": "PUT", "flatPath": "webmasters/v3/sites/{siteUrl}" }, "get": { "description": " Retrieves information about specific site.", "httpMethod": "GET", "path": "webmasters/v3/sites/{siteUrl}", "flatPath": "webmasters/v3/sites/{siteUrl}", "response": { "$ref": "WmxSite" }, "scopes": [ "https://www.googleapis.com/auth/webmasters", "https://www.googleapis.com/auth/webmasters.readonly" ], "parameterOrder": [ "siteUrl" ], "id": "webmasters.sites.get", "parameters": { "siteUrl": { "required": true, "location": "path", "type": "string", "description": "The URI of the property as defined in Search Console. **Examples:** `http://www.example.com/` or `sc-domain:example.com`." } } }, "list": { "parameters": {}, "response": { "$ref": "SitesListResponse" }, "parameterOrder": [], "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/webmasters", "https://www.googleapis.com/auth/webmasters.readonly" ], "flatPath": "webmasters/v3/sites", "id": "webmasters.sites.list", "description": " Lists the user's Search Console sites.", "path": "webmasters/v3/sites" }, "delete": { "httpMethod": "DELETE", "description": " Removes a site from the set of the user's Search Console sites.", "scopes": [ "https://www.googleapis.com/auth/webmasters" ], "flatPath": "webmasters/v3/sites/{siteUrl}", "id": "webmasters.sites.delete", "path": "webmasters/v3/sites/{siteUrl}", "parameters": { "siteUrl": { "location": "path", "description": "The URI of the property as defined in Search Console. **Examples:** `http://www.example.com/` or `sc-domain:example.com`.", "type": "string", "required": true } }, "parameterOrder": [ "siteUrl" ] } } }, "urlInspection": { "resources": { "index": { "methods": { "inspect": { "response": { "$ref": "InspectUrlIndexResponse" }, "parameterOrder": [], "path": "v1/urlInspection/index:inspect", "request": { "$ref": "InspectUrlIndexRequest" }, "description": "Index inspection.", "id": "searchconsole.urlInspection.index.inspect", "httpMethod": "POST", "parameters": {}, "scopes": [ "https://www.googleapis.com/auth/webmasters", "https://www.googleapis.com/auth/webmasters.readonly" ], "flatPath": "v1/urlInspection/index:inspect" } } } } } }, "ownerName": "Google", "title": "Google Search Console API", "fullyEncodeReservedExpansion": true, "ownerDomain": "google.com", "rootUrl": "https://searchconsole.googleapis.com/", "description": "The Search Console API provides access to both Search Console data (verified users only) and to public information on an URL basis (anyone)", "version": "v1", "documentationLink": "https://developers.google.com/webmaster-tools/search-console-api/", "servicePath": "", "id": "searchconsole:v1", "mtlsRootUrl": "https://searchconsole.mtls.googleapis.com/", "basePath": "", "discoveryVersion": "v1", "schemas": { "InspectUrlIndexRequest": { "type": "object", "properties": { "languageCode": { "type": "string", "description": "Optional. An [IETF BCP-47](https://en.wikipedia.org/wiki/IETF_language_tag) language code representing the requested language for translated issue messages, e.g. \"en-US\", \"or \"de-CH\". Default value is \"en-US\"." }, "siteUrl": { "description": "Required. The URL of the property as defined in Search Console. **Examples:** `http://www.example.com/` for a URL-prefix property, or `sc-domain:example.com` for a Domain property.", "type": "string" }, "inspectionUrl": { "type": "string", "description": "Required. URL to inspect. Must be under the property specified in \"site_url\"." } }, "description": "Index inspection request.", "id": "InspectUrlIndexRequest" }, "UrlInspectionResult": { "description": "URL inspection result, including all inspection results.", "type": "object", "id": "UrlInspectionResult", "properties": { "mobileUsabilityResult": { "$ref": "MobileUsabilityInspectionResult", "description": "Result of the Mobile usability analysis." }, "inspectionResultLink": { "description": "Link to Search Console URL inspection.", "type": "string" }, "indexStatusResult": { "$ref": "IndexStatusInspectionResult", "description": "Result of the index status analysis." }, "ampResult": { "description": "Result of the AMP analysis. Absent if the page is not an AMP page.", "$ref": "AmpInspectionResult" }, "richResultsResult": { "description": "Result of the Rich Results analysis. Absent if there are no rich results found.", "$ref": "RichResultsInspectionResult" } } }, "WmxSitemap": { "id": "WmxSitemap", "type": "object", "description": "Contains detailed information about a specific URL submitted as a [sitemap](https://support.google.com/webmasters/answer/156184).", "properties": { "lastDownloaded": { "type": "string", "format": "google-datetime", "description": "Date & time in which this sitemap was last downloaded. Date format is in RFC 3339 format (yyyy-mm-dd)." }, "isSitemapsIndex": { "description": "If true, the sitemap is a collection of sitemaps.", "type": "boolean" }, "lastSubmitted": { "format": "google-datetime", "description": "Date & time in which this sitemap was submitted. Date format is in RFC 3339 format (yyyy-mm-dd).", "type": "string" }, "isPending": { "type": "boolean", "description": "If true, the sitemap has not been processed." }, "path": { "description": "The url of the sitemap.", "type": "string" }, "errors": { "format": "int64", "type": "string", "description": "Number of errors in the sitemap. These are issues with the sitemap itself that need to be fixed before it can be processed correctly." }, "type": { "enum": [ "NOT_SITEMAP", "URL_LIST", "SITEMAP", "RSS_FEED", "ATOM_FEED", "PATTERN_SITEMAP", "OCEANFRONT" ], "enumDescriptions": [ "", "", "", "", "", "Unsupported sitemap types.", "" ], "description": "The type of the sitemap. For example: `rssFeed`.", "type": "string" }, "warnings": { "type": "string", "format": "int64", "description": "Number of warnings for the sitemap. These are generally non-critical issues with URLs in the sitemaps." }, "contents": { "description": "The various content types in the sitemap.", "type": "array", "items": { "$ref": "WmxSitemapContent" } } } }, "IndexStatusInspectionResult": { "type": "object", "description": "Results of index status inspection for either the live page or the version in Google's index, depending on whether you requested a live inspection or not. For more information, see the [Index coverage report documentation](https://support.google.com/webmasters/answer/7440203).", "properties": { "coverageState": { "type": "string", "description": "Could Google find and index the page. More details about page indexing appear in 'indexing_state'." }, "crawledAs": { "type": "string", "enumDescriptions": [ "Unknown user agent.", "Desktop user agent.", "Mobile user agent." ], "enum": [ "CRAWLING_USER_AGENT_UNSPECIFIED", "DESKTOP", "MOBILE" ], "description": "Primary crawler that was used by Google to crawl your site." }, "indexingState": { "description": "Whether or not the page blocks indexing through a noindex rule.", "enumDescriptions": [ "Unknown indexing status.", "Indexing allowed.", "Indexing not allowed, 'noindex' detected in 'robots' meta tag.", "Indexing not allowed, 'noindex' detected in 'X-Robots-Tag' http header.", "Reserved, no longer in use." ], "type": "string", "enum": [ "INDEXING_STATE_UNSPECIFIED", "INDEXING_ALLOWED", "BLOCKED_BY_META_TAG", "BLOCKED_BY_HTTP_HEADER", "BLOCKED_BY_ROBOTS_TXT" ] }, "robotsTxtState": { "description": "Whether or not the page is blocked to Google by a robots.txt rule.", "type": "string", "enumDescriptions": [ "Unknown robots.txt state, typically because the page wasn't fetched or found, or because robots.txt itself couldn't be reached.", "Crawl allowed by robots.txt.", "Crawl blocked by robots.txt." ], "enum": [ "ROBOTS_TXT_STATE_UNSPECIFIED", "ALLOWED", "DISALLOWED" ] }, "sitemap": { "items": { "type": "string" }, "type": "array", "description": "Any sitemaps that this URL was listed in, as known by Google. Not guaranteed to be an exhaustive list, especially if Google did not discover this URL through a sitemap. Absent if no sitemaps were found." }, "userCanonical": { "type": "string", "description": "The URL that your page or site [declares as canonical](https://developers.google.com/search/docs/advanced/crawling/consolidate-duplicate-urls?#define-canonical). If you did not declare a canonical URL, this field is absent." }, "pageFetchState": { "enum": [ "PAGE_FETCH_STATE_UNSPECIFIED", "SUCCESSFUL", "SOFT_404", "BLOCKED_ROBOTS_TXT", "NOT_FOUND", "ACCESS_DENIED", "SERVER_ERROR", "REDIRECT_ERROR", "ACCESS_FORBIDDEN", "BLOCKED_4XX", "INTERNAL_CRAWL_ERROR", "INVALID_URL" ], "enumDescriptions": [ "Unknown fetch state.", "Successful fetch.", "Soft 404.", "Blocked by robots.txt.", "Not found (404).", "Blocked due to unauthorized request (401).", "Server error (5xx).", "Redirection error.", "Blocked due to access forbidden (403).", "Blocked due to other 4xx issue (not 403, 404).", "Internal error.", "Invalid URL." ], "type": "string", "description": "Whether or not Google could retrieve the page from your server. Equivalent to [\"page fetch\"](https://support.google.com/webmasters/answer/9012289#index_coverage) in the URL inspection report." }, "verdict": { "type": "string", "enumDescriptions": [ "Unknown verdict.", "Equivalent to \"Valid\" for the page or item in Search Console.", "Equivalent to \"Valid with warnings\" for the page or item in Search Console.", "Equivalent to \"Error\" or \"Invalid\" for the page or item in Search Console.", "Equivalent to \"Excluded\" for the page or item in Search Console." ], "enum": [ "VERDICT_UNSPECIFIED", "PASS", "PARTIAL", "FAIL", "NEUTRAL" ], "description": "High level verdict about whether the URL *is* indexed (indexed status), or *can be* indexed (live inspection)." }, "lastCrawlTime": { "type": "string", "format": "google-datetime", "description": "Last time this URL was crawled by Google using the [primary crawler](https://support.google.com/webmasters/answer/7440203#primary_crawler). Absent if the URL was never crawled successfully." }, "googleCanonical": { "type": "string", "description": "The URL of the page that Google selected as canonical. If the page was not indexed, this field is absent." }, "referringUrls": { "type": "array", "description": "URLs that link to the inspected URL, directly and indirectly.", "items": { "type": "string" } } }, "id": "IndexStatusInspectionResult" }, "SitesListResponse": { "description": "List of sites with access level information.", "type": "object", "properties": { "siteEntry": { "items": { "$ref": "WmxSite" }, "type": "array", "description": "Contains permission level information about a Search Console site. For more information, see [Permissions in Search Console](https://support.google.com/webmasters/answer/2451999)." } }, "id": "SitesListResponse" }, "ApiDimensionFilter": { "id": "ApiDimensionFilter", "description": "A filter test to be applied to each row in the data set, where a match can return the row. Filters are string comparisons, and values and dimension names are not case-sensitive. Individual filters are either AND'ed or OR'ed within their parent filter group, according to the group's group type. You do not need to group by a specified dimension to filter against it.", "properties": { "expression": { "type": "string" }, "operator": { "enumDescriptions": [ "", "", "", "", "", "" ], "enum": [ "EQUALS", "NOT_EQUALS", "CONTAINS", "NOT_CONTAINS", "INCLUDING_REGEX", "EXCLUDING_REGEX" ], "type": "string" }, "dimension": { "type": "string", "enumDescriptions": [ "", "", "", "", "" ], "enum": [ "QUERY", "PAGE", "COUNTRY", "DEVICE", "SEARCH_APPEARANCE" ] } }, "type": "object" }, "BlockedResource": { "properties": { "url": { "description": "URL of the blocked resource.", "type": "string" } }, "type": "object", "description": "Blocked resource.", "id": "BlockedResource" }, "DetectedItems": { "type": "object", "properties": { "items": { "items": { "$ref": "Item" }, "description": "List of Rich Results items.", "type": "array" }, "richResultType": { "type": "string", "description": "Rich Results type" } }, "id": "DetectedItems", "description": "Rich Results items grouped by type." }, "RunMobileFriendlyTestRequest": { "type": "object", "id": "RunMobileFriendlyTestRequest", "properties": { "requestScreenshot": { "type": "boolean", "description": "Whether or not screenshot is requested. Default is false." }, "url": { "description": "URL for inspection.", "type": "string" } }, "description": "Mobile-friendly test request." }, "InspectUrlIndexResponse": { "description": "Index-Status inspection response.", "properties": { "inspectionResult": { "$ref": "UrlInspectionResult", "description": "URL inspection results." } }, "id": "InspectUrlIndexResponse", "type": "object" }, "MobileUsabilityIssue": { "id": "MobileUsabilityIssue", "type": "object", "description": "Mobile-usability issue.", "properties": { "message": { "type": "string", "description": "Additional information regarding the issue." }, "issueType": { "description": "Mobile-usability issue type.", "enumDescriptions": [ "Unknown issue. Sorry, we don't have any description for the rule that was broken.", "Plugins incompatible with mobile devices are being used. [Learn more] (https://support.google.com/webmasters/answer/6352293#flash_usage#error-list).", "Viewport is not specified using the meta viewport tag. [Learn more] (https://support.google.com/webmasters/answer/6352293#viewport_not_configured#error-list).", "Viewport defined to a fixed width. [Learn more] (https://support.google.com/webmasters/answer/6352293#fixed-width_viewport#error-list).", "Content not sized to viewport. [Learn more] (https://support.google.com/webmasters/answer/6352293#content_not_sized_to_viewport#error-list).", "Font size is too small for easy reading on a small screen. [Learn More] (https://support.google.com/webmasters/answer/6352293#small_font_size#error-list).", "Touch elements are too close to each other. [Learn more] (https://support.google.com/webmasters/answer/6352293#touch_elements_too_close#error-list)." ], "type": "string", "enum": [ "MOBILE_USABILITY_ISSUE_TYPE_UNSPECIFIED", "USES_INCOMPATIBLE_PLUGINS", "CONFIGURE_VIEWPORT", "FIXED_WIDTH_VIEWPORT", "SIZE_CONTENT_TO_VIEWPORT", "USE_LEGIBLE_FONT_SIZES", "TAP_TARGETS_TOO_CLOSE" ] }, "severity": { "enum": [ "SEVERITY_UNSPECIFIED", "WARNING", "ERROR" ], "description": "Not returned; reserved for future use.", "type": "string", "enumDescriptions": [ "Unknown severity.", "Warning.", "Error." ] } } }, "WmxSitemapContent": { "description": "Information about the various content types in the sitemap.", "type": "object", "id": "WmxSitemapContent", "properties": { "type": { "type": "string", "enum": [ "WEB", "IMAGE", "VIDEO", "NEWS", "MOBILE", "ANDROID_APP", "PATTERN", "IOS_APP", "DATA_FEED_ELEMENT" ], "enumDescriptions": [ "", "", "", "", "", "", "Unsupported content type.", "", "Unsupported content type." ], "description": "The specific type of content in this sitemap. For example: `web`." }, "submitted": { "format": "int64", "description": "The number of URLs in the sitemap (of the content type).", "type": "string" }, "indexed": { "type": "string", "format": "int64", "description": "*Deprecated; do not use.*" } } }, "SitemapsListResponse": { "type": "object", "properties": { "sitemap": { "description": "Contains detailed information about a specific URL submitted as a [sitemap](https://support.google.com/webmasters/answer/156184).", "type": "array", "items": { "$ref": "WmxSitemap" } } }, "description": "List of sitemaps.", "id": "SitemapsListResponse" }, "RunMobileFriendlyTestResponse": { "properties": { "mobileFriendlyIssues": { "description": "List of mobile-usability issues.", "items": { "$ref": "MobileFriendlyIssue" }, "type": "array" }, "resourceIssues": { "type": "array", "description": "Information about embedded resources issues.", "items": { "$ref": "ResourceIssue" } }, "screenshot": { "$ref": "Image", "description": "Screenshot of the requested URL." }, "testStatus": { "description": "Final state of the test, can be either complete or an error.", "$ref": "TestStatus" }, "mobileFriendliness": { "type": "string", "description": "Test verdict, whether the page is mobile friendly or not.", "enumDescriptions": [ "Internal error when running this test. Please try running the test again.", "The page is mobile friendly.", "The page is not mobile friendly." ], "enum": [ "MOBILE_FRIENDLY_TEST_RESULT_UNSPECIFIED", "MOBILE_FRIENDLY", "NOT_MOBILE_FRIENDLY" ] } }, "id": "RunMobileFriendlyTestResponse", "description": "Mobile-friendly test response, including mobile-friendly issues and resource issues.", "type": "object" }, "ApiDimensionFilterGroup": { "description": "A set of dimension value filters to test against each row. Only rows that pass all filter groups will be returned. All results within a filter group are either AND'ed or OR'ed together, depending on the group type selected. All filter groups are AND'ed together.", "properties": { "groupType": { "enum": [ "AND" ], "type": "string", "enumDescriptions": [ "" ] }, "filters": { "items": { "$ref": "ApiDimensionFilter" }, "type": "array" } }, "type": "object", "id": "ApiDimensionFilterGroup" }, "MobileFriendlyIssue": { "properties": { "rule": { "enumDescriptions": [ "Unknown rule. Sorry, we don't have any description for the rule that was broken.", "Plugins incompatible with mobile devices are being used. [Learn more] (https://support.google.com/webmasters/answer/6352293#flash_usage).", "Viewport is not specified using the meta viewport tag. [Learn more] (https://support.google.com/webmasters/answer/6352293#viewport_not_configured).", "Viewport defined to a fixed width. [Learn more] (https://support.google.com/webmasters/answer/6352293#fixed-width_viewport).", "Content not sized to viewport. [Learn more] (https://support.google.com/webmasters/answer/6352293#content_not_sized_to_viewport).", "Font size is too small for easy reading on a small screen. [Learn More] (https://support.google.com/webmasters/answer/6352293#small_font_size).", "Touch elements are too close to each other. [Learn more] (https://support.google.com/webmasters/answer/6352293#touch_elements_too_close)." ], "type": "string", "description": "Rule violated.", "enum": [ "MOBILE_FRIENDLY_RULE_UNSPECIFIED", "USES_INCOMPATIBLE_PLUGINS", "CONFIGURE_VIEWPORT", "FIXED_WIDTH_VIEWPORT", "SIZE_CONTENT_TO_VIEWPORT", "USE_LEGIBLE_FONT_SIZES", "TAP_TARGETS_TOO_CLOSE" ] } }, "description": "Mobile-friendly issue.", "type": "object", "id": "MobileFriendlyIssue" }, "SearchAnalyticsQueryRequest": { "properties": { "aggregationType": { "enumDescriptions": [ "", "", "" ], "description": "[Optional; Default is \\\"auto\\\"] How data is aggregated. If aggregated by property, all data for the same property is aggregated; if aggregated by page, all data is aggregated by canonical URI. If you filter or group by page, choose AUTO; otherwise you can aggregate either by property or by page, depending on how you want your data calculated; see the help documentation to learn how data is calculated differently by site versus by page. **Note:** If you group or filter by page, you cannot aggregate by property. If you specify any value other than AUTO, the aggregation type in the result will match the requested type, or if you request an invalid type, you will get an error. The API will never change your aggregation type if the requested type is invalid.", "type": "string", "enum": [ "AUTO", "BY_PROPERTY", "BY_PAGE" ] }, "dataState": { "description": "The data state to be fetched, can be full or all, the latter including full and partial data.", "enumDescriptions": [ "Default value, should not be used.", "Include full final data only, without partial.", "Include all data, full and partial." ], "enum": [ "DATA_STATE_UNSPECIFIED", "FINAL", "ALL" ], "type": "string" }, "type": { "enum": [ "WEB", "IMAGE", "VIDEO", "NEWS", "DISCOVER", "GOOGLE_NEWS" ], "description": "Optional. [Optional; Default is \\\"web\\\"] Type of report: search type, or either Discover or Gnews.", "type": "string", "enumDescriptions": [ "", "", "", "News tab in search.", "Discover.", "Google News (news.google.com or mobile app)." ] }, "startDate": { "type": "string", "description": " [Required] Start date of the requested date range, in YYYY-MM-DD format, in PST time (UTC - 8:00). Must be less than or equal to the end date. This value is included in the range." }, "searchType": { "enumDescriptions": [ "", "", "", "News tab in search.", "Discover.", "Google News (news.google.com or mobile app)." ], "description": "[Optional; Default is \\\"web\\\"] The search type to filter for.", "enum": [ "WEB", "IMAGE", "VIDEO", "NEWS", "DISCOVER", "GOOGLE_NEWS" ], "type": "string" }, "rowLimit": { "description": "[Optional; Default is 1000] The maximum number of rows to return. Must be a number from 1 to 25,000 (inclusive).", "format": "int32", "type": "integer" }, "startRow": { "type": "integer", "format": "int32", "description": "[Optional; Default is 0] Zero-based index of the first row in the response. Must be a non-negative number." }, "endDate": { "type": "string", "description": "[Required] End date of the requested date range, in YYYY-MM-DD format, in PST (UTC - 8:00). Must be greater than or equal to the start date. This value is included in the range." }, "dimensionFilterGroups": { "description": "[Optional] Zero or more filters to apply to the dimension grouping values; for example, 'query contains \\\"buy\\\"' to see only data where the query string contains the substring \\\"buy\\\" (not case-sensitive). You can filter by a dimension without grouping by it.", "type": "array", "items": { "$ref": "ApiDimensionFilterGroup" } }, "dimensions": { "description": "[Optional] Zero or more dimensions to group results by. Dimensions are the group-by values in the Search Analytics page. Dimensions are combined to create a unique row key for each row. Results are grouped in the order that you supply these dimensions.", "type": "array", "items": { "type": "string", "enum": [ "DATE", "QUERY", "PAGE", "COUNTRY", "DEVICE", "SEARCH_APPEARANCE" ], "enumDescriptions": [ "", "", "", "", "", "" ] } } }, "type": "object", "id": "SearchAnalyticsQueryRequest" }, "Item": { "properties": { "name": { "type": "string", "description": "The user-provided name of this item." }, "issues": { "type": "array", "items": { "$ref": "RichResultsIssue" }, "description": "A list of zero or more rich result issues found for this instance." } }, "description": "A specific rich result found on the page.", "id": "Item", "type": "object" }, "Image": { "type": "object", "id": "Image", "properties": { "mimeType": { "description": "The mime-type of the image data.", "type": "string" }, "data": { "description": "Image data in format determined by the mime type. Currently, the format will always be \"image/png\", but this might change in the future.", "type": "string", "format": "byte" } }, "description": "Describe image data." }, "ApiDataRow": { "id": "ApiDataRow", "properties": { "clicks": { "format": "double", "type": "number" }, "impressions": { "format": "double", "type": "number" }, "ctr": { "format": "double", "type": "number" }, "position": { "type": "number", "format": "double" }, "keys": { "items": { "type": "string" }, "type": "array" } }, "type": "object" }, "ResourceIssue": { "properties": { "blockedResource": { "description": "Describes a blocked resource issue.", "$ref": "BlockedResource" } }, "id": "ResourceIssue", "type": "object", "description": "Information about a resource with issue." }, "SearchAnalyticsQueryResponse": { "type": "object", "properties": { "rows": { "type": "array", "description": "A list of rows grouped by the key values in the order given in the query.", "items": { "$ref": "ApiDataRow" } }, "responseAggregationType": { "enumDescriptions": [ "", "", "" ], "type": "string", "enum": [ "AUTO", "BY_PROPERTY", "BY_PAGE" ], "description": "How the results were aggregated." } }, "description": "A list of rows, one per result, grouped by key. Metrics in each row are aggregated for all data grouped by that key either by page or property, as specified by the aggregation type parameter.", "id": "SearchAnalyticsQueryResponse" }, "TestStatus": { "properties": { "details": { "description": "Error details if applicable.", "type": "string" }, "status": { "enumDescriptions": [ "Internal error when running this test. Please try running the test again.", "Inspection has completed without errors.", "Inspection terminated in an error state. This indicates a problem in Google's infrastructure, not a user error. Please try again later.", "Google can not access the URL because of a user error such as a robots.txt blockage, a 403 or 500 code etc. Please make sure that the URL provided is accessible by Googlebot and is not password protected." ], "type": "string", "enum": [ "TEST_STATUS_UNSPECIFIED", "COMPLETE", "INTERNAL_ERROR", "PAGE_UNREACHABLE" ], "description": "Status of the test." } }, "type": "object", "id": "TestStatus", "description": "Final state of the test, including error details if necessary." }, "RichResultsIssue": { "type": "object", "id": "RichResultsIssue", "description": "Severity and status of a single issue affecting a single rich result instance on a page.", "properties": { "issueMessage": { "type": "string", "description": "Rich Results issue type." }, "severity": { "enum": [ "SEVERITY_UNSPECIFIED", "WARNING", "ERROR" ], "type": "string", "enumDescriptions": [ "Unknown severity.", "Warning.", "Error." ], "description": "Severity of this issue: WARNING, or ERROR. Items with an issue of status ERROR cannot appear with rich result features in Google Search results." } } }, "AmpIssue": { "type": "object", "id": "AmpIssue", "properties": { "severity": { "type": "string", "enum": [ "SEVERITY_UNSPECIFIED", "WARNING", "ERROR" ], "description": "Severity of this issue: WARNING or ERROR.", "enumDescriptions": [ "Unknown severity.", "Warning.", "Error." ] }, "issueMessage": { "type": "string", "description": "Brief description of this issue." } }, "description": "AMP issue." }, "WmxSite": { "properties": { "permissionLevel": { "enumDescriptions": [ "", "Owner has complete access to the site.", "Full users can access all data, and perform most of the operations.", "Restricted users can access most of the data, and perform some operations.", "Unverified user has no access to site's data." ], "description": "The user's permission level for the site.", "enum": [ "SITE_PERMISSION_LEVEL_UNSPECIFIED", "SITE_OWNER", "SITE_FULL_USER", "SITE_RESTRICTED_USER", "SITE_UNVERIFIED_USER" ], "type": "string" }, "siteUrl": { "description": "The URL of the site.", "type": "string" } }, "type": "object", "description": "Contains permission level information about a Search Console site. For more information, see [Permissions in Search Console](https://support.google.com/webmasters/answer/2451999).", "id": "WmxSite" }, "RichResultsInspectionResult": { "description": "Rich-Results inspection result, including any rich results found at this URL.", "properties": { "verdict": { "enum": [ "VERDICT_UNSPECIFIED", "PASS", "PARTIAL", "FAIL", "NEUTRAL" ], "description": "High-level rich results inspection result for this URL.", "enumDescriptions": [ "Unknown verdict.", "Equivalent to \"Valid\" for the page or item in Search Console.", "Equivalent to \"Valid with warnings\" for the page or item in Search Console.", "Equivalent to \"Error\" or \"Invalid\" for the page or item in Search Console.", "Equivalent to \"Excluded\" for the page or item in Search Console." ], "type": "string" }, "detectedItems": { "type": "array", "description": "A list of zero or more rich results detected on this page. Rich results that cannot even be parsed due to syntactic issues will not be listed here.", "items": { "$ref": "DetectedItems" } } }, "type": "object", "id": "RichResultsInspectionResult" }, "AmpInspectionResult": { "type": "object", "id": "AmpInspectionResult", "description": "AMP inspection result of the live page or the current information from Google's index, depending on whether you requested a live inspection or not.", "properties": { "ampUrl": { "type": "string", "description": "URL of the AMP that was inspected. If the submitted URL is a desktop page that refers to an AMP version, the AMP version will be inspected." }, "issues": { "type": "array", "description": "A list of zero or more AMP issues found for the inspected URL.", "items": { "$ref": "AmpIssue" } }, "verdict": { "enumDescriptions": [ "Unknown verdict.", "Equivalent to \"Valid\" for the page or item in Search Console.", "Equivalent to \"Valid with warnings\" for the page or item in Search Console.", "Equivalent to \"Error\" or \"Invalid\" for the page or item in Search Console.", "Equivalent to \"Excluded\" for the page or item in Search Console." ], "description": "The status of the most severe error on the page. If a page has both warnings and errors, the page status is error. Error status means the page cannot be shown in Search results.", "enum": [ "VERDICT_UNSPECIFIED", "PASS", "PARTIAL", "FAIL", "NEUTRAL" ], "type": "string" }, "lastCrawlTime": { "type": "string", "format": "google-datetime", "description": "Last time this AMP version was crawled by Google. Absent if the URL was never crawled successfully." }, "pageFetchState": { "type": "string", "description": "Whether or not Google could fetch the AMP.", "enumDescriptions": [ "Unknown fetch state.", "Successful fetch.", "Soft 404.", "Blocked by robots.txt.", "Not found (404).", "Blocked due to unauthorized request (401).", "Server error (5xx).", "Redirection error.", "Blocked due to access forbidden (403).", "Blocked due to other 4xx issue (not 403, 404).", "Internal error.", "Invalid URL." ], "enum": [ "PAGE_FETCH_STATE_UNSPECIFIED", "SUCCESSFUL", "SOFT_404", "BLOCKED_ROBOTS_TXT", "NOT_FOUND", "ACCESS_DENIED", "SERVER_ERROR", "REDIRECT_ERROR", "ACCESS_FORBIDDEN", "BLOCKED_4XX", "INTERNAL_CRAWL_ERROR", "INVALID_URL" ] }, "ampIndexStatusVerdict": { "enum": [ "VERDICT_UNSPECIFIED", "PASS", "PARTIAL", "FAIL", "NEUTRAL" ], "enumDescriptions": [ "Unknown verdict.", "Equivalent to \"Valid\" for the page or item in Search Console.", "Equivalent to \"Valid with warnings\" for the page or item in Search Console.", "Equivalent to \"Error\" or \"Invalid\" for the page or item in Search Console.", "Equivalent to \"Excluded\" for the page or item in Search Console." ], "description": "Index status of the AMP URL.", "type": "string" }, "indexingState": { "type": "string", "enumDescriptions": [ "Unknown indexing status.", "Indexing allowed.", "Indexing not allowed, 'noindex' detected.", "Indexing not allowed, 'unavailable_after' date expired." ], "description": "Whether or not the page blocks indexing through a noindex rule.", "enum": [ "AMP_INDEXING_STATE_UNSPECIFIED", "AMP_INDEXING_ALLOWED", "BLOCKED_DUE_TO_NOINDEX", "BLOCKED_DUE_TO_EXPIRED_UNAVAILABLE_AFTER" ] }, "robotsTxtState": { "enum": [ "ROBOTS_TXT_STATE_UNSPECIFIED", "ALLOWED", "DISALLOWED" ], "enumDescriptions": [ "Unknown robots.txt state, typically because the page wasn't fetched or found, or because robots.txt itself couldn't be reached.", "Crawl allowed by robots.txt.", "Crawl blocked by robots.txt." ], "description": "Whether or not the page is blocked to Google by a robots.txt rule.", "type": "string" } } }, "MobileUsabilityInspectionResult": { "id": "MobileUsabilityInspectionResult", "description": "Mobile-usability inspection results.", "type": "object", "properties": { "issues": { "items": { "$ref": "MobileUsabilityIssue" }, "description": "A list of zero or more mobile-usability issues detected for this URL.", "type": "array" }, "verdict": { "enum": [ "VERDICT_UNSPECIFIED", "PASS", "PARTIAL", "FAIL", "NEUTRAL" ], "description": "High-level mobile-usability inspection result for this URL.", "type": "string", "enumDescriptions": [ "Unknown verdict.", "Equivalent to \"Valid\" for the page or item in Search Console.", "Equivalent to \"Valid with warnings\" for the page or item in Search Console.", "Equivalent to \"Error\" or \"Invalid\" for the page or item in Search Console.", "Equivalent to \"Excluded\" for the page or item in Search Console." ] } } } }, "icons": { "x32": "http://www.google.com/images/icons/product/search-32.gif", "x16": "http://www.google.com/images/icons/product/search-16.gif" }, "version_module": true, "protocol": "rest", "baseUrl": "https://searchconsole.googleapis.com/", "kind": "discovery#restDescription", "parameters": { "uploadType": { "location": "query", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "type": "string" }, "key": { "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "type": "string", "location": "query" }, "upload_protocol": { "type": "string", "location": "query", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\")." }, "fields": { "type": "string", "location": "query", "description": "Selector specifying which fields to include in a partial response." }, "quotaUser": { "type": "string", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "location": "query" }, "prettyPrint": { "type": "boolean", "location": "query", "default": "true", "description": "Returns response with indentations and line breaks." }, "$.xgafv": { "enumDescriptions": [ "v1 error format", "v2 error format" ], "type": "string", "enum": [ "1", "2" ], "description": "V1 error format.", "location": "query" }, "alt": { "description": "Data format for response.", "location": "query", "enum": [ "json", "media", "proto" ], "default": "json", "type": "string", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ] }, "callback": { "description": "JSONP", "location": "query", "type": "string" }, "oauth_token": { "description": "OAuth 2.0 token for the current user.", "type": "string", "location": "query" }, "access_token": { "type": "string", "location": "query", "description": "OAuth access token." } } }
]===]))
