local decode = require("cjson").new().decode
return assert(decode([===[
{ "canonicalName": "Secret Manager", "parameters": { "access_token": { "type": "string", "location": "query", "description": "OAuth access token." }, "quotaUser": { "location": "query", "type": "string", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters." }, "oauth_token": { "type": "string", "description": "OAuth 2.0 token for the current user.", "location": "query" }, "upload_protocol": { "type": "string", "location": "query", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\")." }, "prettyPrint": { "location": "query", "type": "boolean", "description": "Returns response with indentations and line breaks.", "default": "true" }, "fields": { "location": "query", "type": "string", "description": "Selector specifying which fields to include in a partial response." }, "callback": { "description": "JSONP", "location": "query", "type": "string" }, "$.xgafv": { "enumDescriptions": [ "v1 error format", "v2 error format" ], "type": "string", "enum": [ "1", "2" ], "location": "query", "description": "V1 error format." }, "uploadType": { "location": "query", "type": "string", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\")." }, "alt": { "location": "query", "enum": [ "json", "media", "proto" ], "default": "json", "description": "Data format for response.", "type": "string", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ] }, "key": { "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "type": "string", "location": "query" } }, "name": "secretmanager", "description": "Stores sensitive data such as API keys, passwords, and certificates. Provides convenience while improving security. ", "servicePath": "", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." } } } }, "kind": "discovery#restDescription", "icons": { "x32": "http://www.google.com/images/icons/product/search-32.gif", "x16": "http://www.google.com/images/icons/product/search-16.gif" }, "title": "Secret Manager API", "revision": "20220701", "id": "secretmanager:v1", "baseUrl": "https://secretmanager.googleapis.com/", "basePath": "", "batchPath": "batch", "fullyEncodeReservedExpansion": true, "documentationLink": "https://cloud.google.com/secret-manager/", "version": "v1", "rootUrl": "https://secretmanager.googleapis.com/", "protocol": "rest", "discoveryVersion": "v1", "schemas": { "Empty": { "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }", "id": "Empty", "properties": {}, "type": "object" }, "AddSecretVersionRequest": { "properties": { "payload": { "description": "Required. The secret payload of the SecretVersion.", "$ref": "SecretPayload" } }, "description": "Request message for SecretManagerService.AddSecretVersion.", "id": "AddSecretVersionRequest", "type": "object" }, "Binding": { "properties": { "role": { "description": "Role that is assigned to the list of `members`, or principals. For example, `roles/viewer`, `roles/editor`, or `roles/owner`.", "type": "string" }, "condition": { "description": "The condition that is associated with this binding. If the condition evaluates to `true`, then this binding applies to the current request. If the condition evaluates to `false`, then this binding does not apply to the current request. However, a different role binding might grant the same role to one or more of the principals in this binding. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "$ref": "Expr" }, "members": { "description": "Specifies the principals requesting access for a Google Cloud resource. `members` can have the following values: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `allUsers`: A special identifier that represents anyone who is on the internet; with or without a Google account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `allAuthenticatedUsers`: A special identifier that represents anyone who is authenticated with a Google account or a service account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `user:{emailid}`: An email address that represents a specific Google account. For example, `alice@example.com` . LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `serviceAccount:{emailid}`: An email address that represents a service account. For example, `my-other-app@appspot.gserviceaccount.com`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `group:{emailid}`: An email address that represents a Google group. For example, `admins@example.com`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:user:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a user that has been recently deleted. For example, `alice@example.com?uid=123456789012345678901`. If the user is recovered, this value reverts to `user:{emailid}` and the recovered user retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:serviceAccount:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a service account that has been recently deleted. For example, `my-other-app@appspot.gserviceaccount.com?uid=123456789012345678901`. If the service account is undeleted, this value reverts to `serviceAccount:{emailid}` and the undeleted service account retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:group:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a Google group that has been recently deleted. For example, `admins@example.com?uid=123456789012345678901`. If the group is recovered, this value reverts to `group:{emailid}` and the recovered group retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `domain:{domain}`: The G Suite domain (primary) that represents all the users of that domain. For example, `google.com` or `example.com`. ", "type": "array", "items": { "type": "string" } } }, "description": "Associates `members`, or principals, with a `role`.", "id": "Binding", "type": "object" }, "ReplicationStatus": { "properties": { "automatic": { "$ref": "AutomaticStatus", "description": "Describes the replication status of a SecretVersion with automatic replication. Only populated if the parent Secret has an automatic replication policy." }, "userManaged": { "description": "Describes the replication status of a SecretVersion with user-managed replication. Only populated if the parent Secret has a user-managed replication policy.", "$ref": "UserManagedStatus" } }, "description": "The replication status of a SecretVersion.", "id": "ReplicationStatus", "type": "object" }, "AccessSecretVersionResponse": { "id": "AccessSecretVersionResponse", "description": "Response message for SecretManagerService.AccessSecretVersion.", "properties": { "payload": { "description": "Secret payload", "$ref": "SecretPayload" }, "name": { "type": "string", "description": "The resource name of the SecretVersion in the format `projects/*/secrets/*/versions/*`." } }, "type": "object" }, "Location": { "properties": { "labels": { "type": "object", "additionalProperties": { "type": "string" }, "description": "Cross-service attributes for the location. For example {\"cloud.googleapis.com/region\": \"us-east1\"}" }, "name": { "type": "string", "description": "Resource name for the location, which may vary between implementations. For example: `\"projects/example-project/locations/us-east1\"`" }, "metadata": { "type": "object", "description": "Service-specific metadata. For example the available capacity at the given location.", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." } }, "locationId": { "type": "string", "description": "The canonical id for this location. For example: `\"us-east1\"`." }, "displayName": { "description": "The friendly name for this location, typically a nearby city name. For example, \"Tokyo\".", "type": "string" } }, "type": "object", "description": "A resource that represents Google Cloud Platform location.", "id": "Location" }, "UserManagedStatus": { "description": "The replication status of a SecretVersion using user-managed replication. Only populated if the parent Secret has a user-managed replication policy.", "properties": { "replicas": { "items": { "$ref": "ReplicaStatus" }, "description": "Output only. The list of replica statuses for the SecretVersion.", "type": "array", "readOnly": true } }, "type": "object", "id": "UserManagedStatus" }, "ListLocationsResponse": { "description": "The response message for Locations.ListLocations.", "properties": { "locations": { "type": "array", "description": "A list of locations that matches the specified filter in the request.", "items": { "$ref": "Location" } }, "nextPageToken": { "description": "The standard List next-page token.", "type": "string" } }, "id": "ListLocationsResponse", "type": "object" }, "ListSecretVersionsResponse": { "description": "Response message for SecretManagerService.ListSecretVersions.", "properties": { "totalSize": { "format": "int32", "type": "integer", "description": "The total number of SecretVersions but 0 when the ListSecretsRequest.filter field is set." }, "nextPageToken": { "type": "string", "description": "A token to retrieve the next page of results. Pass this value in ListSecretVersionsRequest.page_token to retrieve the next page." }, "versions": { "description": "The list of SecretVersions sorted in reverse by create_time (newest first).", "type": "array", "items": { "$ref": "SecretVersion" } } }, "type": "object", "id": "ListSecretVersionsResponse" }, "SecretVersion": { "type": "object", "id": "SecretVersion", "description": "A secret version resource in the Secret Manager API.", "properties": { "state": { "type": "string", "enum": [ "STATE_UNSPECIFIED", "ENABLED", "DISABLED", "DESTROYED" ], "description": "Output only. The current state of the SecretVersion.", "enumDescriptions": [ "Not specified. This value is unused and invalid.", "The SecretVersion may be accessed.", "The SecretVersion may not be accessed, but the secret data is still available and can be placed back into the ENABLED state.", "The SecretVersion is destroyed and the secret data is no longer stored. A version may not leave this state once entered." ], "readOnly": true }, "createTime": { "format": "google-datetime", "description": "Output only. The time at which the SecretVersion was created.", "readOnly": true, "type": "string" }, "etag": { "readOnly": true, "type": "string", "description": "Output only. Etag of the currently stored SecretVersion." }, "replicationStatus": { "description": "The replication status of the SecretVersion.", "$ref": "ReplicationStatus" }, "clientSpecifiedPayloadChecksum": { "type": "boolean", "readOnly": true, "description": "Output only. True if payload checksum specified in SecretPayload object has been received by SecretManagerService on SecretManagerService.AddSecretVersion." }, "destroyTime": { "format": "google-datetime", "description": "Output only. The time this SecretVersion was destroyed. Only present if state is DESTROYED.", "readOnly": true, "type": "string" }, "name": { "description": "Output only. The resource name of the SecretVersion in the format `projects/*/secrets/*/versions/*`. SecretVersion IDs in a Secret start at 1 and are incremented for each subsequent version of the secret.", "type": "string", "readOnly": true } } }, "CustomerManagedEncryption": { "properties": { "kmsKeyName": { "type": "string", "description": "Required. The resource name of the Cloud KMS CryptoKey used to encrypt secret payloads. For secrets using the UserManaged replication policy type, Cloud KMS CryptoKeys must reside in the same location as the replica location. For secrets using the Automatic replication policy type, Cloud KMS CryptoKeys must reside in `global`. The expected format is `projects/*/locations/*/keyRings/*/cryptoKeys/*`." } }, "description": "Configuration for encrypting secret payloads using customer-managed encryption keys (CMEK).", "type": "object", "id": "CustomerManagedEncryption" }, "Rotation": { "properties": { "rotationPeriod": { "format": "google-duration", "type": "string", "description": "Input only. The Duration between rotation notifications. Must be in seconds and at least 3600s (1h) and at most 3153600000s (100 years). If rotation_period is set, next_rotation_time must be set. next_rotation_time will be advanced by this period when the service automatically sends rotation notifications." }, "nextRotationTime": { "type": "string", "format": "google-datetime", "description": "Optional. Timestamp in UTC at which the Secret is scheduled to rotate. Cannot be set to less than 300s (5 min) in the future and at most 3153600000s (100 years). next_rotation_time MUST be set if rotation_period is set." } }, "description": "The rotation time and period for a Secret. At next_rotation_time, Secret Manager will send a Pub/Sub notification to the topics configured on the Secret. Secret.topics must be set to configure rotation.", "id": "Rotation", "type": "object" }, "DisableSecretVersionRequest": { "description": "Request message for SecretManagerService.DisableSecretVersion.", "type": "object", "id": "DisableSecretVersionRequest", "properties": { "etag": { "type": "string", "description": "Optional. Etag of the SecretVersion. The request succeeds if it matches the etag of the currently stored secret version object. If the etag is omitted, the request succeeds." } } }, "UserManaged": { "description": "A replication policy that replicates the Secret payload into the locations specified in Secret.replication.user_managed.replicas", "properties": { "replicas": { "type": "array", "items": { "$ref": "Replica" }, "description": "Required. The list of Replicas for this Secret. Cannot be empty." } }, "id": "UserManaged", "type": "object" }, "AutomaticStatus": { "id": "AutomaticStatus", "properties": { "customerManagedEncryption": { "readOnly": true, "$ref": "CustomerManagedEncryptionStatus", "description": "Output only. The customer-managed encryption status of the SecretVersion. Only populated if customer-managed encryption is used." } }, "type": "object", "description": "The replication status of a SecretVersion using automatic replication. Only populated if the parent Secret has an automatic replication policy." }, "DestroySecretVersionRequest": { "properties": { "etag": { "description": "Optional. Etag of the SecretVersion. The request succeeds if it matches the etag of the currently stored secret version object. If the etag is omitted, the request succeeds.", "type": "string" } }, "description": "Request message for SecretManagerService.DestroySecretVersion.", "id": "DestroySecretVersionRequest", "type": "object" }, "SecretPayload": { "description": "A secret payload resource in the Secret Manager API. This contains the sensitive secret payload that is associated with a SecretVersion.", "id": "SecretPayload", "properties": { "data": { "format": "byte", "type": "string", "description": "The secret data. Must be no larger than 64KiB." }, "dataCrc32c": { "format": "int64", "type": "string", "description": "Optional. If specified, SecretManagerService will verify the integrity of the received data on SecretManagerService.AddSecretVersion calls using the crc32c checksum and store it to include in future SecretManagerService.AccessSecretVersion responses. If a checksum is not provided in the SecretManagerService.AddSecretVersion request, the SecretManagerService will generate and store one for you. The CRC32C value is encoded as a Int64 for compatibility, and can be safely downconverted to uint32 in languages that support this type. https://cloud.google.com/apis/design/design_patterns#integer_types" } }, "type": "object" }, "Replication": { "id": "Replication", "type": "object", "properties": { "userManaged": { "description": "The Secret will only be replicated into the locations specified.", "$ref": "UserManaged" }, "automatic": { "description": "The Secret will automatically be replicated without any restrictions.", "$ref": "Automatic" } }, "description": "A policy that defines the replication and encryption configuration of data." }, "Secret": { "description": "A Secret is a logical secret whose value and versions can be accessed. A Secret is made up of zero or more SecretVersions that represent the secret data.", "id": "Secret", "properties": { "name": { "type": "string", "readOnly": true, "description": "Output only. The resource name of the Secret in the format `projects/*/secrets/*`." }, "expireTime": { "description": "Optional. Timestamp in UTC when the Secret is scheduled to expire. This is always provided on output, regardless of what was sent on input.", "format": "google-datetime", "type": "string" }, "ttl": { "description": "Input only. The TTL for the Secret.", "type": "string", "format": "google-duration" }, "versionAliases": { "description": "Optional. Mapping from version alias to version name. A version alias is a string with a maximum length of 63 characters and can contain uppercase and lowercase letters, numerals, and the hyphen (`-`) and underscore ('_') characters. An alias string must start with a letter and cannot be the string 'latest' or 'NEW'. No more than 50 aliases can be assigned to a given secret. Version-Alias pairs will be viewable via GetSecret and modifiable via UpdateSecret. At launch Access by Allias will only be supported on GetSecretVersion and AccessSecretVersion.", "type": "object", "additionalProperties": { "format": "int64", "type": "string" } }, "rotation": { "$ref": "Rotation", "description": "Optional. Rotation policy attached to the Secret. May be excluded if there is no rotation policy." }, "replication": { "description": "Required. Immutable. The replication policy of the secret data attached to the Secret. The replication policy cannot be changed after the Secret has been created.", "$ref": "Replication" }, "labels": { "description": "The labels assigned to this Secret. Label keys must be between 1 and 63 characters long, have a UTF-8 encoding of maximum 128 bytes, and must conform to the following PCRE regular expression: `\\p{Ll}\\p{Lo}{0,62}` Label values must be between 0 and 63 characters long, have a UTF-8 encoding of maximum 128 bytes, and must conform to the following PCRE regular expression: `[\\p{Ll}\\p{Lo}\\p{N}_-]{0,63}` No more than 64 labels can be assigned to a given resource.", "additionalProperties": { "type": "string" }, "type": "object" }, "etag": { "description": "Optional. Etag of the currently stored Secret.", "type": "string" }, "createTime": { "format": "google-datetime", "readOnly": true, "description": "Output only. The time at which the Secret was created.", "type": "string" }, "topics": { "type": "array", "items": { "$ref": "Topic" }, "description": "Optional. A list of up to 10 Pub/Sub topics to which messages are published when control plane operations are called on the secret or its versions." } }, "type": "object" }, "TestIamPermissionsResponse": { "id": "TestIamPermissionsResponse", "properties": { "permissions": { "type": "array", "description": "A subset of `TestPermissionsRequest.permissions` that the caller is allowed.", "items": { "type": "string" } } }, "description": "Response message for `TestIamPermissions` method.", "type": "object" }, "Topic": { "description": "A Pub/Sub topic which Secret Manager will publish to when control plane events occur on this secret.", "properties": { "name": { "type": "string", "description": "Required. The resource name of the Pub/Sub topic that will be published to, in the following format: `projects/*/topics/*`. For publication to succeed, the Secret Manager P4SA must have `pubsub.publisher` permissions on the topic." } }, "id": "Topic", "type": "object" }, "Expr": { "id": "Expr", "description": "Represents a textual expression in the Common Expression Language (CEL) syntax. CEL is a C-like expression language. The syntax and semantics of CEL are documented at https://github.com/google/cel-spec. Example (Comparison): title: \"Summary size limit\" description: \"Determines if a summary is less than 100 chars\" expression: \"document.summary.size() \u003c 100\" Example (Equality): title: \"Requestor is owner\" description: \"Determines if requestor is the document owner\" expression: \"document.owner == request.auth.claims.email\" Example (Logic): title: \"Public documents\" description: \"Determine whether the document should be publicly visible\" expression: \"document.type != 'private' && document.type != 'internal'\" Example (Data Manipulation): title: \"Notification string\" description: \"Create a notification string with a timestamp.\" expression: \"'New message received at ' + string(document.create_time)\" The exact variables and functions that may be referenced within an expression are determined by the service that evaluates it. See the service documentation for additional information.", "properties": { "title": { "description": "Optional. Title for the expression, i.e. a short string describing its purpose. This can be used e.g. in UIs which allow to enter the expression.", "type": "string" }, "description": { "description": "Optional. Description of the expression. This is a longer text which describes the expression, e.g. when hovered over it in a UI.", "type": "string" }, "expression": { "type": "string", "description": "Textual representation of an expression in Common Expression Language syntax." }, "location": { "description": "Optional. String indicating the location of the expression for error reporting, e.g. a file name and a position in the file.", "type": "string" } }, "type": "object" }, "ReplicaStatus": { "description": "Describes the status of a user-managed replica for the SecretVersion.", "id": "ReplicaStatus", "type": "object", "properties": { "location": { "type": "string", "description": "Output only. The canonical ID of the replica location. For example: `\"us-east1\"`.", "readOnly": true }, "customerManagedEncryption": { "description": "Output only. The customer-managed encryption status of the SecretVersion. Only populated if customer-managed encryption is used.", "readOnly": true, "$ref": "CustomerManagedEncryptionStatus" } } }, "AuditLogConfig": { "description": "Provides the configuration for logging a type of permissions. Example: { \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\", \"exempted_members\": [ \"user:jose@example.com\" ] }, { \"log_type\": \"DATA_WRITE\" } ] } This enables 'DATA_READ' and 'DATA_WRITE' logging, while exempting jose@example.com from DATA_READ logging.", "id": "AuditLogConfig", "type": "object", "properties": { "exemptedMembers": { "items": { "type": "string" }, "type": "array", "description": "Specifies the identities that do not cause logging for this type of permission. Follows the same format of Binding.members." }, "logType": { "enum": [ "LOG_TYPE_UNSPECIFIED", "ADMIN_READ", "DATA_WRITE", "DATA_READ" ], "enumDescriptions": [ "Default case. Should never be this.", "Admin reads. Example: CloudIAM getIamPolicy", "Data writes. Example: CloudSQL Users create", "Data reads. Example: CloudSQL Users list" ], "description": "The log type that this config enables.", "type": "string" } } }, "ListSecretsResponse": { "description": "Response message for SecretManagerService.ListSecrets.", "properties": { "nextPageToken": { "type": "string", "description": "A token to retrieve the next page of results. Pass this value in ListSecretsRequest.page_token to retrieve the next page." }, "totalSize": { "format": "int32", "description": "The total number of Secrets but 0 when the ListSecretsRequest.filter field is set.", "type": "integer" }, "secrets": { "items": { "$ref": "Secret" }, "description": "The list of Secrets sorted in reverse by create_time (newest first).", "type": "array" } }, "type": "object", "id": "ListSecretsResponse" }, "EnableSecretVersionRequest": { "description": "Request message for SecretManagerService.EnableSecretVersion.", "type": "object", "id": "EnableSecretVersionRequest", "properties": { "etag": { "description": "Optional. Etag of the SecretVersion. The request succeeds if it matches the etag of the currently stored secret version object. If the etag is omitted, the request succeeds.", "type": "string" } } }, "AuditConfig": { "id": "AuditConfig", "description": "Specifies the audit configuration for a service. The configuration determines which permission types are logged, and what identities, if any, are exempted from logging. An AuditConfig must have one or more AuditLogConfigs. If there are AuditConfigs for both `allServices` and a specific service, the union of the two AuditConfigs is used for that service: the log_types specified in each AuditConfig are enabled, and the exempted_members in each AuditLogConfig are exempted. Example Policy with multiple AuditConfigs: { \"audit_configs\": [ { \"service\": \"allServices\", \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\", \"exempted_members\": [ \"user:jose@example.com\" ] }, { \"log_type\": \"DATA_WRITE\" }, { \"log_type\": \"ADMIN_READ\" } ] }, { \"service\": \"sampleservice.googleapis.com\", \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\" }, { \"log_type\": \"DATA_WRITE\", \"exempted_members\": [ \"user:aliya@example.com\" ] } ] } ] } For sampleservice, this policy enables DATA_READ, DATA_WRITE and ADMIN_READ logging. It also exempts `jose@example.com` from DATA_READ logging, and `aliya@example.com` from DATA_WRITE logging.", "type": "object", "properties": { "service": { "description": "Specifies a service that will be enabled for audit logging. For example, `storage.googleapis.com`, `cloudsql.googleapis.com`. `allServices` is a special value that covers all services.", "type": "string" }, "auditLogConfigs": { "description": "The configuration for logging of each type of permission.", "items": { "$ref": "AuditLogConfig" }, "type": "array" } } }, "Replica": { "id": "Replica", "type": "object", "properties": { "customerManagedEncryption": { "description": "Optional. The customer-managed encryption configuration of the User-Managed Replica. If no configuration is provided, Google-managed default encryption is used. Updates to the Secret encryption configuration only apply to SecretVersions added afterwards. They do not apply retroactively to existing SecretVersions.", "$ref": "CustomerManagedEncryption" }, "location": { "type": "string", "description": "The canonical IDs of the location to replicate data. For example: `\"us-east1\"`." } }, "description": "Represents a Replica for this Secret." }, "SetIamPolicyRequest": { "properties": { "policy": { "description": "REQUIRED: The complete policy to be applied to the `resource`. The size of the policy is limited to a few 10s of KB. An empty policy is a valid policy but certain Google Cloud services (such as Projects) might reject them.", "$ref": "Policy" }, "updateMask": { "description": "OPTIONAL: A FieldMask specifying which fields of the policy to modify. Only the fields in the mask will be modified. If no mask is provided, the following default mask is used: `paths: \"bindings, etag\"`", "type": "string", "format": "google-fieldmask" } }, "id": "SetIamPolicyRequest", "description": "Request message for `SetIamPolicy` method.", "type": "object" }, "CustomerManagedEncryptionStatus": { "description": "Describes the status of customer-managed encryption.", "id": "CustomerManagedEncryptionStatus", "properties": { "kmsKeyVersionName": { "type": "string", "description": "Required. The resource name of the Cloud KMS CryptoKeyVersion used to encrypt the secret payload, in the following format: `projects/*/locations/*/keyRings/*/cryptoKeys/*/versions/*`." } }, "type": "object" }, "Automatic": { "id": "Automatic", "description": "A replication policy that replicates the Secret payload without any restrictions.", "properties": { "customerManagedEncryption": { "description": "Optional. The customer-managed encryption configuration of the Secret. If no configuration is provided, Google-managed default encryption is used. Updates to the Secret encryption configuration only apply to SecretVersions added afterwards. They do not apply retroactively to existing SecretVersions.", "$ref": "CustomerManagedEncryption" } }, "type": "object" }, "Policy": { "description": "An Identity and Access Management (IAM) policy, which specifies access controls for Google Cloud resources. A `Policy` is a collection of `bindings`. A `binding` binds one or more `members`, or principals, to a single `role`. Principals can be user accounts, service accounts, Google groups, and domains (such as G Suite). A `role` is a named list of permissions; each `role` can be an IAM predefined role or a user-created custom role. For some types of Google Cloud resources, a `binding` can also specify a `condition`, which is a logical expression that allows access to a resource only if the expression evaluates to `true`. A condition can add constraints based on attributes of the request, the resource, or both. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies). **JSON example:** { \"bindings\": [ { \"role\": \"roles/resourcemanager.organizationAdmin\", \"members\": [ \"user:mike@example.com\", \"group:admins@example.com\", \"domain:google.com\", \"serviceAccount:my-project-id@appspot.gserviceaccount.com\" ] }, { \"role\": \"roles/resourcemanager.organizationViewer\", \"members\": [ \"user:eve@example.com\" ], \"condition\": { \"title\": \"expirable access\", \"description\": \"Does not grant access after Sep 2020\", \"expression\": \"request.time \u003c timestamp('2020-10-01T00:00:00.000Z')\", } } ], \"etag\": \"BwWWja0YfJA=\", \"version\": 3 } **YAML example:** bindings: - members: - user:mike@example.com - group:admins@example.com - domain:google.com - serviceAccount:my-project-id@appspot.gserviceaccount.com role: roles/resourcemanager.organizationAdmin - members: - user:eve@example.com role: roles/resourcemanager.organizationViewer condition: title: expirable access description: Does not grant access after Sep 2020 expression: request.time \u003c timestamp('2020-10-01T00:00:00.000Z') etag: BwWWja0YfJA= version: 3 For a description of IAM and its features, see the [IAM documentation](https://cloud.google.com/iam/docs/).", "type": "object", "id": "Policy", "properties": { "auditConfigs": { "description": "Specifies cloud audit logging configuration for this policy.", "type": "array", "items": { "$ref": "AuditConfig" } }, "bindings": { "description": "Associates a list of `members`, or principals, with a `role`. Optionally, may specify a `condition` that determines how and when the `bindings` are applied. Each of the `bindings` must contain at least one principal. The `bindings` in a `Policy` can refer to up to 1,500 principals; up to 250 of these principals can be Google groups. Each occurrence of a principal counts towards these limits. For example, if the `bindings` grant 50 different roles to `user:alice@example.com`, and not to any other principal, then you can add another 1,450 principals to the `bindings` in the `Policy`.", "items": { "$ref": "Binding" }, "type": "array" }, "etag": { "format": "byte", "description": "`etag` is used for optimistic concurrency control as a way to help prevent simultaneous updates of a policy from overwriting each other. It is strongly suggested that systems make use of the `etag` in the read-modify-write cycle to perform policy updates in order to avoid race conditions: An `etag` is returned in the response to `getIamPolicy`, and systems are expected to put that etag in the request to `setIamPolicy` to ensure that their change will be applied to the same version of the policy. **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost.", "type": "string" }, "version": { "format": "int32", "type": "integer", "description": "Specifies the format of the policy. Valid values are `0`, `1`, and `3`. Requests that specify an invalid value are rejected. Any operation that affects conditional role bindings must specify version `3`. This requirement applies to the following operations: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Getting a policy that includes a conditional role binding LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Adding a conditional role binding to a policy LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Changing a conditional role binding in a policy LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Removing any role binding, with or without a condition, from a policy that includes conditions **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost. If a policy does not include any conditions, operations on that policy may specify any valid version or leave the field unset. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies)." } } }, "TestIamPermissionsRequest": { "type": "object", "properties": { "permissions": { "items": { "type": "string" }, "description": "The set of permissions to check for the `resource`. Permissions with wildcards (such as `*` or `storage.*`) are not allowed. For more information see [IAM Overview](https://cloud.google.com/iam/docs/overview#permissions).", "type": "array" } }, "id": "TestIamPermissionsRequest", "description": "Request message for `TestIamPermissions` method." } }, "version_module": true, "ownerName": "Google", "resources": { "projects": { "resources": { "locations": { "methods": { "get": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Location" }, "id": "secretmanager.projects.locations.get", "httpMethod": "GET", "parameters": { "name": { "required": true, "pattern": "^projects/[^/]+/locations/[^/]+$", "location": "path", "description": "Resource name for the location.", "type": "string" } }, "parameterOrder": [ "name" ], "path": "v1/{+name}", "description": "Gets information about a location.", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}" }, "list": { "flatPath": "v1/projects/{projectsId}/locations", "id": "secretmanager.projects.locations.list", "parameters": { "name": { "location": "path", "pattern": "^projects/[^/]+$", "required": true, "type": "string", "description": "The resource that owns the locations collection, if applicable." }, "pageSize": { "type": "integer", "format": "int32", "description": "The maximum number of results to return. If not set, the service selects a default.", "location": "query" }, "filter": { "type": "string", "description": "A filter to narrow down results to a preferred subset. The filtering language accepts strings like `\"displayName=tokyo\"`, and is documented in more detail in [AIP-160](https://google.aip.dev/160).", "location": "query" }, "pageToken": { "type": "string", "description": "A page token received from the `next_page_token` field in the response. Send that page token to receive the subsequent page.", "location": "query" } }, "path": "v1/{+name}/locations", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "description": "Lists information about the supported locations for this service.", "response": { "$ref": "ListLocationsResponse" } } } }, "secrets": { "methods": { "list": { "id": "secretmanager.projects.secrets.list", "path": "v1/{+parent}/secrets", "parameterOrder": [ "parent" ], "description": "Lists Secrets.", "flatPath": "v1/projects/{projectsId}/secrets", "httpMethod": "GET", "parameters": { "filter": { "description": "Optional. Filter string, adhering to the rules in [List-operation filtering](https://cloud.google.com/secret-manager/docs/filtering). List only secrets matching the filter. If filter is empty, all secrets are listed.", "location": "query", "type": "string" }, "pageSize": { "location": "query", "description": "Optional. The maximum number of results to be returned in a single page. If set to 0, the server decides the number of results to return. If the number is greater than 25000, it is capped at 25000.", "type": "integer", "format": "int32" }, "pageToken": { "type": "string", "location": "query", "description": "Optional. Pagination token, returned earlier via ListSecretsResponse.next_page_token." }, "parent": { "description": "Required. The resource name of the project associated with the Secrets, in the format `projects/*`.", "type": "string", "required": true, "pattern": "^projects/[^/]+$", "location": "path" } }, "response": { "$ref": "ListSecretsResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "addVersion": { "parameters": { "parent": { "description": "Required. The resource name of the Secret to associate with the SecretVersion in the format `projects/*/secrets/*`.", "required": true, "type": "string", "pattern": "^projects/[^/]+/secrets/[^/]+$", "location": "path" } }, "httpMethod": "POST", "request": { "$ref": "AddSecretVersionRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/projects/{projectsId}/secrets/{secretsId}:addVersion", "path": "v1/{+parent}:addVersion", "parameterOrder": [ "parent" ], "response": { "$ref": "SecretVersion" }, "description": "Creates a new SecretVersion containing secret data and attaches it to an existing Secret.", "id": "secretmanager.projects.secrets.addVersion" }, "setIamPolicy": { "flatPath": "v1/projects/{projectsId}/secrets/{secretsId}:setIamPolicy", "request": { "$ref": "SetIamPolicyRequest" }, "path": "v1/{+resource}:setIamPolicy", "id": "secretmanager.projects.secrets.setIamPolicy", "parameterOrder": [ "resource" ], "response": { "$ref": "Policy" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Sets the access control policy on the specified secret. Replaces any existing policy. Permissions on SecretVersions are enforced according to the policy set on the associated Secret.", "parameters": { "resource": { "type": "string", "location": "path", "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "pattern": "^projects/[^/]+/secrets/[^/]+$", "required": true } }, "httpMethod": "POST" }, "testIamPermissions": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST", "flatPath": "v1/projects/{projectsId}/secrets/{secretsId}:testIamPermissions", "description": "Returns permissions that a caller has for the specified secret. If the secret does not exist, this call returns an empty set of permissions, not a NOT_FOUND error. Note: This operation is designed to be used for building permission-aware UIs and command-line tools, not for authorization checking. This operation may \"fail open\" without warning.", "id": "secretmanager.projects.secrets.testIamPermissions", "parameterOrder": [ "resource" ], "response": { "$ref": "TestIamPermissionsResponse" }, "request": { "$ref": "TestIamPermissionsRequest" }, "path": "v1/{+resource}:testIamPermissions", "parameters": { "resource": { "required": true, "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "type": "string", "pattern": "^projects/[^/]+/secrets/[^/]+$", "location": "path" } } }, "delete": { "path": "v1/{+name}", "httpMethod": "DELETE", "parameterOrder": [ "name" ], "flatPath": "v1/projects/{projectsId}/secrets/{secretsId}", "description": "Deletes a Secret.", "parameters": { "name": { "required": true, "location": "path", "type": "string", "description": "Required. The resource name of the Secret to delete in the format `projects/*/secrets/*`.", "pattern": "^projects/[^/]+/secrets/[^/]+$" }, "etag": { "type": "string", "description": "Optional. Etag of the Secret. The request succeeds if it matches the etag of the currently stored secret object. If the etag is omitted, the request succeeds.", "location": "query" } }, "id": "secretmanager.projects.secrets.delete", "response": { "$ref": "Empty" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "getIamPolicy": { "httpMethod": "GET", "id": "secretmanager.projects.secrets.getIamPolicy", "description": "Gets the access control policy for a secret. Returns empty policy if the secret exists and does not have a policy set.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/projects/{projectsId}/secrets/{secretsId}:getIamPolicy", "parameters": { "options.requestedPolicyVersion": { "description": "Optional. The maximum policy version that will be used to format the policy. Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset. The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "type": "integer", "location": "query", "format": "int32" }, "resource": { "type": "string", "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "location": "path", "pattern": "^projects/[^/]+/secrets/[^/]+$", "required": true } }, "response": { "$ref": "Policy" }, "path": "v1/{+resource}:getIamPolicy", "parameterOrder": [ "resource" ] }, "patch": { "parameterOrder": [ "name" ], "flatPath": "v1/projects/{projectsId}/secrets/{secretsId}", "httpMethod": "PATCH", "path": "v1/{+name}", "description": "Updates metadata of an existing Secret.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Secret" }, "id": "secretmanager.projects.secrets.patch", "request": { "$ref": "Secret" }, "parameters": { "name": { "type": "string", "description": "Output only. The resource name of the Secret in the format `projects/*/secrets/*`.", "pattern": "^projects/[^/]+/secrets/[^/]+$", "required": true, "location": "path" }, "updateMask": { "format": "google-fieldmask", "type": "string", "description": "Required. Specifies the fields to be updated.", "location": "query" } } }, "create": { "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Secret" }, "flatPath": "v1/projects/{projectsId}/secrets", "request": { "$ref": "Secret" }, "path": "v1/{+parent}/secrets", "parameters": { "secretId": { "location": "query", "type": "string", "description": "Required. This must be unique within the project. A secret ID is a string with a maximum length of 255 characters and can contain uppercase and lowercase letters, numerals, and the hyphen (`-`) and underscore (`_`) characters." }, "parent": { "required": true, "pattern": "^projects/[^/]+$", "description": "Required. The resource name of the project to associate with the Secret, in the format `projects/*`.", "location": "path", "type": "string" } }, "parameterOrder": [ "parent" ], "description": "Creates a new Secret containing no SecretVersions.", "id": "secretmanager.projects.secrets.create" }, "get": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+name}", "parameters": { "name": { "location": "path", "type": "string", "description": "Required. The resource name of the Secret, in the format `projects/*/secrets/*`.", "pattern": "^projects/[^/]+/secrets/[^/]+$", "required": true } }, "response": { "$ref": "Secret" }, "parameterOrder": [ "name" ], "flatPath": "v1/projects/{projectsId}/secrets/{secretsId}", "description": "Gets metadata for a given Secret.", "id": "secretmanager.projects.secrets.get", "httpMethod": "GET" } }, "resources": { "versions": { "methods": { "enable": { "parameterOrder": [ "name" ], "parameters": { "name": { "type": "string", "description": "Required. The resource name of the SecretVersion to enable in the format `projects/*/secrets/*/versions/*`.", "pattern": "^projects/[^/]+/secrets/[^/]+/versions/[^/]+$", "required": true, "location": "path" } }, "request": { "$ref": "EnableSecretVersionRequest" }, "response": { "$ref": "SecretVersion" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST", "id": "secretmanager.projects.secrets.versions.enable", "description": "Enables a SecretVersion. Sets the state of the SecretVersion to ENABLED.", "path": "v1/{+name}:enable", "flatPath": "v1/projects/{projectsId}/secrets/{secretsId}/versions/{versionsId}:enable" }, "get": { "description": "Gets metadata for a SecretVersion. `projects/*/secrets/*/versions/latest` is an alias to the most recently created SecretVersion.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "pattern": "^projects/[^/]+/secrets/[^/]+/versions/[^/]+$", "location": "path", "required": true, "description": "Required. The resource name of the SecretVersion in the format `projects/*/secrets/*/versions/*`. `projects/*/secrets/*/versions/latest` is an alias to the most recently created SecretVersion.", "type": "string" } }, "path": "v1/{+name}", "parameterOrder": [ "name" ], "httpMethod": "GET", "response": { "$ref": "SecretVersion" }, "id": "secretmanager.projects.secrets.versions.get", "flatPath": "v1/projects/{projectsId}/secrets/{secretsId}/versions/{versionsId}" }, "access": { "id": "secretmanager.projects.secrets.versions.access", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+name}:access", "httpMethod": "GET", "parameters": { "name": { "location": "path", "type": "string", "required": true, "pattern": "^projects/[^/]+/secrets/[^/]+/versions/[^/]+$", "description": "Required. The resource name of the SecretVersion in the format `projects/*/secrets/*/versions/*`. `projects/*/secrets/*/versions/latest` is an alias to the most recently created SecretVersion." } }, "parameterOrder": [ "name" ], "flatPath": "v1/projects/{projectsId}/secrets/{secretsId}/versions/{versionsId}:access", "description": "Accesses a SecretVersion. This call returns the secret data. `projects/*/secrets/*/versions/latest` is an alias to the most recently created SecretVersion.", "response": { "$ref": "AccessSecretVersionResponse" } }, "list": { "id": "secretmanager.projects.secrets.versions.list", "httpMethod": "GET", "response": { "$ref": "ListSecretVersionsResponse" }, "path": "v1/{+parent}/versions", "parameterOrder": [ "parent" ], "parameters": { "pageToken": { "type": "string", "location": "query", "description": "Optional. Pagination token, returned earlier via ListSecretVersionsResponse.next_page_token][]." }, "parent": { "type": "string", "location": "path", "description": "Required. The resource name of the Secret associated with the SecretVersions to list, in the format `projects/*/secrets/*`.", "pattern": "^projects/[^/]+/secrets/[^/]+$", "required": true }, "pageSize": { "format": "int32", "type": "integer", "location": "query", "description": "Optional. The maximum number of results to be returned in a single page. If set to 0, the server decides the number of results to return. If the number is greater than 25000, it is capped at 25000." }, "filter": { "location": "query", "type": "string", "description": "Optional. Filter string, adhering to the rules in [List-operation filtering](https://cloud.google.com/secret-manager/docs/filtering). List only secret versions matching the filter. If filter is empty, all secret versions are listed." } }, "description": "Lists SecretVersions. This call does not return secret data.", "flatPath": "v1/projects/{projectsId}/secrets/{secretsId}/versions", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "destroy": { "request": { "$ref": "DestroySecretVersionRequest" }, "path": "v1/{+name}:destroy", "flatPath": "v1/projects/{projectsId}/secrets/{secretsId}/versions/{versionsId}:destroy", "parameterOrder": [ "name" ], "description": "Destroys a SecretVersion. Sets the state of the SecretVersion to DESTROYED and irrevocably destroys the secret data.", "parameters": { "name": { "required": true, "type": "string", "description": "Required. The resource name of the SecretVersion to destroy in the format `projects/*/secrets/*/versions/*`.", "location": "path", "pattern": "^projects/[^/]+/secrets/[^/]+/versions/[^/]+$" } }, "id": "secretmanager.projects.secrets.versions.destroy", "httpMethod": "POST", "response": { "$ref": "SecretVersion" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "disable": { "response": { "$ref": "SecretVersion" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST", "request": { "$ref": "DisableSecretVersionRequest" }, "path": "v1/{+name}:disable", "parameters": { "name": { "description": "Required. The resource name of the SecretVersion to disable in the format `projects/*/secrets/*/versions/*`.", "pattern": "^projects/[^/]+/secrets/[^/]+/versions/[^/]+$", "type": "string", "location": "path", "required": true } }, "id": "secretmanager.projects.secrets.versions.disable", "flatPath": "v1/projects/{projectsId}/secrets/{secretsId}/versions/{versionsId}:disable", "description": "Disables a SecretVersion. Sets the state of the SecretVersion to DISABLED.", "parameterOrder": [ "name" ] } } } } } } } }, "ownerDomain": "google.com", "mtlsRootUrl": "https://secretmanager.mtls.googleapis.com/" }
]===]))
