local decode = require("cjson").new().decode
return assert(decode([===[
{ "schemas": { "Replication": { "type": "object", "id": "Replication", "description": "A policy that defines the replication configuration of data.", "properties": { "userManaged": { "$ref": "UserManaged", "description": "The Secret will only be replicated into the locations specified." }, "automatic": { "description": "The Secret will automatically be replicated without any restrictions.", "$ref": "Automatic" } } }, "Automatic": { "description": "A replication policy that replicates the Secret payload without any restrictions.", "properties": {}, "id": "Automatic", "type": "object" }, "Secret": { "description": "A Secret is a logical secret whose value and versions can be accessed. A Secret is made up of zero or more SecretVersions that represent the secret data.", "properties": { "name": { "description": "Output only. The resource name of the Secret in the format `projects/*/secrets/*`.", "readOnly": true, "type": "string" }, "labels": { "type": "object", "additionalProperties": { "type": "string" }, "description": "The labels assigned to this Secret. Label keys must be between 1 and 63 characters long, have a UTF-8 encoding of maximum 128 bytes, and must conform to the following PCRE regular expression: `\\p{Ll}\\p{Lo}{0,62}` Label values must be between 0 and 63 characters long, have a UTF-8 encoding of maximum 128 bytes, and must conform to the following PCRE regular expression: `[\\p{Ll}\\p{Lo}\\p{N}_-]{0,63}` No more than 64 labels can be assigned to a given resource." }, "replication": { "$ref": "Replication", "description": "Required. Immutable. The replication policy of the secret data attached to the Secret. The replication policy cannot be changed after the Secret has been created." }, "createTime": { "format": "google-datetime", "readOnly": true, "type": "string", "description": "Output only. The time at which the Secret was created." } }, "type": "object", "id": "Secret" }, "Expr": { "description": "Represents a textual expression in the Common Expression Language (CEL) syntax. CEL is a C-like expression language. The syntax and semantics of CEL are documented at https://github.com/google/cel-spec. Example (Comparison): title: \"Summary size limit\" description: \"Determines if a summary is less than 100 chars\" expression: \"document.summary.size() \u003c 100\" Example (Equality): title: \"Requestor is owner\" description: \"Determines if requestor is the document owner\" expression: \"document.owner == request.auth.claims.email\" Example (Logic): title: \"Public documents\" description: \"Determine whether the document should be publicly visible\" expression: \"document.type != 'private' && document.type != 'internal'\" Example (Data Manipulation): title: \"Notification string\" description: \"Create a notification string with a timestamp.\" expression: \"'New message received at ' + string(document.create_time)\" The exact variables and functions that may be referenced within an expression are determined by the service that evaluates it. See the service documentation for additional information.", "id": "Expr", "properties": { "expression": { "type": "string", "description": "Textual representation of an expression in Common Expression Language syntax." }, "description": { "description": "Optional. Description of the expression. This is a longer text which describes the expression, e.g. when hovered over it in a UI.", "type": "string" }, "title": { "description": "Optional. Title for the expression, i.e. a short string describing its purpose. This can be used e.g. in UIs which allow to enter the expression.", "type": "string" }, "location": { "type": "string", "description": "Optional. String indicating the location of the expression for error reporting, e.g. a file name and a position in the file." } }, "type": "object" }, "SecretVersion": { "description": "A secret version resource in the Secret Manager API.", "type": "object", "properties": { "destroyTime": { "description": "Output only. The time this SecretVersion was destroyed. Only present if state is DESTROYED.", "readOnly": true, "format": "google-datetime", "type": "string" }, "createTime": { "type": "string", "description": "Output only. The time at which the SecretVersion was created.", "format": "google-datetime", "readOnly": true }, "name": { "readOnly": true, "description": "Output only. The resource name of the SecretVersion in the format `projects/*/secrets/*/versions/*`. SecretVersion IDs in a Secret start at 1 and are incremented for each subsequent version of the secret.", "type": "string" }, "state": { "enumDescriptions": [ "Not specified. This value is unused and invalid.", "The SecretVersion may be accessed.", "The SecretVersion may not be accessed, but the secret data is still available and can be placed back into the ENABLED state.", "The SecretVersion is destroyed and the secret data is no longer stored. A version may not leave this state once entered." ], "description": "Output only. The current state of the SecretVersion.", "readOnly": true, "type": "string", "enum": [ "STATE_UNSPECIFIED", "ENABLED", "DISABLED", "DESTROYED" ] } }, "id": "SecretVersion" }, "DestroySecretVersionRequest": { "id": "DestroySecretVersionRequest", "type": "object", "description": "Request message for SecretManagerService.DestroySecretVersion.", "properties": {} }, "Replica": { "type": "object", "description": "Represents a Replica for this Secret.", "id": "Replica", "properties": { "location": { "type": "string", "description": "The canonical IDs of the location to replicate data. For example: `\"us-east1\"`." } } }, "Binding": { "properties": { "condition": { "$ref": "Expr", "description": "The condition that is associated with this binding. If the condition evaluates to `true`, then this binding applies to the current request. If the condition evaluates to `false`, then this binding does not apply to the current request. However, a different role binding might grant the same role to one or more of the principals in this binding. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies)." }, "role": { "description": "Role that is assigned to the list of `members`, or principals. For example, `roles/viewer`, `roles/editor`, or `roles/owner`.", "type": "string" }, "members": { "items": { "type": "string" }, "type": "array", "description": "Specifies the principals requesting access for a Google Cloud resource. `members` can have the following values: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `allUsers`: A special identifier that represents anyone who is on the internet; with or without a Google account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `allAuthenticatedUsers`: A special identifier that represents anyone who is authenticated with a Google account or a service account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `user:{emailid}`: An email address that represents a specific Google account. For example, `alice@example.com` . LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `serviceAccount:{emailid}`: An email address that represents a service account. For example, `my-other-app@appspot.gserviceaccount.com`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `group:{emailid}`: An email address that represents a Google group. For example, `admins@example.com`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:user:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a user that has been recently deleted. For example, `alice@example.com?uid=123456789012345678901`. If the user is recovered, this value reverts to `user:{emailid}` and the recovered user retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:serviceAccount:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a service account that has been recently deleted. For example, `my-other-app@appspot.gserviceaccount.com?uid=123456789012345678901`. If the service account is undeleted, this value reverts to `serviceAccount:{emailid}` and the undeleted service account retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:group:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a Google group that has been recently deleted. For example, `admins@example.com?uid=123456789012345678901`. If the group is recovered, this value reverts to `group:{emailid}` and the recovered group retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `domain:{domain}`: The G Suite domain (primary) that represents all the users of that domain. For example, `google.com` or `example.com`. " } }, "type": "object", "id": "Binding", "description": "Associates `members`, or principals, with a `role`." }, "AccessSecretVersionResponse": { "properties": { "name": { "description": "The resource name of the SecretVersion in the format `projects/*/secrets/*/versions/*`.", "type": "string" }, "payload": { "description": "Secret payload", "$ref": "SecretPayload" } }, "description": "Response message for SecretManagerService.AccessSecretVersion.", "id": "AccessSecretVersionResponse", "type": "object" }, "ListLocationsResponse": { "id": "ListLocationsResponse", "properties": { "locations": { "type": "array", "description": "A list of locations that matches the specified filter in the request.", "items": { "$ref": "Location" } }, "nextPageToken": { "description": "The standard List next-page token.", "type": "string" } }, "type": "object", "description": "The response message for Locations.ListLocations." }, "AuditConfig": { "type": "object", "properties": { "service": { "type": "string", "description": "Specifies a service that will be enabled for audit logging. For example, `storage.googleapis.com`, `cloudsql.googleapis.com`. `allServices` is a special value that covers all services." }, "auditLogConfigs": { "items": { "$ref": "AuditLogConfig" }, "type": "array", "description": "The configuration for logging of each type of permission." } }, "description": "Specifies the audit configuration for a service. The configuration determines which permission types are logged, and what identities, if any, are exempted from logging. An AuditConfig must have one or more AuditLogConfigs. If there are AuditConfigs for both `allServices` and a specific service, the union of the two AuditConfigs is used for that service: the log_types specified in each AuditConfig are enabled, and the exempted_members in each AuditLogConfig are exempted. Example Policy with multiple AuditConfigs: { \"audit_configs\": [ { \"service\": \"allServices\", \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\", \"exempted_members\": [ \"user:jose@example.com\" ] }, { \"log_type\": \"DATA_WRITE\" }, { \"log_type\": \"ADMIN_READ\" } ] }, { \"service\": \"sampleservice.googleapis.com\", \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\" }, { \"log_type\": \"DATA_WRITE\", \"exempted_members\": [ \"user:aliya@example.com\" ] } ] } ] } For sampleservice, this policy enables DATA_READ, DATA_WRITE and ADMIN_READ logging. It also exempts `jose@example.com` from DATA_READ logging, and `aliya@example.com` from DATA_WRITE logging.", "id": "AuditConfig" }, "EnableSecretVersionRequest": { "type": "object", "properties": {}, "id": "EnableSecretVersionRequest", "description": "Request message for SecretManagerService.EnableSecretVersion." }, "AuditLogConfig": { "id": "AuditLogConfig", "description": "Provides the configuration for logging a type of permissions. Example: { \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\", \"exempted_members\": [ \"user:jose@example.com\" ] }, { \"log_type\": \"DATA_WRITE\" } ] } This enables 'DATA_READ' and 'DATA_WRITE' logging, while exempting jose@example.com from DATA_READ logging.", "properties": { "exemptedMembers": { "description": "Specifies the identities that do not cause logging for this type of permission. Follows the same format of Binding.members.", "type": "array", "items": { "type": "string" } }, "logType": { "type": "string", "enumDescriptions": [ "Default case. Should never be this.", "Admin reads. Example: CloudIAM getIamPolicy", "Data writes. Example: CloudSQL Users create", "Data reads. Example: CloudSQL Users list" ], "enum": [ "LOG_TYPE_UNSPECIFIED", "ADMIN_READ", "DATA_WRITE", "DATA_READ" ], "description": "The log type that this config enables." } }, "type": "object" }, "ListSecretVersionsResponse": { "properties": { "nextPageToken": { "description": "A token to retrieve the next page of results. Pass this value in ListSecretVersionsRequest.page_token to retrieve the next page.", "type": "string" }, "totalSize": { "format": "int32", "type": "integer", "description": "The total number of SecretVersions." }, "versions": { "items": { "$ref": "SecretVersion" }, "type": "array", "description": "The list of SecretVersions sorted in reverse by create_time (newest first)." } }, "description": "Response message for SecretManagerService.ListSecretVersions.", "id": "ListSecretVersionsResponse", "type": "object" }, "AddSecretVersionRequest": { "description": "Request message for SecretManagerService.AddSecretVersion.", "properties": { "payload": { "description": "Required. The secret payload of the SecretVersion.", "$ref": "SecretPayload" } }, "id": "AddSecretVersionRequest", "type": "object" }, "DisableSecretVersionRequest": { "id": "DisableSecretVersionRequest", "description": "Request message for SecretManagerService.DisableSecretVersion.", "properties": {}, "type": "object" }, "TestIamPermissionsResponse": { "properties": { "permissions": { "description": "A subset of `TestPermissionsRequest.permissions` that the caller is allowed.", "type": "array", "items": { "type": "string" } } }, "id": "TestIamPermissionsResponse", "description": "Response message for `TestIamPermissions` method.", "type": "object" }, "Policy": { "type": "object", "properties": { "bindings": { "items": { "$ref": "Binding" }, "description": "Associates a list of `members`, or principals, with a `role`. Optionally, may specify a `condition` that determines how and when the `bindings` are applied. Each of the `bindings` must contain at least one principal. The `bindings` in a `Policy` can refer to up to 1,500 principals; up to 250 of these principals can be Google groups. Each occurrence of a principal counts towards these limits. For example, if the `bindings` grant 50 different roles to `user:alice@example.com`, and not to any other principal, then you can add another 1,450 principals to the `bindings` in the `Policy`.", "type": "array" }, "version": { "format": "int32", "description": "Specifies the format of the policy. Valid values are `0`, `1`, and `3`. Requests that specify an invalid value are rejected. Any operation that affects conditional role bindings must specify version `3`. This requirement applies to the following operations: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Getting a policy that includes a conditional role binding LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Adding a conditional role binding to a policy LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Changing a conditional role binding in a policy LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Removing any role binding, with or without a condition, from a policy that includes conditions **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost. If a policy does not include any conditions, operations on that policy may specify any valid version or leave the field unset. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "type": "integer" }, "etag": { "format": "byte", "description": "`etag` is used for optimistic concurrency control as a way to help prevent simultaneous updates of a policy from overwriting each other. It is strongly suggested that systems make use of the `etag` in the read-modify-write cycle to perform policy updates in order to avoid race conditions: An `etag` is returned in the response to `getIamPolicy`, and systems are expected to put that etag in the request to `setIamPolicy` to ensure that their change will be applied to the same version of the policy. **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost.", "type": "string" }, "auditConfigs": { "type": "array", "description": "Specifies cloud audit logging configuration for this policy.", "items": { "$ref": "AuditConfig" } } }, "id": "Policy", "description": "An Identity and Access Management (IAM) policy, which specifies access controls for Google Cloud resources. A `Policy` is a collection of `bindings`. A `binding` binds one or more `members`, or principals, to a single `role`. Principals can be user accounts, service accounts, Google groups, and domains (such as G Suite). A `role` is a named list of permissions; each `role` can be an IAM predefined role or a user-created custom role. For some types of Google Cloud resources, a `binding` can also specify a `condition`, which is a logical expression that allows access to a resource only if the expression evaluates to `true`. A condition can add constraints based on attributes of the request, the resource, or both. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies). **JSON example:** { \"bindings\": [ { \"role\": \"roles/resourcemanager.organizationAdmin\", \"members\": [ \"user:mike@example.com\", \"group:admins@example.com\", \"domain:google.com\", \"serviceAccount:my-project-id@appspot.gserviceaccount.com\" ] }, { \"role\": \"roles/resourcemanager.organizationViewer\", \"members\": [ \"user:eve@example.com\" ], \"condition\": { \"title\": \"expirable access\", \"description\": \"Does not grant access after Sep 2020\", \"expression\": \"request.time \u003c timestamp('2020-10-01T00:00:00.000Z')\", } } ], \"etag\": \"BwWWja0YfJA=\", \"version\": 3 } **YAML example:** bindings: - members: - user:mike@example.com - group:admins@example.com - domain:google.com - serviceAccount:my-project-id@appspot.gserviceaccount.com role: roles/resourcemanager.organizationAdmin - members: - user:eve@example.com role: roles/resourcemanager.organizationViewer condition: title: expirable access description: Does not grant access after Sep 2020 expression: request.time \u003c timestamp('2020-10-01T00:00:00.000Z') etag: BwWWja0YfJA= version: 3 For a description of IAM and its features, see the [IAM documentation](https://cloud.google.com/iam/docs/)." }, "TestIamPermissionsRequest": { "type": "object", "description": "Request message for `TestIamPermissions` method.", "id": "TestIamPermissionsRequest", "properties": { "permissions": { "description": "The set of permissions to check for the `resource`. Permissions with wildcards (such as `*` or `storage.*`) are not allowed. For more information see [IAM Overview](https://cloud.google.com/iam/docs/overview#permissions).", "items": { "type": "string" }, "type": "array" } } }, "SetIamPolicyRequest": { "description": "Request message for `SetIamPolicy` method.", "properties": { "policy": { "description": "REQUIRED: The complete policy to be applied to the `resource`. The size of the policy is limited to a few 10s of KB. An empty policy is a valid policy but certain Google Cloud services (such as Projects) might reject them.", "$ref": "Policy" }, "updateMask": { "type": "string", "format": "google-fieldmask", "description": "OPTIONAL: A FieldMask specifying which fields of the policy to modify. Only the fields in the mask will be modified. If no mask is provided, the following default mask is used: `paths: \"bindings, etag\"`" } }, "id": "SetIamPolicyRequest", "type": "object" }, "SecretPayload": { "description": "A secret payload resource in the Secret Manager API. This contains the sensitive secret data that is associated with a SecretVersion.", "type": "object", "properties": { "data": { "format": "byte", "description": "The secret data. Must be no larger than 64KiB.", "type": "string" } }, "id": "SecretPayload" }, "Empty": { "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }", "type": "object", "properties": {}, "id": "Empty" }, "ListSecretsResponse": { "description": "Response message for SecretManagerService.ListSecrets.", "properties": { "totalSize": { "type": "integer", "description": "The total number of Secrets.", "format": "int32" }, "secrets": { "description": "The list of Secrets sorted in reverse by create_time (newest first).", "items": { "$ref": "Secret" }, "type": "array" }, "nextPageToken": { "type": "string", "description": "A token to retrieve the next page of results. Pass this value in ListSecretsRequest.page_token to retrieve the next page." } }, "type": "object", "id": "ListSecretsResponse" }, "Location": { "type": "object", "properties": { "displayName": { "type": "string", "description": "The friendly name for this location, typically a nearby city name. For example, \"Tokyo\"." }, "name": { "type": "string", "description": "Resource name for the location, which may vary between implementations. For example: `\"projects/example-project/locations/us-east1\"`" }, "labels": { "description": "Cross-service attributes for the location. For example {\"cloud.googleapis.com/region\": \"us-east1\"}", "additionalProperties": { "type": "string" }, "type": "object" }, "metadata": { "description": "Service-specific metadata. For example the available capacity at the given location.", "type": "object", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." } }, "locationId": { "description": "The canonical id for this location. For example: `\"us-east1\"`.", "type": "string" } }, "description": "A resource that represents Google Cloud Platform location.", "id": "Location" }, "UserManaged": { "properties": { "replicas": { "type": "array", "items": { "$ref": "Replica" }, "description": "Required. The list of Replicas for this Secret. Cannot be empty." } }, "id": "UserManaged", "description": "A replication policy that replicates the Secret payload into the locations specified in Secret.replication.user_managed.replicas", "type": "object" } }, "version": "v1beta1", "batchPath": "batch", "rootUrl": "https://secretmanager.googleapis.com/", "resources": { "projects": { "resources": { "secrets": { "resources": { "versions": { "methods": { "enable": { "id": "secretmanager.projects.secrets.versions.enable", "flatPath": "v1beta1/projects/{projectsId}/secrets/{secretsId}/versions/{versionsId}:enable", "parameters": { "name": { "location": "path", "required": true, "pattern": "^projects/[^/]+/secrets/[^/]+/versions/[^/]+$", "description": "Required. The resource name of the SecretVersion to enable in the format `projects/*/secrets/*/versions/*`.", "type": "string" } }, "request": { "$ref": "EnableSecretVersionRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Enables a SecretVersion. Sets the state of the SecretVersion to ENABLED.", "response": { "$ref": "SecretVersion" }, "path": "v1beta1/{+name}:enable", "parameterOrder": [ "name" ], "httpMethod": "POST" }, "disable": { "description": "Disables a SecretVersion. Sets the state of the SecretVersion to DISABLED.", "response": { "$ref": "SecretVersion" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "location": "path", "type": "string", "required": true, "pattern": "^projects/[^/]+/secrets/[^/]+/versions/[^/]+$", "description": "Required. The resource name of the SecretVersion to disable in the format `projects/*/secrets/*/versions/*`." } }, "path": "v1beta1/{+name}:disable", "httpMethod": "POST", "request": { "$ref": "DisableSecretVersionRequest" }, "parameterOrder": [ "name" ], "id": "secretmanager.projects.secrets.versions.disable", "flatPath": "v1beta1/projects/{projectsId}/secrets/{secretsId}/versions/{versionsId}:disable" }, "get": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1beta1/projects/{projectsId}/secrets/{secretsId}/versions/{versionsId}", "path": "v1beta1/{+name}", "id": "secretmanager.projects.secrets.versions.get", "httpMethod": "GET", "parameters": { "name": { "required": true, "location": "path", "type": "string", "description": "Required. The resource name of the SecretVersion in the format `projects/*/secrets/*/versions/*`. `projects/*/secrets/*/versions/latest` is an alias to the `latest` SecretVersion.", "pattern": "^projects/[^/]+/secrets/[^/]+/versions/[^/]+$" } }, "response": { "$ref": "SecretVersion" }, "description": "Gets metadata for a SecretVersion. `projects/*/secrets/*/versions/latest` is an alias to the `latest` SecretVersion.", "parameterOrder": [ "name" ] }, "destroy": { "parameters": { "name": { "pattern": "^projects/[^/]+/secrets/[^/]+/versions/[^/]+$", "required": true, "location": "path", "description": "Required. The resource name of the SecretVersion to destroy in the format `projects/*/secrets/*/versions/*`.", "type": "string" } }, "httpMethod": "POST", "id": "secretmanager.projects.secrets.versions.destroy", "path": "v1beta1/{+name}:destroy", "description": "Destroys a SecretVersion. Sets the state of the SecretVersion to DESTROYED and irrevocably destroys the secret data.", "request": { "$ref": "DestroySecretVersionRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1beta1/projects/{projectsId}/secrets/{secretsId}/versions/{versionsId}:destroy", "response": { "$ref": "SecretVersion" }, "parameterOrder": [ "name" ] }, "access": { "response": { "$ref": "AccessSecretVersionResponse" }, "id": "secretmanager.projects.secrets.versions.access", "description": "Accesses a SecretVersion. This call returns the secret data. `projects/*/secrets/*/versions/latest` is an alias to the `latest` SecretVersion.", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "flatPath": "v1beta1/projects/{projectsId}/secrets/{secretsId}/versions/{versionsId}:access", "parameters": { "name": { "type": "string", "description": "Required. The resource name of the SecretVersion in the format `projects/*/secrets/*/versions/*`.", "required": true, "location": "path", "pattern": "^projects/[^/]+/secrets/[^/]+/versions/[^/]+$" } }, "path": "v1beta1/{+name}:access" }, "list": { "path": "v1beta1/{+parent}/versions", "flatPath": "v1beta1/projects/{projectsId}/secrets/{secretsId}/versions", "response": { "$ref": "ListSecretVersionsResponse" }, "parameters": { "pageToken": { "description": "Optional. Pagination token, returned earlier via ListSecretVersionsResponse.next_page_token][].", "type": "string", "location": "query" }, "pageSize": { "description": "Optional. The maximum number of results to be returned in a single page. If set to 0, the server decides the number of results to return. If the number is greater than 25000, it is capped at 25000.", "format": "int32", "location": "query", "type": "integer" }, "parent": { "description": "Required. The resource name of the Secret associated with the SecretVersions to list, in the format `projects/*/secrets/*`.", "required": true, "type": "string", "pattern": "^projects/[^/]+/secrets/[^/]+$", "location": "path" } }, "description": "Lists SecretVersions. This call does not return secret data.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "parameterOrder": [ "parent" ], "id": "secretmanager.projects.secrets.versions.list" } } } }, "methods": { "patch": { "flatPath": "v1beta1/projects/{projectsId}/secrets/{secretsId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1beta1/{+name}", "parameters": { "updateMask": { "location": "query", "type": "string", "format": "google-fieldmask", "description": "Required. Specifies the fields to be updated." }, "name": { "pattern": "^projects/[^/]+/secrets/[^/]+$", "description": "Output only. The resource name of the Secret in the format `projects/*/secrets/*`.", "location": "path", "type": "string", "required": true } }, "httpMethod": "PATCH", "id": "secretmanager.projects.secrets.patch", "request": { "$ref": "Secret" }, "response": { "$ref": "Secret" }, "description": "Updates metadata of an existing Secret.", "parameterOrder": [ "name" ] }, "addVersion": { "id": "secretmanager.projects.secrets.addVersion", "path": "v1beta1/{+parent}:addVersion", "request": { "$ref": "AddSecretVersionRequest" }, "description": "Creates a new SecretVersion containing secret data and attaches it to an existing Secret.", "parameters": { "parent": { "location": "path", "description": "Required. The resource name of the Secret to associate with the SecretVersion in the format `projects/*/secrets/*`.", "pattern": "^projects/[^/]+/secrets/[^/]+$", "required": true, "type": "string" } }, "response": { "$ref": "SecretVersion" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST", "flatPath": "v1beta1/projects/{projectsId}/secrets/{secretsId}:addVersion", "parameterOrder": [ "parent" ] }, "get": { "id": "secretmanager.projects.secrets.get", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1beta1/projects/{projectsId}/secrets/{secretsId}", "response": { "$ref": "Secret" }, "path": "v1beta1/{+name}", "description": "Gets metadata for a given Secret.", "parameterOrder": [ "name" ], "httpMethod": "GET", "parameters": { "name": { "type": "string", "description": "Required. The resource name of the Secret, in the format `projects/*/secrets/*`.", "location": "path", "required": true, "pattern": "^projects/[^/]+/secrets/[^/]+$" } } }, "setIamPolicy": { "description": "Sets the access control policy on the specified secret. Replaces any existing policy. Permissions on SecretVersions are enforced according to the policy set on the associated Secret.", "flatPath": "v1beta1/projects/{projectsId}/secrets/{secretsId}:setIamPolicy", "path": "v1beta1/{+resource}:setIamPolicy", "request": { "$ref": "SetIamPolicyRequest" }, "response": { "$ref": "Policy" }, "httpMethod": "POST", "parameterOrder": [ "resource" ], "id": "secretmanager.projects.secrets.setIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "resource": { "required": true, "location": "path", "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "type": "string", "pattern": "^projects/[^/]+/secrets/[^/]+$" } } }, "list": { "flatPath": "v1beta1/projects/{projectsId}/secrets", "id": "secretmanager.projects.secrets.list", "parameters": { "pageToken": { "location": "query", "type": "string", "description": "Optional. Pagination token, returned earlier via ListSecretsResponse.next_page_token." }, "pageSize": { "type": "integer", "description": "Optional. The maximum number of results to be returned in a single page. If set to 0, the server decides the number of results to return. If the number is greater than 25000, it is capped at 25000.", "format": "int32", "location": "query" }, "parent": { "location": "path", "type": "string", "pattern": "^projects/[^/]+$", "required": true, "description": "Required. The resource name of the project associated with the Secrets, in the format `projects/*`." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Lists Secrets.", "parameterOrder": [ "parent" ], "response": { "$ref": "ListSecretsResponse" }, "httpMethod": "GET", "path": "v1beta1/{+parent}/secrets" }, "create": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Secret" }, "request": { "$ref": "Secret" }, "httpMethod": "POST", "parameters": { "secretId": { "type": "string", "location": "query", "description": "Required. This must be unique within the project. A secret ID is a string with a maximum length of 255 characters and can contain uppercase and lowercase letters, numerals, and the hyphen (`-`) and underscore (`_`) characters." }, "parent": { "description": "Required. The resource name of the project to associate with the Secret, in the format `projects/*`.", "required": true, "pattern": "^projects/[^/]+$", "location": "path", "type": "string" } }, "description": "Creates a new Secret containing no SecretVersions.", "flatPath": "v1beta1/projects/{projectsId}/secrets", "id": "secretmanager.projects.secrets.create", "parameterOrder": [ "parent" ], "path": "v1beta1/{+parent}/secrets" }, "delete": { "id": "secretmanager.projects.secrets.delete", "description": "Deletes a Secret.", "parameterOrder": [ "name" ], "response": { "$ref": "Empty" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1beta1/{+name}", "httpMethod": "DELETE", "parameters": { "name": { "required": true, "description": "Required. The resource name of the Secret to delete in the format `projects/*/secrets/*`.", "type": "string", "pattern": "^projects/[^/]+/secrets/[^/]+$", "location": "path" } }, "flatPath": "v1beta1/projects/{projectsId}/secrets/{secretsId}" }, "getIamPolicy": { "path": "v1beta1/{+resource}:getIamPolicy", "parameters": { "options.requestedPolicyVersion": { "format": "int32", "type": "integer", "description": "Optional. The maximum policy version that will be used to format the policy. Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset. The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "location": "query" }, "resource": { "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "type": "string", "pattern": "^projects/[^/]+/secrets/[^/]+$", "location": "path", "required": true } }, "response": { "$ref": "Policy" }, "id": "secretmanager.projects.secrets.getIamPolicy", "description": "Gets the access control policy for a secret. Returns empty policy if the secret exists and does not have a policy set.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1beta1/projects/{projectsId}/secrets/{secretsId}:getIamPolicy", "httpMethod": "GET", "parameterOrder": [ "resource" ] }, "testIamPermissions": { "path": "v1beta1/{+resource}:testIamPermissions", "description": "Returns permissions that a caller has for the specified secret. If the secret does not exist, this call returns an empty set of permissions, not a NOT_FOUND error. Note: This operation is designed to be used for building permission-aware UIs and command-line tools, not for authorization checking. This operation may \"fail open\" without warning.", "response": { "$ref": "TestIamPermissionsResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1beta1/projects/{projectsId}/secrets/{secretsId}:testIamPermissions", "id": "secretmanager.projects.secrets.testIamPermissions", "parameterOrder": [ "resource" ], "httpMethod": "POST", "request": { "$ref": "TestIamPermissionsRequest" }, "parameters": { "resource": { "required": true, "type": "string", "pattern": "^projects/[^/]+/secrets/[^/]+$", "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "location": "path" } } } } }, "locations": { "methods": { "list": { "id": "secretmanager.projects.locations.list", "description": "Lists information about the supported locations for this service.", "parameters": { "pageToken": { "type": "string", "description": "A page token received from the `next_page_token` field in the response. Send that page token to receive the subsequent page.", "location": "query" }, "name": { "type": "string", "location": "path", "pattern": "^projects/[^/]+$", "required": true, "description": "The resource that owns the locations collection, if applicable." }, "pageSize": { "location": "query", "type": "integer", "format": "int32", "description": "The maximum number of results to return. If not set, the service selects a default." }, "filter": { "type": "string", "location": "query", "description": "A filter to narrow down results to a preferred subset. The filtering language accepts strings like `\"displayName=tokyo\"`, and is documented in more detail in [AIP-160](https://google.aip.dev/160)." } }, "httpMethod": "GET", "flatPath": "v1beta1/projects/{projectsId}/locations", "parameterOrder": [ "name" ], "response": { "$ref": "ListLocationsResponse" }, "path": "v1beta1/{+name}/locations", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "get": { "parameters": { "name": { "description": "Resource name for the location.", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+$", "type": "string", "required": true } }, "httpMethod": "GET", "id": "secretmanager.projects.locations.get", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}", "path": "v1beta1/{+name}", "description": "Gets information about a location.", "response": { "$ref": "Location" } } } } } } }, "version_module": true, "id": "secretmanager:v1beta1", "discoveryVersion": "v1", "name": "secretmanager", "canonicalName": "Secret Manager", "fullyEncodeReservedExpansion": true, "documentationLink": "https://cloud.google.com/secret-manager/", "kind": "discovery#restDescription", "baseUrl": "https://secretmanager.googleapis.com/", "protocol": "rest", "mtlsRootUrl": "https://secretmanager.mtls.googleapis.com/", "title": "Secret Manager API", "revision": "20220701", "ownerDomain": "google.com", "description": "Stores sensitive data such as API keys, passwords, and certificates. Provides convenience while improving security. ", "ownerName": "Google", "icons": { "x32": "http://www.google.com/images/icons/product/search-32.gif", "x16": "http://www.google.com/images/icons/product/search-16.gif" }, "parameters": { "alt": { "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "description": "Data format for response.", "type": "string", "location": "query", "enum": [ "json", "media", "proto" ], "default": "json" }, "quotaUser": { "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "location": "query", "type": "string" }, "prettyPrint": { "type": "boolean", "location": "query", "description": "Returns response with indentations and line breaks.", "default": "true" }, "access_token": { "location": "query", "type": "string", "description": "OAuth access token." }, "fields": { "type": "string", "location": "query", "description": "Selector specifying which fields to include in a partial response." }, "callback": { "type": "string", "location": "query", "description": "JSONP" }, "upload_protocol": { "type": "string", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "location": "query" }, "uploadType": { "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "location": "query", "type": "string" }, "oauth_token": { "type": "string", "description": "OAuth 2.0 token for the current user.", "location": "query" }, "$.xgafv": { "location": "query", "type": "string", "description": "V1 error format.", "enum": [ "1", "2" ], "enumDescriptions": [ "v1 error format", "v2 error format" ] }, "key": { "type": "string", "location": "query", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token." } }, "servicePath": "", "basePath": "", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." } } } } }
]===]))
