local decode = require("cjson").new().decode
return assert(decode([===[
{ "id": "securitycenter:v1", "resources": { "organizations": { "resources": { "assets": { "methods": { "list": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "readTime": { "format": "google-datetime", "location": "query", "description": "Time used as a reference point when filtering assets. The filter is limited to assets existing at the supplied time and their values are those at that specific time. Absence of this field will default to the API's version of NOW.", "type": "string" }, "parent": { "pattern": "^organizations/[^/]+$", "location": "path", "type": "string", "required": true, "description": "Required. Name of the organization assets should belong to. Its format is \"organizations/[organization_id], folders/[folder_id], or projects/[project_id]\"." }, "compareDuration": { "description": "When compare_duration is set, the ListAssetsResult's \"state_change\" attribute is updated to indicate whether the asset was added, removed, or remained present during the compare_duration period of time that precedes the read_time. This is the time between (read_time - compare_duration) and read_time. The state_change value is derived based on the presence of the asset at the two points in time. Intermediate state changes between the two times don't affect the result. For example, the results aren't affected if the asset is removed and re-created again. Possible \"state_change\" values when compare_duration is specified: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"ADDED\": indicates that the asset was not present at the start of compare_duration, but present at read_time. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"REMOVED\": indicates that the asset was present at the start of compare_duration, but not present at read_time. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"ACTIVE\": indicates that the asset was present at both the start and the end of the time period defined by compare_duration and read_time. If compare_duration is not specified, then the only possible state_change is \"UNUSED\", which will be the state_change set for all assets present at read_time.", "format": "google-duration", "location": "query", "type": "string" }, "pageToken": { "description": "The value returned by the last `ListAssetsResponse`; indicates that this is a continuation of a prior `ListAssets` call, and that the system should return the next page of data.", "location": "query", "type": "string" }, "pageSize": { "type": "integer", "description": "The maximum number of results to return in a single response. Default is 10, minimum is 1, maximum is 1000.", "location": "query", "format": "int32" }, "filter": { "location": "query", "type": "string", "description": "Expression that defines the filter to apply across assets. The expression is a list of zero or more restrictions combined via logical operators `AND` and `OR`. Parentheses are supported, and `OR` has higher precedence than `AND`. Restrictions have the form ` ` and may have a `-` character in front of them to indicate negation. The fields map to those defined in the Asset resource. Examples include: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh name LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh security_center_properties.resource_name LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh resource_properties.a_property LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh security_marks.marks.marka The supported operators are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `=` for all value types. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `\u003e`, `\u003c`, `\u003e=`, `\u003c=` for integer values. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `:`, meaning substring matching, for strings. The supported value types are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh string literals in quotes. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh integer literals without quotes. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh boolean literals `true` and `false` without quotes. The following are the allowed field and operator combinations: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh name: `=` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh update_time: `=`, `\u003e`, `\u003c`, `\u003e=`, `\u003c=` Usage: This should be milliseconds since epoch or an RFC3339 string. Examples: `update_time = \"2019-06-10T16:07:18-07:00\"` `update_time = 1560208038000` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh create_time: `=`, `\u003e`, `\u003c`, `\u003e=`, `\u003c=` Usage: This should be milliseconds since epoch or an RFC3339 string. Examples: `create_time = \"2019-06-10T16:07:18-07:00\"` `create_time = 1560208038000` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh iam_policy.policy_blob: `=`, `:` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh resource_properties: `=`, `:`, `\u003e`, `\u003c`, `\u003e=`, `\u003c=` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh security_marks.marks: `=`, `:` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh security_center_properties.resource_name: `=`, `:` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh security_center_properties.resource_display_name: `=`, `:` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh security_center_properties.resource_type: `=`, `:` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh security_center_properties.resource_parent: `=`, `:` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh security_center_properties.resource_parent_display_name: `=`, `:` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh security_center_properties.resource_project: `=`, `:` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh security_center_properties.resource_project_display_name: `=`, `:` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh security_center_properties.resource_owners: `=`, `:` For example, `resource_properties.size = 100` is a valid filter string. Use a partial match on the empty string to filter based on a property existing: `resource_properties.my_property : \"\"` Use a negated partial match on the empty string to filter based on a property not existing: `-resource_properties.my_property : \"\"`" }, "orderBy": { "type": "string", "description": "Expression that defines what fields and order to use for sorting. The string value should follow SQL syntax: comma separated list of fields. For example: \"name,resource_properties.a_property\". The default sorting order is ascending. To specify descending order for a field, a suffix \" desc\" should be appended to the field name. For example: \"name desc,resource_properties.a_property\". Redundant space characters in the syntax are insignificant. \"name desc,resource_properties.a_property\" and \" name desc , resource_properties.a_property \" are equivalent. The following fields are supported: name update_time resource_properties security_marks.marks security_center_properties.resource_name security_center_properties.resource_display_name security_center_properties.resource_parent security_center_properties.resource_parent_display_name security_center_properties.resource_project security_center_properties.resource_project_display_name security_center_properties.resource_type", "location": "query" }, "fieldMask": { "type": "string", "format": "google-fieldmask", "description": "A field mask to specify the ListAssetsResult fields to be listed in the response. An empty field mask will list all fields.", "location": "query" } }, "id": "securitycenter.organizations.assets.list", "parameterOrder": [ "parent" ], "description": "Lists an organization's assets.", "path": "v1/{+parent}/assets", "response": { "$ref": "ListAssetsResponse" }, "flatPath": "v1/organizations/{organizationsId}/assets", "httpMethod": "GET" }, "updateSecurityMarks": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "PATCH", "parameters": { "name": { "type": "string", "pattern": "^organizations/[^/]+/assets/[^/]+/securityMarks$", "location": "path", "description": "The relative resource name of the SecurityMarks. See: https://cloud.google.com/apis/design/resource_names#relative_resource_name Examples: \"organizations/{organization_id}/assets/{asset_id}/securityMarks\" \"organizations/{organization_id}/sources/{source_id}/findings/{finding_id}/securityMarks\".", "required": true }, "startTime": { "description": "The time at which the updated SecurityMarks take effect. If not set uses current server time. Updates will be applied to the SecurityMarks that are active immediately preceding this time. Must be earlier or equal to the server time.", "format": "google-datetime", "type": "string", "location": "query" }, "updateMask": { "location": "query", "type": "string", "description": "The FieldMask to use when updating the security marks resource. The field mask must not contain duplicate fields. If empty or set to \"marks\", all marks will be replaced. Individual marks can be updated using \"marks.\".", "format": "google-fieldmask" } }, "request": { "$ref": "SecurityMarks" }, "parameterOrder": [ "name" ], "path": "v1/{+name}", "description": "Updates security marks.", "response": { "$ref": "SecurityMarks" }, "id": "securitycenter.organizations.assets.updateSecurityMarks", "flatPath": "v1/organizations/{organizationsId}/assets/{assetsId}/securityMarks" }, "runDiscovery": { "id": "securitycenter.organizations.assets.runDiscovery", "parameters": { "parent": { "required": true, "description": "Required. Name of the organization to run asset discovery for. Its format is \"organizations/[organization_id]\".", "pattern": "^organizations/[^/]+$", "location": "path", "type": "string" } }, "path": "v1/{+parent}/assets:runDiscovery", "response": { "$ref": "Operation" }, "request": { "$ref": "RunAssetDiscoveryRequest" }, "httpMethod": "POST", "parameterOrder": [ "parent" ], "description": "Runs asset discovery. The discovery is tracked with a long-running operation. This API can only be called with limited frequency for an organization. If it is called too frequently the caller will receive a TOO_MANY_REQUESTS error.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/organizations/{organizationsId}/assets:runDiscovery" }, "group": { "description": "Filters an organization's assets and groups them by their specified properties.", "id": "securitycenter.organizations.assets.group", "response": { "$ref": "GroupAssetsResponse" }, "parameterOrder": [ "parent" ], "path": "v1/{+parent}/assets:group", "request": { "$ref": "GroupAssetsRequest" }, "flatPath": "v1/organizations/{organizationsId}/assets:group", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "parent": { "description": "Required. Name of the organization to groupBy. Its format is \"organizations/[organization_id], folders/[folder_id], or projects/[project_id]\".", "location": "path", "required": true, "pattern": "^organizations/[^/]+$", "type": "string" } }, "httpMethod": "POST" } } }, "sources": { "resources": { "findings": { "resources": { "externalSystems": { "methods": { "patch": { "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "GoogleCloudSecuritycenterV1ExternalSystem" }, "response": { "$ref": "GoogleCloudSecuritycenterV1ExternalSystem" }, "description": "Updates external system. This is for a given finding.", "id": "securitycenter.organizations.sources.findings.externalSystems.patch", "parameters": { "updateMask": { "type": "string", "location": "query", "format": "google-fieldmask", "description": "The FieldMask to use when updating the external system resource. If empty all mutable fields will be updated." }, "name": { "type": "string", "description": "External System Name e.g. jira, demisto, etc. e.g.: `organizations/1234/sources/5678/findings/123456/externalSystems/jira` `folders/1234/sources/5678/findings/123456/externalSystems/jira` `projects/1234/sources/5678/findings/123456/externalSystems/jira`", "required": true, "location": "path", "pattern": "^organizations/[^/]+/sources/[^/]+/findings/[^/]+/externalSystems/[^/]+$" } }, "httpMethod": "PATCH", "path": "v1/{+name}", "flatPath": "v1/organizations/{organizationsId}/sources/{sourcesId}/findings/{findingsId}/externalSystems/{externalSystemsId}" } } } }, "methods": { "setMute": { "parameters": { "name": { "description": "Required. The relative resource name of the finding. See: https://cloud.google.com/apis/design/resource_names#relative_resource_name Example: \"organizations/{organization_id}/sources/{source_id}/finding/{finding_id}\", \"folders/{folder_id}/sources/{source_id}/finding/{finding_id}\", \"projects/{project_id}/sources/{source_id}/finding/{finding_id}\".", "type": "string", "required": true, "location": "path", "pattern": "^organizations/[^/]+/sources/[^/]+/findings/[^/]+$" } }, "request": { "$ref": "SetMuteRequest" }, "httpMethod": "POST", "response": { "$ref": "Finding" }, "path": "v1/{+name}:setMute", "id": "securitycenter.organizations.sources.findings.setMute", "description": "Updates the mute state of a finding.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/organizations/{organizationsId}/sources/{sourcesId}/findings/{findingsId}:setMute", "parameterOrder": [ "name" ] }, "setState": { "parameters": { "name": { "required": true, "pattern": "^organizations/[^/]+/sources/[^/]+/findings/[^/]+$", "type": "string", "location": "path", "description": "Required. The relative resource name of the finding. See: https://cloud.google.com/apis/design/resource_names#relative_resource_name Example: \"organizations/{organization_id}/sources/{source_id}/finding/{finding_id}\"." } }, "parameterOrder": [ "name" ], "flatPath": "v1/organizations/{organizationsId}/sources/{sourcesId}/findings/{findingsId}:setState", "description": "Updates the state of a finding.", "response": { "$ref": "Finding" }, "path": "v1/{+name}:setState", "id": "securitycenter.organizations.sources.findings.setState", "httpMethod": "POST", "request": { "$ref": "SetFindingStateRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "updateSecurityMarks": { "response": { "$ref": "SecurityMarks" }, "id": "securitycenter.organizations.sources.findings.updateSecurityMarks", "path": "v1/{+name}", "parameterOrder": [ "name" ], "httpMethod": "PATCH", "parameters": { "startTime": { "format": "google-datetime", "type": "string", "description": "The time at which the updated SecurityMarks take effect. If not set uses current server time. Updates will be applied to the SecurityMarks that are active immediately preceding this time. Must be earlier or equal to the server time.", "location": "query" }, "name": { "type": "string", "location": "path", "required": true, "pattern": "^organizations/[^/]+/sources/[^/]+/findings/[^/]+/securityMarks$", "description": "The relative resource name of the SecurityMarks. See: https://cloud.google.com/apis/design/resource_names#relative_resource_name Examples: \"organizations/{organization_id}/assets/{asset_id}/securityMarks\" \"organizations/{organization_id}/sources/{source_id}/findings/{finding_id}/securityMarks\"." }, "updateMask": { "location": "query", "format": "google-fieldmask", "description": "The FieldMask to use when updating the security marks resource. The field mask must not contain duplicate fields. If empty or set to \"marks\", all marks will be replaced. Individual marks can be updated using \"marks.\".", "type": "string" } }, "request": { "$ref": "SecurityMarks" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/organizations/{organizationsId}/sources/{sourcesId}/findings/{findingsId}/securityMarks", "description": "Updates security marks." }, "group": { "response": { "$ref": "GroupFindingsResponse" }, "parameters": { "parent": { "location": "path", "type": "string", "description": "Required. Name of the source to groupBy. Its format is \"organizations/[organization_id]/sources/[source_id]\", folders/[folder_id]/sources/[source_id], or projects/[project_id]/sources/[source_id]. To groupBy across all sources provide a source_id of `-`. For example: organizations/{organization_id}/sources/-, folders/{folder_id}/sources/-, or projects/{project_id}/sources/-", "required": true, "pattern": "^organizations/[^/]+/sources/[^/]+$" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "securitycenter.organizations.sources.findings.group", "path": "v1/{+parent}/findings:group", "request": { "$ref": "GroupFindingsRequest" }, "description": "Filters an organization or source's findings and groups them by their specified properties. To group across all sources provide a `-` as the source id. Example: /v1/organizations/{organization_id}/sources/-/findings, /v1/folders/{folder_id}/sources/-/findings, /v1/projects/{project_id}/sources/-/findings", "httpMethod": "POST", "parameterOrder": [ "parent" ], "flatPath": "v1/organizations/{organizationsId}/sources/{sourcesId}/findings:group" }, "patch": { "parameterOrder": [ "name" ], "parameters": { "name": { "description": "The relative resource name of this finding. See: https://cloud.google.com/apis/design/resource_names#relative_resource_name Example: \"organizations/{organization_id}/sources/{source_id}/findings/{finding_id}\"", "pattern": "^organizations/[^/]+/sources/[^/]+/findings/[^/]+$", "type": "string", "required": true, "location": "path" }, "updateMask": { "location": "query", "type": "string", "format": "google-fieldmask", "description": "The FieldMask to use when updating the finding resource. This field should not be specified when creating a finding. When updating a finding, an empty mask is treated as updating all mutable fields and replacing source_properties. Individual source_properties can be added/updated by using \"source_properties.\" in the field mask." } }, "response": { "$ref": "Finding" }, "description": "Creates or updates a finding. The corresponding source must exist for a finding creation to succeed.", "id": "securitycenter.organizations.sources.findings.patch", "request": { "$ref": "Finding" }, "flatPath": "v1/organizations/{organizationsId}/sources/{sourcesId}/findings/{findingsId}", "httpMethod": "PATCH", "path": "v1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "create": { "flatPath": "v1/organizations/{organizationsId}/sources/{sourcesId}/findings", "path": "v1/{+parent}/findings", "request": { "$ref": "Finding" }, "response": { "$ref": "Finding" }, "id": "securitycenter.organizations.sources.findings.create", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "parent": { "description": "Required. Resource name of the new finding's parent. Its format should be \"organizations/[organization_id]/sources/[source_id]\".", "required": true, "location": "path", "pattern": "^organizations/[^/]+/sources/[^/]+$", "type": "string" }, "findingId": { "description": "Required. Unique identifier provided by the client within the parent scope. It must be alphanumeric and less than or equal to 32 characters and greater than 0 characters in length.", "location": "query", "type": "string" } }, "parameterOrder": [ "parent" ], "description": "Creates a finding. The corresponding source must exist for finding creation to succeed.", "httpMethod": "POST" }, "list": { "flatPath": "v1/organizations/{organizationsId}/sources/{sourcesId}/findings", "httpMethod": "GET", "response": { "$ref": "ListFindingsResponse" }, "path": "v1/{+parent}/findings", "description": "Lists an organization or source's findings. To list across all sources provide a `-` as the source id. Example: /v1/organizations/{organization_id}/sources/-/findings", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "securitycenter.organizations.sources.findings.list", "parameters": { "compareDuration": { "type": "string", "description": "When compare_duration is set, the ListFindingsResult's \"state_change\" attribute is updated to indicate whether the finding had its state changed, the finding's state remained unchanged, or if the finding was added in any state during the compare_duration period of time that precedes the read_time. This is the time between (read_time - compare_duration) and read_time. The state_change value is derived based on the presence and state of the finding at the two points in time. Intermediate state changes between the two times don't affect the result. For example, the results aren't affected if the finding is made inactive and then active again. Possible \"state_change\" values when compare_duration is specified: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"CHANGED\": indicates that the finding was present and matched the given filter at the start of compare_duration, but changed its state at read_time. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"UNCHANGED\": indicates that the finding was present and matched the given filter at the start of compare_duration and did not change state at read_time. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"ADDED\": indicates that the finding did not match the given filter or was not present at the start of compare_duration, but was present at read_time. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"REMOVED\": indicates that the finding was present and matched the filter at the start of compare_duration, but did not match the filter at read_time. If compare_duration is not specified, then the only possible state_change is \"UNUSED\", which will be the state_change set for all findings present at read_time.", "format": "google-duration", "location": "query" }, "readTime": { "type": "string", "description": "Time used as a reference point when filtering findings. The filter is limited to findings existing at the supplied time and their values are those at that specific time. Absence of this field will default to the API's version of NOW.", "location": "query", "format": "google-datetime" }, "fieldMask": { "location": "query", "format": "google-fieldmask", "description": "A field mask to specify the Finding fields to be listed in the response. An empty field mask will list all fields.", "type": "string" }, "pageToken": { "description": "The value returned by the last `ListFindingsResponse`; indicates that this is a continuation of a prior `ListFindings` call, and that the system should return the next page of data.", "type": "string", "location": "query" }, "filter": { "description": "Expression that defines the filter to apply across findings. The expression is a list of one or more restrictions combined via logical operators `AND` and `OR`. Parentheses are supported, and `OR` has higher precedence than `AND`. Restrictions have the form ` ` and may have a `-` character in front of them to indicate negation. Examples include: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh name LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh source_properties.a_property LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh security_marks.marks.marka The supported operators are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `=` for all value types. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `\u003e`, `\u003c`, `\u003e=`, `\u003c=` for integer values. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `:`, meaning substring matching, for strings. The supported value types are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh string literals in quotes. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh integer literals without quotes. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh boolean literals `true` and `false` without quotes. The following field and operator combinations are supported: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh name: `=` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh parent: `=`, `:` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh resource_name: `=`, `:` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh state: `=`, `:` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh category: `=`, `:` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh external_uri: `=`, `:` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh event_time: `=`, `\u003e`, `\u003c`, `\u003e=`, `\u003c=` Usage: This should be milliseconds since epoch or an RFC3339 string. Examples: `event_time = \"2019-06-10T16:07:18-07:00\"` `event_time = 1560208038000` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh severity: `=`, `:` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh workflow_state: `=`, `:` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh security_marks.marks: `=`, `:` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh source_properties: `=`, `:`, `\u003e`, `\u003c`, `\u003e=`, `\u003c=` For example, `source_properties.size = 100` is a valid filter string. Use a partial match on the empty string to filter based on a property existing: `source_properties.my_property : \"\"` Use a negated partial match on the empty string to filter based on a property not existing: `-source_properties.my_property : \"\"` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh resource: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh resource.name: `=`, `:` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh resource.parent_name: `=`, `:` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh resource.parent_display_name: `=`, `:` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh resource.project_name: `=`, `:` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh resource.project_display_name: `=`, `:` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh resource.type: `=`, `:` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh resource.folders.resource_folder: `=`, `:` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh resource.display_name: `=`, `:`", "type": "string", "location": "query" }, "parent": { "required": true, "type": "string", "location": "path", "description": "Required. Name of the source the findings belong to. Its format is \"organizations/[organization_id]/sources/[source_id], folders/[folder_id]/sources/[source_id], or projects/[project_id]/sources/[source_id]\". To list across all sources provide a source_id of `-`. For example: organizations/{organization_id}/sources/-, folders/{folder_id}/sources/- or projects/{projects_id}/sources/-", "pattern": "^organizations/[^/]+/sources/[^/]+$" }, "orderBy": { "description": "Expression that defines what fields and order to use for sorting. The string value should follow SQL syntax: comma separated list of fields. For example: \"name,resource_properties.a_property\". The default sorting order is ascending. To specify descending order for a field, a suffix \" desc\" should be appended to the field name. For example: \"name desc,source_properties.a_property\". Redundant space characters in the syntax are insignificant. \"name desc,source_properties.a_property\" and \" name desc , source_properties.a_property \" are equivalent. The following fields are supported: name parent state category resource_name event_time source_properties security_marks.marks", "type": "string", "location": "query" }, "pageSize": { "format": "int32", "description": "The maximum number of results to return in a single response. Default is 10, minimum is 1, maximum is 1000.", "location": "query", "type": "integer" } }, "parameterOrder": [ "parent" ] } } } }, "methods": { "create": { "response": { "$ref": "Source" }, "description": "Creates a source.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST", "flatPath": "v1/organizations/{organizationsId}/sources", "parameterOrder": [ "parent" ], "parameters": { "parent": { "description": "Required. Resource name of the new source's parent. Its format should be \"organizations/[organization_id]\".", "required": true, "type": "string", "pattern": "^organizations/[^/]+$", "location": "path" } }, "request": { "$ref": "Source" }, "id": "securitycenter.organizations.sources.create", "path": "v1/{+parent}/sources" }, "testIamPermissions": { "request": { "$ref": "TestIamPermissionsRequest" }, "httpMethod": "POST", "response": { "$ref": "TestIamPermissionsResponse" }, "parameterOrder": [ "resource" ], "flatPath": "v1/organizations/{organizationsId}/sources/{sourcesId}:testIamPermissions", "id": "securitycenter.organizations.sources.testIamPermissions", "parameters": { "resource": { "location": "path", "type": "string", "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "pattern": "^organizations/[^/]+/sources/[^/]+$", "required": true } }, "description": "Returns the permissions that a caller has on the specified source.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+resource}:testIamPermissions" }, "patch": { "id": "securitycenter.organizations.sources.patch", "path": "v1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "PATCH", "description": "Updates a source.", "request": { "$ref": "Source" }, "response": { "$ref": "Source" }, "parameters": { "updateMask": { "description": "The FieldMask to use when updating the source resource. If empty all mutable fields will be updated.", "type": "string", "location": "query", "format": "google-fieldmask" }, "name": { "type": "string", "required": true, "pattern": "^organizations/[^/]+/sources/[^/]+$", "location": "path", "description": "The relative resource name of this source. See: https://cloud.google.com/apis/design/resource_names#relative_resource_name Example: \"organizations/{organization_id}/sources/{source_id}\"" } }, "flatPath": "v1/organizations/{organizationsId}/sources/{sourcesId}", "parameterOrder": [ "name" ] }, "get": { "response": { "$ref": "Source" }, "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Gets a source.", "path": "v1/{+name}", "parameterOrder": [ "name" ], "flatPath": "v1/organizations/{organizationsId}/sources/{sourcesId}", "parameters": { "name": { "required": true, "pattern": "^organizations/[^/]+/sources/[^/]+$", "location": "path", "description": "Required. Relative resource name of the source. Its format is \"organizations/[organization_id]/source/[source_id]\".", "type": "string" } }, "id": "securitycenter.organizations.sources.get" }, "getIamPolicy": { "parameters": { "resource": { "required": true, "pattern": "^organizations/[^/]+/sources/[^/]+$", "location": "path", "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "type": "string" } }, "request": { "$ref": "GetIamPolicyRequest" }, "response": { "$ref": "Policy" }, "flatPath": "v1/organizations/{organizationsId}/sources/{sourcesId}:getIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST", "id": "securitycenter.organizations.sources.getIamPolicy", "parameterOrder": [ "resource" ], "path": "v1/{+resource}:getIamPolicy", "description": "Gets the access control policy on the specified Source." }, "setIamPolicy": { "request": { "$ref": "SetIamPolicyRequest" }, "httpMethod": "POST", "description": "Sets the access control policy on the specified Source.", "id": "securitycenter.organizations.sources.setIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/organizations/{organizationsId}/sources/{sourcesId}:setIamPolicy", "response": { "$ref": "Policy" }, "path": "v1/{+resource}:setIamPolicy", "parameters": { "resource": { "required": true, "location": "path", "pattern": "^organizations/[^/]+/sources/[^/]+$", "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "type": "string" } }, "parameterOrder": [ "resource" ] }, "list": { "parameters": { "parent": { "description": "Required. Resource name of the parent of sources to list. Its format should be \"organizations/[organization_id], folders/[folder_id], or projects/[project_id]\".", "required": true, "location": "path", "pattern": "^organizations/[^/]+$", "type": "string" }, "pageSize": { "description": "The maximum number of results to return in a single response. Default is 10, minimum is 1, maximum is 1000.", "location": "query", "format": "int32", "type": "integer" }, "pageToken": { "description": "The value returned by the last `ListSourcesResponse`; indicates that this is a continuation of a prior `ListSources` call, and that the system should return the next page of data.", "location": "query", "type": "string" } }, "id": "securitycenter.organizations.sources.list", "description": "Lists all sources belonging to an organization.", "flatPath": "v1/organizations/{organizationsId}/sources", "response": { "$ref": "ListSourcesResponse" }, "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "path": "v1/{+parent}/sources" } } }, "bigQueryExports": { "methods": { "patch": { "id": "securitycenter.organizations.bigQueryExports.patch", "httpMethod": "PATCH", "response": { "$ref": "GoogleCloudSecuritycenterV1BigQueryExport" }, "request": { "$ref": "GoogleCloudSecuritycenterV1BigQueryExport" }, "flatPath": "v1/organizations/{organizationsId}/bigQueryExports/{bigQueryExportsId}", "parameters": { "name": { "type": "string", "required": true, "description": "The relative resource name of this export. See: https://cloud.google.com/apis/design/resource_names#relative_resource_name. Example format: \"organizations/{organization_id}/bigQueryExports/{export_id}\" Example format: \"folders/{folder_id}/bigQueryExports/{export_id}\" Example format: \"projects/{project_id}/bigQueryExports/{export_id}\" This field is provided in responses, and is ignored when provided in create requests.", "pattern": "^organizations/[^/]+/bigQueryExports/[^/]+$", "location": "path" }, "updateMask": { "format": "google-fieldmask", "type": "string", "location": "query", "description": "The list of fields to be updated. If empty all mutable fields will be updated." } }, "description": "Updates a BigQuery export.", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+name}" }, "create": { "path": "v1/{+parent}/bigQueryExports", "parameters": { "bigQueryExportId": { "location": "query", "type": "string", "description": "Required. Unique identifier provided by the client within the parent scope. It must consist of lower case letters, numbers, and hyphen, with the first character a letter, the last a letter or a number, and a 63 character maximum." }, "parent": { "type": "string", "description": "Required. Resource name of the new big query export's parent. Its format is \"organizations/[organization_id]\", \"folders/[folder_id]\", or \"projects/[project_id]\".", "required": true, "location": "path", "pattern": "^organizations/[^/]+$" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "GoogleCloudSecuritycenterV1BigQueryExport" }, "httpMethod": "POST", "description": "Creates a big query export.", "parameterOrder": [ "parent" ], "flatPath": "v1/organizations/{organizationsId}/bigQueryExports", "request": { "$ref": "GoogleCloudSecuritycenterV1BigQueryExport" }, "id": "securitycenter.organizations.bigQueryExports.create" }, "list": { "httpMethod": "GET", "parameterOrder": [ "parent" ], "flatPath": "v1/organizations/{organizationsId}/bigQueryExports", "path": "v1/{+parent}/bigQueryExports", "parameters": { "pageSize": { "type": "integer", "format": "int32", "location": "query", "description": "The maximum number of configs to return. The service may return fewer than this value. If unspecified, at most 10 configs will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000." }, "pageToken": { "description": "A page token, received from a previous `ListBigQueryExports` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListBigQueryExports` must match the call that provided the page token.", "location": "query", "type": "string" }, "parent": { "type": "string", "description": "Required. The parent, which owns the collection of BigQuery exports. Its format is \"organizations/[organization_id]\", \"folders/[folder_id]\", \"projects/[project_id]\".", "location": "path", "pattern": "^organizations/[^/]+$", "required": true } }, "id": "securitycenter.organizations.bigQueryExports.list", "description": "Lists BigQuery exports. Note that when requesting BigQuery exports at a given level all exports under that level are also returned e.g. if requesting BigQuery exports under a folder, then all BigQuery exports immediately under the folder plus the ones created under the projects within the folder are returned.", "response": { "$ref": "ListBigQueryExportsResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "get": { "flatPath": "v1/organizations/{organizationsId}/bigQueryExports/{bigQueryExportsId}", "parameterOrder": [ "name" ], "response": { "$ref": "GoogleCloudSecuritycenterV1BigQueryExport" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "location": "path", "required": true, "type": "string", "pattern": "^organizations/[^/]+/bigQueryExports/[^/]+$", "description": "Required. Name of the big query export to retrieve. Its format is organizations/{organization}/bigQueryExports/{export_id}, folders/{folder}/bigQueryExports/{export_id}, or projects/{project}/bigQueryExports/{export_id}" } }, "description": "Gets a big query export.", "httpMethod": "GET", "path": "v1/{+name}", "id": "securitycenter.organizations.bigQueryExports.get" }, "delete": { "response": { "$ref": "Empty" }, "flatPath": "v1/organizations/{organizationsId}/bigQueryExports/{bigQueryExportsId}", "path": "v1/{+name}", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Deletes an existing big query export.", "id": "securitycenter.organizations.bigQueryExports.delete", "httpMethod": "DELETE", "parameters": { "name": { "description": "Required. Name of the big query export to delete. Its format is organizations/{organization}/bigQueryExports/{export_id}, folders/{folder}/bigQueryExports/{export_id}, or projects/{project}/bigQueryExports/{export_id}", "location": "path", "pattern": "^organizations/[^/]+/bigQueryExports/[^/]+$", "type": "string", "required": true } } } } }, "operations": { "methods": { "list": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Lists operations that match the specified filter in the request. If the server doesn't support this method, it returns `UNIMPLEMENTED`. NOTE: the `name` binding allows API services to override the binding to use different resource name schemes, such as `users/*/operations`. To override the binding, API services can add a binding such as `\"/v1/{name=users/*}/operations\"` to their service configuration. For backwards compatibility, the default name includes the operations collection id, however overriding users must ensure the name binding is the parent resource, without the operations collection id.", "response": { "$ref": "ListOperationsResponse" }, "parameterOrder": [ "name" ], "id": "securitycenter.organizations.operations.list", "httpMethod": "GET", "parameters": { "name": { "type": "string", "pattern": "^organizations/[^/]+/operations$", "required": true, "description": "The name of the operation's parent resource.", "location": "path" }, "pageSize": { "type": "integer", "format": "int32", "location": "query", "description": "The standard list page size." }, "pageToken": { "type": "string", "description": "The standard list page token.", "location": "query" }, "filter": { "description": "The standard list filter.", "type": "string", "location": "query" } }, "flatPath": "v1/organizations/{organizationsId}/operations", "path": "v1/{+name}" }, "cancel": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "description": "The name of the operation resource to be cancelled.", "required": true, "type": "string", "pattern": "^organizations/[^/]+/operations/[^/]+$", "location": "path" } }, "id": "securitycenter.organizations.operations.cancel", "response": { "$ref": "Empty" }, "httpMethod": "POST", "parameterOrder": [ "name" ], "flatPath": "v1/organizations/{organizationsId}/operations/{operationsId}:cancel", "path": "v1/{+name}:cancel", "description": "Starts asynchronous cancellation on a long-running operation. The server makes a best effort to cancel the operation, but success is not guaranteed. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`. Clients can use Operations.GetOperation or other methods to check whether the cancellation succeeded or whether the operation completed despite cancellation. On successful cancellation, the operation is not deleted; instead, it becomes an operation with an Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`." }, "delete": { "path": "v1/{+name}", "parameterOrder": [ "name" ], "flatPath": "v1/organizations/{organizationsId}/operations/{operationsId}", "parameters": { "name": { "type": "string", "pattern": "^organizations/[^/]+/operations/[^/]+$", "required": true, "location": "path", "description": "The name of the operation resource to be deleted." } }, "response": { "$ref": "Empty" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "securitycenter.organizations.operations.delete", "description": "Deletes a long-running operation. This method indicates that the client is no longer interested in the operation result. It does not cancel the operation. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`.", "httpMethod": "DELETE" }, "get": { "flatPath": "v1/organizations/{organizationsId}/operations/{operationsId}", "description": "Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "securitycenter.organizations.operations.get", "parameterOrder": [ "name" ], "response": { "$ref": "Operation" }, "parameters": { "name": { "pattern": "^organizations/[^/]+/operations/[^/]+$", "description": "The name of the operation resource.", "location": "path", "required": true, "type": "string" } }, "path": "v1/{+name}", "httpMethod": "GET" } } }, "muteConfigs": { "methods": { "create": { "request": { "$ref": "GoogleCloudSecuritycenterV1MuteConfig" }, "parameterOrder": [ "parent" ], "httpMethod": "POST", "response": { "$ref": "GoogleCloudSecuritycenterV1MuteConfig" }, "parameters": { "muteConfigId": { "type": "string", "location": "query", "description": "Required. Unique identifier provided by the client within the parent scope. It must consist of lower case letters, numbers, and hyphen, with the first character a letter, the last a letter or a number, and a 63 character maximum." }, "parent": { "description": "Required. Resource name of the new mute configs's parent. Its format is \"organizations/[organization_id]\", \"folders/[folder_id]\", or \"projects/[project_id]\".", "location": "path", "pattern": "^organizations/[^/]+$", "required": true, "type": "string" } }, "flatPath": "v1/organizations/{organizationsId}/muteConfigs", "description": "Creates a mute config.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "securitycenter.organizations.muteConfigs.create", "path": "v1/{+parent}/muteConfigs" }, "list": { "path": "v1/{+parent}/muteConfigs", "description": "Lists mute configs.", "response": { "$ref": "ListMuteConfigsResponse" }, "httpMethod": "GET", "parameters": { "pageToken": { "description": "A page token, received from a previous `ListMuteConfigs` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListMuteConfigs` must match the call that provided the page token.", "location": "query", "type": "string" }, "pageSize": { "description": "The maximum number of configs to return. The service may return fewer than this value. If unspecified, at most 10 configs will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.", "type": "integer", "format": "int32", "location": "query" }, "parent": { "description": "Required. The parent, which owns the collection of mute configs. Its format is \"organizations/[organization_id]\", \"folders/[folder_id]\", \"projects/[project_id]\".", "type": "string", "pattern": "^organizations/[^/]+$", "required": true, "location": "path" } }, "parameterOrder": [ "parent" ], "flatPath": "v1/organizations/{organizationsId}/muteConfigs", "id": "securitycenter.organizations.muteConfigs.list", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "patch": { "request": { "$ref": "GoogleCloudSecuritycenterV1MuteConfig" }, "id": "securitycenter.organizations.muteConfigs.patch", "description": "Updates a mute config.", "httpMethod": "PATCH", "flatPath": "v1/organizations/{organizationsId}/muteConfigs/{muteConfigsId}", "path": "v1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "parameters": { "name": { "pattern": "^organizations/[^/]+/muteConfigs/[^/]+$", "required": true, "description": "This field will be ignored if provided on config creation. Format \"organizations/{organization}/muteConfigs/{mute_config}\" \"folders/{folder}/muteConfigs/{mute_config}\" \"projects/{project}/muteConfigs/{mute_config}\"", "type": "string", "location": "path" }, "updateMask": { "type": "string", "location": "query", "format": "google-fieldmask", "description": "The list of fields to be updated. If empty all mutable fields will be updated." } }, "response": { "$ref": "GoogleCloudSecuritycenterV1MuteConfig" } }, "get": { "flatPath": "v1/organizations/{organizationsId}/muteConfigs/{muteConfigsId}", "parameters": { "name": { "required": true, "location": "path", "pattern": "^organizations/[^/]+/muteConfigs/[^/]+$", "description": "Required. Name of the mute config to retrieve. Its format is organizations/{organization}/muteConfigs/{config_id}, folders/{folder}/muteConfigs/{config_id}, or projects/{project}/muteConfigs/{config_id}", "type": "string" } }, "description": "Gets a mute config.", "path": "v1/{+name}", "parameterOrder": [ "name" ], "response": { "$ref": "GoogleCloudSecuritycenterV1MuteConfig" }, "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "securitycenter.organizations.muteConfigs.get" }, "delete": { "parameterOrder": [ "name" ], "flatPath": "v1/organizations/{organizationsId}/muteConfigs/{muteConfigsId}", "id": "securitycenter.organizations.muteConfigs.delete", "httpMethod": "DELETE", "description": "Deletes an existing mute config.", "response": { "$ref": "Empty" }, "parameters": { "name": { "type": "string", "required": true, "description": "Required. Name of the mute config to delete. Its format is organizations/{organization}/muteConfigs/{config_id}, folders/{folder}/muteConfigs/{config_id}, or projects/{project}/muteConfigs/{config_id}", "location": "path", "pattern": "^organizations/[^/]+/muteConfigs/[^/]+$" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+name}" } } }, "notificationConfigs": { "methods": { "create": { "response": { "$ref": "NotificationConfig" }, "id": "securitycenter.organizations.notificationConfigs.create", "request": { "$ref": "NotificationConfig" }, "description": "Creates a notification config.", "path": "v1/{+parent}/notificationConfigs", "parameterOrder": [ "parent" ], "parameters": { "parent": { "type": "string", "location": "path", "required": true, "description": "Required. Resource name of the new notification config's parent. Its format is \"organizations/[organization_id]\" or \"projects/[project_id]\".", "pattern": "^organizations/[^/]+$" }, "configId": { "location": "query", "description": "Required. Unique identifier provided by the client within the parent scope. It must be between 1 and 128 characters, and contains alphanumeric characters, underscores or hyphens only.", "type": "string" } }, "httpMethod": "POST", "flatPath": "v1/organizations/{organizationsId}/notificationConfigs", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "patch": { "id": "securitycenter.organizations.notificationConfigs.patch", "parameterOrder": [ "name" ], "parameters": { "name": { "pattern": "^organizations/[^/]+/notificationConfigs/[^/]+$", "location": "path", "description": "The relative resource name of this notification config. See: https://cloud.google.com/apis/design/resource_names#relative_resource_name Example: \"organizations/{organization_id}/notificationConfigs/notify_public_bucket\".", "required": true, "type": "string" }, "updateMask": { "format": "google-fieldmask", "type": "string", "location": "query", "description": "The FieldMask to use when updating the notification config. If empty all mutable fields will be updated." } }, "description": " Updates a notification config. The following update fields are allowed: description, pubsub_topic, streaming_config.filter", "request": { "$ref": "NotificationConfig" }, "path": "v1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "NotificationConfig" }, "httpMethod": "PATCH", "flatPath": "v1/organizations/{organizationsId}/notificationConfigs/{notificationConfigsId}" }, "delete": { "response": { "$ref": "Empty" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "description": "Required. Name of the notification config to delete. Its format is \"organizations/[organization_id]/notificationConfigs/[config_id]\".", "required": true, "type": "string", "pattern": "^organizations/[^/]+/notificationConfigs/[^/]+$", "location": "path" } }, "httpMethod": "DELETE", "id": "securitycenter.organizations.notificationConfigs.delete", "flatPath": "v1/organizations/{organizationsId}/notificationConfigs/{notificationConfigsId}", "path": "v1/{+name}", "description": "Deletes a notification config.", "parameterOrder": [ "name" ] }, "get": { "parameters": { "name": { "type": "string", "description": "Required. Name of the notification config to get. Its format is \"organizations/[organization_id]/notificationConfigs/[config_id]\".", "required": true, "pattern": "^organizations/[^/]+/notificationConfigs/[^/]+$", "location": "path" } }, "flatPath": "v1/organizations/{organizationsId}/notificationConfigs/{notificationConfigsId}", "response": { "$ref": "NotificationConfig" }, "path": "v1/{+name}", "parameterOrder": [ "name" ], "id": "securitycenter.organizations.notificationConfigs.get", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "description": "Gets a notification config." }, "list": { "parameters": { "pageSize": { "format": "int32", "type": "integer", "location": "query", "description": "The maximum number of results to return in a single response. Default is 10, minimum is 1, maximum is 1000." }, "parent": { "pattern": "^organizations/[^/]+$", "type": "string", "location": "path", "description": "Required. Name of the organization to list notification configs. Its format is \"organizations/[organization_id]\" or \"projects/[project_id]\".", "required": true }, "pageToken": { "location": "query", "description": "The value returned by the last `ListNotificationConfigsResponse`; indicates that this is a continuation of a prior `ListNotificationConfigs` call, and that the system should return the next page of data.", "type": "string" } }, "path": "v1/{+parent}/notificationConfigs", "response": { "$ref": "ListNotificationConfigsResponse" }, "parameterOrder": [ "parent" ], "id": "securitycenter.organizations.notificationConfigs.list", "flatPath": "v1/organizations/{organizationsId}/notificationConfigs", "description": "Lists notification configs.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET" } } }, "findings": { "methods": { "bulkMute": { "description": "Kicks off an LRO to bulk mute findings for a parent based on a filter. The parent can be either an organization, folder or project. The findings matched by the filter will be muted after the LRO is done.", "id": "securitycenter.organizations.findings.bulkMute", "request": { "$ref": "BulkMuteFindingsRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/organizations/{organizationsId}/findings:bulkMute", "path": "v1/{+parent}/findings:bulkMute", "parameterOrder": [ "parent" ], "response": { "$ref": "Operation" }, "parameters": { "parent": { "description": "Required. The parent, at which bulk action needs to be applied. Its format is \"organizations/[organization_id]\", \"folders/[folder_id]\", \"projects/[project_id]\".", "pattern": "^organizations/[^/]+$", "location": "path", "required": true, "type": "string" } }, "httpMethod": "POST" } } } }, "methods": { "getOrganizationSettings": { "response": { "$ref": "OrganizationSettings" }, "parameters": { "name": { "required": true, "pattern": "^organizations/[^/]+/organizationSettings$", "type": "string", "location": "path", "description": "Required. Name of the organization to get organization settings for. Its format is \"organizations/[organization_id]/organizationSettings\"." } }, "parameterOrder": [ "name" ], "flatPath": "v1/organizations/{organizationsId}/organizationSettings", "description": "Gets the settings for an organization.", "httpMethod": "GET", "id": "securitycenter.organizations.getOrganizationSettings", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+name}" }, "updateOrganizationSettings": { "response": { "$ref": "OrganizationSettings" }, "flatPath": "v1/organizations/{organizationsId}/organizationSettings", "id": "securitycenter.organizations.updateOrganizationSettings", "request": { "$ref": "OrganizationSettings" }, "parameterOrder": [ "name" ], "httpMethod": "PATCH", "path": "v1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Updates an organization's settings.", "parameters": { "name": { "pattern": "^organizations/[^/]+/organizationSettings$", "description": "The relative resource name of the settings. See: https://cloud.google.com/apis/design/resource_names#relative_resource_name Example: \"organizations/{organization_id}/organizationSettings\".", "location": "path", "required": true, "type": "string" }, "updateMask": { "type": "string", "location": "query", "description": "The FieldMask to use when updating the settings resource. If empty all mutable fields will be updated.", "format": "google-fieldmask" } } } } }, "projects": { "resources": { "findings": { "methods": { "bulkMute": { "flatPath": "v1/projects/{projectsId}/findings:bulkMute", "description": "Kicks off an LRO to bulk mute findings for a parent based on a filter. The parent can be either an organization, folder or project. The findings matched by the filter will be muted after the LRO is done.", "id": "securitycenter.projects.findings.bulkMute", "parameters": { "parent": { "pattern": "^projects/[^/]+$", "description": "Required. The parent, at which bulk action needs to be applied. Its format is \"organizations/[organization_id]\", \"folders/[folder_id]\", \"projects/[project_id]\".", "type": "string", "location": "path", "required": true } }, "httpMethod": "POST", "parameterOrder": [ "parent" ], "path": "v1/{+parent}/findings:bulkMute", "response": { "$ref": "Operation" }, "request": { "$ref": "BulkMuteFindingsRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] } } }, "muteConfigs": { "methods": { "create": { "request": { "$ref": "GoogleCloudSecuritycenterV1MuteConfig" }, "httpMethod": "POST", "response": { "$ref": "GoogleCloudSecuritycenterV1MuteConfig" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+parent}/muteConfigs", "parameterOrder": [ "parent" ], "description": "Creates a mute config.", "id": "securitycenter.projects.muteConfigs.create", "parameters": { "muteConfigId": { "type": "string", "location": "query", "description": "Required. Unique identifier provided by the client within the parent scope. It must consist of lower case letters, numbers, and hyphen, with the first character a letter, the last a letter or a number, and a 63 character maximum." }, "parent": { "location": "path", "pattern": "^projects/[^/]+$", "type": "string", "description": "Required. Resource name of the new mute configs's parent. Its format is \"organizations/[organization_id]\", \"folders/[folder_id]\", or \"projects/[project_id]\".", "required": true } }, "flatPath": "v1/projects/{projectsId}/muteConfigs" }, "patch": { "parameters": { "updateMask": { "location": "query", "format": "google-fieldmask", "description": "The list of fields to be updated. If empty all mutable fields will be updated.", "type": "string" }, "name": { "required": true, "pattern": "^projects/[^/]+/muteConfigs/[^/]+$", "location": "path", "type": "string", "description": "This field will be ignored if provided on config creation. Format \"organizations/{organization}/muteConfigs/{mute_config}\" \"folders/{folder}/muteConfigs/{mute_config}\" \"projects/{project}/muteConfigs/{mute_config}\"" } }, "path": "v1/{+name}", "request": { "$ref": "GoogleCloudSecuritycenterV1MuteConfig" }, "id": "securitycenter.projects.muteConfigs.patch", "response": { "$ref": "GoogleCloudSecuritycenterV1MuteConfig" }, "description": "Updates a mute config.", "flatPath": "v1/projects/{projectsId}/muteConfigs/{muteConfigsId}", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "PATCH" }, "list": { "id": "securitycenter.projects.muteConfigs.list", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "parent" ], "path": "v1/{+parent}/muteConfigs", "flatPath": "v1/projects/{projectsId}/muteConfigs", "parameters": { "pageSize": { "format": "int32", "type": "integer", "location": "query", "description": "The maximum number of configs to return. The service may return fewer than this value. If unspecified, at most 10 configs will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000." }, "parent": { "description": "Required. The parent, which owns the collection of mute configs. Its format is \"organizations/[organization_id]\", \"folders/[folder_id]\", \"projects/[project_id]\".", "pattern": "^projects/[^/]+$", "location": "path", "type": "string", "required": true }, "pageToken": { "type": "string", "location": "query", "description": "A page token, received from a previous `ListMuteConfigs` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListMuteConfigs` must match the call that provided the page token." } }, "description": "Lists mute configs.", "response": { "$ref": "ListMuteConfigsResponse" } }, "get": { "parameterOrder": [ "name" ], "response": { "$ref": "GoogleCloudSecuritycenterV1MuteConfig" }, "httpMethod": "GET", "flatPath": "v1/projects/{projectsId}/muteConfigs/{muteConfigsId}", "path": "v1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Gets a mute config.", "id": "securitycenter.projects.muteConfigs.get", "parameters": { "name": { "type": "string", "description": "Required. Name of the mute config to retrieve. Its format is organizations/{organization}/muteConfigs/{config_id}, folders/{folder}/muteConfigs/{config_id}, or projects/{project}/muteConfigs/{config_id}", "pattern": "^projects/[^/]+/muteConfigs/[^/]+$", "location": "path", "required": true } } }, "delete": { "id": "securitycenter.projects.muteConfigs.delete", "path": "v1/{+name}", "flatPath": "v1/projects/{projectsId}/muteConfigs/{muteConfigsId}", "description": "Deletes an existing mute config.", "parameterOrder": [ "name" ], "parameters": { "name": { "required": true, "pattern": "^projects/[^/]+/muteConfigs/[^/]+$", "location": "path", "type": "string", "description": "Required. Name of the mute config to delete. Its format is organizations/{organization}/muteConfigs/{config_id}, folders/{folder}/muteConfigs/{config_id}, or projects/{project}/muteConfigs/{config_id}" } }, "response": { "$ref": "Empty" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "DELETE" } } }, "sources": { "resources": { "findings": { "resources": { "externalSystems": { "methods": { "patch": { "request": { "$ref": "GoogleCloudSecuritycenterV1ExternalSystem" }, "parameters": { "name": { "pattern": "^projects/[^/]+/sources/[^/]+/findings/[^/]+/externalSystems/[^/]+$", "required": true, "type": "string", "location": "path", "description": "External System Name e.g. jira, demisto, etc. e.g.: `organizations/1234/sources/5678/findings/123456/externalSystems/jira` `folders/1234/sources/5678/findings/123456/externalSystems/jira` `projects/1234/sources/5678/findings/123456/externalSystems/jira`" }, "updateMask": { "description": "The FieldMask to use when updating the external system resource. If empty all mutable fields will be updated.", "location": "query", "format": "google-fieldmask", "type": "string" } }, "httpMethod": "PATCH", "description": "Updates external system. This is for a given finding.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/projects/{projectsId}/sources/{sourcesId}/findings/{findingsId}/externalSystems/{externalSystemsId}", "response": { "$ref": "GoogleCloudSecuritycenterV1ExternalSystem" }, "path": "v1/{+name}", "id": "securitycenter.projects.sources.findings.externalSystems.patch", "parameterOrder": [ "name" ] } } } }, "methods": { "list": { "id": "securitycenter.projects.sources.findings.list", "path": "v1/{+parent}/findings", "flatPath": "v1/projects/{projectsId}/sources/{sourcesId}/findings", "httpMethod": "GET", "parameterOrder": [ "parent" ], "parameters": { "orderBy": { "description": "Expression that defines what fields and order to use for sorting. The string value should follow SQL syntax: comma separated list of fields. For example: \"name,resource_properties.a_property\". The default sorting order is ascending. To specify descending order for a field, a suffix \" desc\" should be appended to the field name. For example: \"name desc,source_properties.a_property\". Redundant space characters in the syntax are insignificant. \"name desc,source_properties.a_property\" and \" name desc , source_properties.a_property \" are equivalent. The following fields are supported: name parent state category resource_name event_time source_properties security_marks.marks", "location": "query", "type": "string" }, "readTime": { "location": "query", "description": "Time used as a reference point when filtering findings. The filter is limited to findings existing at the supplied time and their values are those at that specific time. Absence of this field will default to the API's version of NOW.", "format": "google-datetime", "type": "string" }, "compareDuration": { "location": "query", "description": "When compare_duration is set, the ListFindingsResult's \"state_change\" attribute is updated to indicate whether the finding had its state changed, the finding's state remained unchanged, or if the finding was added in any state during the compare_duration period of time that precedes the read_time. This is the time between (read_time - compare_duration) and read_time. The state_change value is derived based on the presence and state of the finding at the two points in time. Intermediate state changes between the two times don't affect the result. For example, the results aren't affected if the finding is made inactive and then active again. Possible \"state_change\" values when compare_duration is specified: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"CHANGED\": indicates that the finding was present and matched the given filter at the start of compare_duration, but changed its state at read_time. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"UNCHANGED\": indicates that the finding was present and matched the given filter at the start of compare_duration and did not change state at read_time. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"ADDED\": indicates that the finding did not match the given filter or was not present at the start of compare_duration, but was present at read_time. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"REMOVED\": indicates that the finding was present and matched the filter at the start of compare_duration, but did not match the filter at read_time. If compare_duration is not specified, then the only possible state_change is \"UNUSED\", which will be the state_change set for all findings present at read_time.", "format": "google-duration", "type": "string" }, "pageToken": { "location": "query", "description": "The value returned by the last `ListFindingsResponse`; indicates that this is a continuation of a prior `ListFindings` call, and that the system should return the next page of data.", "type": "string" }, "pageSize": { "type": "integer", "description": "The maximum number of results to return in a single response. Default is 10, minimum is 1, maximum is 1000.", "format": "int32", "location": "query" }, "parent": { "location": "path", "pattern": "^projects/[^/]+/sources/[^/]+$", "type": "string", "description": "Required. Name of the source the findings belong to. Its format is \"organizations/[organization_id]/sources/[source_id], folders/[folder_id]/sources/[source_id], or projects/[project_id]/sources/[source_id]\". To list across all sources provide a source_id of `-`. For example: organizations/{organization_id}/sources/-, folders/{folder_id}/sources/- or projects/{projects_id}/sources/-", "required": true }, "fieldMask": { "location": "query", "type": "string", "format": "google-fieldmask", "description": "A field mask to specify the Finding fields to be listed in the response. An empty field mask will list all fields." }, "filter": { "location": "query", "description": "Expression that defines the filter to apply across findings. The expression is a list of one or more restrictions combined via logical operators `AND` and `OR`. Parentheses are supported, and `OR` has higher precedence than `AND`. Restrictions have the form ` ` and may have a `-` character in front of them to indicate negation. Examples include: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh name LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh source_properties.a_property LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh security_marks.marks.marka The supported operators are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `=` for all value types. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `\u003e`, `\u003c`, `\u003e=`, `\u003c=` for integer values. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `:`, meaning substring matching, for strings. The supported value types are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh string literals in quotes. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh integer literals without quotes. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh boolean literals `true` and `false` without quotes. The following field and operator combinations are supported: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh name: `=` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh parent: `=`, `:` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh resource_name: `=`, `:` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh state: `=`, `:` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh category: `=`, `:` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh external_uri: `=`, `:` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh event_time: `=`, `\u003e`, `\u003c`, `\u003e=`, `\u003c=` Usage: This should be milliseconds since epoch or an RFC3339 string. Examples: `event_time = \"2019-06-10T16:07:18-07:00\"` `event_time = 1560208038000` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh severity: `=`, `:` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh workflow_state: `=`, `:` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh security_marks.marks: `=`, `:` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh source_properties: `=`, `:`, `\u003e`, `\u003c`, `\u003e=`, `\u003c=` For example, `source_properties.size = 100` is a valid filter string. Use a partial match on the empty string to filter based on a property existing: `source_properties.my_property : \"\"` Use a negated partial match on the empty string to filter based on a property not existing: `-source_properties.my_property : \"\"` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh resource: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh resource.name: `=`, `:` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh resource.parent_name: `=`, `:` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh resource.parent_display_name: `=`, `:` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh resource.project_name: `=`, `:` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh resource.project_display_name: `=`, `:` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh resource.type: `=`, `:` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh resource.folders.resource_folder: `=`, `:` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh resource.display_name: `=`, `:`", "type": "string" } }, "description": "Lists an organization or source's findings. To list across all sources provide a `-` as the source id. Example: /v1/organizations/{organization_id}/sources/-/findings", "response": { "$ref": "ListFindingsResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "setState": { "response": { "$ref": "Finding" }, "path": "v1/{+name}:setState", "id": "securitycenter.projects.sources.findings.setState", "flatPath": "v1/projects/{projectsId}/sources/{sourcesId}/findings/{findingsId}:setState", "httpMethod": "POST", "description": "Updates the state of a finding.", "parameters": { "name": { "description": "Required. The relative resource name of the finding. See: https://cloud.google.com/apis/design/resource_names#relative_resource_name Example: \"organizations/{organization_id}/sources/{source_id}/finding/{finding_id}\".", "location": "path", "pattern": "^projects/[^/]+/sources/[^/]+/findings/[^/]+$", "required": true, "type": "string" } }, "request": { "$ref": "SetFindingStateRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ] }, "setMute": { "parameters": { "name": { "pattern": "^projects/[^/]+/sources/[^/]+/findings/[^/]+$", "location": "path", "type": "string", "required": true, "description": "Required. The relative resource name of the finding. See: https://cloud.google.com/apis/design/resource_names#relative_resource_name Example: \"organizations/{organization_id}/sources/{source_id}/finding/{finding_id}\", \"folders/{folder_id}/sources/{source_id}/finding/{finding_id}\", \"projects/{project_id}/sources/{source_id}/finding/{finding_id}\"." } }, "parameterOrder": [ "name" ], "path": "v1/{+name}:setMute", "id": "securitycenter.projects.sources.findings.setMute", "flatPath": "v1/projects/{projectsId}/sources/{sourcesId}/findings/{findingsId}:setMute", "httpMethod": "POST", "response": { "$ref": "Finding" }, "request": { "$ref": "SetMuteRequest" }, "description": "Updates the mute state of a finding.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "updateSecurityMarks": { "response": { "$ref": "SecurityMarks" }, "path": "v1/{+name}", "parameterOrder": [ "name" ], "parameters": { "updateMask": { "description": "The FieldMask to use when updating the security marks resource. The field mask must not contain duplicate fields. If empty or set to \"marks\", all marks will be replaced. Individual marks can be updated using \"marks.\".", "location": "query", "type": "string", "format": "google-fieldmask" }, "name": { "pattern": "^projects/[^/]+/sources/[^/]+/findings/[^/]+/securityMarks$", "type": "string", "description": "The relative resource name of the SecurityMarks. See: https://cloud.google.com/apis/design/resource_names#relative_resource_name Examples: \"organizations/{organization_id}/assets/{asset_id}/securityMarks\" \"organizations/{organization_id}/sources/{source_id}/findings/{finding_id}/securityMarks\".", "location": "path", "required": true }, "startTime": { "description": "The time at which the updated SecurityMarks take effect. If not set uses current server time. Updates will be applied to the SecurityMarks that are active immediately preceding this time. Must be earlier or equal to the server time.", "location": "query", "type": "string", "format": "google-datetime" } }, "httpMethod": "PATCH", "request": { "$ref": "SecurityMarks" }, "description": "Updates security marks.", "id": "securitycenter.projects.sources.findings.updateSecurityMarks", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/projects/{projectsId}/sources/{sourcesId}/findings/{findingsId}/securityMarks" }, "patch": { "response": { "$ref": "Finding" }, "parameterOrder": [ "name" ], "id": "securitycenter.projects.sources.findings.patch", "description": "Creates or updates a finding. The corresponding source must exist for a finding creation to succeed.", "parameters": { "updateMask": { "type": "string", "format": "google-fieldmask", "location": "query", "description": "The FieldMask to use when updating the finding resource. This field should not be specified when creating a finding. When updating a finding, an empty mask is treated as updating all mutable fields and replacing source_properties. Individual source_properties can be added/updated by using \"source_properties.\" in the field mask." }, "name": { "required": true, "description": "The relative resource name of this finding. See: https://cloud.google.com/apis/design/resource_names#relative_resource_name Example: \"organizations/{organization_id}/sources/{source_id}/findings/{finding_id}\"", "type": "string", "pattern": "^projects/[^/]+/sources/[^/]+/findings/[^/]+$", "location": "path" } }, "httpMethod": "PATCH", "request": { "$ref": "Finding" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+name}", "flatPath": "v1/projects/{projectsId}/sources/{sourcesId}/findings/{findingsId}" }, "group": { "description": "Filters an organization or source's findings and groups them by their specified properties. To group across all sources provide a `-` as the source id. Example: /v1/organizations/{organization_id}/sources/-/findings, /v1/folders/{folder_id}/sources/-/findings, /v1/projects/{project_id}/sources/-/findings", "request": { "$ref": "GroupFindingsRequest" }, "httpMethod": "POST", "parameters": { "parent": { "pattern": "^projects/[^/]+/sources/[^/]+$", "type": "string", "required": true, "description": "Required. Name of the source to groupBy. Its format is \"organizations/[organization_id]/sources/[source_id]\", folders/[folder_id]/sources/[source_id], or projects/[project_id]/sources/[source_id]. To groupBy across all sources provide a source_id of `-`. For example: organizations/{organization_id}/sources/-, folders/{folder_id}/sources/-, or projects/{project_id}/sources/-", "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "GroupFindingsResponse" }, "path": "v1/{+parent}/findings:group", "flatPath": "v1/projects/{projectsId}/sources/{sourcesId}/findings:group", "parameterOrder": [ "parent" ], "id": "securitycenter.projects.sources.findings.group" } } } }, "methods": { "list": { "description": "Lists all sources belonging to an organization.", "httpMethod": "GET", "path": "v1/{+parent}/sources", "flatPath": "v1/projects/{projectsId}/sources", "parameters": { "parent": { "pattern": "^projects/[^/]+$", "location": "path", "required": true, "description": "Required. Resource name of the parent of sources to list. Its format should be \"organizations/[organization_id], folders/[folder_id], or projects/[project_id]\".", "type": "string" }, "pageToken": { "type": "string", "location": "query", "description": "The value returned by the last `ListSourcesResponse`; indicates that this is a continuation of a prior `ListSources` call, and that the system should return the next page of data." }, "pageSize": { "location": "query", "description": "The maximum number of results to return in a single response. Default is 10, minimum is 1, maximum is 1000.", "type": "integer", "format": "int32" } }, "response": { "$ref": "ListSourcesResponse" }, "id": "securitycenter.projects.sources.list", "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] } } }, "bigQueryExports": { "methods": { "get": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+name}", "response": { "$ref": "GoogleCloudSecuritycenterV1BigQueryExport" }, "description": "Gets a big query export.", "parameters": { "name": { "required": true, "type": "string", "description": "Required. Name of the big query export to retrieve. Its format is organizations/{organization}/bigQueryExports/{export_id}, folders/{folder}/bigQueryExports/{export_id}, or projects/{project}/bigQueryExports/{export_id}", "location": "path", "pattern": "^projects/[^/]+/bigQueryExports/[^/]+$" } }, "flatPath": "v1/projects/{projectsId}/bigQueryExports/{bigQueryExportsId}", "parameterOrder": [ "name" ], "id": "securitycenter.projects.bigQueryExports.get", "httpMethod": "GET" }, "list": { "response": { "$ref": "ListBigQueryExportsResponse" }, "id": "securitycenter.projects.bigQueryExports.list", "path": "v1/{+parent}/bigQueryExports", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/projects/{projectsId}/bigQueryExports", "httpMethod": "GET", "parameterOrder": [ "parent" ], "parameters": { "pageToken": { "location": "query", "description": "A page token, received from a previous `ListBigQueryExports` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListBigQueryExports` must match the call that provided the page token.", "type": "string" }, "pageSize": { "type": "integer", "format": "int32", "location": "query", "description": "The maximum number of configs to return. The service may return fewer than this value. If unspecified, at most 10 configs will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000." }, "parent": { "pattern": "^projects/[^/]+$", "type": "string", "required": true, "description": "Required. The parent, which owns the collection of BigQuery exports. Its format is \"organizations/[organization_id]\", \"folders/[folder_id]\", \"projects/[project_id]\".", "location": "path" } }, "description": "Lists BigQuery exports. Note that when requesting BigQuery exports at a given level all exports under that level are also returned e.g. if requesting BigQuery exports under a folder, then all BigQuery exports immediately under the folder plus the ones created under the projects within the folder are returned." }, "create": { "description": "Creates a big query export.", "path": "v1/{+parent}/bigQueryExports", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "securitycenter.projects.bigQueryExports.create", "flatPath": "v1/projects/{projectsId}/bigQueryExports", "response": { "$ref": "GoogleCloudSecuritycenterV1BigQueryExport" }, "request": { "$ref": "GoogleCloudSecuritycenterV1BigQueryExport" }, "parameterOrder": [ "parent" ], "parameters": { "parent": { "pattern": "^projects/[^/]+$", "location": "path", "description": "Required. Resource name of the new big query export's parent. Its format is \"organizations/[organization_id]\", \"folders/[folder_id]\", or \"projects/[project_id]\".", "type": "string", "required": true }, "bigQueryExportId": { "location": "query", "type": "string", "description": "Required. Unique identifier provided by the client within the parent scope. It must consist of lower case letters, numbers, and hyphen, with the first character a letter, the last a letter or a number, and a 63 character maximum." } }, "httpMethod": "POST" }, "delete": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+name}", "id": "securitycenter.projects.bigQueryExports.delete", "parameterOrder": [ "name" ], "flatPath": "v1/projects/{projectsId}/bigQueryExports/{bigQueryExportsId}", "httpMethod": "DELETE", "parameters": { "name": { "type": "string", "required": true, "location": "path", "description": "Required. Name of the big query export to delete. Its format is organizations/{organization}/bigQueryExports/{export_id}, folders/{folder}/bigQueryExports/{export_id}, or projects/{project}/bigQueryExports/{export_id}", "pattern": "^projects/[^/]+/bigQueryExports/[^/]+$" } }, "response": { "$ref": "Empty" }, "description": "Deletes an existing big query export." }, "patch": { "request": { "$ref": "GoogleCloudSecuritycenterV1BigQueryExport" }, "parameters": { "updateMask": { "description": "The list of fields to be updated. If empty all mutable fields will be updated.", "type": "string", "location": "query", "format": "google-fieldmask" }, "name": { "type": "string", "pattern": "^projects/[^/]+/bigQueryExports/[^/]+$", "location": "path", "required": true, "description": "The relative resource name of this export. See: https://cloud.google.com/apis/design/resource_names#relative_resource_name. Example format: \"organizations/{organization_id}/bigQueryExports/{export_id}\" Example format: \"folders/{folder_id}/bigQueryExports/{export_id}\" Example format: \"projects/{project_id}/bigQueryExports/{export_id}\" This field is provided in responses, and is ignored when provided in create requests." } }, "flatPath": "v1/projects/{projectsId}/bigQueryExports/{bigQueryExportsId}", "id": "securitycenter.projects.bigQueryExports.patch", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "PATCH", "response": { "$ref": "GoogleCloudSecuritycenterV1BigQueryExport" }, "path": "v1/{+name}", "description": "Updates a BigQuery export." } } }, "assets": { "methods": { "group": { "path": "v1/{+parent}/assets:group", "parameters": { "parent": { "type": "string", "required": true, "location": "path", "description": "Required. Name of the organization to groupBy. Its format is \"organizations/[organization_id], folders/[folder_id], or projects/[project_id]\".", "pattern": "^projects/[^/]+$" } }, "request": { "$ref": "GroupAssetsRequest" }, "id": "securitycenter.projects.assets.group", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Filters an organization's assets and groups them by their specified properties.", "response": { "$ref": "GroupAssetsResponse" }, "httpMethod": "POST", "parameterOrder": [ "parent" ], "flatPath": "v1/projects/{projectsId}/assets:group" }, "updateSecurityMarks": { "description": "Updates security marks.", "path": "v1/{+name}", "request": { "$ref": "SecurityMarks" }, "flatPath": "v1/projects/{projectsId}/assets/{assetsId}/securityMarks", "id": "securitycenter.projects.assets.updateSecurityMarks", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "PATCH", "parameters": { "name": { "location": "path", "required": true, "type": "string", "description": "The relative resource name of the SecurityMarks. See: https://cloud.google.com/apis/design/resource_names#relative_resource_name Examples: \"organizations/{organization_id}/assets/{asset_id}/securityMarks\" \"organizations/{organization_id}/sources/{source_id}/findings/{finding_id}/securityMarks\".", "pattern": "^projects/[^/]+/assets/[^/]+/securityMarks$" }, "startTime": { "description": "The time at which the updated SecurityMarks take effect. If not set uses current server time. Updates will be applied to the SecurityMarks that are active immediately preceding this time. Must be earlier or equal to the server time.", "type": "string", "format": "google-datetime", "location": "query" }, "updateMask": { "type": "string", "description": "The FieldMask to use when updating the security marks resource. The field mask must not contain duplicate fields. If empty or set to \"marks\", all marks will be replaced. Individual marks can be updated using \"marks.\".", "location": "query", "format": "google-fieldmask" } }, "parameterOrder": [ "name" ], "response": { "$ref": "SecurityMarks" } }, "list": { "description": "Lists an organization's assets.", "response": { "$ref": "ListAssetsResponse" }, "httpMethod": "GET", "path": "v1/{+parent}/assets", "parameterOrder": [ "parent" ], "id": "securitycenter.projects.assets.list", "flatPath": "v1/projects/{projectsId}/assets", "parameters": { "filter": { "type": "string", "location": "query", "description": "Expression that defines the filter to apply across assets. The expression is a list of zero or more restrictions combined via logical operators `AND` and `OR`. Parentheses are supported, and `OR` has higher precedence than `AND`. Restrictions have the form ` ` and may have a `-` character in front of them to indicate negation. The fields map to those defined in the Asset resource. Examples include: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh name LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh security_center_properties.resource_name LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh resource_properties.a_property LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh security_marks.marks.marka The supported operators are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `=` for all value types. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `\u003e`, `\u003c`, `\u003e=`, `\u003c=` for integer values. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `:`, meaning substring matching, for strings. The supported value types are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh string literals in quotes. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh integer literals without quotes. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh boolean literals `true` and `false` without quotes. The following are the allowed field and operator combinations: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh name: `=` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh update_time: `=`, `\u003e`, `\u003c`, `\u003e=`, `\u003c=` Usage: This should be milliseconds since epoch or an RFC3339 string. Examples: `update_time = \"2019-06-10T16:07:18-07:00\"` `update_time = 1560208038000` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh create_time: `=`, `\u003e`, `\u003c`, `\u003e=`, `\u003c=` Usage: This should be milliseconds since epoch or an RFC3339 string. Examples: `create_time = \"2019-06-10T16:07:18-07:00\"` `create_time = 1560208038000` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh iam_policy.policy_blob: `=`, `:` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh resource_properties: `=`, `:`, `\u003e`, `\u003c`, `\u003e=`, `\u003c=` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh security_marks.marks: `=`, `:` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh security_center_properties.resource_name: `=`, `:` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh security_center_properties.resource_display_name: `=`, `:` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh security_center_properties.resource_type: `=`, `:` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh security_center_properties.resource_parent: `=`, `:` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh security_center_properties.resource_parent_display_name: `=`, `:` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh security_center_properties.resource_project: `=`, `:` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh security_center_properties.resource_project_display_name: `=`, `:` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh security_center_properties.resource_owners: `=`, `:` For example, `resource_properties.size = 100` is a valid filter string. Use a partial match on the empty string to filter based on a property existing: `resource_properties.my_property : \"\"` Use a negated partial match on the empty string to filter based on a property not existing: `-resource_properties.my_property : \"\"`" }, "pageToken": { "location": "query", "type": "string", "description": "The value returned by the last `ListAssetsResponse`; indicates that this is a continuation of a prior `ListAssets` call, and that the system should return the next page of data." }, "compareDuration": { "format": "google-duration", "type": "string", "location": "query", "description": "When compare_duration is set, the ListAssetsResult's \"state_change\" attribute is updated to indicate whether the asset was added, removed, or remained present during the compare_duration period of time that precedes the read_time. This is the time between (read_time - compare_duration) and read_time. The state_change value is derived based on the presence of the asset at the two points in time. Intermediate state changes between the two times don't affect the result. For example, the results aren't affected if the asset is removed and re-created again. Possible \"state_change\" values when compare_duration is specified: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"ADDED\": indicates that the asset was not present at the start of compare_duration, but present at read_time. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"REMOVED\": indicates that the asset was present at the start of compare_duration, but not present at read_time. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"ACTIVE\": indicates that the asset was present at both the start and the end of the time period defined by compare_duration and read_time. If compare_duration is not specified, then the only possible state_change is \"UNUSED\", which will be the state_change set for all assets present at read_time." }, "readTime": { "location": "query", "format": "google-datetime", "type": "string", "description": "Time used as a reference point when filtering assets. The filter is limited to assets existing at the supplied time and their values are those at that specific time. Absence of this field will default to the API's version of NOW." }, "parent": { "required": true, "type": "string", "location": "path", "description": "Required. Name of the organization assets should belong to. Its format is \"organizations/[organization_id], folders/[folder_id], or projects/[project_id]\".", "pattern": "^projects/[^/]+$" }, "pageSize": { "description": "The maximum number of results to return in a single response. Default is 10, minimum is 1, maximum is 1000.", "location": "query", "format": "int32", "type": "integer" }, "orderBy": { "location": "query", "description": "Expression that defines what fields and order to use for sorting. The string value should follow SQL syntax: comma separated list of fields. For example: \"name,resource_properties.a_property\". The default sorting order is ascending. To specify descending order for a field, a suffix \" desc\" should be appended to the field name. For example: \"name desc,resource_properties.a_property\". Redundant space characters in the syntax are insignificant. \"name desc,resource_properties.a_property\" and \" name desc , resource_properties.a_property \" are equivalent. The following fields are supported: name update_time resource_properties security_marks.marks security_center_properties.resource_name security_center_properties.resource_display_name security_center_properties.resource_parent security_center_properties.resource_parent_display_name security_center_properties.resource_project security_center_properties.resource_project_display_name security_center_properties.resource_type", "type": "string" }, "fieldMask": { "description": "A field mask to specify the ListAssetsResult fields to be listed in the response. An empty field mask will list all fields.", "format": "google-fieldmask", "type": "string", "location": "query" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] } } } } }, "folders": { "resources": { "muteConfigs": { "methods": { "create": { "flatPath": "v1/folders/{foldersId}/muteConfigs", "path": "v1/{+parent}/muteConfigs", "response": { "$ref": "GoogleCloudSecuritycenterV1MuteConfig" }, "parameters": { "parent": { "location": "path", "pattern": "^folders/[^/]+$", "description": "Required. Resource name of the new mute configs's parent. Its format is \"organizations/[organization_id]\", \"folders/[folder_id]\", or \"projects/[project_id]\".", "type": "string", "required": true }, "muteConfigId": { "type": "string", "description": "Required. Unique identifier provided by the client within the parent scope. It must consist of lower case letters, numbers, and hyphen, with the first character a letter, the last a letter or a number, and a 63 character maximum.", "location": "query" } }, "httpMethod": "POST", "parameterOrder": [ "parent" ], "id": "securitycenter.folders.muteConfigs.create", "description": "Creates a mute config.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "GoogleCloudSecuritycenterV1MuteConfig" } }, "list": { "parameters": { "parent": { "required": true, "type": "string", "location": "path", "pattern": "^folders/[^/]+$", "description": "Required. The parent, which owns the collection of mute configs. Its format is \"organizations/[organization_id]\", \"folders/[folder_id]\", \"projects/[project_id]\"." }, "pageSize": { "description": "The maximum number of configs to return. The service may return fewer than this value. If unspecified, at most 10 configs will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.", "type": "integer", "location": "query", "format": "int32" }, "pageToken": { "type": "string", "description": "A page token, received from a previous `ListMuteConfigs` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListMuteConfigs` must match the call that provided the page token.", "location": "query" } }, "httpMethod": "GET", "parameterOrder": [ "parent" ], "description": "Lists mute configs.", "id": "securitycenter.folders.muteConfigs.list", "path": "v1/{+parent}/muteConfigs", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/folders/{foldersId}/muteConfigs", "response": { "$ref": "ListMuteConfigsResponse" } }, "delete": { "response": { "$ref": "Empty" }, "httpMethod": "DELETE", "path": "v1/{+name}", "parameterOrder": [ "name" ], "description": "Deletes an existing mute config.", "id": "securitycenter.folders.muteConfigs.delete", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/folders/{foldersId}/muteConfigs/{muteConfigsId}", "parameters": { "name": { "location": "path", "type": "string", "pattern": "^folders/[^/]+/muteConfigs/[^/]+$", "description": "Required. Name of the mute config to delete. Its format is organizations/{organization}/muteConfigs/{config_id}, folders/{folder}/muteConfigs/{config_id}, or projects/{project}/muteConfigs/{config_id}", "required": true } } }, "get": { "parameters": { "name": { "required": true, "description": "Required. Name of the mute config to retrieve. Its format is organizations/{organization}/muteConfigs/{config_id}, folders/{folder}/muteConfigs/{config_id}, or projects/{project}/muteConfigs/{config_id}", "location": "path", "pattern": "^folders/[^/]+/muteConfigs/[^/]+$", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+name}", "description": "Gets a mute config.", "id": "securitycenter.folders.muteConfigs.get", "parameterOrder": [ "name" ], "response": { "$ref": "GoogleCloudSecuritycenterV1MuteConfig" }, "httpMethod": "GET", "flatPath": "v1/folders/{foldersId}/muteConfigs/{muteConfigsId}" }, "patch": { "path": "v1/{+name}", "flatPath": "v1/folders/{foldersId}/muteConfigs/{muteConfigsId}", "id": "securitycenter.folders.muteConfigs.patch", "description": "Updates a mute config.", "parameters": { "updateMask": { "description": "The list of fields to be updated. If empty all mutable fields will be updated.", "format": "google-fieldmask", "type": "string", "location": "query" }, "name": { "location": "path", "type": "string", "pattern": "^folders/[^/]+/muteConfigs/[^/]+$", "description": "This field will be ignored if provided on config creation. Format \"organizations/{organization}/muteConfigs/{mute_config}\" \"folders/{folder}/muteConfigs/{mute_config}\" \"projects/{project}/muteConfigs/{mute_config}\"", "required": true } }, "response": { "$ref": "GoogleCloudSecuritycenterV1MuteConfig" }, "request": { "$ref": "GoogleCloudSecuritycenterV1MuteConfig" }, "httpMethod": "PATCH", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ] } } }, "sources": { "resources": { "findings": { "methods": { "setState": { "description": "Updates the state of a finding.", "parameterOrder": [ "name" ], "parameters": { "name": { "description": "Required. The relative resource name of the finding. See: https://cloud.google.com/apis/design/resource_names#relative_resource_name Example: \"organizations/{organization_id}/sources/{source_id}/finding/{finding_id}\".", "type": "string", "pattern": "^folders/[^/]+/sources/[^/]+/findings/[^/]+$", "required": true, "location": "path" } }, "httpMethod": "POST", "path": "v1/{+name}:setState", "request": { "$ref": "SetFindingStateRequest" }, "id": "securitycenter.folders.sources.findings.setState", "flatPath": "v1/folders/{foldersId}/sources/{sourcesId}/findings/{findingsId}:setState", "response": { "$ref": "Finding" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "updateSecurityMarks": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Updates security marks.", "parameters": { "name": { "description": "The relative resource name of the SecurityMarks. See: https://cloud.google.com/apis/design/resource_names#relative_resource_name Examples: \"organizations/{organization_id}/assets/{asset_id}/securityMarks\" \"organizations/{organization_id}/sources/{source_id}/findings/{finding_id}/securityMarks\".", "location": "path", "type": "string", "pattern": "^folders/[^/]+/sources/[^/]+/findings/[^/]+/securityMarks$", "required": true }, "updateMask": { "description": "The FieldMask to use when updating the security marks resource. The field mask must not contain duplicate fields. If empty or set to \"marks\", all marks will be replaced. Individual marks can be updated using \"marks.\".", "type": "string", "location": "query", "format": "google-fieldmask" }, "startTime": { "format": "google-datetime", "location": "query", "type": "string", "description": "The time at which the updated SecurityMarks take effect. If not set uses current server time. Updates will be applied to the SecurityMarks that are active immediately preceding this time. Must be earlier or equal to the server time." } }, "path": "v1/{+name}", "response": { "$ref": "SecurityMarks" }, "request": { "$ref": "SecurityMarks" }, "id": "securitycenter.folders.sources.findings.updateSecurityMarks", "flatPath": "v1/folders/{foldersId}/sources/{sourcesId}/findings/{findingsId}/securityMarks", "parameterOrder": [ "name" ], "httpMethod": "PATCH" }, "patch": { "parameters": { "updateMask": { "type": "string", "format": "google-fieldmask", "description": "The FieldMask to use when updating the finding resource. This field should not be specified when creating a finding. When updating a finding, an empty mask is treated as updating all mutable fields and replacing source_properties. Individual source_properties can be added/updated by using \"source_properties.\" in the field mask.", "location": "query" }, "name": { "location": "path", "required": true, "description": "The relative resource name of this finding. See: https://cloud.google.com/apis/design/resource_names#relative_resource_name Example: \"organizations/{organization_id}/sources/{source_id}/findings/{finding_id}\"", "pattern": "^folders/[^/]+/sources/[^/]+/findings/[^/]+$", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Finding" }, "path": "v1/{+name}", "flatPath": "v1/folders/{foldersId}/sources/{sourcesId}/findings/{findingsId}", "id": "securitycenter.folders.sources.findings.patch", "description": "Creates or updates a finding. The corresponding source must exist for a finding creation to succeed.", "request": { "$ref": "Finding" }, "httpMethod": "PATCH", "parameterOrder": [ "name" ] }, "group": { "description": "Filters an organization or source's findings and groups them by their specified properties. To group across all sources provide a `-` as the source id. Example: /v1/organizations/{organization_id}/sources/-/findings, /v1/folders/{folder_id}/sources/-/findings, /v1/projects/{project_id}/sources/-/findings", "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST", "flatPath": "v1/folders/{foldersId}/sources/{sourcesId}/findings:group", "path": "v1/{+parent}/findings:group", "request": { "$ref": "GroupFindingsRequest" }, "id": "securitycenter.folders.sources.findings.group", "parameters": { "parent": { "type": "string", "pattern": "^folders/[^/]+/sources/[^/]+$", "required": true, "description": "Required. Name of the source to groupBy. Its format is \"organizations/[organization_id]/sources/[source_id]\", folders/[folder_id]/sources/[source_id], or projects/[project_id]/sources/[source_id]. To groupBy across all sources provide a source_id of `-`. For example: organizations/{organization_id}/sources/-, folders/{folder_id}/sources/-, or projects/{project_id}/sources/-", "location": "path" } }, "response": { "$ref": "GroupFindingsResponse" } }, "list": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/folders/{foldersId}/sources/{sourcesId}/findings", "parameters": { "pageSize": { "description": "The maximum number of results to return in a single response. Default is 10, minimum is 1, maximum is 1000.", "format": "int32", "location": "query", "type": "integer" }, "compareDuration": { "location": "query", "description": "When compare_duration is set, the ListFindingsResult's \"state_change\" attribute is updated to indicate whether the finding had its state changed, the finding's state remained unchanged, or if the finding was added in any state during the compare_duration period of time that precedes the read_time. This is the time between (read_time - compare_duration) and read_time. The state_change value is derived based on the presence and state of the finding at the two points in time. Intermediate state changes between the two times don't affect the result. For example, the results aren't affected if the finding is made inactive and then active again. Possible \"state_change\" values when compare_duration is specified: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"CHANGED\": indicates that the finding was present and matched the given filter at the start of compare_duration, but changed its state at read_time. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"UNCHANGED\": indicates that the finding was present and matched the given filter at the start of compare_duration and did not change state at read_time. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"ADDED\": indicates that the finding did not match the given filter or was not present at the start of compare_duration, but was present at read_time. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"REMOVED\": indicates that the finding was present and matched the filter at the start of compare_duration, but did not match the filter at read_time. If compare_duration is not specified, then the only possible state_change is \"UNUSED\", which will be the state_change set for all findings present at read_time.", "type": "string", "format": "google-duration" }, "orderBy": { "description": "Expression that defines what fields and order to use for sorting. The string value should follow SQL syntax: comma separated list of fields. For example: \"name,resource_properties.a_property\". The default sorting order is ascending. To specify descending order for a field, a suffix \" desc\" should be appended to the field name. For example: \"name desc,source_properties.a_property\". Redundant space characters in the syntax are insignificant. \"name desc,source_properties.a_property\" and \" name desc , source_properties.a_property \" are equivalent. The following fields are supported: name parent state category resource_name event_time source_properties security_marks.marks", "location": "query", "type": "string" }, "parent": { "description": "Required. Name of the source the findings belong to. Its format is \"organizations/[organization_id]/sources/[source_id], folders/[folder_id]/sources/[source_id], or projects/[project_id]/sources/[source_id]\". To list across all sources provide a source_id of `-`. For example: organizations/{organization_id}/sources/-, folders/{folder_id}/sources/- or projects/{projects_id}/sources/-", "required": true, "location": "path", "pattern": "^folders/[^/]+/sources/[^/]+$", "type": "string" }, "pageToken": { "type": "string", "location": "query", "description": "The value returned by the last `ListFindingsResponse`; indicates that this is a continuation of a prior `ListFindings` call, and that the system should return the next page of data." }, "filter": { "type": "string", "location": "query", "description": "Expression that defines the filter to apply across findings. The expression is a list of one or more restrictions combined via logical operators `AND` and `OR`. Parentheses are supported, and `OR` has higher precedence than `AND`. Restrictions have the form ` ` and may have a `-` character in front of them to indicate negation. Examples include: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh name LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh source_properties.a_property LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh security_marks.marks.marka The supported operators are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `=` for all value types. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `\u003e`, `\u003c`, `\u003e=`, `\u003c=` for integer values. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `:`, meaning substring matching, for strings. The supported value types are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh string literals in quotes. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh integer literals without quotes. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh boolean literals `true` and `false` without quotes. The following field and operator combinations are supported: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh name: `=` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh parent: `=`, `:` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh resource_name: `=`, `:` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh state: `=`, `:` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh category: `=`, `:` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh external_uri: `=`, `:` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh event_time: `=`, `\u003e`, `\u003c`, `\u003e=`, `\u003c=` Usage: This should be milliseconds since epoch or an RFC3339 string. Examples: `event_time = \"2019-06-10T16:07:18-07:00\"` `event_time = 1560208038000` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh severity: `=`, `:` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh workflow_state: `=`, `:` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh security_marks.marks: `=`, `:` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh source_properties: `=`, `:`, `\u003e`, `\u003c`, `\u003e=`, `\u003c=` For example, `source_properties.size = 100` is a valid filter string. Use a partial match on the empty string to filter based on a property existing: `source_properties.my_property : \"\"` Use a negated partial match on the empty string to filter based on a property not existing: `-source_properties.my_property : \"\"` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh resource: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh resource.name: `=`, `:` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh resource.parent_name: `=`, `:` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh resource.parent_display_name: `=`, `:` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh resource.project_name: `=`, `:` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh resource.project_display_name: `=`, `:` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh resource.type: `=`, `:` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh resource.folders.resource_folder: `=`, `:` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh resource.display_name: `=`, `:`" }, "fieldMask": { "format": "google-fieldmask", "location": "query", "type": "string", "description": "A field mask to specify the Finding fields to be listed in the response. An empty field mask will list all fields." }, "readTime": { "format": "google-datetime", "type": "string", "description": "Time used as a reference point when filtering findings. The filter is limited to findings existing at the supplied time and their values are those at that specific time. Absence of this field will default to the API's version of NOW.", "location": "query" } }, "id": "securitycenter.folders.sources.findings.list", "parameterOrder": [ "parent" ], "response": { "$ref": "ListFindingsResponse" }, "httpMethod": "GET", "path": "v1/{+parent}/findings", "description": "Lists an organization or source's findings. To list across all sources provide a `-` as the source id. Example: /v1/organizations/{organization_id}/sources/-/findings" }, "setMute": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "id": "securitycenter.folders.sources.findings.setMute", "flatPath": "v1/folders/{foldersId}/sources/{sourcesId}/findings/{findingsId}:setMute", "parameters": { "name": { "location": "path", "required": true, "pattern": "^folders/[^/]+/sources/[^/]+/findings/[^/]+$", "description": "Required. The relative resource name of the finding. See: https://cloud.google.com/apis/design/resource_names#relative_resource_name Example: \"organizations/{organization_id}/sources/{source_id}/finding/{finding_id}\", \"folders/{folder_id}/sources/{source_id}/finding/{finding_id}\", \"projects/{project_id}/sources/{source_id}/finding/{finding_id}\".", "type": "string" } }, "httpMethod": "POST", "request": { "$ref": "SetMuteRequest" }, "description": "Updates the mute state of a finding.", "path": "v1/{+name}:setMute", "response": { "$ref": "Finding" } } }, "resources": { "externalSystems": { "methods": { "patch": { "description": "Updates external system. This is for a given finding.", "id": "securitycenter.folders.sources.findings.externalSystems.patch", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "GoogleCloudSecuritycenterV1ExternalSystem" }, "parameterOrder": [ "name" ], "path": "v1/{+name}", "flatPath": "v1/folders/{foldersId}/sources/{sourcesId}/findings/{findingsId}/externalSystems/{externalSystemsId}", "request": { "$ref": "GoogleCloudSecuritycenterV1ExternalSystem" }, "parameters": { "name": { "type": "string", "description": "External System Name e.g. jira, demisto, etc. e.g.: `organizations/1234/sources/5678/findings/123456/externalSystems/jira` `folders/1234/sources/5678/findings/123456/externalSystems/jira` `projects/1234/sources/5678/findings/123456/externalSystems/jira`", "required": true, "pattern": "^folders/[^/]+/sources/[^/]+/findings/[^/]+/externalSystems/[^/]+$", "location": "path" }, "updateMask": { "location": "query", "description": "The FieldMask to use when updating the external system resource. If empty all mutable fields will be updated.", "format": "google-fieldmask", "type": "string" } }, "httpMethod": "PATCH" } } } } } }, "methods": { "list": { "path": "v1/{+parent}/sources", "httpMethod": "GET", "flatPath": "v1/folders/{foldersId}/sources", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Lists all sources belonging to an organization.", "id": "securitycenter.folders.sources.list", "parameters": { "pageSize": { "format": "int32", "type": "integer", "description": "The maximum number of results to return in a single response. Default is 10, minimum is 1, maximum is 1000.", "location": "query" }, "pageToken": { "type": "string", "location": "query", "description": "The value returned by the last `ListSourcesResponse`; indicates that this is a continuation of a prior `ListSources` call, and that the system should return the next page of data." }, "parent": { "pattern": "^folders/[^/]+$", "location": "path", "type": "string", "required": true, "description": "Required. Resource name of the parent of sources to list. Its format should be \"organizations/[organization_id], folders/[folder_id], or projects/[project_id]\"." } }, "parameterOrder": [ "parent" ], "response": { "$ref": "ListSourcesResponse" } } } }, "findings": { "methods": { "bulkMute": { "id": "securitycenter.folders.findings.bulkMute", "parameters": { "parent": { "description": "Required. The parent, at which bulk action needs to be applied. Its format is \"organizations/[organization_id]\", \"folders/[folder_id]\", \"projects/[project_id]\".", "pattern": "^folders/[^/]+$", "location": "path", "required": true, "type": "string" } }, "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST", "flatPath": "v1/folders/{foldersId}/findings:bulkMute", "response": { "$ref": "Operation" }, "request": { "$ref": "BulkMuteFindingsRequest" }, "description": "Kicks off an LRO to bulk mute findings for a parent based on a filter. The parent can be either an organization, folder or project. The findings matched by the filter will be muted after the LRO is done.", "path": "v1/{+parent}/findings:bulkMute" } } }, "assets": { "methods": { "updateSecurityMarks": { "response": { "$ref": "SecurityMarks" }, "request": { "$ref": "SecurityMarks" }, "path": "v1/{+name}", "description": "Updates security marks.", "httpMethod": "PATCH", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "type": "string", "pattern": "^folders/[^/]+/assets/[^/]+/securityMarks$", "required": true, "description": "The relative resource name of the SecurityMarks. See: https://cloud.google.com/apis/design/resource_names#relative_resource_name Examples: \"organizations/{organization_id}/assets/{asset_id}/securityMarks\" \"organizations/{organization_id}/sources/{source_id}/findings/{finding_id}/securityMarks\".", "location": "path" }, "startTime": { "type": "string", "location": "query", "format": "google-datetime", "description": "The time at which the updated SecurityMarks take effect. If not set uses current server time. Updates will be applied to the SecurityMarks that are active immediately preceding this time. Must be earlier or equal to the server time." }, "updateMask": { "description": "The FieldMask to use when updating the security marks resource. The field mask must not contain duplicate fields. If empty or set to \"marks\", all marks will be replaced. Individual marks can be updated using \"marks.\".", "type": "string", "format": "google-fieldmask", "location": "query" } }, "flatPath": "v1/folders/{foldersId}/assets/{assetsId}/securityMarks", "parameterOrder": [ "name" ], "id": "securitycenter.folders.assets.updateSecurityMarks" }, "list": { "flatPath": "v1/folders/{foldersId}/assets", "description": "Lists an organization's assets.", "id": "securitycenter.folders.assets.list", "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "pageSize": { "location": "query", "description": "The maximum number of results to return in a single response. Default is 10, minimum is 1, maximum is 1000.", "type": "integer", "format": "int32" }, "parent": { "location": "path", "required": true, "description": "Required. Name of the organization assets should belong to. Its format is \"organizations/[organization_id], folders/[folder_id], or projects/[project_id]\".", "pattern": "^folders/[^/]+$", "type": "string" }, "fieldMask": { "type": "string", "location": "query", "format": "google-fieldmask", "description": "A field mask to specify the ListAssetsResult fields to be listed in the response. An empty field mask will list all fields." }, "compareDuration": { "format": "google-duration", "location": "query", "type": "string", "description": "When compare_duration is set, the ListAssetsResult's \"state_change\" attribute is updated to indicate whether the asset was added, removed, or remained present during the compare_duration period of time that precedes the read_time. This is the time between (read_time - compare_duration) and read_time. The state_change value is derived based on the presence of the asset at the two points in time. Intermediate state changes between the two times don't affect the result. For example, the results aren't affected if the asset is removed and re-created again. Possible \"state_change\" values when compare_duration is specified: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"ADDED\": indicates that the asset was not present at the start of compare_duration, but present at read_time. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"REMOVED\": indicates that the asset was present at the start of compare_duration, but not present at read_time. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"ACTIVE\": indicates that the asset was present at both the start and the end of the time period defined by compare_duration and read_time. If compare_duration is not specified, then the only possible state_change is \"UNUSED\", which will be the state_change set for all assets present at read_time." }, "pageToken": { "location": "query", "description": "The value returned by the last `ListAssetsResponse`; indicates that this is a continuation of a prior `ListAssets` call, and that the system should return the next page of data.", "type": "string" }, "readTime": { "format": "google-datetime", "type": "string", "description": "Time used as a reference point when filtering assets. The filter is limited to assets existing at the supplied time and their values are those at that specific time. Absence of this field will default to the API's version of NOW.", "location": "query" }, "filter": { "location": "query", "type": "string", "description": "Expression that defines the filter to apply across assets. The expression is a list of zero or more restrictions combined via logical operators `AND` and `OR`. Parentheses are supported, and `OR` has higher precedence than `AND`. Restrictions have the form ` ` and may have a `-` character in front of them to indicate negation. The fields map to those defined in the Asset resource. Examples include: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh name LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh security_center_properties.resource_name LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh resource_properties.a_property LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh security_marks.marks.marka The supported operators are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `=` for all value types. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `\u003e`, `\u003c`, `\u003e=`, `\u003c=` for integer values. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `:`, meaning substring matching, for strings. The supported value types are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh string literals in quotes. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh integer literals without quotes. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh boolean literals `true` and `false` without quotes. The following are the allowed field and operator combinations: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh name: `=` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh update_time: `=`, `\u003e`, `\u003c`, `\u003e=`, `\u003c=` Usage: This should be milliseconds since epoch or an RFC3339 string. Examples: `update_time = \"2019-06-10T16:07:18-07:00\"` `update_time = 1560208038000` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh create_time: `=`, `\u003e`, `\u003c`, `\u003e=`, `\u003c=` Usage: This should be milliseconds since epoch or an RFC3339 string. Examples: `create_time = \"2019-06-10T16:07:18-07:00\"` `create_time = 1560208038000` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh iam_policy.policy_blob: `=`, `:` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh resource_properties: `=`, `:`, `\u003e`, `\u003c`, `\u003e=`, `\u003c=` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh security_marks.marks: `=`, `:` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh security_center_properties.resource_name: `=`, `:` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh security_center_properties.resource_display_name: `=`, `:` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh security_center_properties.resource_type: `=`, `:` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh security_center_properties.resource_parent: `=`, `:` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh security_center_properties.resource_parent_display_name: `=`, `:` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh security_center_properties.resource_project: `=`, `:` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh security_center_properties.resource_project_display_name: `=`, `:` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh security_center_properties.resource_owners: `=`, `:` For example, `resource_properties.size = 100` is a valid filter string. Use a partial match on the empty string to filter based on a property existing: `resource_properties.my_property : \"\"` Use a negated partial match on the empty string to filter based on a property not existing: `-resource_properties.my_property : \"\"`" }, "orderBy": { "description": "Expression that defines what fields and order to use for sorting. The string value should follow SQL syntax: comma separated list of fields. For example: \"name,resource_properties.a_property\". The default sorting order is ascending. To specify descending order for a field, a suffix \" desc\" should be appended to the field name. For example: \"name desc,resource_properties.a_property\". Redundant space characters in the syntax are insignificant. \"name desc,resource_properties.a_property\" and \" name desc , resource_properties.a_property \" are equivalent. The following fields are supported: name update_time resource_properties security_marks.marks security_center_properties.resource_name security_center_properties.resource_display_name security_center_properties.resource_parent security_center_properties.resource_parent_display_name security_center_properties.resource_project security_center_properties.resource_project_display_name security_center_properties.resource_type", "location": "query", "type": "string" } }, "httpMethod": "GET", "path": "v1/{+parent}/assets", "response": { "$ref": "ListAssetsResponse" } }, "group": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "parent" ], "parameters": { "parent": { "location": "path", "type": "string", "pattern": "^folders/[^/]+$", "required": true, "description": "Required. Name of the organization to groupBy. Its format is \"organizations/[organization_id], folders/[folder_id], or projects/[project_id]\"." } }, "path": "v1/{+parent}/assets:group", "description": "Filters an organization's assets and groups them by their specified properties.", "httpMethod": "POST", "response": { "$ref": "GroupAssetsResponse" }, "flatPath": "v1/folders/{foldersId}/assets:group", "id": "securitycenter.folders.assets.group", "request": { "$ref": "GroupAssetsRequest" } } } }, "bigQueryExports": { "methods": { "patch": { "response": { "$ref": "GoogleCloudSecuritycenterV1BigQueryExport" }, "request": { "$ref": "GoogleCloudSecuritycenterV1BigQueryExport" }, "description": "Updates a BigQuery export.", "parameterOrder": [ "name" ], "id": "securitycenter.folders.bigQueryExports.patch", "parameters": { "name": { "pattern": "^folders/[^/]+/bigQueryExports/[^/]+$", "description": "The relative resource name of this export. See: https://cloud.google.com/apis/design/resource_names#relative_resource_name. Example format: \"organizations/{organization_id}/bigQueryExports/{export_id}\" Example format: \"folders/{folder_id}/bigQueryExports/{export_id}\" Example format: \"projects/{project_id}/bigQueryExports/{export_id}\" This field is provided in responses, and is ignored when provided in create requests.", "location": "path", "type": "string", "required": true }, "updateMask": { "location": "query", "type": "string", "format": "google-fieldmask", "description": "The list of fields to be updated. If empty all mutable fields will be updated." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "PATCH", "path": "v1/{+name}", "flatPath": "v1/folders/{foldersId}/bigQueryExports/{bigQueryExportsId}" }, "get": { "httpMethod": "GET", "description": "Gets a big query export.", "path": "v1/{+name}", "flatPath": "v1/folders/{foldersId}/bigQueryExports/{bigQueryExportsId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "id": "securitycenter.folders.bigQueryExports.get", "parameters": { "name": { "required": true, "pattern": "^folders/[^/]+/bigQueryExports/[^/]+$", "description": "Required. Name of the big query export to retrieve. Its format is organizations/{organization}/bigQueryExports/{export_id}, folders/{folder}/bigQueryExports/{export_id}, or projects/{project}/bigQueryExports/{export_id}", "type": "string", "location": "path" } }, "response": { "$ref": "GoogleCloudSecuritycenterV1BigQueryExport" } }, "create": { "id": "securitycenter.folders.bigQueryExports.create", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+parent}/bigQueryExports", "parameters": { "bigQueryExportId": { "location": "query", "type": "string", "description": "Required. Unique identifier provided by the client within the parent scope. It must consist of lower case letters, numbers, and hyphen, with the first character a letter, the last a letter or a number, and a 63 character maximum." }, "parent": { "pattern": "^folders/[^/]+$", "location": "path", "type": "string", "required": true, "description": "Required. Resource name of the new big query export's parent. Its format is \"organizations/[organization_id]\", \"folders/[folder_id]\", or \"projects/[project_id]\"." } }, "description": "Creates a big query export.", "parameterOrder": [ "parent" ], "httpMethod": "POST", "flatPath": "v1/folders/{foldersId}/bigQueryExports", "request": { "$ref": "GoogleCloudSecuritycenterV1BigQueryExport" }, "response": { "$ref": "GoogleCloudSecuritycenterV1BigQueryExport" } }, "list": { "id": "securitycenter.folders.bigQueryExports.list", "parameterOrder": [ "parent" ], "path": "v1/{+parent}/bigQueryExports", "description": "Lists BigQuery exports. Note that when requesting BigQuery exports at a given level all exports under that level are also returned e.g. if requesting BigQuery exports under a folder, then all BigQuery exports immediately under the folder plus the ones created under the projects within the folder are returned.", "parameters": { "pageToken": { "type": "string", "location": "query", "description": "A page token, received from a previous `ListBigQueryExports` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListBigQueryExports` must match the call that provided the page token." }, "parent": { "description": "Required. The parent, which owns the collection of BigQuery exports. Its format is \"organizations/[organization_id]\", \"folders/[folder_id]\", \"projects/[project_id]\".", "required": true, "type": "string", "pattern": "^folders/[^/]+$", "location": "path" }, "pageSize": { "type": "integer", "location": "query", "description": "The maximum number of configs to return. The service may return fewer than this value. If unspecified, at most 10 configs will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.", "format": "int32" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/folders/{foldersId}/bigQueryExports", "response": { "$ref": "ListBigQueryExportsResponse" }, "httpMethod": "GET" }, "delete": { "httpMethod": "DELETE", "parameterOrder": [ "name" ], "response": { "$ref": "Empty" }, "parameters": { "name": { "location": "path", "type": "string", "description": "Required. Name of the big query export to delete. Its format is organizations/{organization}/bigQueryExports/{export_id}, folders/{folder}/bigQueryExports/{export_id}, or projects/{project}/bigQueryExports/{export_id}", "required": true, "pattern": "^folders/[^/]+/bigQueryExports/[^/]+$" } }, "description": "Deletes an existing big query export.", "id": "securitycenter.folders.bigQueryExports.delete", "flatPath": "v1/folders/{foldersId}/bigQueryExports/{bigQueryExportsId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+name}" } } } } } }, "revision": "20220707", "ownerDomain": "google.com", "basePath": "", "ownerName": "Google", "discoveryVersion": "v1", "name": "securitycenter", "protocol": "rest", "servicePath": "", "mtlsRootUrl": "https://securitycenter.mtls.googleapis.com/", "icons": { "x32": "http://www.google.com/images/icons/product/search-32.gif", "x16": "http://www.google.com/images/icons/product/search-16.gif" }, "documentationLink": "https://cloud.google.com/security-command-center", "baseUrl": "https://securitycenter.googleapis.com/", "schemas": { "GoogleCloudSecuritycenterV1Resource": { "id": "GoogleCloudSecuritycenterV1Resource", "type": "object", "description": "Information related to the Google Cloud resource.", "properties": { "type": { "description": "The full resource type of the resource.", "type": "string" }, "displayName": { "type": "string", "description": "The human readable name of the resource." }, "project": { "description": "The full resource name of project that the resource belongs to.", "type": "string" }, "folders": { "type": "array", "readOnly": true, "description": "Output only. Contains a Folder message for each folder in the assets ancestry. The first folder is the deepest nested folder, and the last folder is the folder directly under the Organization.", "items": { "$ref": "Folder" } }, "parentDisplayName": { "type": "string", "description": "The human readable name of resource's parent." }, "projectDisplayName": { "description": "The project ID that the resource belongs to.", "type": "string" }, "name": { "type": "string", "description": "The full resource name of the resource. See: https://cloud.google.com/apis/design/resource_names#full_resource_name" }, "parent": { "description": "The full resource name of resource's parent.", "type": "string" } } }, "Detection": { "properties": { "percentPagesMatched": { "description": "The percentage of memory page hashes in the signature that were matched.", "type": "number", "format": "double" }, "binary": { "description": "The name of the binary associated with the memory hash signature detection.", "type": "string" } }, "description": "Memory hash detection contributing to the binary family match.", "type": "object", "id": "Detection" }, "GoogleCloudSecuritycenterV1p1beta1RunAssetDiscoveryResponse": { "properties": { "duration": { "type": "string", "format": "google-duration", "description": "The duration between asset discovery run start and end" }, "state": { "type": "string", "enum": [ "STATE_UNSPECIFIED", "COMPLETED", "SUPERSEDED", "TERMINATED" ], "description": "The state of an asset discovery run.", "enumDescriptions": [ "Asset discovery run state was unspecified.", "Asset discovery run completed successfully.", "Asset discovery run was cancelled with tasks still pending, as another run for the same organization was started with a higher priority.", "Asset discovery run was killed and terminated." ] } }, "type": "object", "description": "Response of asset discovery run", "id": "GoogleCloudSecuritycenterV1p1beta1RunAssetDiscoveryResponse" }, "Policy": { "description": "An Identity and Access Management (IAM) policy, which specifies access controls for Google Cloud resources. A `Policy` is a collection of `bindings`. A `binding` binds one or more `members`, or principals, to a single `role`. Principals can be user accounts, service accounts, Google groups, and domains (such as G Suite). A `role` is a named list of permissions; each `role` can be an IAM predefined role or a user-created custom role. For some types of Google Cloud resources, a `binding` can also specify a `condition`, which is a logical expression that allows access to a resource only if the expression evaluates to `true`. A condition can add constraints based on attributes of the request, the resource, or both. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies). **JSON example:** { \"bindings\": [ { \"role\": \"roles/resourcemanager.organizationAdmin\", \"members\": [ \"user:mike@example.com\", \"group:admins@example.com\", \"domain:google.com\", \"serviceAccount:my-project-id@appspot.gserviceaccount.com\" ] }, { \"role\": \"roles/resourcemanager.organizationViewer\", \"members\": [ \"user:eve@example.com\" ], \"condition\": { \"title\": \"expirable access\", \"description\": \"Does not grant access after Sep 2020\", \"expression\": \"request.time \u003c timestamp('2020-10-01T00:00:00.000Z')\", } } ], \"etag\": \"BwWWja0YfJA=\", \"version\": 3 } **YAML example:** bindings: - members: - user:mike@example.com - group:admins@example.com - domain:google.com - serviceAccount:my-project-id@appspot.gserviceaccount.com role: roles/resourcemanager.organizationAdmin - members: - user:eve@example.com role: roles/resourcemanager.organizationViewer condition: title: expirable access description: Does not grant access after Sep 2020 expression: request.time \u003c timestamp('2020-10-01T00:00:00.000Z') etag: BwWWja0YfJA= version: 3 For a description of IAM and its features, see the [IAM documentation](https://cloud.google.com/iam/docs/).", "id": "Policy", "properties": { "auditConfigs": { "type": "array", "items": { "$ref": "AuditConfig" }, "description": "Specifies cloud audit logging configuration for this policy." }, "bindings": { "items": { "$ref": "Binding" }, "description": "Associates a list of `members`, or principals, with a `role`. Optionally, may specify a `condition` that determines how and when the `bindings` are applied. Each of the `bindings` must contain at least one principal. The `bindings` in a `Policy` can refer to up to 1,500 principals; up to 250 of these principals can be Google groups. Each occurrence of a principal counts towards these limits. For example, if the `bindings` grant 50 different roles to `user:alice@example.com`, and not to any other principal, then you can add another 1,450 principals to the `bindings` in the `Policy`.", "type": "array" }, "version": { "type": "integer", "format": "int32", "description": "Specifies the format of the policy. Valid values are `0`, `1`, and `3`. Requests that specify an invalid value are rejected. Any operation that affects conditional role bindings must specify version `3`. This requirement applies to the following operations: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Getting a policy that includes a conditional role binding LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Adding a conditional role binding to a policy LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Changing a conditional role binding in a policy LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Removing any role binding, with or without a condition, from a policy that includes conditions **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost. If a policy does not include any conditions, operations on that policy may specify any valid version or leave the field unset. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies)." }, "etag": { "description": "`etag` is used for optimistic concurrency control as a way to help prevent simultaneous updates of a policy from overwriting each other. It is strongly suggested that systems make use of the `etag` in the read-modify-write cycle to perform policy updates in order to avoid race conditions: An `etag` is returned in the response to `getIamPolicy`, and systems are expected to put that etag in the request to `setIamPolicy` to ensure that their change will be applied to the same version of the policy. **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost.", "format": "byte", "type": "string" } }, "type": "object" }, "YaraRuleSignature": { "properties": { "yaraRule": { "description": "The name of the YARA rule.", "type": "string" } }, "type": "object", "description": "A signature corresponding to a YARA rule.", "id": "YaraRuleSignature" }, "AssetDiscoveryConfig": { "properties": { "projectIds": { "description": "The project ids to use for filtering asset discovery.", "items": { "type": "string" }, "type": "array" }, "inclusionMode": { "type": "string", "enum": [ "INCLUSION_MODE_UNSPECIFIED", "INCLUDE_ONLY", "EXCLUDE" ], "enumDescriptions": [ "Unspecified. Setting the mode with this value will disable inclusion/exclusion filtering for Asset Discovery.", "Asset Discovery will capture only the resources within the projects specified. All other resources will be ignored.", "Asset Discovery will ignore all resources under the projects specified. All other resources will be retrieved." ], "description": "The mode to use for filtering asset discovery." }, "folderIds": { "description": "The folder ids to use for filtering asset discovery. It consists of only digits, e.g., 756619654966.", "items": { "type": "string" }, "type": "array" } }, "id": "AssetDiscoveryConfig", "type": "object", "description": "The configuration used for Asset Discovery runs." }, "Empty": { "properties": {}, "id": "Empty", "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }", "type": "object" }, "SetIamPolicyRequest": { "id": "SetIamPolicyRequest", "type": "object", "properties": { "policy": { "description": "REQUIRED: The complete policy to be applied to the `resource`. The size of the policy is limited to a few 10s of KB. An empty policy is a valid policy but certain Google Cloud services (such as Projects) might reject them.", "$ref": "Policy" }, "updateMask": { "format": "google-fieldmask", "type": "string", "description": "OPTIONAL: A FieldMask specifying which fields of the policy to modify. Only the fields in the mask will be modified. If no mask is provided, the following default mask is used: `paths: \"bindings, etag\"`" } }, "description": "Request message for `SetIamPolicy` method." }, "Connection": { "properties": { "sourceIp": { "description": "Source IP address.", "type": "string" }, "destinationIp": { "description": "Destination IP address. Not present for sockets that are listening and not connected.", "type": "string" }, "destinationPort": { "description": "Destination port. Not present for sockets that are listening and not connected.", "type": "integer", "format": "int32" }, "sourcePort": { "type": "integer", "format": "int32", "description": "Source port." }, "protocol": { "enumDescriptions": [ "Unspecified protocol (not HOPOPT).", "Internet Control Message Protocol.", "Transmission Control Protocol.", "User Datagram Protocol.", "Generic Routing Encapsulation.", "Encap Security Payload." ], "type": "string", "description": "IANA Internet Protocol Number such as TCP(6) and UDP(17).", "enum": [ "PROTOCOL_UNSPECIFIED", "ICMP", "TCP", "UDP", "GRE", "ESP" ] } }, "description": "Contains information about the IP connection associated with the finding.", "id": "Connection", "type": "object" }, "MitreAttack": { "properties": { "version": { "description": "The MITRE ATT&CK version referenced by the above fields. E.g. \"8\".", "type": "string" }, "primaryTechniques": { "items": { "enum": [ "TECHNIQUE_UNSPECIFIED", "ACTIVE_SCANNING", "SCANNING_IP_BLOCKS", "INGRESS_TOOL_TRANSFER", "NATIVE_API", "SHARED_MODULES", "COMMAND_AND_SCRIPTING_INTERPRETER", "UNIX_SHELL", "RESOURCE_HIJACKING", "PROXY", "EXTERNAL_PROXY", "MULTI_HOP_PROXY", "DYNAMIC_RESOLUTION", "UNSECURED_CREDENTIALS", "VALID_ACCOUNTS", "LOCAL_ACCOUNTS", "CLOUD_ACCOUNTS", "NETWORK_DENIAL_OF_SERVICE", "PERMISSION_GROUPS_DISCOVERY", "CLOUD_GROUPS", "EXFILTRATION_OVER_WEB_SERVICE", "EXFILTRATION_TO_CLOUD_STORAGE", "ACCOUNT_MANIPULATION", "SSH_AUTHORIZED_KEYS", "CREATE_OR_MODIFY_SYSTEM_PROCESS", "STEAL_WEB_SESSION_COOKIE", "MODIFY_CLOUD_COMPUTE_INFRASTRUCTURE", "EXPLOIT_PUBLIC_FACING_APPLICATION", "MODIFY_AUTHENTICATION_PROCESS", "DATA_DESTRUCTION", "DOMAIN_POLICY_MODIFICATION", "IMPAIR_DEFENSES" ], "type": "string", "enumDescriptions": [ "Unspecified value.", "T1595", "T1595.001", "T1105", "T1106", "T1129", "T1059", "T1059.004", "T1496", "T1090", "T1090.002", "T1090.003", "T1568", "T1552", "T1078", "T1078.003", "T1078.004", "T1498", "T1069", "T1069.003", "T1567", "T1567.002", "T1098", "T1098.004", "T1543", "T1539", "T1578", "T1190", "T1556", "T1485", "T1484", "T1562" ] }, "type": "array", "description": "The MITRE ATT&CK technique most closely represented by this finding, if any. primary_techniques is a repeated field because there are multiple levels of MITRE ATT&CK techniques. If the technique most closely represented by this finding is a sub-technique (e.g. `SCANNING_IP_BLOCKS`), both the sub-technique and its parent technique(s) will be listed (e.g. `SCANNING_IP_BLOCKS`, `ACTIVE_SCANNING`)." }, "primaryTactic": { "enumDescriptions": [ "Unspecified value.", "TA0043", "TA0042", "TA0001", "TA0002", "TA0003", "TA0004", "TA0005", "TA0006", "TA0007", "TA0008", "TA0009", "TA0011", "TA0010", "TA0040" ], "enum": [ "TACTIC_UNSPECIFIED", "RECONNAISSANCE", "RESOURCE_DEVELOPMENT", "INITIAL_ACCESS", "EXECUTION", "PERSISTENCE", "PRIVILEGE_ESCALATION", "DEFENSE_EVASION", "CREDENTIAL_ACCESS", "DISCOVERY", "LATERAL_MOVEMENT", "COLLECTION", "COMMAND_AND_CONTROL", "EXFILTRATION", "IMPACT" ], "type": "string", "description": "The MITRE ATT&CK tactic most closely represented by this finding, if any." }, "additionalTechniques": { "description": "Additional MITRE ATT&CK techniques related to this finding, if any, along with any of their respective parent techniques.", "items": { "enumDescriptions": [ "Unspecified value.", "T1595", "T1595.001", "T1105", "T1106", "T1129", "T1059", "T1059.004", "T1496", "T1090", "T1090.002", "T1090.003", "T1568", "T1552", "T1078", "T1078.003", "T1078.004", "T1498", "T1069", "T1069.003", "T1567", "T1567.002", "T1098", "T1098.004", "T1543", "T1539", "T1578", "T1190", "T1556", "T1485", "T1484", "T1562" ], "type": "string", "enum": [ "TECHNIQUE_UNSPECIFIED", "ACTIVE_SCANNING", "SCANNING_IP_BLOCKS", "INGRESS_TOOL_TRANSFER", "NATIVE_API", "SHARED_MODULES", "COMMAND_AND_SCRIPTING_INTERPRETER", "UNIX_SHELL", "RESOURCE_HIJACKING", "PROXY", "EXTERNAL_PROXY", "MULTI_HOP_PROXY", "DYNAMIC_RESOLUTION", "UNSECURED_CREDENTIALS", "VALID_ACCOUNTS", "LOCAL_ACCOUNTS", "CLOUD_ACCOUNTS", "NETWORK_DENIAL_OF_SERVICE", "PERMISSION_GROUPS_DISCOVERY", "CLOUD_GROUPS", "EXFILTRATION_OVER_WEB_SERVICE", "EXFILTRATION_TO_CLOUD_STORAGE", "ACCOUNT_MANIPULATION", "SSH_AUTHORIZED_KEYS", "CREATE_OR_MODIFY_SYSTEM_PROCESS", "STEAL_WEB_SESSION_COOKIE", "MODIFY_CLOUD_COMPUTE_INFRASTRUCTURE", "EXPLOIT_PUBLIC_FACING_APPLICATION", "MODIFY_AUTHENTICATION_PROCESS", "DATA_DESTRUCTION", "DOMAIN_POLICY_MODIFICATION", "IMPAIR_DEFENSES" ] }, "type": "array" }, "additionalTactics": { "type": "array", "items": { "enum": [ "TACTIC_UNSPECIFIED", "RECONNAISSANCE", "RESOURCE_DEVELOPMENT", "INITIAL_ACCESS", "EXECUTION", "PERSISTENCE", "PRIVILEGE_ESCALATION", "DEFENSE_EVASION", "CREDENTIAL_ACCESS", "DISCOVERY", "LATERAL_MOVEMENT", "COLLECTION", "COMMAND_AND_CONTROL", "EXFILTRATION", "IMPACT" ], "enumDescriptions": [ "Unspecified value.", "TA0043", "TA0042", "TA0001", "TA0002", "TA0003", "TA0004", "TA0005", "TA0006", "TA0007", "TA0008", "TA0009", "TA0011", "TA0010", "TA0040" ], "type": "string" }, "description": "Additional MITRE ATT&CK tactics related to this finding, if any." } }, "description": "MITRE ATT&CK tactics and techniques related to this finding. See: https://attack.mitre.org", "id": "MitreAttack", "type": "object" }, "Asset": { "type": "object", "properties": { "createTime": { "description": "The time at which the asset was created in Security Command Center.", "type": "string", "format": "google-datetime" }, "iamPolicy": { "description": "Cloud IAM Policy information associated with the Google Cloud resource described by the Security Command Center asset. This information is managed and defined by the Google Cloud resource and cannot be modified by the user.", "$ref": "IamPolicy" }, "name": { "description": "The relative resource name of this asset. See: https://cloud.google.com/apis/design/resource_names#relative_resource_name Example: \"organizations/{organization_id}/assets/{asset_id}\".", "type": "string" }, "resourceProperties": { "type": "object", "description": "Resource managed properties. These properties are managed and defined by the Google Cloud resource and cannot be modified by the user.", "additionalProperties": { "type": "any" } }, "canonicalName": { "type": "string", "description": "The canonical name of the resource. It's either \"organizations/{organization_id}/assets/{asset_id}\", \"folders/{folder_id}/assets/{asset_id}\" or \"projects/{project_number}/assets/{asset_id}\", depending on the closest CRM ancestor of the resource." }, "updateTime": { "format": "google-datetime", "description": "The time at which the asset was last updated or added in Cloud SCC.", "type": "string" }, "securityCenterProperties": { "$ref": "SecurityCenterProperties", "description": "Security Command Center managed properties. These properties are managed by Security Command Center and cannot be modified by the user." }, "securityMarks": { "description": "User specified security marks. These marks are entirely managed by the user and come from the SecurityMarks resource that belongs to the asset.", "$ref": "SecurityMarks" } }, "id": "Asset", "description": "Security Command Center representation of a Google Cloud resource. The Asset is a Security Command Center resource that captures information about a single Google Cloud resource. All modifications to an Asset are only within the context of Security Command Center and don't affect the referenced Google Cloud resource." }, "BulkMuteFindingsRequest": { "id": "BulkMuteFindingsRequest", "type": "object", "description": "Request message for bulk findings update. Note: 1. If multiple bulk update requests match the same resource, the order in which they get executed is not defined. 2. Once a bulk operation is started, there is no way to stop it.", "properties": { "muteAnnotation": { "description": "This can be a mute configuration name or any identifier for mute/unmute of findings based on the filter.", "type": "string" }, "filter": { "type": "string", "description": "Expression that identifies findings that should be updated. The expression is a list of zero or more restrictions combined via logical operators `AND` and `OR`. Parentheses are supported, and `OR` has higher precedence than `AND`. Restrictions have the form ` ` and may have a `-` character in front of them to indicate negation. The fields map to those defined in the corresponding resource. The supported operators are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `=` for all value types. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `\u003e`, `\u003c`, `\u003e=`, `\u003c=` for integer values. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `:`, meaning substring matching, for strings. The supported value types are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh string literals in quotes. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh integer literals without quotes. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh boolean literals `true` and `false` without quotes." } } }, "GoogleCloudSecuritycenterV1p1beta1NotificationMessage": { "properties": { "notificationConfigName": { "type": "string", "description": "Name of the notification config that generated current notification." }, "finding": { "$ref": "GoogleCloudSecuritycenterV1p1beta1Finding", "description": "If it's a Finding based notification config, this field will be populated." }, "resource": { "description": "The Cloud resource tied to the notification.", "$ref": "GoogleCloudSecuritycenterV1p1beta1Resource" } }, "id": "GoogleCloudSecuritycenterV1p1beta1NotificationMessage", "description": "Security Command Center's Notification", "type": "object" }, "AuditConfig": { "id": "AuditConfig", "properties": { "auditLogConfigs": { "items": { "$ref": "AuditLogConfig" }, "description": "The configuration for logging of each type of permission.", "type": "array" }, "service": { "description": "Specifies a service that will be enabled for audit logging. For example, `storage.googleapis.com`, `cloudsql.googleapis.com`. `allServices` is a special value that covers all services.", "type": "string" } }, "type": "object", "description": "Specifies the audit configuration for a service. The configuration determines which permission types are logged, and what identities, if any, are exempted from logging. An AuditConfig must have one or more AuditLogConfigs. If there are AuditConfigs for both `allServices` and a specific service, the union of the two AuditConfigs is used for that service: the log_types specified in each AuditConfig are enabled, and the exempted_members in each AuditLogConfig are exempted. Example Policy with multiple AuditConfigs: { \"audit_configs\": [ { \"service\": \"allServices\", \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\", \"exempted_members\": [ \"user:jose@example.com\" ] }, { \"log_type\": \"DATA_WRITE\" }, { \"log_type\": \"ADMIN_READ\" } ] }, { \"service\": \"sampleservice.googleapis.com\", \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\" }, { \"log_type\": \"DATA_WRITE\", \"exempted_members\": [ \"user:aliya@example.com\" ] } ] } ] } For sampleservice, this policy enables DATA_READ, DATA_WRITE and ADMIN_READ logging. It also exempts `jose@example.com` from DATA_READ logging, and `aliya@example.com` from DATA_WRITE logging." }, "Cve": { "description": "CVE stands for Common Vulnerabilities and Exposures. More information: https://cve.mitre.org", "properties": { "upstreamFixAvailable": { "description": "Whether upstream fix is available for the CVE.", "type": "boolean" }, "references": { "description": "Additional information about the CVE. e.g. https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-34527", "type": "array", "items": { "$ref": "Reference" } }, "cvssv3": { "description": "Describe Common Vulnerability Scoring System specified at https://www.first.org/cvss/v3.1/specification-document", "$ref": "Cvssv3" }, "id": { "type": "string", "description": "The unique identifier for the vulnerability. e.g. CVE-2021-34527" } }, "id": "Cve", "type": "object" }, "Vulnerability": { "description": "Refers to common vulnerability fields e.g. cve, cvss, cwe etc.", "properties": { "cve": { "$ref": "Cve", "description": "CVE stands for Common Vulnerabilities and Exposures (https://cve.mitre.org/about/)" } }, "type": "object", "id": "Vulnerability" }, "SetFindingStateRequest": { "description": "Request message for updating a finding's state.", "type": "object", "properties": { "state": { "description": "Required. The desired State of the finding.", "enumDescriptions": [ "Unspecified state.", "The finding requires attention and has not been addressed yet.", "The finding has been fixed, triaged as a non-issue or otherwise addressed and is no longer active." ], "type": "string", "enum": [ "STATE_UNSPECIFIED", "ACTIVE", "INACTIVE" ] }, "startTime": { "type": "string", "description": "Required. The time at which the updated state takes effect.", "format": "google-datetime" } }, "id": "SetFindingStateRequest" }, "ListMuteConfigsResponse": { "type": "object", "properties": { "nextPageToken": { "type": "string", "description": "A token, which can be sent as `page_token` to retrieve the next page. If this field is omitted, there are no subsequent pages." }, "muteConfigs": { "description": "The mute configs from the specified parent.", "type": "array", "items": { "$ref": "GoogleCloudSecuritycenterV1MuteConfig" } } }, "id": "ListMuteConfigsResponse", "description": "Response message for listing mute configs." }, "SecurityMarks": { "description": "User specified security marks that are attached to the parent Security Command Center resource. Security marks are scoped within a Security Command Center organization -- they can be modified and viewed by all users who have proper permissions on the organization.", "type": "object", "id": "SecurityMarks", "properties": { "marks": { "additionalProperties": { "type": "string" }, "description": "Mutable user specified security marks belonging to the parent resource. Constraints are as follows: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Keys and values are treated as case insensitive LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Keys must be between 1 - 256 characters (inclusive) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Keys must be letters, numbers, underscores, or dashes LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Values have leading and trailing whitespace trimmed, remaining characters must be between 1 - 4096 characters (inclusive)", "type": "object" }, "canonicalName": { "description": "The canonical name of the marks. Examples: \"organizations/{organization_id}/assets/{asset_id}/securityMarks\" \"folders/{folder_id}/assets/{asset_id}/securityMarks\" \"projects/{project_number}/assets/{asset_id}/securityMarks\" \"organizations/{organization_id}/sources/{source_id}/findings/{finding_id}/securityMarks\" \"folders/{folder_id}/sources/{source_id}/findings/{finding_id}/securityMarks\" \"projects/{project_number}/sources/{source_id}/findings/{finding_id}/securityMarks\"", "type": "string" }, "name": { "type": "string", "description": "The relative resource name of the SecurityMarks. See: https://cloud.google.com/apis/design/resource_names#relative_resource_name Examples: \"organizations/{organization_id}/assets/{asset_id}/securityMarks\" \"organizations/{organization_id}/sources/{source_id}/findings/{finding_id}/securityMarks\"." } } }, "Binding": { "type": "object", "id": "Binding", "properties": { "role": { "type": "string", "description": "Role that is assigned to the list of `members`, or principals. For example, `roles/viewer`, `roles/editor`, or `roles/owner`." }, "members": { "description": "Specifies the principals requesting access for a Google Cloud resource. `members` can have the following values: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `allUsers`: A special identifier that represents anyone who is on the internet; with or without a Google account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `allAuthenticatedUsers`: A special identifier that represents anyone who is authenticated with a Google account or a service account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `user:{emailid}`: An email address that represents a specific Google account. For example, `alice@example.com` . LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `serviceAccount:{emailid}`: An email address that represents a service account. For example, `my-other-app@appspot.gserviceaccount.com`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `group:{emailid}`: An email address that represents a Google group. For example, `admins@example.com`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:user:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a user that has been recently deleted. For example, `alice@example.com?uid=123456789012345678901`. If the user is recovered, this value reverts to `user:{emailid}` and the recovered user retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:serviceAccount:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a service account that has been recently deleted. For example, `my-other-app@appspot.gserviceaccount.com?uid=123456789012345678901`. If the service account is undeleted, this value reverts to `serviceAccount:{emailid}` and the undeleted service account retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:group:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a Google group that has been recently deleted. For example, `admins@example.com?uid=123456789012345678901`. If the group is recovered, this value reverts to `group:{emailid}` and the recovered group retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `domain:{domain}`: The G Suite domain (primary) that represents all the users of that domain. For example, `google.com` or `example.com`. ", "items": { "type": "string" }, "type": "array" }, "condition": { "$ref": "Expr", "description": "The condition that is associated with this binding. If the condition evaluates to `true`, then this binding applies to the current request. If the condition evaluates to `false`, then this binding does not apply to the current request. However, a different role binding might grant the same role to one or more of the principals in this binding. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies)." } }, "description": "Associates `members`, or principals, with a `role`." }, "Process": { "description": "Represents an operating system process.", "properties": { "binary": { "$ref": "File", "description": "File information for the process executable." }, "pid": { "description": "The process id.", "format": "int64", "type": "string" }, "name": { "type": "string", "description": "The process name visible in utilities like `top` and `ps`; it can be accessed via `/proc/[pid]/comm` and changed with `prctl(PR_SET_NAME)`." }, "envVariablesTruncated": { "type": "boolean", "description": "True if `env_variables` is incomplete." }, "args": { "type": "array", "items": { "type": "string" }, "description": "Process arguments as JSON encoded strings." }, "argumentsTruncated": { "description": "True if `args` is incomplete.", "type": "boolean" }, "libraries": { "description": "File information for libraries loaded by the process.", "type": "array", "items": { "$ref": "File" } }, "envVariables": { "items": { "$ref": "EnvironmentVariable" }, "description": "Process environment variables.", "type": "array" }, "script": { "$ref": "File", "description": "When the process represents the invocation of a script, `binary` provides information about the interpreter while `script` provides information about the script file provided to the interpreter." }, "parentPid": { "description": "The parent process id.", "format": "int64", "type": "string" } }, "id": "Process", "type": "object" }, "ListNotificationConfigsResponse": { "type": "object", "properties": { "notificationConfigs": { "description": "Notification configs belonging to the requested parent.", "type": "array", "items": { "$ref": "NotificationConfig" } }, "nextPageToken": { "description": "Token to retrieve the next page of results, or empty if there are no more results.", "type": "string" } }, "description": "Response message for listing notification configs.", "id": "ListNotificationConfigsResponse" }, "AuditLogConfig": { "id": "AuditLogConfig", "properties": { "logType": { "enum": [ "LOG_TYPE_UNSPECIFIED", "ADMIN_READ", "DATA_WRITE", "DATA_READ" ], "enumDescriptions": [ "Default case. Should never be this.", "Admin reads. Example: CloudIAM getIamPolicy", "Data writes. Example: CloudSQL Users create", "Data reads. Example: CloudSQL Users list" ], "description": "The log type that this config enables.", "type": "string" }, "exemptedMembers": { "description": "Specifies the identities that do not cause logging for this type of permission. Follows the same format of Binding.members.", "type": "array", "items": { "type": "string" } } }, "description": "Provides the configuration for logging a type of permissions. Example: { \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\", \"exempted_members\": [ \"user:jose@example.com\" ] }, { \"log_type\": \"DATA_WRITE\" } ] } This enables 'DATA_READ' and 'DATA_WRITE' logging, while exempting jose@example.com from DATA_READ logging.", "type": "object" }, "RunAssetDiscoveryRequest": { "properties": {}, "type": "object", "description": "Request message for running asset discovery for an organization.", "id": "RunAssetDiscoveryRequest" }, "GoogleCloudSecuritycenterV1p1beta1Resource": { "description": "Information related to the Google Cloud resource.", "id": "GoogleCloudSecuritycenterV1p1beta1Resource", "properties": { "parent": { "type": "string", "description": "The full resource name of resource's parent." }, "projectDisplayName": { "description": "The project id that the resource belongs to.", "type": "string" }, "project": { "description": "The full resource name of project that the resource belongs to.", "type": "string" }, "parentDisplayName": { "type": "string", "description": "The human readable name of resource's parent." }, "folders": { "items": { "$ref": "GoogleCloudSecuritycenterV1p1beta1Folder" }, "readOnly": true, "description": "Output only. Contains a Folder message for each folder in the assets ancestry. The first folder is the deepest nested folder, and the last folder is the folder directly under the Organization.", "type": "array" }, "name": { "description": "The full resource name of the resource. See: https://cloud.google.com/apis/design/resource_names#full_resource_name", "type": "string" } }, "type": "object" }, "NotificationConfig": { "description": "Cloud Security Command Center (Cloud SCC) notification configs. A notification config is a Cloud SCC resource that contains the configuration to send notifications for create/update events of findings, assets and etc.", "properties": { "serviceAccount": { "readOnly": true, "type": "string", "description": "Output only. The service account that needs \"pubsub.topics.publish\" permission to publish to the Pub/Sub topic." }, "description": { "description": "The description of the notification config (max of 1024 characters).", "type": "string" }, "name": { "type": "string", "description": "The relative resource name of this notification config. See: https://cloud.google.com/apis/design/resource_names#relative_resource_name Example: \"organizations/{organization_id}/notificationConfigs/notify_public_bucket\"." }, "streamingConfig": { "$ref": "StreamingConfig", "description": "The config for triggering streaming-based notifications." }, "pubsubTopic": { "description": "The Pub/Sub topic to send notifications to. Its format is \"projects/[project_id]/topics/[topic]\".", "type": "string" } }, "id": "NotificationConfig", "type": "object" }, "StreamingConfig": { "type": "object", "properties": { "filter": { "description": "Expression that defines the filter to apply across create/update events of assets or findings as specified by the event type. The expression is a list of zero or more restrictions combined via logical operators `AND` and `OR`. Parentheses are supported, and `OR` has higher precedence than `AND`. Restrictions have the form ` ` and may have a `-` character in front of them to indicate negation. The fields map to those defined in the corresponding resource. The supported operators are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `=` for all value types. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `\u003e`, `\u003c`, `\u003e=`, `\u003c=` for integer values. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `:`, meaning substring matching, for strings. The supported value types are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh string literals in quotes. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh integer literals without quotes. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh boolean literals `true` and `false` without quotes.", "type": "string" } }, "description": "The config for streaming-based notifications, which send each event as soon as it is detected.", "id": "StreamingConfig" }, "GoogleCloudSecuritycenterV1beta1RunAssetDiscoveryResponse": { "type": "object", "id": "GoogleCloudSecuritycenterV1beta1RunAssetDiscoveryResponse", "properties": { "state": { "type": "string", "enumDescriptions": [ "Asset discovery run state was unspecified.", "Asset discovery run completed successfully.", "Asset discovery run was cancelled with tasks still pending, as another run for the same organization was started with a higher priority.", "Asset discovery run was killed and terminated." ], "enum": [ "STATE_UNSPECIFIED", "COMPLETED", "SUPERSEDED", "TERMINATED" ], "description": "The state of an asset discovery run." }, "duration": { "description": "The duration between asset discovery run start and end", "format": "google-duration", "type": "string" } }, "description": "Response of asset discovery run" }, "IamPolicy": { "properties": { "policyBlob": { "type": "string", "description": "The JSON representation of the Policy associated with the asset. See https://cloud.google.com/iam/reference/rest/v1/Policy for format details." } }, "id": "IamPolicy", "description": "Cloud IAM Policy information associated with the Google Cloud resource described by the Security Command Center asset. This information is managed and defined by the Google Cloud resource and cannot be modified by the user.", "type": "object" }, "TestIamPermissionsRequest": { "properties": { "permissions": { "items": { "type": "string" }, "type": "array", "description": "The set of permissions to check for the `resource`. Permissions with wildcards (such as `*` or `storage.*`) are not allowed. For more information see [IAM Overview](https://cloud.google.com/iam/docs/overview#permissions)." } }, "description": "Request message for `TestIamPermissions` method.", "id": "TestIamPermissionsRequest", "type": "object" }, "Source": { "id": "Source", "type": "object", "properties": { "displayName": { "description": "The source's display name. A source's display name must be unique amongst its siblings, for example, two sources with the same parent can't share the same display name. The display name must have a length between 1 and 64 characters (inclusive).", "type": "string" }, "description": { "description": "The description of the source (max of 1024 characters). Example: \"Web Security Scanner is a web security scanner for common vulnerabilities in App Engine applications. It can automatically scan and detect four common vulnerabilities, including cross-site-scripting (XSS), Flash injection, mixed content (HTTP in HTTPS), and outdated or insecure libraries.\"", "type": "string" }, "name": { "type": "string", "description": "The relative resource name of this source. See: https://cloud.google.com/apis/design/resource_names#relative_resource_name Example: \"organizations/{organization_id}/sources/{source_id}\"" }, "canonicalName": { "description": "The canonical name of the finding. It's either \"organizations/{organization_id}/sources/{source_id}\", \"folders/{folder_id}/sources/{source_id}\" or \"projects/{project_number}/sources/{source_id}\", depending on the closest CRM ancestor of the resource associated with the finding.", "type": "string" } }, "description": "Security Command Center finding source. A finding source is an entity or a mechanism that can produce a finding. A source is like a container of findings that come from the same scanner, logger, monitor, and other tools." }, "Indicator": { "properties": { "signatures": { "description": "The list of matched signatures indicating that the given process is present in the environment.", "items": { "$ref": "ProcessSignature" }, "type": "array" }, "domains": { "description": "List of domains associated to the Finding.", "type": "array", "items": { "type": "string" } }, "ipAddresses": { "description": "List of ip addresses associated to the Finding.", "items": { "type": "string" }, "type": "array" } }, "description": "Represents what's commonly known as an Indicator of compromise (IoC) in computer forensics. This is an artifact observed on a network or in an operating system that, with high confidence, indicates a computer intrusion. Reference: https://en.wikipedia.org/wiki/Indicator_of_compromise", "id": "Indicator", "type": "object" }, "GoogleCloudSecuritycenterV1p1beta1Finding": { "id": "GoogleCloudSecuritycenterV1p1beta1Finding", "properties": { "parent": { "type": "string", "description": "The relative resource name of the source the finding belongs to. See: https://cloud.google.com/apis/design/resource_names#relative_resource_name This field is immutable after creation time. For example: \"organizations/{organization_id}/sources/{source_id}\"" }, "eventTime": { "description": "The time at which the event took place, or when an update to the finding occurred. For example, if the finding represents an open firewall it would capture the time the detector believes the firewall became open. The accuracy is determined by the detector. If the finding were to be resolved afterward, this time would reflect when the finding was resolved. Must not be set to a value greater than the current timestamp.", "format": "google-datetime", "type": "string" }, "canonicalName": { "description": "The canonical name of the finding. It's either \"organizations/{organization_id}/sources/{source_id}/findings/{finding_id}\", \"folders/{folder_id}/sources/{source_id}/findings/{finding_id}\" or \"projects/{project_number}/sources/{source_id}/findings/{finding_id}\", depending on the closest CRM ancestor of the resource associated with the finding.", "type": "string" }, "securityMarks": { "$ref": "GoogleCloudSecuritycenterV1p1beta1SecurityMarks", "readOnly": true, "description": "Output only. User specified security marks. These marks are entirely managed by the user and come from the SecurityMarks resource that belongs to the finding." }, "severity": { "type": "string", "enum": [ "SEVERITY_UNSPECIFIED", "CRITICAL", "HIGH", "MEDIUM", "LOW" ], "description": "The severity of the finding. This field is managed by the source that writes the finding.", "enumDescriptions": [ "No severity specified. The default value.", "Critical severity.", "High severity.", "Medium severity.", "Low severity." ] }, "createTime": { "description": "The time at which the finding was created in Security Command Center.", "type": "string", "format": "google-datetime" }, "sourceProperties": { "additionalProperties": { "type": "any" }, "description": "Source specific properties. These properties are managed by the source that writes the finding. The key names in the source_properties map must be between 1 and 255 characters, and must start with a letter and contain alphanumeric characters or underscores only.", "type": "object" }, "state": { "type": "string", "enum": [ "STATE_UNSPECIFIED", "ACTIVE", "INACTIVE" ], "enumDescriptions": [ "Unspecified state.", "The finding requires attention and has not been addressed yet.", "The finding has been fixed, triaged as a non-issue or otherwise addressed and is no longer active." ], "description": "The state of the finding." }, "name": { "type": "string", "description": "The relative resource name of this finding. See: https://cloud.google.com/apis/design/resource_names#relative_resource_name Example: \"organizations/{organization_id}/sources/{source_id}/findings/{finding_id}\"" }, "category": { "description": "The additional taxonomy group within findings from a given source. This field is immutable after creation time. Example: \"XSS_FLASH_INJECTION\"", "type": "string" }, "externalUri": { "type": "string", "description": "The URI that, if available, points to a web page outside of Security Command Center where additional information about the finding can be found. This field is guaranteed to be either empty or a well formed URL." }, "resourceName": { "type": "string", "description": "For findings on Google Cloud resources, the full resource name of the Google Cloud resource this finding is for. See: https://cloud.google.com/apis/design/resource_names#full_resource_name When the finding is for a non-Google Cloud resource, the resourceName can be a customer or partner defined string. This field is immutable after creation time." } }, "type": "object", "description": "Security Command Center finding. A finding is a record of assessment data (security, risk, health or privacy) ingested into Security Command Center for presentation, notification, analysis, policy testing, and enforcement. For example, an XSS vulnerability in an App Engine application is a finding." }, "ContactDetails": { "description": "The details pertaining to specific contacts", "type": "object", "properties": { "contacts": { "items": { "$ref": "Contact" }, "type": "array", "description": "A list of contacts" } }, "id": "ContactDetails" }, "GroupAssetsRequest": { "description": "Request message for grouping by assets.", "type": "object", "properties": { "pageSize": { "type": "integer", "format": "int32", "description": "The maximum number of results to return in a single response. Default is 10, minimum is 1, maximum is 1000." }, "compareDuration": { "description": "When compare_duration is set, the GroupResult's \"state_change\" property is updated to indicate whether the asset was added, removed, or remained present during the compare_duration period of time that precedes the read_time. This is the time between (read_time - compare_duration) and read_time. The state change value is derived based on the presence of the asset at the two points in time. Intermediate state changes between the two times don't affect the result. For example, the results aren't affected if the asset is removed and re-created again. Possible \"state_change\" values when compare_duration is specified: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"ADDED\": indicates that the asset was not present at the start of compare_duration, but present at reference_time. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"REMOVED\": indicates that the asset was present at the start of compare_duration, but not present at reference_time. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"ACTIVE\": indicates that the asset was present at both the start and the end of the time period defined by compare_duration and reference_time. If compare_duration is not specified, then the only possible state_change is \"UNUSED\", which will be the state_change set for all assets present at read_time. If this field is set then `state_change` must be a specified field in `group_by`.", "format": "google-duration", "type": "string" }, "readTime": { "format": "google-datetime", "type": "string", "description": "Time used as a reference point when filtering assets. The filter is limited to assets existing at the supplied time and their values are those at that specific time. Absence of this field will default to the API's version of NOW." }, "pageToken": { "description": "The value returned by the last `GroupAssetsResponse`; indicates that this is a continuation of a prior `GroupAssets` call, and that the system should return the next page of data.", "type": "string" }, "filter": { "description": "Expression that defines the filter to apply across assets. The expression is a list of zero or more restrictions combined via logical operators `AND` and `OR`. Parentheses are supported, and `OR` has higher precedence than `AND`. Restrictions have the form ` ` and may have a `-` character in front of them to indicate negation. The fields map to those defined in the Asset resource. Examples include: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh name LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh security_center_properties.resource_name LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh resource_properties.a_property LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh security_marks.marks.marka The supported operators are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `=` for all value types. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `\u003e`, `\u003c`, `\u003e=`, `\u003c=` for integer values. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `:`, meaning substring matching, for strings. The supported value types are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh string literals in quotes. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh integer literals without quotes. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh boolean literals `true` and `false` without quotes. The following field and operator combinations are supported: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh name: `=` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh update_time: `=`, `\u003e`, `\u003c`, `\u003e=`, `\u003c=` Usage: This should be milliseconds since epoch or an RFC3339 string. Examples: `update_time = \"2019-06-10T16:07:18-07:00\"` `update_time = 1560208038000` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh create_time: `=`, `\u003e`, `\u003c`, `\u003e=`, `\u003c=` Usage: This should be milliseconds since epoch or an RFC3339 string. Examples: `create_time = \"2019-06-10T16:07:18-07:00\"` `create_time = 1560208038000` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh iam_policy.policy_blob: `=`, `:` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh resource_properties: `=`, `:`, `\u003e`, `\u003c`, `\u003e=`, `\u003c=` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh security_marks.marks: `=`, `:` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh security_center_properties.resource_name: `=`, `:` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh security_center_properties.resource_display_name: `=`, `:` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh security_center_properties.resource_type: `=`, `:` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh security_center_properties.resource_parent: `=`, `:` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh security_center_properties.resource_parent_display_name: `=`, `:` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh security_center_properties.resource_project: `=`, `:` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh security_center_properties.resource_project_display_name: `=`, `:` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh security_center_properties.resource_owners: `=`, `:` For example, `resource_properties.size = 100` is a valid filter string. Use a partial match on the empty string to filter based on a property existing: `resource_properties.my_property : \"\"` Use a negated partial match on the empty string to filter based on a property not existing: `-resource_properties.my_property : \"\"`", "type": "string" }, "groupBy": { "description": "Required. Expression that defines what assets fields to use for grouping. The string value should follow SQL syntax: comma separated list of fields. For example: \"security_center_properties.resource_project,security_center_properties.project\". The following fields are supported when compare_duration is not set: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh security_center_properties.resource_project LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh security_center_properties.resource_project_display_name LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh security_center_properties.resource_type LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh security_center_properties.resource_parent LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh security_center_properties.resource_parent_display_name The following fields are supported when compare_duration is set: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh security_center_properties.resource_type LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh security_center_properties.resource_project_display_name LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh security_center_properties.resource_parent_display_name", "type": "string" } }, "id": "GroupAssetsRequest" }, "ListFindingsResponse": { "type": "object", "description": "Response message for listing findings.", "properties": { "readTime": { "description": "Time used for executing the list request.", "format": "google-datetime", "type": "string" }, "listFindingsResults": { "type": "array", "description": "Findings matching the list request.", "items": { "$ref": "ListFindingsResult" } }, "totalSize": { "description": "The total number of findings matching the query.", "type": "integer", "format": "int32" }, "nextPageToken": { "description": "Token to retrieve the next page of results, or empty if there are no more results.", "type": "string" } }, "id": "ListFindingsResponse" }, "TestIamPermissionsResponse": { "properties": { "permissions": { "type": "array", "items": { "type": "string" }, "description": "A subset of `TestPermissionsRequest.permissions` that the caller is allowed." } }, "id": "TestIamPermissionsResponse", "type": "object", "description": "Response message for `TestIamPermissions` method." }, "Geolocation": { "type": "object", "description": "Represents a geographical location for a given access.", "id": "Geolocation", "properties": { "regionCode": { "description": "A CLDR.", "type": "string" } } }, "Contact": { "properties": { "email": { "type": "string", "description": "An email address e.g. \"person123@company.com\"" } }, "type": "object", "id": "Contact", "description": "Representa a single contact's email address" }, "Expr": { "description": "Represents a textual expression in the Common Expression Language (CEL) syntax. CEL is a C-like expression language. The syntax and semantics of CEL are documented at https://github.com/google/cel-spec. Example (Comparison): title: \"Summary size limit\" description: \"Determines if a summary is less than 100 chars\" expression: \"document.summary.size() \u003c 100\" Example (Equality): title: \"Requestor is owner\" description: \"Determines if requestor is the document owner\" expression: \"document.owner == request.auth.claims.email\" Example (Logic): title: \"Public documents\" description: \"Determine whether the document should be publicly visible\" expression: \"document.type != 'private' && document.type != 'internal'\" Example (Data Manipulation): title: \"Notification string\" description: \"Create a notification string with a timestamp.\" expression: \"'New message received at ' + string(document.create_time)\" The exact variables and functions that may be referenced within an expression are determined by the service that evaluates it. See the service documentation for additional information.", "id": "Expr", "properties": { "description": { "description": "Optional. Description of the expression. This is a longer text which describes the expression, e.g. when hovered over it in a UI.", "type": "string" }, "location": { "type": "string", "description": "Optional. String indicating the location of the expression for error reporting, e.g. a file name and a position in the file." }, "expression": { "type": "string", "description": "Textual representation of an expression in Common Expression Language syntax." }, "title": { "type": "string", "description": "Optional. Title for the expression, i.e. a short string describing its purpose. This can be used e.g. in UIs which allow to enter the expression." } }, "type": "object" }, "File": { "type": "object", "description": "File information about the related binary/library used by an executable, or the script used by a script interpreter", "properties": { "size": { "type": "string", "format": "int64", "description": "Size of the file in bytes." }, "hashedSize": { "format": "int64", "description": "The length in bytes of the file prefix that was hashed. If hashed_size == size, any hashes reported represent the entire file.", "type": "string" }, "path": { "type": "string", "description": "Absolute path of the file as a JSON encoded string." }, "partiallyHashed": { "type": "boolean", "description": "True when the hash covers only a prefix of the file." }, "sha256": { "description": "SHA256 hash of the first hashed_size bytes of the file encoded as a hex string. If hashed_size == size, sha256 represents the SHA256 hash of the entire file.", "type": "string" }, "contents": { "type": "string", "description": "Prefix of the file contents as a JSON encoded string. (Currently only populated for Malicious Script Executed findings.)" } }, "id": "File" }, "GroupFindingsRequest": { "description": "Request message for grouping by findings.", "properties": { "pageToken": { "description": "The value returned by the last `GroupFindingsResponse`; indicates that this is a continuation of a prior `GroupFindings` call, and that the system should return the next page of data.", "type": "string" }, "pageSize": { "type": "integer", "description": "The maximum number of results to return in a single response. Default is 10, minimum is 1, maximum is 1000.", "format": "int32" }, "filter": { "type": "string", "description": "Expression that defines the filter to apply across findings. The expression is a list of one or more restrictions combined via logical operators `AND` and `OR`. Parentheses are supported, and `OR` has higher precedence than `AND`. Restrictions have the form ` ` and may have a `-` character in front of them to indicate negation. Examples include: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh name LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh source_properties.a_property LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh security_marks.marks.marka The supported operators are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `=` for all value types. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `\u003e`, `\u003c`, `\u003e=`, `\u003c=` for integer values. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `:`, meaning substring matching, for strings. The supported value types are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh string literals in quotes. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh integer literals without quotes. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh boolean literals `true` and `false` without quotes. The following field and operator combinations are supported: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh name: `=` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh parent: `=`, `:` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh resource_name: `=`, `:` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh state: `=`, `:` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh category: `=`, `:` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh external_uri: `=`, `:` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh event_time: `=`, `\u003e`, `\u003c`, `\u003e=`, `\u003c=` Usage: This should be milliseconds since epoch or an RFC3339 string. Examples: `event_time = \"2019-06-10T16:07:18-07:00\"` `event_time = 1560208038000` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh severity: `=`, `:` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh workflow_state: `=`, `:` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh security_marks.marks: `=`, `:` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh source_properties: `=`, `:`, `\u003e`, `\u003c`, `\u003e=`, `\u003c=` For example, `source_properties.size = 100` is a valid filter string. Use a partial match on the empty string to filter based on a property existing: `source_properties.my_property : \"\"` Use a negated partial match on the empty string to filter based on a property not existing: `-source_properties.my_property : \"\"` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh resource: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh resource.name: `=`, `:` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh resource.parent_name: `=`, `:` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh resource.parent_display_name: `=`, `:` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh resource.project_name: `=`, `:` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh resource.project_display_name: `=`, `:` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh resource.type: `=`, `:`" }, "readTime": { "description": "Time used as a reference point when filtering findings. The filter is limited to findings existing at the supplied time and their values are those at that specific time. Absence of this field will default to the API's version of NOW.", "type": "string", "format": "google-datetime" }, "compareDuration": { "type": "string", "format": "google-duration", "description": "When compare_duration is set, the GroupResult's \"state_change\" attribute is updated to indicate whether the finding had its state changed, the finding's state remained unchanged, or if the finding was added during the compare_duration period of time that precedes the read_time. This is the time between (read_time - compare_duration) and read_time. The state_change value is derived based on the presence and state of the finding at the two points in time. Intermediate state changes between the two times don't affect the result. For example, the results aren't affected if the finding is made inactive and then active again. Possible \"state_change\" values when compare_duration is specified: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"CHANGED\": indicates that the finding was present and matched the given filter at the start of compare_duration, but changed its state at read_time. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"UNCHANGED\": indicates that the finding was present and matched the given filter at the start of compare_duration and did not change state at read_time. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"ADDED\": indicates that the finding did not match the given filter or was not present at the start of compare_duration, but was present at read_time. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"REMOVED\": indicates that the finding was present and matched the filter at the start of compare_duration, but did not match the filter at read_time. If compare_duration is not specified, then the only possible state_change is \"UNUSED\", which will be the state_change set for all findings present at read_time. If this field is set then `state_change` must be a specified field in `group_by`." }, "groupBy": { "type": "string", "description": "Required. Expression that defines what assets fields to use for grouping (including `state_change`). The string value should follow SQL syntax: comma separated list of fields. For example: \"parent,resource_name\". The following fields are supported: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh resource_name LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh category LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh state LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh parent LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh severity The following fields are supported when compare_duration is set: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh state_change" } }, "type": "object", "id": "GroupFindingsRequest" }, "Reference": { "id": "Reference", "description": "Additional Links", "type": "object", "properties": { "uri": { "type": "string", "description": "Uri for the mentioned source e.g. https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-34527." }, "source": { "description": "Source of the reference e.g. NVD", "type": "string" } } }, "GoogleCloudSecuritycenterV1MuteConfig": { "description": "A mute config is a Cloud SCC resource that contains the configuration to mute create/update events of findings.", "type": "object", "id": "GoogleCloudSecuritycenterV1MuteConfig", "properties": { "displayName": { "description": "The human readable name to be displayed for the mute config.", "type": "string" }, "mostRecentEditor": { "type": "string", "description": "Output only. Email address of the user who last edited the mute config. This field is set by the server and will be ignored if provided on config creation or update.", "readOnly": true }, "name": { "type": "string", "description": "This field will be ignored if provided on config creation. Format \"organizations/{organization}/muteConfigs/{mute_config}\" \"folders/{folder}/muteConfigs/{mute_config}\" \"projects/{project}/muteConfigs/{mute_config}\"" }, "filter": { "type": "string", "description": "Required. An expression that defines the filter to apply across create/update events of findings. While creating a filter string, be mindful of the scope in which the mute configuration is being created. E.g., If a filter contains project = X but is created under the project = Y scope, it might not match any findings. The following field and operator combinations are supported: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh severity: `=`, `:` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh category: `=`, `:` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh resource.name: `=`, `:` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh resource.project_name: `=`, `:` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh resource.project_display_name: `=`, `:` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh resource.folders.resource_folder: `=`, `:` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh resource.parent_name: `=`, `:` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh resource.parent_display_name: `=`, `:` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh resource.type: `=`, `:` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh finding_class: `=`, `:` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh indicator.ip_addresses: `=`, `:` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh indicator.domains: `=`, `:`" }, "updateTime": { "readOnly": true, "description": "Output only. The most recent time at which the mute config was updated. This field is set by the server and will be ignored if provided on config creation or update.", "type": "string", "format": "google-datetime" }, "createTime": { "description": "Output only. The time at which the mute config was created. This field is set by the server and will be ignored if provided on config creation.", "readOnly": true, "type": "string", "format": "google-datetime" }, "description": { "description": "A description of the mute config.", "type": "string" } } }, "GoogleCloudSecuritycenterV1ExternalSystem": { "type": "object", "description": "Representation of third party SIEM/SOAR fields within SCC.", "properties": { "name": { "type": "string", "description": "External System Name e.g. jira, demisto, etc. e.g.: `organizations/1234/sources/5678/findings/123456/externalSystems/jira` `folders/1234/sources/5678/findings/123456/externalSystems/jira` `projects/1234/sources/5678/findings/123456/externalSystems/jira`" }, "status": { "description": "Most recent status of the corresponding finding's ticket/tracker in the external system.", "type": "string" }, "externalUid": { "type": "string", "description": "Identifier that's used to track the given finding in the external system." }, "assignees": { "description": "References primary/secondary etc assignees in the external system.", "type": "array", "items": { "type": "string" } }, "externalSystemUpdateTime": { "type": "string", "description": "The most recent time when the corresponding finding's ticket/tracker was updated in the external system.", "format": "google-datetime" } }, "id": "GoogleCloudSecuritycenterV1ExternalSystem" }, "ListAssetsResponse": { "properties": { "readTime": { "type": "string", "format": "google-datetime", "description": "Time used for executing the list request." }, "listAssetsResults": { "description": "Assets matching the list request.", "items": { "$ref": "ListAssetsResult" }, "type": "array" }, "totalSize": { "description": "The total number of assets matching the query.", "format": "int32", "type": "integer" }, "nextPageToken": { "type": "string", "description": "Token to retrieve the next page of results, or empty if there are no more results." } }, "id": "ListAssetsResponse", "description": "Response message for listing assets.", "type": "object" }, "GroupResult": { "type": "object", "description": "Result containing the properties and count of a groupBy request.", "id": "GroupResult", "properties": { "count": { "format": "int64", "description": "Total count of resources for the given properties.", "type": "string" }, "properties": { "type": "object", "additionalProperties": { "type": "any" }, "description": "Properties matching the groupBy fields in the request." } } }, "Resource": { "id": "Resource", "type": "object", "properties": { "type": { "type": "string", "description": "The full resource type of the resource." }, "projectName": { "type": "string", "description": "The full resource name of project that the resource belongs to." }, "parentDisplayName": { "type": "string", "description": "The human readable name of resource's parent." }, "projectDisplayName": { "description": "The project ID that the resource belongs to.", "type": "string" }, "name": { "type": "string", "description": "The full resource name of the resource. See: https://cloud.google.com/apis/design/resource_names#full_resource_name" }, "displayName": { "description": "The human readable name of the resource.", "type": "string" }, "folders": { "type": "array", "items": { "$ref": "Folder" }, "description": "Contains a Folder message for each folder in the assets ancestry. The first folder is the deepest nested folder, and the last folder is the folder directly under the Organization." }, "parentName": { "type": "string", "description": "The full resource name of resource's parent." } }, "description": "Information related to the Google Cloud resource that is associated with this finding." }, "GoogleCloudSecuritycenterV1RunAssetDiscoveryResponse": { "type": "object", "description": "Response of asset discovery run", "id": "GoogleCloudSecuritycenterV1RunAssetDiscoveryResponse", "properties": { "duration": { "format": "google-duration", "description": "The duration between asset discovery run start and end", "type": "string" }, "state": { "enum": [ "STATE_UNSPECIFIED", "COMPLETED", "SUPERSEDED", "TERMINATED" ], "enumDescriptions": [ "Asset discovery run state was unspecified.", "Asset discovery run completed successfully.", "Asset discovery run was cancelled with tasks still pending, as another run for the same organization was started with a higher priority.", "Asset discovery run was killed and terminated." ], "type": "string", "description": "The state of an asset discovery run." } } }, "IamBinding": { "id": "IamBinding", "properties": { "action": { "enumDescriptions": [ "Unspecified.", "Addition of a Binding.", "Removal of a Binding." ], "type": "string", "description": "The action that was performed on a Binding.", "enum": [ "ACTION_UNSPECIFIED", "ADD", "REMOVE" ] }, "member": { "description": "A single identity requesting access for a Cloud Platform resource, e.g. \"foo@google.com\".", "type": "string" }, "role": { "description": "Role that is assigned to \"members\". For example, \"roles/viewer\", \"roles/editor\", or \"roles/owner\".", "type": "string" } }, "type": "object", "description": "Represents a particular IAM binding, which captures a member's role addition, removal, or state." }, "GoogleCloudSecuritycenterV1p1beta1Folder": { "properties": { "resourceFolderDisplayName": { "type": "string", "description": "The user defined display name for this folder." }, "resourceFolder": { "type": "string", "description": "Full resource name of this folder. See: https://cloud.google.com/apis/design/resource_names#full_resource_name" } }, "type": "object", "id": "GoogleCloudSecuritycenterV1p1beta1Folder", "description": "Message that contains the resource name and display name of a folder resource." }, "ListOperationsResponse": { "properties": { "nextPageToken": { "description": "The standard List next-page token.", "type": "string" }, "operations": { "items": { "$ref": "Operation" }, "type": "array", "description": "A list of operations that matches the specified filter in the request." } }, "description": "The response message for Operations.ListOperations.", "type": "object", "id": "ListOperationsResponse" }, "SecurityCenterProperties": { "type": "object", "properties": { "resourceProject": { "type": "string", "description": "The full resource name of the project the resource belongs to. See: https://cloud.google.com/apis/design/resource_names#full_resource_name" }, "resourceParent": { "type": "string", "description": "The full resource name of the immediate parent of the resource. See: https://cloud.google.com/apis/design/resource_names#full_resource_name" }, "resourceName": { "type": "string", "description": "The full resource name of the Google Cloud resource this asset represents. This field is immutable after create time. See: https://cloud.google.com/apis/design/resource_names#full_resource_name" }, "resourceParentDisplayName": { "description": "The user defined display name for the parent of this resource.", "type": "string" }, "resourceOwners": { "type": "array", "description": "Owners of the Google Cloud resource.", "items": { "type": "string" } }, "resourceProjectDisplayName": { "type": "string", "description": "The user defined display name for the project of this resource." }, "resourceType": { "description": "The type of the Google Cloud resource. Examples include: APPLICATION, PROJECT, and ORGANIZATION. This is a case insensitive field defined by Security Command Center and/or the producer of the resource and is immutable after create time.", "type": "string" }, "folders": { "description": "Contains a Folder message for each folder in the assets ancestry. The first folder is the deepest nested folder, and the last folder is the folder directly under the Organization.", "type": "array", "items": { "$ref": "Folder" } }, "resourceDisplayName": { "type": "string", "description": "The user defined display name for this resource." } }, "id": "SecurityCenterProperties", "description": "Security Command Center managed properties. These properties are managed by Security Command Center and cannot be modified by the user." }, "ListSourcesResponse": { "properties": { "sources": { "description": "Sources belonging to the requested parent.", "type": "array", "items": { "$ref": "Source" } }, "nextPageToken": { "type": "string", "description": "Token to retrieve the next page of results, or empty if there are no more results." } }, "type": "object", "description": "Response message for listing sources.", "id": "ListSourcesResponse" }, "ListFindingsResult": { "properties": { "resource": { "readOnly": true, "$ref": "Resource", "description": "Output only. Resource that is associated with this finding." }, "stateChange": { "description": "State change of the finding between the points in time.", "enumDescriptions": [ "State change is unused, this is the canonical default for this enum.", "The finding has changed state in some way between the points in time and existed at both points.", "The finding has not changed state between the points in time and existed at both points.", "The finding was created between the points in time.", "The finding at timestamp does not match the filter specified, but it did at timestamp - compare_duration." ], "type": "string", "enum": [ "UNUSED", "CHANGED", "UNCHANGED", "ADDED", "REMOVED" ] }, "finding": { "description": "Finding matching the search request.", "$ref": "Finding" } }, "id": "ListFindingsResult", "description": "Result containing the Finding and its StateChange.", "type": "object" }, "GroupFindingsResponse": { "description": "Response message for group by findings.", "properties": { "groupByResults": { "items": { "$ref": "GroupResult" }, "type": "array", "description": "Group results. There exists an element for each existing unique combination of property/values. The element contains a count for the number of times those specific property/values appear." }, "totalSize": { "format": "int32", "type": "integer", "description": "The total number of results matching the query." }, "nextPageToken": { "description": "Token to retrieve the next page of results, or empty if there are no more results.", "type": "string" }, "readTime": { "description": "Time used for executing the groupBy request.", "type": "string", "format": "google-datetime" } }, "id": "GroupFindingsResponse", "type": "object" }, "OrganizationSettings": { "type": "object", "id": "OrganizationSettings", "description": "User specified settings that are attached to the Security Command Center organization.", "properties": { "name": { "type": "string", "description": "The relative resource name of the settings. See: https://cloud.google.com/apis/design/resource_names#relative_resource_name Example: \"organizations/{organization_id}/organizationSettings\"." }, "assetDiscoveryConfig": { "description": "The configuration used for Asset Discovery runs.", "$ref": "AssetDiscoveryConfig" }, "enableAssetDiscovery": { "type": "boolean", "description": "A flag that indicates if Asset Discovery should be enabled. If the flag is set to `true`, then discovery of assets will occur. If it is set to `false, all historical assets will remain, but discovery of future assets will not occur." } } }, "EnvironmentVariable": { "description": "EnvironmentVariable is a name-value pair to store environment variables for Process.", "properties": { "val": { "type": "string", "description": "Environment variable value as a JSON encoded string." }, "name": { "type": "string", "description": "Environment variable name as a JSON encoded string." } }, "id": "EnvironmentVariable", "type": "object" }, "GoogleCloudSecuritycenterV1NotificationMessage": { "properties": { "notificationConfigName": { "type": "string", "description": "Name of the notification config that generated current notification." }, "finding": { "$ref": "Finding", "description": "If it's a Finding based notification config, this field will be populated." }, "resource": { "$ref": "GoogleCloudSecuritycenterV1Resource", "description": "The Cloud resource tied to this notification's Finding." } }, "description": "Cloud SCC's Notification", "type": "object", "id": "GoogleCloudSecuritycenterV1NotificationMessage" }, "GetIamPolicyRequest": { "properties": { "options": { "$ref": "GetPolicyOptions", "description": "OPTIONAL: A `GetPolicyOptions` object for specifying options to `GetIamPolicy`." } }, "id": "GetIamPolicyRequest", "description": "Request message for `GetIamPolicy` method.", "type": "object" }, "Access": { "description": "Represents an access event.", "properties": { "serviceName": { "type": "string", "description": "This is the API service that the service account made a call to, e.g. \"iam.googleapis.com\"" }, "methodName": { "description": "The method that the service account called, e.g. \"SetIamPolicy\".", "type": "string" }, "callerIpGeo": { "description": "The caller IP's geolocation, which identifies where the call came from.", "$ref": "Geolocation" }, "callerIp": { "description": "Caller's IP address, such as \"1.1.1.1\".", "type": "string" }, "userAgentFamily": { "type": "string", "description": "What kind of user agent is associated, e.g. operating system shells, embedded or stand-alone applications, etc." }, "principalEmail": { "description": "Associated email, such as \"foo@google.com\".", "type": "string" } }, "id": "Access", "type": "object" }, "ListBigQueryExportsResponse": { "description": "Response message for listing BigQuery exports.", "id": "ListBigQueryExportsResponse", "properties": { "bigQueryExports": { "description": "The BigQuery exports from the specified parent.", "type": "array", "items": { "$ref": "GoogleCloudSecuritycenterV1BigQueryExport" } }, "nextPageToken": { "description": "A token, which can be sent as `page_token` to retrieve the next page. If this field is omitted, there are no subsequent pages.", "type": "string" } }, "type": "object" }, "ExfilResource": { "type": "object", "id": "ExfilResource", "properties": { "components": { "description": "Subcomponents of the asset that is exfiltrated - these could be URIs used during exfiltration, table names, databases, filenames, etc. For example, multiple tables may be exfiltrated from the same CloudSQL instance, or multiple files from the same Cloud Storage bucket.", "items": { "type": "string" }, "type": "array" }, "name": { "type": "string", "description": "Resource's URI (https://google.aip.dev/122#full-resource-names)" } }, "description": "Resource that has been exfiltrated or exfiltrated_to." }, "ProcessSignature": { "id": "ProcessSignature", "properties": { "yaraRuleSignature": { "$ref": "YaraRuleSignature", "description": "Signature indicating that a YARA rule was matched." }, "memoryHashSignature": { "$ref": "MemoryHashSignature", "description": "Signature indicating that a binary family was matched." } }, "type": "object", "description": "Indicates what signature matched this process." }, "GroupAssetsResponse": { "properties": { "nextPageToken": { "type": "string", "description": "Token to retrieve the next page of results, or empty if there are no more results." }, "readTime": { "description": "Time used for executing the groupBy request.", "type": "string", "format": "google-datetime" }, "groupByResults": { "description": "Group results. There exists an element for each existing unique combination of property/values. The element contains a count for the number of times those specific property/values appear.", "items": { "$ref": "GroupResult" }, "type": "array" }, "totalSize": { "type": "integer", "description": "The total number of results matching the query.", "format": "int32" } }, "id": "GroupAssetsResponse", "type": "object", "description": "Response message for grouping by assets." }, "ListAssetsResult": { "id": "ListAssetsResult", "type": "object", "properties": { "asset": { "$ref": "Asset", "description": "Asset matching the search request." }, "stateChange": { "description": "State change of the asset between the points in time.", "type": "string", "enum": [ "UNUSED", "ADDED", "REMOVED", "ACTIVE" ], "enumDescriptions": [ "State change is unused, this is the canonical default for this enum.", "Asset was added between the points in time.", "Asset was removed between the points in time.", "Asset was present at both point(s) in time." ] } }, "description": "Result containing the Asset and its State." }, "SetMuteRequest": { "description": "Request message for updating a finding's mute status.", "id": "SetMuteRequest", "type": "object", "properties": { "mute": { "description": "Required. The desired state of the Mute.", "enum": [ "MUTE_UNSPECIFIED", "MUTED", "UNMUTED", "UNDEFINED" ], "enumDescriptions": [ "Unspecified.", "Finding has been muted.", "Finding has been unmuted.", "Finding has never been muted/unmuted." ], "type": "string" } } }, "Folder": { "description": "Message that contains the resource name and display name of a folder resource.", "properties": { "resourceFolderDisplayName": { "type": "string", "description": "The user defined display name for this folder." }, "resourceFolder": { "description": "Full resource name of this folder. See: https://cloud.google.com/apis/design/resource_names#full_resource_name", "type": "string" } }, "id": "Folder", "type": "object" }, "GoogleCloudSecuritycenterV1BigQueryExport": { "description": "Configures how to deliver Findings to BigQuery Instance.", "type": "object", "properties": { "description": { "type": "string", "description": "The description of the export (max of 1024 characters)." }, "filter": { "description": "Expression that defines the filter to apply across create/update events of findings. The expression is a list of zero or more restrictions combined via logical operators `AND` and `OR`. Parentheses are supported, and `OR` has higher precedence than `AND`. Restrictions have the form ` ` and may have a `-` character in front of them to indicate negation. The fields map to those defined in the corresponding resource. The supported operators are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `=` for all value types. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `\u003e`, `\u003c`, `\u003e=`, `\u003c=` for integer values. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `:`, meaning substring matching, for strings. The supported value types are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh string literals in quotes. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh integer literals without quotes. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh boolean literals `true` and `false` without quotes.", "type": "string" }, "name": { "type": "string", "description": "The relative resource name of this export. See: https://cloud.google.com/apis/design/resource_names#relative_resource_name. Example format: \"organizations/{organization_id}/bigQueryExports/{export_id}\" Example format: \"folders/{folder_id}/bigQueryExports/{export_id}\" Example format: \"projects/{project_id}/bigQueryExports/{export_id}\" This field is provided in responses, and is ignored when provided in create requests." }, "dataset": { "type": "string", "description": "The dataset to write findings' updates to. Its format is \"projects/[project_id]/datasets/[bigquery_dataset_id]\". BigQuery Dataset unique ID must contain only letters (a-z, A-Z), numbers (0-9), or underscores (_)." }, "principal": { "type": "string", "description": "Output only. The service account that needs permission to create table, upload data to the big query dataset.", "readOnly": true }, "updateTime": { "readOnly": true, "type": "string", "description": "Output only. The most recent time at which the big export was updated. This field is set by the server and will be ignored if provided on export creation or update.", "format": "google-datetime" }, "createTime": { "format": "google-datetime", "type": "string", "description": "Output only. The time at which the big query export was created. This field is set by the server and will be ignored if provided on export on creation.", "readOnly": true }, "mostRecentEditor": { "description": "Output only. Email address of the user who last edited the big query export. This field is set by the server and will be ignored if provided on export creation or update.", "readOnly": true, "type": "string" } }, "id": "GoogleCloudSecuritycenterV1BigQueryExport" }, "Operation": { "id": "Operation", "type": "object", "properties": { "response": { "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "type": "object", "description": "The normal response of the operation in case of success. If the original method returns no data on success, such as `Delete`, the response is `google.protobuf.Empty`. If the original method is standard `Get`/`Create`/`Update`, the response should be the resource. For other methods, the response should have the type `XxxResponse`, where `Xxx` is the original method name. For example, if the original method name is `TakeSnapshot()`, the inferred response type is `TakeSnapshotResponse`." }, "done": { "description": "If the value is `false`, it means the operation is still in progress. If `true`, the operation is completed, and either `error` or `response` is available.", "type": "boolean" }, "name": { "description": "The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the `name` should be a resource name ending with `operations/{unique_id}`.", "type": "string" }, "metadata": { "type": "object", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "description": "Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any." }, "error": { "description": "The error result of the operation in case of failure or cancellation.", "$ref": "Status" } }, "description": "This resource represents a long-running operation that is the result of a network API call." }, "Finding": { "description": "Security Command Center finding. A finding is a record of assessment data like security, risk, health, or privacy, that is ingested into Security Command Center for presentation, notification, analysis, policy testing, and enforcement. For example, a cross-site scripting (XSS) vulnerability in an App Engine application is a finding.", "id": "Finding", "type": "object", "properties": { "externalUri": { "type": "string", "description": "The URI that, if available, points to a web page outside of Security Command Center where additional information about the finding can be found. This field is guaranteed to be either empty or a well formed URL." }, "state": { "description": "The state of the finding.", "enum": [ "STATE_UNSPECIFIED", "ACTIVE", "INACTIVE" ], "type": "string", "enumDescriptions": [ "Unspecified state.", "The finding requires attention and has not been addressed yet.", "The finding has been fixed, triaged as a non-issue or otherwise addressed and is no longer active." ] }, "resourceName": { "description": "For findings on Google Cloud resources, the full resource name of the Google Cloud resource this finding is for. See: https://cloud.google.com/apis/design/resource_names#full_resource_name When the finding is for a non-Google Cloud resource, the resourceName can be a customer or partner defined string. This field is immutable after creation time.", "type": "string" }, "nextSteps": { "type": "string", "description": "Next steps associate to the finding." }, "contacts": { "description": "Output only. Map containing the point of contacts for the given finding. The key represents the type of contact, while the value contains a list of all the contacts that pertain. Please refer to: https://cloud.google.com/resource-manager/docs/managing-notification-contacts#notification-categories { \"security\":[ { \"contact\":{ \"email\":\"person1@company.com\" } }, { \"contact\":{ \"email\":“person2@company.com” } } ] }", "type": "object", "readOnly": true, "additionalProperties": { "$ref": "ContactDetails" } }, "iamBindings": { "type": "array", "items": { "$ref": "IamBinding" }, "description": "Represents IAM bindings associated with the Finding." }, "muteInitiator": { "type": "string", "description": "First known as mute_annotation. Records additional information about the mute operation e.g. mute config that muted the finding, user who muted the finding, etc. Unlike other attributes of a finding, a finding provider shouldn't set the value of mute." }, "externalSystems": { "description": "Output only. Third party SIEM/SOAR fields within SCC, contains external system information and external system finding fields.", "type": "object", "additionalProperties": { "$ref": "GoogleCloudSecuritycenterV1ExternalSystem" }, "readOnly": true }, "securityMarks": { "readOnly": true, "$ref": "SecurityMarks", "description": "Output only. User specified security marks. These marks are entirely managed by the user and come from the SecurityMarks resource that belongs to the finding." }, "mitreAttack": { "description": "MITRE ATT&CK tactics and techniques related to this finding. See: https://attack.mitre.org", "$ref": "MitreAttack" }, "vulnerability": { "description": "Represents vulnerability specific fields like cve, cvss scores etc. CVE stands for Common Vulnerabilities and Exposures (https://cve.mitre.org/about/)", "$ref": "Vulnerability" }, "severity": { "enum": [ "SEVERITY_UNSPECIFIED", "CRITICAL", "HIGH", "MEDIUM", "LOW" ], "enumDescriptions": [ "This value is used for findings when a source doesn't write a severity value.", "Vulnerability: A critical vulnerability is easily discoverable by an external actor, exploitable, and results in the direct ability to execute arbitrary code, exfiltrate data, and otherwise gain additional access and privileges to cloud resources and workloads. Examples include publicly accessible unprotected user data, public SSH access with weak or no passwords, etc. Threat: Indicates a threat that is able to access, modify, or delete data or execute unauthorized code within existing resources.", "Vulnerability: A high risk vulnerability can be easily discovered and exploited in combination with other vulnerabilities in order to gain direct access and the ability to execute arbitrary code, exfiltrate data, and otherwise gain additional access and privileges to cloud resources and workloads. An example is a database with weak or no passwords that is only accessible internally. This database could easily be compromised by an actor that had access to the internal network. Threat: Indicates a threat that is able to create new computational resources in an environment but not able to access data or execute code in existing resources.", "Vulnerability: A medium risk vulnerability could be used by an actor to gain access to resources or privileges that enable them to eventually (through multiple steps or a complex exploit) gain access and the ability to execute arbitrary code or exfiltrate data. An example is a service account with access to more projects than it should have. If an actor gains access to the service account, they could potentially use that access to manipulate a project the service account was not intended to. Threat: Indicates a threat that is able to cause operational impact but may not access data or execute unauthorized code.", "Vulnerability: A low risk vulnerability hampers a security organization's ability to detect vulnerabilities or active threats in their deployment, or prevents the root cause investigation of security issues. An example is monitoring and logs being disabled for resource configurations and access. Threat: Indicates a threat that has obtained minimal access to an environment but is not able to access data, execute code, or create resources." ], "description": "The severity of the finding. This field is managed by the source that writes the finding.", "type": "string" }, "access": { "$ref": "Access", "description": "Access details associated to the Finding, such as more information on the caller, which method was accessed, from where, etc." }, "eventTime": { "type": "string", "format": "google-datetime", "description": "The time the finding was first detected. If an existing finding is updated, then this is the time the update occurred. For example, if the finding represents an open firewall, this property captures the time the detector believes the firewall became open. The accuracy is determined by the detector. If the finding is later resolved, then this time reflects when the finding was resolved. This must not be set to a value greater than the current timestamp." }, "description": { "type": "string", "description": "Contains more detail about the finding." }, "findingClass": { "description": "The class of the finding.", "enumDescriptions": [ "Unspecified finding class.", "Describes unwanted or malicious activity.", "Describes a potential weakness in software that increases risk to Confidentiality & Integrity & Availability.", "Describes a potential weakness in cloud resource/asset configuration that increases risk.", "Describes a security observation that is for informational purposes.", "Describes an error that prevents some SCC functionality." ], "enum": [ "FINDING_CLASS_UNSPECIFIED", "THREAT", "VULNERABILITY", "MISCONFIGURATION", "OBSERVATION", "SCC_ERROR" ], "type": "string" }, "createTime": { "format": "google-datetime", "type": "string", "description": "The time at which the finding was created in Security Command Center." }, "category": { "description": "The additional taxonomy group within findings from a given source. This field is immutable after creation time. Example: \"XSS_FLASH_INJECTION\"", "type": "string" }, "muteUpdateTime": { "format": "google-datetime", "description": "Output only. The most recent time this finding was muted or unmuted.", "readOnly": true, "type": "string" }, "sourceProperties": { "additionalProperties": { "type": "any" }, "description": "Source specific properties. These properties are managed by the source that writes the finding. The key names in the source_properties map must be between 1 and 255 characters, and must start with a letter and contain alphanumeric characters or underscores only.", "type": "object" }, "indicator": { "description": "Represents what's commonly known as an Indicator of compromise (IoC) in computer forensics. This is an artifact observed on a network or in an operating system that, with high confidence, indicates a computer intrusion. Reference: https://en.wikipedia.org/wiki/Indicator_of_compromise", "$ref": "Indicator" }, "compliances": { "type": "array", "description": "Contains compliance information for security standards associated to the finding.", "items": { "$ref": "Compliance" } }, "connections": { "type": "array", "items": { "$ref": "Connection" }, "description": "Contains information about the IP connection associated with the finding." }, "processes": { "type": "array", "description": "Represents operating system processes associated with the Finding.", "items": { "$ref": "Process" } }, "mute": { "enum": [ "MUTE_UNSPECIFIED", "MUTED", "UNMUTED", "UNDEFINED" ], "type": "string", "enumDescriptions": [ "Unspecified.", "Finding has been muted.", "Finding has been unmuted.", "Finding has never been muted/unmuted." ], "description": "Indicates the mute state of a finding (either muted, unmuted or undefined). Unlike other attributes of a finding, a finding provider shouldn't set the value of mute." }, "canonicalName": { "type": "string", "description": "The canonical name of the finding. It's either \"organizations/{organization_id}/sources/{source_id}/findings/{finding_id}\", \"folders/{folder_id}/sources/{source_id}/findings/{finding_id}\" or \"projects/{project_number}/sources/{source_id}/findings/{finding_id}\", depending on the closest CRM ancestor of the resource associated with the finding." }, "exfiltration": { "description": "Represents exfiltration associated with the Finding.", "$ref": "Exfiltration" }, "name": { "type": "string", "description": "The relative resource name of this finding. See: https://cloud.google.com/apis/design/resource_names#relative_resource_name Example: \"organizations/{organization_id}/sources/{source_id}/findings/{finding_id}\"" }, "parent": { "description": "The relative resource name of the source the finding belongs to. See: https://cloud.google.com/apis/design/resource_names#relative_resource_name This field is immutable after creation time. For example: \"organizations/{organization_id}/sources/{source_id}\"", "type": "string" } } }, "Status": { "id": "Status", "description": "The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors).", "type": "object", "properties": { "details": { "type": "array", "items": { "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "type": "object" }, "description": "A list of messages that carry the error details. There is a common set of message types for APIs to use." }, "message": { "description": "A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client.", "type": "string" }, "code": { "description": "The status code, which should be an enum value of google.rpc.Code.", "type": "integer", "format": "int32" } } }, "GetPolicyOptions": { "description": "Encapsulates settings provided to GetIamPolicy.", "properties": { "requestedPolicyVersion": { "description": "Optional. The maximum policy version that will be used to format the policy. Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset. The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "type": "integer", "format": "int32" } }, "id": "GetPolicyOptions", "type": "object" }, "Compliance": { "description": "Contains compliance information about a security standard indicating unmet recommendations.", "type": "object", "properties": { "version": { "description": "Version of the standard/benchmark e.g. 1.1", "type": "string" }, "standard": { "type": "string", "description": "Refers to industry wide standards or benchmarks e.g. \"cis\", \"pci\", \"owasp\", etc." }, "ids": { "description": "Policies within the standard/benchmark e.g. A.12.4.1", "type": "array", "items": { "type": "string" } } }, "id": "Compliance" }, "Cvssv3": { "properties": { "confidentialityImpact": { "type": "string", "enum": [ "IMPACT_UNSPECIFIED", "IMPACT_HIGH", "IMPACT_LOW", "IMPACT_NONE" ], "description": "This metric measures the impact to the confidentiality of the information resources managed by a software component due to a successfully exploited vulnerability.", "enumDescriptions": [ "Invalid value.", "High impact.", "Low impact.", "No impact." ] }, "integrityImpact": { "enum": [ "IMPACT_UNSPECIFIED", "IMPACT_HIGH", "IMPACT_LOW", "IMPACT_NONE" ], "type": "string", "enumDescriptions": [ "Invalid value.", "High impact.", "Low impact.", "No impact." ], "description": "This metric measures the impact to integrity of a successfully exploited vulnerability." }, "baseScore": { "format": "double", "type": "number", "description": "The base score is a function of the base metric scores." }, "privilegesRequired": { "enumDescriptions": [ "Invalid value.", "The attacker is unauthorized prior to attack, and therefore does not require any access to settings or files of the vulnerable system to carry out an attack.", "The attacker requires privileges that provide basic user capabilities that could normally affect only settings and files owned by a user. Alternatively, an attacker with Low privileges has the ability to access only non-sensitive resources.", "The attacker requires privileges that provide significant (e.g., administrative) control over the vulnerable component allowing access to component-wide settings and files." ], "type": "string", "enum": [ "PRIVILEGES_REQUIRED_UNSPECIFIED", "PRIVILEGES_REQUIRED_NONE", "PRIVILEGES_REQUIRED_LOW", "PRIVILEGES_REQUIRED_HIGH" ], "description": "This metric describes the level of privileges an attacker must possess before successfully exploiting the vulnerability." }, "attackComplexity": { "enumDescriptions": [ "Invalid value.", "Specialized access conditions or extenuating circumstances do not exist. An attacker can expect repeatable success when attacking the vulnerable component.", "A successful attack depends on conditions beyond the attacker's control. That is, a successful attack cannot be accomplished at will, but requires the attacker to invest in some measurable amount of effort in preparation or execution against the vulnerable component before a successful attack can be expected." ], "enum": [ "ATTACK_COMPLEXITY_UNSPECIFIED", "ATTACK_COMPLEXITY_LOW", "ATTACK_COMPLEXITY_HIGH" ], "type": "string", "description": "This metric describes the conditions beyond the attacker's control that must exist in order to exploit the vulnerability." }, "attackVector": { "type": "string", "enumDescriptions": [ "Invalid value.", "The vulnerable component is bound to the network stack and the set of possible attackers extends beyond the other options listed below, up to and including the entire Internet.", "The vulnerable component is bound to the network stack, but the attack is limited at the protocol level to a logically adjacent topology.", "The vulnerable component is not bound to the network stack and the attacker's path is via read/write/execute capabilities.", "The attack requires the attacker to physically touch or manipulate the vulnerable component." ], "description": "Base Metrics Represents the intrinsic characteristics of a vulnerability that are constant over time and across user environments. This metric reflects the context by which vulnerability exploitation is possible.", "enum": [ "ATTACK_VECTOR_UNSPECIFIED", "ATTACK_VECTOR_NETWORK", "ATTACK_VECTOR_ADJACENT", "ATTACK_VECTOR_LOCAL", "ATTACK_VECTOR_PHYSICAL" ] }, "scope": { "enum": [ "SCOPE_UNSPECIFIED", "SCOPE_UNCHANGED", "SCOPE_CHANGED" ], "enumDescriptions": [ "Invalid value.", "An exploited vulnerability can only affect resources managed by the same security authority.", "An exploited vulnerability can affect resources beyond the security scope managed by the security authority of the vulnerable component." ], "type": "string", "description": "The Scope metric captures whether a vulnerability in one vulnerable component impacts resources in components beyond its security scope." }, "availabilityImpact": { "enumDescriptions": [ "Invalid value.", "High impact.", "Low impact.", "No impact." ], "type": "string", "enum": [ "IMPACT_UNSPECIFIED", "IMPACT_HIGH", "IMPACT_LOW", "IMPACT_NONE" ], "description": "This metric measures the impact to the availability of the impacted component resulting from a successfully exploited vulnerability." }, "userInteraction": { "description": "This metric captures the requirement for a human user, other than the attacker, to participate in the successful compromise of the vulnerable component.", "type": "string", "enum": [ "USER_INTERACTION_UNSPECIFIED", "USER_INTERACTION_NONE", "USER_INTERACTION_REQUIRED" ], "enumDescriptions": [ "Invalid value.", "The vulnerable system can be exploited without interaction from any user.", "Successful exploitation of this vulnerability requires a user to take some action before the vulnerability can be exploited." ] } }, "type": "object", "id": "Cvssv3", "description": "Common Vulnerability Scoring System version 3." }, "GoogleCloudSecuritycenterV1p1beta1SecurityMarks": { "description": "User specified security marks that are attached to the parent Security Command Center resource. Security marks are scoped within a Security Command Center organization -- they can be modified and viewed by all users who have proper permissions on the organization.", "id": "GoogleCloudSecuritycenterV1p1beta1SecurityMarks", "properties": { "canonicalName": { "type": "string", "description": "The canonical name of the marks. Examples: \"organizations/{organization_id}/assets/{asset_id}/securityMarks\" \"folders/{folder_id}/assets/{asset_id}/securityMarks\" \"projects/{project_number}/assets/{asset_id}/securityMarks\" \"organizations/{organization_id}/sources/{source_id}/findings/{finding_id}/securityMarks\" \"folders/{folder_id}/sources/{source_id}/findings/{finding_id}/securityMarks\" \"projects/{project_number}/sources/{source_id}/findings/{finding_id}/securityMarks\"" }, "marks": { "type": "object", "additionalProperties": { "type": "string" }, "description": "Mutable user specified security marks belonging to the parent resource. Constraints are as follows: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Keys and values are treated as case insensitive LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Keys must be between 1 - 256 characters (inclusive) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Keys must be letters, numbers, underscores, or dashes LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Values have leading and trailing whitespace trimmed, remaining characters must be between 1 - 4096 characters (inclusive)" }, "name": { "type": "string", "description": "The relative resource name of the SecurityMarks. See: https://cloud.google.com/apis/design/resource_names#relative_resource_name Examples: \"organizations/{organization_id}/assets/{asset_id}/securityMarks\" \"organizations/{organization_id}/sources/{source_id}/findings/{finding_id}/securityMarks\"." } }, "type": "object" }, "GoogleCloudSecuritycenterV1BulkMuteFindingsResponse": { "description": "The response to a BulkMute request. Contains the LRO information.", "properties": {}, "id": "GoogleCloudSecuritycenterV1BulkMuteFindingsResponse", "type": "object" }, "MemoryHashSignature": { "id": "MemoryHashSignature", "properties": { "detections": { "description": "The list of memory hash detections contributing to the binary family match.", "type": "array", "items": { "$ref": "Detection" } }, "binaryFamily": { "type": "string", "description": "The binary family." } }, "type": "object", "description": "A signature corresponding to memory page hashes." }, "Exfiltration": { "type": "object", "id": "Exfiltration", "properties": { "sources": { "description": "If there are multiple sources, then the data is considered \"joined\" between them. For instance, BigQuery can join multiple tables, and each table would be considered a source.", "type": "array", "items": { "$ref": "ExfilResource" } }, "targets": { "description": "If there are multiple targets, each target would get a complete copy of the \"joined\" source data.", "type": "array", "items": { "$ref": "ExfilResource" } } }, "description": "Exfiltration represents a data exfiltration attempt of one or more sources to one or more targets. Sources represent the source of data that is exfiltrated, and Targets represents the destination the data was copied to." } }, "title": "Security Command Center API", "kind": "discovery#restDescription", "version": "v1", "fullyEncodeReservedExpansion": true, "parameters": { "oauth_token": { "location": "query", "description": "OAuth 2.0 token for the current user.", "type": "string" }, "fields": { "type": "string", "description": "Selector specifying which fields to include in a partial response.", "location": "query" }, "prettyPrint": { "description": "Returns response with indentations and line breaks.", "location": "query", "default": "true", "type": "boolean" }, "access_token": { "type": "string", "location": "query", "description": "OAuth access token." }, "$.xgafv": { "enum": [ "1", "2" ], "enumDescriptions": [ "v1 error format", "v2 error format" ], "description": "V1 error format.", "location": "query", "type": "string" }, "uploadType": { "location": "query", "type": "string", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\")." }, "alt": { "type": "string", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "default": "json", "description": "Data format for response.", "enum": [ "json", "media", "proto" ], "location": "query" }, "key": { "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "location": "query", "type": "string" }, "quotaUser": { "location": "query", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "type": "string" }, "callback": { "description": "JSONP", "location": "query", "type": "string" }, "upload_protocol": { "type": "string", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "location": "query" } }, "batchPath": "batch", "version_module": true, "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." } } } }, "canonicalName": "Security Command Center", "description": "Security Command Center API provides access to temporal views of assets and findings within an organization.", "rootUrl": "https://securitycenter.googleapis.com/" }
]===]))
