local decode = require("cjson").new().decode
return assert(decode([===[
{ "baseUrl": "https://securitycenter.googleapis.com/", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." } } } }, "rootUrl": "https://securitycenter.googleapis.com/", "title": "Security Command Center API", "schemas": { "SetIamPolicyRequest": { "description": "Request message for `SetIamPolicy` method.", "properties": { "updateMask": { "type": "string", "format": "google-fieldmask", "description": "OPTIONAL: A FieldMask specifying which fields of the policy to modify. Only the fields in the mask will be modified. If no mask is provided, the following default mask is used: `paths: \"bindings, etag\"`" }, "policy": { "description": "REQUIRED: The complete policy to be applied to the `resource`. The size of the policy is limited to a few 10s of KB. An empty policy is a valid policy but certain Google Cloud services (such as Projects) might reject them.", "$ref": "Policy" } }, "type": "object", "id": "SetIamPolicyRequest" }, "SecurityMarks": { "description": "User specified security marks that are attached to the parent Security Command Center resource. Security marks are scoped within a Security Command Center organization -- they can be modified and viewed by all users who have proper permissions on the organization.", "type": "object", "id": "SecurityMarks", "properties": { "marks": { "additionalProperties": { "type": "string" }, "description": "Mutable user specified security marks belonging to the parent resource. Constraints are as follows: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Keys and values are treated as case insensitive LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Keys must be between 1 - 256 characters (inclusive) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Keys must be letters, numbers, underscores, or dashes LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Values have leading and trailing whitespace trimmed, remaining characters must be between 1 - 4096 characters (inclusive)", "type": "object" }, "canonicalName": { "description": "The canonical name of the marks. Examples: \"organizations/{organization_id}/assets/{asset_id}/securityMarks\" \"folders/{folder_id}/assets/{asset_id}/securityMarks\" \"projects/{project_number}/assets/{asset_id}/securityMarks\" \"organizations/{organization_id}/sources/{source_id}/findings/{finding_id}/securityMarks\" \"folders/{folder_id}/sources/{source_id}/findings/{finding_id}/securityMarks\" \"projects/{project_number}/sources/{source_id}/findings/{finding_id}/securityMarks\"", "type": "string" }, "name": { "type": "string", "description": "The relative resource name of the SecurityMarks. See: https://cloud.google.com/apis/design/resource_names#relative_resource_name Examples: \"organizations/{organization_id}/assets/{asset_id}/securityMarks\" \"organizations/{organization_id}/sources/{source_id}/findings/{finding_id}/securityMarks\"." } } }, "MitreAttack": { "id": "MitreAttack", "type": "object", "properties": { "additionalTactics": { "type": "array", "description": "Additional MITRE ATT&CK tactics related to this finding, if any.", "items": { "enum": [ "TACTIC_UNSPECIFIED", "RECONNAISSANCE", "RESOURCE_DEVELOPMENT", "INITIAL_ACCESS", "EXECUTION", "PERSISTENCE", "PRIVILEGE_ESCALATION", "DEFENSE_EVASION", "CREDENTIAL_ACCESS", "DISCOVERY", "LATERAL_MOVEMENT", "COLLECTION", "COMMAND_AND_CONTROL", "EXFILTRATION", "IMPACT" ], "type": "string", "enumDescriptions": [ "Unspecified value.", "TA0043", "TA0042", "TA0001", "TA0002", "TA0003", "TA0004", "TA0005", "TA0006", "TA0007", "TA0008", "TA0009", "TA0011", "TA0010", "TA0040" ] } }, "primaryTactic": { "type": "string", "enumDescriptions": [ "Unspecified value.", "TA0043", "TA0042", "TA0001", "TA0002", "TA0003", "TA0004", "TA0005", "TA0006", "TA0007", "TA0008", "TA0009", "TA0011", "TA0010", "TA0040" ], "enum": [ "TACTIC_UNSPECIFIED", "RECONNAISSANCE", "RESOURCE_DEVELOPMENT", "INITIAL_ACCESS", "EXECUTION", "PERSISTENCE", "PRIVILEGE_ESCALATION", "DEFENSE_EVASION", "CREDENTIAL_ACCESS", "DISCOVERY", "LATERAL_MOVEMENT", "COLLECTION", "COMMAND_AND_CONTROL", "EXFILTRATION", "IMPACT" ], "description": "The MITRE ATT&CK tactic most closely represented by this finding, if any." }, "primaryTechniques": { "items": { "enumDescriptions": [ "Unspecified value.", "T1595", "T1595.001", "T1105", "T1106", "T1129", "T1059", "T1059.004", "T1496", "T1090", "T1090.002", "T1090.003", "T1568", "T1552", "T1078", "T1078.003", "T1078.004", "T1498", "T1069", "T1069.003", "T1567", "T1567.002", "T1098", "T1098.004", "T1543", "T1539", "T1578", "T1190", "T1556", "T1485", "T1484", "T1562" ], "enum": [ "TECHNIQUE_UNSPECIFIED", "ACTIVE_SCANNING", "SCANNING_IP_BLOCKS", "INGRESS_TOOL_TRANSFER", "NATIVE_API", "SHARED_MODULES", "COMMAND_AND_SCRIPTING_INTERPRETER", "UNIX_SHELL", "RESOURCE_HIJACKING", "PROXY", "EXTERNAL_PROXY", "MULTI_HOP_PROXY", "DYNAMIC_RESOLUTION", "UNSECURED_CREDENTIALS", "VALID_ACCOUNTS", "LOCAL_ACCOUNTS", "CLOUD_ACCOUNTS", "NETWORK_DENIAL_OF_SERVICE", "PERMISSION_GROUPS_DISCOVERY", "CLOUD_GROUPS", "EXFILTRATION_OVER_WEB_SERVICE", "EXFILTRATION_TO_CLOUD_STORAGE", "ACCOUNT_MANIPULATION", "SSH_AUTHORIZED_KEYS", "CREATE_OR_MODIFY_SYSTEM_PROCESS", "STEAL_WEB_SESSION_COOKIE", "MODIFY_CLOUD_COMPUTE_INFRASTRUCTURE", "EXPLOIT_PUBLIC_FACING_APPLICATION", "MODIFY_AUTHENTICATION_PROCESS", "DATA_DESTRUCTION", "DOMAIN_POLICY_MODIFICATION", "IMPAIR_DEFENSES" ], "type": "string" }, "type": "array", "description": "The MITRE ATT&CK technique most closely represented by this finding, if any. primary_techniques is a repeated field because there are multiple levels of MITRE ATT&CK techniques. If the technique most closely represented by this finding is a sub-technique (e.g. `SCANNING_IP_BLOCKS`), both the sub-technique and its parent technique(s) will be listed (e.g. `SCANNING_IP_BLOCKS`, `ACTIVE_SCANNING`)." }, "version": { "type": "string", "description": "The MITRE ATT&CK version referenced by the above fields. E.g. \"8\"." }, "additionalTechniques": { "description": "Additional MITRE ATT&CK techniques related to this finding, if any, along with any of their respective parent techniques.", "type": "array", "items": { "enumDescriptions": [ "Unspecified value.", "T1595", "T1595.001", "T1105", "T1106", "T1129", "T1059", "T1059.004", "T1496", "T1090", "T1090.002", "T1090.003", "T1568", "T1552", "T1078", "T1078.003", "T1078.004", "T1498", "T1069", "T1069.003", "T1567", "T1567.002", "T1098", "T1098.004", "T1543", "T1539", "T1578", "T1190", "T1556", "T1485", "T1484", "T1562" ], "type": "string", "enum": [ "TECHNIQUE_UNSPECIFIED", "ACTIVE_SCANNING", "SCANNING_IP_BLOCKS", "INGRESS_TOOL_TRANSFER", "NATIVE_API", "SHARED_MODULES", "COMMAND_AND_SCRIPTING_INTERPRETER", "UNIX_SHELL", "RESOURCE_HIJACKING", "PROXY", "EXTERNAL_PROXY", "MULTI_HOP_PROXY", "DYNAMIC_RESOLUTION", "UNSECURED_CREDENTIALS", "VALID_ACCOUNTS", "LOCAL_ACCOUNTS", "CLOUD_ACCOUNTS", "NETWORK_DENIAL_OF_SERVICE", "PERMISSION_GROUPS_DISCOVERY", "CLOUD_GROUPS", "EXFILTRATION_OVER_WEB_SERVICE", "EXFILTRATION_TO_CLOUD_STORAGE", "ACCOUNT_MANIPULATION", "SSH_AUTHORIZED_KEYS", "CREATE_OR_MODIFY_SYSTEM_PROCESS", "STEAL_WEB_SESSION_COOKIE", "MODIFY_CLOUD_COMPUTE_INFRASTRUCTURE", "EXPLOIT_PUBLIC_FACING_APPLICATION", "MODIFY_AUTHENTICATION_PROCESS", "DATA_DESTRUCTION", "DOMAIN_POLICY_MODIFICATION", "IMPAIR_DEFENSES" ] } } }, "description": "MITRE ATT&CK tactics and techniques related to this finding. See: https://attack.mitre.org" }, "Asset": { "description": "Security Command Center representation of a Google Cloud resource. The Asset is a Security Command Center resource that captures information about a single Google Cloud resource. All modifications to an Asset are only within the context of Security Command Center and don't affect the referenced Google Cloud resource.", "id": "Asset", "properties": { "updateTime": { "type": "string", "format": "google-datetime", "description": "The time at which the asset was last updated, added, or deleted in Security Command Center." }, "name": { "type": "string", "description": "The relative resource name of this asset. See: https://cloud.google.com/apis/design/resource_names#relative_resource_name Example: \"organizations/{organization_id}/assets/{asset_id}\"." }, "createTime": { "type": "string", "description": "The time at which the asset was created in Security Command Center.", "format": "google-datetime" }, "resourceProperties": { "additionalProperties": { "type": "any" }, "type": "object", "description": "Resource managed properties. These properties are managed and defined by the Google Cloud resource and cannot be modified by the user." }, "securityMarks": { "description": "User specified security marks. These marks are entirely managed by the user and come from the SecurityMarks resource that belongs to the asset.", "$ref": "GoogleCloudSecuritycenterV1beta1SecurityMarks" }, "securityCenterProperties": { "$ref": "SecurityCenterProperties", "description": "Security Command Center managed properties. These properties are managed by Security Command Center and cannot be modified by the user." } }, "type": "object" }, "GoogleCloudSecuritycenterV1RunAssetDiscoveryResponse": { "id": "GoogleCloudSecuritycenterV1RunAssetDiscoveryResponse", "description": "Response of asset discovery run", "type": "object", "properties": { "state": { "enum": [ "STATE_UNSPECIFIED", "COMPLETED", "SUPERSEDED", "TERMINATED" ], "enumDescriptions": [ "Asset discovery run state was unspecified.", "Asset discovery run completed successfully.", "Asset discovery run was cancelled with tasks still pending, as another run for the same organization was started with a higher priority.", "Asset discovery run was killed and terminated." ], "description": "The state of an asset discovery run.", "type": "string" }, "duration": { "description": "The duration between asset discovery run start and end", "format": "google-duration", "type": "string" } } }, "Access": { "properties": { "callerIpGeo": { "$ref": "Geolocation", "description": "The caller IP's geolocation, which identifies where the call came from." }, "methodName": { "type": "string", "description": "The method that the service account called, e.g. \"SetIamPolicy\"." }, "principalEmail": { "description": "Associated email, such as \"foo@google.com\".", "type": "string" }, "callerIp": { "description": "Caller's IP address, such as \"1.1.1.1\".", "type": "string" }, "userAgentFamily": { "type": "string", "description": "What kind of user agent is associated, e.g. operating system shells, embedded or stand-alone applications, etc." }, "serviceName": { "type": "string", "description": "This is the API service that the service account made a call to, e.g. \"iam.googleapis.com\"" } }, "id": "Access", "type": "object", "description": "Represents an access event." }, "AssetDiscoveryConfig": { "id": "AssetDiscoveryConfig", "properties": { "projectIds": { "description": "The project ids to use for filtering asset discovery.", "items": { "type": "string" }, "type": "array" }, "inclusionMode": { "enum": [ "INCLUSION_MODE_UNSPECIFIED", "INCLUDE_ONLY", "EXCLUDE" ], "enumDescriptions": [ "Unspecified. Setting the mode with this value will disable inclusion/exclusion filtering for Asset Discovery.", "Asset Discovery will capture only the resources within the projects specified. All other resources will be ignored.", "Asset Discovery will ignore all resources under the projects specified. All other resources will be retrieved." ], "type": "string", "description": "The mode to use for filtering asset discovery." } }, "type": "object", "description": "The configuration used for Asset Discovery runs." }, "GoogleCloudSecuritycenterV1p1beta1Finding": { "type": "object", "id": "GoogleCloudSecuritycenterV1p1beta1Finding", "properties": { "createTime": { "description": "The time at which the finding was created in Security Command Center.", "format": "google-datetime", "type": "string" }, "resourceName": { "type": "string", "description": "For findings on Google Cloud resources, the full resource name of the Google Cloud resource this finding is for. See: https://cloud.google.com/apis/design/resource_names#full_resource_name When the finding is for a non-Google Cloud resource, the resourceName can be a customer or partner defined string. This field is immutable after creation time." }, "name": { "type": "string", "description": "The relative resource name of this finding. See: https://cloud.google.com/apis/design/resource_names#relative_resource_name Example: \"organizations/{organization_id}/sources/{source_id}/findings/{finding_id}\"" }, "eventTime": { "description": "The time at which the event took place, or when an update to the finding occurred. For example, if the finding represents an open firewall it would capture the time the detector believes the firewall became open. The accuracy is determined by the detector. If the finding were to be resolved afterward, this time would reflect when the finding was resolved. Must not be set to a value greater than the current timestamp.", "format": "google-datetime", "type": "string" }, "securityMarks": { "$ref": "GoogleCloudSecuritycenterV1p1beta1SecurityMarks", "readOnly": true, "description": "Output only. User specified security marks. These marks are entirely managed by the user and come from the SecurityMarks resource that belongs to the finding." }, "sourceProperties": { "additionalProperties": { "type": "any" }, "type": "object", "description": "Source specific properties. These properties are managed by the source that writes the finding. The key names in the source_properties map must be between 1 and 255 characters, and must start with a letter and contain alphanumeric characters or underscores only." }, "externalUri": { "description": "The URI that, if available, points to a web page outside of Security Command Center where additional information about the finding can be found. This field is guaranteed to be either empty or a well formed URL.", "type": "string" }, "parent": { "description": "The relative resource name of the source the finding belongs to. See: https://cloud.google.com/apis/design/resource_names#relative_resource_name This field is immutable after creation time. For example: \"organizations/{organization_id}/sources/{source_id}\"", "type": "string" }, "state": { "type": "string", "enumDescriptions": [ "Unspecified state.", "The finding requires attention and has not been addressed yet.", "The finding has been fixed, triaged as a non-issue or otherwise addressed and is no longer active." ], "description": "The state of the finding.", "enum": [ "STATE_UNSPECIFIED", "ACTIVE", "INACTIVE" ] }, "canonicalName": { "description": "The canonical name of the finding. It's either \"organizations/{organization_id}/sources/{source_id}/findings/{finding_id}\", \"folders/{folder_id}/sources/{source_id}/findings/{finding_id}\" or \"projects/{project_number}/sources/{source_id}/findings/{finding_id}\", depending on the closest CRM ancestor of the resource associated with the finding.", "type": "string" }, "category": { "type": "string", "description": "The additional taxonomy group within findings from a given source. This field is immutable after creation time. Example: \"XSS_FLASH_INJECTION\"" }, "severity": { "description": "The severity of the finding. This field is managed by the source that writes the finding.", "type": "string", "enumDescriptions": [ "No severity specified. The default value.", "Critical severity.", "High severity.", "Medium severity.", "Low severity." ], "enum": [ "SEVERITY_UNSPECIFIED", "CRITICAL", "HIGH", "MEDIUM", "LOW" ] } }, "description": "Security Command Center finding. A finding is a record of assessment data (security, risk, health or privacy) ingested into Security Command Center for presentation, notification, analysis, policy testing, and enforcement. For example, an XSS vulnerability in an App Engine application is a finding." }, "ContactDetails": { "type": "object", "id": "ContactDetails", "description": "The details pertaining to specific contacts", "properties": { "contacts": { "description": "A list of contacts", "items": { "$ref": "Contact" }, "type": "array" } } }, "Indicator": { "id": "Indicator", "properties": { "signatures": { "items": { "$ref": "ProcessSignature" }, "description": "The list of matched signatures indicating that the given process is present in the environment.", "type": "array" }, "domains": { "type": "array", "description": "List of domains associated to the Finding.", "items": { "type": "string" } }, "ipAddresses": { "items": { "type": "string" }, "description": "List of ip addresses associated to the Finding.", "type": "array" } }, "type": "object", "description": "Represents what's commonly known as an Indicator of compromise (IoC) in computer forensics. This is an artifact observed on a network or in an operating system that, with high confidence, indicates a computer intrusion. Reference: https://en.wikipedia.org/wiki/Indicator_of_compromise" }, "AuditLogConfig": { "id": "AuditLogConfig", "properties": { "exemptedMembers": { "type": "array", "items": { "type": "string" }, "description": "Specifies the identities that do not cause logging for this type of permission. Follows the same format of Binding.members." }, "logType": { "enumDescriptions": [ "Default case. Should never be this.", "Admin reads. Example: CloudIAM getIamPolicy", "Data writes. Example: CloudSQL Users create", "Data reads. Example: CloudSQL Users list" ], "enum": [ "LOG_TYPE_UNSPECIFIED", "ADMIN_READ", "DATA_WRITE", "DATA_READ" ], "type": "string", "description": "The log type that this config enables." } }, "description": "Provides the configuration for logging a type of permissions. Example: { \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\", \"exempted_members\": [ \"user:jose@example.com\" ] }, { \"log_type\": \"DATA_WRITE\" } ] } This enables 'DATA_READ' and 'DATA_WRITE' logging, while exempting jose@example.com from DATA_READ logging.", "type": "object" }, "EnvironmentVariable": { "description": "EnvironmentVariable is a name-value pair to store environment variables for Process.", "type": "object", "properties": { "val": { "type": "string", "description": "Environment variable value as a JSON encoded string." }, "name": { "type": "string", "description": "Environment variable name as a JSON encoded string." } }, "id": "EnvironmentVariable" }, "Status": { "id": "Status", "properties": { "code": { "type": "integer", "description": "The status code, which should be an enum value of google.rpc.Code.", "format": "int32" }, "details": { "items": { "type": "object", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" } }, "type": "array", "description": "A list of messages that carry the error details. There is a common set of message types for APIs to use." }, "message": { "description": "A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client.", "type": "string" } }, "description": "The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors).", "type": "object" }, "Geolocation": { "description": "Represents a geographical location for a given access.", "type": "object", "properties": { "regionCode": { "type": "string", "description": "A CLDR." } }, "id": "Geolocation" }, "GoogleCloudSecuritycenterV1p1beta1Folder": { "type": "object", "description": "Message that contains the resource name and display name of a folder resource.", "properties": { "resourceFolderDisplayName": { "type": "string", "description": "The user defined display name for this folder." }, "resourceFolder": { "description": "Full resource name of this folder. See: https://cloud.google.com/apis/design/resource_names#full_resource_name", "type": "string" } }, "id": "GoogleCloudSecuritycenterV1p1beta1Folder" }, "TestIamPermissionsResponse": { "id": "TestIamPermissionsResponse", "type": "object", "properties": { "permissions": { "description": "A subset of `TestPermissionsRequest.permissions` that the caller is allowed.", "items": { "type": "string" }, "type": "array" } }, "description": "Response message for `TestIamPermissions` method." }, "SetFindingStateRequest": { "description": "Request message for updating a finding's state.", "type": "object", "id": "SetFindingStateRequest", "properties": { "startTime": { "format": "google-datetime", "type": "string", "description": "Required. The time at which the updated state takes effect." }, "state": { "enum": [ "STATE_UNSPECIFIED", "ACTIVE", "INACTIVE" ], "enumDescriptions": [ "Unspecified state.", "The finding requires attention and has not been addressed yet.", "The finding has been fixed, triaged as a non-issue or otherwise addressed and is no longer active." ], "description": "Required. The desired State of the finding.", "type": "string" } } }, "GoogleCloudSecuritycenterV1p1beta1Resource": { "properties": { "projectDisplayName": { "type": "string", "description": "The project id that the resource belongs to." }, "name": { "type": "string", "description": "The full resource name of the resource. See: https://cloud.google.com/apis/design/resource_names#full_resource_name" }, "project": { "description": "The full resource name of project that the resource belongs to.", "type": "string" }, "parentDisplayName": { "type": "string", "description": "The human readable name of resource's parent." }, "parent": { "description": "The full resource name of resource's parent.", "type": "string" }, "folders": { "items": { "$ref": "GoogleCloudSecuritycenterV1p1beta1Folder" }, "description": "Output only. Contains a Folder message for each folder in the assets ancestry. The first folder is the deepest nested folder, and the last folder is the folder directly under the Organization.", "type": "array", "readOnly": true } }, "description": "Information related to the Google Cloud resource.", "id": "GoogleCloudSecuritycenterV1p1beta1Resource", "type": "object" }, "MemoryHashSignature": { "properties": { "detections": { "description": "The list of memory hash detections contributing to the binary family match.", "items": { "$ref": "Detection" }, "type": "array" }, "binaryFamily": { "description": "The binary family.", "type": "string" } }, "description": "A signature corresponding to memory page hashes.", "id": "MemoryHashSignature", "type": "object" }, "GoogleCloudSecuritycenterV1p1beta1SecurityMarks": { "type": "object", "id": "GoogleCloudSecuritycenterV1p1beta1SecurityMarks", "properties": { "canonicalName": { "type": "string", "description": "The canonical name of the marks. Examples: \"organizations/{organization_id}/assets/{asset_id}/securityMarks\" \"folders/{folder_id}/assets/{asset_id}/securityMarks\" \"projects/{project_number}/assets/{asset_id}/securityMarks\" \"organizations/{organization_id}/sources/{source_id}/findings/{finding_id}/securityMarks\" \"folders/{folder_id}/sources/{source_id}/findings/{finding_id}/securityMarks\" \"projects/{project_number}/sources/{source_id}/findings/{finding_id}/securityMarks\"" }, "name": { "description": "The relative resource name of the SecurityMarks. See: https://cloud.google.com/apis/design/resource_names#relative_resource_name Examples: \"organizations/{organization_id}/assets/{asset_id}/securityMarks\" \"organizations/{organization_id}/sources/{source_id}/findings/{finding_id}/securityMarks\".", "type": "string" }, "marks": { "type": "object", "additionalProperties": { "type": "string" }, "description": "Mutable user specified security marks belonging to the parent resource. Constraints are as follows: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Keys and values are treated as case insensitive LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Keys must be between 1 - 256 characters (inclusive) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Keys must be letters, numbers, underscores, or dashes LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Values have leading and trailing whitespace trimmed, remaining characters must be between 1 - 4096 characters (inclusive)" } }, "description": "User specified security marks that are attached to the parent Security Command Center resource. Security marks are scoped within a Security Command Center organization -- they can be modified and viewed by all users who have proper permissions on the organization." }, "Policy": { "description": "An Identity and Access Management (IAM) policy, which specifies access controls for Google Cloud resources. A `Policy` is a collection of `bindings`. A `binding` binds one or more `members`, or principals, to a single `role`. Principals can be user accounts, service accounts, Google groups, and domains (such as G Suite). A `role` is a named list of permissions; each `role` can be an IAM predefined role or a user-created custom role. For some types of Google Cloud resources, a `binding` can also specify a `condition`, which is a logical expression that allows access to a resource only if the expression evaluates to `true`. A condition can add constraints based on attributes of the request, the resource, or both. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies). **JSON example:** { \"bindings\": [ { \"role\": \"roles/resourcemanager.organizationAdmin\", \"members\": [ \"user:mike@example.com\", \"group:admins@example.com\", \"domain:google.com\", \"serviceAccount:my-project-id@appspot.gserviceaccount.com\" ] }, { \"role\": \"roles/resourcemanager.organizationViewer\", \"members\": [ \"user:eve@example.com\" ], \"condition\": { \"title\": \"expirable access\", \"description\": \"Does not grant access after Sep 2020\", \"expression\": \"request.time \u003c timestamp('2020-10-01T00:00:00.000Z')\", } } ], \"etag\": \"BwWWja0YfJA=\", \"version\": 3 } **YAML example:** bindings: - members: - user:mike@example.com - group:admins@example.com - domain:google.com - serviceAccount:my-project-id@appspot.gserviceaccount.com role: roles/resourcemanager.organizationAdmin - members: - user:eve@example.com role: roles/resourcemanager.organizationViewer condition: title: expirable access description: Does not grant access after Sep 2020 expression: request.time \u003c timestamp('2020-10-01T00:00:00.000Z') etag: BwWWja0YfJA= version: 3 For a description of IAM and its features, see the [IAM documentation](https://cloud.google.com/iam/docs/).", "type": "object", "id": "Policy", "properties": { "auditConfigs": { "items": { "$ref": "AuditConfig" }, "type": "array", "description": "Specifies cloud audit logging configuration for this policy." }, "etag": { "format": "byte", "description": "`etag` is used for optimistic concurrency control as a way to help prevent simultaneous updates of a policy from overwriting each other. It is strongly suggested that systems make use of the `etag` in the read-modify-write cycle to perform policy updates in order to avoid race conditions: An `etag` is returned in the response to `getIamPolicy`, and systems are expected to put that etag in the request to `setIamPolicy` to ensure that their change will be applied to the same version of the policy. **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost.", "type": "string" }, "bindings": { "items": { "$ref": "Binding" }, "type": "array", "description": "Associates a list of `members`, or principals, with a `role`. Optionally, may specify a `condition` that determines how and when the `bindings` are applied. Each of the `bindings` must contain at least one principal. The `bindings` in a `Policy` can refer to up to 1,500 principals; up to 250 of these principals can be Google groups. Each occurrence of a principal counts towards these limits. For example, if the `bindings` grant 50 different roles to `user:alice@example.com`, and not to any other principal, then you can add another 1,450 principals to the `bindings` in the `Policy`." }, "version": { "format": "int32", "description": "Specifies the format of the policy. Valid values are `0`, `1`, and `3`. Requests that specify an invalid value are rejected. Any operation that affects conditional role bindings must specify version `3`. This requirement applies to the following operations: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Getting a policy that includes a conditional role binding LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Adding a conditional role binding to a policy LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Changing a conditional role binding in a policy LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Removing any role binding, with or without a condition, from a policy that includes conditions **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost. If a policy does not include any conditions, operations on that policy may specify any valid version or leave the field unset. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "type": "integer" } } }, "GoogleCloudSecuritycenterV1beta1RunAssetDiscoveryResponse": { "id": "GoogleCloudSecuritycenterV1beta1RunAssetDiscoveryResponse", "properties": { "duration": { "type": "string", "description": "The duration between asset discovery run start and end", "format": "google-duration" }, "state": { "enum": [ "STATE_UNSPECIFIED", "COMPLETED", "SUPERSEDED", "TERMINATED" ], "type": "string", "enumDescriptions": [ "Asset discovery run state was unspecified.", "Asset discovery run completed successfully.", "Asset discovery run was cancelled with tasks still pending, as another run for the same organization was started with a higher priority.", "Asset discovery run was killed and terminated." ], "description": "The state of an asset discovery run." } }, "description": "Response of asset discovery run", "type": "object" }, "GroupAssetsResponse": { "id": "GroupAssetsResponse", "properties": { "nextPageToken": { "description": "Token to retrieve the next page of results, or empty if there are no more results.", "type": "string" }, "readTime": { "format": "google-datetime", "description": "Time used for executing the groupBy request.", "type": "string" }, "groupByResults": { "type": "array", "description": "Group results. There exists an element for each existing unique combination of property/values. The element contains a count for the number of times those specific property/values appear.", "items": { "$ref": "GroupResult" } } }, "type": "object", "description": "Response message for grouping by assets." }, "GroupResult": { "description": "Result containing the properties and count of a groupBy request.", "properties": { "count": { "description": "Total count of resources for the given properties.", "type": "string", "format": "int64" }, "properties": { "type": "object", "description": "Properties matching the groupBy fields in the request.", "additionalProperties": { "type": "any" } } }, "type": "object", "id": "GroupResult" }, "Finding": { "properties": { "findingClass": { "description": "The class of the finding.", "enumDescriptions": [ "Unspecified finding class.", "Describes unwanted or malicious activity.", "Describes a potential weakness in software that increases risk to Confidentiality & Integrity & Availability.", "Describes a potential weakness in cloud resource/asset configuration that increases risk.", "Describes a security observation that is for informational purposes.", "Describes an error that prevents some SCC functionality." ], "enum": [ "FINDING_CLASS_UNSPECIFIED", "THREAT", "VULNERABILITY", "MISCONFIGURATION", "OBSERVATION", "SCC_ERROR" ], "type": "string" }, "processes": { "type": "array", "description": "Represents operating system processes associated with the Finding.", "items": { "$ref": "Process" } }, "mute": { "description": "Indicates the mute state of a finding (either muted, unmuted or undefined). Unlike other attributes of a finding, a finding provider shouldn't set the value of mute.", "type": "string", "enum": [ "MUTE_UNSPECIFIED", "MUTED", "UNMUTED", "UNDEFINED" ], "enumDescriptions": [ "Unspecified.", "Finding has been muted.", "Finding has been unmuted.", "Finding has never been muted/unmuted." ] }, "state": { "description": "The state of the finding.", "enumDescriptions": [ "Unspecified state.", "The finding requires attention and has not been addressed yet.", "The finding has been fixed, triaged as a non-issue or otherwise addressed and is no longer active." ], "enum": [ "STATE_UNSPECIFIED", "ACTIVE", "INACTIVE" ], "type": "string" }, "externalUri": { "type": "string", "description": "The URI that, if available, points to a web page outside of Security Command Center where additional information about the finding can be found. This field is guaranteed to be either empty or a well formed URL." }, "vulnerability": { "$ref": "Vulnerability", "description": "Represents vulnerability specific fields like cve, cvss scores etc. CVE stands for Common Vulnerabilities and Exposures (https://cve.mitre.org/about/)" }, "muteUpdateTime": { "type": "string", "description": "Output only. The most recent time this finding was muted or unmuted.", "format": "google-datetime", "readOnly": true }, "eventTime": { "type": "string", "description": "The time the finding was first detected. If an existing finding is updated, then this is the time the update occurred. For example, if the finding represents an open firewall, this property captures the time the detector believes the firewall became open. The accuracy is determined by the detector. If the finding is later resolved, then this time reflects when the finding was resolved. This must not be set to a value greater than the current timestamp.", "format": "google-datetime" }, "access": { "$ref": "Access", "description": "Access details associated to the Finding, such as more information on the caller, which method was accessed, from where, etc." }, "description": { "description": "Contains more detail about the finding.", "type": "string" }, "contacts": { "readOnly": true, "description": "Output only. Map containing the point of contacts for the given finding. The key represents the type of contact, while the value contains a list of all the contacts that pertain. Please refer to: https://cloud.google.com/resource-manager/docs/managing-notification-contacts#notification-categories { \"security\":[ { \"contact\":{ \"email\":\"person1@company.com\" } }, { \"contact\":{ \"email\":“person2@company.com” } } ] }", "type": "object", "additionalProperties": { "$ref": "ContactDetails" } }, "sourceProperties": { "type": "object", "description": "Source specific properties. These properties are managed by the source that writes the finding. The key names in the source_properties map must be between 1 and 255 characters, and must start with a letter and contain alphanumeric characters or underscores only.", "additionalProperties": { "type": "any" } }, "name": { "description": "The relative resource name of this finding. See: https://cloud.google.com/apis/design/resource_names#relative_resource_name Example: \"organizations/{organization_id}/sources/{source_id}/findings/{finding_id}\"", "type": "string" }, "resourceName": { "description": "For findings on Google Cloud resources, the full resource name of the Google Cloud resource this finding is for. See: https://cloud.google.com/apis/design/resource_names#full_resource_name When the finding is for a non-Google Cloud resource, the resourceName can be a customer or partner defined string. This field is immutable after creation time.", "type": "string" }, "createTime": { "type": "string", "format": "google-datetime", "description": "The time at which the finding was created in Security Command Center." }, "muteInitiator": { "type": "string", "description": "First known as mute_annotation. Records additional information about the mute operation e.g. mute config that muted the finding, user who muted the finding, etc. Unlike other attributes of a finding, a finding provider shouldn't set the value of mute." }, "parent": { "type": "string", "description": "The relative resource name of the source the finding belongs to. See: https://cloud.google.com/apis/design/resource_names#relative_resource_name This field is immutable after creation time. For example: \"organizations/{organization_id}/sources/{source_id}\"" }, "category": { "description": "The additional taxonomy group within findings from a given source. This field is immutable after creation time. Example: \"XSS_FLASH_INJECTION\"", "type": "string" }, "severity": { "description": "The severity of the finding. This field is managed by the source that writes the finding.", "enumDescriptions": [ "This value is used for findings when a source doesn't write a severity value.", "Vulnerability: A critical vulnerability is easily discoverable by an external actor, exploitable, and results in the direct ability to execute arbitrary code, exfiltrate data, and otherwise gain additional access and privileges to cloud resources and workloads. Examples include publicly accessible unprotected user data, public SSH access with weak or no passwords, etc. Threat: Indicates a threat that is able to access, modify, or delete data or execute unauthorized code within existing resources.", "Vulnerability: A high risk vulnerability can be easily discovered and exploited in combination with other vulnerabilities in order to gain direct access and the ability to execute arbitrary code, exfiltrate data, and otherwise gain additional access and privileges to cloud resources and workloads. An example is a database with weak or no passwords that is only accessible internally. This database could easily be compromised by an actor that had access to the internal network. Threat: Indicates a threat that is able to create new computational resources in an environment but not able to access data or execute code in existing resources.", "Vulnerability: A medium risk vulnerability could be used by an actor to gain access to resources or privileges that enable them to eventually (through multiple steps or a complex exploit) gain access and the ability to execute arbitrary code or exfiltrate data. An example is a service account with access to more projects than it should have. If an actor gains access to the service account, they could potentially use that access to manipulate a project the service account was not intended to. Threat: Indicates a threat that is able to cause operational impact but may not access data or execute unauthorized code.", "Vulnerability: A low risk vulnerability hampers a security organization's ability to detect vulnerabilities or active threats in their deployment, or prevents the root cause investigation of security issues. An example is monitoring and logs being disabled for resource configurations and access. Threat: Indicates a threat that has obtained minimal access to an environment but is not able to access data, execute code, or create resources." ], "type": "string", "enum": [ "SEVERITY_UNSPECIFIED", "CRITICAL", "HIGH", "MEDIUM", "LOW" ] }, "externalSystems": { "description": "Output only. Third party SIEM/SOAR fields within SCC, contains external system information and external system finding fields.", "type": "object", "readOnly": true, "additionalProperties": { "$ref": "GoogleCloudSecuritycenterV1ExternalSystem" } }, "securityMarks": { "readOnly": true, "$ref": "SecurityMarks", "description": "Output only. User specified security marks. These marks are entirely managed by the user and come from the SecurityMarks resource that belongs to the finding." }, "mitreAttack": { "$ref": "MitreAttack", "description": "MITRE ATT&CK tactics and techniques related to this finding. See: https://attack.mitre.org" }, "canonicalName": { "type": "string", "description": "The canonical name of the finding. It's either \"organizations/{organization_id}/sources/{source_id}/findings/{finding_id}\", \"folders/{folder_id}/sources/{source_id}/findings/{finding_id}\" or \"projects/{project_number}/sources/{source_id}/findings/{finding_id}\", depending on the closest CRM ancestor of the resource associated with the finding." }, "connections": { "description": "Contains information about the IP connection associated with the finding.", "type": "array", "items": { "$ref": "Connection" } }, "indicator": { "$ref": "Indicator", "description": "Represents what's commonly known as an Indicator of compromise (IoC) in computer forensics. This is an artifact observed on a network or in an operating system that, with high confidence, indicates a computer intrusion. Reference: https://en.wikipedia.org/wiki/Indicator_of_compromise" }, "iamBindings": { "type": "array", "description": "Represents IAM bindings associated with the Finding.", "items": { "$ref": "IamBinding" } }, "exfiltration": { "$ref": "Exfiltration", "description": "Represents exfiltration associated with the Finding." }, "compliances": { "description": "Contains compliance information for security standards associated to the finding.", "items": { "$ref": "Compliance" }, "type": "array" }, "nextSteps": { "type": "string", "description": "Next steps associate to the finding." } }, "id": "Finding", "description": "Security Command Center finding. A finding is a record of assessment data like security, risk, health, or privacy, that is ingested into Security Command Center for presentation, notification, analysis, policy testing, and enforcement. For example, a cross-site scripting (XSS) vulnerability in an App Engine application is a finding.", "type": "object" }, "Connection": { "type": "object", "description": "Contains information about the IP connection associated with the finding.", "id": "Connection", "properties": { "sourcePort": { "format": "int32", "type": "integer", "description": "Source port." }, "sourceIp": { "description": "Source IP address.", "type": "string" }, "destinationPort": { "type": "integer", "description": "Destination port. Not present for sockets that are listening and not connected.", "format": "int32" }, "protocol": { "type": "string", "enum": [ "PROTOCOL_UNSPECIFIED", "ICMP", "TCP", "UDP", "GRE", "ESP" ], "enumDescriptions": [ "Unspecified protocol (not HOPOPT).", "Internet Control Message Protocol.", "Transmission Control Protocol.", "User Datagram Protocol.", "Generic Routing Encapsulation.", "Encap Security Payload." ], "description": "IANA Internet Protocol Number such as TCP(6) and UDP(17)." }, "destinationIp": { "type": "string", "description": "Destination IP address. Not present for sockets that are listening and not connected." } } }, "ListAssetsResponse": { "type": "object", "id": "ListAssetsResponse", "description": "Response message for listing assets.", "properties": { "totalSize": { "format": "int32", "description": "The total number of assets matching the query.", "type": "integer" }, "readTime": { "description": "Time used for executing the list request.", "type": "string", "format": "google-datetime" }, "listAssetsResults": { "items": { "$ref": "ListAssetsResult" }, "type": "array", "description": "Assets matching the list request." }, "nextPageToken": { "description": "Token to retrieve the next page of results, or empty if there are no more results.", "type": "string" } } }, "GetPolicyOptions": { "properties": { "requestedPolicyVersion": { "format": "int32", "description": "Optional. The maximum policy version that will be used to format the policy. Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset. The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "type": "integer" } }, "description": "Encapsulates settings provided to GetIamPolicy.", "id": "GetPolicyOptions", "type": "object" }, "ListSourcesResponse": { "description": "Response message for listing sources.", "properties": { "sources": { "description": "Sources belonging to the requested parent.", "items": { "$ref": "Source" }, "type": "array" }, "nextPageToken": { "type": "string", "description": "Token to retrieve the next page of results, or empty if there are no more results." } }, "id": "ListSourcesResponse", "type": "object" }, "GoogleCloudSecuritycenterV1beta1SecurityMarks": { "id": "GoogleCloudSecuritycenterV1beta1SecurityMarks", "description": "User specified security marks that are attached to the parent Security Command Center resource. Security marks are scoped within a Security Command Center organization -- they can be modified and viewed by all users who have proper permissions on the organization.", "type": "object", "properties": { "name": { "type": "string", "description": "The relative resource name of the SecurityMarks. See: https://cloud.google.com/apis/design/resource_names#relative_resource_name Examples: \"organizations/{organization_id}/assets/{asset_id}/securityMarks\" \"organizations/{organization_id}/sources/{source_id}/findings/{finding_id}/securityMarks\"." }, "marks": { "description": "Mutable user specified security marks belonging to the parent resource. Constraints are as follows: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Keys and values are treated as case insensitive LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Keys must be between 1 - 256 characters (inclusive) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Keys must be letters, numbers, underscores, or dashes LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Values have leading and trailing whitespace trimmed, remaining characters must be between 1 - 4096 characters (inclusive)", "type": "object", "additionalProperties": { "type": "string" } } } }, "ExfilResource": { "type": "object", "id": "ExfilResource", "properties": { "components": { "description": "Subcomponents of the asset that is exfiltrated - these could be URIs used during exfiltration, table names, databases, filenames, etc. For example, multiple tables may be exfiltrated from the same CloudSQL instance, or multiple files from the same Cloud Storage bucket.", "items": { "type": "string" }, "type": "array" }, "name": { "description": "Resource's URI (https://google.aip.dev/122#full-resource-names)", "type": "string" } }, "description": "Resource that has been exfiltrated or exfiltrated_to." }, "GoogleCloudSecuritycenterV1NotificationMessage": { "id": "GoogleCloudSecuritycenterV1NotificationMessage", "properties": { "resource": { "description": "The Cloud resource tied to this notification's Finding.", "$ref": "GoogleCloudSecuritycenterV1Resource" }, "finding": { "description": "If it's a Finding based notification config, this field will be populated.", "$ref": "Finding" }, "notificationConfigName": { "description": "Name of the notification config that generated current notification.", "type": "string" } }, "type": "object", "description": "Cloud SCC's Notification" }, "ListAssetsResult": { "description": "Result containing the Asset and its State.", "type": "object", "properties": { "state": { "enumDescriptions": [ "Unspecified state.", "Request did not specify use of this field in the result.", "Asset was added between the points in time.", "Asset was removed between the points in time.", "Asset was active at both point(s) in time." ], "type": "string", "description": "State of the asset.", "enum": [ "STATE_UNSPECIFIED", "UNUSED", "ADDED", "REMOVED", "ACTIVE" ] }, "asset": { "$ref": "Asset", "description": "Asset matching the search request." } }, "id": "ListAssetsResult" }, "GoogleCloudSecuritycenterV1BigQueryExport": { "properties": { "name": { "type": "string", "description": "The relative resource name of this export. See: https://cloud.google.com/apis/design/resource_names#relative_resource_name. Example format: \"organizations/{organization_id}/bigQueryExports/{export_id}\" Example format: \"folders/{folder_id}/bigQueryExports/{export_id}\" Example format: \"projects/{project_id}/bigQueryExports/{export_id}\" This field is provided in responses, and is ignored when provided in create requests." }, "updateTime": { "description": "Output only. The most recent time at which the big export was updated. This field is set by the server and will be ignored if provided on export creation or update.", "type": "string", "readOnly": true, "format": "google-datetime" }, "filter": { "description": "Expression that defines the filter to apply across create/update events of findings. The expression is a list of zero or more restrictions combined via logical operators `AND` and `OR`. Parentheses are supported, and `OR` has higher precedence than `AND`. Restrictions have the form ` ` and may have a `-` character in front of them to indicate negation. The fields map to those defined in the corresponding resource. The supported operators are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `=` for all value types. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `\u003e`, `\u003c`, `\u003e=`, `\u003c=` for integer values. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `:`, meaning substring matching, for strings. The supported value types are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh string literals in quotes. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh integer literals without quotes. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh boolean literals `true` and `false` without quotes.", "type": "string" }, "principal": { "readOnly": true, "description": "Output only. The service account that needs permission to create table, upload data to the big query dataset.", "type": "string" }, "description": { "description": "The description of the export (max of 1024 characters).", "type": "string" }, "dataset": { "description": "The dataset to write findings' updates to. Its format is \"projects/[project_id]/datasets/[bigquery_dataset_id]\". BigQuery Dataset unique ID must contain only letters (a-z, A-Z), numbers (0-9), or underscores (_).", "type": "string" }, "createTime": { "description": "Output only. The time at which the big query export was created. This field is set by the server and will be ignored if provided on export on creation.", "format": "google-datetime", "readOnly": true, "type": "string" }, "mostRecentEditor": { "type": "string", "readOnly": true, "description": "Output only. Email address of the user who last edited the big query export. This field is set by the server and will be ignored if provided on export creation or update." } }, "id": "GoogleCloudSecuritycenterV1BigQueryExport", "description": "Configures how to deliver Findings to BigQuery Instance.", "type": "object" }, "GroupAssetsRequest": { "properties": { "readTime": { "format": "google-datetime", "type": "string", "description": "Time used as a reference point when filtering assets. The filter is limited to assets existing at the supplied time and their values are those at that specific time. Absence of this field will default to the API's version of NOW." }, "groupBy": { "description": "Required. Expression that defines what assets fields to use for grouping. The string value should follow SQL syntax: comma separated list of fields. For example: \"security_center_properties.resource_project,security_center_properties.project\". The following fields are supported when compare_duration is not set: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh security_center_properties.resource_project LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh security_center_properties.resource_type LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh security_center_properties.resource_parent The following fields are supported when compare_duration is set: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh security_center_properties.resource_type", "type": "string" }, "pageToken": { "type": "string", "description": "The value returned by the last `GroupAssetsResponse`; indicates that this is a continuation of a prior `GroupAssets` call, and that the system should return the next page of data." }, "pageSize": { "type": "integer", "description": "The maximum number of results to return in a single response. Default is 10, minimum is 1, maximum is 1000.", "format": "int32" }, "compareDuration": { "description": "When compare_duration is set, the Asset's \"state\" property is updated to indicate whether the asset was added, removed, or remained present during the compare_duration period of time that precedes the read_time. This is the time between (read_time - compare_duration) and read_time. The state value is derived based on the presence of the asset at the two points in time. Intermediate state changes between the two times don't affect the result. For example, the results aren't affected if the asset is removed and re-created again. Possible \"state\" values when compare_duration is specified: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"ADDED\": indicates that the asset was not present before compare_duration, but present at reference_time. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"REMOVED\": indicates that the asset was present at the start of compare_duration, but not present at reference_time. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"ACTIVE\": indicates that the asset was present at both the start and the end of the time period defined by compare_duration and reference_time. This field is ignored if `state` is not a field in `group_by`.", "format": "google-duration", "type": "string" }, "filter": { "description": "Expression that defines the filter to apply across assets. The expression is a list of zero or more restrictions combined via logical operators `AND` and `OR`. Parentheses are not supported, and `OR` has higher precedence than `AND`. Restrictions have the form ` ` and may have a `-` character in front of them to indicate negation. The fields map to those defined in the Asset resource. Examples include: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh name LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh security_center_properties.resource_name LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh resource_properties.a_property LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh security_marks.marks.marka The supported operators are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `=` for all value types. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `\u003e`, `\u003c`, `\u003e=`, `\u003c=` for integer values. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `:`, meaning substring matching, for strings. The supported value types are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh string literals in quotes. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh integer literals without quotes. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh boolean literals `true` and `false` without quotes. For example, `resource_properties.size = 100` is a valid filter string.", "type": "string" } }, "id": "GroupAssetsRequest", "type": "object", "description": "Request message for grouping by assets." }, "GroupFindingsRequest": { "id": "GroupFindingsRequest", "description": "Request message for grouping by findings.", "properties": { "pageSize": { "type": "integer", "description": "The maximum number of results to return in a single response. Default is 10, minimum is 1, maximum is 1000.", "format": "int32" }, "pageToken": { "type": "string", "description": "The value returned by the last `GroupFindingsResponse`; indicates that this is a continuation of a prior `GroupFindings` call, and that the system should return the next page of data." }, "filter": { "type": "string", "description": "Expression that defines the filter to apply across findings. The expression is a list of one or more restrictions combined via logical operators `AND` and `OR`. Parentheses are not supported, and `OR` has higher precedence than `AND`. Restrictions have the form ` ` and may have a `-` character in front of them to indicate negation. Examples include: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh name LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh source_properties.a_property LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh security_marks.marks.marka The supported operators are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `=` for all value types. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `\u003e`, `\u003c`, `\u003e=`, `\u003c=` for integer values. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `:`, meaning substring matching, for strings. The supported value types are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh string literals in quotes. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh integer literals without quotes. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh boolean literals `true` and `false` without quotes. For example, `source_properties.size = 100` is a valid filter string." }, "readTime": { "format": "google-datetime", "description": "Time used as a reference point when filtering findings. The filter is limited to findings existing at the supplied time and their values are those at that specific time. Absence of this field will default to the API's version of NOW.", "type": "string" }, "groupBy": { "type": "string", "description": "Required. Expression that defines what assets fields to use for grouping (including `state`). The string value should follow SQL syntax: comma separated list of fields. For example: \"parent,resource_name\". The following fields are supported: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh resource_name LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh category LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh state LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh parent" } }, "type": "object" }, "GoogleCloudSecuritycenterV1ExternalSystem": { "id": "GoogleCloudSecuritycenterV1ExternalSystem", "properties": { "status": { "description": "Most recent status of the corresponding finding's ticket/tracker in the external system.", "type": "string" }, "externalSystemUpdateTime": { "format": "google-datetime", "description": "The most recent time when the corresponding finding's ticket/tracker was updated in the external system.", "type": "string" }, "externalUid": { "type": "string", "description": "Identifier that's used to track the given finding in the external system." }, "name": { "type": "string", "description": "External System Name e.g. jira, demisto, etc. e.g.: `organizations/1234/sources/5678/findings/123456/externalSystems/jira` `folders/1234/sources/5678/findings/123456/externalSystems/jira` `projects/1234/sources/5678/findings/123456/externalSystems/jira`" }, "assignees": { "type": "array", "description": "References primary/secondary etc assignees in the external system.", "items": { "type": "string" } } }, "description": "Representation of third party SIEM/SOAR fields within SCC.", "type": "object" }, "GoogleCloudSecuritycenterV1p1beta1NotificationMessage": { "type": "object", "properties": { "notificationConfigName": { "type": "string", "description": "Name of the notification config that generated current notification." }, "resource": { "$ref": "GoogleCloudSecuritycenterV1p1beta1Resource", "description": "The Cloud resource tied to the notification." }, "finding": { "description": "If it's a Finding based notification config, this field will be populated.", "$ref": "GoogleCloudSecuritycenterV1p1beta1Finding" } }, "id": "GoogleCloudSecuritycenterV1p1beta1NotificationMessage", "description": "Security Command Center's Notification" }, "ListFindingsResponse": { "properties": { "totalSize": { "type": "integer", "description": "The total number of findings matching the query.", "format": "int32" }, "nextPageToken": { "description": "Token to retrieve the next page of results, or empty if there are no more results.", "type": "string" }, "findings": { "description": "Findings matching the list request.", "items": { "$ref": "GoogleCloudSecuritycenterV1beta1Finding" }, "type": "array" }, "readTime": { "description": "Time used for executing the list request.", "type": "string", "format": "google-datetime" } }, "description": "Response message for listing findings.", "type": "object", "id": "ListFindingsResponse" }, "GoogleCloudSecuritycenterV1p1beta1RunAssetDiscoveryResponse": { "type": "object", "id": "GoogleCloudSecuritycenterV1p1beta1RunAssetDiscoveryResponse", "properties": { "duration": { "type": "string", "format": "google-duration", "description": "The duration between asset discovery run start and end" }, "state": { "enum": [ "STATE_UNSPECIFIED", "COMPLETED", "SUPERSEDED", "TERMINATED" ], "type": "string", "enumDescriptions": [ "Asset discovery run state was unspecified.", "Asset discovery run completed successfully.", "Asset discovery run was cancelled with tasks still pending, as another run for the same organization was started with a higher priority.", "Asset discovery run was killed and terminated." ], "description": "The state of an asset discovery run." } }, "description": "Response of asset discovery run" }, "Operation": { "properties": { "done": { "type": "boolean", "description": "If the value is `false`, it means the operation is still in progress. If `true`, the operation is completed, and either `error` or `response` is available." }, "error": { "description": "The error result of the operation in case of failure or cancellation.", "$ref": "Status" }, "response": { "description": "The normal response of the operation in case of success. If the original method returns no data on success, such as `Delete`, the response is `google.protobuf.Empty`. If the original method is standard `Get`/`Create`/`Update`, the response should be the resource. For other methods, the response should have the type `XxxResponse`, where `Xxx` is the original method name. For example, if the original method name is `TakeSnapshot()`, the inferred response type is `TakeSnapshotResponse`.", "type": "object", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" } }, "name": { "description": "The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the `name` should be a resource name ending with `operations/{unique_id}`.", "type": "string" }, "metadata": { "description": "Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any.", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "type": "object" } }, "description": "This resource represents a long-running operation that is the result of a network API call.", "id": "Operation", "type": "object" }, "GetIamPolicyRequest": { "description": "Request message for `GetIamPolicy` method.", "properties": { "options": { "description": "OPTIONAL: A `GetPolicyOptions` object for specifying options to `GetIamPolicy`.", "$ref": "GetPolicyOptions" } }, "type": "object", "id": "GetIamPolicyRequest" }, "AuditConfig": { "id": "AuditConfig", "properties": { "auditLogConfigs": { "type": "array", "description": "The configuration for logging of each type of permission.", "items": { "$ref": "AuditLogConfig" } }, "service": { "description": "Specifies a service that will be enabled for audit logging. For example, `storage.googleapis.com`, `cloudsql.googleapis.com`. `allServices` is a special value that covers all services.", "type": "string" } }, "description": "Specifies the audit configuration for a service. The configuration determines which permission types are logged, and what identities, if any, are exempted from logging. An AuditConfig must have one or more AuditLogConfigs. If there are AuditConfigs for both `allServices` and a specific service, the union of the two AuditConfigs is used for that service: the log_types specified in each AuditConfig are enabled, and the exempted_members in each AuditLogConfig are exempted. Example Policy with multiple AuditConfigs: { \"audit_configs\": [ { \"service\": \"allServices\", \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\", \"exempted_members\": [ \"user:jose@example.com\" ] }, { \"log_type\": \"DATA_WRITE\" }, { \"log_type\": \"ADMIN_READ\" } ] }, { \"service\": \"sampleservice.googleapis.com\", \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\" }, { \"log_type\": \"DATA_WRITE\", \"exempted_members\": [ \"user:aliya@example.com\" ] } ] } ] } For sampleservice, this policy enables DATA_READ, DATA_WRITE and ADMIN_READ logging. It also exempts `jose@example.com` from DATA_READ logging, and `aliya@example.com` from DATA_WRITE logging.", "type": "object" }, "Expr": { "properties": { "description": { "description": "Optional. Description of the expression. This is a longer text which describes the expression, e.g. when hovered over it in a UI.", "type": "string" }, "expression": { "description": "Textual representation of an expression in Common Expression Language syntax.", "type": "string" }, "title": { "description": "Optional. Title for the expression, i.e. a short string describing its purpose. This can be used e.g. in UIs which allow to enter the expression.", "type": "string" }, "location": { "type": "string", "description": "Optional. String indicating the location of the expression for error reporting, e.g. a file name and a position in the file." } }, "id": "Expr", "type": "object", "description": "Represents a textual expression in the Common Expression Language (CEL) syntax. CEL is a C-like expression language. The syntax and semantics of CEL are documented at https://github.com/google/cel-spec. Example (Comparison): title: \"Summary size limit\" description: \"Determines if a summary is less than 100 chars\" expression: \"document.summary.size() \u003c 100\" Example (Equality): title: \"Requestor is owner\" description: \"Determines if requestor is the document owner\" expression: \"document.owner == request.auth.claims.email\" Example (Logic): title: \"Public documents\" description: \"Determine whether the document should be publicly visible\" expression: \"document.type != 'private' && document.type != 'internal'\" Example (Data Manipulation): title: \"Notification string\" description: \"Create a notification string with a timestamp.\" expression: \"'New message received at ' + string(document.create_time)\" The exact variables and functions that may be referenced within an expression are determined by the service that evaluates it. See the service documentation for additional information." }, "Reference": { "properties": { "uri": { "type": "string", "description": "Uri for the mentioned source e.g. https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-34527." }, "source": { "type": "string", "description": "Source of the reference e.g. NVD" } }, "id": "Reference", "description": "Additional Links", "type": "object" }, "CancelOperationRequest": { "id": "CancelOperationRequest", "type": "object", "properties": {}, "description": "The request message for Operations.CancelOperation." }, "Compliance": { "type": "object", "id": "Compliance", "properties": { "ids": { "description": "Policies within the standard/benchmark e.g. A.12.4.1", "type": "array", "items": { "type": "string" } }, "version": { "description": "Version of the standard/benchmark e.g. 1.1", "type": "string" }, "standard": { "description": "Refers to industry wide standards or benchmarks e.g. \"cis\", \"pci\", \"owasp\", etc.", "type": "string" } }, "description": "Contains compliance information about a security standard indicating unmet recommendations." }, "Source": { "id": "Source", "type": "object", "description": "Security Command Center finding source. A finding source is an entity or a mechanism that can produce a finding. A source is like a container of findings that come from the same scanner, logger, monitor, etc.", "properties": { "displayName": { "type": "string", "description": "The source's display name. A source's display name must be unique amongst its siblings, for example, two sources with the same parent can't share the same display name. The display name must have a length between 1 and 64 characters (inclusive)." }, "description": { "type": "string", "description": "The description of the source (max of 1024 characters). Example: \"Web Security Scanner is a web security scanner for common vulnerabilities in App Engine applications. It can automatically scan and detect four common vulnerabilities, including cross-site-scripting (XSS), Flash injection, mixed content (HTTP in HTTPS), and outdated/insecure libraries.\"" }, "name": { "description": "The relative resource name of this source. See: https://cloud.google.com/apis/design/resource_names#relative_resource_name Example: \"organizations/{organization_id}/sources/{source_id}\"", "type": "string" } } }, "GoogleCloudSecuritycenterV1Resource": { "type": "object", "properties": { "displayName": { "description": "The human readable name of the resource.", "type": "string" }, "parentDisplayName": { "type": "string", "description": "The human readable name of resource's parent." }, "projectDisplayName": { "type": "string", "description": "The project ID that the resource belongs to." }, "folders": { "type": "array", "description": "Output only. Contains a Folder message for each folder in the assets ancestry. The first folder is the deepest nested folder, and the last folder is the folder directly under the Organization.", "readOnly": true, "items": { "$ref": "Folder" } }, "name": { "description": "The full resource name of the resource. See: https://cloud.google.com/apis/design/resource_names#full_resource_name", "type": "string" }, "parent": { "type": "string", "description": "The full resource name of resource's parent." }, "project": { "description": "The full resource name of project that the resource belongs to.", "type": "string" }, "type": { "type": "string", "description": "The full resource type of the resource." } }, "id": "GoogleCloudSecuritycenterV1Resource", "description": "Information related to the Google Cloud resource." }, "OrganizationSettings": { "id": "OrganizationSettings", "properties": { "enableAssetDiscovery": { "type": "boolean", "description": "A flag that indicates if Asset Discovery should be enabled. If the flag is set to `true`, then discovery of assets will occur. If it is set to `false, all historical assets will remain, but discovery of future assets will not occur." }, "name": { "description": "The relative resource name of the settings. See: https://cloud.google.com/apis/design/resource_names#relative_resource_name Example: \"organizations/{organization_id}/organizationSettings\".", "type": "string" }, "assetDiscoveryConfig": { "$ref": "AssetDiscoveryConfig", "description": "The configuration used for Asset Discovery runs." } }, "description": "User specified settings that are attached to the Security Command Center organization.", "type": "object" }, "ListOperationsResponse": { "id": "ListOperationsResponse", "description": "The response message for Operations.ListOperations.", "properties": { "operations": { "items": { "$ref": "Operation" }, "type": "array", "description": "A list of operations that matches the specified filter in the request." }, "nextPageToken": { "type": "string", "description": "The standard List next-page token." } }, "type": "object" }, "Binding": { "description": "Associates `members`, or principals, with a `role`.", "type": "object", "properties": { "role": { "description": "Role that is assigned to the list of `members`, or principals. For example, `roles/viewer`, `roles/editor`, or `roles/owner`.", "type": "string" }, "condition": { "$ref": "Expr", "description": "The condition that is associated with this binding. If the condition evaluates to `true`, then this binding applies to the current request. If the condition evaluates to `false`, then this binding does not apply to the current request. However, a different role binding might grant the same role to one or more of the principals in this binding. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies)." }, "members": { "items": { "type": "string" }, "description": "Specifies the principals requesting access for a Google Cloud resource. `members` can have the following values: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `allUsers`: A special identifier that represents anyone who is on the internet; with or without a Google account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `allAuthenticatedUsers`: A special identifier that represents anyone who is authenticated with a Google account or a service account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `user:{emailid}`: An email address that represents a specific Google account. For example, `alice@example.com` . LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `serviceAccount:{emailid}`: An email address that represents a service account. For example, `my-other-app@appspot.gserviceaccount.com`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `group:{emailid}`: An email address that represents a Google group. For example, `admins@example.com`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:user:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a user that has been recently deleted. For example, `alice@example.com?uid=123456789012345678901`. If the user is recovered, this value reverts to `user:{emailid}` and the recovered user retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:serviceAccount:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a service account that has been recently deleted. For example, `my-other-app@appspot.gserviceaccount.com?uid=123456789012345678901`. If the service account is undeleted, this value reverts to `serviceAccount:{emailid}` and the undeleted service account retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:group:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a Google group that has been recently deleted. For example, `admins@example.com?uid=123456789012345678901`. If the group is recovered, this value reverts to `group:{emailid}` and the recovered group retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `domain:{domain}`: The G Suite domain (primary) that represents all the users of that domain. For example, `google.com` or `example.com`. ", "type": "array" } }, "id": "Binding" }, "RunAssetDiscoveryRequest": { "type": "object", "id": "RunAssetDiscoveryRequest", "properties": {}, "description": "Request message for running asset discovery for an organization." }, "Cve": { "id": "Cve", "type": "object", "properties": { "cvssv3": { "description": "Describe Common Vulnerability Scoring System specified at https://www.first.org/cvss/v3.1/specification-document", "$ref": "Cvssv3" }, "id": { "type": "string", "description": "The unique identifier for the vulnerability. e.g. CVE-2021-34527" }, "references": { "description": "Additional information about the CVE. e.g. https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-34527", "items": { "$ref": "Reference" }, "type": "array" }, "upstreamFixAvailable": { "type": "boolean", "description": "Whether upstream fix is available for the CVE." } }, "description": "CVE stands for Common Vulnerabilities and Exposures. More information: https://cve.mitre.org" }, "GoogleCloudSecuritycenterV1MuteConfig": { "id": "GoogleCloudSecuritycenterV1MuteConfig", "properties": { "mostRecentEditor": { "description": "Output only. Email address of the user who last edited the mute config. This field is set by the server and will be ignored if provided on config creation or update.", "type": "string", "readOnly": true }, "name": { "description": "This field will be ignored if provided on config creation. Format \"organizations/{organization}/muteConfigs/{mute_config}\" \"folders/{folder}/muteConfigs/{mute_config}\" \"projects/{project}/muteConfigs/{mute_config}\"", "type": "string" }, "updateTime": { "description": "Output only. The most recent time at which the mute config was updated. This field is set by the server and will be ignored if provided on config creation or update.", "readOnly": true, "format": "google-datetime", "type": "string" }, "createTime": { "type": "string", "readOnly": true, "format": "google-datetime", "description": "Output only. The time at which the mute config was created. This field is set by the server and will be ignored if provided on config creation." }, "displayName": { "description": "The human readable name to be displayed for the mute config.", "type": "string" }, "filter": { "description": "Required. An expression that defines the filter to apply across create/update events of findings. While creating a filter string, be mindful of the scope in which the mute configuration is being created. E.g., If a filter contains project = X but is created under the project = Y scope, it might not match any findings. The following field and operator combinations are supported: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh severity: `=`, `:` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh category: `=`, `:` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh resource.name: `=`, `:` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh resource.project_name: `=`, `:` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh resource.project_display_name: `=`, `:` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh resource.folders.resource_folder: `=`, `:` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh resource.parent_name: `=`, `:` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh resource.parent_display_name: `=`, `:` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh resource.type: `=`, `:` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh finding_class: `=`, `:` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh indicator.ip_addresses: `=`, `:` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh indicator.domains: `=`, `:`", "type": "string" }, "description": { "description": "A description of the mute config.", "type": "string" } }, "type": "object", "description": "A mute config is a Cloud SCC resource that contains the configuration to mute create/update events of findings." }, "Vulnerability": { "properties": { "cve": { "$ref": "Cve", "description": "CVE stands for Common Vulnerabilities and Exposures (https://cve.mitre.org/about/)" } }, "type": "object", "id": "Vulnerability", "description": "Refers to common vulnerability fields e.g. cve, cvss, cwe etc." }, "Cvssv3": { "id": "Cvssv3", "type": "object", "description": "Common Vulnerability Scoring System version 3.", "properties": { "scope": { "enum": [ "SCOPE_UNSPECIFIED", "SCOPE_UNCHANGED", "SCOPE_CHANGED" ], "description": "The Scope metric captures whether a vulnerability in one vulnerable component impacts resources in components beyond its security scope.", "type": "string", "enumDescriptions": [ "Invalid value.", "An exploited vulnerability can only affect resources managed by the same security authority.", "An exploited vulnerability can affect resources beyond the security scope managed by the security authority of the vulnerable component." ] }, "privilegesRequired": { "enum": [ "PRIVILEGES_REQUIRED_UNSPECIFIED", "PRIVILEGES_REQUIRED_NONE", "PRIVILEGES_REQUIRED_LOW", "PRIVILEGES_REQUIRED_HIGH" ], "type": "string", "description": "This metric describes the level of privileges an attacker must possess before successfully exploiting the vulnerability.", "enumDescriptions": [ "Invalid value.", "The attacker is unauthorized prior to attack, and therefore does not require any access to settings or files of the vulnerable system to carry out an attack.", "The attacker requires privileges that provide basic user capabilities that could normally affect only settings and files owned by a user. Alternatively, an attacker with Low privileges has the ability to access only non-sensitive resources.", "The attacker requires privileges that provide significant (e.g., administrative) control over the vulnerable component allowing access to component-wide settings and files." ] }, "baseScore": { "description": "The base score is a function of the base metric scores.", "format": "double", "type": "number" }, "userInteraction": { "type": "string", "enumDescriptions": [ "Invalid value.", "The vulnerable system can be exploited without interaction from any user.", "Successful exploitation of this vulnerability requires a user to take some action before the vulnerability can be exploited." ], "enum": [ "USER_INTERACTION_UNSPECIFIED", "USER_INTERACTION_NONE", "USER_INTERACTION_REQUIRED" ], "description": "This metric captures the requirement for a human user, other than the attacker, to participate in the successful compromise of the vulnerable component." }, "confidentialityImpact": { "enumDescriptions": [ "Invalid value.", "High impact.", "Low impact.", "No impact." ], "enum": [ "IMPACT_UNSPECIFIED", "IMPACT_HIGH", "IMPACT_LOW", "IMPACT_NONE" ], "type": "string", "description": "This metric measures the impact to the confidentiality of the information resources managed by a software component due to a successfully exploited vulnerability." }, "integrityImpact": { "description": "This metric measures the impact to integrity of a successfully exploited vulnerability.", "enum": [ "IMPACT_UNSPECIFIED", "IMPACT_HIGH", "IMPACT_LOW", "IMPACT_NONE" ], "type": "string", "enumDescriptions": [ "Invalid value.", "High impact.", "Low impact.", "No impact." ] }, "attackVector": { "description": "Base Metrics Represents the intrinsic characteristics of a vulnerability that are constant over time and across user environments. This metric reflects the context by which vulnerability exploitation is possible.", "enumDescriptions": [ "Invalid value.", "The vulnerable component is bound to the network stack and the set of possible attackers extends beyond the other options listed below, up to and including the entire Internet.", "The vulnerable component is bound to the network stack, but the attack is limited at the protocol level to a logically adjacent topology.", "The vulnerable component is not bound to the network stack and the attacker's path is via read/write/execute capabilities.", "The attack requires the attacker to physically touch or manipulate the vulnerable component." ], "enum": [ "ATTACK_VECTOR_UNSPECIFIED", "ATTACK_VECTOR_NETWORK", "ATTACK_VECTOR_ADJACENT", "ATTACK_VECTOR_LOCAL", "ATTACK_VECTOR_PHYSICAL" ], "type": "string" }, "availabilityImpact": { "description": "This metric measures the impact to the availability of the impacted component resulting from a successfully exploited vulnerability.", "enum": [ "IMPACT_UNSPECIFIED", "IMPACT_HIGH", "IMPACT_LOW", "IMPACT_NONE" ], "type": "string", "enumDescriptions": [ "Invalid value.", "High impact.", "Low impact.", "No impact." ] }, "attackComplexity": { "description": "This metric describes the conditions beyond the attacker's control that must exist in order to exploit the vulnerability.", "enum": [ "ATTACK_COMPLEXITY_UNSPECIFIED", "ATTACK_COMPLEXITY_LOW", "ATTACK_COMPLEXITY_HIGH" ], "type": "string", "enumDescriptions": [ "Invalid value.", "Specialized access conditions or extenuating circumstances do not exist. An attacker can expect repeatable success when attacking the vulnerable component.", "A successful attack depends on conditions beyond the attacker's control. That is, a successful attack cannot be accomplished at will, but requires the attacker to invest in some measurable amount of effort in preparation or execution against the vulnerable component before a successful attack can be expected." ] } } }, "Detection": { "properties": { "binary": { "description": "The name of the binary associated with the memory hash signature detection.", "type": "string" }, "percentPagesMatched": { "format": "double", "description": "The percentage of memory page hashes in the signature that were matched.", "type": "number" } }, "description": "Memory hash detection contributing to the binary family match.", "type": "object", "id": "Detection" }, "Process": { "properties": { "name": { "type": "string", "description": "The process name visible in utilities like `top` and `ps`; it can be accessed via `/proc/[pid]/comm` and changed with `prctl(PR_SET_NAME)`." }, "envVariablesTruncated": { "type": "boolean", "description": "True if `env_variables` is incomplete." }, "envVariables": { "items": { "$ref": "EnvironmentVariable" }, "description": "Process environment variables.", "type": "array" }, "args": { "type": "array", "description": "Process arguments as JSON encoded strings.", "items": { "type": "string" } }, "libraries": { "type": "array", "items": { "$ref": "File" }, "description": "File information for libraries loaded by the process." }, "argumentsTruncated": { "type": "boolean", "description": "True if `args` is incomplete." }, "parentPid": { "description": "The parent process id.", "format": "int64", "type": "string" }, "binary": { "description": "File information for the process executable.", "$ref": "File" }, "script": { "$ref": "File", "description": "When the process represents the invocation of a script, `binary` provides information about the interpreter while `script` provides information about the script file provided to the interpreter." }, "pid": { "format": "int64", "type": "string", "description": "The process id." } }, "type": "object", "id": "Process", "description": "Represents an operating system process." }, "Folder": { "description": "Message that contains the resource name and display name of a folder resource.", "id": "Folder", "properties": { "resourceFolder": { "description": "Full resource name of this folder. See: https://cloud.google.com/apis/design/resource_names#full_resource_name", "type": "string" }, "resourceFolderDisplayName": { "type": "string", "description": "The user defined display name for this folder." } }, "type": "object" }, "File": { "description": "File information about the related binary/library used by an executable, or the script used by a script interpreter", "type": "object", "properties": { "partiallyHashed": { "type": "boolean", "description": "True when the hash covers only a prefix of the file." }, "size": { "description": "Size of the file in bytes.", "type": "string", "format": "int64" }, "contents": { "type": "string", "description": "Prefix of the file contents as a JSON encoded string. (Currently only populated for Malicious Script Executed findings.)" }, "sha256": { "type": "string", "description": "SHA256 hash of the first hashed_size bytes of the file encoded as a hex string. If hashed_size == size, sha256 represents the SHA256 hash of the entire file." }, "path": { "type": "string", "description": "Absolute path of the file as a JSON encoded string." }, "hashedSize": { "type": "string", "format": "int64", "description": "The length in bytes of the file prefix that was hashed. If hashed_size == size, any hashes reported represent the entire file." } }, "id": "File" }, "Contact": { "id": "Contact", "type": "object", "description": "Representa a single contact's email address", "properties": { "email": { "description": "An email address e.g. \"person123@company.com\"", "type": "string" } } }, "TestIamPermissionsRequest": { "properties": { "permissions": { "type": "array", "items": { "type": "string" }, "description": "The set of permissions to check for the `resource`. Permissions with wildcards (such as `*` or `storage.*`) are not allowed. For more information see [IAM Overview](https://cloud.google.com/iam/docs/overview#permissions)." } }, "id": "TestIamPermissionsRequest", "description": "Request message for `TestIamPermissions` method.", "type": "object" }, "YaraRuleSignature": { "type": "object", "id": "YaraRuleSignature", "description": "A signature corresponding to a YARA rule.", "properties": { "yaraRule": { "description": "The name of the YARA rule.", "type": "string" } } }, "Empty": { "id": "Empty", "type": "object", "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }", "properties": {} }, "Exfiltration": { "id": "Exfiltration", "properties": { "targets": { "description": "If there are multiple targets, each target would get a complete copy of the \"joined\" source data.", "type": "array", "items": { "$ref": "ExfilResource" } }, "sources": { "description": "If there are multiple sources, then the data is considered \"joined\" between them. For instance, BigQuery can join multiple tables, and each table would be considered a source.", "items": { "$ref": "ExfilResource" }, "type": "array" } }, "description": "Exfiltration represents a data exfiltration attempt of one or more sources to one or more targets. Sources represent the source of data that is exfiltrated, and Targets represents the destination the data was copied to.", "type": "object" }, "IamBinding": { "properties": { "role": { "description": "Role that is assigned to \"members\". For example, \"roles/viewer\", \"roles/editor\", or \"roles/owner\".", "type": "string" }, "member": { "description": "A single identity requesting access for a Cloud Platform resource, e.g. \"foo@google.com\".", "type": "string" }, "action": { "description": "The action that was performed on a Binding.", "type": "string", "enumDescriptions": [ "Unspecified.", "Addition of a Binding.", "Removal of a Binding." ], "enum": [ "ACTION_UNSPECIFIED", "ADD", "REMOVE" ] } }, "type": "object", "id": "IamBinding", "description": "Represents a particular IAM binding, which captures a member's role addition, removal, or state." }, "GroupFindingsResponse": { "id": "GroupFindingsResponse", "properties": { "readTime": { "description": "Time used for executing the groupBy request.", "format": "google-datetime", "type": "string" }, "nextPageToken": { "type": "string", "description": "Token to retrieve the next page of results, or empty if there are no more results." }, "groupByResults": { "items": { "$ref": "GroupResult" }, "description": "Group results. There exists an element for each existing unique combination of property/values. The element contains a count for the number of times those specific property/values appear.", "type": "array" } }, "description": "Response message for group by findings.", "type": "object" }, "SecurityCenterProperties": { "properties": { "resourceOwners": { "type": "array", "description": "Owners of the Google Cloud resource.", "items": { "type": "string" } }, "resourceType": { "description": "The type of the Google Cloud resource. Examples include: APPLICATION, PROJECT, and ORGANIZATION. This is a case insensitive field defined by Security Command Center and/or the producer of the resource and is immutable after create time.", "type": "string" }, "resourceParent": { "description": "The full resource name of the immediate parent of the resource. See: https://cloud.google.com/apis/design/resource_names#full_resource_name", "type": "string" }, "resourceProject": { "description": "The full resource name of the project the resource belongs to. See: https://cloud.google.com/apis/design/resource_names#full_resource_name", "type": "string" }, "resourceName": { "type": "string", "description": "Immutable. The full resource name of the Google Cloud resource this asset represents. This field is immutable after create time. See: https://cloud.google.com/apis/design/resource_names#full_resource_name" } }, "description": "Security Command Center managed properties. These properties are managed by Security Command Center and cannot be modified by the user.", "id": "SecurityCenterProperties", "type": "object" }, "GoogleCloudSecuritycenterV1BulkMuteFindingsResponse": { "properties": {}, "id": "GoogleCloudSecuritycenterV1BulkMuteFindingsResponse", "description": "The response to a BulkMute request. Contains the LRO information.", "type": "object" }, "ProcessSignature": { "id": "ProcessSignature", "description": "Indicates what signature matched this process.", "type": "object", "properties": { "memoryHashSignature": { "description": "Signature indicating that a binary family was matched.", "$ref": "MemoryHashSignature" }, "yaraRuleSignature": { "description": "Signature indicating that a YARA rule was matched.", "$ref": "YaraRuleSignature" } } }, "GoogleCloudSecuritycenterV1beta1Finding": { "properties": { "createTime": { "format": "google-datetime", "type": "string", "description": "The time at which the finding was created in Security Command Center." }, "sourceProperties": { "type": "object", "description": "Source specific properties. These properties are managed by the source that writes the finding. The key names in the source_properties map must be between 1 and 255 characters, and must start with a letter and contain alphanumeric characters or underscores only.", "additionalProperties": { "type": "any" } }, "name": { "type": "string", "description": "The relative resource name of this finding. See: https://cloud.google.com/apis/design/resource_names#relative_resource_name Example: \"organizations/{organization_id}/sources/{source_id}/findings/{finding_id}\"" }, "resourceName": { "description": "For findings on Google Cloud resources, the full resource name of the Google Cloud resource this finding is for. See: https://cloud.google.com/apis/design/resource_names#full_resource_name When the finding is for a non-Google Cloud resource, the resourceName can be a customer or partner defined string. This field is immutable after creation time.", "type": "string" }, "externalUri": { "description": "The URI that, if available, points to a web page outside of Security Command Center where additional information about the finding can be found. This field is guaranteed to be either empty or a well formed URL.", "type": "string" }, "state": { "type": "string", "enumDescriptions": [ "Unspecified state.", "The finding requires attention and has not been addressed yet.", "The finding has been fixed, triaged as a non-issue or otherwise addressed and is no longer active." ], "enum": [ "STATE_UNSPECIFIED", "ACTIVE", "INACTIVE" ], "description": "The state of the finding." }, "eventTime": { "type": "string", "format": "google-datetime", "description": "The time at which the event took place, or when an update to the finding occurred. For example, if the finding represents an open firewall it would capture the time the detector believes the firewall became open. The accuracy is determined by the detector. If the finding were to be resolved afterward, this time would reflect when the finding was resolved." }, "securityMarks": { "$ref": "GoogleCloudSecuritycenterV1beta1SecurityMarks", "readOnly": true, "description": "Output only. User specified security marks. These marks are entirely managed by the user and come from the SecurityMarks resource that belongs to the finding." }, "parent": { "type": "string", "description": "Immutable. The relative resource name of the source the finding belongs to. See: https://cloud.google.com/apis/design/resource_names#relative_resource_name This field is immutable after creation time. For example: \"organizations/{organization_id}/sources/{source_id}\"" }, "category": { "type": "string", "description": "The additional taxonomy group within findings from a given source. This field is immutable after creation time. Example: \"XSS_FLASH_INJECTION\"" } }, "id": "GoogleCloudSecuritycenterV1beta1Finding", "description": "Security Command Center finding. A finding is a record of assessment data (security, risk, health or privacy) ingested into Security Command Center for presentation, notification, analysis, policy testing, and enforcement. For example, an XSS vulnerability in an App Engine application is a finding.", "type": "object" } }, "description": "Security Command Center API provides access to temporal views of assets and findings within an organization.", "resources": { "organizations": { "resources": { "assets": { "methods": { "group": { "parameterOrder": [ "parent" ], "request": { "$ref": "GroupAssetsRequest" }, "path": "v1beta1/{+parent}/assets:group", "id": "securitycenter.organizations.assets.group", "httpMethod": "POST", "flatPath": "v1beta1/organizations/{organizationsId}/assets:group", "parameters": { "parent": { "pattern": "^organizations/[^/]+$", "description": "Required. Name of the organization to groupBy. Its format is \"organizations/[organization_id]\".", "type": "string", "location": "path", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Filters an organization's assets and groups them by their specified properties.", "response": { "$ref": "GroupAssetsResponse" } }, "updateSecurityMarks": { "parameterOrder": [ "name" ], "parameters": { "updateMask": { "description": "The FieldMask to use when updating the security marks resource.", "location": "query", "format": "google-fieldmask", "type": "string" }, "startTime": { "description": "The time at which the updated SecurityMarks take effect.", "format": "google-datetime", "location": "query", "type": "string" }, "name": { "location": "path", "type": "string", "description": "The relative resource name of the SecurityMarks. See: https://cloud.google.com/apis/design/resource_names#relative_resource_name Examples: \"organizations/{organization_id}/assets/{asset_id}/securityMarks\" \"organizations/{organization_id}/sources/{source_id}/findings/{finding_id}/securityMarks\".", "required": true, "pattern": "^organizations/[^/]+/assets/[^/]+/securityMarks$" } }, "id": "securitycenter.organizations.assets.updateSecurityMarks", "response": { "$ref": "GoogleCloudSecuritycenterV1beta1SecurityMarks" }, "path": "v1beta1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "PATCH", "description": "Updates security marks.", "request": { "$ref": "GoogleCloudSecuritycenterV1beta1SecurityMarks" }, "flatPath": "v1beta1/organizations/{organizationsId}/assets/{assetsId}/securityMarks" }, "runDiscovery": { "path": "v1beta1/{+parent}/assets:runDiscovery", "request": { "$ref": "RunAssetDiscoveryRequest" }, "parameters": { "parent": { "pattern": "^organizations/[^/]+$", "required": true, "type": "string", "location": "path", "description": "Required. Name of the organization to run asset discovery for. Its format is \"organizations/[organization_id]\"." } }, "id": "securitycenter.organizations.assets.runDiscovery", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Runs asset discovery. The discovery is tracked with a long-running operation. This API can only be called with limited frequency for an organization. If it is called too frequently the caller will receive a TOO_MANY_REQUESTS error.", "httpMethod": "POST", "parameterOrder": [ "parent" ], "flatPath": "v1beta1/organizations/{organizationsId}/assets:runDiscovery", "response": { "$ref": "Operation" } }, "list": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "ListAssetsResponse" }, "parameterOrder": [ "parent" ], "description": "Lists an organization's assets.", "parameters": { "pageToken": { "type": "string", "description": "The value returned by the last `ListAssetsResponse`; indicates that this is a continuation of a prior `ListAssets` call, and that the system should return the next page of data.", "location": "query" }, "orderBy": { "description": "Expression that defines what fields and order to use for sorting. The string value should follow SQL syntax: comma separated list of fields. For example: \"name,resource_properties.a_property\". The default sorting order is ascending. To specify descending order for a field, a suffix \" desc\" should be appended to the field name. For example: \"name desc,resource_properties.a_property\". Redundant space characters in the syntax are insignificant. \"name desc,resource_properties.a_property\" and \" name desc , resource_properties.a_property \" are equivalent.", "location": "query", "type": "string" }, "parent": { "required": true, "pattern": "^organizations/[^/]+$", "description": "Required. Name of the organization assets should belong to. Its format is \"organizations/[organization_id]\".", "location": "path", "type": "string" }, "readTime": { "type": "string", "location": "query", "format": "google-datetime", "description": "Time used as a reference point when filtering assets. The filter is limited to assets existing at the supplied time and their values are those at that specific time. Absence of this field will default to the API's version of NOW." }, "pageSize": { "type": "integer", "format": "int32", "location": "query", "description": "The maximum number of results to return in a single response. Default is 10, minimum is 1, maximum is 1000." }, "filter": { "description": "Expression that defines the filter to apply across assets. The expression is a list of zero or more restrictions combined via logical operators `AND` and `OR`. Parentheses are not supported, and `OR` has higher precedence than `AND`. Restrictions have the form ` ` and may have a `-` character in front of them to indicate negation. The fields map to those defined in the Asset resource. Examples include: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh name LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh security_center_properties.resource_name LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh resource_properties.a_property LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh security_marks.marks.marka The supported operators are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `=` for all value types. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `\u003e`, `\u003c`, `\u003e=`, `\u003c=` for integer values. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `:`, meaning substring matching, for strings. The supported value types are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh string literals in quotes. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh integer literals without quotes. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh boolean literals `true` and `false` without quotes. For example, `resource_properties.size = 100` is a valid filter string.", "type": "string", "location": "query" }, "fieldMask": { "description": "Optional. A field mask to specify the ListAssetsResult fields to be listed in the response. An empty field mask will list all fields.", "format": "google-fieldmask", "type": "string", "location": "query" }, "compareDuration": { "description": "When compare_duration is set, the ListAssetResult's \"state\" attribute is updated to indicate whether the asset was added, removed, or remained present during the compare_duration period of time that precedes the read_time. This is the time between (read_time - compare_duration) and read_time. The state value is derived based on the presence of the asset at the two points in time. Intermediate state changes between the two times don't affect the result. For example, the results aren't affected if the asset is removed and re-created again. Possible \"state\" values when compare_duration is specified: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"ADDED\": indicates that the asset was not present before compare_duration, but present at read_time. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"REMOVED\": indicates that the asset was present at the start of compare_duration, but not present at read_time. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"ACTIVE\": indicates that the asset was present at both the start and the end of the time period defined by compare_duration and read_time. If compare_duration is not specified, then the only possible state is \"UNUSED\", which indicates that the asset is present at read_time.", "type": "string", "format": "google-duration", "location": "query" } }, "httpMethod": "GET", "path": "v1beta1/{+parent}/assets", "id": "securitycenter.organizations.assets.list", "flatPath": "v1beta1/organizations/{organizationsId}/assets" } } }, "sources": { "methods": { "setIamPolicy": { "id": "securitycenter.organizations.sources.setIamPolicy", "description": "Sets the access control policy on the specified Source.", "response": { "$ref": "Policy" }, "parameterOrder": [ "resource" ], "path": "v1beta1/{+resource}:setIamPolicy", "request": { "$ref": "SetIamPolicyRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1beta1/organizations/{organizationsId}/sources/{sourcesId}:setIamPolicy", "parameters": { "resource": { "location": "path", "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "required": true, "pattern": "^organizations/[^/]+/sources/[^/]+$", "type": "string" } }, "httpMethod": "POST" }, "create": { "path": "v1beta1/{+parent}/sources", "parameterOrder": [ "parent" ], "flatPath": "v1beta1/organizations/{organizationsId}/sources", "description": "Creates a source.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "Source" }, "parameters": { "parent": { "location": "path", "type": "string", "required": true, "pattern": "^organizations/[^/]+$", "description": "Required. Resource name of the new source's parent. Its format should be \"organizations/[organization_id]\"." } }, "httpMethod": "POST", "response": { "$ref": "Source" }, "id": "securitycenter.organizations.sources.create" }, "get": { "description": "Gets a source.", "parameters": { "name": { "pattern": "^organizations/[^/]+/sources/[^/]+$", "location": "path", "description": "Required. Relative resource name of the source. Its format is \"organizations/[organization_id]/source/[source_id]\".", "type": "string", "required": true } }, "id": "securitycenter.organizations.sources.get", "parameterOrder": [ "name" ], "httpMethod": "GET", "path": "v1beta1/{+name}", "response": { "$ref": "Source" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1beta1/organizations/{organizationsId}/sources/{sourcesId}" }, "list": { "parameters": { "pageSize": { "format": "int32", "description": "The maximum number of results to return in a single response. Default is 10, minimum is 1, maximum is 1000.", "location": "query", "type": "integer" }, "parent": { "description": "Required. Resource name of the parent of sources to list. Its format should be \"organizations/[organization_id]\".", "required": true, "pattern": "^organizations/[^/]+$", "location": "path", "type": "string" }, "pageToken": { "description": "The value returned by the last `ListSourcesResponse`; indicates that this is a continuation of a prior `ListSources` call, and that the system should return the next page of data.", "location": "query", "type": "string" } }, "description": "Lists all sources belonging to an organization.", "response": { "$ref": "ListSourcesResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "parent" ], "flatPath": "v1beta1/organizations/{organizationsId}/sources", "httpMethod": "GET", "id": "securitycenter.organizations.sources.list", "path": "v1beta1/{+parent}/sources" }, "patch": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "updateMask": { "type": "string", "format": "google-fieldmask", "location": "query", "description": "The FieldMask to use when updating the source resource." }, "name": { "description": "The relative resource name of this source. See: https://cloud.google.com/apis/design/resource_names#relative_resource_name Example: \"organizations/{organization_id}/sources/{source_id}\"", "required": true, "pattern": "^organizations/[^/]+/sources/[^/]+$", "type": "string", "location": "path" } }, "flatPath": "v1beta1/organizations/{organizationsId}/sources/{sourcesId}", "id": "securitycenter.organizations.sources.patch", "request": { "$ref": "Source" }, "response": { "$ref": "Source" }, "path": "v1beta1/{+name}", "httpMethod": "PATCH", "parameterOrder": [ "name" ], "description": "Updates a source." }, "testIamPermissions": { "path": "v1beta1/{+resource}:testIamPermissions", "response": { "$ref": "TestIamPermissionsResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1beta1/organizations/{organizationsId}/sources/{sourcesId}:testIamPermissions", "request": { "$ref": "TestIamPermissionsRequest" }, "id": "securitycenter.organizations.sources.testIamPermissions", "httpMethod": "POST", "description": "Returns the permissions that a caller has on the specified source.", "parameterOrder": [ "resource" ], "parameters": { "resource": { "required": true, "type": "string", "pattern": "^organizations/[^/]+/sources/[^/]+$", "location": "path", "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field." } } }, "getIamPolicy": { "parameterOrder": [ "resource" ], "response": { "$ref": "Policy" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "GetIamPolicyRequest" }, "httpMethod": "POST", "path": "v1beta1/{+resource}:getIamPolicy", "description": "Gets the access control policy on the specified Source.", "id": "securitycenter.organizations.sources.getIamPolicy", "parameters": { "resource": { "required": true, "type": "string", "location": "path", "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "pattern": "^organizations/[^/]+/sources/[^/]+$" } }, "flatPath": "v1beta1/organizations/{organizationsId}/sources/{sourcesId}:getIamPolicy" } }, "resources": { "findings": { "methods": { "setState": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "SetFindingStateRequest" }, "id": "securitycenter.organizations.sources.findings.setState", "parameterOrder": [ "name" ], "httpMethod": "POST", "response": { "$ref": "GoogleCloudSecuritycenterV1beta1Finding" }, "parameters": { "name": { "pattern": "^organizations/[^/]+/sources/[^/]+/findings/[^/]+$", "required": true, "description": "Required. The relative resource name of the finding. See: https://cloud.google.com/apis/design/resource_names#relative_resource_name Example: \"organizations/{organization_id}/sources/{source_id}/finding/{finding_id}\".", "location": "path", "type": "string" } }, "flatPath": "v1beta1/organizations/{organizationsId}/sources/{sourcesId}/findings/{findingsId}:setState", "description": "Updates the state of a finding.", "path": "v1beta1/{+name}:setState" }, "group": { "flatPath": "v1beta1/organizations/{organizationsId}/sources/{sourcesId}/findings:group", "httpMethod": "POST", "id": "securitycenter.organizations.sources.findings.group", "request": { "$ref": "GroupFindingsRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "parent" ], "parameters": { "parent": { "pattern": "^organizations/[^/]+/sources/[^/]+$", "type": "string", "location": "path", "required": true, "description": "Required. Name of the source to groupBy. Its format is \"organizations/[organization_id]/sources/[source_id]\". To groupBy across all sources provide a source_id of `-`. For example: organizations/{organization_id}/sources/-" } }, "path": "v1beta1/{+parent}/findings:group", "response": { "$ref": "GroupFindingsResponse" }, "description": "Filters an organization or source's findings and groups them by their specified properties. To group across all sources provide a `-` as the source id. Example: /v1beta1/organizations/{organization_id}/sources/-/findings" }, "updateSecurityMarks": { "flatPath": "v1beta1/organizations/{organizationsId}/sources/{sourcesId}/findings/{findingsId}/securityMarks", "response": { "$ref": "GoogleCloudSecuritycenterV1beta1SecurityMarks" }, "description": "Updates security marks.", "request": { "$ref": "GoogleCloudSecuritycenterV1beta1SecurityMarks" }, "id": "securitycenter.organizations.sources.findings.updateSecurityMarks", "parameters": { "updateMask": { "location": "query", "type": "string", "description": "The FieldMask to use when updating the security marks resource.", "format": "google-fieldmask" }, "name": { "type": "string", "required": true, "pattern": "^organizations/[^/]+/sources/[^/]+/findings/[^/]+/securityMarks$", "location": "path", "description": "The relative resource name of the SecurityMarks. See: https://cloud.google.com/apis/design/resource_names#relative_resource_name Examples: \"organizations/{organization_id}/assets/{asset_id}/securityMarks\" \"organizations/{organization_id}/sources/{source_id}/findings/{finding_id}/securityMarks\"." }, "startTime": { "format": "google-datetime", "location": "query", "type": "string", "description": "The time at which the updated SecurityMarks take effect." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1beta1/{+name}", "parameterOrder": [ "name" ], "httpMethod": "PATCH" }, "list": { "response": { "$ref": "ListFindingsResponse" }, "parameters": { "readTime": { "description": "Time used as a reference point when filtering findings. The filter is limited to findings existing at the supplied time and their values are those at that specific time. Absence of this field will default to the API's version of NOW.", "location": "query", "format": "google-datetime", "type": "string" }, "pageToken": { "location": "query", "description": "The value returned by the last `ListFindingsResponse`; indicates that this is a continuation of a prior `ListFindings` call, and that the system should return the next page of data.", "type": "string" }, "fieldMask": { "type": "string", "description": "Optional. A field mask to specify the Finding fields to be listed in the response. An empty field mask will list all fields.", "location": "query", "format": "google-fieldmask" }, "parent": { "pattern": "^organizations/[^/]+/sources/[^/]+$", "location": "path", "description": "Required. Name of the source the findings belong to. Its format is \"organizations/[organization_id]/sources/[source_id]\". To list across all sources provide a source_id of `-`. For example: organizations/{organization_id}/sources/-", "required": true, "type": "string" }, "orderBy": { "description": "Expression that defines what fields and order to use for sorting. The string value should follow SQL syntax: comma separated list of fields. For example: \"name,resource_properties.a_property\". The default sorting order is ascending. To specify descending order for a field, a suffix \" desc\" should be appended to the field name. For example: \"name desc,source_properties.a_property\". Redundant space characters in the syntax are insignificant. \"name desc,source_properties.a_property\" and \" name desc , source_properties.a_property \" are equivalent.", "location": "query", "type": "string" }, "filter": { "type": "string", "location": "query", "description": "Expression that defines the filter to apply across findings. The expression is a list of one or more restrictions combined via logical operators `AND` and `OR`. Parentheses are not supported, and `OR` has higher precedence than `AND`. Restrictions have the form ` ` and may have a `-` character in front of them to indicate negation. Examples include: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh name LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh source_properties.a_property LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh security_marks.marks.marka The supported operators are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `=` for all value types. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `\u003e`, `\u003c`, `\u003e=`, `\u003c=` for integer values. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `:`, meaning substring matching, for strings. The supported value types are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh string literals in quotes. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh integer literals without quotes. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh boolean literals `true` and `false` without quotes. For example, `source_properties.size = 100` is a valid filter string." }, "pageSize": { "type": "integer", "format": "int32", "description": "The maximum number of results to return in a single response. Default is 10, minimum is 1, maximum is 1000.", "location": "query" } }, "path": "v1beta1/{+parent}/findings", "id": "securitycenter.organizations.sources.findings.list", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1beta1/organizations/{organizationsId}/sources/{sourcesId}/findings", "description": "Lists an organization or source's findings. To list across all sources provide a `-` as the source id. Example: /v1beta1/organizations/{organization_id}/sources/-/findings", "parameterOrder": [ "parent" ], "httpMethod": "GET" }, "create": { "id": "securitycenter.organizations.sources.findings.create", "response": { "$ref": "GoogleCloudSecuritycenterV1beta1Finding" }, "path": "v1beta1/{+parent}/findings", "request": { "$ref": "GoogleCloudSecuritycenterV1beta1Finding" }, "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "parent": { "location": "path", "required": true, "description": "Required. Resource name of the new finding's parent. Its format should be \"organizations/[organization_id]/sources/[source_id]\".", "type": "string", "pattern": "^organizations/[^/]+/sources/[^/]+$" }, "findingId": { "location": "query", "type": "string", "description": "Required. Unique identifier provided by the client within the parent scope. It must be alphanumeric and less than or equal to 32 characters and greater than 0 characters in length." } }, "flatPath": "v1beta1/organizations/{organizationsId}/sources/{sourcesId}/findings", "description": "Creates a finding. The corresponding source must exist for finding creation to succeed.", "httpMethod": "POST" }, "patch": { "flatPath": "v1beta1/organizations/{organizationsId}/sources/{sourcesId}/findings/{findingsId}", "httpMethod": "PATCH", "parameters": { "name": { "location": "path", "type": "string", "pattern": "^organizations/[^/]+/sources/[^/]+/findings/[^/]+$", "required": true, "description": "The relative resource name of this finding. See: https://cloud.google.com/apis/design/resource_names#relative_resource_name Example: \"organizations/{organization_id}/sources/{source_id}/findings/{finding_id}\"" }, "updateMask": { "format": "google-fieldmask", "location": "query", "type": "string", "description": "The FieldMask to use when updating the finding resource. This field should not be specified when creating a finding." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Creates or updates a finding. The corresponding source must exist for a finding creation to succeed.", "request": { "$ref": "GoogleCloudSecuritycenterV1beta1Finding" }, "path": "v1beta1/{+name}", "id": "securitycenter.organizations.sources.findings.patch", "response": { "$ref": "GoogleCloudSecuritycenterV1beta1Finding" }, "parameterOrder": [ "name" ] } } } } }, "operations": { "methods": { "list": { "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "parameters": { "filter": { "location": "query", "type": "string", "description": "The standard list filter." }, "pageSize": { "format": "int32", "location": "query", "description": "The standard list page size.", "type": "integer" }, "name": { "pattern": "^organizations/[^/]+/operations$", "required": true, "type": "string", "description": "The name of the operation's parent resource.", "location": "path" }, "pageToken": { "location": "query", "type": "string", "description": "The standard list page token." } }, "id": "securitycenter.organizations.operations.list", "response": { "$ref": "ListOperationsResponse" }, "description": "Lists operations that match the specified filter in the request. If the server doesn't support this method, it returns `UNIMPLEMENTED`. NOTE: the `name` binding allows API services to override the binding to use different resource name schemes, such as `users/*/operations`. To override the binding, API services can add a binding such as `\"/v1/{name=users/*}/operations\"` to their service configuration. For backwards compatibility, the default name includes the operations collection id, however overriding users must ensure the name binding is the parent resource, without the operations collection id.", "flatPath": "v1beta1/organizations/{organizationsId}/operations", "path": "v1beta1/{+name}" }, "cancel": { "response": { "$ref": "Empty" }, "request": { "$ref": "CancelOperationRequest" }, "path": "v1beta1/{+name}:cancel", "description": "Starts asynchronous cancellation on a long-running operation. The server makes a best effort to cancel the operation, but success is not guaranteed. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`. Clients can use Operations.GetOperation or other methods to check whether the cancellation succeeded or whether the operation completed despite cancellation. On successful cancellation, the operation is not deleted; instead, it becomes an operation with an Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST", "flatPath": "v1beta1/organizations/{organizationsId}/operations/{operationsId}:cancel", "id": "securitycenter.organizations.operations.cancel", "parameters": { "name": { "required": true, "location": "path", "description": "The name of the operation resource to be cancelled.", "type": "string", "pattern": "^organizations/[^/]+/operations/[^/]+$" } }, "parameterOrder": [ "name" ] }, "delete": { "description": "Deletes a long-running operation. This method indicates that the client is no longer interested in the operation result. It does not cancel the operation. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`.", "flatPath": "v1beta1/organizations/{organizationsId}/operations/{operationsId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "parameters": { "name": { "type": "string", "description": "The name of the operation resource to be deleted.", "location": "path", "required": true, "pattern": "^organizations/[^/]+/operations/[^/]+$" } }, "id": "securitycenter.organizations.operations.delete", "path": "v1beta1/{+name}", "response": { "$ref": "Empty" }, "httpMethod": "DELETE" }, "get": { "path": "v1beta1/{+name}", "response": { "$ref": "Operation" }, "parameterOrder": [ "name" ], "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "required": true, "type": "string", "pattern": "^organizations/[^/]+/operations/[^/]+$", "description": "The name of the operation resource.", "location": "path" } }, "description": "Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service.", "id": "securitycenter.organizations.operations.get", "flatPath": "v1beta1/organizations/{organizationsId}/operations/{operationsId}" } } } }, "methods": { "getOrganizationSettings": { "parameters": { "name": { "pattern": "^organizations/[^/]+/organizationSettings$", "type": "string", "location": "path", "required": true, "description": "Required. Name of the organization to get organization settings for. Its format is \"organizations/[organization_id]/organizationSettings\"." } }, "id": "securitycenter.organizations.getOrganizationSettings", "path": "v1beta1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "OrganizationSettings" }, "description": "Gets the settings for an organization.", "flatPath": "v1beta1/organizations/{organizationsId}/organizationSettings", "httpMethod": "GET", "parameterOrder": [ "name" ] }, "updateOrganizationSettings": { "id": "securitycenter.organizations.updateOrganizationSettings", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "OrganizationSettings" }, "flatPath": "v1beta1/organizations/{organizationsId}/organizationSettings", "description": "Updates an organization's settings.", "request": { "$ref": "OrganizationSettings" }, "parameters": { "name": { "location": "path", "type": "string", "description": "The relative resource name of the settings. See: https://cloud.google.com/apis/design/resource_names#relative_resource_name Example: \"organizations/{organization_id}/organizationSettings\".", "required": true, "pattern": "^organizations/[^/]+/organizationSettings$" }, "updateMask": { "type": "string", "format": "google-fieldmask", "location": "query", "description": "The FieldMask to use when updating the settings resource." } }, "path": "v1beta1/{+name}", "httpMethod": "PATCH", "parameterOrder": [ "name" ] } } } }, "ownerDomain": "google.com", "name": "securitycenter", "basePath": "", "protocol": "rest", "discoveryVersion": "v1", "version_module": true, "fullyEncodeReservedExpansion": true, "canonicalName": "Security Command Center", "icons": { "x32": "http://www.google.com/images/icons/product/search-32.gif", "x16": "http://www.google.com/images/icons/product/search-16.gif" }, "version": "v1beta1", "parameters": { "callback": { "type": "string", "location": "query", "description": "JSONP" }, "$.xgafv": { "enum": [ "1", "2" ], "description": "V1 error format.", "type": "string", "enumDescriptions": [ "v1 error format", "v2 error format" ], "location": "query" }, "oauth_token": { "location": "query", "type": "string", "description": "OAuth 2.0 token for the current user." }, "fields": { "description": "Selector specifying which fields to include in a partial response.", "type": "string", "location": "query" }, "access_token": { "description": "OAuth access token.", "type": "string", "location": "query" }, "upload_protocol": { "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "type": "string", "location": "query" }, "uploadType": { "location": "query", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "type": "string" }, "prettyPrint": { "type": "boolean", "description": "Returns response with indentations and line breaks.", "location": "query", "default": "true" }, "key": { "type": "string", "location": "query", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token." }, "alt": { "description": "Data format for response.", "default": "json", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "location": "query", "type": "string", "enum": [ "json", "media", "proto" ] }, "quotaUser": { "location": "query", "type": "string", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters." } }, "revision": "20220707", "servicePath": "", "batchPath": "batch", "ownerName": "Google", "kind": "discovery#restDescription", "documentationLink": "https://cloud.google.com/security-command-center", "mtlsRootUrl": "https://securitycenter.mtls.googleapis.com/", "id": "securitycenter:v1beta1" }
]===]))
