local decode = require("cjson").new().decode
return assert(decode([===[
{ "version": "v1", "ownerDomain": "google.com", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." } } } }, "parameters": { "callback": { "description": "JSONP", "location": "query", "type": "string" }, "$.xgafv": { "type": "string", "location": "query", "enum": [ "1", "2" ], "enumDescriptions": [ "v1 error format", "v2 error format" ], "description": "V1 error format." }, "prettyPrint": { "default": "true", "description": "Returns response with indentations and line breaks.", "location": "query", "type": "boolean" }, "uploadType": { "location": "query", "type": "string", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\")." }, "upload_protocol": { "location": "query", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "type": "string" }, "key": { "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "type": "string", "location": "query" }, "quotaUser": { "location": "query", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "type": "string" }, "oauth_token": { "description": "OAuth 2.0 token for the current user.", "type": "string", "location": "query" }, "fields": { "location": "query", "description": "Selector specifying which fields to include in a partial response.", "type": "string" }, "alt": { "description": "Data format for response.", "location": "query", "type": "string", "enum": [ "json", "media", "proto" ], "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "default": "json" }, "access_token": { "location": "query", "type": "string", "description": "OAuth access token." } }, "documentationLink": "https://cloud.google.com/service-directory", "version_module": true, "rootUrl": "https://servicedirectory.googleapis.com/", "servicePath": "", "name": "servicedirectory", "basePath": "", "description": "Service Directory is a platform for discovering, publishing, and connecting services. ", "id": "servicedirectory:v1", "revision": "20220630", "icons": { "x16": "http://www.google.com/images/icons/product/search-16.gif", "x32": "http://www.google.com/images/icons/product/search-32.gif" }, "kind": "discovery#restDescription", "title": "Service Directory API", "canonicalName": "Service Directory", "mtlsRootUrl": "https://servicedirectory.mtls.googleapis.com/", "fullyEncodeReservedExpansion": true, "protocol": "rest", "baseUrl": "https://servicedirectory.googleapis.com/", "schemas": { "GetPolicyOptions": { "description": "Encapsulates settings provided to GetIamPolicy.", "type": "object", "id": "GetPolicyOptions", "properties": { "requestedPolicyVersion": { "format": "int32", "description": "Optional. The maximum policy version that will be used to format the policy. Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset. The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "type": "integer" } } }, "ListServicesResponse": { "id": "ListServicesResponse", "type": "object", "description": "The response message for RegistrationService.ListServices.", "properties": { "services": { "description": "The list of services.", "items": { "$ref": "Service" }, "type": "array" }, "nextPageToken": { "description": "Token to retrieve the next page of results, or empty if there are no more results in the list.", "type": "string" } } }, "Policy": { "description": "An Identity and Access Management (IAM) policy, which specifies access controls for Google Cloud resources. A `Policy` is a collection of `bindings`. A `binding` binds one or more `members`, or principals, to a single `role`. Principals can be user accounts, service accounts, Google groups, and domains (such as G Suite). A `role` is a named list of permissions; each `role` can be an IAM predefined role or a user-created custom role. For some types of Google Cloud resources, a `binding` can also specify a `condition`, which is a logical expression that allows access to a resource only if the expression evaluates to `true`. A condition can add constraints based on attributes of the request, the resource, or both. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies). **JSON example:** { \"bindings\": [ { \"role\": \"roles/resourcemanager.organizationAdmin\", \"members\": [ \"user:mike@example.com\", \"group:admins@example.com\", \"domain:google.com\", \"serviceAccount:my-project-id@appspot.gserviceaccount.com\" ] }, { \"role\": \"roles/resourcemanager.organizationViewer\", \"members\": [ \"user:eve@example.com\" ], \"condition\": { \"title\": \"expirable access\", \"description\": \"Does not grant access after Sep 2020\", \"expression\": \"request.time \u003c timestamp('2020-10-01T00:00:00.000Z')\", } } ], \"etag\": \"BwWWja0YfJA=\", \"version\": 3 } **YAML example:** bindings: - members: - user:mike@example.com - group:admins@example.com - domain:google.com - serviceAccount:my-project-id@appspot.gserviceaccount.com role: roles/resourcemanager.organizationAdmin - members: - user:eve@example.com role: roles/resourcemanager.organizationViewer condition: title: expirable access description: Does not grant access after Sep 2020 expression: request.time \u003c timestamp('2020-10-01T00:00:00.000Z') etag: BwWWja0YfJA= version: 3 For a description of IAM and its features, see the [IAM documentation](https://cloud.google.com/iam/docs/).", "id": "Policy", "properties": { "bindings": { "items": { "$ref": "Binding" }, "description": "Associates a list of `members`, or principals, with a `role`. Optionally, may specify a `condition` that determines how and when the `bindings` are applied. Each of the `bindings` must contain at least one principal. The `bindings` in a `Policy` can refer to up to 1,500 principals; up to 250 of these principals can be Google groups. Each occurrence of a principal counts towards these limits. For example, if the `bindings` grant 50 different roles to `user:alice@example.com`, and not to any other principal, then you can add another 1,450 principals to the `bindings` in the `Policy`.", "type": "array" }, "etag": { "type": "string", "format": "byte", "description": "`etag` is used for optimistic concurrency control as a way to help prevent simultaneous updates of a policy from overwriting each other. It is strongly suggested that systems make use of the `etag` in the read-modify-write cycle to perform policy updates in order to avoid race conditions: An `etag` is returned in the response to `getIamPolicy`, and systems are expected to put that etag in the request to `setIamPolicy` to ensure that their change will be applied to the same version of the policy. **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost." }, "version": { "description": "Specifies the format of the policy. Valid values are `0`, `1`, and `3`. Requests that specify an invalid value are rejected. Any operation that affects conditional role bindings must specify version `3`. This requirement applies to the following operations: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Getting a policy that includes a conditional role binding LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Adding a conditional role binding to a policy LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Changing a conditional role binding in a policy LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Removing any role binding, with or without a condition, from a policy that includes conditions **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost. If a policy does not include any conditions, operations on that policy may specify any valid version or leave the field unset. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "type": "integer", "format": "int32" } }, "type": "object" }, "Expr": { "description": "Represents a textual expression in the Common Expression Language (CEL) syntax. CEL is a C-like expression language. The syntax and semantics of CEL are documented at https://github.com/google/cel-spec. Example (Comparison): title: \"Summary size limit\" description: \"Determines if a summary is less than 100 chars\" expression: \"document.summary.size() \u003c 100\" Example (Equality): title: \"Requestor is owner\" description: \"Determines if requestor is the document owner\" expression: \"document.owner == request.auth.claims.email\" Example (Logic): title: \"Public documents\" description: \"Determine whether the document should be publicly visible\" expression: \"document.type != 'private' && document.type != 'internal'\" Example (Data Manipulation): title: \"Notification string\" description: \"Create a notification string with a timestamp.\" expression: \"'New message received at ' + string(document.create_time)\" The exact variables and functions that may be referenced within an expression are determined by the service that evaluates it. See the service documentation for additional information.", "type": "object", "properties": { "expression": { "type": "string", "description": "Textual representation of an expression in Common Expression Language syntax." }, "location": { "description": "Optional. String indicating the location of the expression for error reporting, e.g. a file name and a position in the file.", "type": "string" }, "title": { "type": "string", "description": "Optional. Title for the expression, i.e. a short string describing its purpose. This can be used e.g. in UIs which allow to enter the expression." }, "description": { "description": "Optional. Description of the expression. This is a longer text which describes the expression, e.g. when hovered over it in a UI.", "type": "string" } }, "id": "Expr" }, "Service": { "description": "An individual service. A service contains a name and optional metadata. A service must exist before endpoints can be added to it.", "properties": { "annotations": { "type": "object", "additionalProperties": { "type": "string" }, "description": "Optional. Annotations for the service. This data can be consumed by service clients. Restrictions: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The entire annotations dictionary may contain up to 2000 characters, spread accoss all key-value pairs. Annotations that go beyond this limit are rejected LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Valid annotation keys have two segments: an optional prefix and name, separated by a slash (/). The name segment is required and must be 63 characters or less, beginning and ending with an alphanumeric character ([a-z0-9A-Z]) with dashes (-), underscores (_), dots (.), and alphanumerics between. The prefix is optional. If specified, the prefix must be a DNS subdomain: a series of DNS labels separated by dots (.), not longer than 253 characters in total, followed by a slash (/). Annotations that fails to meet these requirements are rejected Note: This field is equivalent to the `metadata` field in the v1beta1 API. They have the same syntax and read/write to the same location in Service Directory." }, "endpoints": { "description": "Output only. Endpoints associated with this service. Returned on LookupService.ResolveService. Control plane clients should use RegistrationService.ListEndpoints.", "type": "array", "readOnly": true, "items": { "$ref": "Endpoint" } }, "name": { "description": "Immutable. The resource name for the service in the format `projects/*/locations/*/namespaces/*/services/*`.", "type": "string" } }, "id": "Service", "type": "object" }, "Endpoint": { "properties": { "annotations": { "description": "Optional. Annotations for the endpoint. This data can be consumed by service clients. Restrictions: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The entire annotations dictionary may contain up to 512 characters, spread accoss all key-value pairs. Annotations that go beyond this limit are rejected LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Valid annotation keys have two segments: an optional prefix and name, separated by a slash (/). The name segment is required and must be 63 characters or less, beginning and ending with an alphanumeric character ([a-z0-9A-Z]) with dashes (-), underscores (_), dots (.), and alphanumerics between. The prefix is optional. If specified, the prefix must be a DNS subdomain: a series of DNS labels separated by dots (.), not longer than 253 characters in total, followed by a slash (/) Annotations that fails to meet these requirements are rejected. Note: This field is equivalent to the `metadata` field in the v1beta1 API. They have the same syntax and read/write to the same location in Service Directory.", "type": "object", "additionalProperties": { "type": "string" } }, "address": { "type": "string", "description": "Optional. An IPv4 or IPv6 address. Service Directory rejects bad addresses like: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `8.8.8` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `8.8.8.8:53` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `test:bad:address` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `[::1]` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `[::1]:8080` Limited to 45 characters." }, "network": { "type": "string", "description": "Immutable. The Google Compute Engine network (VPC) of the endpoint in the format `projects//locations/global/networks/*`. The project must be specified by project number (project id is rejected). Incorrectly formatted networks are rejected, we also check to make sure that you have the servicedirectory.networks.attach permission on the project specified." }, "name": { "type": "string", "description": "Immutable. The resource name for the endpoint in the format `projects/*/locations/*/namespaces/*/services/*/endpoints/*`." }, "port": { "format": "int32", "description": "Optional. Service Directory rejects values outside of `[0, 65535]`.", "type": "integer" } }, "id": "Endpoint", "type": "object", "description": "An individual endpoint that provides a service. The service must already exist to create an endpoint." }, "TestIamPermissionsResponse": { "type": "object", "properties": { "permissions": { "items": { "type": "string" }, "type": "array", "description": "A subset of `TestPermissionsRequest.permissions` that the caller is allowed." } }, "description": "Response message for `TestIamPermissions` method.", "id": "TestIamPermissionsResponse" }, "Namespace": { "description": "A container for services. Namespaces allow administrators to group services together and define permissions for a collection of services.", "properties": { "labels": { "description": "Optional. Resource labels associated with this namespace. No more than 64 user labels can be associated with a given resource. Label keys and values can be no longer than 63 characters.", "type": "object", "additionalProperties": { "type": "string" } }, "name": { "type": "string", "description": "Immutable. The resource name for the namespace in the format `projects/*/locations/*/namespaces/*`." } }, "type": "object", "id": "Namespace" }, "Empty": { "properties": {}, "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }", "id": "Empty", "type": "object" }, "ListLocationsResponse": { "id": "ListLocationsResponse", "type": "object", "description": "The response message for Locations.ListLocations.", "properties": { "nextPageToken": { "type": "string", "description": "The standard List next-page token." }, "locations": { "items": { "$ref": "Location" }, "type": "array", "description": "A list of locations that matches the specified filter in the request." } } }, "ListNamespacesResponse": { "type": "object", "properties": { "nextPageToken": { "description": "Token to retrieve the next page of results, or empty if there are no more results in the list.", "type": "string" }, "namespaces": { "type": "array", "items": { "$ref": "Namespace" }, "description": "The list of namespaces." } }, "id": "ListNamespacesResponse", "description": "The response message for RegistrationService.ListNamespaces." }, "TestIamPermissionsRequest": { "id": "TestIamPermissionsRequest", "description": "Request message for `TestIamPermissions` method.", "properties": { "permissions": { "description": "The set of permissions to check for the `resource`. Permissions with wildcards (such as `*` or `storage.*`) are not allowed. For more information see [IAM Overview](https://cloud.google.com/iam/docs/overview#permissions).", "items": { "type": "string" }, "type": "array" } }, "type": "object" }, "ListEndpointsResponse": { "id": "ListEndpointsResponse", "properties": { "nextPageToken": { "type": "string", "description": "Token to retrieve the next page of results, or empty if there are no more results in the list." }, "endpoints": { "items": { "$ref": "Endpoint" }, "type": "array", "description": "The list of endpoints." } }, "type": "object", "description": "The response message for RegistrationService.ListEndpoints." }, "ResolveServiceResponse": { "description": "The response message for LookupService.ResolveService.", "id": "ResolveServiceResponse", "properties": { "service": { "$ref": "Service" } }, "type": "object" }, "ResolveServiceRequest": { "description": "The request message for LookupService.ResolveService. Looks up a service by its name, returns the service and its endpoints.", "id": "ResolveServiceRequest", "properties": { "endpointFilter": { "type": "string", "description": "Optional. The filter applied to the endpoints of the resolved service. General `filter` string syntax: ` ()` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `` can be `name`, `address`, `port`, or `annotations.` for map field LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `` can be `\u003c`, `\u003e`, `\u003c=`, `\u003e=`, `!=`, `=`, `:`. Of which `:` means `HAS`, and is roughly the same as `=` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `` must be the same data type as field LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `` can be `AND`, `OR`, `NOT` Examples of valid filters: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `annotations.owner` returns endpoints that have a annotation with the key `owner`, this is the same as `annotations:owner` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `annotations.protocol=gRPC` returns endpoints that have key/value `protocol=gRPC` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `address=192.108.1.105` returns endpoints that have this address LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `port\u003e8080` returns endpoints that have port number larger than 8080 LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `name\u003eprojects/my-project/locations/us-east1/namespaces/my-namespace/services/my-service/endpoints/endpoint-c` returns endpoints that have name that is alphabetically later than the string, so \"endpoint-e\" is returned but \"endpoint-a\" is not LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `name=projects/my-project/locations/us-central1/namespaces/my-namespace/services/my-service/endpoints/ep-1` returns the endpoint that has an endpoint_id equal to `ep-1` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `annotations.owner!=sd AND annotations.foo=bar` returns endpoints that have `owner` in annotation key but value is not `sd` AND have key/value `foo=bar` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `doesnotexist.foo=bar` returns an empty list. Note that endpoint doesn't have a field called \"doesnotexist\". Since the filter does not match any endpoint, it returns no results For more information about filtering, see [API Filtering](https://aip.dev/160)." }, "maxEndpoints": { "description": "Optional. The maximum number of endpoints to return. Defaults to 25. Maximum is 100. If a value less than one is specified, the Default is used. If a value greater than the Maximum is specified, the Maximum is used.", "format": "int32", "type": "integer" } }, "type": "object" }, "Binding": { "description": "Associates `members`, or principals, with a `role`.", "properties": { "role": { "description": "Role that is assigned to the list of `members`, or principals. For example, `roles/viewer`, `roles/editor`, or `roles/owner`.", "type": "string" }, "condition": { "$ref": "Expr", "description": "The condition that is associated with this binding. If the condition evaluates to `true`, then this binding applies to the current request. If the condition evaluates to `false`, then this binding does not apply to the current request. However, a different role binding might grant the same role to one or more of the principals in this binding. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies)." }, "members": { "items": { "type": "string" }, "description": "Specifies the principals requesting access for a Google Cloud resource. `members` can have the following values: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `allUsers`: A special identifier that represents anyone who is on the internet; with or without a Google account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `allAuthenticatedUsers`: A special identifier that represents anyone who is authenticated with a Google account or a service account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `user:{emailid}`: An email address that represents a specific Google account. For example, `alice@example.com` . LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `serviceAccount:{emailid}`: An email address that represents a service account. For example, `my-other-app@appspot.gserviceaccount.com`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `group:{emailid}`: An email address that represents a Google group. For example, `admins@example.com`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:user:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a user that has been recently deleted. For example, `alice@example.com?uid=123456789012345678901`. If the user is recovered, this value reverts to `user:{emailid}` and the recovered user retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:serviceAccount:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a service account that has been recently deleted. For example, `my-other-app@appspot.gserviceaccount.com?uid=123456789012345678901`. If the service account is undeleted, this value reverts to `serviceAccount:{emailid}` and the undeleted service account retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:group:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a Google group that has been recently deleted. For example, `admins@example.com?uid=123456789012345678901`. If the group is recovered, this value reverts to `group:{emailid}` and the recovered group retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `domain:{domain}`: The G Suite domain (primary) that represents all the users of that domain. For example, `google.com` or `example.com`. ", "type": "array" } }, "type": "object", "id": "Binding" }, "GetIamPolicyRequest": { "properties": { "options": { "description": "OPTIONAL: A `GetPolicyOptions` object for specifying options to `GetIamPolicy`.", "$ref": "GetPolicyOptions" } }, "type": "object", "description": "Request message for `GetIamPolicy` method.", "id": "GetIamPolicyRequest" }, "Location": { "description": "A resource that represents Google Cloud Platform location.", "properties": { "displayName": { "type": "string", "description": "The friendly name for this location, typically a nearby city name. For example, \"Tokyo\"." }, "labels": { "additionalProperties": { "type": "string" }, "type": "object", "description": "Cross-service attributes for the location. For example {\"cloud.googleapis.com/region\": \"us-east1\"}" }, "metadata": { "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "type": "object", "description": "Service-specific metadata. For example the available capacity at the given location." }, "name": { "type": "string", "description": "Resource name for the location, which may vary between implementations. For example: `\"projects/example-project/locations/us-east1\"`" }, "locationId": { "description": "The canonical id for this location. For example: `\"us-east1\"`.", "type": "string" } }, "id": "Location", "type": "object" }, "SetIamPolicyRequest": { "id": "SetIamPolicyRequest", "type": "object", "description": "Request message for `SetIamPolicy` method.", "properties": { "policy": { "description": "REQUIRED: The complete policy to be applied to the `resource`. The size of the policy is limited to a few 10s of KB. An empty policy is a valid policy but certain Google Cloud services (such as Projects) might reject them.", "$ref": "Policy" } } } }, "batchPath": "batch", "ownerName": "Google", "discoveryVersion": "v1", "resources": { "projects": { "resources": { "locations": { "methods": { "get": { "parameters": { "name": { "description": "Resource name for the location.", "location": "path", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+$", "required": true } }, "description": "Gets information about a location.", "httpMethod": "GET", "response": { "$ref": "Location" }, "parameterOrder": [ "name" ], "path": "v1/{+name}", "id": "servicedirectory.projects.locations.get", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}" }, "list": { "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "servicedirectory.projects.locations.list", "path": "v1/{+name}/locations", "response": { "$ref": "ListLocationsResponse" }, "description": "Lists information about the supported locations for this service.", "flatPath": "v1/projects/{projectsId}/locations", "parameters": { "name": { "type": "string", "location": "path", "required": true, "pattern": "^projects/[^/]+$", "description": "The resource that owns the locations collection, if applicable." }, "pageToken": { "type": "string", "location": "query", "description": "A page token received from the `next_page_token` field in the response. Send that page token to receive the subsequent page." }, "filter": { "location": "query", "description": "A filter to narrow down results to a preferred subset. The filtering language accepts strings like `\"displayName=tokyo\"`, and is documented in more detail in [AIP-160](https://google.aip.dev/160).", "type": "string" }, "pageSize": { "description": "The maximum number of results to return. If not set, the service selects a default.", "location": "query", "format": "int32", "type": "integer" } }, "parameterOrder": [ "name" ] } }, "resources": { "namespaces": { "methods": { "delete": { "httpMethod": "DELETE", "id": "servicedirectory.projects.locations.namespaces.delete", "parameters": { "name": { "description": "Required. The name of the namespace to delete.", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/namespaces/[^/]+$", "type": "string", "location": "path" } }, "response": { "$ref": "Empty" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+name}", "description": "Deletes a namespace. This also deletes all services and endpoints in the namespace.", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/namespaces/{namespacesId}", "parameterOrder": [ "name" ] }, "list": { "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/namespaces", "id": "servicedirectory.projects.locations.namespaces.list", "httpMethod": "GET", "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "ListNamespacesResponse" }, "parameters": { "filter": { "location": "query", "description": "Optional. The filter to list results by. General `filter` string syntax: ` ()` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `` can be `name` or `labels.` for map field LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `` can be `\u003c`, `\u003e`, `\u003c=`, `\u003e=`, `!=`, `=`, `:`. Of which `:` means `HAS`, and is roughly the same as `=` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `` must be the same data type as field LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `` can be `AND`, `OR`, `NOT` Examples of valid filters: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `labels.owner` returns namespaces that have a label with the key `owner`, this is the same as `labels:owner` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `labels.owner=sd` returns namespaces that have key/value `owner=sd` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `name\u003eprojects/my-project/locations/us-east1/namespaces/namespace-c` returns namespaces that have name that is alphabetically later than the string, so \"namespace-e\" is returned but \"namespace-a\" is not LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `labels.owner!=sd AND labels.foo=bar` returns namespaces that have `owner` in label key but value is not `sd` AND have key/value `foo=bar` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `doesnotexist.foo=bar` returns an empty list. Note that namespace doesn't have a field called \"doesnotexist\". Since the filter does not match any namespaces, it returns no results For more information about filtering, see [API Filtering](https://aip.dev/160).", "type": "string" }, "orderBy": { "description": "Optional. The order to list results by. General `order_by` string syntax: ` () (,)` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `` allows value: `name` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `` ascending or descending order by ``. If this is left blank, `asc` is used Note that an empty `order_by` string results in default order, which is order by `name` in ascending order.", "location": "query", "type": "string" }, "pageSize": { "description": "Optional. The maximum number of items to return.", "location": "query", "format": "int32", "type": "integer" }, "parent": { "pattern": "^projects/[^/]+/locations/[^/]+$", "location": "path", "type": "string", "required": true, "description": "Required. The resource name of the project and location whose namespaces you'd like to list." }, "pageToken": { "description": "Optional. The next_page_token value returned from a previous List request, if any.", "type": "string", "location": "query" } }, "path": "v1/{+parent}/namespaces", "description": "Lists all namespaces." }, "setIamPolicy": { "description": "Sets the IAM Policy for a resource (namespace or service only).", "request": { "$ref": "SetIamPolicyRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "resource" ], "parameters": { "resource": { "required": true, "location": "path", "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/namespaces/[^/]+$" } }, "path": "v1/{+resource}:setIamPolicy", "response": { "$ref": "Policy" }, "httpMethod": "POST", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/namespaces/{namespacesId}:setIamPolicy", "id": "servicedirectory.projects.locations.namespaces.setIamPolicy" }, "getIamPolicy": { "path": "v1/{+resource}:getIamPolicy", "description": "Gets the IAM Policy for a resource (namespace or service only).", "parameterOrder": [ "resource" ], "id": "servicedirectory.projects.locations.namespaces.getIamPolicy", "parameters": { "resource": { "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/namespaces/[^/]+$", "location": "path" } }, "request": { "$ref": "GetIamPolicyRequest" }, "httpMethod": "POST", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/namespaces/{namespacesId}:getIamPolicy", "response": { "$ref": "Policy" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "patch": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/namespaces/[^/]+$", "location": "path", "type": "string", "required": true, "description": "Immutable. The resource name for the namespace in the format `projects/*/locations/*/namespaces/*`." }, "updateMask": { "description": "Required. List of fields to be updated in this request.", "location": "query", "type": "string", "format": "google-fieldmask" } }, "parameterOrder": [ "name" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/namespaces/{namespacesId}", "httpMethod": "PATCH", "request": { "$ref": "Namespace" }, "id": "servicedirectory.projects.locations.namespaces.patch", "description": "Updates a namespace.", "response": { "$ref": "Namespace" }, "path": "v1/{+name}" }, "create": { "parameterOrder": [ "parent" ], "description": "Creates a namespace, and returns the new namespace.", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/namespaces", "response": { "$ref": "Namespace" }, "request": { "$ref": "Namespace" }, "httpMethod": "POST", "id": "servicedirectory.projects.locations.namespaces.create", "parameters": { "namespaceId": { "type": "string", "location": "query", "description": "Required. The Resource ID must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash." }, "parent": { "type": "string", "description": "Required. The resource name of the project and location the namespace will be created in.", "pattern": "^projects/[^/]+/locations/[^/]+$", "location": "path", "required": true } }, "path": "v1/{+parent}/namespaces", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "get": { "response": { "$ref": "Namespace" }, "parameters": { "name": { "location": "path", "description": "Required. The name of the namespace to retrieve.", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/namespaces/[^/]+$" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/namespaces/{namespacesId}", "parameterOrder": [ "name" ], "description": "Gets a namespace.", "id": "servicedirectory.projects.locations.namespaces.get", "path": "v1/{+name}", "httpMethod": "GET" }, "testIamPermissions": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Tests IAM permissions for a resource (namespace or service only).", "parameterOrder": [ "resource" ], "id": "servicedirectory.projects.locations.namespaces.testIamPermissions", "path": "v1/{+resource}:testIamPermissions", "httpMethod": "POST", "request": { "$ref": "TestIamPermissionsRequest" }, "parameters": { "resource": { "required": true, "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/namespaces/[^/]+$", "type": "string" } }, "response": { "$ref": "TestIamPermissionsResponse" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/namespaces/{namespacesId}:testIamPermissions" } }, "resources": { "services": { "methods": { "setIamPolicy": { "httpMethod": "POST", "description": "Sets the IAM Policy for a resource (namespace or service only).", "path": "v1/{+resource}:setIamPolicy", "parameterOrder": [ "resource" ], "response": { "$ref": "Policy" }, "parameters": { "resource": { "pattern": "^projects/[^/]+/locations/[^/]+/namespaces/[^/]+/services/[^/]+$", "location": "path", "type": "string", "required": true, "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field." } }, "id": "servicedirectory.projects.locations.namespaces.services.setIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "SetIamPolicyRequest" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/namespaces/{namespacesId}/services/{servicesId}:setIamPolicy" }, "get": { "parameterOrder": [ "name" ], "description": "Gets a service.", "httpMethod": "GET", "id": "servicedirectory.projects.locations.namespaces.services.get", "response": { "$ref": "Service" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/namespaces/{namespacesId}/services/{servicesId}", "parameters": { "name": { "type": "string", "description": "Required. The name of the service to get.", "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/namespaces/[^/]+/services/[^/]+$" } }, "path": "v1/{+name}" }, "testIamPermissions": { "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/namespaces/{namespacesId}/services/{servicesId}:testIamPermissions", "request": { "$ref": "TestIamPermissionsRequest" }, "description": "Tests IAM permissions for a resource (namespace or service only).", "id": "servicedirectory.projects.locations.namespaces.services.testIamPermissions", "httpMethod": "POST", "parameterOrder": [ "resource" ], "path": "v1/{+resource}:testIamPermissions", "parameters": { "resource": { "pattern": "^projects/[^/]+/locations/[^/]+/namespaces/[^/]+/services/[^/]+$", "type": "string", "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "location": "path", "required": true } }, "response": { "$ref": "TestIamPermissionsResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "resolve": { "parameterOrder": [ "name" ], "description": "Returns a service and its associated endpoints. Resolving a service is not considered an active developer method.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "servicedirectory.projects.locations.namespaces.services.resolve", "path": "v1/{+name}:resolve", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/namespaces/{namespacesId}/services/{servicesId}:resolve", "request": { "$ref": "ResolveServiceRequest" }, "httpMethod": "POST", "parameters": { "name": { "description": "Required. The name of the service to resolve.", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/namespaces/[^/]+/services/[^/]+$", "location": "path", "required": true } }, "response": { "$ref": "ResolveServiceResponse" } }, "create": { "description": "Creates a service, and returns the new service.", "id": "servicedirectory.projects.locations.namespaces.services.create", "path": "v1/{+parent}/services", "response": { "$ref": "Service" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "parent" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/namespaces/{namespacesId}/services", "request": { "$ref": "Service" }, "parameters": { "serviceId": { "type": "string", "description": "Required. The Resource ID must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.", "location": "query" }, "parent": { "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/namespaces/[^/]+$", "description": "Required. The resource name of the namespace this service will belong to.", "location": "path" } }, "httpMethod": "POST" }, "delete": { "response": { "$ref": "Empty" }, "httpMethod": "DELETE", "id": "servicedirectory.projects.locations.namespaces.services.delete", "path": "v1/{+name}", "parameters": { "name": { "description": "Required. The name of the service to delete.", "location": "path", "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/namespaces/[^/]+/services/[^/]+$" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/namespaces/{namespacesId}/services/{servicesId}", "parameterOrder": [ "name" ], "description": "Deletes a service. This also deletes all endpoints associated with the service." }, "list": { "description": "Lists all services belonging to a namespace.", "httpMethod": "GET", "path": "v1/{+parent}/services", "parameters": { "parent": { "required": true, "location": "path", "description": "Required. The resource name of the namespace whose services you'd like to list.", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/namespaces/[^/]+$" }, "pageToken": { "location": "query", "type": "string", "description": "Optional. The next_page_token value returned from a previous List request, if any." }, "filter": { "description": "Optional. The filter to list results by. General `filter` string syntax: ` ()` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `` can be `name` or `annotations.` for map field LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `` can be `\u003c`, `\u003e`, `\u003c=`, `\u003e=`, `!=`, `=`, `:`. Of which `:` means `HAS`, and is roughly the same as `=` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `` must be the same data type as field LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `` can be `AND`, `OR`, `NOT` Examples of valid filters: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `annotations.owner` returns services that have a annotation with the key `owner`, this is the same as `annotations:owner` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `annotations.protocol=gRPC` returns services that have key/value `protocol=gRPC` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `name\u003eprojects/my-project/locations/us-east1/namespaces/my-namespace/services/service-c` returns services that have name that is alphabetically later than the string, so \"service-e\" is returned but \"service-a\" is not LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `annotations.owner!=sd AND annotations.foo=bar` returns services that have `owner` in annotation key but value is not `sd` AND have key/value `foo=bar` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `doesnotexist.foo=bar` returns an empty list. Note that service doesn't have a field called \"doesnotexist\". Since the filter does not match any services, it returns no results For more information about filtering, see [API Filtering](https://aip.dev/160).", "type": "string", "location": "query" }, "pageSize": { "description": "Optional. The maximum number of items to return.", "location": "query", "format": "int32", "type": "integer" }, "orderBy": { "location": "query", "type": "string", "description": "Optional. The order to list results by. General `order_by` string syntax: ` () (,)` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `` allows value: `name` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `` ascending or descending order by ``. If this is left blank, `asc` is used Note that an empty `order_by` string results in default order, which is order by `name` in ascending order." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "ListServicesResponse" }, "id": "servicedirectory.projects.locations.namespaces.services.list", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/namespaces/{namespacesId}/services", "parameterOrder": [ "parent" ] }, "patch": { "parameterOrder": [ "name" ], "parameters": { "name": { "description": "Immutable. The resource name for the service in the format `projects/*/locations/*/namespaces/*/services/*`.", "pattern": "^projects/[^/]+/locations/[^/]+/namespaces/[^/]+/services/[^/]+$", "type": "string", "location": "path", "required": true }, "updateMask": { "format": "google-fieldmask", "description": "Required. List of fields to be updated in this request.", "type": "string", "location": "query" } }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/namespaces/{namespacesId}/services/{servicesId}", "response": { "$ref": "Service" }, "id": "servicedirectory.projects.locations.namespaces.services.patch", "description": "Updates a service.", "request": { "$ref": "Service" }, "path": "v1/{+name}", "httpMethod": "PATCH", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "getIamPolicy": { "parameters": { "resource": { "location": "path", "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "pattern": "^projects/[^/]+/locations/[^/]+/namespaces/[^/]+/services/[^/]+$", "type": "string", "required": true } }, "description": "Gets the IAM Policy for a resource (namespace or service only).", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/namespaces/{namespacesId}/services/{servicesId}:getIamPolicy", "parameterOrder": [ "resource" ], "request": { "$ref": "GetIamPolicyRequest" }, "httpMethod": "POST", "path": "v1/{+resource}:getIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "servicedirectory.projects.locations.namespaces.services.getIamPolicy", "response": { "$ref": "Policy" } } }, "resources": { "endpoints": { "methods": { "get": { "id": "servicedirectory.projects.locations.namespaces.services.endpoints.get", "httpMethod": "GET", "parameters": { "name": { "location": "path", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/namespaces/[^/]+/services/[^/]+/endpoints/[^/]+$", "required": true, "description": "Required. The name of the endpoint to get." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+name}", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/namespaces/{namespacesId}/services/{servicesId}/endpoints/{endpointsId}", "description": "Gets an endpoint.", "response": { "$ref": "Endpoint" }, "parameterOrder": [ "name" ] }, "list": { "parameterOrder": [ "parent" ], "httpMethod": "GET", "path": "v1/{+parent}/endpoints", "parameters": { "pageToken": { "description": "Optional. The next_page_token value returned from a previous List request, if any.", "type": "string", "location": "query" }, "filter": { "type": "string", "description": "Optional. The filter to list results by. General `filter` string syntax: ` ()` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `` can be `name`, `address`, `port`, or `annotations.` for map field LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `` can be `\u003c`, `\u003e`, `\u003c=`, `\u003e=`, `!=`, `=`, `:`. Of which `:` means `HAS`, and is roughly the same as `=` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `` must be the same data type as field LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `` can be `AND`, `OR`, `NOT` Examples of valid filters: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `annotations.owner` returns endpoints that have a annotation with the key `owner`, this is the same as `annotations:owner` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `annotations.protocol=gRPC` returns endpoints that have key/value `protocol=gRPC` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `address=192.108.1.105` returns endpoints that have this address LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `port\u003e8080` returns endpoints that have port number larger than 8080 LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `name\u003eprojects/my-project/locations/us-east1/namespaces/my-namespace/services/my-service/endpoints/endpoint-c` returns endpoints that have name that is alphabetically later than the string, so \"endpoint-e\" is returned but \"endpoint-a\" is not LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `annotations.owner!=sd AND annotations.foo=bar` returns endpoints that have `owner` in annotation key but value is not `sd` AND have key/value `foo=bar` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `doesnotexist.foo=bar` returns an empty list. Note that endpoint doesn't have a field called \"doesnotexist\". Since the filter does not match any endpoints, it returns no results For more information about filtering, see [API Filtering](https://aip.dev/160).", "location": "query" }, "parent": { "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/namespaces/[^/]+/services/[^/]+$", "description": "Required. The resource name of the service whose endpoints you'd like to list.", "required": true, "location": "path" }, "orderBy": { "type": "string", "location": "query", "description": "Optional. The order to list results by. General `order_by` string syntax: ` () (,)` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `` allows values: `name`, `address`, `port` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `` ascending or descending order by ``. If this is left blank, `asc` is used Note that an empty `order_by` string results in default order, which is order by `name` in ascending order." }, "pageSize": { "type": "integer", "format": "int32", "description": "Optional. The maximum number of items to return.", "location": "query" } }, "id": "servicedirectory.projects.locations.namespaces.services.endpoints.list", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/namespaces/{namespacesId}/services/{servicesId}/endpoints", "response": { "$ref": "ListEndpointsResponse" }, "description": "Lists all endpoints.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "patch": { "request": { "$ref": "Endpoint" }, "response": { "$ref": "Endpoint" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/namespaces/{namespacesId}/services/{servicesId}/endpoints/{endpointsId}", "httpMethod": "PATCH", "description": "Updates an endpoint.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "parameters": { "updateMask": { "location": "query", "format": "google-fieldmask", "type": "string", "description": "Required. List of fields to be updated in this request." }, "name": { "description": "Immutable. The resource name for the endpoint in the format `projects/*/locations/*/namespaces/*/services/*/endpoints/*`.", "location": "path", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/namespaces/[^/]+/services/[^/]+/endpoints/[^/]+$" } }, "path": "v1/{+name}", "id": "servicedirectory.projects.locations.namespaces.services.endpoints.patch" }, "create": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "Endpoint" }, "httpMethod": "POST", "description": "Creates an endpoint, and returns the new endpoint.", "parameters": { "parent": { "type": "string", "location": "path", "description": "Required. The resource name of the service that this endpoint provides.", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/namespaces/[^/]+/services/[^/]+$" }, "endpointId": { "description": "Required. The Resource ID must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.", "type": "string", "location": "query" } }, "path": "v1/{+parent}/endpoints", "id": "servicedirectory.projects.locations.namespaces.services.endpoints.create", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/namespaces/{namespacesId}/services/{servicesId}/endpoints", "parameterOrder": [ "parent" ], "response": { "$ref": "Endpoint" } }, "delete": { "path": "v1/{+name}", "parameterOrder": [ "name" ], "description": "Deletes an endpoint.", "parameters": { "name": { "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/namespaces/[^/]+/services/[^/]+/endpoints/[^/]+$", "description": "Required. The name of the endpoint to delete.", "required": true, "type": "string" } }, "id": "servicedirectory.projects.locations.namespaces.services.endpoints.delete", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "DELETE", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/namespaces/{namespacesId}/services/{servicesId}/endpoints/{endpointsId}", "response": { "$ref": "Empty" } } } } } } } } } } } } } }
]===]))
