local decode = require("cjson").new().decode
return assert(decode([===[
{ "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." } } } }, "name": "servicedirectory", "baseUrl": "https://servicedirectory.googleapis.com/", "version": "v1beta1", "resources": { "projects": { "resources": { "locations": { "methods": { "get": { "parameterOrder": [ "name" ], "parameters": { "name": { "location": "path", "required": true, "description": "Resource name for the location.", "pattern": "^projects/[^/]+/locations/[^/]+$", "type": "string" } }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}", "path": "v1beta1/{+name}", "id": "servicedirectory.projects.locations.get", "httpMethod": "GET", "response": { "$ref": "Location" }, "description": "Gets information about a location.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "list": { "parameterOrder": [ "name" ], "description": "Lists information about the supported locations for this service.", "parameters": { "filter": { "description": "A filter to narrow down results to a preferred subset. The filtering language accepts strings like `\"displayName=tokyo\"`, and is documented in more detail in [AIP-160](https://google.aip.dev/160).", "type": "string", "location": "query" }, "pageSize": { "type": "integer", "format": "int32", "location": "query", "description": "The maximum number of results to return. If not set, the service selects a default." }, "pageToken": { "type": "string", "location": "query", "description": "A page token received from the `next_page_token` field in the response. Send that page token to receive the subsequent page." }, "name": { "pattern": "^projects/[^/]+$", "required": true, "type": "string", "location": "path", "description": "The resource that owns the locations collection, if applicable." } }, "id": "servicedirectory.projects.locations.list", "httpMethod": "GET", "response": { "$ref": "ListLocationsResponse" }, "path": "v1beta1/{+name}/locations", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1beta1/projects/{projectsId}/locations" } }, "resources": { "namespaces": { "resources": { "services": { "resources": { "endpoints": { "methods": { "delete": { "response": { "$ref": "Empty" }, "id": "servicedirectory.projects.locations.namespaces.services.endpoints.delete", "httpMethod": "DELETE", "parameters": { "name": { "required": true, "description": "Required. The name of the endpoint to delete.", "pattern": "^projects/[^/]+/locations/[^/]+/namespaces/[^/]+/services/[^/]+/endpoints/[^/]+$", "type": "string", "location": "path" } }, "parameterOrder": [ "name" ], "path": "v1beta1/{+name}", "description": "Deletes an endpoint.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/namespaces/{namespacesId}/services/{servicesId}/endpoints/{endpointsId}" }, "patch": { "response": { "$ref": "Endpoint" }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/namespaces/{namespacesId}/services/{servicesId}/endpoints/{endpointsId}", "path": "v1beta1/{+name}", "description": "Updates an endpoint.", "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/namespaces/[^/]+/services/[^/]+/endpoints/[^/]+$", "type": "string", "location": "path", "description": "Immutable. The resource name for the endpoint in the format `projects/*/locations/*/namespaces/*/services/*/endpoints/*`.", "required": true }, "updateMask": { "format": "google-fieldmask", "type": "string", "location": "query", "description": "Required. List of fields to be updated in this request." } }, "httpMethod": "PATCH", "parameterOrder": [ "name" ], "id": "servicedirectory.projects.locations.namespaces.services.endpoints.patch", "request": { "$ref": "Endpoint" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "list": { "response": { "$ref": "ListEndpointsResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Lists all endpoints.", "parameterOrder": [ "parent" ], "path": "v1beta1/{+parent}/endpoints", "id": "servicedirectory.projects.locations.namespaces.services.endpoints.list", "parameters": { "filter": { "description": "Optional. The filter to list results by. General `filter` string syntax: ` ()` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `` can be `name`, `address`, `port`, `metadata.` for map field, or `attributes.` for attributes field LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `` can be `\u003c`, `\u003e`, `\u003c=`, `\u003e=`, `!=`, `=`, `:`. Of which `:` means `HAS`, and is roughly the same as `=` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `` must be the same data type as field LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `` can be `AND`, `OR`, `NOT` Examples of valid filters: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `metadata.owner` returns endpoints that have a metadata with the key `owner`, this is the same as `metadata:owner` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `metadata.protocol=gRPC` returns endpoints that have key/value `protocol=gRPC` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `address=192.108.1.105` returns endpoints that have this address LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `port\u003e8080` returns endpoints that have port number larger than 8080 LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `name\u003eprojects/my-project/locations/us-east1/namespaces/my-namespace/services/my-service/endpoints/endpoint-c` returns endpoints that have name that is alphabetically later than the string, so \"endpoint-e\" is returned but \"endpoint-a\" is not LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `metadata.owner!=sd AND metadata.foo=bar` returns endpoints that have `owner` in metadata key but value is not `sd` AND have key/value `foo=bar` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `doesnotexist.foo=bar` returns an empty list. Note that endpoint doesn't have a field called \"doesnotexist\". Since the filter does not match any endpoints, it returns no results LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `attributes.kubernetes_resource_type=KUBERNETES_RESOURCE_TYPE_CLUSTER_ IP` returns endpoints with the corresponding kubernetes_resource_type For more information about filtering, see [API Filtering](https://aip.dev/160).", "type": "string", "location": "query" }, "pageSize": { "format": "int32", "type": "integer", "location": "query", "description": "Optional. The maximum number of items to return." }, "orderBy": { "type": "string", "location": "query", "description": "Optional. The order to list results by. General `order_by` string syntax: ` () (,)` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `` allows values: `name`, `address`, `port` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `` ascending or descending order by ``. If this is left blank, `asc` is used Note that an empty `order_by` string results in default order, which is order by `name` in ascending order." }, "pageToken": { "type": "string", "description": "Optional. The next_page_token value returned from a previous List request, if any.", "location": "query" }, "parent": { "pattern": "^projects/[^/]+/locations/[^/]+/namespaces/[^/]+/services/[^/]+$", "location": "path", "description": "Required. The resource name of the service whose endpoints you'd like to list.", "type": "string", "required": true } }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/namespaces/{namespacesId}/services/{servicesId}/endpoints", "httpMethod": "GET" }, "create": { "id": "servicedirectory.projects.locations.namespaces.services.endpoints.create", "parameterOrder": [ "parent" ], "httpMethod": "POST", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/namespaces/{namespacesId}/services/{servicesId}/endpoints", "path": "v1beta1/{+parent}/endpoints", "description": "Creates an endpoint, and returns the new endpoint.", "request": { "$ref": "Endpoint" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "endpointId": { "location": "query", "type": "string", "description": "Required. The Resource ID must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash." }, "parent": { "required": true, "type": "string", "description": "Required. The resource name of the service that this endpoint provides.", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/namespaces/[^/]+/services/[^/]+$" } }, "response": { "$ref": "Endpoint" } }, "get": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/namespaces/[^/]+/services/[^/]+/endpoints/[^/]+$", "description": "Required. The name of the endpoint to get.", "required": true, "type": "string", "location": "path" } }, "id": "servicedirectory.projects.locations.namespaces.services.endpoints.get", "parameterOrder": [ "name" ], "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/namespaces/{namespacesId}/services/{servicesId}/endpoints/{endpointsId}", "httpMethod": "GET", "path": "v1beta1/{+name}", "description": "Gets an endpoint.", "response": { "$ref": "Endpoint" } } } } }, "methods": { "get": { "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/namespaces/{namespacesId}/services/{servicesId}", "description": "Gets a service.", "id": "servicedirectory.projects.locations.namespaces.services.get", "path": "v1beta1/{+name}", "response": { "$ref": "Service" }, "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/namespaces/[^/]+/services/[^/]+$", "description": "Required. The name of the service to get.", "type": "string", "required": true, "location": "path" } }, "httpMethod": "GET" }, "create": { "parameterOrder": [ "parent" ], "id": "servicedirectory.projects.locations.namespaces.services.create", "request": { "$ref": "Service" }, "httpMethod": "POST", "path": "v1beta1/{+parent}/services", "response": { "$ref": "Service" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Creates a service, and returns the new service.", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/namespaces/{namespacesId}/services", "parameters": { "parent": { "pattern": "^projects/[^/]+/locations/[^/]+/namespaces/[^/]+$", "required": true, "description": "Required. The resource name of the namespace this service will belong to.", "location": "path", "type": "string" }, "serviceId": { "description": "Required. The Resource ID must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.", "location": "query", "type": "string" } } }, "list": { "path": "v1beta1/{+parent}/services", "id": "servicedirectory.projects.locations.namespaces.services.list", "description": "Lists all services belonging to a namespace.", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/namespaces/{namespacesId}/services", "httpMethod": "GET", "response": { "$ref": "ListServicesResponse" }, "parameterOrder": [ "parent" ], "parameters": { "orderBy": { "type": "string", "description": "Optional. The order to list results by. General `order_by` string syntax: ` () (,)` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `` allows value: `name` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `` ascending or descending order by ``. If this is left blank, `asc` is used Note that an empty `order_by` string results in default order, which is order by `name` in ascending order.", "location": "query" }, "filter": { "type": "string", "description": "Optional. The filter to list results by. General `filter` string syntax: ` ()` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `` can be `name` or `metadata.` for map field LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `` can be `\u003c`, `\u003e`, `\u003c=`, `\u003e=`, `!=`, `=`, `:`. Of which `:` means `HAS`, and is roughly the same as `=` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `` must be the same data type as field LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `` can be `AND`, `OR`, `NOT` Examples of valid filters: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `metadata.owner` returns services that have a metadata with the key `owner`, this is the same as `metadata:owner` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `metadata.protocol=gRPC` returns services that have key/value `protocol=gRPC` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `name\u003eprojects/my-project/locations/us-east1/namespaces/my-namespace/services/service-c` returns services that have name that is alphabetically later than the string, so \"service-e\" is returned but \"service-a\" is not LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `metadata.owner!=sd AND metadata.foo=bar` returns services that have `owner` in metadata key but value is not `sd` AND have key/value `foo=bar` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `doesnotexist.foo=bar` returns an empty list. Note that service doesn't have a field called \"doesnotexist\". Since the filter does not match any services, it returns no results LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `attributes.managed_registration=true` returns services that are managed by a GCP product or service For more information about filtering, see [API Filtering](https://aip.dev/160).", "location": "query" }, "pageToken": { "location": "query", "type": "string", "description": "Optional. The next_page_token value returned from a previous List request, if any." }, "pageSize": { "type": "integer", "description": "Optional. The maximum number of items to return.", "format": "int32", "location": "query" }, "parent": { "pattern": "^projects/[^/]+/locations/[^/]+/namespaces/[^/]+$", "location": "path", "type": "string", "description": "Required. The resource name of the namespace whose services you'd like to list.", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "setIamPolicy": { "id": "servicedirectory.projects.locations.namespaces.services.setIamPolicy", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/namespaces/{namespacesId}/services/{servicesId}:setIamPolicy", "request": { "$ref": "SetIamPolicyRequest" }, "description": "Sets the IAM Policy for a resource (namespace or service only).", "path": "v1beta1/{+resource}:setIamPolicy", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Policy" }, "parameters": { "resource": { "type": "string", "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "pattern": "^projects/[^/]+/locations/[^/]+/namespaces/[^/]+/services/[^/]+$", "location": "path", "required": true } }, "parameterOrder": [ "resource" ] }, "getIamPolicy": { "id": "servicedirectory.projects.locations.namespaces.services.getIamPolicy", "response": { "$ref": "Policy" }, "description": "Gets the IAM Policy for a resource (namespace or service only).", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/namespaces/{namespacesId}/services/{servicesId}:getIamPolicy", "parameterOrder": [ "resource" ], "request": { "$ref": "GetIamPolicyRequest" }, "parameters": { "resource": { "location": "path", "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/namespaces/[^/]+/services/[^/]+$" } }, "path": "v1beta1/{+resource}:getIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST" }, "patch": { "response": { "$ref": "Service" }, "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "servicedirectory.projects.locations.namespaces.services.patch", "description": "Updates a service.", "path": "v1beta1/{+name}", "parameters": { "name": { "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/namespaces/[^/]+/services/[^/]+$", "description": "Immutable. The resource name for the service in the format `projects/*/locations/*/namespaces/*/services/*`.", "required": true, "type": "string" }, "updateMask": { "format": "google-fieldmask", "description": "Required. List of fields to be updated in this request.", "location": "query", "type": "string" } }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/namespaces/{namespacesId}/services/{servicesId}", "httpMethod": "PATCH", "request": { "$ref": "Service" } }, "testIamPermissions": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "TestIamPermissionsRequest" }, "parameters": { "resource": { "required": true, "location": "path", "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/namespaces/[^/]+/services/[^/]+$" } }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/namespaces/{namespacesId}/services/{servicesId}:testIamPermissions", "httpMethod": "POST", "parameterOrder": [ "resource" ], "path": "v1beta1/{+resource}:testIamPermissions", "response": { "$ref": "TestIamPermissionsResponse" }, "id": "servicedirectory.projects.locations.namespaces.services.testIamPermissions", "description": "Tests IAM permissions for a resource (namespace, service or service workload only)." }, "resolve": { "request": { "$ref": "ResolveServiceRequest" }, "parameters": { "name": { "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/namespaces/[^/]+/services/[^/]+$", "description": "Required. The name of the service to resolve.", "location": "path" } }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/namespaces/{namespacesId}/services/{servicesId}:resolve", "httpMethod": "POST", "description": "Returns a service and its associated endpoints. Resolving a service is not considered an active developer method.", "parameterOrder": [ "name" ], "response": { "$ref": "ResolveServiceResponse" }, "path": "v1beta1/{+name}:resolve", "id": "servicedirectory.projects.locations.namespaces.services.resolve", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "delete": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "servicedirectory.projects.locations.namespaces.services.delete", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/namespaces/{namespacesId}/services/{servicesId}", "parameters": { "name": { "type": "string", "location": "path", "required": true, "description": "Required. The name of the service to delete.", "pattern": "^projects/[^/]+/locations/[^/]+/namespaces/[^/]+/services/[^/]+$" } }, "description": "Deletes a service. This also deletes all endpoints associated with the service.", "path": "v1beta1/{+name}", "parameterOrder": [ "name" ], "httpMethod": "DELETE", "response": { "$ref": "Empty" } } } }, "serviceWorkloads": { "methods": { "testIamPermissions": { "description": "Tests IAM permissions for a resource (namespace, service or service workload only).", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "TestIamPermissionsResponse" }, "path": "v1beta1/{+resource}:testIamPermissions", "httpMethod": "POST", "parameterOrder": [ "resource" ], "id": "servicedirectory.projects.locations.namespaces.serviceWorkloads.testIamPermissions", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/namespaces/{namespacesId}/serviceWorkloads/{serviceWorkloadsId}:testIamPermissions", "request": { "$ref": "TestIamPermissionsRequest" }, "parameters": { "resource": { "required": true, "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/namespaces/[^/]+/serviceWorkloads/[^/]+$", "type": "string" } } }, "getIamPolicy": { "path": "v1beta1/{+resource}:getIamPolicy", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/namespaces/{namespacesId}/serviceWorkloads/{serviceWorkloadsId}:getIamPolicy", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "servicedirectory.projects.locations.namespaces.serviceWorkloads.getIamPolicy", "response": { "$ref": "Policy" }, "description": "Gets the IAM Policy for a resource (namespace or service only).", "parameters": { "resource": { "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/namespaces/[^/]+/serviceWorkloads/[^/]+$", "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "location": "path", "required": true } }, "request": { "$ref": "GetIamPolicyRequest" }, "parameterOrder": [ "resource" ] }, "setIamPolicy": { "parameterOrder": [ "resource" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST", "parameters": { "resource": { "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "location": "path", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/namespaces/[^/]+/serviceWorkloads/[^/]+$" } }, "description": "Sets the IAM Policy for a resource (namespace or service only).", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/namespaces/{namespacesId}/serviceWorkloads/{serviceWorkloadsId}:setIamPolicy", "path": "v1beta1/{+resource}:setIamPolicy", "id": "servicedirectory.projects.locations.namespaces.serviceWorkloads.setIamPolicy", "request": { "$ref": "SetIamPolicyRequest" }, "response": { "$ref": "Policy" } } } } }, "methods": { "list": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "response": { "$ref": "ListNamespacesResponse" }, "parameterOrder": [ "parent" ], "path": "v1beta1/{+parent}/namespaces", "parameters": { "pageSize": { "type": "integer", "format": "int32", "description": "Optional. The maximum number of items to return.", "location": "query" }, "pageToken": { "location": "query", "description": "Optional. The next_page_token value returned from a previous List request, if any.", "type": "string" }, "orderBy": { "type": "string", "description": "Optional. The order to list results by. General `order_by` string syntax: ` () (,)` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `` allows value: `name` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `` ascending or descending order by ``. If this is left blank, `asc` is used Note that an empty `order_by` string results in default order, which is order by `name` in ascending order.", "location": "query" }, "filter": { "type": "string", "description": "Optional. The filter to list results by. General `filter` string syntax: ` ()` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `` can be `name`, `labels.` for map field, or `attributes.` for attributes field LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `` can be `\u003c`, `\u003e`, `\u003c=`, `\u003e=`, `!=`, `=`, `:`. Of which `:` means `HAS`, and is roughly the same as `=` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `` must be the same data type as field LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `` can be `AND`, `OR`, `NOT` Examples of valid filters: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `labels.owner` returns namespaces that have a label with the key `owner`, this is the same as `labels:owner` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `labels.owner=sd` returns namespaces that have key/value `owner=sd` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `name\u003eprojects/my-project/locations/us-east1/namespaces/namespace-c` returns namespaces that have name that is alphabetically later than the string, so \"namespace-e\" is returned but \"namespace-a\" is not LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `labels.owner!=sd AND labels.foo=bar` returns namespaces that have `owner` in label key but value is not `sd` AND have key/value `foo=bar` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `doesnotexist.foo=bar` returns an empty list. Note that namespace doesn't have a field called \"doesnotexist\". Since the filter does not match any namespaces, it returns no results LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `attributes.managed_registration=true` returns namespaces that are managed by a GCP product or service For more information about filtering, see [API Filtering](https://aip.dev/160).", "location": "query" }, "parent": { "type": "string", "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+$", "description": "Required. The resource name of the project and location whose namespaces you'd like to list." } }, "id": "servicedirectory.projects.locations.namespaces.list", "description": "Lists all namespaces.", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/namespaces" }, "create": { "parameterOrder": [ "parent" ], "response": { "$ref": "Namespace" }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/namespaces", "description": "Creates a namespace, and returns the new namespace.", "parameters": { "parent": { "type": "string", "required": true, "location": "path", "description": "Required. The resource name of the project and location the namespace will be created in.", "pattern": "^projects/[^/]+/locations/[^/]+$" }, "namespaceId": { "type": "string", "description": "Required. The Resource ID must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.", "location": "query" } }, "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "Namespace" }, "id": "servicedirectory.projects.locations.namespaces.create", "path": "v1beta1/{+parent}/namespaces" }, "delete": { "path": "v1beta1/{+name}", "description": "Deletes a namespace. This also deletes all services and endpoints in the namespace.", "parameters": { "name": { "type": "string", "location": "path", "description": "Required. The name of the namespace to delete.", "pattern": "^projects/[^/]+/locations/[^/]+/namespaces/[^/]+$", "required": true } }, "id": "servicedirectory.projects.locations.namespaces.delete", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "DELETE", "response": { "$ref": "Empty" }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/namespaces/{namespacesId}" }, "get": { "path": "v1beta1/{+name}", "httpMethod": "GET", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/namespaces/{namespacesId}", "parameters": { "name": { "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/namespaces/[^/]+$", "required": true, "location": "path", "description": "Required. The name of the namespace to retrieve." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Namespace" }, "parameterOrder": [ "name" ], "id": "servicedirectory.projects.locations.namespaces.get", "description": "Gets a namespace." }, "testIamPermissions": { "httpMethod": "POST", "path": "v1beta1/{+resource}:testIamPermissions", "request": { "$ref": "TestIamPermissionsRequest" }, "parameterOrder": [ "resource" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "servicedirectory.projects.locations.namespaces.testIamPermissions", "description": "Tests IAM permissions for a resource (namespace, service or service workload only).", "parameters": { "resource": { "pattern": "^projects/[^/]+/locations/[^/]+/namespaces/[^/]+$", "required": true, "type": "string", "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "location": "path" } }, "response": { "$ref": "TestIamPermissionsResponse" }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/namespaces/{namespacesId}:testIamPermissions" }, "getIamPolicy": { "parameterOrder": [ "resource" ], "path": "v1beta1/{+resource}:getIamPolicy", "response": { "$ref": "Policy" }, "description": "Gets the IAM Policy for a resource (namespace or service only).", "request": { "$ref": "GetIamPolicyRequest" }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/namespaces/{namespacesId}:getIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "servicedirectory.projects.locations.namespaces.getIamPolicy", "httpMethod": "POST", "parameters": { "resource": { "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "type": "string", "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/namespaces/[^/]+$" } } }, "setIamPolicy": { "parameters": { "resource": { "required": true, "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/namespaces/[^/]+$", "type": "string" } }, "id": "servicedirectory.projects.locations.namespaces.setIamPolicy", "httpMethod": "POST", "response": { "$ref": "Policy" }, "request": { "$ref": "SetIamPolicyRequest" }, "parameterOrder": [ "resource" ], "path": "v1beta1/{+resource}:setIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Sets the IAM Policy for a resource (namespace or service only).", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/namespaces/{namespacesId}:setIamPolicy" }, "patch": { "path": "v1beta1/{+name}", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/namespaces/{namespacesId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "httpMethod": "PATCH", "parameters": { "name": { "required": true, "description": "Immutable. The resource name for the namespace in the format `projects/*/locations/*/namespaces/*`.", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/namespaces/[^/]+$", "type": "string" }, "updateMask": { "format": "google-fieldmask", "type": "string", "location": "query", "description": "Required. List of fields to be updated in this request." } }, "response": { "$ref": "Namespace" }, "id": "servicedirectory.projects.locations.namespaces.patch", "description": "Updates a namespace.", "request": { "$ref": "Namespace" } } } } } } } } }, "parameters": { "access_token": { "description": "OAuth access token.", "location": "query", "type": "string" }, "callback": { "type": "string", "description": "JSONP", "location": "query" }, "alt": { "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "type": "string", "default": "json", "location": "query", "description": "Data format for response.", "enum": [ "json", "media", "proto" ] }, "oauth_token": { "location": "query", "type": "string", "description": "OAuth 2.0 token for the current user." }, "fields": { "location": "query", "type": "string", "description": "Selector specifying which fields to include in a partial response." }, "quotaUser": { "location": "query", "type": "string", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters." }, "$.xgafv": { "location": "query", "enum": [ "1", "2" ], "description": "V1 error format.", "type": "string", "enumDescriptions": [ "v1 error format", "v2 error format" ] }, "prettyPrint": { "description": "Returns response with indentations and line breaks.", "default": "true", "type": "boolean", "location": "query" }, "key": { "location": "query", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "type": "string" }, "uploadType": { "location": "query", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "type": "string" }, "upload_protocol": { "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "type": "string", "location": "query" } }, "id": "servicedirectory:v1beta1", "servicePath": "", "mtlsRootUrl": "https://servicedirectory.mtls.googleapis.com/", "basePath": "", "schemas": { "Service": { "id": "Service", "properties": { "name": { "type": "string", "description": "Immutable. The resource name for the service in the format `projects/*/locations/*/namespaces/*/services/*`." }, "createTime": { "type": "string", "readOnly": true, "description": "Output only. The timestamp when the service was created.", "format": "google-datetime" }, "updateTime": { "readOnly": true, "format": "google-datetime", "description": "Output only. The timestamp when the service was last updated. Note: endpoints being created/deleted/updated within the service are not considered service updates for the purpose of this timestamp.", "type": "string" }, "metadata": { "type": "object", "description": "Optional. Metadata for the service. This data can be consumed by service clients. Restrictions: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The entire metadata dictionary may contain up to 2000 characters, spread accoss all key-value pairs. Metadata that goes beyond this limit are rejected LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Valid metadata keys have two segments: an optional prefix and name, separated by a slash (/). The name segment is required and must be 63 characters or less, beginning and ending with an alphanumeric character ([a-z0-9A-Z]) with dashes (-), underscores (_), dots (.), and alphanumerics between. The prefix is optional. If specified, the prefix must be a DNS subdomain: a series of DNS labels separated by dots (.), not longer than 253 characters in total, followed by a slash (/). Metadata that fails to meet these requirements are rejected Note: This field is equivalent to the `annotations` field in the v1 API. They have the same syntax and read/write to the same location in Service Directory.", "additionalProperties": { "type": "string" } }, "endpoints": { "readOnly": true, "items": { "$ref": "Endpoint" }, "type": "array", "description": "Output only. Endpoints associated with this service. Returned on LookupService.ResolveService. Control plane clients should use RegistrationService.ListEndpoints." } }, "type": "object", "description": "An individual service. A service contains a name and optional metadata. A service must exist before endpoints can be added to it." }, "ListEndpointsResponse": { "properties": { "endpoints": { "description": "The list of endpoints.", "items": { "$ref": "Endpoint" }, "type": "array" }, "nextPageToken": { "description": "Token to retrieve the next page of results, or empty if there are no more results in the list.", "type": "string" } }, "type": "object", "description": "The response message for RegistrationService.ListEndpoints.", "id": "ListEndpointsResponse" }, "Expr": { "type": "object", "description": "Represents a textual expression in the Common Expression Language (CEL) syntax. CEL is a C-like expression language. The syntax and semantics of CEL are documented at https://github.com/google/cel-spec. Example (Comparison): title: \"Summary size limit\" description: \"Determines if a summary is less than 100 chars\" expression: \"document.summary.size() \u003c 100\" Example (Equality): title: \"Requestor is owner\" description: \"Determines if requestor is the document owner\" expression: \"document.owner == request.auth.claims.email\" Example (Logic): title: \"Public documents\" description: \"Determine whether the document should be publicly visible\" expression: \"document.type != 'private' && document.type != 'internal'\" Example (Data Manipulation): title: \"Notification string\" description: \"Create a notification string with a timestamp.\" expression: \"'New message received at ' + string(document.create_time)\" The exact variables and functions that may be referenced within an expression are determined by the service that evaluates it. See the service documentation for additional information.", "properties": { "expression": { "description": "Textual representation of an expression in Common Expression Language syntax.", "type": "string" }, "description": { "type": "string", "description": "Optional. Description of the expression. This is a longer text which describes the expression, e.g. when hovered over it in a UI." }, "title": { "type": "string", "description": "Optional. Title for the expression, i.e. a short string describing its purpose. This can be used e.g. in UIs which allow to enter the expression." }, "location": { "description": "Optional. String indicating the location of the expression for error reporting, e.g. a file name and a position in the file.", "type": "string" } }, "id": "Expr" }, "ResolveServiceRequest": { "description": "The request message for LookupService.ResolveService. Looks up a service by its name, returns the service and its endpoints.", "properties": { "endpointFilter": { "description": "Optional. The filter applied to the endpoints of the resolved service. General `filter` string syntax: ` ()` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `` can be `name`, `address`, `port`, or `metadata.` for map field LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `` can be `\u003c`, `\u003e`, `\u003c=`, `\u003e=`, `!=`, `=`, `:`. Of which `:` means `HAS`, and is roughly the same as `=` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `` must be the same data type as field LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `` can be `AND`, `OR`, `NOT` Examples of valid filters: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `metadata.owner` returns endpoints that have a annotation with the key `owner`, this is the same as `metadata:owner` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `metadata.protocol=gRPC` returns endpoints that have key/value `protocol=gRPC` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `address=192.108.1.105` returns endpoints that have this address LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `port\u003e8080` returns endpoints that have port number larger than 8080 LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `name\u003eprojects/my-project/locations/us-east1/namespaces/my-namespace/services/my-service/endpoints/endpoint-c` returns endpoints that have name that is alphabetically later than the string, so \"endpoint-e\" is returned but \"endpoint-a\" is not LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `name=projects/my-project/locations/us-central1/namespaces/my-namespace/services/my-service/endpoints/ep-1` returns the endpoint that has an endpoint_id equal to `ep-1` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `metadata.owner!=sd AND metadata.foo=bar` returns endpoints that have `owner` in annotation key but value is not `sd` AND have key/value `foo=bar` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `doesnotexist.foo=bar` returns an empty list. Note that endpoint doesn't have a field called \"doesnotexist\". Since the filter does not match any endpoint, it returns no results For more information about filtering, see [API Filtering](https://aip.dev/160).", "type": "string" }, "maxEndpoints": { "description": "Optional. The maximum number of endpoints to return. Defaults to 25. Maximum is 100. If a value less than one is specified, the Default is used. If a value greater than the Maximum is specified, the Maximum is used.", "type": "integer", "format": "int32" } }, "id": "ResolveServiceRequest", "type": "object" }, "ListServicesResponse": { "properties": { "nextPageToken": { "description": "Token to retrieve the next page of results, or empty if there are no more results in the list.", "type": "string" }, "services": { "description": "The list of services.", "type": "array", "items": { "$ref": "Service" } } }, "id": "ListServicesResponse", "type": "object", "description": "The response message for RegistrationService.ListServices." }, "ListLocationsResponse": { "id": "ListLocationsResponse", "type": "object", "description": "The response message for Locations.ListLocations.", "properties": { "locations": { "description": "A list of locations that matches the specified filter in the request.", "items": { "$ref": "Location" }, "type": "array" }, "nextPageToken": { "description": "The standard List next-page token.", "type": "string" } } }, "TestIamPermissionsResponse": { "id": "TestIamPermissionsResponse", "properties": { "permissions": { "description": "A subset of `TestPermissionsRequest.permissions` that the caller is allowed.", "type": "array", "items": { "type": "string" } } }, "type": "object", "description": "Response message for `TestIamPermissions` method." }, "TestIamPermissionsRequest": { "properties": { "permissions": { "type": "array", "items": { "type": "string" }, "description": "The set of permissions to check for the `resource`. Permissions with wildcards (such as `*` or `storage.*`) are not allowed. For more information see [IAM Overview](https://cloud.google.com/iam/docs/overview#permissions)." } }, "description": "Request message for `TestIamPermissions` method.", "id": "TestIamPermissionsRequest", "type": "object" }, "GetIamPolicyRequest": { "description": "Request message for `GetIamPolicy` method.", "properties": { "options": { "description": "OPTIONAL: A `GetPolicyOptions` object for specifying options to `GetIamPolicy`.", "$ref": "GetPolicyOptions" } }, "id": "GetIamPolicyRequest", "type": "object" }, "Namespace": { "type": "object", "description": "A container for services. Namespaces allow administrators to group services together and define permissions for a collection of services.", "properties": { "createTime": { "type": "string", "description": "Output only. The timestamp when the namespace was created.", "format": "google-datetime", "readOnly": true }, "name": { "type": "string", "description": "Immutable. The resource name for the namespace in the format `projects/*/locations/*/namespaces/*`." }, "updateTime": { "format": "google-datetime", "description": "Output only. The timestamp when the namespace was last updated.", "readOnly": true, "type": "string" }, "labels": { "description": "Optional. Resource labels associated with this namespace. No more than 64 user labels can be associated with a given resource. Label keys and values can be no longer than 63 characters.", "type": "object", "additionalProperties": { "type": "string" } } }, "id": "Namespace" }, "ListNamespacesResponse": { "properties": { "nextPageToken": { "description": "Token to retrieve the next page of results, or empty if there are no more results in the list.", "type": "string" }, "namespaces": { "items": { "$ref": "Namespace" }, "type": "array", "description": "The list of namespaces." } }, "type": "object", "description": "The response message for RegistrationService.ListNamespaces.", "id": "ListNamespacesResponse" }, "SetIamPolicyRequest": { "id": "SetIamPolicyRequest", "type": "object", "description": "Request message for `SetIamPolicy` method.", "properties": { "policy": { "$ref": "Policy", "description": "REQUIRED: The complete policy to be applied to the `resource`. The size of the policy is limited to a few 10s of KB. An empty policy is a valid policy but certain Google Cloud services (such as Projects) might reject them." } } }, "ResolveServiceResponse": { "description": "The response message for LookupService.ResolveService.", "id": "ResolveServiceResponse", "properties": { "service": { "$ref": "Service" } }, "type": "object" }, "Empty": { "properties": {}, "id": "Empty", "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }", "type": "object" }, "Location": { "type": "object", "id": "Location", "properties": { "displayName": { "description": "The friendly name for this location, typically a nearby city name. For example, \"Tokyo\".", "type": "string" }, "metadata": { "type": "object", "description": "Service-specific metadata. For example the available capacity at the given location.", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." } }, "locationId": { "type": "string", "description": "The canonical id for this location. For example: `\"us-east1\"`." }, "labels": { "type": "object", "additionalProperties": { "type": "string" }, "description": "Cross-service attributes for the location. For example {\"cloud.googleapis.com/region\": \"us-east1\"}" }, "name": { "description": "Resource name for the location, which may vary between implementations. For example: `\"projects/example-project/locations/us-east1\"`", "type": "string" } }, "description": "A resource that represents Google Cloud Platform location." }, "Endpoint": { "type": "object", "properties": { "port": { "description": "Optional. Service Directory rejects values outside of `[0, 65535]`.", "type": "integer", "format": "int32" }, "network": { "type": "string", "description": "Immutable. The Google Compute Engine network (VPC) of the endpoint in the format `projects//locations/global/networks/*`. The project must be specified by project number (project id is rejected). Incorrectly formatted networks are rejected, but no other validation is performed on this field (ex. network or project existence, reachability, or permissions)." }, "address": { "type": "string", "description": "Optional. An IPv4 or IPv6 address. Service Directory rejects bad addresses like: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `8.8.8` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `8.8.8.8:53` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `test:bad:address` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `[::1]` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `[::1]:8080` Limited to 45 characters." }, "name": { "type": "string", "description": "Immutable. The resource name for the endpoint in the format `projects/*/locations/*/namespaces/*/services/*/endpoints/*`." }, "updateTime": { "type": "string", "description": "Output only. The timestamp when the endpoint was last updated.", "readOnly": true, "format": "google-datetime" }, "createTime": { "format": "google-datetime", "description": "Output only. The timestamp when the endpoint was created.", "type": "string", "readOnly": true }, "metadata": { "additionalProperties": { "type": "string" }, "description": "Optional. Metadata for the endpoint. This data can be consumed by service clients. Restrictions: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The entire metadata dictionary may contain up to 512 characters, spread accoss all key-value pairs. Metadata that goes beyond this limit are rejected LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Valid metadata keys have two segments: an optional prefix and name, separated by a slash (/). The name segment is required and must be 63 characters or less, beginning and ending with an alphanumeric character ([a-z0-9A-Z]) with dashes (-), underscores (_), dots (.), and alphanumerics between. The prefix is optional. If specified, the prefix must be a DNS subdomain: a series of DNS labels separated by dots (.), not longer than 253 characters in total, followed by a slash (/). Metadata that fails to meet these requirements are rejected Note: This field is equivalent to the `annotations` field in the v1 API. They have the same syntax and read/write to the same location in Service Directory.", "type": "object" } }, "description": "An individual endpoint that provides a service. The service must already exist to create an endpoint.", "id": "Endpoint" }, "Policy": { "id": "Policy", "type": "object", "properties": { "bindings": { "items": { "$ref": "Binding" }, "description": "Associates a list of `members`, or principals, with a `role`. Optionally, may specify a `condition` that determines how and when the `bindings` are applied. Each of the `bindings` must contain at least one principal. The `bindings` in a `Policy` can refer to up to 1,500 principals; up to 250 of these principals can be Google groups. Each occurrence of a principal counts towards these limits. For example, if the `bindings` grant 50 different roles to `user:alice@example.com`, and not to any other principal, then you can add another 1,450 principals to the `bindings` in the `Policy`.", "type": "array" }, "etag": { "type": "string", "format": "byte", "description": "`etag` is used for optimistic concurrency control as a way to help prevent simultaneous updates of a policy from overwriting each other. It is strongly suggested that systems make use of the `etag` in the read-modify-write cycle to perform policy updates in order to avoid race conditions: An `etag` is returned in the response to `getIamPolicy`, and systems are expected to put that etag in the request to `setIamPolicy` to ensure that their change will be applied to the same version of the policy. **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost." }, "version": { "type": "integer", "description": "Specifies the format of the policy. Valid values are `0`, `1`, and `3`. Requests that specify an invalid value are rejected. Any operation that affects conditional role bindings must specify version `3`. This requirement applies to the following operations: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Getting a policy that includes a conditional role binding LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Adding a conditional role binding to a policy LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Changing a conditional role binding in a policy LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Removing any role binding, with or without a condition, from a policy that includes conditions **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost. If a policy does not include any conditions, operations on that policy may specify any valid version or leave the field unset. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "format": "int32" } }, "description": "An Identity and Access Management (IAM) policy, which specifies access controls for Google Cloud resources. A `Policy` is a collection of `bindings`. A `binding` binds one or more `members`, or principals, to a single `role`. Principals can be user accounts, service accounts, Google groups, and domains (such as G Suite). A `role` is a named list of permissions; each `role` can be an IAM predefined role or a user-created custom role. For some types of Google Cloud resources, a `binding` can also specify a `condition`, which is a logical expression that allows access to a resource only if the expression evaluates to `true`. A condition can add constraints based on attributes of the request, the resource, or both. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies). **JSON example:** { \"bindings\": [ { \"role\": \"roles/resourcemanager.organizationAdmin\", \"members\": [ \"user:mike@example.com\", \"group:admins@example.com\", \"domain:google.com\", \"serviceAccount:my-project-id@appspot.gserviceaccount.com\" ] }, { \"role\": \"roles/resourcemanager.organizationViewer\", \"members\": [ \"user:eve@example.com\" ], \"condition\": { \"title\": \"expirable access\", \"description\": \"Does not grant access after Sep 2020\", \"expression\": \"request.time \u003c timestamp('2020-10-01T00:00:00.000Z')\", } } ], \"etag\": \"BwWWja0YfJA=\", \"version\": 3 } **YAML example:** bindings: - members: - user:mike@example.com - group:admins@example.com - domain:google.com - serviceAccount:my-project-id@appspot.gserviceaccount.com role: roles/resourcemanager.organizationAdmin - members: - user:eve@example.com role: roles/resourcemanager.organizationViewer condition: title: expirable access description: Does not grant access after Sep 2020 expression: request.time \u003c timestamp('2020-10-01T00:00:00.000Z') etag: BwWWja0YfJA= version: 3 For a description of IAM and its features, see the [IAM documentation](https://cloud.google.com/iam/docs/)." }, "Binding": { "description": "Associates `members`, or principals, with a `role`.", "id": "Binding", "properties": { "condition": { "$ref": "Expr", "description": "The condition that is associated with this binding. If the condition evaluates to `true`, then this binding applies to the current request. If the condition evaluates to `false`, then this binding does not apply to the current request. However, a different role binding might grant the same role to one or more of the principals in this binding. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies)." }, "role": { "description": "Role that is assigned to the list of `members`, or principals. For example, `roles/viewer`, `roles/editor`, or `roles/owner`.", "type": "string" }, "members": { "items": { "type": "string" }, "description": "Specifies the principals requesting access for a Google Cloud resource. `members` can have the following values: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `allUsers`: A special identifier that represents anyone who is on the internet; with or without a Google account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `allAuthenticatedUsers`: A special identifier that represents anyone who is authenticated with a Google account or a service account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `user:{emailid}`: An email address that represents a specific Google account. For example, `alice@example.com` . LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `serviceAccount:{emailid}`: An email address that represents a service account. For example, `my-other-app@appspot.gserviceaccount.com`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `group:{emailid}`: An email address that represents a Google group. For example, `admins@example.com`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:user:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a user that has been recently deleted. For example, `alice@example.com?uid=123456789012345678901`. If the user is recovered, this value reverts to `user:{emailid}` and the recovered user retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:serviceAccount:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a service account that has been recently deleted. For example, `my-other-app@appspot.gserviceaccount.com?uid=123456789012345678901`. If the service account is undeleted, this value reverts to `serviceAccount:{emailid}` and the undeleted service account retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:group:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a Google group that has been recently deleted. For example, `admins@example.com?uid=123456789012345678901`. If the group is recovered, this value reverts to `group:{emailid}` and the recovered group retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `domain:{domain}`: The G Suite domain (primary) that represents all the users of that domain. For example, `google.com` or `example.com`. ", "type": "array" } }, "type": "object" }, "GetPolicyOptions": { "id": "GetPolicyOptions", "type": "object", "properties": { "requestedPolicyVersion": { "format": "int32", "description": "Optional. The maximum policy version that will be used to format the policy. Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset. The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "type": "integer" } }, "description": "Encapsulates settings provided to GetIamPolicy." } }, "discoveryVersion": "v1", "ownerName": "Google", "documentationLink": "https://cloud.google.com/service-directory", "kind": "discovery#restDescription", "canonicalName": "Service Directory", "version_module": true, "revision": "20220630", "ownerDomain": "google.com", "icons": { "x32": "http://www.google.com/images/icons/product/search-32.gif", "x16": "http://www.google.com/images/icons/product/search-16.gif" }, "description": "Service Directory is a platform for discovering, publishing, and connecting services. ", "fullyEncodeReservedExpansion": true, "protocol": "rest", "batchPath": "batch", "title": "Service Directory API", "rootUrl": "https://servicedirectory.googleapis.com/" }
]===]))
