local decode = require("cjson").new().decode
return assert(decode([===[
{ "kind": "discovery#restDescription", "discoveryVersion": "v1", "schemas": { "AddSubnetworkRequest": { "id": "AddSubnetworkRequest", "type": "object", "description": "Request to create a subnetwork in a previously peered service network.", "properties": { "outsideAllocationPublicIpRange": { "description": "Optional. Enable outside allocation using public IP addresses. Any public IP range may be specified. If this field is provided, we will not use customer reserved ranges for this primary IP range.", "type": "string" }, "requestedRanges": { "description": "Optional. The name of one or more allocated IP address ranges associated with this private service access connection. If no range names are provided all ranges associated with this connection will be considered. If a CIDR range with the specified IP prefix length is not available within these ranges, the call fails.", "items": { "type": "string" }, "type": "array" }, "requestedAddress": { "description": "Optional. The starting address of a range. The address must be a valid IPv4 address in the x.x.x.x format. This value combined with the IP prefix range is the CIDR range for the subnet. The range must be within the allocated range that is assigned to the private connection. If the CIDR range isn't available, the call fails.", "type": "string" }, "useCustomComputeIdempotencyWindow": { "type": "boolean", "description": "Optional. Specifies if Service Networking should use a custom time bucket for Arcus idempotency. If false, Service Networking uses a 300 second (5 minute) Arcus idempotency window. If true, Service Networking uses a custom idempotency window provided by the user in field compute_idempotency_window. For more information on how to use, see: go/revisit-sn-idempotency-window" }, "subnetworkUsers": { "type": "array", "description": "A list of members that are granted the `roles/servicenetworking.subnetworkAdmin` role on the subnet.", "items": { "type": "string" } }, "purpose": { "type": "string", "description": "Optional. Defines the purpose field of the subnet, e.g. 'PRIVATE_SERVICE_CONNECT'. For information about the purposes that can be set using this field, see [subnetwork](https://cloud.google.com/compute/docs/reference/rest/v1/subnetworks) in the Compute API documentation." }, "privateIpv6GoogleAccess": { "description": "Optional. The private IPv6 google access type for the VMs in this subnet. For information about the access types that can be set using this field, see [subnetwork](https://cloud.google.com/compute/docs/reference/rest/v1/subnetworks) in the Compute API documentation.", "type": "string" }, "ipPrefixLength": { "description": "Required. The prefix length of the subnet's IP address range. Use CIDR range notation, such as `30` to provision a subnet with an `x.x.x.x/30` CIDR range. The IP address range is drawn from a pool of available ranges in the service consumer's allocated range.", "type": "integer", "format": "int32" }, "consumer": { "type": "string", "description": "Required. A resource that represents the service consumer, such as `projects/123456`. The project number can be different from the value in the consumer network parameter. For example, the network might be part of a Shared VPC network. In those cases, Service Networking validates that this resource belongs to that Shared VPC." }, "subnetwork": { "description": "Required. A name for the new subnet. For information about the naming requirements, see [subnetwork](/compute/docs/reference/rest/v1/subnetworks) in the Compute API documentation.", "type": "string" }, "checkServiceNetworkingUsePermission": { "type": "boolean", "description": "Optional. The IAM permission check determines whether the consumer project has 'servicenetworking.services.use' permission or not." }, "region": { "type": "string", "description": "Required. The name of a [region](/compute/docs/regions-zones) for the subnet, such `europe-west1`." }, "consumerNetwork": { "description": "Required. The name of the service consumer's VPC network. The network must have an existing private connection that was provisioned through the connections.create method. The name must be in the following format: `projects/{project}/global/networks/{network}`, where {project} is a project number, such as `12345`. {network} is the name of a VPC network in the project.", "type": "string" }, "secondaryIpRangeSpecs": { "description": "Optional. A list of secondary IP ranges to be created within the new subnetwork.", "type": "array", "items": { "$ref": "SecondaryIpRangeSpec" } }, "computeIdempotencyWindow": { "type": "string", "description": "Optional. Specifies a custom time bucket for Arcus subnetwork request idempotency. If two equivalent concurrent requests are made, Arcus will know to ignore the request if it has already been completed or is in progress. Only requests with matching compute_idempotency_window have guaranteed idempotency. Changing this time window between requests results in undefined behavior. Zero (or empty) value with custom_compute_idempotency_window=true specifies no idempotency (i.e. no request ID is provided to Arcus). Maximum value of 14 days (enforced by Arcus limit). For more information on how to use, see: go/revisit-sn-idempotency-window", "format": "google-duration" }, "description": { "type": "string", "description": "Optional. Description of the subnet." } } }, "ListOperationsResponse": { "properties": { "operations": { "description": "A list of operations that matches the specified filter in the request.", "items": { "$ref": "Operation" }, "type": "array" }, "nextPageToken": { "type": "string", "description": "The standard List next-page token." } }, "id": "ListOperationsResponse", "description": "The response message for Operations.ListOperations.", "type": "object" }, "RemoveDnsRecordSetResponse": { "description": "Blank message response type for RemoveDnsRecordSet API", "id": "RemoveDnsRecordSetResponse", "properties": {}, "type": "object" }, "AuthProvider": { "properties": { "jwksUri": { "description": "URL of the provider's public key set to validate signature of the JWT. See [OpenID Discovery](https://openid.net/specs/openid-connect-discovery-1_0.html#ProviderMetadata). Optional if the key set document: - can be retrieved from [OpenID Discovery](https://openid.net/specs/openid-connect-discovery-1_0.html) of the issuer. - can be inferred from the email domain of the issuer (e.g. a Google service account). Example: https://www.googleapis.com/oauth2/v1/certs", "type": "string" }, "id": { "description": "The unique identifier of the auth provider. It will be referred to by `AuthRequirement.provider_id`. Example: \"bookstore_auth\".", "type": "string" }, "authorizationUrl": { "description": "Redirect URL if JWT token is required but not present or is expired. Implement authorizationUrl of securityDefinitions in OpenAPI spec.", "type": "string" }, "issuer": { "description": "Identifies the principal that issued the JWT. See https://tools.ietf.org/html/draft-ietf-oauth-json-web-token-32#section-4.1.1 Usually a URL or an email address. Example: https://securetoken.google.com Example: 1234567-compute@developer.gserviceaccount.com", "type": "string" }, "jwtLocations": { "items": { "$ref": "JwtLocation" }, "type": "array", "description": "Defines the locations to extract the JWT. For now it is only used by the Cloud Endpoints to store the OpenAPI extension [x-google-jwt-locations] (https://cloud.google.com/endpoints/docs/openapi/openapi-extensions#x-google-jwt-locations) JWT locations can be one of HTTP headers, URL query parameters or cookies. The rule is that the first match wins. If not specified, default to use following 3 locations: 1) Authorization: Bearer 2) x-goog-iap-jwt-assertion 3) access_token query parameter Default locations can be specified as followings: jwt_locations: - header: Authorization value_prefix: \"Bearer \" - header: x-goog-iap-jwt-assertion - query: access_token" }, "audiences": { "description": "The list of JWT [audiences](https://tools.ietf.org/html/draft-ietf-oauth-json-web-token-32#section-4.1.3). that are allowed to access. A JWT containing any of these audiences will be accepted. When this setting is absent, JWTs with audiences: - \"https://[service.name]/[google.protobuf.Api.name]\" - \"https://[service.name]/\" will be accepted. For example, if no audiences are in the setting, LibraryService API will accept JWTs with the following audiences: - https://library-example.googleapis.com/google.example.library.v1.LibraryService - https://library-example.googleapis.com/ Example: audiences: bookstore_android.apps.googleusercontent.com, bookstore_web.apps.googleusercontent.com", "type": "string" } }, "description": "Configuration for an authentication provider, including support for [JSON Web Token (JWT)](https://tools.ietf.org/html/draft-ietf-oauth-json-web-token-32).", "type": "object", "id": "AuthProvider" }, "Endpoint": { "type": "object", "properties": { "target": { "type": "string", "description": "The specification of an Internet routable address of API frontend that will handle requests to this [API Endpoint](https://cloud.google.com/apis/design/glossary). It should be either a valid IPv4 address or a fully-qualified domain name. For example, \"8.8.8.8\" or \"myservice.appspot.com\"." }, "name": { "type": "string", "description": "The canonical name of this endpoint." }, "allowCors": { "type": "boolean", "description": "Allowing [CORS](https://en.wikipedia.org/wiki/Cross-origin_resource_sharing), aka cross-domain traffic, would allow the backends served from this endpoint to receive and respond to HTTP OPTIONS requests. The response will be used by the browser to determine whether the subsequent cross-origin request is allowed to proceed." } }, "description": "`Endpoint` describes a network address of a service that serves a set of APIs. It is commonly known as a service endpoint. A service may expose any number of service endpoints, and all service endpoints share the same service definition, such as quota limits and monitoring metrics. Example: type: google.api.Service name: library-example.googleapis.com endpoints: # Declares network address `https://library-example.googleapis.com` # for service `library-example.googleapis.com`. The `https` scheme # is implicit for all service endpoints. Other schemes may be # supported in the future. - name: library-example.googleapis.com allow_cors: false - name: content-staging-library-example.googleapis.com # Allows HTTP OPTIONS calls to be passed to the API frontend, for it # to decide whether the subsequent cross-origin request is allowed # to proceed. allow_cors: true", "id": "Endpoint" }, "Api": { "properties": { "sourceContext": { "$ref": "SourceContext", "description": "Source context for the protocol buffer service represented by this message." }, "options": { "description": "Any metadata attached to the interface.", "type": "array", "items": { "$ref": "Option" } }, "syntax": { "description": "The source syntax of the service.", "enum": [ "SYNTAX_PROTO2", "SYNTAX_PROTO3" ], "enumDescriptions": [ "Syntax `proto2`.", "Syntax `proto3`." ], "type": "string" }, "methods": { "items": { "$ref": "Method" }, "description": "The methods of this interface, in unspecified order.", "type": "array" }, "name": { "type": "string", "description": "The fully qualified name of this interface, including package name followed by the interface's simple name." }, "mixins": { "items": { "$ref": "Mixin" }, "type": "array", "description": "Included interfaces. See Mixin." }, "version": { "type": "string", "description": "A version string for this interface. If specified, must have the form `major-version.minor-version`, as in `1.10`. If the minor version is omitted, it defaults to zero. If the entire version field is empty, the major version is derived from the package name, as outlined below. If the field is not empty, the version in the package name will be verified to be consistent with what is provided here. The versioning schema uses [semantic versioning](http://semver.org) where the major version number indicates a breaking change and the minor version an additive, non-breaking change. Both version numbers are signals to users what to expect from different versions, and should be carefully chosen based on the product plan. The major version is also reflected in the package name of the interface, which must end in `v`, as in `google.feature.v1`. For major versions 0 and 1, the suffix can be omitted. Zero major versions must only be used for experimental, non-GA interfaces. " } }, "id": "Api", "type": "object", "description": "Api is a light-weight descriptor for an API Interface. Interfaces are also described as \"protocol buffer services\" in some contexts, such as by the \"service\" keyword in a .proto file, but they are different from API Services, which represent a concrete implementation of an interface as opposed to simply a description of methods and bindings. They are also sometimes simply referred to as \"APIs\" in other contexts, such as the name of this message itself. See https://cloud.google.com/apis/design/glossary for detailed terminology." }, "LabelDescriptor": { "description": "A description of a label.", "properties": { "description": { "description": "A human-readable description for the label.", "type": "string" }, "key": { "description": "The label key.", "type": "string" }, "valueType": { "enum": [ "STRING", "BOOL", "INT64" ], "description": "The type of data that can be assigned to the label.", "enumDescriptions": [ "A variable-length string. This is the default.", "Boolean; true or false.", "A 64-bit signed integer." ], "type": "string" } }, "type": "object", "id": "LabelDescriptor" }, "ConsumerProject": { "type": "object", "properties": { "projectNum": { "description": "Required. Project number of the consumer that is launching the service instance. It can own the network that is peered with Google or, be a service project in an XPN where the host project has the network.", "type": "string", "format": "int64" } }, "description": "Represents a consumer project.", "id": "ConsumerProject" }, "MonitoredResourceDescriptor": { "type": "object", "id": "MonitoredResourceDescriptor", "description": "An object that describes the schema of a MonitoredResource object using a type name and a set of labels. For example, the monitored resource descriptor for Google Compute Engine VM instances has a type of `\"gce_instance\"` and specifies the use of the labels `\"instance_id\"` and `\"zone\"` to identify particular VM instances. Different APIs can support different monitored resource types. APIs generally provide a `list` method that returns the monitored resource descriptors used by the API. ", "properties": { "type": { "type": "string", "description": "Required. The monitored resource type. For example, the type `\"cloudsql_database\"` represents databases in Google Cloud SQL. For a list of types, see [Monitoring resource types](https://cloud.google.com/monitoring/api/resources) and [Logging resource types](https://cloud.google.com/logging/docs/api/v2/resource-list)." }, "launchStage": { "enumDescriptions": [ "Do not use this default value.", "The feature is not yet implemented. Users can not use it.", "Prelaunch features are hidden from users and are only visible internally.", "Early Access features are limited to a closed group of testers. To use these features, you must sign up in advance and sign a Trusted Tester agreement (which includes confidentiality provisions). These features may be unstable, changed in backward-incompatible ways, and are not guaranteed to be released.", "Alpha is a limited availability test for releases before they are cleared for widespread use. By Alpha, all significant design issues are resolved and we are in the process of verifying functionality. Alpha customers need to apply for access, agree to applicable terms, and have their projects allowlisted. Alpha releases don't have to be feature complete, no SLAs are provided, and there are no technical support obligations, but they will be far enough along that customers can actually use them in test environments or for limited-use tests -- just like they would in normal production cases.", "Beta is the point at which we are ready to open a release for any customer to use. There are no SLA or technical support obligations in a Beta release. Products will be complete from a feature perspective, but may have some open outstanding issues. Beta releases are suitable for limited production use cases.", "GA features are open to all developers and are considered stable and fully qualified for production use.", "Deprecated features are scheduled to be shut down and removed. For more information, see the \"Deprecation Policy\" section of our [Terms of Service](https://cloud.google.com/terms/) and the [Google Cloud Platform Subject to the Deprecation Policy](https://cloud.google.com/terms/deprecation) documentation." ], "enum": [ "LAUNCH_STAGE_UNSPECIFIED", "UNIMPLEMENTED", "PRELAUNCH", "EARLY_ACCESS", "ALPHA", "BETA", "GA", "DEPRECATED" ], "type": "string", "description": "Optional. The launch stage of the monitored resource definition." }, "name": { "type": "string", "description": "Optional. The resource name of the monitored resource descriptor: `\"projects/{project_id}/monitoredResourceDescriptors/{type}\"` where {type} is the value of the `type` field in this object and {project_id} is a project ID that provides API-specific context for accessing the type. APIs that do not use project information can use the resource name format `\"monitoredResourceDescriptors/{type}\"`." }, "displayName": { "type": "string", "description": "Optional. A concise name for the monitored resource type that might be displayed in user interfaces. It should be a Title Cased Noun Phrase, without any article or other determiners. For example, `\"Google Cloud SQL Database\"`." }, "labels": { "type": "array", "items": { "$ref": "LabelDescriptor" }, "description": "Required. A set of labels used to describe instances of this monitored resource type. For example, an individual Google Cloud SQL database is identified by values for the labels `\"database_id\"` and `\"zone\"`." }, "description": { "description": "Optional. A detailed description of the monitored resource type that might be used in documentation.", "type": "string" } } }, "Operation": { "id": "Operation", "description": "This resource represents a long-running operation that is the result of a network API call.", "type": "object", "properties": { "error": { "description": "The error result of the operation in case of failure or cancellation.", "$ref": "Status" }, "metadata": { "type": "object", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "description": "Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any." }, "done": { "description": "If the value is `false`, it means the operation is still in progress. If `true`, the operation is completed, and either `error` or `response` is available.", "type": "boolean" }, "name": { "description": "The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the `name` should be a resource name ending with `operations/{unique_id}`.", "type": "string" }, "response": { "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "description": "The normal response of the operation in case of success. If the original method returns no data on success, such as `Delete`, the response is `google.protobuf.Empty`. If the original method is standard `Get`/`Create`/`Update`, the response should be the resource. For other methods, the response should have the type `XxxResponse`, where `Xxx` is the original method name. For example, if the original method name is `TakeSnapshot()`, the inferred response type is `TakeSnapshotResponse`.", "type": "object" } } }, "Control": { "id": "Control", "description": "Selects and configures the service controller used by the service. The service controller handles two things: - **What is allowed:** for each API request, Chemist checks the project status, activation status, abuse status, billing status, service status, location restrictions, VPC Service Controls, SuperQuota, and other policies. - **What has happened:** for each API response, Chemist reports the telemetry data to analytics, auditing, billing, eventing, logging, monitoring, sawmill, and tracing. Chemist also accepts telemetry data not associated with API traffic, such as billing metrics. Example: control: environment: servicecontrol.googleapis.com", "type": "object", "properties": { "environment": { "description": "The service controller environment to use. If empty, no control plane feature (like quota and billing) will be enabled. The recommended value for most services is servicecontrol.googleapis.com", "type": "string" } } }, "Range": { "description": "Represents a found unused range.", "type": "object", "properties": { "network": { "type": "string", "description": "In the Shared VPC host project, the VPC network that's peered with the consumer network. For example: `projects/1234321/global/networks/host-network`" }, "ipCidrRange": { "description": "CIDR range in \"10.x.x.x/y\" format that is within the allocated ranges and currently unused.", "type": "string" } }, "id": "Range" }, "Quota": { "type": "object", "properties": { "limits": { "items": { "$ref": "QuotaLimit" }, "description": "List of `QuotaLimit` definitions for the service.", "type": "array" }, "metricRules": { "type": "array", "description": "List of `MetricRule` definitions, each one mapping a selected method to one or more metrics.", "items": { "$ref": "MetricRule" } } }, "description": "Quota configuration helps to achieve fairness and budgeting in service usage. The metric based quota configuration works this way: - The service configuration defines a set of metrics. - For API calls, the quota.metric_rules maps methods to metrics with corresponding costs. - The quota.limits defines limits on the metrics, which will be used for quota checks at runtime. An example quota configuration in yaml format: quota: limits: - name: apiWriteQpsPerProject metric: library.googleapis.com/write_calls unit: \"1/min/{project}\" # rate limit for consumer projects values: STANDARD: 10000 # The metric rules bind all methods to the read_calls metric, # except for the UpdateBook and DeleteBook methods. These two methods # are mapped to the write_calls metric, with the UpdateBook method # consuming at twice rate as the DeleteBook method. metric_rules: - selector: \"*\" metric_costs: library.googleapis.com/read_calls: 1 - selector: google.example.library.v1.LibraryService.UpdateBook metric_costs: library.googleapis.com/write_calls: 2 - selector: google.example.library.v1.LibraryService.DeleteBook metric_costs: library.googleapis.com/write_calls: 1 Corresponding Metric definition: metrics: - name: library.googleapis.com/read_calls display_name: Read requests metric_kind: DELTA value_type: INT64 - name: library.googleapis.com/write_calls display_name: Write requests metric_kind: DELTA value_type: INT64 ", "id": "Quota" }, "Enum": { "properties": { "syntax": { "type": "string", "description": "The source syntax.", "enum": [ "SYNTAX_PROTO2", "SYNTAX_PROTO3" ], "enumDescriptions": [ "Syntax `proto2`.", "Syntax `proto3`." ] }, "name": { "description": "Enum type name.", "type": "string" }, "options": { "type": "array", "items": { "$ref": "Option" }, "description": "Protocol buffer options." }, "enumvalue": { "description": "Enum value definitions.", "type": "array", "items": { "$ref": "EnumValue" } }, "sourceContext": { "description": "The source context.", "$ref": "SourceContext" } }, "description": "Enum type definition.", "id": "Enum", "type": "object" }, "PartialDeleteConnectionMetadata": { "properties": {}, "type": "object", "description": "Metadata provided through GetOperation request for the LRO generated by Partial Delete Connection API", "id": "PartialDeleteConnectionMetadata" }, "SecondaryIpRange": { "id": "SecondaryIpRange", "type": "object", "properties": { "ipCidrRange": { "description": "Secondary IP CIDR range in `x.x.x.x/y` format.", "type": "string" }, "rangeName": { "type": "string", "description": "Name of the secondary IP range." } } }, "Service": { "type": "object", "description": "`Service` is the root object of Google API service configuration (service config). It describes the basic information about a logical service, such as the service name and the user-facing title, and delegates other aspects to sub-sections. Each sub-section is either a proto message or a repeated proto message that configures a specific aspect, such as auth. For more information, see each proto message definition. Example: type: google.api.Service name: calendar.googleapis.com title: Google Calendar API apis: - name: google.calendar.v3.Calendar visibility: rules: - selector: \"google.calendar.v3.*\" restriction: PREVIEW backend: rules: - selector: \"google.calendar.v3.*\" address: calendar.example.com authentication: providers: - id: google_calendar_auth jwks_uri: https://www.googleapis.com/oauth2/v1/certs issuer: https://securetoken.google.com rules: - selector: \"*\" requirements: provider_id: google_calendar_auth", "id": "Service", "properties": { "endpoints": { "type": "array", "description": "Configuration for network endpoints. If this is empty, then an endpoint with the same name as the service is automatically generated to service all defined APIs.", "items": { "$ref": "Endpoint" } }, "monitoring": { "$ref": "Monitoring", "description": "Monitoring configuration." }, "configVersion": { "description": "Obsolete. Do not use. This field has no semantic meaning. The service config compiler always sets this field to `3`.", "format": "uint32", "type": "integer" }, "backend": { "description": "API backend configuration.", "$ref": "Backend" }, "types": { "type": "array", "description": "A list of all proto message types included in this API service. Types referenced directly or indirectly by the `apis` are automatically included. Messages which are not referenced but shall be included, such as types used by the `google.protobuf.Any` type, should be listed here by name by the configuration author. Example: types: - name: google.protobuf.Int32", "items": { "$ref": "Type" } }, "authentication": { "description": "Auth configuration.", "$ref": "Authentication" }, "name": { "description": "The service name, which is a DNS-like logical identifier for the service, such as `calendar.googleapis.com`. The service name typically goes through DNS verification to make sure the owner of the service also owns the DNS name.", "type": "string" }, "metrics": { "items": { "$ref": "MetricDescriptor" }, "description": "Defines the metrics used by this service.", "type": "array" }, "documentation": { "description": "Additional API documentation.", "$ref": "Documentation" }, "logs": { "items": { "$ref": "LogDescriptor" }, "description": "Defines the logs used by this service.", "type": "array" }, "usage": { "description": "Configuration controlling usage of this service.", "$ref": "Usage" }, "quota": { "description": "Quota configuration.", "$ref": "Quota" }, "title": { "description": "The product title for this service, it is the name displayed in Google Cloud Console.", "type": "string" }, "systemParameters": { "description": "System parameter configuration.", "$ref": "SystemParameters" }, "context": { "$ref": "Context", "description": "Context configuration." }, "enums": { "description": "A list of all enum types included in this API service. Enums referenced directly or indirectly by the `apis` are automatically included. Enums which are not referenced but shall be included should be listed here by name by the configuration author. Example: enums: - name: google.someapi.v1.SomeEnum", "items": { "$ref": "Enum" }, "type": "array" }, "customError": { "description": "Custom error configuration.", "$ref": "CustomError" }, "billing": { "description": "Billing configuration.", "$ref": "Billing" }, "systemTypes": { "type": "array", "description": "A list of all proto message types included in this API service. It serves similar purpose as [google.api.Service.types], except that these types are not needed by user-defined APIs. Therefore, they will not show up in the generated discovery doc. This field should only be used to define system APIs in ESF.", "items": { "$ref": "Type" } }, "logging": { "description": "Logging configuration.", "$ref": "Logging" }, "http": { "$ref": "Http", "description": "HTTP configuration." }, "monitoredResources": { "description": "Defines the monitored resources used by this service. This is required by the Service.monitoring and Service.logging configurations.", "type": "array", "items": { "$ref": "MonitoredResourceDescriptor" } }, "apis": { "description": "A list of API interfaces exported by this service. Only the `name` field of the google.protobuf.Api needs to be provided by the configuration author, as the remaining fields will be derived from the IDL during the normalization process. It is an error to specify an API interface here which cannot be resolved against the associated IDL files.", "items": { "$ref": "Api" }, "type": "array" }, "sourceInfo": { "$ref": "SourceInfo", "description": "Output only. The source information for this configuration if available." }, "id": { "type": "string", "description": "A unique ID for a specific instance of this message, typically assigned by the client for tracking purpose. Must be no longer than 63 characters and only lower case letters, digits, '.', '_' and '-' are allowed. If empty, the server may choose to generate one instead." }, "producerProjectId": { "type": "string", "description": "The Google project that owns this service." }, "control": { "description": "Configuration for the service control plane.", "$ref": "Control" } } }, "UpdateDnsRecordSetRequest": { "type": "object", "description": "Request to update a record set from a private managed DNS zone in the shared producer host project. The name, type, ttl, and data values of the existing record set must all exactly match an existing record set in the specified zone.", "properties": { "zone": { "type": "string", "description": "Required. The name of the private DNS zone in the shared producer host project from which the record set will be removed." }, "consumerNetwork": { "description": "Required. The network that the consumer is using to connect with services. Must be in the form of projects/{project}/global/networks/{network} {project} is the project number, as in '12345' {network} is the network name.", "type": "string" }, "existingDnsRecordSet": { "description": "Required. The existing DNS record set to update.", "$ref": "DnsRecordSet" }, "newDnsRecordSet": { "description": "Required. The new values that the DNS record set should be updated to hold.", "$ref": "DnsRecordSet" } }, "id": "UpdateDnsRecordSetRequest" }, "GoogleCloudServicenetworkingV1ConsumerConfigReservedRange": { "type": "object", "description": "Allocated IP address ranges for this private service access connection.", "id": "GoogleCloudServicenetworkingV1ConsumerConfigReservedRange", "properties": { "address": { "description": "The starting address of the reserved range. The address must be a valid IPv4 address in the x.x.x.x format. This value combined with the IP prefix length is the CIDR range for the reserved range.", "type": "string" }, "name": { "type": "string", "description": "The name of the reserved range." }, "ipPrefixLength": { "type": "integer", "description": "The prefix length of the reserved range.", "format": "int32" } } }, "GoogleCloudServicenetworkingV1betaConnection": { "id": "GoogleCloudServicenetworkingV1betaConnection", "type": "object", "description": "Represents a private connection resource. A private connection is implemented as a VPC Network Peering connection between a service producer's VPC network and a service consumer's VPC network.", "properties": { "reservedPeeringRanges": { "type": "array", "items": { "type": "string" }, "description": "The name of one or more allocated IP address ranges for this service producer of type `PEERING`. Note that invoking this method with a different range when connection is already established will not modify already provisioned service producer subnetworks." }, "service": { "type": "string", "description": "Output only. The name of the peering service that's associated with this connection, in the following format: `services/{service name}`." }, "network": { "type": "string", "description": "The name of service consumer's VPC network that's connected with service producer network, in the following format: `projects/{project}/global/networks/{network}`. `{project}` is a project number, such as in `12345` that includes the VPC service consumer's VPC network. `{network}` is the name of the service consumer's VPC network." }, "peering": { "type": "string", "description": "Output only. The name of the VPC Network Peering connection that was created by the service producer." } } }, "RemoveDnsZoneResponse": { "properties": {}, "type": "object", "description": "Blank message response type for RemoveDnsZone API", "id": "RemoveDnsZoneResponse" }, "LoggingDestination": { "properties": { "monitoredResource": { "description": "The monitored resource type. The type must be defined in the Service.monitored_resources section.", "type": "string" }, "logs": { "description": "Names of the logs to be sent to this destination. Each name must be defined in the Service.logs section. If the log name is not a domain scoped name, it will be automatically prefixed with the service name followed by \"/\".", "type": "array", "items": { "type": "string" } } }, "type": "object", "description": "Configuration of a specific logging destination (the producer project or the consumer project).", "id": "LoggingDestination" }, "ConsumerConfig": { "properties": { "consumerImportSubnetRoutesWithPublicIp": { "type": "boolean", "description": "Import subnet routes with public ip flag value for peering from consumer to producer." }, "consumerExportSubnetRoutesWithPublicIp": { "type": "boolean", "description": "Export subnet routes with public ip flag value for peering from consumer to producer." }, "producerNetwork": { "readOnly": true, "description": "Output only. The VPC host network that is used to host managed service instances. In the format, projects/{project}/global/networks/{network} where {project} is the project number e.g. '12345' and {network} is the network name.", "type": "string" }, "producerExportCustomRoutes": { "description": "Export custom routes flag value for peering from producer to consumer.", "type": "boolean" }, "producerImportCustomRoutes": { "description": "Import custom routes flag value for peering from producer to consumer.", "type": "boolean" }, "producerImportSubnetRoutesWithPublicIp": { "type": "boolean", "description": "Import subnet routes with public ip flag value for peering from producer to consumer." }, "usedIpRanges": { "readOnly": true, "items": { "type": "string" }, "type": "array", "description": "Output only. The IP ranges already in use by consumer or producer" }, "vpcScReferenceArchitectureEnabled": { "readOnly": true, "description": "Output only. Indicates whether the VPC Service Controls reference architecture is configured for the producer VPC host network.", "type": "boolean" }, "cloudsqlConfigs": { "type": "array", "items": { "$ref": "CloudSQLConfig" }, "description": "Represents one or multiple Cloud SQL configurations." }, "producerExportSubnetRoutesWithPublicIp": { "type": "boolean", "description": "Export subnet routes with public ip flag value for peering from producer to consumer." }, "consumerExportCustomRoutes": { "description": "Export custom routes flag value for peering from consumer to producer.", "type": "boolean" }, "reservedRanges": { "description": "Output only. The reserved ranges associated with this private service access connection.", "type": "array", "items": { "$ref": "GoogleCloudServicenetworkingV1ConsumerConfigReservedRange" }, "readOnly": true }, "consumerImportCustomRoutes": { "type": "boolean", "description": "Import custom routes flag value for peering from consumer to producer." } }, "type": "object", "description": "Configuration information for a private service access connection.", "id": "ConsumerConfig" }, "Documentation": { "description": "`Documentation` provides the information for describing a service. Example: documentation: summary: \u003e The Google Calendar API gives access to most calendar features. pages: - name: Overview content: (== include google/foo/overview.md ==) - name: Tutorial content: (== include google/foo/tutorial.md ==) subpages; - name: Java content: (== include google/foo/tutorial_java.md ==) rules: - selector: google.calendar.Calendar.Get description: \u003e ... - selector: google.calendar.Calendar.Put description: \u003e ... Documentation is provided in markdown syntax. In addition to standard markdown features, definition lists, tables and fenced code blocks are supported. Section headers can be provided and are interpreted relative to the section nesting of the context where a documentation fragment is embedded. Documentation from the IDL is merged with documentation defined via the config at normalization time, where documentation provided by config rules overrides IDL provided. A number of constructs specific to the API platform are supported in documentation text. In order to reference a proto element, the following notation can be used: [fully.qualified.proto.name][] To override the display text used for the link, this can be used: [display text][fully.qualified.proto.name] Text can be excluded from doc using the following notation: (-- internal comment --) A few directives are available in documentation. Note that directives must appear on a single line to be properly identified. The `include` directive includes a markdown file from an external source: (== include path/to/file ==) The `resource_for` directive marks a message to be the resource of a collection in REST view. If it is not specified, tools attempt to infer the resource from the operations in a collection: (== resource_for v1.shelves.books ==) The directive `suppress_warning` does not directly affect documentation and is documented together with service config validation.", "id": "Documentation", "properties": { "summary": { "description": "A short description of what the service does. The summary must be plain text. It becomes the overview of the service displayed in Google Cloud Console. NOTE: This field is equivalent to the standard field `description`.", "type": "string" }, "serviceRootUrl": { "type": "string", "description": "Specifies the service root url if the default one (the service name from the yaml file) is not suitable. This can be seen in any fully specified service urls as well as sections that show a base that other urls are relative to." }, "overview": { "type": "string", "description": "Declares a single overview page. For example: documentation: summary: ... overview: (== include overview.md ==) This is a shortcut for the following declaration (using pages style): documentation: summary: ... pages: - name: Overview content: (== include overview.md ==) Note: you cannot specify both `overview` field and `pages` field." }, "documentationRootUrl": { "description": "The URL to the root of documentation.", "type": "string" }, "pages": { "items": { "$ref": "Page" }, "description": "The top level pages for the documentation set.", "type": "array" }, "rules": { "description": "A list of documentation rules that apply to individual API elements. **NOTE:** All service configuration rules follow \"last one wins\" order.", "items": { "$ref": "DocumentationRule" }, "type": "array" } }, "type": "object" }, "MetricDescriptorMetadata": { "type": "object", "properties": { "ingestDelay": { "description": "The delay of data points caused by ingestion. Data points older than this age are guaranteed to be ingested and available to be read, excluding data loss due to errors.", "type": "string", "format": "google-duration" }, "launchStage": { "enumDescriptions": [ "Do not use this default value.", "The feature is not yet implemented. Users can not use it.", "Prelaunch features are hidden from users and are only visible internally.", "Early Access features are limited to a closed group of testers. To use these features, you must sign up in advance and sign a Trusted Tester agreement (which includes confidentiality provisions). These features may be unstable, changed in backward-incompatible ways, and are not guaranteed to be released.", "Alpha is a limited availability test for releases before they are cleared for widespread use. By Alpha, all significant design issues are resolved and we are in the process of verifying functionality. Alpha customers need to apply for access, agree to applicable terms, and have their projects allowlisted. Alpha releases don't have to be feature complete, no SLAs are provided, and there are no technical support obligations, but they will be far enough along that customers can actually use them in test environments or for limited-use tests -- just like they would in normal production cases.", "Beta is the point at which we are ready to open a release for any customer to use. There are no SLA or technical support obligations in a Beta release. Products will be complete from a feature perspective, but may have some open outstanding issues. Beta releases are suitable for limited production use cases.", "GA features are open to all developers and are considered stable and fully qualified for production use.", "Deprecated features are scheduled to be shut down and removed. For more information, see the \"Deprecation Policy\" section of our [Terms of Service](https://cloud.google.com/terms/) and the [Google Cloud Platform Subject to the Deprecation Policy](https://cloud.google.com/terms/deprecation) documentation." ], "description": "Deprecated. Must use the MetricDescriptor.launch_stage instead.", "type": "string", "enum": [ "LAUNCH_STAGE_UNSPECIFIED", "UNIMPLEMENTED", "PRELAUNCH", "EARLY_ACCESS", "ALPHA", "BETA", "GA", "DEPRECATED" ] }, "samplePeriod": { "format": "google-duration", "type": "string", "description": "The sampling period of metric data points. For metrics which are written periodically, consecutive data points are stored at this time interval, excluding data loss due to errors. Metrics with a higher granularity have a smaller sampling period." } }, "id": "MetricDescriptorMetadata", "description": "Additional annotations that can be used to guide the usage of a metric." }, "Authentication": { "type": "object", "properties": { "rules": { "items": { "$ref": "AuthenticationRule" }, "description": "A list of authentication rules that apply to individual API methods. **NOTE:** All service configuration rules follow \"last one wins\" order.", "type": "array" }, "providers": { "type": "array", "description": "Defines a set of authentication providers that a service supports.", "items": { "$ref": "AuthProvider" } } }, "description": "`Authentication` defines the authentication configuration for API methods provided by an API service. Example: name: calendar.googleapis.com authentication: providers: - id: google_calendar_auth jwks_uri: https://www.googleapis.com/oauth2/v1/certs issuer: https://securetoken.google.com rules: - selector: \"*\" requirements: provider_id: google_calendar_auth - selector: google.calendar.Delegate oauth: canonical_scopes: https://www.googleapis.com/auth/calendar.read", "id": "Authentication" }, "AddDnsZoneRequest": { "description": "Request to add a private managed DNS zone in the shared producer host project and a matching DNS peering zone in the consumer project.", "id": "AddDnsZoneRequest", "properties": { "dnsSuffix": { "description": "Required. The DNS name suffix for the zones e.g. `example.com`.", "type": "string" }, "name": { "description": "Required. The name for both the private zone in the shared producer host project and the peering zone in the consumer project. Must be unique within both projects. The name must be 1-63 characters long, must begin with a letter, end with a letter or digit, and only contain lowercase letters, digits or dashes.", "type": "string" }, "consumerNetwork": { "description": "Required. The network that the consumer is using to connect with services. Must be in the form of projects/{project}/global/networks/{network} {project} is the project number, as in '12345' {network} is the network name.", "type": "string" } }, "type": "object" }, "RangeReservation": { "type": "object", "description": "Represents a range reservation.", "properties": { "ipPrefixLength": { "description": "Required. The size of the desired subnet. Use usual CIDR range notation. For example, '30' to find unused x.x.x.x/30 CIDR range. The goal is to determine if one of the allocated ranges has enough free space for a subnet of the requested size.", "type": "integer", "format": "int32" }, "secondaryRangeIpPrefixLengths": { "items": { "format": "int32", "type": "integer" }, "type": "array", "description": "Optional. The size of the desired secondary ranges for the subnet. Use usual CIDR range notation. For example, '30' to find unused x.x.x.x/30 CIDR range. The goal is to determine that the allocated ranges have enough free space for all the requested secondary ranges." }, "requestedRanges": { "items": { "type": "string" }, "type": "array", "description": "Optional. The name of one or more allocated IP address ranges associated with this private service access connection. If no range names are provided all ranges associated with this connection will be considered. If a CIDR range with the specified IP prefix length is not available within these ranges the validation fails." }, "subnetworkCandidates": { "type": "array", "description": "Optional. List of subnetwork candidates to validate. The required input fields are `name`, `network`, and `region`. Subnetworks from this list which exist will be returned in the response with the `ip_cidr_range`, `secondary_ip_cider_ranges`, and `outside_allocation` fields set.", "items": { "$ref": "Subnetwork" } } }, "id": "RangeReservation" }, "HttpRule": { "properties": { "patch": { "description": "Maps to HTTP PATCH. Used for updating a resource.", "type": "string" }, "delete": { "type": "string", "description": "Maps to HTTP DELETE. Used for deleting a resource." }, "post": { "type": "string", "description": "Maps to HTTP POST. Used for creating a resource or performing an action." }, "selector": { "type": "string", "description": "Selects a method to which this rule applies. Refer to selector for syntax details." }, "body": { "type": "string", "description": "The name of the request field whose value is mapped to the HTTP request body, or `*` for mapping all request fields not captured by the path pattern to the HTTP body, or omitted for not having any HTTP request body. NOTE: the referred field must be present at the top-level of the request message type." }, "get": { "type": "string", "description": "Maps to HTTP GET. Used for listing and getting information about resources." }, "put": { "description": "Maps to HTTP PUT. Used for replacing a resource.", "type": "string" }, "additionalBindings": { "description": "Additional HTTP bindings for the selector. Nested bindings must not contain an `additional_bindings` field themselves (that is, the nesting may only be one level deep).", "items": { "$ref": "HttpRule" }, "type": "array" }, "custom": { "$ref": "CustomHttpPattern", "description": "The custom pattern is used for specifying an HTTP method that is not included in the `pattern` field, such as HEAD, or \"*\" to leave the HTTP method unspecified for this rule. The wild-card rule is useful for services that provide content to Web (HTML) clients." }, "responseBody": { "type": "string", "description": "Optional. The name of the response field whose value is mapped to the HTTP response body. When omitted, the entire response message will be used as the HTTP response body. NOTE: The referred field must be present at the top-level of the response message type." } }, "type": "object", "description": "# gRPC Transcoding gRPC Transcoding is a feature for mapping between a gRPC method and one or more HTTP REST endpoints. It allows developers to build a single API service that supports both gRPC APIs and REST APIs. Many systems, including [Google APIs](https://github.com/googleapis/googleapis), [Cloud Endpoints](https://cloud.google.com/endpoints), [gRPC Gateway](https://github.com/grpc-ecosystem/grpc-gateway), and [Envoy](https://github.com/envoyproxy/envoy) proxy support this feature and use it for large scale production services. `HttpRule` defines the schema of the gRPC/REST mapping. The mapping specifies how different portions of the gRPC request message are mapped to the URL path, URL query parameters, and HTTP request body. It also controls how the gRPC response message is mapped to the HTTP response body. `HttpRule` is typically specified as an `google.api.http` annotation on the gRPC method. Each mapping specifies a URL path template and an HTTP method. The path template may refer to one or more fields in the gRPC request message, as long as each field is a non-repeated field with a primitive (non-message) type. The path template controls how fields of the request message are mapped to the URL path. Example: service Messaging { rpc GetMessage(GetMessageRequest) returns (Message) { option (google.api.http) = { get: \"/v1/{name=messages/*}\" }; } } message GetMessageRequest { string name = 1; // Mapped to URL path. } message Message { string text = 1; // The resource content. } This enables an HTTP REST to gRPC mapping as below: HTTP | gRPC -----|----- `GET /v1/messages/123456` | `GetMessage(name: \"messages/123456\")` Any fields in the request message which are not bound by the path template automatically become HTTP query parameters if there is no HTTP request body. For example: service Messaging { rpc GetMessage(GetMessageRequest) returns (Message) { option (google.api.http) = { get:\"/v1/messages/{message_id}\" }; } } message GetMessageRequest { message SubMessage { string subfield = 1; } string message_id = 1; // Mapped to URL path. int64 revision = 2; // Mapped to URL query parameter `revision`. SubMessage sub = 3; // Mapped to URL query parameter `sub.subfield`. } This enables a HTTP JSON to RPC mapping as below: HTTP | gRPC -----|----- `GET /v1/messages/123456?revision=2&sub.subfield=foo` | `GetMessage(message_id: \"123456\" revision: 2 sub: SubMessage(subfield: \"foo\"))` Note that fields which are mapped to URL query parameters must have a primitive type or a repeated primitive type or a non-repeated message type. In the case of a repeated type, the parameter can be repeated in the URL as `...?param=A&param=B`. In the case of a message type, each field of the message is mapped to a separate parameter, such as `...?foo.a=A&foo.b=B&foo.c=C`. For HTTP methods that allow a request body, the `body` field specifies the mapping. Consider a REST update method on the message resource collection: service Messaging { rpc UpdateMessage(UpdateMessageRequest) returns (Message) { option (google.api.http) = { patch: \"/v1/messages/{message_id}\" body: \"message\" }; } } message UpdateMessageRequest { string message_id = 1; // mapped to the URL Message message = 2; // mapped to the body } The following HTTP JSON to RPC mapping is enabled, where the representation of the JSON in the request body is determined by protos JSON encoding: HTTP | gRPC -----|----- `PATCH /v1/messages/123456 { \"text\": \"Hi!\" }` | `UpdateMessage(message_id: \"123456\" message { text: \"Hi!\" })` The special name `*` can be used in the body mapping to define that every field not bound by the path template should be mapped to the request body. This enables the following alternative definition of the update method: service Messaging { rpc UpdateMessage(Message) returns (Message) { option (google.api.http) = { patch: \"/v1/messages/{message_id}\" body: \"*\" }; } } message Message { string message_id = 1; string text = 2; } The following HTTP JSON to RPC mapping is enabled: HTTP | gRPC -----|----- `PATCH /v1/messages/123456 { \"text\": \"Hi!\" }` | `UpdateMessage(message_id: \"123456\" text: \"Hi!\")` Note that when using `*` in the body mapping, it is not possible to have HTTP parameters, as all fields not bound by the path end in the body. This makes this option more rarely used in practice when defining REST APIs. The common usage of `*` is in custom methods which don't use the URL at all for transferring data. It is possible to define multiple HTTP methods for one RPC by using the `additional_bindings` option. Example: service Messaging { rpc GetMessage(GetMessageRequest) returns (Message) { option (google.api.http) = { get: \"/v1/messages/{message_id}\" additional_bindings { get: \"/v1/users/{user_id}/messages/{message_id}\" } }; } } message GetMessageRequest { string message_id = 1; string user_id = 2; } This enables the following two alternative HTTP JSON to RPC mappings: HTTP | gRPC -----|----- `GET /v1/messages/123456` | `GetMessage(message_id: \"123456\")` `GET /v1/users/me/messages/123456` | `GetMessage(user_id: \"me\" message_id: \"123456\")` ## Rules for HTTP mapping 1. Leaf request fields (recursive expansion nested messages in the request message) are classified into three categories: - Fields referred by the path template. They are passed via the URL path. - Fields referred by the HttpRule.body. They are passed via the HTTP request body. - All other fields are passed via the URL query parameters, and the parameter name is the field path in the request message. A repeated field can be represented as multiple query parameters under the same name. 2. If HttpRule.body is \"*\", there is no URL query parameter, all fields are passed via URL path and HTTP request body. 3. If HttpRule.body is omitted, there is no HTTP request body, all fields are passed via URL path and URL query parameters. ### Path template syntax Template = \"/\" Segments [ Verb ] ; Segments = Segment { \"/\" Segment } ; Segment = \"*\" | \"**\" | LITERAL | Variable ; Variable = \"{\" FieldPath [ \"=\" Segments ] \"}\" ; FieldPath = IDENT { \".\" IDENT } ; Verb = \":\" LITERAL ; The syntax `*` matches a single URL path segment. The syntax `**` matches zero or more URL path segments, which must be the last part of the URL path except the `Verb`. The syntax `Variable` matches part of the URL path as specified by its template. A variable template must not contain other variables. If a variable matches a single path segment, its template may be omitted, e.g. `{var}` is equivalent to `{var=*}`. The syntax `LITERAL` matches literal text in the URL path. If the `LITERAL` contains any reserved character, such characters should be percent-encoded before the matching. If a variable contains exactly one path segment, such as `\"{var}\"` or `\"{var=*}\"`, when such a variable is expanded into a URL path on the client side, all characters except `[-_.~0-9a-zA-Z]` are percent-encoded. The server side does the reverse decoding. Such variables show up in the [Discovery Document](https://developers.google.com/discovery/v1/reference/apis) as `{var}`. If a variable contains multiple path segments, such as `\"{var=foo/*}\"` or `\"{var=**}\"`, when such a variable is expanded into a URL path on the client side, all characters except `[-_.~/0-9a-zA-Z]` are percent-encoded. The server side does the reverse decoding, except \"%2F\" and \"%2f\" are left unchanged. Such variables show up in the [Discovery Document](https://developers.google.com/discovery/v1/reference/apis) as `{+var}`. ## Using gRPC API Service Configuration gRPC API Service Configuration (service config) is a configuration language for configuring a gRPC service to become a user-facing product. The service config is simply the YAML representation of the `google.api.Service` proto message. As an alternative to annotating your proto file, you can configure gRPC transcoding in your service config YAML files. You do this by specifying a `HttpRule` that maps the gRPC method to a REST endpoint, achieving the same effect as the proto annotation. This can be particularly useful if you have a proto that is reused in multiple services. Note that any transcoding specified in the service config will override any matching transcoding configuration in the proto. Example: http: rules: # Selects a gRPC method and applies HttpRule to it. - selector: example.v1.Messaging.GetMessage get: /v1/messages/{message_id}/{sub.subfield} ## Special notes When gRPC Transcoding is used to map a gRPC to JSON REST endpoints, the proto to JSON conversion must follow the [proto3 specification](https://developers.google.com/protocol-buffers/docs/proto3#json). While the single segment variable follows the semantics of [RFC 6570](https://tools.ietf.org/html/rfc6570) Section 3.2.2 Simple String Expansion, the multi segment variable **does not** follow RFC 6570 Section 3.2.3 Reserved Expansion. The reason is that the Reserved Expansion does not expand special characters like `?` and `#`, which would lead to invalid URLs. As the result, gRPC Transcoding uses a custom encoding for multi segment variables. The path variables **must not** refer to any repeated or mapped field, because client libraries are not capable of handling such variable expansion. The path variables **must not** capture the leading \"/\" character. The reason is that the most common use case \"{var}\" does not capture the leading \"/\" character. For consistency, all path variables must share the same behavior. Repeated message fields must not be mapped to URL query parameters, because no client library can support such complicated mapping. If an API needs to use a JSON array for request or response body, it can map the request or response body to a repeated field. However, some gRPC Transcoding implementations may not support this feature.", "id": "HttpRule" }, "Connection": { "description": "Represents a private connection resource. A private connection is implemented as a VPC Network Peering connection between a service producer's VPC network and a service consumer's VPC network.", "id": "Connection", "type": "object", "properties": { "service": { "type": "string", "description": "Output only. The name of the peering service that's associated with this connection, in the following format: `services/{service name}`.", "readOnly": true }, "network": { "description": "The name of service consumer's VPC network that's connected with service producer network, in the following format: `projects/{project}/global/networks/{network}`. `{project}` is a project number, such as in `12345` that includes the VPC service consumer's VPC network. `{network}` is the name of the service consumer's VPC network.", "type": "string" }, "peering": { "type": "string", "description": "Output only. The name of the VPC Network Peering connection that was created by the service producer.", "readOnly": true }, "reservedPeeringRanges": { "type": "array", "description": "The name of one or more allocated IP address ranges for this service producer of type `PEERING`. Note that invoking CreateConnection method with a different range when connection is already established will not modify already provisioned service producer subnetworks. If CreateConnection method is invoked repeatedly to reconnect when peering connection had been disconnected on the consumer side, leaving this field empty will restore previously allocated IP ranges.", "items": { "type": "string" } } } }, "Mixin": { "properties": { "name": { "type": "string", "description": "The fully qualified name of the interface which is included." }, "root": { "description": "If non-empty specifies a path under which inherited HTTP paths are rooted.", "type": "string" } }, "id": "Mixin", "description": "Declares an API Interface to be included in this interface. The including interface must redeclare all the methods from the included interface, but documentation and options are inherited as follows: - If after comment and whitespace stripping, the documentation string of the redeclared method is empty, it will be inherited from the original method. - Each annotation belonging to the service config (http, visibility) which is not set in the redeclared method will be inherited. - If an http annotation is inherited, the path pattern will be modified as follows. Any version prefix will be replaced by the version of the including interface plus the root path if specified. Example of a simple mixin: package google.acl.v1; service AccessControl { // Get the underlying ACL object. rpc GetAcl(GetAclRequest) returns (Acl) { option (google.api.http).get = \"/v1/{resource=**}:getAcl\"; } } package google.storage.v2; service Storage { // rpc GetAcl(GetAclRequest) returns (Acl); // Get a data record. rpc GetData(GetDataRequest) returns (Data) { option (google.api.http).get = \"/v2/{resource=**}\"; } } Example of a mixin configuration: apis: - name: google.storage.v2.Storage mixins: - name: google.acl.v1.AccessControl The mixin construct implies that all methods in `AccessControl` are also declared with same name and request/response types in `Storage`. A documentation generator or annotation processor will see the effective `Storage.GetAcl` method after inheriting documentation and annotations as follows: service Storage { // Get the underlying ACL object. rpc GetAcl(GetAclRequest) returns (Acl) { option (google.api.http).get = \"/v2/{resource=**}:getAcl\"; } ... } Note how the version in the path pattern changed from `v1` to `v2`. If the `root` field in the mixin is specified, it should be a relative path under which inherited HTTP paths are placed. Example: apis: - name: google.storage.v2.Storage mixins: - name: google.acl.v1.AccessControl root: acls This implies the following inherited HTTP annotation: service Storage { // Get the underlying ACL object. rpc GetAcl(GetAclRequest) returns (Acl) { option (google.api.http).get = \"/v2/acls/{resource=**}:getAcl\"; } ... }", "type": "object" }, "UpdateDnsRecordSetMetadata": { "description": "Metadata provided through GetOperation request for the LRO generated by UpdateDnsRecordSet API", "type": "object", "id": "UpdateDnsRecordSetMetadata", "properties": {} }, "GoogleCloudServicenetworkingV1betaSubnetwork": { "description": "Represents a subnet that was created or discovered by a private access management service.", "id": "GoogleCloudServicenetworkingV1betaSubnetwork", "type": "object", "properties": { "outsideAllocation": { "type": "boolean", "description": "This is a discovered subnet that is not within the current consumer allocated ranges." }, "ipCidrRange": { "description": "Subnetwork CIDR range in `10.x.x.x/y` format.", "type": "string" }, "name": { "description": "Subnetwork name. See https://cloud.google.com/compute/docs/vpc/", "type": "string" }, "network": { "description": "In the Shared VPC host project, the VPC network that's peered with the consumer network. For example: `projects/1234321/global/networks/host-network`", "type": "string" } } }, "DisableVpcServiceControlsRequest": { "description": "Request to disable VPC service controls.", "properties": { "consumerNetwork": { "type": "string", "description": "Required. The network that the consumer is using to connect with services. Must be in the form of projects/{project}/global/networks/{network} {project} is a project number, as in '12345' {network} is network name." } }, "id": "DisableVpcServiceControlsRequest", "type": "object" }, "Option": { "description": "A protocol buffer option, which can be attached to a message, field, enumeration, etc.", "id": "Option", "properties": { "value": { "description": "The option's value packed in an Any message. If the value is a primitive, the corresponding wrapper type defined in google/protobuf/wrappers.proto should be used. If the value is an enum, it should be stored as an int32 value using the google.protobuf.Int32Value type.", "type": "object", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" } }, "name": { "description": "The option's name. For protobuf built-in options (options defined in descriptor.proto), this is the short name. For example, `\"map_entry\"`. For custom options, it should be the fully-qualified name. For example, `\"google.api.http\"`.", "type": "string" } }, "type": "object" }, "DeleteConnectionRequest": { "properties": { "consumerNetwork": { "description": "Required. The network that the consumer is using to connect with services. Must be in the form of projects/{project}/global/networks/{network} {project} is a project number, as in '12345' {network} is a network name.", "type": "string" } }, "type": "object", "id": "DeleteConnectionRequest", "description": "Request to delete a private service access connection. The call will fail if there are any managed service instances using this connection." }, "UpdateConsumerConfigRequest": { "description": "Request to update the configuration of a service networking connection including the import/export of custom routes and subnetwork routes with public IP.", "properties": { "consumerConfig": { "$ref": "ConsumerConfig", "description": "Required. The updated peering config." } }, "id": "UpdateConsumerConfigRequest", "type": "object" }, "ValidateConsumerConfigResponse": { "type": "object", "id": "ValidateConsumerConfigResponse", "properties": { "existingSubnetworkCandidates": { "description": "List of subnetwork candidates from the request which exist with the `ip_cidr_range`, `secondary_ip_cider_ranges`, and `outside_allocation` fields set.", "items": { "$ref": "Subnetwork" }, "type": "array" }, "validationError": { "type": "string", "enumDescriptions": [ "", "In case none of the validations are requested.", "", "The network provided by the consumer does not exist.", "The network has not been peered with the producer org.", "The peering was created and later deleted.", "The network is a regular VPC but the network is not in the consumer's project.", "The consumer project is a service project, and network is a shared VPC, but the network is not in the host project of this consumer project.", "The host project associated with the consumer project was not found.", "The consumer project is not a service project for the specified host project.", "The reserved IP ranges do not have enough space to create a subnet of desired size.", "The IP ranges were not reserved.", "The IP ranges were reserved but deleted later.", "The consumer project does not have the compute api enabled.", "The consumer project does not have the permission from the host project." ], "enum": [ "VALIDATION_ERROR_UNSPECIFIED", "VALIDATION_NOT_REQUESTED", "SERVICE_NETWORKING_NOT_ENABLED", "NETWORK_NOT_FOUND", "NETWORK_NOT_PEERED", "NETWORK_PEERING_DELETED", "NETWORK_NOT_IN_CONSUMERS_PROJECT", "NETWORK_NOT_IN_CONSUMERS_HOST_PROJECT", "HOST_PROJECT_NOT_FOUND", "CONSUMER_PROJECT_NOT_SERVICE_PROJECT", "RANGES_EXHAUSTED", "RANGES_NOT_RESERVED", "RANGES_DELETED_LATER", "COMPUTE_API_NOT_ENABLED", "USE_PERMISSION_NOT_FOUND" ], "description": "The first validation which failed." }, "isValid": { "description": "Indicates whether all the requested validations passed.", "type": "boolean" } } }, "MetricDescriptor": { "properties": { "metricKind": { "type": "string", "enum": [ "METRIC_KIND_UNSPECIFIED", "GAUGE", "DELTA", "CUMULATIVE" ], "description": "Whether the metric records instantaneous values, changes to a value, etc. Some combinations of `metric_kind` and `value_type` might not be supported.", "enumDescriptions": [ "Do not use this default value.", "An instantaneous measurement of a value.", "The change in a value during a time interval.", "A value accumulated over a time interval. Cumulative measurements in a time series should have the same start time and increasing end times, until an event resets the cumulative value to zero and sets a new start time for the following points." ] }, "description": { "description": "A detailed description of the metric, which can be used in documentation.", "type": "string" }, "displayName": { "description": "A concise name for the metric, which can be displayed in user interfaces. Use sentence case without an ending period, for example \"Request count\". This field is optional but it is recommended to be set for any metrics associated with user-visible concepts, such as Quota.", "type": "string" }, "unit": { "description": "The units in which the metric value is reported. It is only applicable if the `value_type` is `INT64`, `DOUBLE`, or `DISTRIBUTION`. The `unit` defines the representation of the stored metric values. Different systems might scale the values to be more easily displayed (so a value of `0.02kBy` _might_ be displayed as `20By`, and a value of `3523kBy` _might_ be displayed as `3.5MBy`). However, if the `unit` is `kBy`, then the value of the metric is always in thousands of bytes, no matter how it might be displayed. If you want a custom metric to record the exact number of CPU-seconds used by a job, you can create an `INT64 CUMULATIVE` metric whose `unit` is `s{CPU}` (or equivalently `1s{CPU}` or just `s`). If the job uses 12,005 CPU-seconds, then the value is written as `12005`. Alternatively, if you want a custom metric to record data in a more granular way, you can create a `DOUBLE CUMULATIVE` metric whose `unit` is `ks{CPU}`, and then write the value `12.005` (which is `12005/1000`), or use `Kis{CPU}` and write `11.723` (which is `12005/1024`). The supported units are a subset of [The Unified Code for Units of Measure](https://unitsofmeasure.org/ucum.html) standard: **Basic units (UNIT)** LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `bit` bit LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `By` byte LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `s` second LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `min` minute LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `h` hour LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `d` day LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `1` dimensionless **Prefixes (PREFIX)** LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `k` kilo (10^3) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `M` mega (10^6) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `G` giga (10^9) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `T` tera (10^12) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `P` peta (10^15) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `E` exa (10^18) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Z` zetta (10^21) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Y` yotta (10^24) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `m` milli (10^-3) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `u` micro (10^-6) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `n` nano (10^-9) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `p` pico (10^-12) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `f` femto (10^-15) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `a` atto (10^-18) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `z` zepto (10^-21) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `y` yocto (10^-24) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Ki` kibi (2^10) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Mi` mebi (2^20) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Gi` gibi (2^30) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Ti` tebi (2^40) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Pi` pebi (2^50) **Grammar** The grammar also includes these connectors: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `/` division or ratio (as an infix operator). For examples, `kBy/{email}` or `MiBy/10ms` (although you should almost never have `/s` in a metric `unit`; rates should always be computed at query time from the underlying cumulative or delta value). LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `.` multiplication or composition (as an infix operator). For examples, `GBy.d` or `k{watt}.h`. The grammar for a unit is as follows: Expression = Component { \".\" Component } { \"/\" Component } ; Component = ( [ PREFIX ] UNIT | \"%\" ) [ Annotation ] | Annotation | \"1\" ; Annotation = \"{\" NAME \"}\" ; Notes: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Annotation` is just a comment if it follows a `UNIT`. If the annotation is used alone, then the unit is equivalent to `1`. For examples, `{request}/s == 1/s`, `By{transmitted}/s == By/s`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `NAME` is a sequence of non-blank printable ASCII characters not containing `{` or `}`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `1` represents a unitary [dimensionless unit](https://en.wikipedia.org/wiki/Dimensionless_quantity) of 1, such as in `1/s`. It is typically used when none of the basic units are appropriate. For example, \"new users per day\" can be represented as `1/d` or `{new-users}/d` (and a metric value `5` would mean \"5 new users). Alternatively, \"thousands of page views per day\" would be represented as `1000/d` or `k1/d` or `k{page_views}/d` (and a metric value of `5.3` would mean \"5300 page views per day\"). LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `%` represents dimensionless value of 1/100, and annotates values giving a percentage (so the metric values are typically in the range of 0..100, and a metric value `3` means \"3 percent\"). LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `10^2.%` indicates a metric contains a ratio, typically in the range 0..1, that will be multiplied by 100 and displayed as a percentage (so a metric value `0.03` means \"3 percent\").", "type": "string" }, "valueType": { "description": "Whether the measurement is an integer, a floating-point number, etc. Some combinations of `metric_kind` and `value_type` might not be supported.", "enum": [ "VALUE_TYPE_UNSPECIFIED", "BOOL", "INT64", "DOUBLE", "STRING", "DISTRIBUTION", "MONEY" ], "enumDescriptions": [ "Do not use this default value.", "The value is a boolean. This value type can be used only if the metric kind is `GAUGE`.", "The value is a signed 64-bit integer.", "The value is a double precision floating point number.", "The value is a text string. This value type can be used only if the metric kind is `GAUGE`.", "The value is a `Distribution`.", "The value is money." ], "type": "string" }, "launchStage": { "description": "Optional. The launch stage of the metric definition.", "type": "string", "enum": [ "LAUNCH_STAGE_UNSPECIFIED", "UNIMPLEMENTED", "PRELAUNCH", "EARLY_ACCESS", "ALPHA", "BETA", "GA", "DEPRECATED" ], "enumDescriptions": [ "Do not use this default value.", "The feature is not yet implemented. Users can not use it.", "Prelaunch features are hidden from users and are only visible internally.", "Early Access features are limited to a closed group of testers. To use these features, you must sign up in advance and sign a Trusted Tester agreement (which includes confidentiality provisions). These features may be unstable, changed in backward-incompatible ways, and are not guaranteed to be released.", "Alpha is a limited availability test for releases before they are cleared for widespread use. By Alpha, all significant design issues are resolved and we are in the process of verifying functionality. Alpha customers need to apply for access, agree to applicable terms, and have their projects allowlisted. Alpha releases don't have to be feature complete, no SLAs are provided, and there are no technical support obligations, but they will be far enough along that customers can actually use them in test environments or for limited-use tests -- just like they would in normal production cases.", "Beta is the point at which we are ready to open a release for any customer to use. There are no SLA or technical support obligations in a Beta release. Products will be complete from a feature perspective, but may have some open outstanding issues. Beta releases are suitable for limited production use cases.", "GA features are open to all developers and are considered stable and fully qualified for production use.", "Deprecated features are scheduled to be shut down and removed. For more information, see the \"Deprecation Policy\" section of our [Terms of Service](https://cloud.google.com/terms/) and the [Google Cloud Platform Subject to the Deprecation Policy](https://cloud.google.com/terms/deprecation) documentation." ] }, "metadata": { "description": "Optional. Metadata which can be used to guide usage of the metric.", "$ref": "MetricDescriptorMetadata" }, "monitoredResourceTypes": { "description": "Read-only. If present, then a time series, which is identified partially by a metric type and a MonitoredResourceDescriptor, that is associated with this metric type can only be associated with one of the monitored resource types listed here.", "items": { "type": "string" }, "type": "array" }, "labels": { "type": "array", "items": { "$ref": "LabelDescriptor" }, "description": "The set of labels that can be used to describe a specific instance of this metric type. For example, the `appengine.googleapis.com/http/server/response_latencies` metric type has a label for the HTTP response code, `response_code`, so you can look at latencies for successful responses or just for responses that failed." }, "type": { "type": "string", "description": "The metric type, including its DNS name prefix. The type is not URL-encoded. All user-defined metric types have the DNS name `custom.googleapis.com` or `external.googleapis.com`. Metric types should use a natural hierarchical grouping. For example: \"custom.googleapis.com/invoice/paid/amount\" \"external.googleapis.com/prometheus/up\" \"appengine.googleapis.com/http/server/response_latencies\"" }, "name": { "type": "string", "description": "The resource name of the metric descriptor." } }, "type": "object", "id": "MetricDescriptor", "description": "Defines a metric type and its schema. Once a metric descriptor is created, deleting or altering it stops data collection and makes the metric type's existing data unusable. " }, "Billing": { "id": "Billing", "type": "object", "properties": { "consumerDestinations": { "description": "Billing configurations for sending metrics to the consumer project. There can be multiple consumer destinations per service, each one must have a different monitored resource type. A metric can be used in at most one consumer destination.", "items": { "$ref": "BillingDestination" }, "type": "array" } }, "description": "Billing related configuration of the service. The following example shows how to configure monitored resources and metrics for billing, `consumer_destinations` is the only supported destination and the monitored resources need at least one label key `cloud.googleapis.com/location` to indicate the location of the billing usage, using different monitored resources between monitoring and billing is recommended so they can be evolved independently: monitored_resources: - type: library.googleapis.com/billing_branch labels: - key: cloud.googleapis.com/location description: | Predefined label to support billing location restriction. - key: city description: | Custom label to define the city where the library branch is located in. - key: name description: Custom label to define the name of the library branch. metrics: - name: library.googleapis.com/book/borrowed_count metric_kind: DELTA value_type: INT64 unit: \"1\" billing: consumer_destinations: - monitored_resource: library.googleapis.com/billing_branch metrics: - library.googleapis.com/book/borrowed_count" }, "MonitoringDestination": { "id": "MonitoringDestination", "properties": { "monitoredResource": { "description": "The monitored resource type. The type must be defined in Service.monitored_resources section.", "type": "string" }, "metrics": { "type": "array", "items": { "type": "string" }, "description": "Types of the metrics to report to this monitoring destination. Each type must be defined in Service.metrics section." } }, "type": "object", "description": "Configuration of a specific monitoring destination (the producer project or the consumer project)." }, "BackendRule": { "description": "A backend rule provides configuration for an individual API element.", "type": "object", "id": "BackendRule", "properties": { "jwtAudience": { "type": "string", "description": "The JWT audience is used when generating a JWT ID token for the backend. This ID token will be added in the HTTP \"authorization\" header, and sent to the backend." }, "deadline": { "type": "number", "description": "The number of seconds to wait for a response from a request. The default varies based on the request protocol and deployment environment.", "format": "double" }, "address": { "description": "The address of the API backend. The scheme is used to determine the backend protocol and security. The following schemes are accepted: SCHEME PROTOCOL SECURITY http:// HTTP None https:// HTTP TLS grpc:// gRPC None grpcs:// gRPC TLS It is recommended to explicitly include a scheme. Leaving out the scheme may cause constrasting behaviors across platforms. If the port is unspecified, the default is: - 80 for schemes without TLS - 443 for schemes with TLS For HTTP backends, use protocol to specify the protocol version.", "type": "string" }, "selector": { "type": "string", "description": "Selects the methods to which this rule applies. Refer to selector for syntax details." }, "pathTranslation": { "enumDescriptions": [ "", "Use the backend address as-is, with no modification to the path. If the URL pattern contains variables, the variable names and values will be appended to the query string. If a query string parameter and a URL pattern variable have the same name, this may result in duplicate keys in the query string. # Examples Given the following operation config: Method path: /api/company/{cid}/user/{uid} Backend address: https://example.cloudfunctions.net/getUser Requests to the following request paths will call the backend at the translated path: Request path: /api/company/widgetworks/user/johndoe Translated: https://example.cloudfunctions.net/getUser?cid=widgetworks&uid=johndoe Request path: /api/company/widgetworks/user/johndoe?timezone=EST Translated: https://example.cloudfunctions.net/getUser?timezone=EST&cid=widgetworks&uid=johndoe", "The request path will be appended to the backend address. # Examples Given the following operation config: Method path: /api/company/{cid}/user/{uid} Backend address: https://example.appspot.com Requests to the following request paths will call the backend at the translated path: Request path: /api/company/widgetworks/user/johndoe Translated: https://example.appspot.com/api/company/widgetworks/user/johndoe Request path: /api/company/widgetworks/user/johndoe?timezone=EST Translated: https://example.appspot.com/api/company/widgetworks/user/johndoe?timezone=EST" ], "type": "string", "enum": [ "PATH_TRANSLATION_UNSPECIFIED", "CONSTANT_ADDRESS", "APPEND_PATH_TO_ADDRESS" ] }, "protocol": { "description": "The protocol used for sending a request to the backend. The supported values are \"http/1.1\" and \"h2\". The default value is inferred from the scheme in the address field: SCHEME PROTOCOL http:// http/1.1 https:// http/1.1 grpc:// h2 grpcs:// h2 For secure HTTP backends (https://) that support HTTP/2, set this field to \"h2\" for improved performance. Configuring this field to non-default values is only supported for secure HTTP backends. This field will be ignored for all other backends. See https://www.iana.org/assignments/tls-extensiontype-values/tls-extensiontype-values.xhtml#alpn-protocol-ids for more details on the supported values.", "type": "string" }, "disableAuth": { "description": "When disable_auth is true, a JWT ID token won't be generated and the original \"Authorization\" HTTP header will be preserved. If the header is used to carry the original token and is expected by the backend, this field must be set to true to preserve the header.", "type": "boolean" }, "operationDeadline": { "description": "The number of seconds to wait for the completion of a long running operation. The default is no deadline.", "format": "double", "type": "number" } } }, "RemoveDnsRecordSetMetadata": { "description": "Metadata provided through GetOperation request for the LRO generated by RemoveDnsRecordSet API", "id": "RemoveDnsRecordSetMetadata", "properties": {}, "type": "object" }, "AddRolesMetadata": { "properties": {}, "type": "object", "description": "Metadata provided through GetOperation request for the LRO generated by AddRoles API", "id": "AddRolesMetadata" }, "SystemParameterRule": { "type": "object", "id": "SystemParameterRule", "description": "Define a system parameter rule mapping system parameter definitions to methods.", "properties": { "parameters": { "description": "Define parameters. Multiple names may be defined for a parameter. For a given method call, only one of them should be used. If multiple names are used the behavior is implementation-dependent. If none of the specified names are present the behavior is parameter-dependent.", "type": "array", "items": { "$ref": "SystemParameter" } }, "selector": { "description": "Selects the methods to which this rule applies. Use '*' to indicate all methods in all APIs. Refer to selector for syntax details.", "type": "string" } } }, "SystemParameter": { "type": "object", "description": "Define a parameter's name and location. The parameter may be passed as either an HTTP header or a URL query parameter, and if both are passed the behavior is implementation-dependent.", "properties": { "httpHeader": { "description": "Define the HTTP header name to use for the parameter. It is case insensitive.", "type": "string" }, "urlQueryParameter": { "description": "Define the URL query parameter name to use for the parameter. It is case sensitive.", "type": "string" }, "name": { "description": "Define the name of the parameter, such as \"api_key\" . It is case sensitive.", "type": "string" } }, "id": "SystemParameter" }, "SecondaryIpRangeSpec": { "id": "SecondaryIpRangeSpec", "type": "object", "properties": { "rangeName": { "description": "Required. A name for the secondary IP range. The name must be 1-63 characters long, and comply with RFC1035. The name must be unique within the subnetwork.", "type": "string" }, "requestedAddress": { "type": "string", "description": "Optional. The starting address of a range. The address must be a valid IPv4 address in the x.x.x.x format. This value combined with the IP prefix range is the CIDR range for the secondary IP range. The range must be within the allocated range that is assigned to the private connection. If the CIDR range isn't available, the call fails." }, "ipPrefixLength": { "format": "int32", "type": "integer", "description": "Required. The prefix length of the secondary IP range. Use CIDR range notation, such as `30` to provision a secondary IP range with an `x.x.x.x/30` CIDR range. The IP address range is drawn from a pool of available ranges in the service consumer's allocated range." }, "outsideAllocationPublicIpRange": { "description": "Optional. Enable outside allocation using public IP addresses. Any public IP range may be specified. If this field is provided, we will not use customer reserved ranges for this secondary IP range.", "type": "string" } } }, "DnsZone": { "type": "object", "id": "DnsZone", "description": "Represents a DNS zone resource.", "properties": { "dnsSuffix": { "description": "The DNS name suffix of this zone e.g. `example.com.`.", "type": "string" }, "name": { "description": "User assigned name for this resource. Must be unique within the project. The name must be 1-63 characters long, must begin with a letter, end with a letter or digit, and only contain lowercase letters, digits or dashes.", "type": "string" } } }, "DnsRecordSet": { "id": "DnsRecordSet", "properties": { "data": { "description": "Required. As defined in RFC 1035 (section 5) and RFC 1034 (section 3.6.1) for examples see https://cloud.google.com/dns/records/json-record.", "type": "array", "items": { "type": "string" } }, "type": { "description": "Required. The identifier of a supported record type.", "type": "string" }, "ttl": { "type": "string", "format": "google-duration", "description": "Required. The period of time for which this RecordSet can be cached by resolvers." }, "domain": { "description": "Required. The DNS or domain name of the record set, e.g. `test.example.com`.", "type": "string" } }, "type": "object", "description": "Represents a DNS record set resource." }, "UsageRule": { "properties": { "skipServiceControl": { "description": "If true, the selected method should skip service control and the control plane features, such as quota and billing, will not be available. This flag is used by Google Cloud Endpoints to bypass checks for internal methods, such as service health check methods.", "type": "boolean" }, "selector": { "description": "Selects the methods to which this rule applies. Use '*' to indicate all methods in all APIs. Refer to selector for syntax details.", "type": "string" }, "allowUnregisteredCalls": { "type": "boolean", "description": "If true, the selected method allows unregistered calls, e.g. calls that don't identify any user or application." } }, "id": "UsageRule", "description": "Usage configuration rules for the service. NOTE: Under development. Use this rule to configure unregistered calls for the service. Unregistered calls are calls that do not contain consumer project identity. (Example: calls that do not contain an API key). By default, API methods do not allow unregistered calls, and each method call must be identified by a consumer project identity. Use this rule to allow/disallow unregistered calls. Example of an API that wants to allow unregistered calls for entire service. usage: rules: - selector: \"*\" allow_unregistered_calls: true Example of a method that wants to allow unregistered calls. usage: rules: - selector: \"google.example.library.v1.LibraryService.CreateBook\" allow_unregistered_calls: true", "type": "object" }, "JwtLocation": { "id": "JwtLocation", "description": "Specifies a location to extract JWT from an API request.", "type": "object", "properties": { "cookie": { "description": "Specifies cookie name to extract JWT token.", "type": "string" }, "query": { "description": "Specifies URL query parameter name to extract JWT token.", "type": "string" }, "valuePrefix": { "type": "string", "description": "The value prefix. The value format is \"value_prefix{token}\" Only applies to \"in\" header type. Must be empty for \"in\" query type. If not empty, the header value has to match (case sensitive) this prefix. If not matched, JWT will not be extracted. If matched, JWT will be extracted after the prefix is removed. For example, for \"Authorization: Bearer {JWT}\", value_prefix=\"Bearer \" with a space at the end." }, "header": { "description": "Specifies HTTP header name to extract JWT token.", "type": "string" } } }, "Route": { "description": "Represents a route that was created or discovered by a private access management service.", "properties": { "destRange": { "description": "Destination CIDR range that this route applies to.", "type": "string" }, "nextHopGateway": { "description": "Fully-qualified URL of the gateway that should handle matching packets that this route applies to. For example: `projects/123456/global/gateways/default-internet-gateway`", "type": "string" }, "name": { "description": "Route name. See https://cloud.google.com/vpc/docs/routes", "type": "string" }, "network": { "description": "Fully-qualified URL of the VPC network in the producer host tenant project that this route applies to. For example: `projects/123456/global/networks/host-network`", "type": "string" } }, "id": "Route", "type": "object" }, "AddDnsZoneMetadata": { "type": "object", "id": "AddDnsZoneMetadata", "properties": {}, "description": "Metadata provided through GetOperation request for the LRO generated by AddDnsZone API" }, "SearchRangeRequest": { "properties": { "ipPrefixLength": { "format": "int32", "description": "Required. The prefix length of the IP range. Use usual CIDR range notation. For example, '30' to find unused x.x.x.x/30 CIDR range. Actual range will be determined using allocated range for the consumer peered network and returned in the result.", "type": "integer" }, "network": { "type": "string", "description": "Network name in the consumer project. This network must have been already peered with a shared VPC network using CreateConnection method. Must be in a form 'projects/{project}/global/networks/{network}'. {project} is a project number, as in '12345' {network} is network name." } }, "id": "SearchRangeRequest", "type": "object", "description": "Request to search for an unused range within allocated ranges." }, "MetricRule": { "properties": { "metricCosts": { "type": "object", "description": "Metrics to update when the selected methods are called, and the associated cost applied to each metric. The key of the map is the metric name, and the values are the amount increased for the metric against which the quota limits are defined. The value must not be negative.", "additionalProperties": { "format": "int64", "type": "string" } }, "selector": { "type": "string", "description": "Selects the methods to which this rule applies. Refer to selector for syntax details." } }, "id": "MetricRule", "description": "Bind API methods to metrics. Binding a method to a metric causes that metric's configured quota behaviors to apply to the method call.", "type": "object" }, "ValidateConsumerConfigRequest": { "id": "ValidateConsumerConfigRequest", "properties": { "checkServiceNetworkingUsePermission": { "type": "boolean", "description": "Optional. The IAM permission check determines whether the consumer project has 'servicenetworking.services.use' permission or not." }, "consumerNetwork": { "type": "string", "description": "Required. The network that the consumer is using to connect with services. Must be in the form of projects/{project}/global/networks/{network} {project} is a project number, as in '12345' {network} is network name." }, "validateNetwork": { "description": "The validations will be performed in the order listed in the ValidationError enum. The first failure will return. If a validation is not requested, then the next one will be performed. SERVICE_NETWORKING_NOT_ENABLED and NETWORK_NOT_PEERED checks are performed for all requests where validation is requested. NETWORK_NOT_FOUND and NETWORK_DISCONNECTED checks are done for requests that have validate_network set to true.", "type": "boolean" }, "consumerProject": { "$ref": "ConsumerProject", "description": "NETWORK_NOT_IN_CONSUMERS_PROJECT, NETWORK_NOT_IN_CONSUMERS_HOST_PROJECT, and HOST_PROJECT_NOT_FOUND are done when consumer_project is provided." }, "rangeReservation": { "$ref": "RangeReservation", "description": "RANGES_EXHAUSTED, RANGES_EXHAUSTED, and RANGES_DELETED_LATER are done when range_reservation is provided." } }, "type": "object" }, "PeeredDnsDomain": { "properties": { "dnsSuffix": { "description": "The DNS domain name suffix e.g. `example.com.`. Cloud DNS requires that a DNS suffix ends with a trailing dot.", "type": "string" }, "name": { "type": "string", "description": "User assigned name for this resource. Must be unique within the consumer network. The name must be 1-63 characters long, must begin with a letter, end with a letter or digit, and only contain lowercase letters, digits or dashes." } }, "description": "DNS domain suffix for which requests originating in the producer VPC network are resolved in the associated consumer VPC network.", "type": "object", "id": "PeeredDnsDomain" }, "CancelOperationRequest": { "type": "object", "properties": {}, "id": "CancelOperationRequest", "description": "The request message for Operations.CancelOperation." }, "Logging": { "id": "Logging", "properties": { "producerDestinations": { "type": "array", "description": "Logging configurations for sending logs to the producer project. There can be multiple producer destinations, each one must have a different monitored resource type. A log can be used in at most one producer destination.", "items": { "$ref": "LoggingDestination" } }, "consumerDestinations": { "type": "array", "items": { "$ref": "LoggingDestination" }, "description": "Logging configurations for sending logs to the consumer project. There can be multiple consumer destinations, each one must have a different monitored resource type. A log can be used in at most one consumer destination." } }, "description": "Logging configuration of the service. The following example shows how to configure logs to be sent to the producer and consumer projects. In the example, the `activity_history` log is sent to both the producer and consumer projects, whereas the `purchase_history` log is only sent to the producer project. monitored_resources: - type: library.googleapis.com/branch labels: - key: /city description: The city where the library branch is located in. - key: /name description: The name of the branch. logs: - name: activity_history labels: - key: /customer_id - name: purchase_history logging: producer_destinations: - monitored_resource: library.googleapis.com/branch logs: - activity_history - purchase_history consumer_destinations: - monitored_resource: library.googleapis.com/branch logs: - activity_history", "type": "object" }, "Empty": { "id": "Empty", "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }", "properties": {}, "type": "object" }, "ListPeeredDnsDomainsResponse": { "id": "ListPeeredDnsDomainsResponse", "type": "object", "description": "Response to list peered DNS domains for a given connection.", "properties": { "peeredDnsDomains": { "type": "array", "description": "The list of peered DNS domains.", "items": { "$ref": "PeeredDnsDomain" } } } }, "CustomHttpPattern": { "type": "object", "properties": { "path": { "description": "The path matched by this custom verb.", "type": "string" }, "kind": { "type": "string", "description": "The name of this custom HTTP verb." } }, "id": "CustomHttpPattern", "description": "A custom pattern is used for defining custom HTTP verb." }, "ConsumerConfigMetadata": { "description": "Metadata provided through GetOperation request for the LRO generated by UpdateConsumerConfig API.", "properties": {}, "id": "ConsumerConfigMetadata", "type": "object" }, "SourceContext": { "type": "object", "properties": { "fileName": { "type": "string", "description": "The path-qualified name of the .proto file that contained the associated protobuf element. For example: `\"google/protobuf/source_context.proto\"`." } }, "description": "`SourceContext` represents information about the source of a protobuf element, like the file in which it is defined.", "id": "SourceContext" }, "QuotaLimit": { "properties": { "unit": { "description": "Specify the unit of the quota limit. It uses the same syntax as Metric.unit. The supported unit kinds are determined by the quota backend system. Here are some examples: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"1/min/{project}\" for quota per minute per project. Note: the order of unit components is insignificant. The \"1\" at the beginning is required to follow the metric unit syntax.", "type": "string" }, "displayName": { "description": "User-visible display name for this limit. Optional. If not set, the UI will provide a default display name based on the quota configuration. This field can be used to override the default display name generated from the configuration.", "type": "string" }, "metric": { "type": "string", "description": "The name of the metric this quota limit applies to. The quota limits with the same metric will be checked together during runtime. The metric must be defined within the service config." }, "duration": { "type": "string", "description": "Duration of this limit in textual notation. Must be \"100s\" or \"1d\". Used by group-based quotas only." }, "defaultLimit": { "format": "int64", "description": "Default number of tokens that can be consumed during the specified duration. This is the number of tokens assigned when a client application developer activates the service for his/her project. Specifying a value of 0 will block all requests. This can be used if you are provisioning quota to selected consumers and blocking others. Similarly, a value of -1 will indicate an unlimited quota. No other negative values are allowed. Used by group-based quotas only.", "type": "string" }, "name": { "description": "Name of the quota limit. The name must be provided, and it must be unique within the service. The name can only include alphanumeric characters as well as '-'. The maximum length of the limit name is 64 characters.", "type": "string" }, "description": { "type": "string", "description": "Optional. User-visible, extended description for this quota limit. Should be used only when more context is needed to understand this limit than provided by the limit's display name (see: `display_name`)." }, "maxLimit": { "format": "int64", "type": "string", "description": "Maximum number of tokens that can be consumed during the specified duration. Client application developers can override the default limit up to this maximum. If specified, this value cannot be set to a value less than the default limit. If not specified, it is set to the default limit. To allow clients to apply overrides with no upper bound, set this to -1, indicating unlimited maximum quota. Used by group-based quotas only." }, "values": { "description": "Tiered limit values. You must specify this as a key:value pair, with an integer value that is the maximum number of requests allowed for the specified unit. Currently only STANDARD is supported.", "additionalProperties": { "type": "string", "format": "int64" }, "type": "object" }, "freeTier": { "description": "Free tier value displayed in the Developers Console for this limit. The free tier is the number of tokens that will be subtracted from the billed amount when billing is enabled. This field can only be set on a limit with duration \"1d\", in a billable group; it is invalid on any other limit. If this field is not set, it defaults to 0, indicating that there is no free tier for this service. Used by group-based quotas only.", "type": "string", "format": "int64" } }, "id": "QuotaLimit", "type": "object", "description": "`QuotaLimit` defines a specific limit that applies over a specified duration for a limit type. There can be at most one limit for a duration and limit type combination defined within a `QuotaGroup`." }, "SourceInfo": { "description": "Source information used to create a Service Config", "type": "object", "id": "SourceInfo", "properties": { "sourceFiles": { "items": { "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "type": "object" }, "description": "All files used during config generation.", "type": "array" } } }, "OAuthRequirements": { "id": "OAuthRequirements", "type": "object", "description": "OAuth scopes are a way to define data and permissions on data. For example, there are scopes defined for \"Read-only access to Google Calendar\" and \"Access to Cloud Platform\". Users can consent to a scope for an application, giving it permission to access that data on their behalf. OAuth scope specifications should be fairly coarse grained; a user will need to see and understand the text description of what your scope means. In most cases: use one or at most two OAuth scopes for an entire family of products. If your product has multiple APIs, you should probably be sharing the OAuth scope across all of those APIs. When you need finer grained OAuth consent screens: talk with your product management about how developers will use them in practice. Please note that even though each of the canonical scopes is enough for a request to be accepted and passed to the backend, a request can still fail due to the backend requiring additional scopes or permissions.", "properties": { "canonicalScopes": { "description": "The list of publicly documented OAuth scopes that are allowed access. An OAuth token containing any of these scopes will be accepted. Example: canonical_scopes: https://www.googleapis.com/auth/calendar, https://www.googleapis.com/auth/calendar.read", "type": "string" } } }, "SystemParameters": { "description": "### System parameter configuration A system parameter is a special kind of parameter defined by the API system, not by an individual API. It is typically mapped to an HTTP header and/or a URL query parameter. This configuration specifies which methods change the names of the system parameters.", "id": "SystemParameters", "type": "object", "properties": { "rules": { "type": "array", "items": { "$ref": "SystemParameterRule" }, "description": "Define system parameters. The parameters defined here will override the default parameters implemented by the system. If this field is missing from the service config, default system parameters will be used. Default system parameters and names is implementation-dependent. Example: define api key for all methods system_parameters rules: - selector: \"*\" parameters: - name: api_key url_query_parameter: api_key Example: define 2 api key names for a specific method. system_parameters rules: - selector: \"/ListShelves\" parameters: - name: api_key http_header: Api-Key1 - name: api_key http_header: Api-Key2 **NOTE:** All service configuration rules follow \"last one wins\" order." } } }, "AddRolesResponse": { "id": "AddRolesResponse", "description": "Represents IAM roles added to the shared VPC host project.", "properties": { "policyBinding": { "type": "array", "description": "Required. List of policy bindings that were added to the shared VPC host project.", "items": { "$ref": "PolicyBinding" } } }, "type": "object" }, "Context": { "id": "Context", "properties": { "rules": { "items": { "$ref": "ContextRule" }, "type": "array", "description": "A list of RPC context rules that apply to individual API methods. **NOTE:** All service configuration rules follow \"last one wins\" order." } }, "description": "`Context` defines which contexts an API requests. Example: context: rules: - selector: \"*\" requested: - google.rpc.context.ProjectContext - google.rpc.context.OriginContext The above specifies that all methods in the API request `google.rpc.context.ProjectContext` and `google.rpc.context.OriginContext`. Available context types are defined in package `google.rpc.context`. This also provides mechanism to allowlist any protobuf message extension that can be sent in grpc metadata using “x-goog-ext--bin” and “x-goog-ext--jspb” format. For example, list any service specific protobuf types that can appear in grpc metadata as follows in your yaml file: Example: context: rules: - selector: \"google.example.library.v1.LibraryService.CreateBook\" allowed_request_extensions: - google.foo.v1.NewExtension allowed_response_extensions: - google.foo.v1.NewExtension You can also specify extension ID instead of fully qualified extension name here.", "type": "object" }, "DocumentationRule": { "description": "A documentation rule provides information about individual API elements.", "id": "DocumentationRule", "type": "object", "properties": { "description": { "type": "string", "description": "Description of the selected proto element (e.g. a message, a method, a 'service' definition, or a field). Defaults to leading & trailing comments taken from the proto source definition of the proto element." }, "selector": { "type": "string", "description": "The selector is a comma-separated list of patterns for any element such as a method, a field, an enum value. Each pattern is a qualified name of the element which may end in \"*\", indicating a wildcard. Wildcards are only allowed at the end and for a whole component of the qualified name, i.e. \"foo.*\" is ok, but not \"foo.b*\" or \"foo.*.bar\". A wildcard will match one or more components. To specify a default for all applicable elements, the whole pattern \"*\" is used." }, "deprecationDescription": { "description": "Deprecation description of the selected element(s). It can be provided if an element is marked as `deprecated`.", "type": "string" } } }, "Monitoring": { "properties": { "producerDestinations": { "items": { "$ref": "MonitoringDestination" }, "description": "Monitoring configurations for sending metrics to the producer project. There can be multiple producer destinations. A monitored resource type may appear in multiple monitoring destinations if different aggregations are needed for different sets of metrics associated with that monitored resource type. A monitored resource and metric pair may only be used once in the Monitoring configuration.", "type": "array" }, "consumerDestinations": { "description": "Monitoring configurations for sending metrics to the consumer project. There can be multiple consumer destinations. A monitored resource type may appear in multiple monitoring destinations if different aggregations are needed for different sets of metrics associated with that monitored resource type. A monitored resource and metric pair may only be used once in the Monitoring configuration.", "items": { "$ref": "MonitoringDestination" }, "type": "array" } }, "description": "Monitoring configuration of the service. The example below shows how to configure monitored resources and metrics for monitoring. In the example, a monitored resource and two metrics are defined. The `library.googleapis.com/book/returned_count` metric is sent to both producer and consumer projects, whereas the `library.googleapis.com/book/num_overdue` metric is only sent to the consumer project. monitored_resources: - type: library.googleapis.com/Branch display_name: \"Library Branch\" description: \"A branch of a library.\" launch_stage: GA labels: - key: resource_container description: \"The Cloud container (ie. project id) for the Branch.\" - key: location description: \"The location of the library branch.\" - key: branch_id description: \"The id of the branch.\" metrics: - name: library.googleapis.com/book/returned_count display_name: \"Books Returned\" description: \"The count of books that have been returned.\" launch_stage: GA metric_kind: DELTA value_type: INT64 unit: \"1\" labels: - key: customer_id description: \"The id of the customer.\" - name: library.googleapis.com/book/num_overdue display_name: \"Books Overdue\" description: \"The current number of overdue books.\" launch_stage: GA metric_kind: GAUGE value_type: INT64 unit: \"1\" labels: - key: customer_id description: \"The id of the customer.\" monitoring: producer_destinations: - monitored_resource: library.googleapis.com/Branch metrics: - library.googleapis.com/book/returned_count consumer_destinations: - monitored_resource: library.googleapis.com/Branch metrics: - library.googleapis.com/book/returned_count - library.googleapis.com/book/num_overdue", "id": "Monitoring", "type": "object" }, "BillingDestination": { "properties": { "monitoredResource": { "description": "The monitored resource type. The type must be defined in Service.monitored_resources section.", "type": "string" }, "metrics": { "items": { "type": "string" }, "description": "Names of the metrics to report to this billing destination. Each name must be defined in Service.metrics section.", "type": "array" } }, "type": "object", "description": "Configuration of a specific billing destination (Currently only support bill against consumer project).", "id": "BillingDestination" }, "DeletePeeredDnsDomainMetadata": { "description": "Metadata provided through GetOperation request for the LRO generated by DeletePeeredDnsDomain API.", "type": "object", "id": "DeletePeeredDnsDomainMetadata", "properties": {} }, "AddDnsZoneResponse": { "type": "object", "id": "AddDnsZoneResponse", "properties": { "producerPrivateZone": { "$ref": "DnsZone", "description": "The private DNS zone created in the shared producer host project." }, "consumerPeeringZone": { "description": "The DNS peering zone created in the consumer project.", "$ref": "DnsZone" } }, "description": "Represents managed DNS zones created in the shared producer host and consumer projects." }, "RemoveDnsZoneRequest": { "id": "RemoveDnsZoneRequest", "type": "object", "properties": { "consumerNetwork": { "description": "Required. The network that the consumer is using to connect with services. Must be in the form of projects/{project}/global/networks/{network} {project} is the project number, as in '12345' {network} is the network name.", "type": "string" }, "name": { "description": "Required. The name for both the private zone in the shared producer host project and the peering zone in the consumer project.", "type": "string" } }, "description": "Request to remove a private managed DNS zone in the shared producer host project and a matching DNS peering zone in the consumer project." }, "AuthRequirement": { "properties": { "audiences": { "type": "string", "description": "NOTE: This will be deprecated soon, once AuthProvider.audiences is implemented and accepted in all the runtime components. The list of JWT [audiences](https://tools.ietf.org/html/draft-ietf-oauth-json-web-token-32#section-4.1.3). that are allowed to access. A JWT containing any of these audiences will be accepted. When this setting is absent, only JWTs with audience \"https://Service_name/API_name\" will be accepted. For example, if no audiences are in the setting, LibraryService API will only accept JWTs with the following audience \"https://library-example.googleapis.com/google.example.library.v1.LibraryService\". Example: audiences: bookstore_android.apps.googleusercontent.com, bookstore_web.apps.googleusercontent.com" }, "providerId": { "description": "id from authentication provider. Example: provider_id: bookstore_auth", "type": "string" } }, "id": "AuthRequirement", "type": "object", "description": "User-defined authentication requirements, including support for [JSON Web Token (JWT)](https://tools.ietf.org/html/draft-ietf-oauth-json-web-token-32)." }, "EnumValue": { "type": "object", "id": "EnumValue", "description": "Enum value definition.", "properties": { "options": { "description": "Protocol buffer options.", "type": "array", "items": { "$ref": "Option" } }, "name": { "description": "Enum value name.", "type": "string" }, "number": { "type": "integer", "format": "int32", "description": "Enum value number." } } }, "Subnetwork": { "description": "Represents a subnet that was created or discovered by a private access management service.", "id": "Subnetwork", "type": "object", "properties": { "ipCidrRange": { "type": "string", "description": "Subnetwork CIDR range in `10.x.x.x/y` format." }, "outsideAllocation": { "description": "This is a discovered subnet that is not within the current consumer allocated ranges.", "type": "boolean" }, "name": { "type": "string", "description": "Subnetwork name. See https://cloud.google.com/compute/docs/vpc/" }, "region": { "type": "string", "description": "GCP region where the subnetwork is located." }, "secondaryIpRanges": { "description": "List of secondary IP ranges in this subnetwork.", "type": "array", "items": { "$ref": "SecondaryIpRange" } }, "network": { "type": "string", "description": "In the Shared VPC host project, the VPC network that's peered with the consumer network. For example: `projects/1234321/global/networks/host-network`" } } }, "Type": { "properties": { "options": { "items": { "$ref": "Option" }, "type": "array", "description": "The protocol buffer options." }, "syntax": { "description": "The source syntax.", "type": "string", "enum": [ "SYNTAX_PROTO2", "SYNTAX_PROTO3" ], "enumDescriptions": [ "Syntax `proto2`.", "Syntax `proto3`." ] }, "sourceContext": { "description": "The source context.", "$ref": "SourceContext" }, "name": { "description": "The fully qualified message name.", "type": "string" }, "oneofs": { "items": { "type": "string" }, "type": "array", "description": "The list of types appearing in `oneof` definitions in this type." }, "fields": { "items": { "$ref": "Field" }, "description": "The list of fields.", "type": "array" } }, "type": "object", "description": "A protocol buffer message type.", "id": "Type" }, "Status": { "id": "Status", "description": "The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors).", "type": "object", "properties": { "code": { "description": "The status code, which should be an enum value of google.rpc.Code.", "format": "int32", "type": "integer" }, "details": { "items": { "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "type": "object" }, "description": "A list of messages that carry the error details. There is a common set of message types for APIs to use.", "type": "array" }, "message": { "description": "A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client.", "type": "string" } } }, "CloudSQLConfig": { "type": "object", "id": "CloudSQLConfig", "description": "Cloud SQL configuration.", "properties": { "umbrellaNetwork": { "type": "string", "description": "The name of network in Cloud SQL umbrella project." }, "umbrellaProject": { "description": "The project number of Cloud SQL umbrella project.", "format": "int64", "type": "string" }, "service": { "description": "Peering service used for peering with the Cloud SQL project.", "type": "string" } } }, "RemoveDnsZoneMetadata": { "description": "Metadata provided through GetOperation request for the LRO generated by RemoveDnsZone API", "id": "RemoveDnsZoneMetadata", "type": "object", "properties": {} }, "ListConnectionsResponse": { "id": "ListConnectionsResponse", "type": "object", "properties": { "connections": { "items": { "$ref": "Connection" }, "description": "The list of Connections.", "type": "array" } }, "description": "ListConnectionsResponse is the response to list peering states for the given service and consumer project." }, "LogDescriptor": { "id": "LogDescriptor", "properties": { "description": { "description": "A human-readable description of this log. This information appears in the documentation and can contain details.", "type": "string" }, "labels": { "items": { "$ref": "LabelDescriptor" }, "type": "array", "description": "The set of labels that are available to describe a specific log entry. Runtime requests that contain labels not specified here are considered invalid." }, "name": { "description": "The name of the log. It must be less than 512 characters long and can include the following characters: upper- and lower-case alphanumeric characters [A-Za-z0-9], and punctuation characters including slash, underscore, hyphen, period [/_-.].", "type": "string" }, "displayName": { "type": "string", "description": "The human-readable name for this log. This information appears on the user interface and should be concise." } }, "description": "A description of a log type. Example in YAML format: - name: library.googleapis.com/activity_history description: The history of borrowing and returning library items. display_name: Activity labels: - key: /customer_id description: Identifier of a library customer", "type": "object" }, "CustomErrorRule": { "description": "A custom error rule.", "id": "CustomErrorRule", "type": "object", "properties": { "isErrorType": { "description": "Mark this message as possible payload in error response. Otherwise, objects of this type will be filtered when they appear in error payload.", "type": "boolean" }, "selector": { "description": "Selects messages to which this rule applies. Refer to selector for syntax details.", "type": "string" } } }, "AddDnsRecordSetRequest": { "properties": { "dnsRecordSet": { "description": "Required. The DNS record set to add.", "$ref": "DnsRecordSet" }, "consumerNetwork": { "description": "Required. The network that the consumer is using to connect with services. Must be in the form of projects/{project}/global/networks/{network} {project} is the project number, as in '12345' {network} is the network name.", "type": "string" }, "zone": { "description": "Required. The name of the private DNS zone in the shared producer host project to which the record set will be added.", "type": "string" } }, "description": "Request to add a record set to a private managed DNS zone in the shared producer host project.", "id": "AddDnsRecordSetRequest", "type": "object" }, "RemoveDnsRecordSetRequest": { "description": "Request to remove a record set from a private managed DNS zone in the shared producer host project. The name, type, ttl, and data values must all exactly match an existing record set in the specified zone.", "id": "RemoveDnsRecordSetRequest", "type": "object", "properties": { "zone": { "description": "Required. The name of the private DNS zone in the shared producer host project from which the record set will be removed.", "type": "string" }, "dnsRecordSet": { "$ref": "DnsRecordSet", "description": "Required. The DNS record set to remove." }, "consumerNetwork": { "description": "Required. The network that the consumer is using to connect with services. Must be in the form of projects/{project}/global/networks/{network} {project} is the project number, as in '12345' {network} is the network name.", "type": "string" } } }, "Page": { "properties": { "subpages": { "items": { "$ref": "Page" }, "type": "array", "description": "Subpages of this page. The order of subpages specified here will be honored in the generated docset." }, "name": { "description": "The name of the page. It will be used as an identity of the page to generate URI of the page, text of the link to this page in navigation, etc. The full page name (start from the root page name to this page concatenated with `.`) can be used as reference to the page in your documentation. For example: pages: - name: Tutorial content: (== include tutorial.md ==) subpages: - name: Java content: (== include tutorial_java.md ==) You can reference `Java` page using Markdown reference link syntax: `Java`.", "type": "string" }, "content": { "type": "string", "description": "The Markdown content of the page. You can use (== include {path} ==) to include content from a Markdown file. The content can be used to produce the documentation page such as HTML format page." } }, "type": "object", "id": "Page", "description": "Represents a documentation page. A page can contain subpages to represent nested documentation set structure." }, "AddRolesRequest": { "type": "object", "properties": { "policyBinding": { "items": { "$ref": "PolicyBinding" }, "description": "Required. List of policy bindings to add to shared VPC host project.", "type": "array" }, "consumerNetwork": { "description": "Required. The network that the consumer is using to connect with services. Must be in the form of projects/{project}/global/networks/{network} {project} is a project number, as in '12345' {network} is a network name.", "type": "string" } }, "id": "AddRolesRequest", "description": "Request for AddRoles to allow Service Producers to add roles in the shared VPC host project for them to use." }, "EnableVpcServiceControlsRequest": { "properties": { "consumerNetwork": { "type": "string", "description": "Required. The network that the consumer is using to connect with services. Must be in the form of projects/{project}/global/networks/{network} {project} is a project number, as in '12345' {network} is network name." } }, "description": "Request to enable VPC service controls.", "id": "EnableVpcServiceControlsRequest", "type": "object" }, "AddDnsRecordSetMetadata": { "type": "object", "id": "AddDnsRecordSetMetadata", "description": "Metadata provided through GetOperation request for the LRO generated by AddDnsRecordSet API", "properties": {} }, "CustomError": { "type": "object", "properties": { "rules": { "type": "array", "description": "The list of custom error rules that apply to individual API messages. **NOTE:** All service configuration rules follow \"last one wins\" order.", "items": { "$ref": "CustomErrorRule" } }, "types": { "type": "array", "description": "The list of custom error detail types, e.g. 'google.foo.v1.CustomError'.", "items": { "type": "string" } } }, "description": "Customize service error responses. For example, list any service specific protobuf types that can appear in error detail lists of error responses. Example: custom_error: types: - google.foo.v1.CustomError - google.foo.v1.AnotherError", "id": "CustomError" }, "Http": { "id": "Http", "type": "object", "properties": { "rules": { "description": "A list of HTTP configuration rules that apply to individual API methods. **NOTE:** All service configuration rules follow \"last one wins\" order.", "items": { "$ref": "HttpRule" }, "type": "array" }, "fullyDecodeReservedExpansion": { "type": "boolean", "description": "When set to true, URL path parameters will be fully URI-decoded except in cases of single segment matches in reserved expansion, where \"%2F\" will be left encoded. The default behavior is to not decode RFC 6570 reserved characters in multi segment matches." } }, "description": "Defines the HTTP configuration for an API service. It contains a list of HttpRule, each specifying the mapping of an RPC method to one or more HTTP REST API methods." }, "PeeredDnsDomainMetadata": { "description": "Metadata provided through GetOperation request for the LRO generated by CreatePeeredDnsDomain API.", "type": "object", "id": "PeeredDnsDomainMetadata", "properties": {} }, "Field": { "id": "Field", "properties": { "typeUrl": { "type": "string", "description": "The field type URL, without the scheme, for message or enumeration types. Example: `\"type.googleapis.com/google.protobuf.Timestamp\"`." }, "options": { "description": "The protocol buffer options.", "type": "array", "items": { "$ref": "Option" } }, "jsonName": { "type": "string", "description": "The field JSON name." }, "oneofIndex": { "type": "integer", "format": "int32", "description": "The index of the field type in `Type.oneofs`, for message or enumeration types. The first type has index 1; zero means the type is not in the list." }, "number": { "type": "integer", "format": "int32", "description": "The field number." }, "name": { "description": "The field name.", "type": "string" }, "cardinality": { "description": "The field cardinality.", "enum": [ "CARDINALITY_UNKNOWN", "CARDINALITY_OPTIONAL", "CARDINALITY_REQUIRED", "CARDINALITY_REPEATED" ], "enumDescriptions": [ "For fields with unknown cardinality.", "For optional fields.", "For required fields. Proto2 syntax only.", "For repeated fields." ], "type": "string" }, "packed": { "type": "boolean", "description": "Whether to use alternative packed wire representation." }, "kind": { "type": "string", "description": "The field type.", "enumDescriptions": [ "Field type unknown.", "Field type double.", "Field type float.", "Field type int64.", "Field type uint64.", "Field type int32.", "Field type fixed64.", "Field type fixed32.", "Field type bool.", "Field type string.", "Field type group. Proto2 syntax only, and deprecated.", "Field type message.", "Field type bytes.", "Field type uint32.", "Field type enum.", "Field type sfixed32.", "Field type sfixed64.", "Field type sint32.", "Field type sint64." ], "enum": [ "TYPE_UNKNOWN", "TYPE_DOUBLE", "TYPE_FLOAT", "TYPE_INT64", "TYPE_UINT64", "TYPE_INT32", "TYPE_FIXED64", "TYPE_FIXED32", "TYPE_BOOL", "TYPE_STRING", "TYPE_GROUP", "TYPE_MESSAGE", "TYPE_BYTES", "TYPE_UINT32", "TYPE_ENUM", "TYPE_SFIXED32", "TYPE_SFIXED64", "TYPE_SINT32", "TYPE_SINT64" ] }, "defaultValue": { "description": "The string value of the default value of this field. Proto2 syntax only.", "type": "string" } }, "description": "A single field of a message type.", "type": "object" }, "PolicyBinding": { "description": "Grouping of IAM role and IAM member.", "type": "object", "id": "PolicyBinding", "properties": { "role": { "description": "Required. Role to apply. Only allowlisted roles can be used at the specified granularity. The role must be one of the following: - 'roles/container.hostServiceAgentUser' applied on the shared VPC host project - 'roles/compute.securityAdmin' applied on the shared VPC host project", "type": "string" }, "member": { "type": "string", "description": "Required. Member to bind the role with. See /iam/docs/reference/rest/v1/Policy#Binding for how to format each member. Eg. - user:myuser@mydomain.com - serviceAccount:my-service-account@app.gserviceaccount.com" } } }, "DeleteConnectionMetadata": { "type": "object", "properties": {}, "description": "Metadata provided through GetOperation request for the LRO generated by Delete Connection API", "id": "DeleteConnectionMetadata" }, "Usage": { "id": "Usage", "properties": { "producerNotificationChannel": { "description": "The full resource name of a channel used for sending notifications to the service producer. Google Service Management currently only supports [Google Cloud Pub/Sub](https://cloud.google.com/pubsub) as a notification channel. To use Google Cloud Pub/Sub as the channel, this must be the name of a Cloud Pub/Sub topic that uses the Cloud Pub/Sub topic name format documented in https://cloud.google.com/pubsub/docs/overview.", "type": "string" }, "requirements": { "type": "array", "description": "Requirements that must be satisfied before a consumer project can use the service. Each requirement is of the form /; for example 'serviceusage.googleapis.com/billing-enabled'. For Google APIs, a Terms of Service requirement must be included here. Google Cloud APIs must include \"serviceusage.googleapis.com/tos/cloud\". Other Google APIs should include \"serviceusage.googleapis.com/tos/universal\". Additional ToS can be included based on the business needs.", "items": { "type": "string" } }, "rules": { "items": { "$ref": "UsageRule" }, "type": "array", "description": "A list of usage rules that apply to individual API methods. **NOTE:** All service configuration rules follow \"last one wins\" order." } }, "description": "Configuration controlling usage of a service.", "type": "object" }, "Backend": { "type": "object", "description": "`Backend` defines the backend configuration for a service.", "properties": { "rules": { "items": { "$ref": "BackendRule" }, "type": "array", "description": "A list of API backend rules that apply to individual API methods. **NOTE:** All service configuration rules follow \"last one wins\" order." } }, "id": "Backend" }, "AuthenticationRule": { "properties": { "oauth": { "$ref": "OAuthRequirements", "description": "The requirements for OAuth credentials." }, "requirements": { "description": "Requirements for additional authentication providers.", "type": "array", "items": { "$ref": "AuthRequirement" } }, "selector": { "type": "string", "description": "Selects the methods to which this rule applies. Refer to selector for syntax details." }, "allowWithoutCredential": { "type": "boolean", "description": "If true, the service accepts API keys without any other credential. This flag only applies to HTTP and gRPC requests." } }, "type": "object", "description": "Authentication rules for the service. By default, if a method has any authentication requirements, every request must include a valid credential matching one of the requirements. It's an error to include more than one kind of credential in a single request. If a method doesn't have any auth requirements, request credentials will be ignored.", "id": "AuthenticationRule" }, "Method": { "id": "Method", "properties": { "name": { "type": "string", "description": "The simple name of this method." }, "responseTypeUrl": { "type": "string", "description": "The URL of the output message type." }, "options": { "type": "array", "description": "Any metadata attached to the method.", "items": { "$ref": "Option" } }, "responseStreaming": { "type": "boolean", "description": "If true, the response is streamed." }, "requestStreaming": { "type": "boolean", "description": "If true, the request is streamed." }, "requestTypeUrl": { "description": "A URL of the input message type.", "type": "string" }, "syntax": { "description": "The source syntax of this method.", "type": "string", "enumDescriptions": [ "Syntax `proto2`.", "Syntax `proto3`." ], "enum": [ "SYNTAX_PROTO2", "SYNTAX_PROTO3" ] } }, "description": "Method represents a method of an API interface.", "type": "object" }, "ContextRule": { "description": "A context rule provides information about the context for an individual API element.", "properties": { "requested": { "description": "A list of full type names of requested contexts.", "type": "array", "items": { "type": "string" } }, "selector": { "type": "string", "description": "Selects the methods to which this rule applies. Refer to selector for syntax details." }, "allowedRequestExtensions": { "description": "A list of full type names or extension IDs of extensions allowed in grpc side channel from client to backend.", "type": "array", "items": { "type": "string" } }, "provided": { "items": { "type": "string" }, "type": "array", "description": "A list of full type names of provided contexts." }, "allowedResponseExtensions": { "items": { "type": "string" }, "description": "A list of full type names or extension IDs of extensions allowed in grpc side channel from backend to client.", "type": "array" } }, "id": "ContextRule", "type": "object" } }, "revision": "20220711", "version": "v1", "resources": { "operations": { "methods": { "get": { "flatPath": "v1/operations/{operationsId}", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/service.management" ], "parameters": { "name": { "description": "The name of the operation resource.", "location": "path", "pattern": "^operations/[^/]+$", "required": true, "type": "string" } }, "id": "servicenetworking.operations.get", "response": { "$ref": "Operation" }, "parameterOrder": [ "name" ], "description": "Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service.", "path": "v1/{+name}" }, "cancel": { "response": { "$ref": "Empty" }, "parameterOrder": [ "name" ], "parameters": { "name": { "description": "The name of the operation resource to be cancelled.", "required": true, "pattern": "^operations/.*$", "location": "path", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/service.management" ], "id": "servicenetworking.operations.cancel", "httpMethod": "POST", "request": { "$ref": "CancelOperationRequest" }, "path": "v1/{+name}:cancel", "description": "Starts asynchronous cancellation on a long-running operation. The server makes a best effort to cancel the operation, but success is not guaranteed. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`. Clients can use Operations.GetOperation or other methods to check whether the cancellation succeeded or whether the operation completed despite cancellation. On successful cancellation, the operation is not deleted; instead, it becomes an operation with an Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`.", "flatPath": "v1/operations/{operationsId}:cancel" }, "delete": { "description": "Deletes a long-running operation. This method indicates that the client is no longer interested in the operation result. It does not cancel the operation. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`.", "id": "servicenetworking.operations.delete", "response": { "$ref": "Empty" }, "httpMethod": "DELETE", "flatPath": "v1/operations/{operationsId}", "path": "v1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/service.management" ], "parameterOrder": [ "name" ], "parameters": { "name": { "pattern": "^operations/.*$", "description": "The name of the operation resource to be deleted.", "type": "string", "required": true, "location": "path" } } }, "list": { "flatPath": "v1/operations", "path": "v1/{+name}", "parameters": { "pageToken": { "description": "The standard list page token.", "location": "query", "type": "string" }, "pageSize": { "format": "int32", "description": "The standard list page size.", "location": "query", "type": "integer" }, "name": { "type": "string", "location": "path", "required": true, "description": "The name of the operation's parent resource.", "pattern": "^operations$" }, "filter": { "description": "The standard list filter.", "type": "string", "location": "query" } }, "httpMethod": "GET", "response": { "$ref": "ListOperationsResponse" }, "description": "Lists operations that match the specified filter in the request. If the server doesn't support this method, it returns `UNIMPLEMENTED`. NOTE: the `name` binding allows API services to override the binding to use different resource name schemes, such as `users/*/operations`. To override the binding, API services can add a binding such as `\"/v1/{name=users/*}/operations\"` to their service configuration. For backwards compatibility, the default name includes the operations collection id, however overriding users must ensure the name binding is the parent resource, without the operations collection id.", "id": "servicenetworking.operations.list", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/service.management" ], "parameterOrder": [ "name" ] } } }, "services": { "methods": { "validate": { "path": "v1/{+parent}:validate", "id": "servicenetworking.services.validate", "parameters": { "parent": { "required": true, "location": "path", "description": "Required. This is in a form services/{service} where {service} is the name of the private access management service. For example 'service-peering.example.com'.", "pattern": "^services/[^/]+$", "type": "string" } }, "parameterOrder": [ "parent" ], "httpMethod": "POST", "response": { "$ref": "ValidateConsumerConfigResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/service.management" ], "description": "Service producers use this method to validate if the consumer provided network, project and requested range are valid. This allows them to use a fail-fast mechanism for consumer requests, and not have to wait for AddSubnetwork operation completion to determine if user request is invalid.", "flatPath": "v1/services/{servicesId}:validate", "request": { "$ref": "ValidateConsumerConfigRequest" } }, "disableVpcServiceControls": { "parameters": { "parent": { "description": "The service that is managing peering connectivity for a service producer's organization. For Google services that support this functionality, this value is `services/servicenetworking.googleapis.com`.", "pattern": "^services/[^/]+$", "type": "string", "location": "path", "required": true } }, "request": { "$ref": "DisableVpcServiceControlsRequest" }, "response": { "$ref": "Operation" }, "id": "servicenetworking.services.disableVpcServiceControls", "description": "Disables VPC service controls for a connection.", "parameterOrder": [ "parent" ], "flatPath": "v1/services/{servicesId}:disableVpcServiceControls", "path": "v1/{+parent}:disableVpcServiceControls", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/service.management" ], "httpMethod": "PATCH" }, "searchRange": { "response": { "$ref": "Operation" }, "flatPath": "v1/services/{servicesId}:searchRange", "parameters": { "parent": { "location": "path", "required": true, "type": "string", "pattern": "^services/[^/]+$", "description": "Required. This is in a form services/{service}. {service} the name of the private access management service, for example 'service-peering.example.com'." } }, "parameterOrder": [ "parent" ], "id": "servicenetworking.services.searchRange", "description": "Service producers can use this method to find a currently unused range within consumer allocated ranges. This returned range is not reserved, and not guaranteed to remain unused. It will validate previously provided allocated ranges, find non-conflicting sub-range of requested size (expressed in number of leading bits of ipv4 network mask, as in CIDR range notation).", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/service.management" ], "httpMethod": "POST", "path": "v1/{+parent}:searchRange", "request": { "$ref": "SearchRangeRequest" } }, "enableVpcServiceControls": { "path": "v1/{+parent}:enableVpcServiceControls", "parameters": { "parent": { "description": "The service that is managing peering connectivity for a service producer's organization. For Google services that support this functionality, this value is `services/servicenetworking.googleapis.com`.", "required": true, "type": "string", "location": "path", "pattern": "^services/[^/]+$" } }, "httpMethod": "PATCH", "id": "servicenetworking.services.enableVpcServiceControls", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/service.management" ], "response": { "$ref": "Operation" }, "parameterOrder": [ "parent" ], "description": "Enables VPC service controls for a connection.", "flatPath": "v1/services/{servicesId}:enableVpcServiceControls", "request": { "$ref": "EnableVpcServiceControlsRequest" } }, "addSubnetwork": { "request": { "$ref": "AddSubnetworkRequest" }, "description": "For service producers, provisions a new subnet in a peered service's shared VPC network in the requested region and with the requested size that's expressed as a CIDR range (number of leading bits of ipV4 network mask). The method checks against the assigned allocated ranges to find a non-conflicting IP address range. The method will reuse a subnet if subsequent calls contain the same subnet name, region, and prefix length. This method will make producer's tenant project to be a shared VPC service project as needed.", "id": "servicenetworking.services.addSubnetwork", "parameters": { "parent": { "pattern": "^services/[^/]+/[^/]+/[^/]+$", "description": "Required. A tenant project in the service producer organization, in the following format: services/{service}/{collection-id}/{resource-id}. {collection-id} is the cloud resource collection type that represents the tenant project. Only `projects` are supported. {resource-id} is the tenant project numeric id, such as `123456`. {service} the name of the peering service, such as `service-peering.example.com`. This service must already be enabled in the service consumer's project.", "location": "path", "type": "string", "required": true } }, "response": { "$ref": "Operation" }, "httpMethod": "POST", "path": "v1/{+parent}:addSubnetwork", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/service.management" ], "flatPath": "v1/services/{servicesId}/{servicesId1}/{servicesId2}:addSubnetwork", "parameterOrder": [ "parent" ] } }, "resources": { "projects": { "resources": { "global": { "resources": { "networks": { "methods": { "updateConsumerConfig": { "path": "v1/{+parent}:updateConsumerConfig", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/service.management" ], "httpMethod": "PATCH", "flatPath": "v1/services/{servicesId}/projects/{projectsId}/global/networks/{networksId}:updateConsumerConfig", "description": "Service producers use this method to update the configuration of their connection including the import/export of custom routes and subnetwork routes with public IP.", "id": "servicenetworking.services.projects.global.networks.updateConsumerConfig", "parameters": { "parent": { "description": "Required. Parent resource identifying the connection for which the consumer config is being updated in the format: `services/{service}/projects/{project}/global/networks/{network}` {service} is the peering service that is managing connectivity for the service producer's organization. For Google services that support this functionality, this value is `servicenetworking.googleapis.com`. {project} is the number of the project that contains the service consumer's VPC network e.g. `12345`. {network} is the name of the service consumer's VPC network.", "type": "string", "location": "path", "required": true, "pattern": "^services/[^/]+/projects/[^/]+/global/networks/[^/]+$" } }, "parameterOrder": [ "parent" ], "response": { "$ref": "Operation" }, "request": { "$ref": "UpdateConsumerConfigRequest" } }, "get": { "description": "Service producers use this method to get the configuration of their connection including the import/export of custom routes and subnetwork routes with public IP.", "httpMethod": "GET", "parameters": { "name": { "pattern": "^services/[^/]+/projects/[^/]+/global/networks/[^/]+$", "location": "path", "type": "string", "description": "Required. Name of the consumer config to retrieve in the format: `services/{service}/projects/{project}/global/networks/{network}`. {service} is the peering service that is managing connectivity for the service producer's organization. For Google services that support this functionality, this value is `servicenetworking.googleapis.com`. {project} is a project number e.g. `12345` that contains the service consumer's VPC network. {network} is the name of the service consumer's VPC network.", "required": true }, "includeUsedIpRanges": { "type": "boolean", "description": "Optional. When true, include the used IP ranges as part of the GetConsumerConfig output. This includes routes created inside the service networking network, consumer network, peers of the consumer network, and reserved ranges inside the service networking network. By default, this is false", "location": "query" } }, "flatPath": "v1/services/{servicesId}/projects/{projectsId}/global/networks/{networksId}", "response": { "$ref": "ConsumerConfig" }, "parameterOrder": [ "name" ], "id": "servicenetworking.services.projects.global.networks.get", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/service.management" ], "path": "v1/{+name}" } }, "resources": { "peeredDnsDomains": { "methods": { "list": { "httpMethod": "GET", "parameters": { "parent": { "pattern": "^services/[^/]+/projects/[^/]+/global/networks/[^/]+$", "location": "path", "description": "Required. Parent resource identifying the connection which owns this collection of peered DNS domains in the format: `services/{service}/projects/{project}/global/networks/{network}`. {service} is the peering service that is managing connectivity for the service producer's organization. For Google services that support this functionality, this value is `servicenetworking.googleapis.com`. {project} is a project number e.g. `12345` that contains the service consumer's VPC network. {network} is the name of the service consumer's VPC network.", "required": true, "type": "string" } }, "response": { "$ref": "ListPeeredDnsDomainsResponse" }, "flatPath": "v1/services/{servicesId}/projects/{projectsId}/global/networks/{networksId}/peeredDnsDomains", "id": "servicenetworking.services.projects.global.networks.peeredDnsDomains.list", "parameterOrder": [ "parent" ], "path": "v1/{+parent}/peeredDnsDomains", "description": "Lists peered DNS domains for a connection.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/service.management" ] }, "create": { "parameterOrder": [ "parent" ], "parameters": { "parent": { "type": "string", "pattern": "^services/[^/]+/projects/[^/]+/global/networks/[^/]+$", "description": "Required. Parent resource identifying the connection for which the peered DNS domain will be created in the format: `services/{service}/projects/{project}/global/networks/{network}` {service} is the peering service that is managing connectivity for the service producer's organization. For Google services that support this functionality, this value is `servicenetworking.googleapis.com`. {project} is the number of the project that contains the service consumer's VPC network e.g. `12345`. {network} is the name of the service consumer's VPC network.", "required": true, "location": "path" } }, "description": "Creates a peered DNS domain which sends requests for records in given namespace originating in the service producer VPC network to the consumer VPC network to be resolved.", "request": { "$ref": "PeeredDnsDomain" }, "flatPath": "v1/services/{servicesId}/projects/{projectsId}/global/networks/{networksId}/peeredDnsDomains", "id": "servicenetworking.services.projects.global.networks.peeredDnsDomains.create", "httpMethod": "POST", "path": "v1/{+parent}/peeredDnsDomains", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/service.management" ] }, "delete": { "path": "v1/{+name}", "httpMethod": "DELETE", "description": "Deletes a peered DNS domain.", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/service.management" ], "parameters": { "name": { "description": "Required. The name of the peered DNS domain to delete in the format: `services/{service}/projects/{project}/global/networks/{network}/peeredDnsDomains/{name}`. {service} is the peering service that is managing connectivity for the service producer's organization. For Google services that support this functionality, this value is `servicenetworking.googleapis.com`. {project} is the number of the project that contains the service consumer's VPC network e.g. `12345`. {network} is the name of the service consumer's VPC network. {name} is the name of the peered DNS domain.", "pattern": "^services/[^/]+/projects/[^/]+/global/networks/[^/]+/peeredDnsDomains/[^/]+$", "location": "path", "type": "string", "required": true } }, "id": "servicenetworking.services.projects.global.networks.peeredDnsDomains.delete", "flatPath": "v1/services/{servicesId}/projects/{projectsId}/global/networks/{networksId}/peeredDnsDomains/{peeredDnsDomainsId}", "response": { "$ref": "Operation" } } } } } } } } } }, "roles": { "methods": { "add": { "description": "Service producers can use this method to add roles in the shared VPC host project. Each role is bound to the provided member. Each role must be selected from within an allowlisted set of roles. Each role is applied at only the granularity specified in the allowlist.", "request": { "$ref": "AddRolesRequest" }, "flatPath": "v1/services/{servicesId}/roles:add", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/service.management" ], "httpMethod": "POST", "id": "servicenetworking.services.roles.add", "parameters": { "parent": { "type": "string", "description": "Required. This is in a form services/{service} where {service} is the name of the private access management service. For example 'service-peering.example.com'.", "required": true, "location": "path", "pattern": "^services/[^/]+$" } }, "parameterOrder": [ "parent" ], "response": { "$ref": "Operation" }, "path": "v1/{+parent}/roles:add" } } }, "dnsZones": { "methods": { "remove": { "parameterOrder": [ "parent" ], "request": { "$ref": "RemoveDnsZoneRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/service.management" ], "response": { "$ref": "Operation" }, "id": "servicenetworking.services.dnsZones.remove", "parameters": { "parent": { "required": true, "location": "path", "type": "string", "description": "Required. The service that is managing peering connectivity for a service producer's organization. For Google services that support this functionality, this value is `services/servicenetworking.googleapis.com`.", "pattern": "^services/[^/]+$" } }, "description": "Service producers can use this method to remove private DNS zones in the shared producer host project and matching peering zones in the consumer project.", "path": "v1/{+parent}/dnsZones:remove", "httpMethod": "POST", "flatPath": "v1/services/{servicesId}/dnsZones:remove" }, "add": { "id": "servicenetworking.services.dnsZones.add", "parameters": { "parent": { "required": true, "description": "Required. The service that is managing peering connectivity for a service producer's organization. For Google services that support this functionality, this value is `services/servicenetworking.googleapis.com`.", "location": "path", "type": "string", "pattern": "^services/[^/]+$" } }, "response": { "$ref": "Operation" }, "parameterOrder": [ "parent" ], "path": "v1/{+parent}/dnsZones:add", "description": "Service producers can use this method to add private DNS zones in the shared producer host project and matching peering zones in the consumer project.", "request": { "$ref": "AddDnsZoneRequest" }, "httpMethod": "POST", "flatPath": "v1/services/{servicesId}/dnsZones:add", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/service.management" ] } } }, "dnsRecordSets": { "methods": { "update": { "description": "Service producers can use this method to update DNS record sets from private DNS zones in the shared producer host project.", "parameterOrder": [ "parent" ], "id": "servicenetworking.services.dnsRecordSets.update", "response": { "$ref": "Operation" }, "path": "v1/{+parent}/dnsRecordSets:update", "flatPath": "v1/services/{servicesId}/dnsRecordSets:update", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/service.management" ], "parameters": { "parent": { "location": "path", "description": "Required. The service that is managing peering connectivity for a service producer's organization. For Google services that support this functionality, this value is `services/servicenetworking.googleapis.com`.", "type": "string", "required": true, "pattern": "^services/[^/]+$" } }, "request": { "$ref": "UpdateDnsRecordSetRequest" } }, "add": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/service.management" ], "id": "servicenetworking.services.dnsRecordSets.add", "description": "Service producers can use this method to add DNS record sets to private DNS zones in the shared producer host project.", "parameterOrder": [ "parent" ], "parameters": { "parent": { "pattern": "^services/[^/]+$", "type": "string", "description": "Required. The service that is managing peering connectivity for a service producer's organization. For Google services that support this functionality, this value is `services/servicenetworking.googleapis.com`.", "required": true, "location": "path" } }, "flatPath": "v1/services/{servicesId}/dnsRecordSets:add", "response": { "$ref": "Operation" }, "request": { "$ref": "AddDnsRecordSetRequest" }, "httpMethod": "POST", "path": "v1/{+parent}/dnsRecordSets:add" }, "remove": { "path": "v1/{+parent}/dnsRecordSets:remove", "description": "Service producers can use this method to remove DNS record sets from private DNS zones in the shared producer host project.", "parameters": { "parent": { "description": "Required. The service that is managing peering connectivity for a service producer's organization. For Google services that support this functionality, this value is `services/servicenetworking.googleapis.com`.", "location": "path", "type": "string", "pattern": "^services/[^/]+$", "required": true } }, "flatPath": "v1/services/{servicesId}/dnsRecordSets:remove", "httpMethod": "POST", "parameterOrder": [ "parent" ], "id": "servicenetworking.services.dnsRecordSets.remove", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/service.management" ], "request": { "$ref": "RemoveDnsRecordSetRequest" } } } }, "connections": { "methods": { "patch": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/service.management" ], "response": { "$ref": "Operation" }, "request": { "$ref": "Connection" }, "httpMethod": "PATCH", "parameters": { "updateMask": { "format": "google-fieldmask", "location": "query", "type": "string", "description": "The update mask. If this is omitted, it defaults to \"*\". You can only update the listed peering ranges." }, "name": { "pattern": "^services/[^/]+/connections/[^/]+$", "location": "path", "description": "The private service connection that connects to a service producer organization. The name includes both the private service name and the VPC network peering name in the format of `services/{peering_service_name}/connections/{vpc_peering_name}`. For Google services that support this functionality, this is `services/servicenetworking.googleapis.com/connections/servicenetworking-googleapis-com`.", "type": "string", "required": true }, "force": { "type": "boolean", "location": "query", "description": "If a previously defined allocated range is removed, force flag must be set to true." } }, "parameterOrder": [ "name" ], "path": "v1/{+name}", "description": "Updates the allocated ranges that are assigned to a connection.", "id": "servicenetworking.services.connections.patch", "flatPath": "v1/services/{servicesId}/connections/{connectionsId}" }, "list": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/service.management" ], "flatPath": "v1/services/{servicesId}/connections", "path": "v1/{+parent}/connections", "description": "List the private connections that are configured in a service consumer's VPC network.", "parameterOrder": [ "parent" ], "response": { "$ref": "ListConnectionsResponse" }, "parameters": { "network": { "location": "query", "description": "The name of service consumer's VPC network that's connected with service producer network through a private connection. The network name must be in the following format: `projects/{project}/global/networks/{network}`. {project} is a project number, such as in `12345` that includes the VPC service consumer's VPC network. {network} is the name of the service consumer's VPC network.", "type": "string" }, "parent": { "type": "string", "location": "path", "description": "The service that is managing peering connectivity for a service producer's organization. For Google services that support this functionality, this value is `services/servicenetworking.googleapis.com`. If you specify `services/-` as the parameter value, all configured peering services are listed.", "pattern": "^services/[^/]+$", "required": true } }, "httpMethod": "GET", "id": "servicenetworking.services.connections.list" }, "create": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/service.management" ], "path": "v1/{+parent}/connections", "request": { "$ref": "Connection" }, "parameters": { "parent": { "type": "string", "description": "The service that is managing peering connectivity for a service producer's organization. For Google services that support this functionality, this value is `services/servicenetworking.googleapis.com`.", "pattern": "^services/[^/]+$", "location": "path", "required": true } }, "parameterOrder": [ "parent" ], "httpMethod": "POST", "flatPath": "v1/services/{servicesId}/connections", "response": { "$ref": "Operation" }, "description": "Creates a private connection that establishes a VPC Network Peering connection to a VPC network in the service producer's organization. The administrator of the service consumer's VPC network invokes this method. The administrator must assign one or more allocated IP ranges for provisioning subnetworks in the service producer's VPC network. This connection is used for all supported services in the service producer's organization, so it only needs to be invoked once.", "id": "servicenetworking.services.connections.create" }, "deleteConnection": { "parameters": { "name": { "type": "string", "location": "path", "pattern": "^services/[^/]+/connections/[^/]+$", "description": "Required. The private service connection that connects to a service producer organization. The name includes both the private service name and the VPC network peering name in the format of `services/{peering_service_name}/connections/{vpc_peering_name}`. For Google services that support this functionality, this is `services/servicenetworking.googleapis.com/connections/servicenetworking-googleapis-com`.", "required": true } }, "flatPath": "v1/services/{servicesId}/connections/{connectionsId}", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/service.management" ], "parameterOrder": [ "name" ], "description": "Deletes a private service access connection.", "path": "v1/{+name}", "id": "servicenetworking.services.connections.deleteConnection", "request": { "$ref": "DeleteConnectionRequest" }, "response": { "$ref": "Operation" } } } } } } }, "title": "Service Networking API", "rootUrl": "https://servicenetworking.googleapis.com/", "fullyEncodeReservedExpansion": true, "id": "servicenetworking:v1", "batchPath": "batch", "basePath": "", "documentationLink": "https://cloud.google.com/service-infrastructure/docs/service-networking/getting-started", "description": "Provides automatic management of network configurations necessary for certain services.", "parameters": { "upload_protocol": { "location": "query", "type": "string", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\")." }, "access_token": { "location": "query", "description": "OAuth access token.", "type": "string" }, "$.xgafv": { "enum": [ "1", "2" ], "description": "V1 error format.", "enumDescriptions": [ "v1 error format", "v2 error format" ], "location": "query", "type": "string" }, "uploadType": { "location": "query", "type": "string", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\")." }, "callback": { "description": "JSONP", "location": "query", "type": "string" }, "oauth_token": { "type": "string", "location": "query", "description": "OAuth 2.0 token for the current user." }, "prettyPrint": { "description": "Returns response with indentations and line breaks.", "location": "query", "default": "true", "type": "boolean" }, "fields": { "type": "string", "description": "Selector specifying which fields to include in a partial response.", "location": "query" }, "quotaUser": { "location": "query", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "type": "string" }, "alt": { "type": "string", "location": "query", "description": "Data format for response.", "enum": [ "json", "media", "proto" ], "default": "json", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ] }, "key": { "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "type": "string", "location": "query" } }, "ownerName": "Google", "mtlsRootUrl": "https://servicenetworking.mtls.googleapis.com/", "icons": { "x32": "http://www.google.com/images/icons/product/search-32.gif", "x16": "http://www.google.com/images/icons/product/search-16.gif" }, "name": "servicenetworking", "servicePath": "", "baseUrl": "https://servicenetworking.googleapis.com/", "canonicalName": "Service Networking", "protocol": "rest", "ownerDomain": "google.com", "version_module": true, "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/service.management": { "description": "Manage your Google API service configuration" }, "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." } } } } }
]===]))
