local decode = require("cjson").new().decode
return assert(decode([===[
{ "etag": "\"u9GIe6H63LSGq-9_t39K2Zx_EAc/ffKkQHIfwnRAzOSRWAT_SYBS6HY\"", "schemas": { "SiteVerificationWebResourceListResponse": { "type": "object", "id": "SiteVerificationWebResourceListResponse", "properties": { "items": { "items": { "$ref": "SiteVerificationWebResourceResource" }, "type": "array", "description": "The list of sites that are owned by the authenticated user." } } }, "SiteVerificationWebResourceGettokenResponse": { "type": "object", "properties": { "method": { "type": "string", "description": "The verification method to use in conjunction with this token. For FILE, the token should be placed in the top-level directory of the site, stored inside a file of the same name. For META, the token should be placed in the HEAD tag of the default page that is loaded for the site. For DNS, the token should be placed in a TXT record of the domain." }, "token": { "description": "The verification token. The token must be placed appropriately in order for verification to succeed.", "type": "string" } }, "id": "SiteVerificationWebResourceGettokenResponse" }, "SiteVerificationWebResourceGettokenRequest": { "id": "SiteVerificationWebResourceGettokenRequest", "properties": { "verificationMethod": { "type": "string", "description": "The verification method that will be used to verify this site. For sites, 'FILE' or 'META' methods may be used. For domains, only 'DNS' may be used." }, "site": { "type": "object", "description": "The site for which a verification token will be generated.", "properties": { "type": { "description": "The type of resource to be verified. Can be SITE or INET_DOMAIN (domain name).", "type": "string" }, "identifier": { "description": "The site identifier. If the type is set to SITE, the identifier is a URL. If the type is set to INET_DOMAIN, the site identifier is a domain name.", "type": "string" } } } }, "type": "object" }, "SiteVerificationWebResourceResource": { "type": "object", "id": "SiteVerificationWebResourceResource", "properties": { "owners": { "type": "array", "items": { "type": "string" }, "description": "The email addresses of all verified owners." }, "site": { "properties": { "identifier": { "description": "The site identifier. If the type is set to SITE, the identifier is a URL. If the type is set to INET_DOMAIN, the site identifier is a domain name.", "type": "string" }, "type": { "description": "The site type. Can be SITE or INET_DOMAIN (domain name).", "type": "string" } }, "description": "The address and type of a site that is verified or will be verified.", "type": "object" }, "id": { "type": "string", "description": "The string used to identify this site. This value should be used in the \"id\" portion of the REST URL for the Get, Update, and Delete operations." } } } }, "parameters": { "quotaUser": { "description": "An opaque string that represents a user for quota purposes. Must not exceed 40 characters.", "type": "string", "location": "query" }, "prettyPrint": { "location": "query", "type": "boolean", "default": "false", "description": "Returns response with indentations and line breaks." }, "fields": { "location": "query", "type": "string", "description": "Selector specifying which fields to include in a partial response." }, "oauth_token": { "type": "string", "description": "OAuth 2.0 token for the current user.", "location": "query" }, "key": { "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "type": "string", "location": "query" }, "userIp": { "description": "Deprecated. Please use quotaUser instead.", "type": "string", "location": "query" }, "alt": { "type": "string", "default": "json", "description": "Data format for the response.", "enumDescriptions": [ "Responses with Content-Type of application/json" ], "enum": [ "json" ], "location": "query" } }, "rootUrl": "https://www.googleapis.com/", "description": "Verifies ownership of websites or domains with Google.", "protocol": "rest", "servicePath": "siteVerification/v1/", "resources": { "webResource": { "methods": { "list": { "path": "webResource", "description": "Get the list of your verified websites and domains.", "scopes": [ "https://www.googleapis.com/auth/siteverification" ], "id": "siteVerification.webResource.list", "httpMethod": "GET", "response": { "$ref": "SiteVerificationWebResourceListResponse" } }, "getToken": { "request": { "$ref": "SiteVerificationWebResourceGettokenRequest" }, "response": { "$ref": "SiteVerificationWebResourceGettokenResponse" }, "scopes": [ "https://www.googleapis.com/auth/siteverification", "https://www.googleapis.com/auth/siteverification.verify_only" ], "httpMethod": "POST", "description": "Get a verification token for placing on a website or domain.", "id": "siteVerification.webResource.getToken", "path": "token" }, "insert": { "response": { "$ref": "SiteVerificationWebResourceResource" }, "parameterOrder": [ "verificationMethod" ], "request": { "$ref": "SiteVerificationWebResourceResource" }, "id": "siteVerification.webResource.insert", "scopes": [ "https://www.googleapis.com/auth/siteverification", "https://www.googleapis.com/auth/siteverification.verify_only" ], "parameters": { "verificationMethod": { "required": true, "description": "The method to use for verifying a site or domain.", "type": "string", "location": "query" } }, "description": "Attempt verification of a website or domain.", "httpMethod": "POST", "path": "webResource" }, "patch": { "response": { "$ref": "SiteVerificationWebResourceResource" }, "path": "webResource/{id}", "request": { "$ref": "SiteVerificationWebResourceResource" }, "parameters": { "id": { "description": "The id of a verified site or domain.", "required": true, "type": "string", "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/siteverification" ], "httpMethod": "PATCH", "id": "siteVerification.webResource.patch", "parameterOrder": [ "id" ], "description": "Modify the list of owners for your website or domain. This method supports patch semantics." }, "delete": { "scopes": [ "https://www.googleapis.com/auth/siteverification" ], "parameters": { "id": { "location": "path", "type": "string", "required": true, "description": "The id of a verified site or domain." } }, "path": "webResource/{id}", "description": "Relinquish ownership of a website or domain.", "parameterOrder": [ "id" ], "id": "siteVerification.webResource.delete", "httpMethod": "DELETE" }, "update": { "parameters": { "id": { "required": true, "location": "path", "description": "The id of a verified site or domain.", "type": "string" } }, "description": "Modify the list of owners for your website or domain.", "parameterOrder": [ "id" ], "request": { "$ref": "SiteVerificationWebResourceResource" }, "path": "webResource/{id}", "httpMethod": "PUT", "response": { "$ref": "SiteVerificationWebResourceResource" }, "id": "siteVerification.webResource.update", "scopes": [ "https://www.googleapis.com/auth/siteverification" ] }, "get": { "path": "webResource/{id}", "response": { "$ref": "SiteVerificationWebResourceResource" }, "scopes": [ "https://www.googleapis.com/auth/siteverification" ], "id": "siteVerification.webResource.get", "description": "Get the most current data for a website or domain.", "httpMethod": "GET", "parameters": { "id": { "type": "string", "required": true, "location": "path", "description": "The id of a verified site or domain." } }, "parameterOrder": [ "id" ] } } } }, "discoveryVersion": "v1", "version": "v1", "revision": "20191119", "basePath": "/siteVerification/v1/", "baseUrl": "https://www.googleapis.com/siteVerification/v1/", "ownerDomain": "google.com", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/siteverification": { "description": "Manage the list of sites and domains you control" }, "https://www.googleapis.com/auth/siteverification.verify_only": { "description": "Manage your new site verifications with Google" } } } }, "id": "siteVerification:v1", "documentationLink": "https://developers.google.com/site-verification/", "batchPath": "batch/siteVerification/v1", "ownerName": "Google", "title": "Google Site Verification API", "name": "siteVerification", "icons": { "x32": "https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png", "x16": "https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png" }, "kind": "discovery#restDescription" }
]===]))
