local decode = require("cjson").new().decode
return assert(decode([===[
{ "discoveryVersion": "v1", "rootUrl": "https://speech.googleapis.com/", "description": "Converts audio to text by applying powerful neural network models.", "name": "speech", "id": "speech:v2beta1", "parameters": { "fields": { "description": "Selector specifying which fields to include in a partial response.", "location": "query", "type": "string" }, "alt": { "type": "string", "default": "json", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "location": "query", "enum": [ "json", "media", "proto" ], "description": "Data format for response." }, "quotaUser": { "type": "string", "location": "query", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters." }, "$.xgafv": { "enum": [ "1", "2" ], "type": "string", "location": "query", "enumDescriptions": [ "v1 error format", "v2 error format" ], "description": "V1 error format." }, "access_token": { "type": "string", "location": "query", "description": "OAuth access token." }, "oauth_token": { "description": "OAuth 2.0 token for the current user.", "type": "string", "location": "query" }, "upload_protocol": { "location": "query", "type": "string", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\")." }, "prettyPrint": { "location": "query", "default": "true", "description": "Returns response with indentations and line breaks.", "type": "boolean" }, "callback": { "description": "JSONP", "location": "query", "type": "string" }, "key": { "type": "string", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "location": "query" }, "uploadType": { "location": "query", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "type": "string" } }, "kind": "discovery#restDescription", "servicePath": "", "icons": { "x16": "http://www.google.com/images/icons/product/search-16.gif", "x32": "http://www.google.com/images/icons/product/search-32.gif" }, "basePath": "", "ownerDomain": "google.com", "mtlsRootUrl": "https://speech.mtls.googleapis.com/", "version_module": true, "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." } } } }, "canonicalName": "Speech", "batchPath": "batch", "revision": "20220712", "resources": { "projects": { "resources": { "locations": { "resources": { "operations": { "methods": { "get": { "response": { "$ref": "Operation" }, "httpMethod": "GET", "id": "speech.projects.locations.operations.get", "description": "Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v2beta1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}", "path": "v2beta1/{+name}", "parameters": { "name": { "location": "path", "description": "The name of the operation resource.", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "required": true } }, "parameterOrder": [ "name" ] }, "list": { "path": "v2beta1/{+name}/operations", "id": "speech.projects.locations.operations.list", "httpMethod": "GET", "description": "Lists operations that match the specified filter in the request. If the server doesn't support this method, it returns `UNIMPLEMENTED`. NOTE: the `name` binding allows API services to override the binding to use different resource name schemes, such as `users/*/operations`. To override the binding, API services can add a binding such as `\"/v1/{name=users/*}/operations\"` to their service configuration. For backwards compatibility, the default name includes the operations collection id, however overriding users must ensure the name binding is the parent resource, without the operations collection id.", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v2beta1/projects/{projectsId}/locations/{locationsId}/operations", "parameters": { "filter": { "type": "string", "description": "The standard list filter.", "location": "query" }, "name": { "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+$", "description": "The name of the operation's parent resource.", "location": "path" }, "pageSize": { "type": "integer", "location": "query", "format": "int32", "description": "The standard list page size." }, "pageToken": { "type": "string", "description": "The standard list page token.", "location": "query" } }, "response": { "$ref": "ListOperationsResponse" } } } } } } } } }, "baseUrl": "https://speech.googleapis.com/", "title": "Cloud Speech-to-Text API", "ownerName": "Google", "schemas": { "Operation": { "properties": { "metadata": { "description": "Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any.", "type": "object", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" } }, "done": { "type": "boolean", "description": "If the value is `false`, it means the operation is still in progress. If `true`, the operation is completed, and either `error` or `response` is available." }, "error": { "$ref": "Status", "description": "The error result of the operation in case of failure or cancellation." }, "response": { "type": "object", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "description": "The normal response of the operation in case of success. If the original method returns no data on success, such as `Delete`, the response is `google.protobuf.Empty`. If the original method is standard `Get`/`Create`/`Update`, the response should be the resource. For other methods, the response should have the type `XxxResponse`, where `Xxx` is the original method name. For example, if the original method name is `TakeSnapshot()`, the inferred response type is `TakeSnapshotResponse`." }, "name": { "type": "string", "description": "The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the `name` should be a resource name ending with `operations/{unique_id}`." } }, "description": "This resource represents a long-running operation that is the result of a network API call.", "type": "object", "id": "Operation" }, "Status": { "description": "The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors).", "properties": { "message": { "type": "string", "description": "A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client." }, "code": { "type": "integer", "format": "int32", "description": "The status code, which should be an enum value of google.rpc.Code." }, "details": { "type": "array", "description": "A list of messages that carry the error details. There is a common set of message types for APIs to use.", "items": { "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "type": "object" } } }, "type": "object", "id": "Status" }, "LongRunningRecognizeMetadata": { "id": "LongRunningRecognizeMetadata", "description": "Describes the progress of a long-running `LongRunningRecognize` call. It is included in the `metadata` field of the `Operation` returned by the `GetOperation` call of the `google::longrunning::Operations` service.", "properties": { "lastUpdateTime": { "description": "Output only. Time of the most recent processing update.", "format": "google-datetime", "readOnly": true, "type": "string" }, "progressPercent": { "type": "integer", "format": "int32", "description": "Output only. Approximate percentage of audio processed thus far. Guaranteed to be 100 when the audio is fully processed and the results are available.", "readOnly": true }, "startTime": { "readOnly": true, "type": "string", "description": "Output only. Time when the request was received.", "format": "google-datetime" }, "uri": { "type": "string", "description": "The URI of the audio file being transcribed. Empty if the audio was sent as byte content." } }, "type": "object" }, "SpeechRecognitionResult": { "id": "SpeechRecognitionResult", "type": "object", "properties": { "channelTag": { "readOnly": true, "description": "Output only. For multi-channel audio, this is the channel number corresponding to the recognized result for the audio from that channel. For `audio_channel_count` = N, its output values can range from `1` to `N`.", "format": "int32", "type": "integer" }, "alternatives": { "readOnly": true, "type": "array", "description": "Output only. May contain one or more recognition hypotheses (up to the maximum specified in `max_alternatives`). These alternatives are ordered in terms of accuracy, with the top (first) alternative being the most probable, as ranked by the recognizer.", "items": { "$ref": "SpeechRecognitionAlternative" } }, "languageCode": { "readOnly": true, "description": "Output only. The [BCP-47](https://www.rfc-editor.org/rfc/bcp/bcp47.txt) language tag of the language in this result. This language code was detected to have the most likelihood of being spoken in the audio.", "type": "string" } }, "description": "A speech recognition result corresponding to a portion of the audio." }, "LongRunningRecognizeResponse": { "properties": { "results": { "type": "array", "items": { "$ref": "SpeechRecognitionResult" }, "description": "Output only. Sequential list of transcription results corresponding to sequential portions of audio.", "readOnly": true } }, "type": "object", "id": "LongRunningRecognizeResponse", "description": "The only message returned to the client by the `LongRunningRecognize` method. It contains the result as zero or more sequential SpeechRecognitionResult messages. It is included in the `result.response` field of the `Operation` returned by the `GetOperation` call of the `google::longrunning::Operations` service." }, "WordInfo": { "description": "Word-specific information for recognized words.", "properties": { "startOffset": { "readOnly": true, "format": "google-duration", "type": "string", "description": "Output only. Time offset relative to the beginning of the audio, and corresponding to the start of the spoken word. This field is only set if `enable_word_time_offsets=true` and only in the top hypothesis. This is an experimental feature and the accuracy of the time offset can vary." }, "endOffset": { "format": "google-duration", "readOnly": true, "type": "string", "description": "Output only. Time offset relative to the beginning of the audio, and corresponding to the end of the spoken word. This field is only set if `enable_word_time_offsets=true` and only in the top hypothesis. This is an experimental feature and the accuracy of the time offset can vary." }, "speakerTag": { "type": "integer", "format": "int32", "readOnly": true, "description": "Output only. A distinct integer value is assigned for every speaker within the audio. This field specifies which one of those speakers was detected to have spoken this word. Value ranges from `1` to `diarization_config.max_speaker_count` . `speaker_tag` is set if `diarization_config.enable_speaker_diarization` = `true` and only in the top alternative." }, "confidence": { "readOnly": true, "type": "number", "format": "float", "description": "Output only. The confidence estimate between 0.0 and 1.0. A higher number indicates an estimated greater likelihood that the recognized words are correct. This field is set only for the top alternative of a non-streaming result or, of a streaming result where `is_final=true`. This field is not guaranteed to be accurate and users should not rely on it to be always provided. The default of 0.0 is a sentinel value indicating `confidence` was not set." }, "word": { "readOnly": true, "description": "Output only. The word corresponding to this set of information.", "type": "string" } }, "type": "object", "id": "WordInfo" }, "SpeechRecognitionAlternative": { "id": "SpeechRecognitionAlternative", "properties": { "transcript": { "readOnly": true, "type": "string", "description": "Output only. Transcript text representing the words that the user spoke." }, "words": { "readOnly": true, "type": "array", "items": { "$ref": "WordInfo" }, "description": "Output only. A list of word-specific information for each recognized word. Note: When `enable_speaker_diarization` is true, you will see all the words from the beginning of the audio." }, "confidence": { "description": "Output only. The confidence estimate between 0.0 and 1.0. A higher number indicates an estimated greater likelihood that the recognized words are correct. This field is set only for the top alternative of a non-streaming result or, of a streaming result where `is_final=true`. This field is not guaranteed to be accurate and users should not rely on it to be always provided. The default of 0.0 is a sentinel value indicating `confidence` was not set.", "readOnly": true, "format": "float", "type": "number" } }, "type": "object", "description": "Alternative hypotheses (a.k.a. n-best list)." }, "ListOperationsResponse": { "description": "The response message for Operations.ListOperations.", "type": "object", "id": "ListOperationsResponse", "properties": { "nextPageToken": { "type": "string", "description": "The standard List next-page token." }, "operations": { "description": "A list of operations that matches the specified filter in the request.", "items": { "$ref": "Operation" }, "type": "array" } } } }, "version": "v2beta1", "protocol": "rest", "documentationLink": "https://cloud.google.com/speech-to-text/docs/quickstart-protocol", "fullyEncodeReservedExpansion": true }
]===]))
