local decode = require("cjson").new().decode
return assert(decode([===[
{ "schemas": { "DatabasesListResponse": { "description": "Database list response.", "properties": { "kind": { "description": "This is always `sql#databasesList`.", "type": "string" }, "items": { "items": { "$ref": "Database" }, "type": "array", "description": "List of database resources in the instance." } }, "type": "object", "id": "DatabasesListResponse" }, "ApiWarning": { "id": "ApiWarning", "properties": { "message": { "description": "The warning message.", "type": "string" }, "region": { "description": "The region name for REGION_UNREACHABLE warning.", "type": "string" }, "code": { "description": "Code to uniquely identify the warning type.", "type": "string", "enumDescriptions": [ "An unknown or unset warning type from Cloud SQL API.", "Warning when one or more regions are not reachable. The returned result set may be incomplete.", "Warning when user provided maxResults parameter exceeds the limit. The returned result set may be incomplete." ], "enum": [ "SQL_API_WARNING_CODE_UNSPECIFIED", "REGION_UNREACHABLE", "MAX_RESULTS_EXCEEDS_LIMIT" ] } }, "type": "object", "description": "An Admin API warning message." }, "SqlActiveDirectoryConfig": { "type": "object", "description": "Active Directory configuration, relevant only for Cloud SQL for SQL Server.", "id": "SqlActiveDirectoryConfig", "properties": { "domain": { "description": "The name of the domain (e.g., mydomain.com).", "type": "string" }, "kind": { "description": "This is always sql#activeDirectoryConfig.", "type": "string" } } }, "RotateServerCaContext": { "description": "Instance rotate server CA context.", "type": "object", "properties": { "nextVersion": { "type": "string", "description": "The fingerprint of the next version to be rotated to. If left unspecified, will be rotated to the most recently added server CA version." }, "kind": { "type": "string", "description": "This is always `sql#rotateServerCaContext`." } }, "id": "RotateServerCaContext" }, "DemoteMasterConfiguration": { "properties": { "mysqlReplicaConfiguration": { "description": "MySQL specific configuration when replicating from a MySQL on-premises primary instance. Replication configuration information such as the username, password, certificates, and keys are not stored in the instance metadata. The configuration information is used only to set up the replication connection and is stored by MySQL in a file named `master.info` in the data directory.", "$ref": "DemoteMasterMySqlReplicaConfiguration" }, "kind": { "type": "string", "description": "This is always `sql#demoteMasterConfiguration`." } }, "description": "Read-replica configuration for connecting to the on-premises primary instance.", "id": "DemoteMasterConfiguration", "type": "object" }, "InsightsConfig": { "id": "InsightsConfig", "type": "object", "properties": { "queryPlansPerMinute": { "description": "Number of query execution plans captured by Insights per minute for all queries combined. Default is 5.", "format": "int32", "type": "integer" }, "queryStringLength": { "format": "int32", "type": "integer", "description": "Maximum query length stored in bytes. Default value: 1024 bytes. Range: 256-4500 bytes. Query length more than this field value will be truncated to this value. When unset, query length will be the default value. Changing query length will restart the database." }, "recordApplicationTags": { "description": "Whether Query Insights will record application tags from query when enabled.", "type": "boolean" }, "recordClientAddress": { "type": "boolean", "description": "Whether Query Insights will record client address when enabled." }, "queryInsightsEnabled": { "type": "boolean", "description": "Whether Query Insights feature is enabled." } }, "description": "Insights configuration. This specifies when Cloud SQL Insights feature is enabled and optional configuration." }, "PasswordValidationPolicy": { "id": "PasswordValidationPolicy", "properties": { "passwordChangeInterval": { "description": "Minimum interval after which the password can be changed. This flag is only supported for PostgresSQL.", "format": "google-duration", "type": "string" }, "reuseInterval": { "description": "Number of previous passwords that cannot be reused.", "format": "int32", "type": "integer" }, "enablePasswordPolicy": { "type": "boolean", "description": "Whether the password policy is enabled or not." }, "minLength": { "description": "Minimum number of characters allowed.", "type": "integer", "format": "int32" }, "complexity": { "enum": [ "COMPLEXITY_UNSPECIFIED", "COMPLEXITY_DEFAULT" ], "description": "The complexity of the password.", "type": "string", "enumDescriptions": [ "Complexity check is not specified.", "A combination of lowercase, uppercase, numeric, and non-alphanumeric characters." ] }, "disallowUsernameSubstring": { "description": "Disallow username as a part of the password.", "type": "boolean" } }, "description": "Database instance local user password validation policy", "type": "object" }, "DemoteMasterMySqlReplicaConfiguration": { "type": "object", "description": "Read-replica configuration specific to MySQL databases.", "id": "DemoteMasterMySqlReplicaConfiguration", "properties": { "password": { "type": "string", "description": "The password for the replication connection." }, "clientKey": { "description": "PEM representation of the replica's private key. The corresponsing public key is encoded in the client's certificate. The format of the replica's private key can be either PKCS #1 or PKCS #8.", "type": "string" }, "username": { "type": "string", "description": "The username for the replication connection." }, "kind": { "description": "This is always `sql#demoteMasterMysqlReplicaConfiguration`.", "type": "string" }, "caCertificate": { "description": "PEM representation of the trusted CA's x509 certificate.", "type": "string" }, "clientCertificate": { "type": "string", "description": "PEM representation of the replica's x509 certificate." } } }, "SqlInstancesVerifyExternalSyncSettingsRequest": { "description": "Instance verify external sync settings request.", "type": "object", "id": "SqlInstancesVerifyExternalSyncSettingsRequest", "properties": { "verifyConnectionOnly": { "type": "boolean", "description": "Flag to enable verifying connection only" }, "verifyReplicationOnly": { "type": "boolean", "description": "Optional. Flag to verify settings required by replication setup only" }, "syncMode": { "type": "string", "description": "External sync mode", "enum": [ "EXTERNAL_SYNC_MODE_UNSPECIFIED", "ONLINE", "OFFLINE" ], "enumDescriptions": [ "Unknown external sync mode, will be defaulted to ONLINE mode", "Online external sync will set up replication after initial data external sync", "Offline external sync only dumps and loads a one-time snapshot of the primary instance's data" ] }, "mysqlSyncConfig": { "$ref": "MySqlSyncConfig", "description": "Optional. MySQL-specific settings for start external sync." } } }, "Operation": { "type": "object", "description": "An Operation resource. For successful operations that return an Operation resource, only the fields relevant to the operation are populated in the resource.", "properties": { "backupContext": { "$ref": "BackupContext", "description": "The context for backup operation, if applicable." }, "user": { "description": "The email address of the user who initiated this operation.", "type": "string" }, "insertTime": { "description": "The time this operation was enqueued in UTC timezone in [RFC 3339](https://tools.ietf.org/html/rfc3339) format, for example `2012-11-15T16:19:00.094Z`.", "type": "string", "format": "google-datetime" }, "targetProject": { "description": "The project ID of the target instance related to this operation.", "type": "string" }, "name": { "type": "string", "description": "An identifier that uniquely identifies the operation. You can use this identifier to retrieve the Operations resource that has information about the operation." }, "operationType": { "type": "string", "enumDescriptions": [ "Unknown operation type.", "Imports data into a Cloud SQL instance.", "Exports data from a Cloud SQL instance to a Cloud Storage bucket.", "Creates a new Cloud SQL instance.", "Updates the settings of a Cloud SQL instance.", "Deletes a Cloud SQL instance.", "Restarts the Cloud SQL instance.", "", "", "Performs instance backup.", "Deletes an instance backup.", "Restores an instance backup.", "Injects a privileged user in mysql for MOB instances.", "Clones a Cloud SQL instance.", "Stops replication on a Cloud SQL read replica instance.", "Starts replication on a Cloud SQL read replica instance.", "Promotes a Cloud SQL replica instance.", "Creates a Cloud SQL replica instance.", "Creates a new user in a Cloud SQL instance.", "Deletes a user from a Cloud SQL instance.", "Updates an existing user in a Cloud SQL instance.", "Creates a database in the Cloud SQL instance.", "Deletes a database in the Cloud SQL instance.", "Updates a database in the Cloud SQL instance.", "Performs failover of an HA-enabled Cloud SQL failover replica.", "Deletes the backup taken by a backup run.", "", "Truncates a general or slow log table in MySQL.", "Demotes the stand-alone instance to be a Cloud SQL read replica for an external database server.", "Indicates that the instance is currently in maintenance. Maintenance typically causes the instance to be unavailable for 1-3 minutes.", "This field is deprecated, and will be removed in future version of API.", "", "Creates clone instance.", "Reschedule maintenance to another time.", "Starts external sync of a Cloud SQL EM replica to an external primary instance.", "Recovers logs from an instance's old data disk.", "Performs auto-restart of an HA-enabled Cloud SQL database for auto recovery." ], "description": "The type of the operation. Valid values are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATE` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `DELETE` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `UPDATE` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `RESTART` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `IMPORT` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `EXPORT` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `BACKUP_VOLUME` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `RESTORE_VOLUME` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATE_USER` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `DELETE_USER` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATE_DATABASE` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `DELETE_DATABASE`", "enum": [ "SQL_OPERATION_TYPE_UNSPECIFIED", "IMPORT", "EXPORT", "CREATE", "UPDATE", "DELETE", "RESTART", "BACKUP", "SNAPSHOT", "BACKUP_VOLUME", "DELETE_VOLUME", "RESTORE_VOLUME", "INJECT_USER", "CLONE", "STOP_REPLICA", "START_REPLICA", "PROMOTE_REPLICA", "CREATE_REPLICA", "CREATE_USER", "DELETE_USER", "UPDATE_USER", "CREATE_DATABASE", "DELETE_DATABASE", "UPDATE_DATABASE", "FAILOVER", "DELETE_BACKUP", "RECREATE_REPLICA", "TRUNCATE_LOG", "DEMOTE_MASTER", "MAINTENANCE", "ENABLE_PRIVATE_IP", "DEFER_MAINTENANCE", "CREATE_CLONE", "RESCHEDULE_MAINTENANCE", "START_EXTERNAL_SYNC", "LOG_CLEANUP", "AUTO_RESTART" ] }, "importContext": { "description": "The context for import operation, if applicable.", "$ref": "ImportContext" }, "targetId": { "description": "Name of the database instance related to this operation.", "type": "string" }, "exportContext": { "description": "The context for export operation, if applicable.", "$ref": "ExportContext" }, "status": { "enumDescriptions": [ "The state of the operation is unknown.", "The operation has been queued, but has not started yet.", "The operation is running.", "The operation completed." ], "description": "The status of an operation.", "enum": [ "SQL_OPERATION_STATUS_UNSPECIFIED", "PENDING", "RUNNING", "DONE" ], "type": "string" }, "kind": { "description": "This is always `sql#operation`.", "type": "string" }, "endTime": { "type": "string", "format": "google-datetime", "description": "The time this operation finished in UTC timezone in [RFC 3339](https://tools.ietf.org/html/rfc3339) format, for example `2012-11-15T16:19:00.094Z`." }, "targetLink": { "type": "string" }, "startTime": { "type": "string", "description": "The time this operation actually started in UTC timezone in [RFC 3339](https://tools.ietf.org/html/rfc3339) format, for example `2012-11-15T16:19:00.094Z`.", "format": "google-datetime" }, "error": { "$ref": "OperationErrors", "description": "If errors occurred during processing of this operation, this field will be populated." }, "selfLink": { "type": "string", "description": "The URI of this resource." } }, "id": "Operation" }, "ImportContext": { "properties": { "fileType": { "type": "string", "description": "The file type for the specified uri.\\`SQL`: The file contains SQL statements. \\`CSV`: The file contains CSV data.", "enum": [ "SQL_FILE_TYPE_UNSPECIFIED", "SQL", "CSV", "BAK" ], "enumDescriptions": [ "Unknown file type.", "File containing SQL statements.", "File in CSV format.", "" ] }, "kind": { "description": "This is always `sql#importContext`.", "type": "string" }, "uri": { "description": "Path to the import file in Cloud Storage, in the form `gs://bucketName/fileName`. Compressed gzip files (.gz) are supported when `fileType` is `SQL`. The instance must have write permissions to the bucket and read access to the file.", "type": "string" }, "bakImportOptions": { "type": "object", "properties": { "encryptionOptions": { "properties": { "certPath": { "description": "Path to the Certificate (.cer) in Cloud Storage, in the form `gs://bucketName/fileName`. The instance must have write permissions to the bucket and read access to the file.", "type": "string" }, "pvkPath": { "description": "Path to the Certificate Private Key (.pvk) in Cloud Storage, in the form `gs://bucketName/fileName`. The instance must have write permissions to the bucket and read access to the file.", "type": "string" }, "pvkPassword": { "type": "string", "description": "Password that encrypts the private key" } }, "type": "object" } }, "description": "Import parameters specific to SQL Server .BAK files" }, "importUser": { "type": "string", "description": "The PostgreSQL user for this import operation. PostgreSQL instances only." }, "database": { "description": "The target database for the import. If `fileType` is `SQL`, this field is required only if the import file does not specify a database, and is overridden by any database specification in the import file. If `fileType` is `CSV`, one database must be specified.", "type": "string" }, "csvImportOptions": { "properties": { "quoteCharacter": { "description": "Specifies the quoting character to be used when a data value is quoted.", "type": "string" }, "escapeCharacter": { "type": "string", "description": "Specifies the character that should appear before a data character that needs to be escaped." }, "fieldsTerminatedBy": { "type": "string", "description": "Specifies the character that separates columns within each row (line) of the file." }, "columns": { "description": "The columns to which CSV data is imported. If not specified, all columns of the database table are loaded with CSV data.", "items": { "type": "string" }, "type": "array" }, "linesTerminatedBy": { "description": "This is used to separate lines. If a line does not contain all fields, the rest of the columns are set to their default values.", "type": "string" }, "table": { "description": "The table to which CSV data is imported.", "type": "string" } }, "description": "Options for importing data as CSV.", "type": "object" } }, "type": "object", "description": "Database instance import context.", "id": "ImportContext" }, "SyncFlags": { "id": "SyncFlags", "properties": { "name": { "type": "string", "description": "The name of the flag." }, "value": { "type": "string", "description": "The value of the flag. This field must be omitted if the flag doesn't take a value." } }, "description": "Initial sync flags for certain Cloud SQL APIs. Currently used for the MySQL external server initial dump.", "type": "object" }, "SqlInstancesRescheduleMaintenanceRequestBody": { "id": "SqlInstancesRescheduleMaintenanceRequestBody", "description": "Reschedule options for maintenance windows.", "type": "object", "properties": { "reschedule": { "description": "Required. The type of the reschedule the user wants.", "$ref": "Reschedule" } } }, "InstancesRotateServerCaRequest": { "id": "InstancesRotateServerCaRequest", "type": "object", "description": "Rotate server CA request.", "properties": { "rotateServerCaContext": { "description": "Contains details about the rotate server CA operation.", "$ref": "RotateServerCaContext" } } }, "SslCertsListResponse": { "type": "object", "id": "SslCertsListResponse", "description": "SslCerts list response.", "properties": { "items": { "type": "array", "description": "List of client certificates for the instance.", "items": { "$ref": "SslCert" } }, "kind": { "description": "This is always `sql#sslCertsList`.", "type": "string" } } }, "DiskEncryptionStatus": { "id": "DiskEncryptionStatus", "type": "object", "description": "Disk encryption status for an instance.", "properties": { "kind": { "description": "This is always `sql#diskEncryptionStatus`.", "type": "string" }, "kmsKeyVersionName": { "type": "string", "description": "KMS key version used to encrypt the Cloud SQL instance resource" } } }, "InstancesListServerCasResponse": { "properties": { "activeVersion": { "type": "string" }, "kind": { "description": "This is always `sql#instancesListServerCas`.", "type": "string" }, "certs": { "description": "List of server CA certificates for the instance.", "type": "array", "items": { "$ref": "SslCert" } } }, "description": "Instances ListServerCas response.", "type": "object", "id": "InstancesListServerCasResponse" }, "InstancesImportRequest": { "type": "object", "description": "Database instance import request.", "properties": { "importContext": { "description": "Contains details about the import operation.", "$ref": "ImportContext" } }, "id": "InstancesImportRequest" }, "FlagsListResponse": { "description": "Flags list response.", "properties": { "kind": { "type": "string", "description": "This is always `sql#flagsList`." }, "items": { "items": { "$ref": "Flag" }, "type": "array", "description": "List of flags." } }, "type": "object", "id": "FlagsListResponse" }, "SslCertsCreateEphemeralRequest": { "properties": { "public_key": { "description": "PEM encoded public key to include in the signed certificate.", "type": "string" }, "access_token": { "description": "Access token to include in the signed certificate.", "type": "string" } }, "type": "object", "description": "SslCerts create ephemeral certificate request.", "id": "SslCertsCreateEphemeralRequest" }, "GenerateEphemeralCertRequest": { "type": "object", "description": "Ephemeral certificate creation request.", "properties": { "readTime": { "type": "string", "format": "google-datetime", "description": "Optional. Optional snapshot read timestamp to trade freshness for performance." }, "public_key": { "description": "PEM encoded public key to include in the signed certificate.", "type": "string" }, "access_token": { "description": "Optional. Access token to include in the signed certificate.", "type": "string" }, "validDuration": { "format": "google-duration", "type": "string", "description": "Optional. If set, it will contain the cert valid duration." } }, "id": "GenerateEphemeralCertRequest" }, "User": { "properties": { "sqlserverUserDetails": { "$ref": "SqlServerUserDetails" }, "name": { "description": "The name of the user in the Cloud SQL instance. Can be omitted for `update` because it is already specified in the URL.", "type": "string" }, "passwordPolicy": { "$ref": "UserPasswordValidationPolicy", "description": "User level password validation policy." }, "etag": { "type": "string", "description": "This field is deprecated and will be removed from a future version of the API." }, "project": { "type": "string", "description": "The project ID of the project containing the Cloud SQL database. The Google apps domain is prefixed if applicable. Can be omitted for `update` because it is already specified on the URL." }, "dualPasswordType": { "enum": [ "DUAL_PASSWORD_TYPE_UNSPECIFIED", "NO_MODIFY_DUAL_PASSWORD", "NO_DUAL_PASSWORD", "DUAL_PASSWORD" ], "description": "Dual password status for the user.", "type": "string", "enumDescriptions": [ "The default value.", "Do not update the user's dual password status.", "No dual password usable for connecting using this user.", "Dual password usable for connecting using this user." ] }, "kind": { "description": "This is always `sql#user`.", "type": "string" }, "instance": { "type": "string", "description": "The name of the Cloud SQL instance. This does not include the project ID. Can be omitted for `update` because it is already specified on the URL." }, "host": { "type": "string", "description": "Optional. The host from which the user can connect. For `insert` operations, host defaults to an empty string. For `update` operations, host is specified as part of the request URL. The host name cannot be updated after insertion. For a MySQL instance, it's required; for a PostgreSQL or SQL Server instance, it's optional." }, "password": { "type": "string", "description": "The password for the user." }, "type": { "enum": [ "BUILT_IN", "CLOUD_IAM_USER", "CLOUD_IAM_SERVICE_ACCOUNT" ], "enumDescriptions": [ "The database's built-in user type.", "Cloud IAM user.", "Cloud IAM service account." ], "description": "The user type. It determines the method to authenticate the user during login. The default is the database's built-in user type.", "type": "string" } }, "description": "A Cloud SQL user resource.", "id": "User", "type": "object" }, "ConnectSettings": { "description": "Connect settings retrieval response.", "id": "ConnectSettings", "properties": { "ipAddresses": { "items": { "$ref": "IpMapping" }, "description": "The assigned IP addresses for the instance.", "type": "array" }, "region": { "type": "string", "description": "The cloud region for the instance. For example, `us-central1`, `europe-west1`. The region cannot be changed after instance creation." }, "backendType": { "enumDescriptions": [ "This is an unknown backend type for instance.", "V1 speckle instance.", "V2 speckle instance.", "On premises instance." ], "enum": [ "SQL_BACKEND_TYPE_UNSPECIFIED", "FIRST_GEN", "SECOND_GEN", "EXTERNAL" ], "type": "string", "description": "`SECOND_GEN`: Cloud SQL database instance. `EXTERNAL`: A database server that is not managed by Google. This property is read-only; use the `tier` property in the `settings` object to determine the database type." }, "databaseVersion": { "description": "The database engine type and version. The `databaseVersion` field cannot be changed after instance creation. MySQL instances: `MYSQL_8_0`, `MYSQL_5_7` (default), or `MYSQL_5_6`. PostgreSQL instances: `POSTGRES_9_6`, `POSTGRES_10`, `POSTGRES_11`, `POSTGRES_12` (default), `POSTGRES_13`, or `POSTGRES_14`. SQL Server instances: `SQLSERVER_2017_STANDARD` (default), `SQLSERVER_2017_ENTERPRISE`, `SQLSERVER_2017_EXPRESS`, `SQLSERVER_2017_WEB`, `SQLSERVER_2019_STANDARD`, `SQLSERVER_2019_ENTERPRISE`, `SQLSERVER_2019_EXPRESS`, or `SQLSERVER_2019_WEB`.", "type": "string", "enum": [ "SQL_DATABASE_VERSION_UNSPECIFIED", "MYSQL_5_1", "MYSQL_5_5", "MYSQL_5_6", "MYSQL_5_7", "POSTGRES_9_6", "POSTGRES_11", "SQLSERVER_2017_STANDARD", "SQLSERVER_2017_ENTERPRISE", "SQLSERVER_2017_EXPRESS", "SQLSERVER_2017_WEB", "POSTGRES_10", "POSTGRES_12", "MYSQL_8_0", "MYSQL_8_0_18", "MYSQL_8_0_26", "MYSQL_8_0_27", "MYSQL_8_0_28", "MYSQL_8_0_29", "POSTGRES_13", "POSTGRES_14", "SQLSERVER_2019_STANDARD", "SQLSERVER_2019_ENTERPRISE", "SQLSERVER_2019_EXPRESS", "SQLSERVER_2019_WEB" ], "enumDescriptions": [ "This is an unknown database version.", "The database version is MySQL 5.1.", "The database version is MySQL 5.5.", "The database version is MySQL 5.6.", "The database version is MySQL 5.7.", "The database version is PostgreSQL 9.6.", "The database version is PostgreSQL 11.", "The database version is SQL Server 2017 Standard.", "The database version is SQL Server 2017 Enterprise.", "The database version is SQL Server 2017 Express.", "The database version is SQL Server 2017 Web.", "The database version is PostgreSQL 10.", "The database version is PostgreSQL 12.", "The database version is MySQL 8.", "The database major version is MySQL 8.0 and the minor version is 18.", "The database major version is MySQL 8.0 and the minor version is 26.", "The database major version is MySQL 8.0 and the minor version is 27.", "The database major version is MySQL 8.0 and the minor version is 28.", "The database major version is MySQL 8.0 and the minor version is 29.", "The database version is PostgreSQL 13.", "The database version is PostgreSQL 14.", "The database version is SQL Server 2019 Standard.", "The database version is SQL Server 2019 Enterprise.", "The database version is SQL Server 2019 Express.", "The database version is SQL Server 2019 Web." ] }, "kind": { "type": "string", "description": "This is always `sql#connectSettings`." }, "serverCaCert": { "description": "SSL configuration.", "$ref": "SslCert" } }, "type": "object" }, "InstancesListResponse": { "description": "Database instances list response.", "type": "object", "id": "InstancesListResponse", "properties": { "items": { "items": { "$ref": "DatabaseInstance" }, "type": "array", "description": "List of database instance resources." }, "nextPageToken": { "type": "string", "description": "The continuation token, used to page through large result sets. Provide this value in a subsequent request to return the next page of results." }, "warnings": { "type": "array", "items": { "$ref": "ApiWarning" }, "description": "List of warnings that occurred while handling the request." }, "kind": { "type": "string", "description": "This is always `sql#instancesList`." } } }, "LocationPreference": { "description": "Preferred location. This specifies where a Cloud SQL instance is located. Note that if the preferred location is not available, the instance will be located as close as possible within the region. Only one location may be specified.", "properties": { "kind": { "description": "This is always `sql#locationPreference`.", "type": "string" }, "zone": { "type": "string", "description": "The preferred Compute Engine zone (for example: us-central1-a, us-central1-b, etc.). WARNING: Changing this might restart the instance." }, "secondaryZone": { "type": "string", "description": "The preferred Compute Engine zone for the secondary/failover (for example: us-central1-a, us-central1-b, etc.)." }, "followGaeApplication": { "description": "The App Engine application to follow, it must be in the same region as the Cloud SQL instance. WARNING: Changing this might restart the instance.", "type": "string" } }, "type": "object", "id": "LocationPreference" }, "IpMapping": { "properties": { "type": { "enumDescriptions": [ "This is an unknown IP address type.", "IP address the customer is supposed to connect to. Usually this is the load balancer's IP address", "Source IP address of the connection a read replica establishes to its external primary instance. This IP address can be allowlisted by the customer in case it has a firewall that filters incoming connection to its on premises primary instance.", "Private IP used when using private IPs and network peering.", "V1 IP of a migrated instance. We want the user to decommission this IP as soon as the migration is complete. Note: V1 instances with V1 ip addresses will be counted as PRIMARY." ], "enum": [ "SQL_IP_ADDRESS_TYPE_UNSPECIFIED", "PRIMARY", "OUTGOING", "PRIVATE", "MIGRATED_1ST_GEN" ], "description": "The type of this IP address. A `PRIMARY` address is a public address that can accept incoming connections. A `PRIVATE` address is a private address that can accept incoming connections. An `OUTGOING` address is the source address of connections originating from the instance, if supported.", "type": "string" }, "ipAddress": { "description": "The IP address assigned.", "type": "string" }, "timeToRetire": { "description": "The due time for this IP to be retired in [RFC 3339](https://tools.ietf.org/html/rfc3339) format, for example `2012-11-15T16:19:00.094Z`. This field is only available when the IP is scheduled to be retired.", "type": "string", "format": "google-datetime" } }, "id": "IpMapping", "description": "Database instance IP Mapping.", "type": "object" }, "Reschedule": { "type": "object", "id": "Reschedule", "properties": { "scheduleTime": { "description": "Optional. Timestamp when the maintenance shall be rescheduled to if reschedule_type=SPECIFIC_TIME, in [RFC 3339](https://tools.ietf.org/html/rfc3339) format, for example `2012-11-15T16:19:00.094Z`.", "type": "string", "format": "google-datetime" }, "rescheduleType": { "enum": [ "RESCHEDULE_TYPE_UNSPECIFIED", "IMMEDIATE", "NEXT_AVAILABLE_WINDOW", "SPECIFIC_TIME" ], "type": "string", "enumDescriptions": [ "", "Reschedules maintenance to happen now (within 5 minutes).", "Reschedules maintenance to occur within one week from the originally scheduled day and time.", "Reschedules maintenance to a specific time and day." ], "description": "Required. The type of the reschedule." } } }, "SqlServerAuditConfig": { "id": "SqlServerAuditConfig", "type": "object", "properties": { "bucket": { "description": "The name of the destination bucket (e.g., gs://mybucket).", "type": "string" }, "uploadInterval": { "format": "google-duration", "description": "How often to upload generated audit files.", "type": "string" }, "kind": { "type": "string", "description": "This is always sql#sqlServerAuditConfig" }, "retentionInterval": { "description": "How long to keep generated audit files.", "format": "google-duration", "type": "string" } }, "description": "SQL Server specific audit configuration." }, "Tier": { "type": "object", "id": "Tier", "properties": { "region": { "items": { "type": "string" }, "type": "array", "description": "The applicable regions for this tier." }, "kind": { "type": "string", "description": "This is always `sql#tier`." }, "RAM": { "description": "The maximum RAM usage of this tier in bytes.", "format": "int64", "type": "string" }, "DiskQuota": { "type": "string", "format": "int64", "description": "The maximum disk size of this tier in bytes." }, "tier": { "description": "An identifier for the machine type, for example, `db-custom-1-3840`. For related information, see [Pricing](/sql/pricing).", "type": "string" } }, "description": "A Google Cloud SQL service tier resource." }, "ExportContext": { "type": "object", "id": "ExportContext", "description": "Database instance export context.", "properties": { "kind": { "description": "This is always `sql#exportContext`.", "type": "string" }, "sqlExportOptions": { "properties": { "mysqlExportOptions": { "description": "Options for exporting from MySQL.", "properties": { "masterData": { "format": "int32", "description": "Option to include SQL statement required to set up replication. If set to `1`, the dump file includes a CHANGE MASTER TO statement with the binary log coordinates, and --set-gtid-purged is set to ON. If set to `2`, the CHANGE MASTER TO statement is written as a SQL comment and has no effect. If set to any value other than `1`, --set-gtid-purged is set to OFF.", "type": "integer" } }, "type": "object" }, "tables": { "items": { "type": "string" }, "description": "Tables to export, or that were exported, from the specified database. If you specify tables, specify one and only one database. For PostgreSQL instances, you can specify only one table.", "type": "array" }, "schemaOnly": { "description": "Export only schemas.", "type": "boolean" } }, "description": "Options for exporting data as SQL statements.", "type": "object" }, "uri": { "type": "string", "description": "The path to the file in Google Cloud Storage where the export will be stored. The URI is in the form `gs://bucketName/fileName`. If the file already exists, the request succeeds, but the operation fails. If `fileType` is `SQL` and the filename ends with .gz, the contents are compressed." }, "csvExportOptions": { "properties": { "fieldsTerminatedBy": { "description": "Specifies the character that separates columns within each row (line) of the file.", "type": "string" }, "selectQuery": { "description": "The select query used to extract the data.", "type": "string" }, "linesTerminatedBy": { "type": "string", "description": "This is used to separate lines. If a line does not contain all fields, the rest of the columns are set to their default values." }, "escapeCharacter": { "type": "string", "description": "Specifies the character that should appear before a data character that needs to be escaped." }, "quoteCharacter": { "type": "string", "description": "Specifies the quoting character to be used when a data value is quoted." } }, "type": "object", "description": "Options for exporting data as CSV. `MySQL` and `PostgreSQL` instances only." }, "databases": { "type": "array", "items": { "type": "string" }, "description": "Databases to be exported. `MySQL instances:` If `fileType` is `SQL` and no database is specified, all databases are exported, except for the `mysql` system database. If `fileType` is `CSV`, you can specify one database, either by using this property or by using the `csvExportOptions.selectQuery` property, which takes precedence over this property. `PostgreSQL instances:` You must specify one database to be exported. If `fileType` is `CSV`, this database must match the one specified in the `csvExportOptions.selectQuery` property. `SQL Server instances:` You must specify one database to be exported, and the `fileType` must be `BAK`." }, "offload": { "type": "boolean", "description": "Option for export offload." }, "fileType": { "type": "string", "enumDescriptions": [ "Unknown file type.", "File containing SQL statements.", "File in CSV format.", "" ], "description": "The file type for the specified uri.", "enum": [ "SQL_FILE_TYPE_UNSPECIFIED", "SQL", "CSV", "BAK" ] } } }, "AclEntry": { "description": "An entry for an Access Control list.", "properties": { "name": { "description": "Optional. A label to identify this entry.", "type": "string" }, "expirationTime": { "format": "google-datetime", "type": "string", "description": "The time when this access control entry expires in [RFC 3339](https://tools.ietf.org/html/rfc3339) format, for example `2012-11-15T16:19:00.094Z`." }, "kind": { "description": "This is always `sql#aclEntry`.", "type": "string" }, "value": { "description": "The allowlisted value for the access control list.", "type": "string" } }, "type": "object", "id": "AclEntry" }, "InstancesRestoreBackupRequest": { "properties": { "restoreBackupContext": { "description": "Parameters required to perform the restore backup operation.", "$ref": "RestoreBackupContext" } }, "type": "object", "description": "Database instance restore backup request.", "id": "InstancesRestoreBackupRequest" }, "SslCertsInsertRequest": { "properties": { "commonName": { "type": "string", "description": "User supplied name. Must be a distinct name from the other certificates for this instance." } }, "id": "SslCertsInsertRequest", "description": "SslCerts insert request.", "type": "object" }, "SqlServerDatabaseDetails": { "id": "SqlServerDatabaseDetails", "properties": { "compatibilityLevel": { "format": "int32", "description": "The version of SQL Server with which the database is to be made compatible", "type": "integer" }, "recoveryModel": { "type": "string", "description": "The recovery model of a SQL Server database" } }, "description": "Represents a Sql Server database on the Cloud SQL instance.", "type": "object" }, "TruncateLogContext": { "properties": { "kind": { "type": "string", "description": "This is always `sql#truncateLogContext`." }, "logType": { "type": "string", "description": "The type of log to truncate. Valid values are `MYSQL_GENERAL_TABLE` and `MYSQL_SLOW_TABLE`." } }, "description": "Database Instance truncate log context.", "type": "object", "id": "TruncateLogContext" }, "FailoverContext": { "description": "Database instance failover context.", "type": "object", "properties": { "kind": { "description": "This is always `sql#failoverContext`.", "type": "string" }, "settingsVersion": { "type": "string", "format": "int64", "description": "The current settings version of this instance. Request will be rejected if this version doesn't match the current settings version." } }, "id": "FailoverContext" }, "GenerateEphemeralCertResponse": { "id": "GenerateEphemeralCertResponse", "description": "Ephemeral certificate creation request.", "properties": { "ephemeralCert": { "description": "Generated cert", "$ref": "SslCert" } }, "type": "object" }, "DenyMaintenancePeriod": { "type": "object", "id": "DenyMaintenancePeriod", "properties": { "startDate": { "type": "string", "description": "\"deny maintenance period\" start date. If the year of the start date is empty, the year of the end date also must be empty. In this case, it means the deny maintenance period recurs every year. The date is in format yyyy-mm-dd i.e., 2020-11-01, or mm-dd, i.e., 11-01" }, "endDate": { "type": "string", "description": "\"deny maintenance period\" end date. If the year of the end date is empty, the year of the start date also must be empty. In this case, it means the no maintenance interval recurs every year. The date is in format yyyy-mm-dd i.e., 2020-11-01, or mm-dd, i.e., 11-01" }, "time": { "description": "Time in UTC when the \"deny maintenance period\" starts on start_date and ends on end_date. The time is in format: HH:mm:SS, i.e., 00:00:00", "type": "string" } }, "description": "Deny maintenance Periods. This specifies a date range during when all CSA rollout will be denied." }, "MySqlReplicaConfiguration": { "type": "object", "description": "Read-replica configuration specific to MySQL databases.", "properties": { "kind": { "type": "string", "description": "This is always `sql#mysqlReplicaConfiguration`." }, "caCertificate": { "type": "string", "description": "PEM representation of the trusted CA's x509 certificate." }, "dumpFilePath": { "description": "Path to a SQL dump file in Google Cloud Storage from which the replica instance is to be created. The URI is in the form gs://bucketName/fileName. Compressed gzip files (.gz) are also supported. Dumps have the binlog co-ordinates from which replication begins. This can be accomplished by setting --master-data to 1 when using mysqldump.", "type": "string" }, "sslCipher": { "type": "string", "description": "A list of permissible ciphers to use for SSL encryption." }, "username": { "type": "string", "description": "The username for the replication connection." }, "password": { "type": "string", "description": "The password for the replication connection." }, "clientKey": { "type": "string", "description": "PEM representation of the replica's private key. The corresponsing public key is encoded in the client's certificate." }, "clientCertificate": { "description": "PEM representation of the replica's x509 certificate.", "type": "string" }, "verifyServerCertificate": { "type": "boolean", "description": "Whether or not to check the primary instance's Common Name value in the certificate that it sends during the SSL handshake." }, "connectRetryInterval": { "description": "Seconds to wait between connect retries. MySQL's default is 60 seconds.", "type": "integer", "format": "int32" }, "masterHeartbeatPeriod": { "type": "string", "description": "Interval in milliseconds between replication heartbeats.", "format": "int64" } }, "id": "MySqlReplicaConfiguration" }, "IpConfiguration": { "type": "object", "description": "IP Management configuration.", "properties": { "privateNetwork": { "type": "string", "description": "The resource link for the VPC network from which the Cloud SQL instance is accessible for private IP. For example, `/projects/myProject/global/networks/default`. This setting can be updated, but it cannot be removed after it is set." }, "allocatedIpRange": { "type": "string", "description": "The name of the allocated ip range for the private ip CloudSQL instance. For example: \"google-managed-services-default\". If set, the instance ip will be created in the allocated range. The range name must comply with [RFC 1035](https://tools.ietf.org/html/rfc1035). Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?.`" }, "ipv4Enabled": { "description": "Whether the instance is assigned a public IP address or not.", "type": "boolean" }, "requireSsl": { "type": "boolean", "description": "Whether SSL connections over IP are enforced or not." }, "authorizedNetworks": { "description": "The list of external networks that are allowed to connect to the instance using the IP. In 'CIDR' notation, also known as 'slash' notation (for example: `157.197.200.0/24`).", "items": { "$ref": "AclEntry" }, "type": "array" } }, "id": "IpConfiguration" }, "SqlInstancesVerifyExternalSyncSettingsResponse": { "type": "object", "description": "Instance verify external sync settings response.", "properties": { "errors": { "type": "array", "items": { "$ref": "SqlExternalSyncSettingError" }, "description": "List of migration violations." }, "warnings": { "description": "List of migration warnings.", "items": { "$ref": "SqlExternalSyncSettingError" }, "type": "array" }, "kind": { "type": "string", "description": "This is always `sql#migrationSettingErrorList`." } }, "id": "SqlInstancesVerifyExternalSyncSettingsResponse" }, "SslCert": { "description": "SslCerts Resource", "id": "SslCert", "type": "object", "properties": { "selfLink": { "type": "string", "description": "The URI of this resource." }, "commonName": { "type": "string", "description": "User supplied name. Constrained to [a-zA-Z.-_ ]+." }, "kind": { "description": "This is always `sql#sslCert`.", "type": "string" }, "expirationTime": { "type": "string", "description": "The time when the certificate expires in [RFC 3339](https://tools.ietf.org/html/rfc3339) format, for example `2012-11-15T16:19:00.094Z`.", "format": "google-datetime" }, "sha1Fingerprint": { "description": "Sha1 Fingerprint.", "type": "string" }, "cert": { "type": "string", "description": "PEM representation." }, "createTime": { "description": "The time when the certificate was created in [RFC 3339](https://tools.ietf.org/html/rfc3339) format, for example `2012-11-15T16:19:00.094Z`", "type": "string", "format": "google-datetime" }, "certSerialNumber": { "type": "string", "description": "Serial number, as extracted from the certificate." }, "instance": { "description": "Name of the database instance.", "type": "string" } } }, "InstancesFailoverRequest": { "id": "InstancesFailoverRequest", "properties": { "failoverContext": { "description": "Failover Context.", "$ref": "FailoverContext" } }, "description": "Instance failover request.", "type": "object" }, "DiskEncryptionConfiguration": { "type": "object", "properties": { "kind": { "description": "This is always `sql#diskEncryptionConfiguration`.", "type": "string" }, "kmsKeyName": { "description": "Resource name of KMS key for disk encryption", "type": "string" } }, "id": "DiskEncryptionConfiguration", "description": "Disk encryption configuration for an instance." }, "InstancesTruncateLogRequest": { "description": "Instance truncate log request.", "properties": { "truncateLogContext": { "description": "Contains details about the truncate log operation.", "$ref": "TruncateLogContext" } }, "type": "object", "id": "InstancesTruncateLogRequest" }, "SqlOutOfDiskReport": { "type": "object", "description": "This message wraps up the information written by out-of-disk detection job.", "id": "SqlOutOfDiskReport", "properties": { "sqlOutOfDiskState": { "type": "string", "enumDescriptions": [ "Unspecified state", "The instance has plenty space on data disk", "Data disk is almost used up. It is shutdown to prevent data corruption." ], "description": "This field represents the state generated by the proactive database wellness job for OutOfDisk issues. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Writers: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh the proactive database wellness job for OOD. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Readers: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh the proactive database wellness job", "enum": [ "SQL_OUT_OF_DISK_STATE_UNSPECIFIED", "NORMAL", "SOFT_SHUTDOWN" ] }, "sqlMinRecommendedIncreaseSizeGb": { "format": "int32", "description": "The minimum recommended increase size in GigaBytes This field is consumed by the frontend LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Writers: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh the proactive database wellness job for OOD. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Readers:", "type": "integer" } } }, "SqlScheduledMaintenance": { "properties": { "canDefer": { "type": "boolean" }, "startTime": { "format": "google-datetime", "type": "string", "description": "The start time of any upcoming scheduled maintenance for this instance." }, "canReschedule": { "type": "boolean", "description": "If the scheduled maintenance can be rescheduled." }, "scheduleDeadlineTime": { "type": "string", "format": "google-datetime", "description": "Maintenance cannot be rescheduled to start beyond this deadline." } }, "description": "Any scheduled maintenance for this instance.", "type": "object", "id": "SqlScheduledMaintenance" }, "MaintenanceWindow": { "description": "Maintenance window. This specifies when a Cloud SQL instance is restarted for system maintenance purposes.", "id": "MaintenanceWindow", "type": "object", "properties": { "hour": { "type": "integer", "format": "int32", "description": "hour of day - 0 to 23." }, "updateTrack": { "description": "Maintenance timing setting: `canary` (Earlier) or `stable` (Later). [Learn more](https://cloud.google.com/sql/docs/mysql/instance-settings#maintenance-timing-2ndgen).", "enumDescriptions": [ "This is an unknown maintenance timing preference.", "For instance update that requires a restart, this update track indicates your instance prefer to restart for new version early in maintenance window.", "For instance update that requires a restart, this update track indicates your instance prefer to let Cloud SQL choose the timing of restart (within its Maintenance window, if applicable)." ], "type": "string", "enum": [ "SQL_UPDATE_TRACK_UNSPECIFIED", "canary", "stable" ] }, "kind": { "type": "string", "description": "This is always `sql#maintenanceWindow`." }, "day": { "description": "day of week (1-7), starting on Monday.", "type": "integer", "format": "int32" } } }, "DatabaseFlags": { "description": "Database flags for Cloud SQL instances.", "type": "object", "properties": { "value": { "description": "The value of the flag. Boolean flags are set to `on` for true and `off` for false. This field must be omitted if the flag doesn't take a value.", "type": "string" }, "name": { "description": "The name of the flag. These flags are passed at instance startup, so include both server options and system variables. Flags are specified with underscores, not hyphens. For more information, see [Configuring Database Flags](https://cloud.google.com/sql/docs/mysql/flags) in the Cloud SQL documentation.", "type": "string" } }, "id": "DatabaseFlags" }, "OperationsListResponse": { "type": "object", "description": "Operations list response.", "properties": { "items": { "items": { "$ref": "Operation" }, "description": "List of operation resources.", "type": "array" }, "kind": { "type": "string", "description": "This is always `sql#operationsList`." }, "nextPageToken": { "description": "The continuation token, used to page through large result sets. Provide this value in a subsequent request to return the next page of results.", "type": "string" } }, "id": "OperationsListResponse" }, "BackupConfiguration": { "type": "object", "description": "Database instance backup configuration.", "properties": { "backupRetentionSettings": { "$ref": "BackupRetentionSettings", "description": "Backup retention settings." }, "enabled": { "type": "boolean", "description": "Whether this configuration is enabled." }, "startTime": { "description": "Start time for the daily backup configuration in UTC timezone in the 24 hour format - `HH:MM`.", "type": "string" }, "transactionLogRetentionDays": { "type": "integer", "format": "int32", "description": "The number of days of transaction logs we retain for point in time restore, from 1-7." }, "replicationLogArchivingEnabled": { "type": "boolean", "description": "Reserved for future use." }, "pointInTimeRecoveryEnabled": { "description": "(Postgres only) Whether point in time recovery is enabled.", "type": "boolean" }, "kind": { "type": "string", "description": "This is always `sql#backupConfiguration`." }, "binaryLogEnabled": { "description": "(MySQL only) Whether binary log is enabled. If backup configuration is disabled, binarylog must be disabled as well.", "type": "boolean" }, "location": { "description": "Location of the backup", "type": "string" } }, "id": "BackupConfiguration" }, "BinLogCoordinates": { "properties": { "kind": { "description": "This is always `sql#binLogCoordinates`.", "type": "string" }, "binLogFileName": { "type": "string", "description": "Name of the binary log file for a Cloud SQL instance." }, "binLogPosition": { "description": "Position (offset) within the binary log file.", "format": "int64", "type": "string" } }, "description": "Binary log coordinates.", "type": "object", "id": "BinLogCoordinates" }, "MySqlSyncConfig": { "id": "MySqlSyncConfig", "description": "MySQL-specific external server sync settings.", "properties": { "initialSyncFlags": { "items": { "$ref": "SyncFlags" }, "type": "array", "description": "Flags to use for the initial dump." } }, "type": "object" }, "DemoteMasterContext": { "id": "DemoteMasterContext", "properties": { "skipReplicationSetup": { "type": "boolean", "description": "Flag to skip replication setup on the instance." }, "masterInstanceName": { "description": "The name of the instance which will act as on-premises primary instance in the replication setup.", "type": "string" }, "replicaConfiguration": { "$ref": "DemoteMasterConfiguration", "description": "Configuration specific to read-replicas replicating from the on-premises primary instance." }, "verifyGtidConsistency": { "type": "boolean", "description": "Verify the GTID consistency for demote operation. Default value: `True`. Setting this flag to `false` enables you to bypass the GTID consistency check between on-premises primary instance and Cloud SQL instance during the demotion operation but also exposes you to the risk of future replication failures. Change the value only if you know the reason for the GTID divergence and are confident that doing so will not cause any replication issues." }, "kind": { "type": "string", "description": "This is always `sql#demoteMasterContext`." } }, "type": "object", "description": "Database instance demote primary instance context." }, "BackupRunsListResponse": { "properties": { "items": { "description": "A list of backup runs in reverse chronological order of the enqueued time.", "items": { "$ref": "BackupRun" }, "type": "array" }, "kind": { "description": "This is always `sql#backupRunsList`.", "type": "string" }, "nextPageToken": { "description": "The continuation token, used to page through large result sets. Provide this value in a subsequent request to return the next page of results.", "type": "string" } }, "type": "object", "description": "Backup run list results.", "id": "BackupRunsListResponse" }, "ReplicaConfiguration": { "id": "ReplicaConfiguration", "type": "object", "properties": { "failoverTarget": { "description": "Specifies if the replica is the failover target. If the field is set to `true`, the replica will be designated as a failover replica. In case the primary instance fails, the replica instance will be promoted as the new primary instance. Only one replica can be specified as failover target, and the replica has to be in different zone with the primary instance.", "type": "boolean" }, "kind": { "type": "string", "description": "This is always `sql#replicaConfiguration`." }, "mysqlReplicaConfiguration": { "$ref": "MySqlReplicaConfiguration", "description": "MySQL specific configuration when replicating from a MySQL on-premises primary instance. Replication configuration information such as the username, password, certificates, and keys are not stored in the instance metadata. The configuration information is used only to set up the replication connection and is stored by MySQL in a file named `master.info` in the data directory." } }, "description": "Read-replica configuration for connecting to the primary instance." }, "SqlExternalSyncSettingError": { "id": "SqlExternalSyncSettingError", "type": "object", "description": "External primary instance migration setting error/warning.", "properties": { "kind": { "description": "Can be `sql#externalSyncSettingError` or `sql#externalSyncSettingWarning`.", "type": "string" }, "detail": { "description": "Additional information about the error encountered.", "type": "string" }, "type": { "enum": [ "SQL_EXTERNAL_SYNC_SETTING_ERROR_TYPE_UNSPECIFIED", "CONNECTION_FAILURE", "BINLOG_NOT_ENABLED", "INCOMPATIBLE_DATABASE_VERSION", "REPLICA_ALREADY_SETUP", "INSUFFICIENT_PRIVILEGE", "UNSUPPORTED_MIGRATION_TYPE", "NO_PGLOGICAL_INSTALLED", "PGLOGICAL_NODE_ALREADY_EXISTS", "INVALID_WAL_LEVEL", "INVALID_SHARED_PRELOAD_LIBRARY", "INSUFFICIENT_MAX_REPLICATION_SLOTS", "INSUFFICIENT_MAX_WAL_SENDERS", "INSUFFICIENT_MAX_WORKER_PROCESSES", "UNSUPPORTED_EXTENSIONS", "INVALID_RDS_LOGICAL_REPLICATION", "INVALID_LOGGING_SETUP", "INVALID_DB_PARAM", "UNSUPPORTED_GTID_MODE", "SQLSERVER_AGENT_NOT_RUNNING", "UNSUPPORTED_TABLE_DEFINITION", "UNSUPPORTED_DEFINER", "SQLSERVER_SERVERNAME_MISMATCH", "PRIMARY_ALREADY_SETUP", "UNSUPPORTED_BINLOG_FORMAT", "BINLOG_RETENTION_SETTING", "UNSUPPORTED_STORAGE_ENGINE", "LIMITED_SUPPORT_TABLES" ], "description": "Identifies the specific error that occurred.", "enumDescriptions": [ "", "", "", "", "", "", "Unsupported migration type.", "No pglogical extension installed on databases, applicable for postgres.", "pglogical node already exists on databases, applicable for postgres.", "The value of parameter wal_level is not set to logical.", "The value of parameter shared_preload_libraries does not include pglogical.", "The value of parameter max_replication_slots is not sufficient.", "The value of parameter max_wal_senders is not sufficient.", "The value of parameter max_worker_processes is not sufficient.", "Extensions installed are either not supported or having unsupported versions", "The value of parameter rds.logical_replication is not set to 1.", "The primary instance logging setup doesn't allow EM sync.", "The primary instance database parameter setup doesn't allow EM sync.", "The gtid_mode is not supported, applicable for MySQL.", "SQL Server Agent is not running.", "The table definition is not support due to missing primary key or replica identity, applicable for postgres.", "The customer has a definer that will break EM setup.", "SQL Server @@SERVERNAME does not match actual host name", "The primary instance has been setup and will fail the setup.", "The primary instance has unsupported binary log format.", "The primary instance's binary log retention setting.", "The primary instance has tables with unsupported storage engine.", "Source has tables with limited support eg: PostgreSQL tables without primary keys" ], "type": "string" } } }, "InstancesDemoteMasterRequest": { "description": "Database demote primary instance request.", "type": "object", "properties": { "demoteMasterContext": { "description": "Contains details about the demoteMaster operation.", "$ref": "DemoteMasterContext" } }, "id": "InstancesDemoteMasterRequest" }, "PasswordStatus": { "type": "object", "description": "Read-only password status.", "properties": { "locked": { "type": "boolean", "description": "If true, user does not have login privileges." }, "passwordExpirationTime": { "description": "The expiration time of the current password.", "format": "google-datetime", "type": "string" } }, "id": "PasswordStatus" }, "CloneContext": { "type": "object", "id": "CloneContext", "properties": { "allocatedIpRange": { "description": "The name of the allocated ip range for the private ip CloudSQL instance. For example: \"google-managed-services-default\". If set, the cloned instance ip will be created in the allocated range. The range name must comply with [RFC 1035](https://tools.ietf.org/html/rfc1035). Specifically, the name must be 1-63 characters long and match the regular expression [a-z]([-a-z0-9]*[a-z0-9])?. Reserved for future use.", "type": "string" }, "destinationInstanceName": { "description": "Name of the Cloud SQL instance to be created as a clone.", "type": "string" }, "kind": { "type": "string", "description": "This is always `sql#cloneContext`." }, "pointInTime": { "type": "string", "description": "Timestamp, if specified, identifies the time to which the source instance is cloned.", "format": "google-datetime" }, "pitrTimestampMs": { "type": "string", "description": "Reserved for future use.", "format": "int64" }, "binLogCoordinates": { "$ref": "BinLogCoordinates", "description": "Binary log coordinates, if specified, identify the position up to which the source instance is cloned. If not specified, the source instance is cloned up to the most recent binary log coordinates." } }, "description": "Database instance clone context." }, "Settings": { "properties": { "activationPolicy": { "enumDescriptions": [ "Unknown activation plan.", "The instance is always up and running.", "The instance never starts.", "The instance starts upon receiving requests." ], "enum": [ "SQL_ACTIVATION_POLICY_UNSPECIFIED", "ALWAYS", "NEVER", "ON_DEMAND" ], "description": "The activation policy specifies when the instance is activated; it is applicable only when the instance state is RUNNABLE. Valid values: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `ALWAYS`: The instance is on, and remains so even in the absence of connection requests. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `NEVER`: The instance is off; it is not activated, even if a connection request arrives.", "type": "string" }, "availabilityType": { "enum": [ "SQL_AVAILABILITY_TYPE_UNSPECIFIED", "ZONAL", "REGIONAL" ], "enumDescriptions": [ "This is an unknown Availability type.", "Zonal available instance.", "Regional available instance." ], "description": "Availability type. Potential values: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `ZONAL`: The instance serves data from only one zone. Outages in that zone affect data accessibility. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `REGIONAL`: The instance can serve data from more than one zone in a region (it is highly available)./ For more information, see [Overview of the High Availability Configuration](https://cloud.google.com/sql/docs/mysql/high-availability).", "type": "string" }, "authorizedGaeApplications": { "items": { "type": "string" }, "type": "array", "description": "The App Engine app IDs that can access this instance. (Deprecated) Applied to First Generation instances only." }, "ipConfiguration": { "$ref": "IpConfiguration", "description": "The settings for IP Management. This allows to enable or disable the instance IP and manage which external networks can connect to the instance. The IPv4 address cannot be disabled for Second Generation instances." }, "activeDirectoryConfig": { "description": "Active Directory configuration, relevant only for Cloud SQL for SQL Server.", "$ref": "SqlActiveDirectoryConfig" }, "storageAutoResizeLimit": { "type": "string", "format": "int64", "description": "The maximum size to which storage capacity can be automatically increased. The default value is 0, which specifies that there is no limit." }, "locationPreference": { "$ref": "LocationPreference", "description": "The location preference settings. This allows the instance to be located as near as possible to either an App Engine app or Compute Engine zone for better performance. App Engine co-location was only applicable to First Generation instances." }, "maintenanceWindow": { "$ref": "MaintenanceWindow", "description": "The maintenance window for this instance. This specifies when the instance can be restarted for maintenance purposes." }, "kind": { "type": "string", "description": "This is always `sql#settings`." }, "denyMaintenancePeriods": { "items": { "$ref": "DenyMaintenancePeriod" }, "description": "Deny maintenance periods", "type": "array" }, "crashSafeReplicationEnabled": { "description": "Configuration specific to read replica instances. Indicates whether database flags for crash-safe replication are enabled. This property was only applicable to First Generation instances.", "type": "boolean" }, "userLabels": { "description": "User-provided labels, represented as a dictionary where each label is a single key value pair.", "type": "object", "additionalProperties": { "type": "string" } }, "replicationType": { "type": "string", "enumDescriptions": [ "This is an unknown replication type for a Cloud SQL instance.", "The synchronous replication mode for First Generation instances. It is the default value.", "The asynchronous replication mode for First Generation instances. It provides a slight performance gain, but if an outage occurs while this option is set to asynchronous, you can lose up to a few seconds of updates to your data." ], "description": "The type of replication this instance uses. This can be either `ASYNCHRONOUS` or `SYNCHRONOUS`. (Deprecated) This property was only applicable to First Generation instances.", "enum": [ "SQL_REPLICATION_TYPE_UNSPECIFIED", "SYNCHRONOUS", "ASYNCHRONOUS" ] }, "collation": { "type": "string", "description": "The name of server Instance collation." }, "tier": { "type": "string", "description": "The tier (or machine type) for this instance, for example `db-custom-1-3840`. WARNING: Changing this restarts the instance." }, "databaseFlags": { "type": "array", "items": { "$ref": "DatabaseFlags" }, "description": "The database flags passed to the instance at startup." }, "dataDiskSizeGb": { "format": "int64", "description": "The size of data disk, in GB. The data disk size minimum is 10GB.", "type": "string" }, "backupConfiguration": { "description": "The daily backup configuration for the instance.", "$ref": "BackupConfiguration" }, "settingsVersion": { "type": "string", "format": "int64", "description": "The version of instance settings. This is a required field for update method to make sure concurrent updates are handled properly. During update, use the most recent settingsVersion value for this instance and do not try to update this value." }, "passwordValidationPolicy": { "$ref": "PasswordValidationPolicy", "description": "The local user password validation policy of the instance." }, "databaseReplicationEnabled": { "type": "boolean", "description": "Configuration specific to read replica instances. Indicates whether replication is enabled or not. WARNING: Changing this restarts the instance." }, "dataDiskType": { "enum": [ "SQL_DATA_DISK_TYPE_UNSPECIFIED", "PD_SSD", "PD_HDD", "OBSOLETE_LOCAL_SSD" ], "description": "The type of data disk: `PD_SSD` (default) or `PD_HDD`. Not used for First Generation instances.", "enumDescriptions": [ "This is an unknown data disk type.", "An SSD data disk.", "An HDD data disk.", "This field is deprecated and will be removed from a future version of the API." ], "type": "string" }, "storageAutoResize": { "description": "Configuration to increase storage size automatically. The default value is true.", "type": "boolean" }, "insightsConfig": { "$ref": "InsightsConfig", "description": "Insights configuration, for now relevant only for Postgres." }, "sqlServerAuditConfig": { "$ref": "SqlServerAuditConfig", "description": "SQL Server specific audit configuration." }, "pricingPlan": { "enumDescriptions": [ "This is an unknown pricing plan for this instance.", "The instance is billed at a monthly flat rate.", "The instance is billed per usage." ], "description": "The pricing plan for this instance. This can be either `PER_USE` or `PACKAGE`. Only `PER_USE` is supported for Second Generation instances.", "enum": [ "SQL_PRICING_PLAN_UNSPECIFIED", "PACKAGE", "PER_USE" ], "type": "string" } }, "type": "object", "description": "Database instance settings.", "id": "Settings" }, "InstancesExportRequest": { "properties": { "exportContext": { "description": "Contains details about the export operation.", "$ref": "ExportContext" } }, "description": "Database instance export request.", "type": "object", "id": "InstancesExportRequest" }, "SslCertsInsertResponse": { "type": "object", "description": "SslCert insert response.", "id": "SslCertsInsertResponse", "properties": { "kind": { "description": "This is always `sql#sslCertsInsert`.", "type": "string" }, "clientCert": { "description": "The new client certificate and private key.", "$ref": "SslCertDetail" }, "serverCaCert": { "description": "The server Certificate Authority's certificate. If this is missing you can force a new one to be generated by calling resetSslConfig method on instances resource.", "$ref": "SslCert" }, "operation": { "description": "The operation to track the ssl certs insert request.", "$ref": "Operation" } } }, "OnPremisesConfiguration": { "description": "On-premises instance configuration.", "type": "object", "id": "OnPremisesConfiguration", "properties": { "caCertificate": { "type": "string", "description": "PEM representation of the trusted CA's x509 certificate." }, "clientKey": { "type": "string", "description": "PEM representation of the replica's private key. The corresponsing public key is encoded in the client's certificate." }, "sourceInstance": { "description": "The reference to Cloud SQL instance if the source is Cloud SQL.", "$ref": "InstanceReference" }, "hostPort": { "description": "The host and port of the on-premises instance in host:port format", "type": "string" }, "kind": { "type": "string", "description": "This is always `sql#onPremisesConfiguration`." }, "username": { "description": "The username for connecting to on-premises instance.", "type": "string" }, "clientCertificate": { "description": "PEM representation of the replica's x509 certificate.", "type": "string" }, "dumpFilePath": { "type": "string", "description": "The dump file to create the Cloud SQL replica." }, "password": { "description": "The password for connecting to on-premises instance.", "type": "string" } } }, "TiersListResponse": { "description": "Tiers list response.", "id": "TiersListResponse", "properties": { "kind": { "type": "string", "description": "This is always `sql#tiersList`." }, "items": { "items": { "$ref": "Tier" }, "type": "array", "description": "List of tiers." } }, "type": "object" }, "InstanceReference": { "description": "Reference to another Cloud SQL instance.", "id": "InstanceReference", "type": "object", "properties": { "region": { "description": "The region of the Cloud SQL instance being referenced.", "type": "string" }, "name": { "type": "string", "description": "The name of the Cloud SQL instance being referenced. This does not include the project ID." }, "project": { "type": "string", "description": "The project ID of the Cloud SQL instance being referenced. The default is the same project ID as the instance references it." } } }, "OperationError": { "description": "Database instance operation error.", "type": "object", "properties": { "code": { "description": "Identifies the specific error that occurred.", "type": "string" }, "kind": { "description": "This is always `sql#operationError`.", "type": "string" }, "message": { "type": "string", "description": "Additional information about the error encountered." } }, "id": "OperationError" }, "SslCertDetail": { "description": "SslCertDetail.", "id": "SslCertDetail", "type": "object", "properties": { "certPrivateKey": { "type": "string", "description": "The private key for the client cert, in pem format. Keep private in order to protect your security." }, "certInfo": { "$ref": "SslCert", "description": "The public information about the cert." } } }, "DatabaseInstance": { "description": "A Cloud SQL instance resource.", "id": "DatabaseInstance", "properties": { "ipAddresses": { "items": { "$ref": "IpMapping" }, "description": "The assigned IP addresses for the instance.", "type": "array" }, "gceZone": { "description": "The Compute Engine zone that the instance is currently serving from. This value could be different from the zone that was specified when the instance was created if the instance has failed over to its secondary zone. WARNING: Changing this might restart the instance.", "type": "string" }, "databaseVersion": { "enum": [ "SQL_DATABASE_VERSION_UNSPECIFIED", "MYSQL_5_1", "MYSQL_5_5", "MYSQL_5_6", "MYSQL_5_7", "POSTGRES_9_6", "POSTGRES_11", "SQLSERVER_2017_STANDARD", "SQLSERVER_2017_ENTERPRISE", "SQLSERVER_2017_EXPRESS", "SQLSERVER_2017_WEB", "POSTGRES_10", "POSTGRES_12", "MYSQL_8_0", "MYSQL_8_0_18", "MYSQL_8_0_26", "MYSQL_8_0_27", "MYSQL_8_0_28", "MYSQL_8_0_29", "POSTGRES_13", "POSTGRES_14", "SQLSERVER_2019_STANDARD", "SQLSERVER_2019_ENTERPRISE", "SQLSERVER_2019_EXPRESS", "SQLSERVER_2019_WEB" ], "enumDescriptions": [ "This is an unknown database version.", "The database version is MySQL 5.1.", "The database version is MySQL 5.5.", "The database version is MySQL 5.6.", "The database version is MySQL 5.7.", "The database version is PostgreSQL 9.6.", "The database version is PostgreSQL 11.", "The database version is SQL Server 2017 Standard.", "The database version is SQL Server 2017 Enterprise.", "The database version is SQL Server 2017 Express.", "The database version is SQL Server 2017 Web.", "The database version is PostgreSQL 10.", "The database version is PostgreSQL 12.", "The database version is MySQL 8.", "The database major version is MySQL 8.0 and the minor version is 18.", "The database major version is MySQL 8.0 and the minor version is 26.", "The database major version is MySQL 8.0 and the minor version is 27.", "The database major version is MySQL 8.0 and the minor version is 28.", "The database major version is MySQL 8.0 and the minor version is 29.", "The database version is PostgreSQL 13.", "The database version is PostgreSQL 14.", "The database version is SQL Server 2019 Standard.", "The database version is SQL Server 2019 Enterprise.", "The database version is SQL Server 2019 Express.", "The database version is SQL Server 2019 Web." ], "type": "string", "description": "The database engine type and version. The `databaseVersion` field cannot be changed after instance creation." }, "failoverReplica": { "description": "The name and status of the failover replica.", "type": "object", "properties": { "name": { "type": "string", "description": "The name of the failover replica. If specified at instance creation, a failover replica is created for the instance. The name doesn't include the project ID." }, "available": { "description": "The availability status of the failover replica. A false status indicates that the failover replica is out of sync. The primary instance can only failover to the failover replica when the status is true.", "type": "boolean" } } }, "selfLink": { "type": "string", "description": "The URI of this resource." }, "maxDiskSize": { "format": "int64", "type": "string", "description": "The maximum disk size of the instance in bytes." }, "instanceType": { "enum": [ "SQL_INSTANCE_TYPE_UNSPECIFIED", "CLOUD_SQL_INSTANCE", "ON_PREMISES_INSTANCE", "READ_REPLICA_INSTANCE" ], "enumDescriptions": [ "This is an unknown Cloud SQL instance type.", "A regular Cloud SQL instance that is not replicating from a primary instance.", "An instance running on the customer's premises that is not managed by Cloud SQL.", "A Cloud SQL instance acting as a read-replica." ], "type": "string", "description": "The instance type." }, "suspensionReason": { "type": "array", "items": { "enumDescriptions": [ "This is an unknown suspension reason.", "The instance is suspended due to billing issues (for example:, GCP account issue)", "The instance is suspended due to illegal content (for example:, child pornography, copyrighted material, etc.).", "The instance is causing operational issues (for example:, causing the database to crash).", "The KMS key used by the instance is either revoked or denied access to" ], "type": "string", "enum": [ "SQL_SUSPENSION_REASON_UNSPECIFIED", "BILLING_ISSUE", "LEGAL_ISSUE", "OPERATIONAL_ISSUE", "KMS_KEY_ISSUE" ] }, "description": "If the instance state is SUSPENDED, the reason for the suspension." }, "availableMaintenanceVersions": { "description": "List all maintenance versions applicable on the instance", "type": "array", "items": { "type": "string" } }, "name": { "description": "Name of the Cloud SQL instance. This does not include the project ID.", "type": "string" }, "currentDiskSize": { "type": "string", "description": "The current disk usage of the instance in bytes. This property has been deprecated. Use the \"cloudsql.googleapis.com/database/disk/bytes_used\" metric in Cloud Monitoring API instead. Please see [this announcement](https://groups.google.com/d/msg/google-cloud-sql-announce/I_7-F9EBhT0/BtvFtdFeAgAJ) for details.", "format": "int64" }, "satisfiesPzs": { "description": "The status indicating if instance satisfiesPzs. Reserved for future use.", "type": "boolean" }, "connectionName": { "description": "Connection name of the Cloud SQL instance used in connection strings.", "type": "string" }, "state": { "enum": [ "SQL_INSTANCE_STATE_UNSPECIFIED", "RUNNABLE", "SUSPENDED", "PENDING_DELETE", "PENDING_CREATE", "MAINTENANCE", "FAILED", "ONLINE_MAINTENANCE" ], "type": "string", "description": "The current serving state of the Cloud SQL instance.", "enumDescriptions": [ "The state of the instance is unknown.", "The instance is running, or has been stopped by owner.", "The instance is not available, for example due to problems with billing.", "The instance is being deleted.", "The instance is being created.", "The instance is down for maintenance.", "The creation of the instance failed or a fatal error occurred during maintenance.", "Deprecated" ] }, "rootPassword": { "description": "Initial root password. Use only on creation.", "type": "string" }, "replicaNames": { "type": "array", "items": { "type": "string" }, "description": "The replicas of the instance." }, "serverCaCert": { "$ref": "SslCert", "description": "SSL configuration." }, "secondaryGceZone": { "type": "string", "description": "The Compute Engine zone that the failover instance is currently serving from for a regional instance. This value could be different from the zone that was specified when the instance was created if the instance has failed over to its secondary/failover zone." }, "kind": { "description": "This is always `sql#instance`.", "type": "string" }, "maintenanceVersion": { "description": "The current software version on the instance.", "type": "string" }, "onPremisesConfiguration": { "$ref": "OnPremisesConfiguration", "description": "Configuration specific to on-premises instances." }, "backendType": { "enumDescriptions": [ "This is an unknown backend type for instance.", "V1 speckle instance.", "V2 speckle instance.", "On premises instance." ], "enum": [ "SQL_BACKEND_TYPE_UNSPECIFIED", "FIRST_GEN", "SECOND_GEN", "EXTERNAL" ], "description": "The backend type. `SECOND_GEN`: Cloud SQL database instance. `EXTERNAL`: A database server that is not managed by Google. This property is read-only; use the `tier` property in the `settings` object to determine the database type.", "type": "string" }, "replicaConfiguration": { "$ref": "ReplicaConfiguration", "description": "Configuration specific to failover replicas and read replicas." }, "diskEncryptionConfiguration": { "description": "Disk encryption configuration specific to an instance.", "$ref": "DiskEncryptionConfiguration" }, "scheduledMaintenance": { "description": "The start time of any upcoming scheduled maintenance for this instance.", "$ref": "SqlScheduledMaintenance" }, "region": { "description": "The geographical region. Can be: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `us-central` (`FIRST_GEN` instances only) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `us-central1` (`SECOND_GEN` instances only) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `asia-east1` or `europe-west1`. Defaults to `us-central` or `us-central1` depending on the instance type. The region cannot be changed after instance creation.", "type": "string" }, "outOfDiskReport": { "$ref": "SqlOutOfDiskReport", "description": "This field represents the report generated by the proactive database wellness job for OutOfDisk issues. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Writers: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh the proactive database wellness job for OOD. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Readers: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh the proactive database wellness job" }, "masterInstanceName": { "description": "The name of the instance which will act as primary in the replication setup.", "type": "string" }, "diskEncryptionStatus": { "$ref": "DiskEncryptionStatus", "description": "Disk encryption status specific to an instance." }, "ipv6Address": { "type": "string", "description": "The IPv6 address assigned to the instance. (Deprecated) This property was applicable only to First Generation instances." }, "etag": { "description": "This field is deprecated and will be removed from a future version of the API. Use the `settings.settingsVersion` field instead.", "type": "string" }, "serviceAccountEmailAddress": { "description": "The service account email address assigned to the instance.\\This property is read-only.", "type": "string" }, "databaseInstalledVersion": { "readOnly": true, "description": "Output only. Stores the current database version running on the instance including minor version such as `MYSQL_8_0_18`.", "type": "string" }, "project": { "description": "The project ID of the project containing the Cloud SQL instance. The Google apps domain is prefixed if applicable.", "type": "string" }, "settings": { "$ref": "Settings", "description": "The user settings." }, "createTime": { "readOnly": true, "format": "google-datetime", "type": "string", "description": "Output only. The time when the instance was created in [RFC 3339](https://tools.ietf.org/html/rfc3339) format, for example `2012-11-15T16:19:00.094Z`." } }, "type": "object" }, "BackupContext": { "type": "object", "id": "BackupContext", "properties": { "kind": { "description": "This is always `sql#backupContext`.", "type": "string" }, "backupId": { "description": "The identifier of the backup.", "format": "int64", "type": "string" } }, "description": "Backup context." }, "BackupRetentionSettings": { "type": "object", "id": "BackupRetentionSettings", "description": "We currently only support backup retention by specifying the number of backups we will retain.", "properties": { "retentionUnit": { "enumDescriptions": [ "Backup retention unit is unspecified, will be treated as COUNT.", "Retention will be by count, eg. \"retain the most recent 7 backups\"." ], "type": "string", "enum": [ "RETENTION_UNIT_UNSPECIFIED", "COUNT" ], "description": "The unit that 'retained_backups' represents." }, "retainedBackups": { "format": "int32", "description": "Depending on the value of retention_unit, this is used to determine if a backup needs to be deleted. If retention_unit is 'COUNT', we will retain this many backups.", "type": "integer" } } }, "InstancesCloneRequest": { "id": "InstancesCloneRequest", "description": "Database instance clone request.", "type": "object", "properties": { "cloneContext": { "description": "Contains details about the clone operation.", "$ref": "CloneContext" } } }, "BackupRun": { "type": "object", "id": "BackupRun", "description": "A BackupRun resource.", "properties": { "windowStartTime": { "type": "string", "format": "google-datetime", "description": "The start time of the backup window during which this the backup was attempted in [RFC 3339](https://tools.ietf.org/html/rfc3339) format, for example `2012-11-15T16:19:00.094Z`." }, "error": { "$ref": "OperationError", "description": "Information about why the backup operation failed. This is only present if the run has the FAILED status." }, "enqueuedTime": { "type": "string", "format": "google-datetime", "description": "The time the run was enqueued in UTC timezone in [RFC 3339](https://tools.ietf.org/html/rfc3339) format, for example `2012-11-15T16:19:00.094Z`." }, "diskEncryptionStatus": { "description": "Encryption status specific to a backup.", "$ref": "DiskEncryptionStatus" }, "description": { "description": "The description of this run, only applicable to on-demand backups.", "type": "string" }, "status": { "description": "The status of this run.", "enum": [ "SQL_BACKUP_RUN_STATUS_UNSPECIFIED", "ENQUEUED", "OVERDUE", "RUNNING", "FAILED", "SUCCESSFUL", "SKIPPED", "DELETION_PENDING", "DELETION_FAILED", "DELETED" ], "enumDescriptions": [ "The status of the run is unknown.", "The backup operation was enqueued.", "The backup is overdue across a given backup window. Indicates a problem. Example: Long-running operation in progress during the whole window.", "The backup is in progress.", "The backup failed.", "The backup was successful.", "The backup was skipped (without problems) for a given backup window. Example: Instance was idle.", "The backup is about to be deleted.", "The backup deletion failed.", "The backup has been deleted." ], "type": "string" }, "location": { "type": "string", "description": "Location of the backups." }, "startTime": { "type": "string", "description": "The time the backup operation actually started in UTC timezone in [RFC 3339](https://tools.ietf.org/html/rfc3339) format, for example `2012-11-15T16:19:00.094Z`.", "format": "google-datetime" }, "selfLink": { "type": "string", "description": "The URI of this resource." }, "backupKind": { "enum": [ "SQL_BACKUP_KIND_UNSPECIFIED", "SNAPSHOT", "PHYSICAL" ], "description": "Specifies the kind of backup, PHYSICAL or DEFAULT_SNAPSHOT.", "type": "string", "enumDescriptions": [ "This is an unknown BackupKind.", "The snapshot based backups", "Physical backups" ] }, "id": { "type": "string", "format": "int64", "description": "The identifier for this backup run. Unique only for a specific Cloud SQL instance." }, "type": { "enumDescriptions": [ "This is an unknown BackupRun type.", "The backup schedule automatically triggers a backup.", "The user manually triggers a backup." ], "type": "string", "description": "The type of this run; can be either \"AUTOMATED\" or \"ON_DEMAND\". This field defaults to \"ON_DEMAND\" and is ignored, when specified for insert requests.", "enum": [ "SQL_BACKUP_RUN_TYPE_UNSPECIFIED", "AUTOMATED", "ON_DEMAND" ] }, "instance": { "type": "string", "description": "Name of the database instance." }, "endTime": { "format": "google-datetime", "type": "string", "description": "The time the backup operation completed in UTC timezone in [RFC 3339](https://tools.ietf.org/html/rfc3339) format, for example `2012-11-15T16:19:00.094Z`." }, "diskEncryptionConfiguration": { "description": "Encryption configuration specific to a backup.", "$ref": "DiskEncryptionConfiguration" }, "kind": { "description": "This is always `sql#backupRun`.", "type": "string" } } }, "RestoreBackupContext": { "description": "Database instance restore from backup context. Backup context contains source instance id and project id.", "type": "object", "id": "RestoreBackupContext", "properties": { "project": { "type": "string", "description": "The full project ID of the source instance." }, "instanceId": { "type": "string", "description": "The ID of the instance that the backup was taken from." }, "kind": { "description": "This is always `sql#restoreBackupContext`.", "type": "string" }, "backupRunId": { "type": "string", "description": "The ID of the backup run to restore from.", "format": "int64" } } }, "UserPasswordValidationPolicy": { "properties": { "passwordExpirationDuration": { "format": "google-duration", "description": "Expiration duration after password is updated.", "type": "string" }, "status": { "$ref": "PasswordStatus", "readOnly": true, "description": "Output only. Read-only password status." }, "enablePasswordVerification": { "description": "If true, the user must specify the current password before changing the password. This flag is supported only for MySQL.", "type": "boolean" }, "allowedFailedAttempts": { "format": "int32", "type": "integer", "description": "Number of failed login attempts allowed before user get locked." }, "enableFailedAttemptsCheck": { "description": "If true, failed login attempts check will be enabled.", "type": "boolean" } }, "id": "UserPasswordValidationPolicy", "description": "User level password validation policy.", "type": "object" }, "OperationErrors": { "id": "OperationErrors", "type": "object", "properties": { "errors": { "type": "array", "description": "The list of errors encountered while processing this operation.", "items": { "$ref": "OperationError" } }, "kind": { "type": "string", "description": "This is always `sql#operationErrors`." } }, "description": "Database instance operation errors list wrapper." }, "UsersListResponse": { "type": "object", "properties": { "kind": { "description": "This is always `sql#usersList`.", "type": "string" }, "nextPageToken": { "description": "An identifier that uniquely identifies the operation. You can use this identifier to retrieve the Operations resource that has information about the operation.", "type": "string" }, "items": { "description": "List of user resources in the instance.", "items": { "$ref": "User" }, "type": "array" } }, "id": "UsersListResponse", "description": "User list response." }, "Database": { "type": "object", "id": "Database", "properties": { "etag": { "description": "This field is deprecated and will be removed from a future version of the API.", "type": "string" }, "charset": { "type": "string", "description": "The Cloud SQL charset value." }, "sqlserverDatabaseDetails": { "$ref": "SqlServerDatabaseDetails" }, "kind": { "description": "This is always `sql#database`.", "type": "string" }, "project": { "type": "string", "description": "The project ID of the project containing the Cloud SQL database. The Google apps domain is prefixed if applicable." }, "selfLink": { "type": "string", "description": "The URI of this resource." }, "instance": { "description": "The name of the Cloud SQL instance. This does not include the project ID.", "type": "string" }, "name": { "type": "string", "description": "The name of the database in the Cloud SQL instance. This does not include the project ID or instance name." }, "collation": { "description": "The Cloud SQL collation value.", "type": "string" } }, "description": "Represents a SQL database on the Cloud SQL instance." }, "SqlServerUserDetails": { "description": "Represents a Sql Server user on the Cloud SQL instance.", "type": "object", "id": "SqlServerUserDetails", "properties": { "disabled": { "type": "boolean", "description": "If the user has been disabled" }, "serverRoles": { "type": "array", "description": "The server roles for this user", "items": { "type": "string" } } } }, "SqlInstancesStartExternalSyncRequest": { "properties": { "mysqlSyncConfig": { "$ref": "MySqlSyncConfig", "description": "MySQL-specific settings for start external sync." }, "skipVerification": { "type": "boolean", "description": "Whether to skip the verification step (VESS)." }, "syncMode": { "enum": [ "EXTERNAL_SYNC_MODE_UNSPECIFIED", "ONLINE", "OFFLINE" ], "enumDescriptions": [ "Unknown external sync mode, will be defaulted to ONLINE mode", "Online external sync will set up replication after initial data external sync", "Offline external sync only dumps and loads a one-time snapshot of the primary instance's data" ], "type": "string", "description": "External sync mode." } }, "type": "object", "id": "SqlInstancesStartExternalSyncRequest", "description": "Instance start external sync request." }, "Flag": { "type": "object", "id": "Flag", "description": "A flag resource.", "properties": { "inBeta": { "type": "boolean", "description": "Whether or not the flag is considered in beta." }, "allowedIntValues": { "items": { "type": "string", "format": "int64" }, "type": "array", "description": "Use this field if only certain integers are accepted. Can be combined with min_value and max_value to add additional values." }, "maxValue": { "description": "For `INTEGER` flags, the maximum allowed value.", "format": "int64", "type": "string" }, "type": { "description": "The type of the flag. Flags are typed to being `BOOLEAN`, `STRING`, `INTEGER` or `NONE`. `NONE` is used for flags that do not take a value, such as `skip_grant_tables`.", "type": "string", "enumDescriptions": [ "This is an unknown flag type.", "Boolean type flag.", "String type flag.", "Integer type flag.", "Flag type used for a server startup option.", "Type introduced specially for MySQL TimeZone offset. Accept a string value with the format [-12:59, 13:00].", "Float type flag.", "Comma-separated list of the strings in a SqlFlagType enum." ], "enum": [ "SQL_FLAG_TYPE_UNSPECIFIED", "BOOLEAN", "STRING", "INTEGER", "NONE", "MYSQL_TIMEZONE_OFFSET", "FLOAT", "REPEATED_STRING" ] }, "minValue": { "format": "int64", "description": "For `INTEGER` flags, the minimum allowed value.", "type": "string" }, "appliesTo": { "description": "The database version this flag applies to. Can be MySQL instances: `MYSQL_8_0`, `MYSQL_8_0_18`, `MYSQL_8_0_26`, `MYSQL_5_7`, or `MYSQL_5_6`. PostgreSQL instances: `POSTGRES_9_6`, `POSTGRES_10`, `POSTGRES_11` or `POSTGRES_12`. SQL Server instances: `SQLSERVER_2017_STANDARD`, `SQLSERVER_2017_ENTERPRISE`, `SQLSERVER_2017_EXPRESS`, `SQLSERVER_2017_WEB`, `SQLSERVER_2019_STANDARD`, `SQLSERVER_2019_ENTERPRISE`, `SQLSERVER_2019_EXPRESS`, or `SQLSERVER_2019_WEB`. See [the complete list](/sql/docs/mysql/admin-api/rest/v1/SqlDatabaseVersion).", "type": "array", "items": { "enum": [ "SQL_DATABASE_VERSION_UNSPECIFIED", "MYSQL_5_1", "MYSQL_5_5", "MYSQL_5_6", "MYSQL_5_7", "POSTGRES_9_6", "POSTGRES_11", "SQLSERVER_2017_STANDARD", "SQLSERVER_2017_ENTERPRISE", "SQLSERVER_2017_EXPRESS", "SQLSERVER_2017_WEB", "POSTGRES_10", "POSTGRES_12", "MYSQL_8_0", "MYSQL_8_0_18", "MYSQL_8_0_26", "MYSQL_8_0_27", "MYSQL_8_0_28", "MYSQL_8_0_29", "POSTGRES_13", "POSTGRES_14", "SQLSERVER_2019_STANDARD", "SQLSERVER_2019_ENTERPRISE", "SQLSERVER_2019_EXPRESS", "SQLSERVER_2019_WEB" ], "enumDescriptions": [ "This is an unknown database version.", "The database version is MySQL 5.1.", "The database version is MySQL 5.5.", "The database version is MySQL 5.6.", "The database version is MySQL 5.7.", "The database version is PostgreSQL 9.6.", "The database version is PostgreSQL 11.", "The database version is SQL Server 2017 Standard.", "The database version is SQL Server 2017 Enterprise.", "The database version is SQL Server 2017 Express.", "The database version is SQL Server 2017 Web.", "The database version is PostgreSQL 10.", "The database version is PostgreSQL 12.", "The database version is MySQL 8.", "The database major version is MySQL 8.0 and the minor version is 18.", "The database major version is MySQL 8.0 and the minor version is 26.", "The database major version is MySQL 8.0 and the minor version is 27.", "The database major version is MySQL 8.0 and the minor version is 28.", "The database major version is MySQL 8.0 and the minor version is 29.", "The database version is PostgreSQL 13.", "The database version is PostgreSQL 14.", "The database version is SQL Server 2019 Standard.", "The database version is SQL Server 2019 Enterprise.", "The database version is SQL Server 2019 Express.", "The database version is SQL Server 2019 Web." ], "type": "string" } }, "requiresRestart": { "type": "boolean", "description": "Indicates whether changing this flag will trigger a database restart. Only applicable to Second Generation instances." }, "allowedStringValues": { "type": "array", "items": { "type": "string" }, "description": "For `STRING` flags, a list of strings that the value can be set to." }, "kind": { "description": "This is always `sql#flag`.", "type": "string" }, "name": { "description": "This is the name of the flag. Flag names always use underscores, not hyphens, for example: `max_allowed_packet`", "type": "string" } } } }, "servicePath": "", "baseUrl": "https://sqladmin.googleapis.com/", "resources": { "connect": { "methods": { "generateEphemeralCert": { "response": { "$ref": "GenerateEphemeralCertResponse" }, "httpMethod": "POST", "parameters": { "instance": { "required": true, "description": "Cloud SQL instance ID. This does not include the project ID.", "type": "string", "location": "path" }, "project": { "required": true, "type": "string", "description": "Project ID of the project that contains the instance.", "location": "path" } }, "parameterOrder": [ "project", "instance" ], "flatPath": "v1/projects/{project}/instances/{instance}:generateEphemeralCert", "request": { "$ref": "GenerateEphemeralCertRequest" }, "id": "sql.connect.generateEphemeral", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/sqlservice.admin" ], "description": "Generates a short-lived X509 certificate containing the provided public key and signed by a private key specific to the target instance. Users may use the certificate to authenticate as themselves when connecting to the database.", "path": "v1/projects/{project}/instances/{instance}:generateEphemeralCert" }, "get": { "httpMethod": "GET", "response": { "$ref": "ConnectSettings" }, "id": "sql.connect.get", "flatPath": "v1/projects/{project}/instances/{instance}/connectSettings", "description": "Retrieves connect settings about a Cloud SQL instance.", "parameterOrder": [ "project", "instance" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/sqlservice.admin" ], "parameters": { "instance": { "type": "string", "description": "Cloud SQL instance ID. This does not include the project ID.", "required": true, "location": "path" }, "readTime": { "format": "google-datetime", "location": "query", "type": "string", "description": "Optional. Optional snapshot read timestamp to trade freshness for performance." }, "project": { "location": "path", "required": true, "description": "Project ID of the project that contains the instance.", "type": "string" } }, "path": "v1/projects/{project}/instances/{instance}/connectSettings" } } }, "tiers": { "methods": { "list": { "parameterOrder": [ "project" ], "flatPath": "v1/projects/{project}/tiers", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/sqlservice.admin" ], "description": "Lists all available machine types (tiers) for Cloud SQL, for example, `db-custom-1-3840`. For more information, see https://cloud.google.com/sql/pricing.", "response": { "$ref": "TiersListResponse" }, "path": "v1/projects/{project}/tiers", "parameters": { "project": { "type": "string", "required": true, "description": "Project ID of the project for which to list tiers.", "location": "path" } }, "id": "sql.tiers.list" } } }, "instances": { "methods": { "demoteMaster": { "description": "Demotes the stand-alone instance to be a Cloud SQL read replica for an external database server.", "parameters": { "instance": { "type": "string", "required": true, "location": "path", "description": "Cloud SQL instance name." }, "project": { "description": "ID of the project that contains the instance.", "required": true, "type": "string", "location": "path" } }, "flatPath": "v1/projects/{project}/instances/{instance}/demoteMaster", "id": "sql.instances.demoteMaster", "request": { "$ref": "InstancesDemoteMasterRequest" }, "parameterOrder": [ "project", "instance" ], "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/sqlservice.admin" ], "response": { "$ref": "Operation" }, "path": "v1/projects/{project}/instances/{instance}/demoteMaster" }, "patch": { "id": "sql.instances.patch", "flatPath": "v1/projects/{project}/instances/{instance}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/sqlservice.admin" ], "parameterOrder": [ "project", "instance" ], "path": "v1/projects/{project}/instances/{instance}", "request": { "$ref": "DatabaseInstance" }, "parameters": { "instance": { "type": "string", "required": true, "location": "path", "description": "Cloud SQL instance ID. This does not include the project ID." }, "project": { "location": "path", "type": "string", "required": true, "description": "Project ID of the project that contains the instance." } }, "httpMethod": "PATCH", "response": { "$ref": "Operation" }, "description": "Updates settings of a Cloud SQL instance. This method supports patch semantics." }, "import": { "parameterOrder": [ "project", "instance" ], "description": "Imports data into a Cloud SQL instance from a SQL dump or CSV file in Cloud Storage.", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/projects/{project}/instances/{instance}/import", "request": { "$ref": "InstancesImportRequest" }, "response": { "$ref": "Operation" }, "parameters": { "project": { "required": true, "description": "Project ID of the project that contains the instance.", "type": "string", "location": "path" }, "instance": { "required": true, "location": "path", "description": "Cloud SQL instance ID. This does not include the project ID.", "type": "string" } }, "path": "v1/projects/{project}/instances/{instance}/import", "id": "sql.instances.import" }, "listServerCas": { "response": { "$ref": "InstancesListServerCasResponse" }, "flatPath": "v1/projects/{project}/instances/{instance}/listServerCas", "description": "Lists all of the trusted Certificate Authorities (CAs) for the specified instance. There can be up to three CAs listed: the CA that was used to sign the certificate that is currently in use, a CA that has been added but not yet used to sign a certificate, and a CA used to sign a certificate that has previously rotated out.", "httpMethod": "GET", "path": "v1/projects/{project}/instances/{instance}/listServerCas", "id": "sql.instances.listServerCas", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/sqlservice.admin" ], "parameterOrder": [ "project", "instance" ], "parameters": { "instance": { "location": "path", "required": true, "description": "Cloud SQL instance ID. This does not include the project ID.", "type": "string" }, "project": { "required": true, "location": "path", "type": "string", "description": "Project ID of the project that contains the instance." } } }, "restoreBackup": { "parameters": { "instance": { "location": "path", "required": true, "type": "string", "description": "Cloud SQL instance ID. This does not include the project ID." }, "project": { "type": "string", "description": "Project ID of the project that contains the instance.", "required": true, "location": "path" } }, "flatPath": "v1/projects/{project}/instances/{instance}/restoreBackup", "httpMethod": "POST", "path": "v1/projects/{project}/instances/{instance}/restoreBackup", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/sqlservice.admin" ], "request": { "$ref": "InstancesRestoreBackupRequest" }, "response": { "$ref": "Operation" }, "id": "sql.instances.restoreBackup", "parameterOrder": [ "project", "instance" ], "description": "Restores a backup of a Cloud SQL instance. Using this operation might cause your instance to restart." }, "export": { "flatPath": "v1/projects/{project}/instances/{instance}/export", "request": { "$ref": "InstancesExportRequest" }, "id": "sql.instances.export", "httpMethod": "POST", "description": "Exports data from a Cloud SQL instance to a Cloud Storage bucket as a SQL dump or CSV file.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/projects/{project}/instances/{instance}/export", "parameterOrder": [ "project", "instance" ], "response": { "$ref": "Operation" }, "parameters": { "project": { "type": "string", "location": "path", "required": true, "description": "Project ID of the project that contains the instance to be exported." }, "instance": { "description": "Cloud SQL instance ID. This does not include the project ID.", "type": "string", "location": "path", "required": true } } }, "list": { "path": "v1/projects/{project}/instances", "parameters": { "project": { "required": true, "location": "path", "description": "Project ID of the project for which to list Cloud SQL instances.", "type": "string" }, "maxResults": { "type": "integer", "format": "uint32", "location": "query", "description": "The maximum number of instances to return. The service may return fewer than this value. If unspecified, at most 500 instances are returned. The maximum value is 1000; values above 1000 are coerced to 1000." }, "filter": { "description": "A filter expression that filters resources listed in the response. The expression is in the form of field:value. For example, 'instanceType:CLOUD_SQL_INSTANCE'. Fields can be nested as needed as per their JSON representation, such as 'settings.userLabels.auto_start:true'. Multiple filter queries are space-separated. For example. 'state:RUNNABLE instanceType:CLOUD_SQL_INSTANCE'. By default, each expression is an AND expression. However, you can include AND and OR expressions explicitly.", "type": "string", "location": "query" }, "pageToken": { "description": "A previously-returned page token representing part of the larger set of results to view.", "type": "string", "location": "query" } }, "flatPath": "v1/projects/{project}/instances", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/sqlservice.admin" ], "id": "sql.instances.list", "description": "Lists instances under a given project.", "response": { "$ref": "InstancesListResponse" }, "parameterOrder": [ "project" ], "httpMethod": "GET" }, "truncateLog": { "id": "sql.instances.truncateLog", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/sqlservice.admin" ], "description": "Truncate MySQL general and slow query log tables MySQL only.", "parameters": { "instance": { "description": "Cloud SQL instance ID. This does not include the project ID.", "type": "string", "location": "path", "required": true }, "project": { "type": "string", "description": "Project ID of the Cloud SQL project.", "location": "path", "required": true } }, "parameterOrder": [ "project", "instance" ], "path": "v1/projects/{project}/instances/{instance}/truncateLog", "flatPath": "v1/projects/{project}/instances/{instance}/truncateLog", "httpMethod": "POST", "request": { "$ref": "InstancesTruncateLogRequest" }, "response": { "$ref": "Operation" } }, "clone": { "request": { "$ref": "InstancesCloneRequest" }, "path": "v1/projects/{project}/instances/{instance}/clone", "description": "Creates a Cloud SQL instance as a clone of the source instance. Using this operation might cause your instance to restart.", "id": "sql.instances.clone", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/sqlservice.admin" ], "parameterOrder": [ "project", "instance" ], "response": { "$ref": "Operation" }, "parameters": { "instance": { "type": "string", "location": "path", "required": true, "description": "The ID of the Cloud SQL instance to be cloned (source). This does not include the project ID." }, "project": { "description": "Project ID of the source as well as the clone Cloud SQL instance.", "location": "path", "type": "string", "required": true } }, "flatPath": "v1/projects/{project}/instances/{instance}/clone" }, "failover": { "id": "sql.instances.failover", "path": "v1/projects/{project}/instances/{instance}/failover", "flatPath": "v1/projects/{project}/instances/{instance}/failover", "parameters": { "project": { "type": "string", "location": "path", "required": true, "description": "ID of the project that contains the read replica." }, "instance": { "description": "Cloud SQL instance ID. This does not include the project ID.", "location": "path", "type": "string", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/sqlservice.admin" ], "response": { "$ref": "Operation" }, "parameterOrder": [ "project", "instance" ], "request": { "$ref": "InstancesFailoverRequest" }, "httpMethod": "POST", "description": "Initiates a manual failover of a high availability (HA) primary instance to a standby instance, which becomes the primary instance. Users are then rerouted to the new primary. For more information, see the [Overview of high availability](https://cloud.google.com/sql/docs/mysql/high-availability) page in the Cloud SQL documentation. If using Legacy HA (MySQL only), this causes the instance to failover to its failover replica instance." }, "stopReplica": { "path": "v1/projects/{project}/instances/{instance}/stopReplica", "parameterOrder": [ "project", "instance" ], "flatPath": "v1/projects/{project}/instances/{instance}/stopReplica", "response": { "$ref": "Operation" }, "parameters": { "instance": { "required": true, "location": "path", "type": "string", "description": "Cloud SQL read replica instance name." }, "project": { "description": "ID of the project that contains the read replica.", "type": "string", "required": true, "location": "path" } }, "description": "Stops the replication in the read replica instance.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/sqlservice.admin" ], "httpMethod": "POST", "id": "sql.instances.stopReplica" }, "promoteReplica": { "id": "sql.instances.promoteReplica", "flatPath": "v1/projects/{project}/instances/{instance}/promoteReplica", "parameterOrder": [ "project", "instance" ], "httpMethod": "POST", "description": "Promotes the read replica instance to be a stand-alone Cloud SQL instance. Using this operation might cause your instance to restart.", "path": "v1/projects/{project}/instances/{instance}/promoteReplica", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/sqlservice.admin" ], "response": { "$ref": "Operation" }, "parameters": { "project": { "location": "path", "description": "ID of the project that contains the read replica.", "type": "string", "required": true }, "instance": { "type": "string", "description": "Cloud SQL read replica instance name.", "location": "path", "required": true } } }, "rotateServerCa": { "parameterOrder": [ "project", "instance" ], "request": { "$ref": "InstancesRotateServerCaRequest" }, "id": "sql.instances.rotateServerCa", "description": "Rotates the server certificate to one signed by the Certificate Authority (CA) version previously added with the addServerCA method.", "parameters": { "project": { "required": true, "type": "string", "description": "Project ID of the project that contains the instance.", "location": "path" }, "instance": { "required": true, "description": "Cloud SQL instance ID. This does not include the project ID.", "type": "string", "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/sqlservice.admin" ], "path": "v1/projects/{project}/instances/{instance}/rotateServerCa", "httpMethod": "POST", "response": { "$ref": "Operation" }, "flatPath": "v1/projects/{project}/instances/{instance}/rotateServerCa" }, "startReplica": { "httpMethod": "POST", "response": { "$ref": "Operation" }, "id": "sql.instances.startReplica", "path": "v1/projects/{project}/instances/{instance}/startReplica", "parameterOrder": [ "project", "instance" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/sqlservice.admin" ], "description": "Starts the replication in the read replica instance.", "flatPath": "v1/projects/{project}/instances/{instance}/startReplica", "parameters": { "instance": { "location": "path", "required": true, "description": "Cloud SQL read replica instance name.", "type": "string" }, "project": { "description": "ID of the project that contains the read replica.", "location": "path", "type": "string", "required": true } } }, "resetSslConfig": { "parameterOrder": [ "project", "instance" ], "description": "Deletes all client certificates and generates a new server SSL certificate for the instance.", "flatPath": "v1/projects/{project}/instances/{instance}/resetSslConfig", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/sqlservice.admin" ], "response": { "$ref": "Operation" }, "path": "v1/projects/{project}/instances/{instance}/resetSslConfig", "parameters": { "project": { "required": true, "location": "path", "description": "Project ID of the project that contains the instance.", "type": "string" }, "instance": { "description": "Cloud SQL instance ID. This does not include the project ID.", "required": true, "type": "string", "location": "path" } }, "id": "sql.instances.resetSslConfig", "httpMethod": "POST" }, "delete": { "id": "sql.instances.delete", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/sqlservice.admin" ], "response": { "$ref": "Operation" }, "flatPath": "v1/projects/{project}/instances/{instance}", "parameters": { "project": { "location": "path", "description": "Project ID of the project that contains the instance to be deleted.", "type": "string", "required": true }, "instance": { "description": "Cloud SQL instance ID. This does not include the project ID.", "required": true, "type": "string", "location": "path" } }, "httpMethod": "DELETE", "path": "v1/projects/{project}/instances/{instance}", "description": "Deletes a Cloud SQL instance.", "parameterOrder": [ "project", "instance" ] }, "addServerCa": { "parameterOrder": [ "project", "instance" ], "flatPath": "v1/projects/{project}/instances/{instance}/addServerCa", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/sqlservice.admin" ], "path": "v1/projects/{project}/instances/{instance}/addServerCa", "response": { "$ref": "Operation" }, "description": "Adds a new trusted Certificate Authority (CA) version for the specified instance. Required to prepare for a certificate rotation. If a CA version was previously added but never used in a certificate rotation, this operation replaces that version. There cannot be more than one CA version waiting to be rotated in.", "id": "sql.instances.addServerCa", "httpMethod": "POST", "parameters": { "instance": { "type": "string", "required": true, "location": "path", "description": "Cloud SQL instance ID. This does not include the project ID." }, "project": { "location": "path", "type": "string", "description": "Project ID of the project that contains the instance.", "required": true } } }, "restart": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/sqlservice.admin" ], "response": { "$ref": "Operation" }, "parameterOrder": [ "project", "instance" ], "description": "Restarts a Cloud SQL instance.", "flatPath": "v1/projects/{project}/instances/{instance}/restart", "parameters": { "project": { "location": "path", "required": true, "type": "string", "description": "Project ID of the project that contains the instance to be restarted." }, "instance": { "location": "path", "type": "string", "description": "Cloud SQL instance ID. This does not include the project ID.", "required": true } }, "id": "sql.instances.restart", "httpMethod": "POST", "path": "v1/projects/{project}/instances/{instance}/restart" }, "get": { "parameters": { "project": { "type": "string", "description": "Project ID of the project that contains the instance.", "location": "path", "required": true }, "instance": { "required": true, "type": "string", "location": "path", "description": "Database instance ID. This does not include the project ID." } }, "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/sqlservice.admin" ], "flatPath": "v1/projects/{project}/instances/{instance}", "path": "v1/projects/{project}/instances/{instance}", "id": "sql.instances.get", "parameterOrder": [ "project", "instance" ], "description": "Retrieves a resource containing information about a Cloud SQL instance.", "response": { "$ref": "DatabaseInstance" } }, "insert": { "parameterOrder": [ "project" ], "parameters": { "project": { "type": "string", "required": true, "location": "path", "description": "Project ID of the project to which the newly created Cloud SQL instances should belong." } }, "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/sqlservice.admin" ], "request": { "$ref": "DatabaseInstance" }, "description": "Creates a new Cloud SQL instance.", "id": "sql.instances.insert", "flatPath": "v1/projects/{project}/instances", "path": "v1/projects/{project}/instances", "httpMethod": "POST" }, "update": { "description": "Updates settings of a Cloud SQL instance. Using this operation might cause your instance to restart.", "parameterOrder": [ "project", "instance" ], "parameters": { "project": { "type": "string", "location": "path", "description": "Project ID of the project that contains the instance.", "required": true }, "instance": { "location": "path", "type": "string", "description": "Cloud SQL instance ID. This does not include the project ID.", "required": true } }, "path": "v1/projects/{project}/instances/{instance}", "flatPath": "v1/projects/{project}/instances/{instance}", "id": "sql.instances.update", "request": { "$ref": "DatabaseInstance" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/sqlservice.admin" ], "httpMethod": "PUT", "response": { "$ref": "Operation" } } } }, "backupRuns": { "methods": { "delete": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/sqlservice.admin" ], "description": "Deletes the backup taken by a backup run.", "path": "v1/projects/{project}/instances/{instance}/backupRuns/{id}", "flatPath": "v1/projects/{project}/instances/{instance}/backupRuns/{id}", "response": { "$ref": "Operation" }, "parameters": { "id": { "format": "int64", "location": "path", "required": true, "description": "The ID of the backup run to delete. To find a backup run ID, use the [list](https://cloud.google.com/sql/docs/mysql/admin-api/rest/v1/backupRuns/list) method.", "type": "string" }, "instance": { "location": "path", "description": "Cloud SQL instance ID. This does not include the project ID.", "type": "string", "required": true }, "project": { "description": "Project ID of the project that contains the instance.", "location": "path", "required": true, "type": "string" } }, "parameterOrder": [ "project", "instance", "id" ], "id": "sql.backupRuns.delete", "httpMethod": "DELETE" }, "get": { "id": "sql.backupRuns.get", "flatPath": "v1/projects/{project}/instances/{instance}/backupRuns/{id}", "path": "v1/projects/{project}/instances/{instance}/backupRuns/{id}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/sqlservice.admin" ], "parameterOrder": [ "project", "instance", "id" ], "parameters": { "id": { "required": true, "type": "string", "description": "The ID of this backup run.", "location": "path", "format": "int64" }, "instance": { "description": "Cloud SQL instance ID. This does not include the project ID.", "location": "path", "required": true, "type": "string" }, "project": { "required": true, "description": "Project ID of the project that contains the instance.", "type": "string", "location": "path" } }, "httpMethod": "GET", "response": { "$ref": "BackupRun" }, "description": "Retrieves a resource containing information about a backup run." }, "list": { "parameters": { "maxResults": { "format": "int32", "description": "Maximum number of backup runs per response.", "type": "integer", "location": "query" }, "pageToken": { "type": "string", "description": "A previously-returned page token representing part of the larger set of results to view.", "location": "query" }, "instance": { "required": true, "description": "Cloud SQL instance ID, or \"-\" for all instances. This does not include the project ID.", "location": "path", "type": "string" }, "project": { "required": true, "type": "string", "description": "Project ID of the project that contains the instance.", "location": "path" } }, "path": "v1/projects/{project}/instances/{instance}/backupRuns", "response": { "$ref": "BackupRunsListResponse" }, "description": "Lists all backup runs associated with the project or a given instance and configuration in the reverse chronological order of the backup initiation time.", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/sqlservice.admin" ], "id": "sql.backupRuns.list", "flatPath": "v1/projects/{project}/instances/{instance}/backupRuns", "parameterOrder": [ "project", "instance" ] }, "insert": { "request": { "$ref": "BackupRun" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/sqlservice.admin" ], "path": "v1/projects/{project}/instances/{instance}/backupRuns", "parameterOrder": [ "project", "instance" ], "flatPath": "v1/projects/{project}/instances/{instance}/backupRuns", "description": "Creates a new backup run on demand.", "httpMethod": "POST", "parameters": { "instance": { "location": "path", "description": "Cloud SQL instance ID. This does not include the project ID.", "required": true, "type": "string" }, "project": { "type": "string", "location": "path", "description": "Project ID of the project that contains the instance.", "required": true } }, "id": "sql.backupRuns.insert", "response": { "$ref": "Operation" } } } }, "operations": { "methods": { "list": { "id": "sql.operations.list", "httpMethod": "GET", "parameterOrder": [ "project" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/sqlservice.admin" ], "parameters": { "maxResults": { "type": "integer", "location": "query", "format": "uint32", "description": "Maximum number of operations per response." }, "pageToken": { "description": "A previously-returned page token representing part of the larger set of results to view.", "location": "query", "type": "string" }, "project": { "description": "Project ID of the project that contains the instance.", "type": "string", "required": true, "location": "path" }, "instance": { "description": "Cloud SQL instance ID. This does not include the project ID.", "type": "string", "location": "query" } }, "response": { "$ref": "OperationsListResponse" }, "flatPath": "v1/projects/{project}/operations", "description": "Lists all instance operations that have been performed on the given Cloud SQL instance in the reverse chronological order of the start time.", "path": "v1/projects/{project}/operations" }, "get": { "parameters": { "project": { "description": "Project ID of the project that contains the instance.", "required": true, "type": "string", "location": "path" }, "operation": { "location": "path", "required": true, "description": "Instance operation ID.", "type": "string" } }, "httpMethod": "GET", "flatPath": "v1/projects/{project}/operations/{operation}", "parameterOrder": [ "project", "operation" ], "id": "sql.operations.get", "response": { "$ref": "Operation" }, "path": "v1/projects/{project}/operations/{operation}", "description": "Retrieves an instance operation that has been performed on an instance.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/sqlservice.admin" ] } } }, "projects": { "resources": { "instances": { "methods": { "verifyExternalSyncSettings": { "request": { "$ref": "SqlInstancesVerifyExternalSyncSettingsRequest" }, "id": "sql.projects.instances.verifyExternalSyncSettings", "response": { "$ref": "SqlInstancesVerifyExternalSyncSettingsResponse" }, "httpMethod": "POST", "path": "v1/projects/{project}/instances/{instance}/verifyExternalSyncSettings", "description": "Verify External primary instance external sync settings.", "parameters": { "instance": { "type": "string", "description": "Cloud SQL instance ID. This does not include the project ID.", "required": true, "location": "path" }, "project": { "description": "Project ID of the project that contains the instance.", "required": true, "location": "path", "type": "string" } }, "flatPath": "v1/projects/{project}/instances/{instance}/verifyExternalSyncSettings", "parameterOrder": [ "project", "instance" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/sqlservice.admin" ] }, "rescheduleMaintenance": { "description": "Reschedules the maintenance on the given instance.", "response": { "$ref": "Operation" }, "flatPath": "v1/projects/{project}/instances/{instance}/rescheduleMaintenance", "httpMethod": "POST", "request": { "$ref": "SqlInstancesRescheduleMaintenanceRequestBody" }, "path": "v1/projects/{project}/instances/{instance}/rescheduleMaintenance", "parameters": { "instance": { "type": "string", "location": "path", "required": true, "description": "Cloud SQL instance ID. This does not include the project ID." }, "project": { "location": "path", "required": true, "type": "string", "description": "ID of the project that contains the instance." } }, "parameterOrder": [ "project", "instance" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/sqlservice.admin" ], "id": "sql.projects.instances.rescheduleMaintenance" }, "startExternalSync": { "id": "sql.projects.instances.startExternalSync", "path": "v1/projects/{project}/instances/{instance}/startExternalSync", "parameters": { "instance": { "description": "Cloud SQL instance ID. This does not include the project ID.", "type": "string", "required": true, "location": "path" }, "project": { "type": "string", "location": "path", "description": "ID of the project that contains the instance.", "required": true } }, "request": { "$ref": "SqlInstancesStartExternalSyncRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/sqlservice.admin" ], "description": "Start External primary instance migration.", "httpMethod": "POST", "flatPath": "v1/projects/{project}/instances/{instance}/startExternalSync", "response": { "$ref": "Operation" }, "parameterOrder": [ "project", "instance" ] } } } } }, "databases": { "methods": { "update": { "description": "Updates a resource containing information about a database inside a Cloud SQL instance.", "parameterOrder": [ "project", "instance", "database" ], "id": "sql.databases.update", "httpMethod": "PUT", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/sqlservice.admin" ], "parameters": { "database": { "required": true, "description": "Name of the database to be updated in the instance.", "type": "string", "location": "path" }, "project": { "location": "path", "description": "Project ID of the project that contains the instance.", "required": true, "type": "string" }, "instance": { "description": "Database instance ID. This does not include the project ID.", "type": "string", "location": "path", "required": true } }, "response": { "$ref": "Operation" }, "path": "v1/projects/{project}/instances/{instance}/databases/{database}", "flatPath": "v1/projects/{project}/instances/{instance}/databases/{database}", "request": { "$ref": "Database" } }, "insert": { "request": { "$ref": "Database" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/sqlservice.admin" ], "path": "v1/projects/{project}/instances/{instance}/databases", "flatPath": "v1/projects/{project}/instances/{instance}/databases", "parameterOrder": [ "project", "instance" ], "id": "sql.databases.insert", "response": { "$ref": "Operation" }, "description": "Inserts a resource containing information about a database inside a Cloud SQL instance.", "httpMethod": "POST", "parameters": { "project": { "required": true, "type": "string", "description": "Project ID of the project that contains the instance.", "location": "path" }, "instance": { "description": "Database instance ID. This does not include the project ID.", "type": "string", "location": "path", "required": true } } }, "delete": { "id": "sql.databases.delete", "parameters": { "project": { "required": true, "location": "path", "description": "Project ID of the project that contains the instance.", "type": "string" }, "database": { "location": "path", "required": true, "type": "string", "description": "Name of the database to be deleted in the instance." }, "instance": { "required": true, "description": "Database instance ID. This does not include the project ID.", "type": "string", "location": "path" } }, "parameterOrder": [ "project", "instance", "database" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/sqlservice.admin" ], "response": { "$ref": "Operation" }, "flatPath": "v1/projects/{project}/instances/{instance}/databases/{database}", "path": "v1/projects/{project}/instances/{instance}/databases/{database}", "description": "Deletes a database from a Cloud SQL instance.", "httpMethod": "DELETE" }, "get": { "path": "v1/projects/{project}/instances/{instance}/databases/{database}", "httpMethod": "GET", "parameterOrder": [ "project", "instance", "database" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/sqlservice.admin" ], "response": { "$ref": "Database" }, "flatPath": "v1/projects/{project}/instances/{instance}/databases/{database}", "parameters": { "instance": { "required": true, "description": "Database instance ID. This does not include the project ID.", "location": "path", "type": "string" }, "database": { "location": "path", "required": true, "type": "string", "description": "Name of the database in the instance." }, "project": { "type": "string", "required": true, "location": "path", "description": "Project ID of the project that contains the instance." } }, "id": "sql.databases.get", "description": "Retrieves a resource containing information about a database inside a Cloud SQL instance." }, "patch": { "flatPath": "v1/projects/{project}/instances/{instance}/databases/{database}", "httpMethod": "PATCH", "path": "v1/projects/{project}/instances/{instance}/databases/{database}", "parameters": { "project": { "required": true, "description": "Project ID of the project that contains the instance.", "type": "string", "location": "path" }, "instance": { "location": "path", "type": "string", "description": "Database instance ID. This does not include the project ID.", "required": true }, "database": { "description": "Name of the database to be updated in the instance.", "type": "string", "required": true, "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/sqlservice.admin" ], "parameterOrder": [ "project", "instance", "database" ], "response": { "$ref": "Operation" }, "request": { "$ref": "Database" }, "id": "sql.databases.patch", "description": "Partially updates a resource containing information about a database inside a Cloud SQL instance. This method supports patch semantics." }, "list": { "httpMethod": "GET", "flatPath": "v1/projects/{project}/instances/{instance}/databases", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/sqlservice.admin" ], "parameterOrder": [ "project", "instance" ], "parameters": { "project": { "location": "path", "description": "Project ID of the project that contains the instance.", "required": true, "type": "string" }, "instance": { "location": "path", "description": "Cloud SQL instance ID. This does not include the project ID.", "type": "string", "required": true } }, "path": "v1/projects/{project}/instances/{instance}/databases", "response": { "$ref": "DatabasesListResponse" }, "id": "sql.databases.list", "description": "Lists databases in the specified Cloud SQL instance." } } }, "flags": { "methods": { "list": { "response": { "$ref": "FlagsListResponse" }, "path": "v1/flags", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/sqlservice.admin" ], "parameterOrder": [], "httpMethod": "GET", "description": "Lists all available database flags for Cloud SQL instances.", "flatPath": "v1/flags", "id": "sql.flags.list", "parameters": { "databaseVersion": { "description": "Database type and version you want to retrieve flags for. By default, this method returns flags for all database types and versions.", "location": "query", "type": "string" } } } } }, "users": { "methods": { "list": { "path": "v1/projects/{project}/instances/{instance}/users", "parameters": { "instance": { "type": "string", "required": true, "description": "Database instance ID. This does not include the project ID.", "location": "path" }, "project": { "type": "string", "location": "path", "description": "Project ID of the project that contains the instance.", "required": true } }, "flatPath": "v1/projects/{project}/instances/{instance}/users", "description": "Lists users in the specified Cloud SQL instance.", "response": { "$ref": "UsersListResponse" }, "parameterOrder": [ "project", "instance" ], "id": "sql.users.list", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/sqlservice.admin" ] }, "delete": { "flatPath": "v1/projects/{project}/instances/{instance}/users", "id": "sql.users.delete", "parameterOrder": [ "project", "instance" ], "httpMethod": "DELETE", "path": "v1/projects/{project}/instances/{instance}/users", "parameters": { "host": { "location": "query", "type": "string", "description": "Host of the user in the instance." }, "instance": { "description": "Database instance ID. This does not include the project ID.", "location": "path", "type": "string", "required": true }, "name": { "type": "string", "description": "Name of the user in the instance.", "location": "query" }, "project": { "required": true, "location": "path", "description": "Project ID of the project that contains the instance.", "type": "string" } }, "description": "Deletes a user from a Cloud SQL instance.", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/sqlservice.admin" ] }, "update": { "id": "sql.users.update", "path": "v1/projects/{project}/instances/{instance}/users", "parameterOrder": [ "project", "instance" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/sqlservice.admin" ], "request": { "$ref": "User" }, "response": { "$ref": "Operation" }, "description": "Updates an existing user in a Cloud SQL instance.", "flatPath": "v1/projects/{project}/instances/{instance}/users", "httpMethod": "PUT", "parameters": { "host": { "location": "query", "type": "string", "description": "Optional. Host of the user in the instance." }, "instance": { "location": "path", "required": true, "description": "Database instance ID. This does not include the project ID.", "type": "string" }, "name": { "description": "Name of the user in the instance.", "location": "query", "type": "string" }, "project": { "location": "path", "type": "string", "required": true, "description": "Project ID of the project that contains the instance." } } }, "get": { "id": "sql.users.get", "response": { "$ref": "User" }, "path": "v1/projects/{project}/instances/{instance}/users/{name}", "flatPath": "v1/projects/{project}/instances/{instance}/users/{name}", "httpMethod": "GET", "parameters": { "project": { "location": "path", "description": "Project ID of the project that contains the instance.", "type": "string", "required": true }, "instance": { "description": "Database instance ID. This does not include the project ID.", "type": "string", "location": "path", "required": true }, "name": { "location": "path", "type": "string", "description": "User of the instance. If the database user has a host, this is specified as {username}@{host} else as {username}.", "required": true } }, "description": "Retrieves a resource containing information about a user.", "parameterOrder": [ "project", "instance", "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/sqlservice.admin" ] }, "insert": { "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/sqlservice.admin" ], "parameters": { "instance": { "location": "path", "type": "string", "required": true, "description": "Database instance ID. This does not include the project ID." }, "project": { "type": "string", "required": true, "location": "path", "description": "Project ID of the project that contains the instance." } }, "request": { "$ref": "User" }, "flatPath": "v1/projects/{project}/instances/{instance}/users", "description": "Creates a new user in a Cloud SQL instance.", "response": { "$ref": "Operation" }, "id": "sql.users.insert", "path": "v1/projects/{project}/instances/{instance}/users", "parameterOrder": [ "project", "instance" ] } } }, "sslCerts": { "methods": { "delete": { "httpMethod": "DELETE", "parameterOrder": [ "project", "instance", "sha1Fingerprint" ], "path": "v1/projects/{project}/instances/{instance}/sslCerts/{sha1Fingerprint}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/sqlservice.admin" ], "description": "Deletes the SSL certificate. For First Generation instances, the certificate remains valid until the instance is restarted.", "id": "sql.sslCerts.delete", "parameters": { "instance": { "description": "Cloud SQL instance ID. This does not include the project ID.", "type": "string", "required": true, "location": "path" }, "sha1Fingerprint": { "location": "path", "required": true, "description": "Sha1 FingerPrint.", "type": "string" }, "project": { "required": true, "description": "Project ID of the project that contains the instance.", "type": "string", "location": "path" } }, "response": { "$ref": "Operation" }, "flatPath": "v1/projects/{project}/instances/{instance}/sslCerts/{sha1Fingerprint}" }, "get": { "path": "v1/projects/{project}/instances/{instance}/sslCerts/{sha1Fingerprint}", "parameterOrder": [ "project", "instance", "sha1Fingerprint" ], "response": { "$ref": "SslCert" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/sqlservice.admin" ], "id": "sql.sslCerts.get", "httpMethod": "GET", "parameters": { "sha1Fingerprint": { "type": "string", "description": "Sha1 FingerPrint.", "location": "path", "required": true }, "project": { "description": "Project ID of the project that contains the instance.", "location": "path", "required": true, "type": "string" }, "instance": { "required": true, "type": "string", "location": "path", "description": "Cloud SQL instance ID. This does not include the project ID." } }, "description": "Retrieves a particular SSL certificate. Does not include the private key (required for usage). The private key must be saved from the response to initial creation.", "flatPath": "v1/projects/{project}/instances/{instance}/sslCerts/{sha1Fingerprint}" }, "insert": { "description": "Creates an SSL certificate and returns it along with the private key and server certificate authority. The new certificate will not be usable until the instance is restarted.", "request": { "$ref": "SslCertsInsertRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/sqlservice.admin" ], "id": "sql.sslCerts.insert", "httpMethod": "POST", "path": "v1/projects/{project}/instances/{instance}/sslCerts", "response": { "$ref": "SslCertsInsertResponse" }, "parameterOrder": [ "project", "instance" ], "parameters": { "project": { "type": "string", "description": "Project ID of the project that contains the instance.", "location": "path", "required": true }, "instance": { "location": "path", "type": "string", "description": "Cloud SQL instance ID. This does not include the project ID.", "required": true } }, "flatPath": "v1/projects/{project}/instances/{instance}/sslCerts" }, "createEphemeral": { "description": "Generates a short-lived X509 certificate containing the provided public key and signed by a private key specific to the target instance. Users may use the certificate to authenticate as themselves when connecting to the database.", "request": { "$ref": "SslCertsCreateEphemeralRequest" }, "id": "sql.sslCerts.createEphemeral", "response": { "$ref": "SslCert" }, "flatPath": "v1/projects/{project}/instances/{instance}/createEphemeral", "parameterOrder": [ "project", "instance" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/sqlservice.admin" ], "path": "v1/projects/{project}/instances/{instance}/createEphemeral", "parameters": { "project": { "location": "path", "type": "string", "required": true, "description": "Project ID of the Cloud SQL project." }, "instance": { "required": true, "type": "string", "location": "path", "description": "Cloud SQL instance ID. This does not include the project ID." } }, "httpMethod": "POST" }, "list": { "response": { "$ref": "SslCertsListResponse" }, "parameterOrder": [ "project", "instance" ], "parameters": { "instance": { "description": "Cloud SQL instance ID. This does not include the project ID.", "required": true, "location": "path", "type": "string" }, "project": { "type": "string", "location": "path", "description": "Project ID of the project that contains the instance.", "required": true } }, "description": "Lists all of the current SSL certificates for the instance.", "httpMethod": "GET", "id": "sql.sslCerts.list", "flatPath": "v1/projects/{project}/instances/{instance}/sslCerts", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/sqlservice.admin" ], "path": "v1/projects/{project}/instances/{instance}/sslCerts" } } } }, "revision": "20220623", "ownerName": "Google", "canonicalName": "SQL Admin", "ownerDomain": "google.com", "parameters": { "key": { "type": "string", "location": "query", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token." }, "quotaUser": { "type": "string", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "location": "query" }, "upload_protocol": { "type": "string", "location": "query", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\")." }, "callback": { "type": "string", "location": "query", "description": "JSONP" }, "$.xgafv": { "description": "V1 error format.", "type": "string", "enumDescriptions": [ "v1 error format", "v2 error format" ], "enum": [ "1", "2" ], "location": "query" }, "oauth_token": { "type": "string", "description": "OAuth 2.0 token for the current user.", "location": "query" }, "uploadType": { "type": "string", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "location": "query" }, "alt": { "location": "query", "enum": [ "json", "media", "proto" ], "type": "string", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "description": "Data format for response.", "default": "json" }, "fields": { "description": "Selector specifying which fields to include in a partial response.", "type": "string", "location": "query" }, "prettyPrint": { "location": "query", "type": "boolean", "default": "true", "description": "Returns response with indentations and line breaks." }, "access_token": { "location": "query", "type": "string", "description": "OAuth access token." } }, "kind": "discovery#restDescription", "discoveryVersion": "v1", "basePath": "", "id": "sqladmin:v1", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/sqlservice.admin": { "description": "Manage your Google SQL Service instances" }, "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." } } } }, "version": "v1", "fullyEncodeReservedExpansion": true, "documentationLink": "https://developers.google.com/cloud-sql/", "batchPath": "batch", "name": "sqladmin", "description": "API for Cloud SQL database instance management", "title": "Cloud SQL Admin API", "protocol": "rest", "rootUrl": "https://sqladmin.googleapis.com/", "icons": { "x16": "http://www.google.com/images/icons/product/search-16.gif", "x32": "http://www.google.com/images/icons/product/search-32.gif" }, "mtlsRootUrl": "https://sqladmin.mtls.googleapis.com/" }
]===]))
