local decode = require("cjson").new().decode
return assert(decode([===[
{ "title": "Tag Manager API", "parameters": { "uploadType": { "location": "query", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "type": "string" }, "quotaUser": { "location": "query", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "type": "string" }, "upload_protocol": { "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "type": "string", "location": "query" }, "access_token": { "description": "OAuth access token.", "location": "query", "type": "string" }, "$.xgafv": { "enumDescriptions": [ "v1 error format", "v2 error format" ], "enum": [ "1", "2" ], "location": "query", "type": "string", "description": "V1 error format." }, "callback": { "location": "query", "type": "string", "description": "JSONP" }, "alt": { "enum": [ "json", "media", "proto" ], "default": "json", "type": "string", "description": "Data format for response.", "location": "query", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ] }, "fields": { "description": "Selector specifying which fields to include in a partial response.", "location": "query", "type": "string" }, "oauth_token": { "type": "string", "description": "OAuth 2.0 token for the current user.", "location": "query" }, "prettyPrint": { "location": "query", "type": "boolean", "default": "true", "description": "Returns response with indentations and line breaks." }, "key": { "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "location": "query", "type": "string" } }, "batchPath": "batch", "version": "v2", "mtlsRootUrl": "https://tagmanager.mtls.googleapis.com/", "kind": "discovery#restDescription", "revision": "20220711", "servicePath": "", "description": "This API allows clients to access and modify container and tag configuration.", "name": "tagmanager", "id": "tagmanager:v2", "basePath": "", "ownerDomain": "google.com", "ownerName": "Google", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/tagmanager.delete.containers": { "description": "Delete your Google Tag Manager containers" }, "https://www.googleapis.com/auth/tagmanager.edit.containerversions": { "description": "Manage your Google Tag Manager container versions" }, "https://www.googleapis.com/auth/tagmanager.manage.accounts": { "description": "View and manage your Google Tag Manager accounts" }, "https://www.googleapis.com/auth/tagmanager.publish": { "description": "Publish your Google Tag Manager container versions" }, "https://www.googleapis.com/auth/tagmanager.readonly": { "description": "View your Google Tag Manager container and its subcomponents" }, "https://www.googleapis.com/auth/tagmanager.edit.containers": { "description": "Manage your Google Tag Manager container and its subcomponents, excluding versioning and publishing" }, "https://www.googleapis.com/auth/tagmanager.manage.users": { "description": "Manage user permissions of your Google Tag Manager account and container" } } } }, "rootUrl": "https://tagmanager.googleapis.com/", "icons": { "x32": "http://www.google.com/images/icons/product/search-32.gif", "x16": "http://www.google.com/images/icons/product/search-16.gif" }, "documentationLink": "https://developers.google.com/tag-manager", "resources": { "accounts": { "resources": { "user_permissions": { "methods": { "create": { "scopes": [ "https://www.googleapis.com/auth/tagmanager.manage.users" ], "description": "Creates a user's Account & Container access.", "parameters": { "parent": { "description": "GTM Account's API relative path. Example: accounts/{account_id}", "required": true, "pattern": "^accounts/[^/]+$", "type": "string", "location": "path" } }, "id": "tagmanager.accounts.user_permissions.create", "path": "tagmanager/v2/{+parent}/user_permissions", "response": { "$ref": "UserPermission" }, "httpMethod": "POST", "flatPath": "tagmanager/v2/accounts/{accountsId}/user_permissions", "request": { "$ref": "UserPermission" }, "parameterOrder": [ "parent" ] }, "update": { "response": { "$ref": "UserPermission" }, "scopes": [ "https://www.googleapis.com/auth/tagmanager.manage.users" ], "flatPath": "tagmanager/v2/accounts/{accountsId}/user_permissions/{user_permissionsId}", "httpMethod": "PUT", "description": "Updates a user's Account & Container access.", "id": "tagmanager.accounts.user_permissions.update", "request": { "$ref": "UserPermission" }, "parameterOrder": [ "path" ], "parameters": { "path": { "description": "GTM UserPermission's API relative path. Example: accounts/{account_id}/user_permissions/{user_permission_id}", "pattern": "^accounts/[^/]+/user_permissions/[^/]+$", "type": "string", "location": "path", "required": true } }, "path": "tagmanager/v2/{+path}" }, "delete": { "id": "tagmanager.accounts.user_permissions.delete", "scopes": [ "https://www.googleapis.com/auth/tagmanager.manage.users" ], "description": "Removes a user from the account, revoking access to it and all of its containers.", "flatPath": "tagmanager/v2/accounts/{accountsId}/user_permissions/{user_permissionsId}", "parameterOrder": [ "path" ], "httpMethod": "DELETE", "path": "tagmanager/v2/{+path}", "parameters": { "path": { "required": true, "type": "string", "description": "GTM UserPermission's API relative path. Example: accounts/{account_id}/user_permissions/{user_permission_id}", "location": "path", "pattern": "^accounts/[^/]+/user_permissions/[^/]+$" } } }, "list": { "scopes": [ "https://www.googleapis.com/auth/tagmanager.manage.users" ], "response": { "$ref": "ListUserPermissionsResponse" }, "description": "List all users that have access to the account along with Account and Container user access granted to each of them.", "parameters": { "pageToken": { "type": "string", "description": "Continuation token for fetching the next page of results.", "location": "query" }, "parent": { "pattern": "^accounts/[^/]+$", "location": "path", "description": "GTM Accounts's API relative path. Example: accounts/{account_id}", "required": true, "type": "string" } }, "httpMethod": "GET", "id": "tagmanager.accounts.user_permissions.list", "path": "tagmanager/v2/{+parent}/user_permissions", "parameterOrder": [ "parent" ], "flatPath": "tagmanager/v2/accounts/{accountsId}/user_permissions" }, "get": { "parameters": { "path": { "pattern": "^accounts/[^/]+/user_permissions/[^/]+$", "description": "GTM UserPermission's API relative path. Example: accounts/{account_id}/user_permissions/{user_permission_id}", "type": "string", "required": true, "location": "path" } }, "id": "tagmanager.accounts.user_permissions.get", "scopes": [ "https://www.googleapis.com/auth/tagmanager.manage.users" ], "httpMethod": "GET", "description": "Gets a user's Account & Container access.", "parameterOrder": [ "path" ], "response": { "$ref": "UserPermission" }, "path": "tagmanager/v2/{+path}", "flatPath": "tagmanager/v2/accounts/{accountsId}/user_permissions/{user_permissionsId}" } } }, "containers": { "methods": { "update": { "httpMethod": "PUT", "request": { "$ref": "Container" }, "id": "tagmanager.accounts.containers.update", "parameters": { "path": { "location": "path", "required": true, "pattern": "^accounts/[^/]+/containers/[^/]+$", "type": "string", "description": "GTM Container's API relative path. Example: accounts/{account_id}/containers/{container_id}" }, "fingerprint": { "type": "string", "location": "query", "description": "When provided, this fingerprint must match the fingerprint of the container in storage." } }, "scopes": [ "https://www.googleapis.com/auth/tagmanager.edit.containers" ], "response": { "$ref": "Container" }, "description": "Updates a Container.", "parameterOrder": [ "path" ], "flatPath": "tagmanager/v2/accounts/{accountsId}/containers/{containersId}", "path": "tagmanager/v2/{+path}" }, "delete": { "parameterOrder": [ "path" ], "parameters": { "path": { "location": "path", "required": true, "pattern": "^accounts/[^/]+/containers/[^/]+$", "description": "GTM Container's API relative path. Example: accounts/{account_id}/containers/{container_id}", "type": "string" } }, "path": "tagmanager/v2/{+path}", "httpMethod": "DELETE", "description": "Deletes a Container.", "scopes": [ "https://www.googleapis.com/auth/tagmanager.delete.containers" ], "flatPath": "tagmanager/v2/accounts/{accountsId}/containers/{containersId}", "id": "tagmanager.accounts.containers.delete" }, "create": { "description": "Creates a Container.", "path": "tagmanager/v2/{+parent}/containers", "httpMethod": "POST", "request": { "$ref": "Container" }, "id": "tagmanager.accounts.containers.create", "scopes": [ "https://www.googleapis.com/auth/tagmanager.edit.containers" ], "parameterOrder": [ "parent" ], "flatPath": "tagmanager/v2/accounts/{accountsId}/containers", "parameters": { "parent": { "pattern": "^accounts/[^/]+$", "location": "path", "type": "string", "required": true, "description": "GTM Account's API relative path. Example: accounts/{account_id}." } }, "response": { "$ref": "Container" } }, "get": { "flatPath": "tagmanager/v2/accounts/{accountsId}/containers/{containersId}", "path": "tagmanager/v2/{+path}", "httpMethod": "GET", "description": "Gets a Container.", "parameterOrder": [ "path" ], "id": "tagmanager.accounts.containers.get", "parameters": { "path": { "type": "string", "location": "path", "required": true, "description": "GTM Container's API relative path. Example: accounts/{account_id}/containers/{container_id}", "pattern": "^accounts/[^/]+/containers/[^/]+$" } }, "scopes": [ "https://www.googleapis.com/auth/tagmanager.edit.containers", "https://www.googleapis.com/auth/tagmanager.readonly" ], "response": { "$ref": "Container" } }, "list": { "path": "tagmanager/v2/{+parent}/containers", "flatPath": "tagmanager/v2/accounts/{accountsId}/containers", "parameters": { "parent": { "pattern": "^accounts/[^/]+$", "type": "string", "required": true, "description": "GTM Accounts's API relative path. Example: accounts/{account_id}.", "location": "path" }, "pageToken": { "description": "Continuation token for fetching the next page of results.", "location": "query", "type": "string" } }, "description": "Lists all Containers that belongs to a GTM Account.", "httpMethod": "GET", "id": "tagmanager.accounts.containers.list", "response": { "$ref": "ListContainersResponse" }, "scopes": [ "https://www.googleapis.com/auth/tagmanager.edit.containers", "https://www.googleapis.com/auth/tagmanager.readonly" ], "parameterOrder": [ "parent" ] } }, "resources": { "environments": { "methods": { "create": { "id": "tagmanager.accounts.containers.environments.create", "response": { "$ref": "Environment" }, "parameterOrder": [ "parent" ], "flatPath": "tagmanager/v2/accounts/{accountsId}/containers/{containersId}/environments", "scopes": [ "https://www.googleapis.com/auth/tagmanager.edit.containers" ], "request": { "$ref": "Environment" }, "description": "Creates a GTM Environment.", "httpMethod": "POST", "parameters": { "parent": { "description": "GTM Container's API relative path. Example: accounts/{account_id}/containers/{container_id}", "location": "path", "pattern": "^accounts/[^/]+/containers/[^/]+$", "type": "string", "required": true } }, "path": "tagmanager/v2/{+parent}/environments" }, "get": { "response": { "$ref": "Environment" }, "httpMethod": "GET", "description": "Gets a GTM Environment.", "id": "tagmanager.accounts.containers.environments.get", "flatPath": "tagmanager/v2/accounts/{accountsId}/containers/{containersId}/environments/{environmentsId}", "scopes": [ "https://www.googleapis.com/auth/tagmanager.edit.containers", "https://www.googleapis.com/auth/tagmanager.readonly" ], "parameterOrder": [ "path" ], "parameters": { "path": { "type": "string", "description": "GTM Environment's API relative path. Example: accounts/{account_id}/containers/{container_id}/environments/{environment_id}", "pattern": "^accounts/[^/]+/containers/[^/]+/environments/[^/]+$", "required": true, "location": "path" } }, "path": "tagmanager/v2/{+path}" }, "list": { "path": "tagmanager/v2/{+parent}/environments", "parameterOrder": [ "parent" ], "flatPath": "tagmanager/v2/accounts/{accountsId}/containers/{containersId}/environments", "parameters": { "pageToken": { "description": "Continuation token for fetching the next page of results.", "type": "string", "location": "query" }, "parent": { "location": "path", "pattern": "^accounts/[^/]+/containers/[^/]+$", "type": "string", "required": true, "description": "GTM Container's API relative path. Example: accounts/{account_id}/containers/{container_id}" } }, "id": "tagmanager.accounts.containers.environments.list", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/tagmanager.edit.containers", "https://www.googleapis.com/auth/tagmanager.readonly" ], "response": { "$ref": "ListEnvironmentsResponse" }, "description": "Lists all GTM Environments of a GTM Container." }, "delete": { "flatPath": "tagmanager/v2/accounts/{accountsId}/containers/{containersId}/environments/{environmentsId}", "httpMethod": "DELETE", "parameterOrder": [ "path" ], "id": "tagmanager.accounts.containers.environments.delete", "scopes": [ "https://www.googleapis.com/auth/tagmanager.edit.containers" ], "path": "tagmanager/v2/{+path}", "parameters": { "path": { "pattern": "^accounts/[^/]+/containers/[^/]+/environments/[^/]+$", "location": "path", "description": "GTM Environment's API relative path. Example: accounts/{account_id}/containers/{container_id}/environments/{environment_id}", "type": "string", "required": true } }, "description": "Deletes a GTM Environment." }, "reauthorize": { "description": "Re-generates the authorization code for a GTM Environment.", "path": "tagmanager/v2/{+path}:reauthorize", "response": { "$ref": "Environment" }, "parameters": { "path": { "description": "GTM Environment's API relative path. Example: accounts/{account_id}/containers/{container_id}/environments/{environment_id}", "location": "path", "required": true, "type": "string", "pattern": "^accounts/[^/]+/containers/[^/]+/environments/[^/]+$" } }, "scopes": [ "https://www.googleapis.com/auth/tagmanager.publish" ], "parameterOrder": [ "path" ], "id": "tagmanager.accounts.containers.environments.reauthorize", "httpMethod": "POST", "request": { "$ref": "Environment" }, "flatPath": "tagmanager/v2/accounts/{accountsId}/containers/{containersId}/environments/{environmentsId}:reauthorize" }, "update": { "httpMethod": "PUT", "description": "Updates a GTM Environment.", "parameterOrder": [ "path" ], "request": { "$ref": "Environment" }, "scopes": [ "https://www.googleapis.com/auth/tagmanager.edit.containers" ], "flatPath": "tagmanager/v2/accounts/{accountsId}/containers/{containersId}/environments/{environmentsId}", "response": { "$ref": "Environment" }, "id": "tagmanager.accounts.containers.environments.update", "path": "tagmanager/v2/{+path}", "parameters": { "fingerprint": { "type": "string", "location": "query", "description": "When provided, this fingerprint must match the fingerprint of the environment in storage." }, "path": { "location": "path", "type": "string", "description": "GTM Environment's API relative path. Example: accounts/{account_id}/containers/{container_id}/environments/{environment_id}", "pattern": "^accounts/[^/]+/containers/[^/]+/environments/[^/]+$", "required": true } } } } }, "version_headers": { "methods": { "list": { "flatPath": "tagmanager/v2/accounts/{accountsId}/containers/{containersId}/version_headers", "description": "Lists all Container Versions of a GTM Container.", "response": { "$ref": "ListContainerVersionsResponse" }, "path": "tagmanager/v2/{+parent}/version_headers", "httpMethod": "GET", "id": "tagmanager.accounts.containers.version_headers.list", "parameters": { "includeDeleted": { "description": "Also retrieve deleted (archived) versions when true.", "type": "boolean", "location": "query" }, "parent": { "pattern": "^accounts/[^/]+/containers/[^/]+$", "required": true, "location": "path", "type": "string", "description": "GTM Container's API relative path. Example: accounts/{account_id}/containers/{container_id}" }, "pageToken": { "location": "query", "description": "Continuation token for fetching the next page of results.", "type": "string" } }, "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/tagmanager.edit.containers", "https://www.googleapis.com/auth/tagmanager.edit.containerversions", "https://www.googleapis.com/auth/tagmanager.readonly" ] }, "latest": { "id": "tagmanager.accounts.containers.version_headers.latest", "response": { "$ref": "ContainerVersionHeader" }, "httpMethod": "GET", "description": "Gets the latest container version header", "flatPath": "tagmanager/v2/accounts/{accountsId}/containers/{containersId}/version_headers:latest", "scopes": [ "https://www.googleapis.com/auth/tagmanager.edit.containers", "https://www.googleapis.com/auth/tagmanager.readonly" ], "parameterOrder": [ "parent" ], "parameters": { "parent": { "pattern": "^accounts/[^/]+/containers/[^/]+$", "required": true, "location": "path", "description": "GTM Container's API relative path. Example: accounts/{account_id}/containers/{container_id}", "type": "string" } }, "path": "tagmanager/v2/{+parent}/version_headers:latest" } } }, "workspaces": { "methods": { "resolve_conflict": { "description": "Resolves a merge conflict for a workspace entity by updating it to the resolved entity passed in the request.", "path": "tagmanager/v2/{+path}:resolve_conflict", "parameterOrder": [ "path" ], "parameters": { "fingerprint": { "description": "When provided, this fingerprint must match the fingerprint of the entity_in_workspace in the merge conflict.", "location": "query", "type": "string" }, "path": { "type": "string", "description": "GTM Workspace's API relative path. Example: accounts/{account_id}/containers/{container_id}/workspaces/{workspace_id}", "location": "path", "pattern": "^accounts/[^/]+/containers/[^/]+/workspaces/[^/]+$", "required": true } }, "id": "tagmanager.accounts.containers.workspaces.resolve_conflict", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/tagmanager.edit.containers" ], "flatPath": "tagmanager/v2/accounts/{accountsId}/containers/{containersId}/workspaces/{workspacesId}:resolve_conflict", "request": { "$ref": "Entity" } }, "get": { "flatPath": "tagmanager/v2/accounts/{accountsId}/containers/{containersId}/workspaces/{workspacesId}", "id": "tagmanager.accounts.containers.workspaces.get", "parameters": { "path": { "location": "path", "type": "string", "description": "GTM Workspace's API relative path. Example: accounts/{account_id}/containers/{container_id}/workspaces/{workspace_id}", "required": true, "pattern": "^accounts/[^/]+/containers/[^/]+/workspaces/[^/]+$" } }, "path": "tagmanager/v2/{+path}", "httpMethod": "GET", "parameterOrder": [ "path" ], "response": { "$ref": "Workspace" }, "scopes": [ "https://www.googleapis.com/auth/tagmanager.edit.containers", "https://www.googleapis.com/auth/tagmanager.readonly" ], "description": "Gets a Workspace." }, "create": { "httpMethod": "POST", "request": { "$ref": "Workspace" }, "parameterOrder": [ "parent" ], "path": "tagmanager/v2/{+parent}/workspaces", "description": "Creates a Workspace.", "response": { "$ref": "Workspace" }, "flatPath": "tagmanager/v2/accounts/{accountsId}/containers/{containersId}/workspaces", "scopes": [ "https://www.googleapis.com/auth/tagmanager.edit.containers" ], "parameters": { "parent": { "pattern": "^accounts/[^/]+/containers/[^/]+$", "description": "GTM parent Container's API relative path. Example: accounts/{account_id}/containers/{container_id}", "required": true, "location": "path", "type": "string" } }, "id": "tagmanager.accounts.containers.workspaces.create" }, "sync": { "description": "Syncs a workspace to the latest container version by updating all unmodified workspace entities and displaying conflicts for modified entities.", "httpMethod": "POST", "response": { "$ref": "SyncWorkspaceResponse" }, "parameterOrder": [ "path" ], "scopes": [ "https://www.googleapis.com/auth/tagmanager.edit.containers" ], "parameters": { "path": { "description": "GTM Workspace's API relative path. Example: accounts/{account_id}/containers/{container_id}/workspaces/{workspace_id}", "type": "string", "location": "path", "required": true, "pattern": "^accounts/[^/]+/containers/[^/]+/workspaces/[^/]+$" } }, "path": "tagmanager/v2/{+path}:sync", "flatPath": "tagmanager/v2/accounts/{accountsId}/containers/{containersId}/workspaces/{workspacesId}:sync", "id": "tagmanager.accounts.containers.workspaces.sync" }, "list": { "scopes": [ "https://www.googleapis.com/auth/tagmanager.edit.containers", "https://www.googleapis.com/auth/tagmanager.readonly" ], "path": "tagmanager/v2/{+parent}/workspaces", "response": { "$ref": "ListWorkspacesResponse" }, "id": "tagmanager.accounts.containers.workspaces.list", "httpMethod": "GET", "parameters": { "parent": { "pattern": "^accounts/[^/]+/containers/[^/]+$", "description": "GTM parent Container's API relative path. Example: accounts/{account_id}/containers/{container_id}", "required": true, "type": "string", "location": "path" }, "pageToken": { "location": "query", "description": "Continuation token for fetching the next page of results.", "type": "string" } }, "description": "Lists all Workspaces that belong to a GTM Container.", "flatPath": "tagmanager/v2/accounts/{accountsId}/containers/{containersId}/workspaces", "parameterOrder": [ "parent" ] }, "create_version": { "flatPath": "tagmanager/v2/accounts/{accountsId}/containers/{containersId}/workspaces/{workspacesId}:create_version", "parameterOrder": [ "path" ], "response": { "$ref": "CreateContainerVersionResponse" }, "scopes": [ "https://www.googleapis.com/auth/tagmanager.edit.containerversions" ], "path": "tagmanager/v2/{+path}:create_version", "request": { "$ref": "CreateContainerVersionRequestVersionOptions" }, "id": "tagmanager.accounts.containers.workspaces.create_version", "parameters": { "path": { "description": "GTM Workspace's API relative path. Example: accounts/{account_id}/containers/{container_id}/workspaces/{workspace_id}", "required": true, "pattern": "^accounts/[^/]+/containers/[^/]+/workspaces/[^/]+$", "location": "path", "type": "string" } }, "description": "Creates a Container Version from the entities present in the workspace, deletes the workspace, and sets the base container version to the newly created version.", "httpMethod": "POST" }, "delete": { "id": "tagmanager.accounts.containers.workspaces.delete", "parameters": { "path": { "pattern": "^accounts/[^/]+/containers/[^/]+/workspaces/[^/]+$", "required": true, "description": "GTM Workspace's API relative path. Example: accounts/{account_id}/containers/{container_id}/workspaces/{workspace_id}", "location": "path", "type": "string" } }, "parameterOrder": [ "path" ], "flatPath": "tagmanager/v2/accounts/{accountsId}/containers/{containersId}/workspaces/{workspacesId}", "path": "tagmanager/v2/{+path}", "scopes": [ "https://www.googleapis.com/auth/tagmanager.delete.containers" ], "description": "Deletes a Workspace.", "httpMethod": "DELETE" }, "getStatus": { "flatPath": "tagmanager/v2/accounts/{accountsId}/containers/{containersId}/workspaces/{workspacesId}/status", "response": { "$ref": "GetWorkspaceStatusResponse" }, "description": "Finds conflicting and modified entities in the workspace.", "parameters": { "path": { "description": "GTM Workspace's API relative path. Example: accounts/{account_id}/containers/{container_id}/workspaces/{workspace_id}", "pattern": "^accounts/[^/]+/containers/[^/]+/workspaces/[^/]+$", "location": "path", "required": true, "type": "string" } }, "id": "tagmanager.accounts.containers.workspaces.getStatus", "parameterOrder": [ "path" ], "path": "tagmanager/v2/{+path}/status", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/tagmanager.edit.containers", "https://www.googleapis.com/auth/tagmanager.readonly" ] }, "update": { "scopes": [ "https://www.googleapis.com/auth/tagmanager.edit.containers" ], "parameterOrder": [ "path" ], "response": { "$ref": "Workspace" }, "path": "tagmanager/v2/{+path}", "parameters": { "fingerprint": { "location": "query", "description": "When provided, this fingerprint must match the fingerprint of the workspace in storage.", "type": "string" }, "path": { "pattern": "^accounts/[^/]+/containers/[^/]+/workspaces/[^/]+$", "type": "string", "required": true, "description": "GTM Workspace's API relative path. Example: accounts/{account_id}/containers/{container_id}/workspaces/{workspace_id}", "location": "path" } }, "flatPath": "tagmanager/v2/accounts/{accountsId}/containers/{containersId}/workspaces/{workspacesId}", "description": "Updates a Workspace.", "httpMethod": "PUT", "id": "tagmanager.accounts.containers.workspaces.update", "request": { "$ref": "Workspace" } }, "quick_preview": { "scopes": [ "https://www.googleapis.com/auth/tagmanager.edit.containerversions" ], "description": "Quick previews a workspace by creating a fake container version from all entities in the provided workspace.", "response": { "$ref": "QuickPreviewResponse" }, "parameterOrder": [ "path" ], "path": "tagmanager/v2/{+path}:quick_preview", "parameters": { "path": { "location": "path", "type": "string", "required": true, "pattern": "^accounts/[^/]+/containers/[^/]+/workspaces/[^/]+$", "description": "GTM Workspace's API relative path. Example: accounts/{account_id}/containers/{container_id}/workspaces/{workspace_id}" } }, "id": "tagmanager.accounts.containers.workspaces.quick_preview", "flatPath": "tagmanager/v2/accounts/{accountsId}/containers/{containersId}/workspaces/{workspacesId}:quick_preview", "httpMethod": "POST" } }, "resources": { "tags": { "methods": { "list": { "parameters": { "pageToken": { "type": "string", "description": "Continuation token for fetching the next page of results.", "location": "query" }, "parent": { "required": true, "type": "string", "pattern": "^accounts/[^/]+/containers/[^/]+/workspaces/[^/]+$", "location": "path", "description": "GTM Workspace's API relative path. Example: accounts/{account_id}/containers/{container_id}/workspaces/{workspace_id}" } }, "path": "tagmanager/v2/{+parent}/tags", "httpMethod": "GET", "description": "Lists all GTM Tags of a Container.", "id": "tagmanager.accounts.containers.workspaces.tags.list", "parameterOrder": [ "parent" ], "response": { "$ref": "ListTagsResponse" }, "flatPath": "tagmanager/v2/accounts/{accountsId}/containers/{containersId}/workspaces/{workspacesId}/tags", "scopes": [ "https://www.googleapis.com/auth/tagmanager.edit.containers", "https://www.googleapis.com/auth/tagmanager.readonly" ] }, "revert": { "flatPath": "tagmanager/v2/accounts/{accountsId}/containers/{containersId}/workspaces/{workspacesId}/tags/{tagsId}:revert", "parameterOrder": [ "path" ], "description": "Reverts changes to a GTM Tag in a GTM Workspace.", "id": "tagmanager.accounts.containers.workspaces.tags.revert", "httpMethod": "POST", "path": "tagmanager/v2/{+path}:revert", "scopes": [ "https://www.googleapis.com/auth/tagmanager.edit.containers" ], "parameters": { "fingerprint": { "location": "query", "type": "string", "description": "When provided, this fingerprint must match the fingerprint of thetag in storage." }, "path": { "required": true, "location": "path", "type": "string", "description": "GTM Tag's API relative path. Example: accounts/{account_id}/containers/{container_id}/workspaces/{workspace_id}/tags/{tag_id}", "pattern": "^accounts/[^/]+/containers/[^/]+/workspaces/[^/]+/tags/[^/]+$" } }, "response": { "$ref": "RevertTagResponse" } }, "update": { "path": "tagmanager/v2/{+path}", "id": "tagmanager.accounts.containers.workspaces.tags.update", "flatPath": "tagmanager/v2/accounts/{accountsId}/containers/{containersId}/workspaces/{workspacesId}/tags/{tagsId}", "response": { "$ref": "Tag" }, "parameters": { "path": { "pattern": "^accounts/[^/]+/containers/[^/]+/workspaces/[^/]+/tags/[^/]+$", "required": true, "type": "string", "location": "path", "description": "GTM Tag's API relative path. Example: accounts/{account_id}/containers/{container_id}/workspaces/{workspace_id}/tags/{tag_id}" }, "fingerprint": { "description": "When provided, this fingerprint must match the fingerprint of the tag in storage.", "type": "string", "location": "query" } }, "parameterOrder": [ "path" ], "httpMethod": "PUT", "request": { "$ref": "Tag" }, "scopes": [ "https://www.googleapis.com/auth/tagmanager.edit.containers" ], "description": "Updates a GTM Tag." }, "delete": { "description": "Deletes a GTM Tag.", "parameters": { "path": { "type": "string", "description": "GTM Tag's API relative path. Example: accounts/{account_id}/containers/{container_id}/workspaces/{workspace_id}/tags/{tag_id}", "location": "path", "pattern": "^accounts/[^/]+/containers/[^/]+/workspaces/[^/]+/tags/[^/]+$", "required": true } }, "id": "tagmanager.accounts.containers.workspaces.tags.delete", "scopes": [ "https://www.googleapis.com/auth/tagmanager.edit.containers" ], "path": "tagmanager/v2/{+path}", "flatPath": "tagmanager/v2/accounts/{accountsId}/containers/{containersId}/workspaces/{workspacesId}/tags/{tagsId}", "httpMethod": "DELETE", "parameterOrder": [ "path" ] }, "get": { "response": { "$ref": "Tag" }, "description": "Gets a GTM Tag.", "path": "tagmanager/v2/{+path}", "flatPath": "tagmanager/v2/accounts/{accountsId}/containers/{containersId}/workspaces/{workspacesId}/tags/{tagsId}", "httpMethod": "GET", "parameterOrder": [ "path" ], "id": "tagmanager.accounts.containers.workspaces.tags.get", "parameters": { "path": { "type": "string", "pattern": "^accounts/[^/]+/containers/[^/]+/workspaces/[^/]+/tags/[^/]+$", "description": "GTM Tag's API relative path. Example: accounts/{account_id}/containers/{container_id}/workspaces/{workspace_id}/tags/{tag_id}", "required": true, "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/tagmanager.edit.containers", "https://www.googleapis.com/auth/tagmanager.readonly" ] }, "create": { "id": "tagmanager.accounts.containers.workspaces.tags.create", "request": { "$ref": "Tag" }, "response": { "$ref": "Tag" }, "description": "Creates a GTM Tag.", "path": "tagmanager/v2/{+parent}/tags", "httpMethod": "POST", "parameters": { "parent": { "location": "path", "pattern": "^accounts/[^/]+/containers/[^/]+/workspaces/[^/]+$", "required": true, "description": "GTM Workspace's API relative path. Example: accounts/{account_id}/containers/{container_id}/workspaces/{workspace_id}", "type": "string" } }, "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/tagmanager.edit.containers" ], "flatPath": "tagmanager/v2/accounts/{accountsId}/containers/{containersId}/workspaces/{workspacesId}/tags" } } }, "clients": { "methods": { "delete": { "id": "tagmanager.accounts.containers.workspaces.clients.delete", "path": "tagmanager/v2/{+path}", "httpMethod": "DELETE", "scopes": [ "https://www.googleapis.com/auth/tagmanager.edit.containers" ], "flatPath": "tagmanager/v2/accounts/{accountsId}/containers/{containersId}/workspaces/{workspacesId}/clients/{clientsId}", "parameterOrder": [ "path" ], "description": "Deletes a GTM Client.", "parameters": { "path": { "location": "path", "pattern": "^accounts/[^/]+/containers/[^/]+/workspaces/[^/]+/clients/[^/]+$", "type": "string", "description": "GTM Client's API relative path. Example: accounts/{account_id}/containers/{container_id}/workspaces/{workspace_id}/clients/{client_id}", "required": true } } }, "get": { "parameterOrder": [ "path" ], "path": "tagmanager/v2/{+path}", "response": { "$ref": "Client" }, "flatPath": "tagmanager/v2/accounts/{accountsId}/containers/{containersId}/workspaces/{workspacesId}/clients/{clientsId}", "scopes": [ "https://www.googleapis.com/auth/tagmanager.edit.containers", "https://www.googleapis.com/auth/tagmanager.readonly" ], "httpMethod": "GET", "parameters": { "path": { "pattern": "^accounts/[^/]+/containers/[^/]+/workspaces/[^/]+/clients/[^/]+$", "description": "GTM Client's API relative path. Example: accounts/{account_id}/containers/{container_id}/workspaces/{workspace_id}/clients/{client_id}", "location": "path", "required": true, "type": "string" } }, "description": "Gets a GTM Client.", "id": "tagmanager.accounts.containers.workspaces.clients.get" }, "list": { "id": "tagmanager.accounts.containers.workspaces.clients.list", "parameterOrder": [ "parent" ], "flatPath": "tagmanager/v2/accounts/{accountsId}/containers/{containersId}/workspaces/{workspacesId}/clients", "scopes": [ "https://www.googleapis.com/auth/tagmanager.edit.containers", "https://www.googleapis.com/auth/tagmanager.readonly" ], "httpMethod": "GET", "response": { "$ref": "ListClientsResponse" }, "description": "Lists all GTM Clients of a GTM container workspace.", "path": "tagmanager/v2/{+parent}/clients", "parameters": { "parent": { "pattern": "^accounts/[^/]+/containers/[^/]+/workspaces/[^/]+$", "type": "string", "location": "path", "required": true, "description": "GTM Workspace's API relative path. Example: accounts/{account_id}/containers/{container_id}/workspaces/{workspace_id}" }, "pageToken": { "type": "string", "location": "query", "description": "Continuation token for fetching the next page of results." } } }, "create": { "scopes": [ "https://www.googleapis.com/auth/tagmanager.edit.containers" ], "flatPath": "tagmanager/v2/accounts/{accountsId}/containers/{containersId}/workspaces/{workspacesId}/clients", "description": "Creates a GTM Client.", "request": { "$ref": "Client" }, "httpMethod": "POST", "path": "tagmanager/v2/{+parent}/clients", "response": { "$ref": "Client" }, "parameters": { "parent": { "type": "string", "location": "path", "pattern": "^accounts/[^/]+/containers/[^/]+/workspaces/[^/]+$", "required": true, "description": "GTM Workspace's API relative path. Example: accounts/{account_id}/containers/{container_id}/workspaces/{workspace_id}" } }, "id": "tagmanager.accounts.containers.workspaces.clients.create", "parameterOrder": [ "parent" ] }, "revert": { "parameters": { "path": { "location": "path", "pattern": "^accounts/[^/]+/containers/[^/]+/workspaces/[^/]+/clients/[^/]+$", "required": true, "type": "string", "description": "GTM Client's API relative path. Example: accounts/{account_id}/containers/{container_id}/workspaces/{workspace_id}/clients/{client_id}" }, "fingerprint": { "location": "query", "type": "string", "description": "When provided, this fingerprint must match the fingerprint of the client in storage." } }, "id": "tagmanager.accounts.containers.workspaces.clients.revert", "httpMethod": "POST", "parameterOrder": [ "path" ], "flatPath": "tagmanager/v2/accounts/{accountsId}/containers/{containersId}/workspaces/{workspacesId}/clients/{clientsId}:revert", "path": "tagmanager/v2/{+path}:revert", "scopes": [ "https://www.googleapis.com/auth/tagmanager.edit.containers" ], "description": "Reverts changes to a GTM Client in a GTM Workspace.", "response": { "$ref": "RevertClientResponse" } }, "update": { "id": "tagmanager.accounts.containers.workspaces.clients.update", "parameters": { "path": { "type": "string", "required": true, "description": "GTM Client's API relative path. Example: accounts/{account_id}/containers/{container_id}/workspaces/{workspace_id}/clients/{client_id}", "location": "path", "pattern": "^accounts/[^/]+/containers/[^/]+/workspaces/[^/]+/clients/[^/]+$" }, "fingerprint": { "location": "query", "description": "When provided, this fingerprint must match the fingerprint of the client in storage.", "type": "string" } }, "flatPath": "tagmanager/v2/accounts/{accountsId}/containers/{containersId}/workspaces/{workspacesId}/clients/{clientsId}", "description": "Updates a GTM Client.", "scopes": [ "https://www.googleapis.com/auth/tagmanager.edit.containers" ], "response": { "$ref": "Client" }, "httpMethod": "PUT", "path": "tagmanager/v2/{+path}", "request": { "$ref": "Client" }, "parameterOrder": [ "path" ] } } }, "built_in_variables": { "methods": { "delete": { "parameters": { "type": { "type": "string", "description": "The types of built-in variables to delete.", "location": "query", "enumDescriptions": [ "", "", "", "", "", "For web or mobile.", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "For web or mobile.", "", "For web or mobile.", "For web or mobile.", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "" ], "repeated": true, "enum": [ "builtInVariableTypeUnspecified", "pageUrl", "pageHostname", "pagePath", "referrer", "event", "clickElement", "clickClasses", "clickId", "clickTarget", "clickUrl", "clickText", "firstPartyServingUrl", "formElement", "formClasses", "formId", "formTarget", "formUrl", "formText", "errorMessage", "errorUrl", "errorLine", "newHistoryUrl", "oldHistoryUrl", "newHistoryFragment", "oldHistoryFragment", "newHistoryState", "oldHistoryState", "historySource", "containerVersion", "debugMode", "randomNumber", "containerId", "appId", "appName", "appVersionCode", "appVersionName", "language", "osVersion", "platform", "sdkVersion", "deviceName", "resolution", "advertiserId", "advertisingTrackingEnabled", "htmlId", "environmentName", "ampBrowserLanguage", "ampCanonicalPath", "ampCanonicalUrl", "ampCanonicalHost", "ampReferrer", "ampTitle", "ampClientId", "ampClientTimezone", "ampClientTimestamp", "ampClientScreenWidth", "ampClientScreenHeight", "ampClientScrollX", "ampClientScrollY", "ampClientMaxScrollX", "ampClientMaxScrollY", "ampTotalEngagedTime", "ampPageViewId", "ampPageLoadTime", "ampPageDownloadTime", "ampGtmEvent", "eventName", "firebaseEventParameterCampaign", "firebaseEventParameterCampaignAclid", "firebaseEventParameterCampaignAnid", "firebaseEventParameterCampaignClickTimestamp", "firebaseEventParameterCampaignContent", "firebaseEventParameterCampaignCp1", "firebaseEventParameterCampaignGclid", "firebaseEventParameterCampaignSource", "firebaseEventParameterCampaignTerm", "firebaseEventParameterCurrency", "firebaseEventParameterDynamicLinkAcceptTime", "firebaseEventParameterDynamicLinkLinkid", "firebaseEventParameterNotificationMessageDeviceTime", "firebaseEventParameterNotificationMessageId", "firebaseEventParameterNotificationMessageName", "firebaseEventParameterNotificationMessageTime", "firebaseEventParameterNotificationTopic", "firebaseEventParameterPreviousAppVersion", "firebaseEventParameterPreviousOsVersion", "firebaseEventParameterPrice", "firebaseEventParameterProductId", "firebaseEventParameterQuantity", "firebaseEventParameterValue", "videoProvider", "videoUrl", "videoTitle", "videoDuration", "videoPercent", "videoVisible", "videoStatus", "videoCurrentTime", "scrollDepthThreshold", "scrollDepthUnits", "scrollDepthDirection", "elementVisibilityRatio", "elementVisibilityTime", "elementVisibilityFirstTime", "elementVisibilityRecentTime", "requestPath", "requestMethod", "clientName", "queryString", "serverPageLocationUrl", "serverPageLocationPath", "serverPageLocationHostname" ] }, "path": { "description": "GTM BuiltInVariable's API relative path. Example: accounts/{account_id}/containers/{container_id}/workspaces/{workspace_id}/built_in_variables", "location": "path", "type": "string", "pattern": "^accounts/[^/]+/containers/[^/]+/workspaces/[^/]+/built_in_variables$", "required": true } }, "httpMethod": "DELETE", "description": "Deletes one or more GTM Built-In Variables.", "parameterOrder": [ "path" ], "scopes": [ "https://www.googleapis.com/auth/tagmanager.edit.containers" ], "id": "tagmanager.accounts.containers.workspaces.built_in_variables.delete", "path": "tagmanager/v2/{+path}", "flatPath": "tagmanager/v2/accounts/{accountsId}/containers/{containersId}/workspaces/{workspacesId}/built_in_variables" }, "revert": { "response": { "$ref": "RevertBuiltInVariableResponse" }, "scopes": [ "https://www.googleapis.com/auth/tagmanager.edit.containers" ], "id": "tagmanager.accounts.containers.workspaces.built_in_variables.revert", "httpMethod": "POST", "parameters": { "path": { "required": true, "pattern": "^accounts/[^/]+/containers/[^/]+/workspaces/[^/]+$", "type": "string", "location": "path", "description": "GTM BuiltInVariable's API relative path. Example: accounts/{account_id}/containers/{container_id}/workspaces/{workspace_id}/built_in_variables" }, "type": { "type": "string", "enumDescriptions": [ "", "", "", "", "", "For web or mobile.", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "For web or mobile.", "", "For web or mobile.", "For web or mobile.", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "" ], "description": "The type of built-in variable to revert.", "enum": [ "builtInVariableTypeUnspecified", "pageUrl", "pageHostname", "pagePath", "referrer", "event", "clickElement", "clickClasses", "clickId", "clickTarget", "clickUrl", "clickText", "firstPartyServingUrl", "formElement", "formClasses", "formId", "formTarget", "formUrl", "formText", "errorMessage", "errorUrl", "errorLine", "newHistoryUrl", "oldHistoryUrl", "newHistoryFragment", "oldHistoryFragment", "newHistoryState", "oldHistoryState", "historySource", "containerVersion", "debugMode", "randomNumber", "containerId", "appId", "appName", "appVersionCode", "appVersionName", "language", "osVersion", "platform", "sdkVersion", "deviceName", "resolution", "advertiserId", "advertisingTrackingEnabled", "htmlId", "environmentName", "ampBrowserLanguage", "ampCanonicalPath", "ampCanonicalUrl", "ampCanonicalHost", "ampReferrer", "ampTitle", "ampClientId", "ampClientTimezone", "ampClientTimestamp", "ampClientScreenWidth", "ampClientScreenHeight", "ampClientScrollX", "ampClientScrollY", "ampClientMaxScrollX", "ampClientMaxScrollY", "ampTotalEngagedTime", "ampPageViewId", "ampPageLoadTime", "ampPageDownloadTime", "ampGtmEvent", "eventName", "firebaseEventParameterCampaign", "firebaseEventParameterCampaignAclid", "firebaseEventParameterCampaignAnid", "firebaseEventParameterCampaignClickTimestamp", "firebaseEventParameterCampaignContent", "firebaseEventParameterCampaignCp1", "firebaseEventParameterCampaignGclid", "firebaseEventParameterCampaignSource", "firebaseEventParameterCampaignTerm", "firebaseEventParameterCurrency", "firebaseEventParameterDynamicLinkAcceptTime", "firebaseEventParameterDynamicLinkLinkid", "firebaseEventParameterNotificationMessageDeviceTime", "firebaseEventParameterNotificationMessageId", "firebaseEventParameterNotificationMessageName", "firebaseEventParameterNotificationMessageTime", "firebaseEventParameterNotificationTopic", "firebaseEventParameterPreviousAppVersion", "firebaseEventParameterPreviousOsVersion", "firebaseEventParameterPrice", "firebaseEventParameterProductId", "firebaseEventParameterQuantity", "firebaseEventParameterValue", "videoProvider", "videoUrl", "videoTitle", "videoDuration", "videoPercent", "videoVisible", "videoStatus", "videoCurrentTime", "scrollDepthThreshold", "scrollDepthUnits", "scrollDepthDirection", "elementVisibilityRatio", "elementVisibilityTime", "elementVisibilityFirstTime", "elementVisibilityRecentTime", "requestPath", "requestMethod", "clientName", "queryString", "serverPageLocationUrl", "serverPageLocationPath", "serverPageLocationHostname" ], "location": "query" } }, "parameterOrder": [ "path" ], "description": "Reverts changes to a GTM Built-In Variables in a GTM Workspace.", "flatPath": "tagmanager/v2/accounts/{accountsId}/containers/{containersId}/workspaces/{workspacesId}/built_in_variables:revert", "path": "tagmanager/v2/{+path}/built_in_variables:revert" }, "list": { "parameters": { "pageToken": { "description": "Continuation token for fetching the next page of results.", "type": "string", "location": "query" }, "parent": { "location": "path", "pattern": "^accounts/[^/]+/containers/[^/]+/workspaces/[^/]+$", "required": true, "type": "string", "description": "GTM Workspace's API relative path. Example: accounts/{account_id}/containers/{container_id}/workspaces/{workspace_id}" } }, "httpMethod": "GET", "flatPath": "tagmanager/v2/accounts/{accountsId}/containers/{containersId}/workspaces/{workspacesId}/built_in_variables", "response": { "$ref": "ListEnabledBuiltInVariablesResponse" }, "scopes": [ "https://www.googleapis.com/auth/tagmanager.edit.containers", "https://www.googleapis.com/auth/tagmanager.readonly" ], "parameterOrder": [ "parent" ], "description": "Lists all the enabled Built-In Variables of a GTM Container.", "path": "tagmanager/v2/{+parent}/built_in_variables", "id": "tagmanager.accounts.containers.workspaces.built_in_variables.list" }, "create": { "id": "tagmanager.accounts.containers.workspaces.built_in_variables.create", "response": { "$ref": "CreateBuiltInVariableResponse" }, "flatPath": "tagmanager/v2/accounts/{accountsId}/containers/{containersId}/workspaces/{workspacesId}/built_in_variables", "description": "Creates one or more GTM Built-In Variables.", "httpMethod": "POST", "parameterOrder": [ "parent" ], "parameters": { "type": { "type": "string", "description": "The types of built-in variables to enable.", "repeated": true, "enum": [ "builtInVariableTypeUnspecified", "pageUrl", "pageHostname", "pagePath", "referrer", "event", "clickElement", "clickClasses", "clickId", "clickTarget", "clickUrl", "clickText", "firstPartyServingUrl", "formElement", "formClasses", "formId", "formTarget", "formUrl", "formText", "errorMessage", "errorUrl", "errorLine", "newHistoryUrl", "oldHistoryUrl", "newHistoryFragment", "oldHistoryFragment", "newHistoryState", "oldHistoryState", "historySource", "containerVersion", "debugMode", "randomNumber", "containerId", "appId", "appName", "appVersionCode", "appVersionName", "language", "osVersion", "platform", "sdkVersion", "deviceName", "resolution", "advertiserId", "advertisingTrackingEnabled", "htmlId", "environmentName", "ampBrowserLanguage", "ampCanonicalPath", "ampCanonicalUrl", "ampCanonicalHost", "ampReferrer", "ampTitle", "ampClientId", "ampClientTimezone", "ampClientTimestamp", "ampClientScreenWidth", "ampClientScreenHeight", "ampClientScrollX", "ampClientScrollY", "ampClientMaxScrollX", "ampClientMaxScrollY", "ampTotalEngagedTime", "ampPageViewId", "ampPageLoadTime", "ampPageDownloadTime", "ampGtmEvent", "eventName", "firebaseEventParameterCampaign", "firebaseEventParameterCampaignAclid", "firebaseEventParameterCampaignAnid", "firebaseEventParameterCampaignClickTimestamp", "firebaseEventParameterCampaignContent", "firebaseEventParameterCampaignCp1", "firebaseEventParameterCampaignGclid", "firebaseEventParameterCampaignSource", "firebaseEventParameterCampaignTerm", "firebaseEventParameterCurrency", "firebaseEventParameterDynamicLinkAcceptTime", "firebaseEventParameterDynamicLinkLinkid", "firebaseEventParameterNotificationMessageDeviceTime", "firebaseEventParameterNotificationMessageId", "firebaseEventParameterNotificationMessageName", "firebaseEventParameterNotificationMessageTime", "firebaseEventParameterNotificationTopic", "firebaseEventParameterPreviousAppVersion", "firebaseEventParameterPreviousOsVersion", "firebaseEventParameterPrice", "firebaseEventParameterProductId", "firebaseEventParameterQuantity", "firebaseEventParameterValue", "videoProvider", "videoUrl", "videoTitle", "videoDuration", "videoPercent", "videoVisible", "videoStatus", "videoCurrentTime", "scrollDepthThreshold", "scrollDepthUnits", "scrollDepthDirection", "elementVisibilityRatio", "elementVisibilityTime", "elementVisibilityFirstTime", "elementVisibilityRecentTime", "requestPath", "requestMethod", "clientName", "queryString", "serverPageLocationUrl", "serverPageLocationPath", "serverPageLocationHostname" ], "enumDescriptions": [ "", "", "", "", "", "For web or mobile.", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "For web or mobile.", "", "For web or mobile.", "For web or mobile.", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "" ], "location": "query" }, "parent": { "description": "GTM Workspace's API relative path. Example: accounts/{account_id}/containers/{container_id}/workspaces/{workspace_id}", "location": "path", "pattern": "^accounts/[^/]+/containers/[^/]+/workspaces/[^/]+$", "required": true, "type": "string" } }, "path": "tagmanager/v2/{+parent}/built_in_variables", "scopes": [ "https://www.googleapis.com/auth/tagmanager.edit.containers" ] } } }, "templates": { "methods": { "get": { "parameterOrder": [ "path" ], "flatPath": "tagmanager/v2/accounts/{accountsId}/containers/{containersId}/workspaces/{workspacesId}/templates/{templatesId}", "description": "Gets a GTM Template.", "scopes": [ "https://www.googleapis.com/auth/tagmanager.edit.containers", "https://www.googleapis.com/auth/tagmanager.readonly" ], "id": "tagmanager.accounts.containers.workspaces.templates.get", "path": "tagmanager/v2/{+path}", "response": { "$ref": "CustomTemplate" }, "httpMethod": "GET", "parameters": { "path": { "description": "GTM Custom Template's API relative path. Example: accounts/{account_id}/containers/{container_id}/workspaces/{workspace_id}/templates/{template_id}", "pattern": "^accounts/[^/]+/containers/[^/]+/workspaces/[^/]+/templates/[^/]+$", "location": "path", "required": true, "type": "string" } } }, "update": { "httpMethod": "PUT", "id": "tagmanager.accounts.containers.workspaces.templates.update", "description": "Updates a GTM Template.", "response": { "$ref": "CustomTemplate" }, "parameters": { "path": { "type": "string", "pattern": "^accounts/[^/]+/containers/[^/]+/workspaces/[^/]+/templates/[^/]+$", "required": true, "description": "GTM Custom Template's API relative path. Example: accounts/{account_id}/containers/{container_id}/workspaces/{workspace_id}/templates/{template_id}", "location": "path" }, "fingerprint": { "location": "query", "description": "When provided, this fingerprint must match the fingerprint of the templates in storage.", "type": "string" } }, "parameterOrder": [ "path" ], "request": { "$ref": "CustomTemplate" }, "path": "tagmanager/v2/{+path}", "scopes": [ "https://www.googleapis.com/auth/tagmanager.edit.containers" ], "flatPath": "tagmanager/v2/accounts/{accountsId}/containers/{containersId}/workspaces/{workspacesId}/templates/{templatesId}" }, "create": { "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/tagmanager.edit.containers" ], "id": "tagmanager.accounts.containers.workspaces.templates.create", "path": "tagmanager/v2/{+parent}/templates", "request": { "$ref": "CustomTemplate" }, "flatPath": "tagmanager/v2/accounts/{accountsId}/containers/{containersId}/workspaces/{workspacesId}/templates", "httpMethod": "POST", "parameters": { "parent": { "required": true, "type": "string", "location": "path", "description": "GTM Workspace's API relative path. Example: accounts/{account_id}/containers/{container_id}/workspaces/{workspace_id}", "pattern": "^accounts/[^/]+/containers/[^/]+/workspaces/[^/]+$" } }, "response": { "$ref": "CustomTemplate" }, "description": "Creates a GTM Custom Template." }, "revert": { "scopes": [ "https://www.googleapis.com/auth/tagmanager.edit.containers" ], "parameterOrder": [ "path" ], "path": "tagmanager/v2/{+path}:revert", "httpMethod": "POST", "description": "Reverts changes to a GTM Template in a GTM Workspace.", "flatPath": "tagmanager/v2/accounts/{accountsId}/containers/{containersId}/workspaces/{workspacesId}/templates/{templatesId}:revert", "parameters": { "fingerprint": { "description": "When provided, this fingerprint must match the fingerprint of the template in storage.", "type": "string", "location": "query" }, "path": { "type": "string", "location": "path", "pattern": "^accounts/[^/]+/containers/[^/]+/workspaces/[^/]+/templates/[^/]+$", "description": "GTM Custom Template's API relative path. Example: accounts/{account_id}/containers/{container_id}/workspaces/{workspace_id}/templates/{template_id}", "required": true } }, "id": "tagmanager.accounts.containers.workspaces.templates.revert", "response": { "$ref": "RevertTemplateResponse" } }, "delete": { "httpMethod": "DELETE", "parameters": { "path": { "location": "path", "required": true, "description": "GTM Custom Template's API relative path. Example: accounts/{account_id}/containers/{container_id}/workspaces/{workspace_id}/templates/{template_id}", "type": "string", "pattern": "^accounts/[^/]+/containers/[^/]+/workspaces/[^/]+/templates/[^/]+$" } }, "parameterOrder": [ "path" ], "id": "tagmanager.accounts.containers.workspaces.templates.delete", "description": "Deletes a GTM Template.", "flatPath": "tagmanager/v2/accounts/{accountsId}/containers/{containersId}/workspaces/{workspacesId}/templates/{templatesId}", "scopes": [ "https://www.googleapis.com/auth/tagmanager.edit.containers" ], "path": "tagmanager/v2/{+path}" }, "list": { "scopes": [ "https://www.googleapis.com/auth/tagmanager.edit.containers", "https://www.googleapis.com/auth/tagmanager.readonly" ], "description": "Lists all GTM Templates of a GTM container workspace.", "flatPath": "tagmanager/v2/accounts/{accountsId}/containers/{containersId}/workspaces/{workspacesId}/templates", "parameters": { "parent": { "location": "path", "required": true, "type": "string", "description": "GTM Workspace's API relative path. Example: accounts/{account_id}/containers/{container_id}/workspaces/{workspace_id}", "pattern": "^accounts/[^/]+/containers/[^/]+/workspaces/[^/]+$" }, "pageToken": { "description": "Continuation token for fetching the next page of results.", "location": "query", "type": "string" } }, "id": "tagmanager.accounts.containers.workspaces.templates.list", "response": { "$ref": "ListTemplatesResponse" }, "parameterOrder": [ "parent" ], "httpMethod": "GET", "path": "tagmanager/v2/{+parent}/templates" } } }, "variables": { "methods": { "list": { "id": "tagmanager.accounts.containers.workspaces.variables.list", "description": "Lists all GTM Variables of a Container.", "scopes": [ "https://www.googleapis.com/auth/tagmanager.edit.containers", "https://www.googleapis.com/auth/tagmanager.readonly" ], "parameterOrder": [ "parent" ], "httpMethod": "GET", "parameters": { "pageToken": { "description": "Continuation token for fetching the next page of results.", "type": "string", "location": "query" }, "parent": { "description": "GTM Workspace's API relative path. Example: accounts/{account_id}/containers/{container_id}/workspaces/{workspace_id}", "required": true, "type": "string", "pattern": "^accounts/[^/]+/containers/[^/]+/workspaces/[^/]+$", "location": "path" } }, "path": "tagmanager/v2/{+parent}/variables", "response": { "$ref": "ListVariablesResponse" }, "flatPath": "tagmanager/v2/accounts/{accountsId}/containers/{containersId}/workspaces/{workspacesId}/variables" }, "revert": { "flatPath": "tagmanager/v2/accounts/{accountsId}/containers/{containersId}/workspaces/{workspacesId}/variables/{variablesId}:revert", "scopes": [ "https://www.googleapis.com/auth/tagmanager.edit.containers" ], "id": "tagmanager.accounts.containers.workspaces.variables.revert", "description": "Reverts changes to a GTM Variable in a GTM Workspace.", "parameterOrder": [ "path" ], "response": { "$ref": "RevertVariableResponse" }, "path": "tagmanager/v2/{+path}:revert", "httpMethod": "POST", "parameters": { "path": { "description": "GTM Variable's API relative path. Example: accounts/{account_id}/containers/{container_id}/workspaces/{workspace_id}/variables/{variable_id}", "location": "path", "required": true, "type": "string", "pattern": "^accounts/[^/]+/containers/[^/]+/workspaces/[^/]+/variables/[^/]+$" }, "fingerprint": { "description": "When provided, this fingerprint must match the fingerprint of the variable in storage.", "location": "query", "type": "string" } } }, "get": { "flatPath": "tagmanager/v2/accounts/{accountsId}/containers/{containersId}/workspaces/{workspacesId}/variables/{variablesId}", "parameterOrder": [ "path" ], "scopes": [ "https://www.googleapis.com/auth/tagmanager.edit.containers", "https://www.googleapis.com/auth/tagmanager.readonly" ], "id": "tagmanager.accounts.containers.workspaces.variables.get", "description": "Gets a GTM Variable.", "parameters": { "path": { "description": "GTM Variable's API relative path. Example: accounts/{account_id}/containers/{container_id}/workspaces/{workspace_id}/variables/{variable_id}", "type": "string", "required": true, "pattern": "^accounts/[^/]+/containers/[^/]+/workspaces/[^/]+/variables/[^/]+$", "location": "path" } }, "httpMethod": "GET", "path": "tagmanager/v2/{+path}", "response": { "$ref": "Variable" } }, "delete": { "parameterOrder": [ "path" ], "parameters": { "path": { "type": "string", "pattern": "^accounts/[^/]+/containers/[^/]+/workspaces/[^/]+/variables/[^/]+$", "description": "GTM Variable's API relative path. Example: accounts/{account_id}/containers/{container_id}/workspaces/{workspace_id}/variables/{variable_id}", "location": "path", "required": true } }, "path": "tagmanager/v2/{+path}", "httpMethod": "DELETE", "id": "tagmanager.accounts.containers.workspaces.variables.delete", "flatPath": "tagmanager/v2/accounts/{accountsId}/containers/{containersId}/workspaces/{workspacesId}/variables/{variablesId}", "description": "Deletes a GTM Variable.", "scopes": [ "https://www.googleapis.com/auth/tagmanager.edit.containers" ] }, "update": { "parameterOrder": [ "path" ], "response": { "$ref": "Variable" }, "scopes": [ "https://www.googleapis.com/auth/tagmanager.edit.containers" ], "request": { "$ref": "Variable" }, "flatPath": "tagmanager/v2/accounts/{accountsId}/containers/{containersId}/workspaces/{workspacesId}/variables/{variablesId}", "description": "Updates a GTM Variable.", "httpMethod": "PUT", "path": "tagmanager/v2/{+path}", "id": "tagmanager.accounts.containers.workspaces.variables.update", "parameters": { "fingerprint": { "description": "When provided, this fingerprint must match the fingerprint of the variable in storage.", "location": "query", "type": "string" }, "path": { "required": true, "location": "path", "description": "GTM Variable's API relative path. Example: accounts/{account_id}/containers/{container_id}/workspaces/{workspace_id}/variables/{variable_id}", "type": "string", "pattern": "^accounts/[^/]+/containers/[^/]+/workspaces/[^/]+/variables/[^/]+$" } } }, "create": { "scopes": [ "https://www.googleapis.com/auth/tagmanager.edit.containers" ], "response": { "$ref": "Variable" }, "path": "tagmanager/v2/{+parent}/variables", "request": { "$ref": "Variable" }, "parameters": { "parent": { "description": "GTM Workspace's API relative path. Example: accounts/{account_id}/containers/{container_id}/workspaces/{workspace_id}", "location": "path", "type": "string", "pattern": "^accounts/[^/]+/containers/[^/]+/workspaces/[^/]+$", "required": true } }, "httpMethod": "POST", "description": "Creates a GTM Variable.", "parameterOrder": [ "parent" ], "id": "tagmanager.accounts.containers.workspaces.variables.create", "flatPath": "tagmanager/v2/accounts/{accountsId}/containers/{containersId}/workspaces/{workspacesId}/variables" } } }, "triggers": { "methods": { "update": { "id": "tagmanager.accounts.containers.workspaces.triggers.update", "httpMethod": "PUT", "scopes": [ "https://www.googleapis.com/auth/tagmanager.edit.containers" ], "path": "tagmanager/v2/{+path}", "flatPath": "tagmanager/v2/accounts/{accountsId}/containers/{containersId}/workspaces/{workspacesId}/triggers/{triggersId}", "description": "Updates a GTM Trigger.", "parameterOrder": [ "path" ], "parameters": { "path": { "location": "path", "required": true, "pattern": "^accounts/[^/]+/containers/[^/]+/workspaces/[^/]+/triggers/[^/]+$", "description": "GTM Trigger's API relative path. Example: accounts/{account_id}/containers/{container_id}/workspaces/{workspace_id}/triggers/{trigger_id}", "type": "string" }, "fingerprint": { "location": "query", "type": "string", "description": "When provided, this fingerprint must match the fingerprint of the trigger in storage." } }, "response": { "$ref": "Trigger" }, "request": { "$ref": "Trigger" } }, "list": { "id": "tagmanager.accounts.containers.workspaces.triggers.list", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/tagmanager.edit.containers", "https://www.googleapis.com/auth/tagmanager.readonly" ], "flatPath": "tagmanager/v2/accounts/{accountsId}/containers/{containersId}/workspaces/{workspacesId}/triggers", "path": "tagmanager/v2/{+parent}/triggers", "response": { "$ref": "ListTriggersResponse" }, "description": "Lists all GTM Triggers of a Container.", "parameters": { "parent": { "pattern": "^accounts/[^/]+/containers/[^/]+/workspaces/[^/]+$", "location": "path", "description": "GTM Workspaces's API relative path. Example: accounts/{account_id}/containers/{container_id}/workspaces/{workspace_id}", "type": "string", "required": true }, "pageToken": { "description": "Continuation token for fetching the next page of results.", "location": "query", "type": "string" } }, "parameterOrder": [ "parent" ] }, "delete": { "parameters": { "path": { "location": "path", "description": "GTM Trigger's API relative path. Example: accounts/{account_id}/containers/{container_id}/workspaces/{workspace_id}/triggers/{trigger_id}", "required": true, "pattern": "^accounts/[^/]+/containers/[^/]+/workspaces/[^/]+/triggers/[^/]+$", "type": "string" } }, "flatPath": "tagmanager/v2/accounts/{accountsId}/containers/{containersId}/workspaces/{workspacesId}/triggers/{triggersId}", "httpMethod": "DELETE", "id": "tagmanager.accounts.containers.workspaces.triggers.delete", "description": "Deletes a GTM Trigger.", "parameterOrder": [ "path" ], "scopes": [ "https://www.googleapis.com/auth/tagmanager.edit.containers" ], "path": "tagmanager/v2/{+path}" }, "revert": { "flatPath": "tagmanager/v2/accounts/{accountsId}/containers/{containersId}/workspaces/{workspacesId}/triggers/{triggersId}:revert", "id": "tagmanager.accounts.containers.workspaces.triggers.revert", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/tagmanager.edit.containers" ], "description": "Reverts changes to a GTM Trigger in a GTM Workspace.", "parameterOrder": [ "path" ], "path": "tagmanager/v2/{+path}:revert", "parameters": { "fingerprint": { "location": "query", "description": "When provided, this fingerprint must match the fingerprint of the trigger in storage.", "type": "string" }, "path": { "type": "string", "location": "path", "required": true, "pattern": "^accounts/[^/]+/containers/[^/]+/workspaces/[^/]+/triggers/[^/]+$", "description": "GTM Trigger's API relative path. Example: accounts/{account_id}/containers/{container_id}/workspaces/{workspace_id}/triggers/{trigger_id}" } }, "response": { "$ref": "RevertTriggerResponse" } }, "get": { "path": "tagmanager/v2/{+path}", "flatPath": "tagmanager/v2/accounts/{accountsId}/containers/{containersId}/workspaces/{workspacesId}/triggers/{triggersId}", "id": "tagmanager.accounts.containers.workspaces.triggers.get", "parameterOrder": [ "path" ], "description": "Gets a GTM Trigger.", "httpMethod": "GET", "parameters": { "path": { "type": "string", "required": true, "description": "GTM Trigger's API relative path. Example: accounts/{account_id}/containers/{container_id}/workspaces/{workspace_id}/triggers/{trigger_id}", "location": "path", "pattern": "^accounts/[^/]+/containers/[^/]+/workspaces/[^/]+/triggers/[^/]+$" } }, "response": { "$ref": "Trigger" }, "scopes": [ "https://www.googleapis.com/auth/tagmanager.edit.containers", "https://www.googleapis.com/auth/tagmanager.readonly" ] }, "create": { "path": "tagmanager/v2/{+parent}/triggers", "parameterOrder": [ "parent" ], "request": { "$ref": "Trigger" }, "response": { "$ref": "Trigger" }, "scopes": [ "https://www.googleapis.com/auth/tagmanager.edit.containers" ], "description": "Creates a GTM Trigger.", "httpMethod": "POST", "id": "tagmanager.accounts.containers.workspaces.triggers.create", "flatPath": "tagmanager/v2/accounts/{accountsId}/containers/{containersId}/workspaces/{workspacesId}/triggers", "parameters": { "parent": { "type": "string", "description": "GTM Workspaces's API relative path. Example: accounts/{account_id}/containers/{container_id}/workspaces/{workspace_id}", "pattern": "^accounts/[^/]+/containers/[^/]+/workspaces/[^/]+$", "required": true, "location": "path" } } } } }, "zones": { "methods": { "create": { "flatPath": "tagmanager/v2/accounts/{accountsId}/containers/{containersId}/workspaces/{workspacesId}/zones", "parameters": { "parent": { "location": "path", "type": "string", "required": true, "pattern": "^accounts/[^/]+/containers/[^/]+/workspaces/[^/]+$", "description": "GTM Workspace's API relative path. Example: accounts/{account_id}/containers/{container_id}/workspaces/{workspace_id}" } }, "response": { "$ref": "Zone" }, "request": { "$ref": "Zone" }, "parameterOrder": [ "parent" ], "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/tagmanager.edit.containers" ], "path": "tagmanager/v2/{+parent}/zones", "id": "tagmanager.accounts.containers.workspaces.zones.create", "description": "Creates a GTM Zone." }, "update": { "parameterOrder": [ "path" ], "flatPath": "tagmanager/v2/accounts/{accountsId}/containers/{containersId}/workspaces/{workspacesId}/zones/{zonesId}", "scopes": [ "https://www.googleapis.com/auth/tagmanager.edit.containers" ], "description": "Updates a GTM Zone.", "parameters": { "path": { "type": "string", "required": true, "pattern": "^accounts/[^/]+/containers/[^/]+/workspaces/[^/]+/zones/[^/]+$", "location": "path", "description": "GTM Zone's API relative path. Example: accounts/{account_id}/containers/{container_id}/workspaces/{workspace_id}/zones/{zone_id}" }, "fingerprint": { "description": "When provided, this fingerprint must match the fingerprint of the zone in storage.", "location": "query", "type": "string" } }, "path": "tagmanager/v2/{+path}", "id": "tagmanager.accounts.containers.workspaces.zones.update", "httpMethod": "PUT", "response": { "$ref": "Zone" }, "request": { "$ref": "Zone" } }, "list": { "httpMethod": "GET", "id": "tagmanager.accounts.containers.workspaces.zones.list", "path": "tagmanager/v2/{+parent}/zones", "parameterOrder": [ "parent" ], "parameters": { "parent": { "description": "GTM Workspace's API relative path. Example: accounts/{account_id}/containers/{container_id}/workspaces/{workspace_id}", "required": true, "type": "string", "location": "path", "pattern": "^accounts/[^/]+/containers/[^/]+/workspaces/[^/]+$" }, "pageToken": { "location": "query", "type": "string", "description": "Continuation token for fetching the next page of results." } }, "response": { "$ref": "ListZonesResponse" }, "description": "Lists all GTM Zones of a GTM container workspace.", "flatPath": "tagmanager/v2/accounts/{accountsId}/containers/{containersId}/workspaces/{workspacesId}/zones", "scopes": [ "https://www.googleapis.com/auth/tagmanager.edit.containers", "https://www.googleapis.com/auth/tagmanager.readonly" ] }, "delete": { "httpMethod": "DELETE", "id": "tagmanager.accounts.containers.workspaces.zones.delete", "parameterOrder": [ "path" ], "flatPath": "tagmanager/v2/accounts/{accountsId}/containers/{containersId}/workspaces/{workspacesId}/zones/{zonesId}", "description": "Deletes a GTM Zone.", "scopes": [ "https://www.googleapis.com/auth/tagmanager.edit.containers" ], "parameters": { "path": { "location": "path", "pattern": "^accounts/[^/]+/containers/[^/]+/workspaces/[^/]+/zones/[^/]+$", "description": "GTM Zone's API relative path. Example: accounts/{account_id}/containers/{container_id}/workspaces/{workspace_id}/zones/{zone_id}", "required": true, "type": "string" } }, "path": "tagmanager/v2/{+path}" }, "revert": { "httpMethod": "POST", "parameters": { "path": { "required": true, "pattern": "^accounts/[^/]+/containers/[^/]+/workspaces/[^/]+/zones/[^/]+$", "location": "path", "type": "string", "description": "GTM Zone's API relative path. Example: accounts/{account_id}/containers/{container_id}/workspaces/{workspace_id}/zones/{zone_id}" }, "fingerprint": { "type": "string", "location": "query", "description": "When provided, this fingerprint must match the fingerprint of the zone in storage." } }, "response": { "$ref": "RevertZoneResponse" }, "parameterOrder": [ "path" ], "description": "Reverts changes to a GTM Zone in a GTM Workspace.", "scopes": [ "https://www.googleapis.com/auth/tagmanager.edit.containers" ], "flatPath": "tagmanager/v2/accounts/{accountsId}/containers/{containersId}/workspaces/{workspacesId}/zones/{zonesId}:revert", "id": "tagmanager.accounts.containers.workspaces.zones.revert", "path": "tagmanager/v2/{+path}:revert" }, "get": { "scopes": [ "https://www.googleapis.com/auth/tagmanager.edit.containers", "https://www.googleapis.com/auth/tagmanager.readonly" ], "flatPath": "tagmanager/v2/accounts/{accountsId}/containers/{containersId}/workspaces/{workspacesId}/zones/{zonesId}", "path": "tagmanager/v2/{+path}", "description": "Gets a GTM Zone.", "id": "tagmanager.accounts.containers.workspaces.zones.get", "httpMethod": "GET", "parameters": { "path": { "location": "path", "required": true, "pattern": "^accounts/[^/]+/containers/[^/]+/workspaces/[^/]+/zones/[^/]+$", "type": "string", "description": "GTM Zone's API relative path. Example: accounts/{account_id}/containers/{container_id}/workspaces/{workspace_id}/zones/{zone_id}" } }, "response": { "$ref": "Zone" }, "parameterOrder": [ "path" ] } } }, "folders": { "methods": { "revert": { "response": { "$ref": "RevertFolderResponse" }, "parameterOrder": [ "path" ], "parameters": { "path": { "location": "path", "type": "string", "description": "GTM Folder's API relative path. Example: accounts/{account_id}/containers/{container_id}/workspaces/{workspace_id}/folders/{folder_id}", "required": true, "pattern": "^accounts/[^/]+/containers/[^/]+/workspaces/[^/]+/folders/[^/]+$" }, "fingerprint": { "type": "string", "location": "query", "description": "When provided, this fingerprint must match the fingerprint of the tag in storage." } }, "description": "Reverts changes to a GTM Folder in a GTM Workspace.", "id": "tagmanager.accounts.containers.workspaces.folders.revert", "httpMethod": "POST", "flatPath": "tagmanager/v2/accounts/{accountsId}/containers/{containersId}/workspaces/{workspacesId}/folders/{foldersId}:revert", "scopes": [ "https://www.googleapis.com/auth/tagmanager.edit.containers" ], "path": "tagmanager/v2/{+path}:revert" }, "delete": { "path": "tagmanager/v2/{+path}", "flatPath": "tagmanager/v2/accounts/{accountsId}/containers/{containersId}/workspaces/{workspacesId}/folders/{foldersId}", "scopes": [ "https://www.googleapis.com/auth/tagmanager.edit.containers" ], "parameterOrder": [ "path" ], "description": "Deletes a GTM Folder.", "parameters": { "path": { "pattern": "^accounts/[^/]+/containers/[^/]+/workspaces/[^/]+/folders/[^/]+$", "type": "string", "required": true, "location": "path", "description": "GTM Folder's API relative path. Example: accounts/{account_id}/containers/{container_id}/workspaces/{workspace_id}/folders/{folder_id}" } }, "id": "tagmanager.accounts.containers.workspaces.folders.delete", "httpMethod": "DELETE" }, "move_entities_to_folder": { "request": { "$ref": "Folder" }, "scopes": [ "https://www.googleapis.com/auth/tagmanager.edit.containers" ], "httpMethod": "POST", "id": "tagmanager.accounts.containers.workspaces.folders.move_entities_to_folder", "parameterOrder": [ "path" ], "description": "Moves entities to a GTM Folder.", "path": "tagmanager/v2/{+path}:move_entities_to_folder", "parameters": { "variableId": { "location": "query", "description": "The variables to be moved to the folder.", "type": "string", "repeated": true }, "triggerId": { "description": "The triggers to be moved to the folder.", "location": "query", "type": "string", "repeated": true }, "path": { "type": "string", "description": "GTM Folder's API relative path. Example: accounts/{account_id}/containers/{container_id}/workspaces/{workspace_id}/folders/{folder_id}", "location": "path", "pattern": "^accounts/[^/]+/containers/[^/]+/workspaces/[^/]+/folders/[^/]+$", "required": true }, "tagId": { "type": "string", "description": "The tags to be moved to the folder.", "repeated": true, "location": "query" } }, "flatPath": "tagmanager/v2/accounts/{accountsId}/containers/{containersId}/workspaces/{workspacesId}/folders/{foldersId}:move_entities_to_folder" }, "entities": { "response": { "$ref": "FolderEntities" }, "parameterOrder": [ "path" ], "scopes": [ "https://www.googleapis.com/auth/tagmanager.edit.containers", "https://www.googleapis.com/auth/tagmanager.readonly" ], "id": "tagmanager.accounts.containers.workspaces.folders.entities", "httpMethod": "POST", "flatPath": "tagmanager/v2/accounts/{accountsId}/containers/{containersId}/workspaces/{workspacesId}/folders/{foldersId}:entities", "description": "List all entities in a GTM Folder.", "path": "tagmanager/v2/{+path}:entities", "parameters": { "path": { "pattern": "^accounts/[^/]+/containers/[^/]+/workspaces/[^/]+/folders/[^/]+$", "type": "string", "location": "path", "required": true, "description": "GTM Folder's API relative path. Example: accounts/{account_id}/containers/{container_id}/workspaces/{workspace_id}/folders/{folder_id}" }, "pageToken": { "location": "query", "description": "Continuation token for fetching the next page of results.", "type": "string" } } }, "list": { "id": "tagmanager.accounts.containers.workspaces.folders.list", "path": "tagmanager/v2/{+parent}/folders", "parameters": { "pageToken": { "type": "string", "location": "query", "description": "Continuation token for fetching the next page of results." }, "parent": { "description": "GTM Workspace's API relative path. Example: accounts/{account_id}/containers/{container_id}/workspaces/{workspace_id}", "required": true, "location": "path", "pattern": "^accounts/[^/]+/containers/[^/]+/workspaces/[^/]+$", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/tagmanager.edit.containers", "https://www.googleapis.com/auth/tagmanager.readonly" ], "description": "Lists all GTM Folders of a Container.", "flatPath": "tagmanager/v2/accounts/{accountsId}/containers/{containersId}/workspaces/{workspacesId}/folders", "parameterOrder": [ "parent" ], "response": { "$ref": "ListFoldersResponse" }, "httpMethod": "GET" }, "update": { "parameterOrder": [ "path" ], "parameters": { "path": { "pattern": "^accounts/[^/]+/containers/[^/]+/workspaces/[^/]+/folders/[^/]+$", "description": "GTM Folder's API relative path. Example: accounts/{account_id}/containers/{container_id}/workspaces/{workspace_id}/folders/{folder_id}", "location": "path", "required": true, "type": "string" }, "fingerprint": { "type": "string", "location": "query", "description": "When provided, this fingerprint must match the fingerprint of the folder in storage." } }, "id": "tagmanager.accounts.containers.workspaces.folders.update", "description": "Updates a GTM Folder.", "httpMethod": "PUT", "request": { "$ref": "Folder" }, "path": "tagmanager/v2/{+path}", "scopes": [ "https://www.googleapis.com/auth/tagmanager.edit.containers" ], "flatPath": "tagmanager/v2/accounts/{accountsId}/containers/{containersId}/workspaces/{workspacesId}/folders/{foldersId}", "response": { "$ref": "Folder" } }, "get": { "parameters": { "path": { "required": true, "pattern": "^accounts/[^/]+/containers/[^/]+/workspaces/[^/]+/folders/[^/]+$", "location": "path", "type": "string", "description": "GTM Folder's API relative path. Example: accounts/{account_id}/containers/{container_id}/workspaces/{workspace_id}/folders/{folder_id}" } }, "description": "Gets a GTM Folder.", "response": { "$ref": "Folder" }, "parameterOrder": [ "path" ], "flatPath": "tagmanager/v2/accounts/{accountsId}/containers/{containersId}/workspaces/{workspacesId}/folders/{foldersId}", "id": "tagmanager.accounts.containers.workspaces.folders.get", "path": "tagmanager/v2/{+path}", "scopes": [ "https://www.googleapis.com/auth/tagmanager.edit.containers", "https://www.googleapis.com/auth/tagmanager.readonly" ], "httpMethod": "GET" }, "create": { "request": { "$ref": "Folder" }, "path": "tagmanager/v2/{+parent}/folders", "description": "Creates a GTM Folder.", "id": "tagmanager.accounts.containers.workspaces.folders.create", "httpMethod": "POST", "flatPath": "tagmanager/v2/accounts/{accountsId}/containers/{containersId}/workspaces/{workspacesId}/folders", "scopes": [ "https://www.googleapis.com/auth/tagmanager.edit.containers" ], "parameters": { "parent": { "type": "string", "required": true, "pattern": "^accounts/[^/]+/containers/[^/]+/workspaces/[^/]+$", "description": "GTM Workspace's API relative path. Example: accounts/{account_id}/containers/{container_id}/workspaces/{workspace_id}", "location": "path" } }, "parameterOrder": [ "parent" ], "response": { "$ref": "Folder" } } } } } }, "versions": { "methods": { "update": { "flatPath": "tagmanager/v2/accounts/{accountsId}/containers/{containersId}/versions/{versionsId}", "request": { "$ref": "ContainerVersion" }, "id": "tagmanager.accounts.containers.versions.update", "response": { "$ref": "ContainerVersion" }, "scopes": [ "https://www.googleapis.com/auth/tagmanager.edit.containerversions" ], "httpMethod": "PUT", "path": "tagmanager/v2/{+path}", "parameterOrder": [ "path" ], "description": "Updates a Container Version.", "parameters": { "fingerprint": { "type": "string", "description": "When provided, this fingerprint must match the fingerprint of the container version in storage.", "location": "query" }, "path": { "type": "string", "required": true, "description": "GTM ContainerVersion's API relative path. Example: accounts/{account_id}/containers/{container_id}/versions/{version_id}", "location": "path", "pattern": "^accounts/[^/]+/containers/[^/]+/versions/[^/]+$" } } }, "live": { "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/tagmanager.edit.containers", "https://www.googleapis.com/auth/tagmanager.readonly" ], "id": "tagmanager.accounts.containers.versions.live", "path": "tagmanager/v2/{+parent}/versions:live", "parameterOrder": [ "parent" ], "description": "Gets the live (i.e. published) container version", "flatPath": "tagmanager/v2/accounts/{accountsId}/containers/{containersId}/versions:live", "parameters": { "parent": { "type": "string", "description": "GTM Container's API relative path. Example: accounts/{account_id}/containers/{container_id}", "location": "path", "required": true, "pattern": "^accounts/[^/]+/containers/[^/]+$" } }, "response": { "$ref": "ContainerVersion" } }, "publish": { "parameters": { "path": { "location": "path", "required": true, "description": "GTM ContainerVersion's API relative path. Example: accounts/{account_id}/containers/{container_id}/versions/{version_id}", "type": "string", "pattern": "^accounts/[^/]+/containers/[^/]+/versions/[^/]+$" }, "fingerprint": { "location": "query", "description": "When provided, this fingerprint must match the fingerprint of the container version in storage.", "type": "string" } }, "httpMethod": "POST", "id": "tagmanager.accounts.containers.versions.publish", "scopes": [ "https://www.googleapis.com/auth/tagmanager.publish" ], "flatPath": "tagmanager/v2/accounts/{accountsId}/containers/{containersId}/versions/{versionsId}:publish", "parameterOrder": [ "path" ], "description": "Publishes a Container Version.", "response": { "$ref": "PublishContainerVersionResponse" }, "path": "tagmanager/v2/{+path}:publish" }, "undelete": { "parameterOrder": [ "path" ], "path": "tagmanager/v2/{+path}:undelete", "parameters": { "path": { "pattern": "^accounts/[^/]+/containers/[^/]+/versions/[^/]+$", "type": "string", "description": "GTM ContainerVersion's API relative path. Example: accounts/{account_id}/containers/{container_id}/versions/{version_id}", "required": true, "location": "path" } }, "id": "tagmanager.accounts.containers.versions.undelete", "description": "Undeletes a Container Version.", "flatPath": "tagmanager/v2/accounts/{accountsId}/containers/{containersId}/versions/{versionsId}:undelete", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/tagmanager.edit.containerversions" ], "response": { "$ref": "ContainerVersion" } }, "get": { "id": "tagmanager.accounts.containers.versions.get", "httpMethod": "GET", "path": "tagmanager/v2/{+path}", "parameters": { "containerVersionId": { "type": "string", "location": "query", "description": "The GTM ContainerVersion ID. Specify published to retrieve the currently published version." }, "path": { "type": "string", "description": "GTM ContainerVersion's API relative path. Example: accounts/{account_id}/containers/{container_id}/versions/{version_id}", "location": "path", "required": true, "pattern": "^accounts/[^/]+/containers/[^/]+/versions/[^/]+$" } }, "scopes": [ "https://www.googleapis.com/auth/tagmanager.edit.containers", "https://www.googleapis.com/auth/tagmanager.edit.containerversions", "https://www.googleapis.com/auth/tagmanager.readonly" ], "parameterOrder": [ "path" ], "flatPath": "tagmanager/v2/accounts/{accountsId}/containers/{containersId}/versions/{versionsId}", "description": "Gets a Container Version.", "response": { "$ref": "ContainerVersion" } }, "delete": { "httpMethod": "DELETE", "parameters": { "path": { "description": "GTM ContainerVersion's API relative path. Example: accounts/{account_id}/containers/{container_id}/versions/{version_id}", "pattern": "^accounts/[^/]+/containers/[^/]+/versions/[^/]+$", "type": "string", "required": true, "location": "path" } }, "path": "tagmanager/v2/{+path}", "id": "tagmanager.accounts.containers.versions.delete", "description": "Deletes a Container Version.", "scopes": [ "https://www.googleapis.com/auth/tagmanager.edit.containerversions" ], "parameterOrder": [ "path" ], "flatPath": "tagmanager/v2/accounts/{accountsId}/containers/{containersId}/versions/{versionsId}" }, "set_latest": { "response": { "$ref": "ContainerVersion" }, "flatPath": "tagmanager/v2/accounts/{accountsId}/containers/{containersId}/versions/{versionsId}:set_latest", "parameterOrder": [ "path" ], "scopes": [ "https://www.googleapis.com/auth/tagmanager.edit.containers" ], "description": "Sets the latest version used for synchronization of workspaces when detecting conflicts and errors.", "parameters": { "path": { "location": "path", "type": "string", "pattern": "^accounts/[^/]+/containers/[^/]+/versions/[^/]+$", "description": "GTM ContainerVersion's API relative path. Example: accounts/{account_id}/containers/{container_id}/versions/{version_id}", "required": true } }, "httpMethod": "POST", "id": "tagmanager.accounts.containers.versions.set_latest", "path": "tagmanager/v2/{+path}:set_latest" } } } } } }, "methods": { "update": { "description": "Updates a GTM Account.", "httpMethod": "PUT", "id": "tagmanager.accounts.update", "response": { "$ref": "Account" }, "request": { "$ref": "Account" }, "parameterOrder": [ "path" ], "flatPath": "tagmanager/v2/accounts/{accountsId}", "scopes": [ "https://www.googleapis.com/auth/tagmanager.manage.accounts" ], "parameters": { "path": { "location": "path", "type": "string", "pattern": "^accounts/[^/]+$", "required": true, "description": "GTM Accounts's API relative path. Example: accounts/{account_id}" }, "fingerprint": { "description": "When provided, this fingerprint must match the fingerprint of the account in storage.", "location": "query", "type": "string" } }, "path": "tagmanager/v2/{+path}" }, "list": { "id": "tagmanager.accounts.list", "parameterOrder": [], "path": "tagmanager/v2/accounts", "response": { "$ref": "ListAccountsResponse" }, "parameters": { "pageToken": { "description": "Continuation token for fetching the next page of results.", "type": "string", "location": "query" } }, "description": "Lists all GTM Accounts that a user has access to.", "scopes": [ "https://www.googleapis.com/auth/tagmanager.edit.containers", "https://www.googleapis.com/auth/tagmanager.manage.accounts", "https://www.googleapis.com/auth/tagmanager.readonly" ], "httpMethod": "GET", "flatPath": "tagmanager/v2/accounts" }, "get": { "response": { "$ref": "Account" }, "path": "tagmanager/v2/{+path}", "id": "tagmanager.accounts.get", "httpMethod": "GET", "parameters": { "path": { "required": true, "pattern": "^accounts/[^/]+$", "description": "GTM Accounts's API relative path. Example: accounts/{account_id}", "type": "string", "location": "path" } }, "parameterOrder": [ "path" ], "description": "Gets a GTM Account.", "scopes": [ "https://www.googleapis.com/auth/tagmanager.edit.containers", "https://www.googleapis.com/auth/tagmanager.manage.accounts", "https://www.googleapis.com/auth/tagmanager.readonly" ], "flatPath": "tagmanager/v2/accounts/{accountsId}" } } } }, "baseUrl": "https://tagmanager.googleapis.com/", "discoveryVersion": "v1", "canonicalName": "Tag Manager", "protocol": "rest", "schemas": { "Container": { "properties": { "domainName": { "description": "List of domain names associated with the Container. @mutable tagmanager.accounts.containers.create @mutable tagmanager.accounts.containers.update", "type": "array", "items": { "type": "string" } }, "usageContext": { "items": { "enumDescriptions": [ "", "", "", "", "", "", "", "" ], "enum": [ "usageContextUnspecified", "web", "android", "ios", "androidSdk5", "iosSdk5", "amp", "server" ], "type": "string" }, "description": "List of Usage Contexts for the Container. Valid values include: web, android, or ios. @mutable tagmanager.accounts.containers.create @mutable tagmanager.accounts.containers.update", "type": "array", "annotations": { "required": [ "tagmanager.accounts.containers.create", "tagmanager.accounts.containers.update" ] } }, "publicId": { "description": "Container Public ID.", "type": "string" }, "containerId": { "type": "string", "description": "The Container ID uniquely identifies the GTM Container." }, "fingerprint": { "description": "The fingerprint of the GTM Container as computed at storage time. This value is recomputed whenever the account is modified.", "type": "string" }, "notes": { "type": "string", "description": "Container Notes. @mutable tagmanager.accounts.containers.create @mutable tagmanager.accounts.containers.update" }, "name": { "type": "string", "description": "Container display name. @mutable tagmanager.accounts.containers.create @mutable tagmanager.accounts.containers.update", "annotations": { "required": [ "tagmanager.accounts.containers.create" ] } }, "tagManagerUrl": { "type": "string", "description": "Auto generated link to the tag manager UI" }, "accountId": { "description": "GTM Account ID.", "type": "string" }, "path": { "type": "string", "description": "GTM Container's API relative path." } }, "description": "Represents a Google Tag Manager Container, which specifies the platform tags will run on, manages workspaces, and retains container versions.", "type": "object", "id": "Container" }, "QuickPreviewResponse": { "id": "QuickPreviewResponse", "type": "object", "properties": { "syncStatus": { "description": "Whether quick previewing failed when syncing the workspace to the latest container version.", "$ref": "SyncStatus" }, "compilerError": { "type": "boolean", "description": "Were there compiler errors or not." }, "containerVersion": { "$ref": "ContainerVersion", "description": "The quick previewed container version." } }, "description": "Response to quick previewing a workspace." }, "PublishContainerVersionResponse": { "description": "Publish container version response.", "properties": { "containerVersion": { "description": "The container version created.", "$ref": "ContainerVersion" }, "compilerError": { "description": "Compiler errors or not.", "type": "boolean" } }, "type": "object", "id": "PublishContainerVersionResponse" }, "SetupTag": { "id": "SetupTag", "type": "object", "description": "Represents a reference to atag that fires before another tag in order to set up dependencies.", "properties": { "tagName": { "type": "string", "description": "The name of the setup tag." }, "stopOnSetupFailure": { "type": "boolean", "description": "If true, fire the main tag if and only if the setup tag fires successfully. If false, fire the main tag regardless of setup tag firing status." } } }, "Variable": { "description": "Represents a Google Tag Manager Variable.", "type": "object", "properties": { "formatValue": { "description": "Option to convert a variable value to other value.", "$ref": "VariableFormatValue" }, "tagManagerUrl": { "description": "Auto generated link to the tag manager UI", "type": "string" }, "disablingTriggerId": { "description": "For mobile containers only: A list of trigger IDs for disabling conditional variables; the variable is enabled if one of the enabling trigger is true while all the disabling trigger are false. Treated as an unordered set. @mutable tagmanager.accounts.containers.workspaces.variables.create @mutable tagmanager.accounts.containers.workspaces.variables.update", "items": { "type": "string" }, "type": "array" }, "path": { "type": "string", "description": "GTM Variable's API relative path." }, "parameter": { "items": { "$ref": "Parameter" }, "type": "array", "description": "The variable's parameters. @mutable tagmanager.accounts.containers.workspaces.variables.create @mutable tagmanager.accounts.containers.workspaces.variables.update" }, "workspaceId": { "description": "GTM Workspace ID.", "type": "string" }, "variableId": { "type": "string", "description": "The Variable ID uniquely identifies the GTM Variable." }, "accountId": { "description": "GTM Account ID.", "type": "string" }, "containerId": { "type": "string", "description": "GTM Container ID." }, "scheduleEndMs": { "description": "The end timestamp in milliseconds to schedule a variable. @mutable tagmanager.accounts.containers.workspaces.variables.create @mutable tagmanager.accounts.containers.workspaces.variables.update", "format": "int64", "type": "string" }, "name": { "annotations": { "required": [ "tagmanager.accounts.containers.workspaces.variables.create", "tagmanager.accounts.containers.workspaces.variables.update" ] }, "description": "Variable display name. @mutable tagmanager.accounts.containers.workspaces.variables.create @mutable tagmanager.accounts.containers.workspaces.variables.update", "type": "string" }, "enablingTriggerId": { "items": { "type": "string" }, "type": "array", "description": "For mobile containers only: A list of trigger IDs for enabling conditional variables; the variable is enabled if one of the enabling triggers is true while all the disabling triggers are false. Treated as an unordered set. @mutable tagmanager.accounts.containers.workspaces.variables.create @mutable tagmanager.accounts.containers.workspaces.variables.update" }, "parentFolderId": { "description": "Parent folder id.", "type": "string" }, "scheduleStartMs": { "description": "The start timestamp in milliseconds to schedule a variable. @mutable tagmanager.accounts.containers.workspaces.variables.create @mutable tagmanager.accounts.containers.workspaces.variables.update", "format": "int64", "type": "string" }, "fingerprint": { "type": "string", "description": "The fingerprint of the GTM Variable as computed at storage time. This value is recomputed whenever the variable is modified." }, "notes": { "description": "User notes on how to apply this variable in the container. @mutable tagmanager.accounts.containers.workspaces.variables.create @mutable tagmanager.accounts.containers.workspaces.variables.update", "type": "string" }, "type": { "annotations": { "required": [ "tagmanager.accounts.containers.workspaces.variables.create", "tagmanager.accounts.containers.workspaces.variables.update" ] }, "description": "GTM Variable Type. @mutable tagmanager.accounts.containers.workspaces.variables.create @mutable tagmanager.accounts.containers.workspaces.variables.update", "type": "string" } }, "id": "Variable" }, "RevertTemplateResponse": { "properties": { "template": { "description": "Template as it appears in the latest container version since the last workspace synchronization operation. If no template is present, that means the template was deleted in the latest container version.", "$ref": "CustomTemplate" } }, "type": "object", "id": "RevertTemplateResponse", "description": "The result of reverting a template in a workspace." }, "UserPermission": { "type": "object", "id": "UserPermission", "properties": { "accountAccess": { "description": "GTM Account access permissions. @mutable tagmanager.accounts.permissions.create @mutable tagmanager.accounts.permissions.update", "$ref": "AccountAccess" }, "path": { "description": "GTM UserPermission's API relative path.", "type": "string" }, "emailAddress": { "description": "User's email address. @mutable tagmanager.accounts.permissions.create", "type": "string" }, "containerAccess": { "type": "array", "description": "GTM Container access permissions. @mutable tagmanager.accounts.permissions.create @mutable tagmanager.accounts.permissions.update", "items": { "$ref": "ContainerAccess" } }, "accountId": { "description": "The Account ID uniquely identifies the GTM Account.", "type": "string" } }, "description": "Represents a user's permissions to an account and its container." }, "ContainerVersionHeader": { "properties": { "numVariables": { "type": "string", "description": "Number of variables in the container version." }, "numRules": { "type": "string", "description": "Number of rules in the container version." }, "containerId": { "type": "string", "description": "GTM Container ID." }, "accountId": { "description": "GTM Account ID.", "type": "string" }, "numMacros": { "type": "string", "description": "Number of macros in the container version." }, "path": { "description": "GTM Container Versions's API relative path.", "type": "string" }, "containerVersionId": { "type": "string", "description": "The Container Version ID uniquely identifies the GTM Container Version." }, "deleted": { "description": "A value of true indicates this container version has been deleted.", "type": "boolean" }, "name": { "type": "string", "description": "Container version display name." }, "numClients": { "type": "string", "description": "Number of clients in the container version." }, "numTags": { "type": "string", "description": "Number of tags in the container version." }, "numTriggers": { "description": "Number of triggers in the container version.", "type": "string" }, "numZones": { "description": "Number of zones in the container version.", "type": "string" }, "numCustomTemplates": { "description": "Number of custom templates in the container version.", "type": "string" } }, "id": "ContainerVersionHeader", "description": "Represents a Google Tag Manager Container Version Header.", "type": "object" }, "ZoneChildContainer": { "type": "object", "description": "Represents a child container of a Zone.", "properties": { "nickname": { "description": "The zone's nickname for the child container.", "type": "string" }, "publicId": { "description": "The child container's public id.", "type": "string" } }, "id": "ZoneChildContainer" }, "CustomTemplate": { "id": "CustomTemplate", "description": "Represents a Google Tag Manager Custom Template's contents.", "type": "object", "properties": { "galleryReference": { "description": "A reference to the Community Template Gallery entry.", "$ref": "GalleryReference" }, "tagManagerUrl": { "description": "Auto generated link to the tag manager UI", "type": "string" }, "containerId": { "type": "string", "description": "GTM Container ID." }, "templateData": { "type": "string", "description": "The custom template in text format." }, "workspaceId": { "description": "GTM Workspace ID.", "type": "string" }, "accountId": { "type": "string", "description": "GTM Account ID." }, "templateId": { "description": "The Custom Template ID uniquely identifies the GTM custom template.", "type": "string" }, "fingerprint": { "type": "string", "description": "The fingerprint of the GTM Custom Template as computed at storage time. This value is recomputed whenever the template is modified." }, "name": { "description": "Custom Template display name.", "type": "string" }, "path": { "description": "GTM Custom Template's API relative path.", "type": "string" } } }, "ContainerAccess": { "description": "Defines the Google Tag Manager Container access permissions.", "properties": { "containerId": { "description": "GTM Container ID. @mutable tagmanager.accounts.permissions.create @mutable tagmanager.accounts.permissions.update", "type": "string" }, "permission": { "type": "string", "description": "List of Container permissions. @mutable tagmanager.accounts.permissions.create @mutable tagmanager.accounts.permissions.update", "enumDescriptions": [ "", "", "", "", "", "" ], "enum": [ "containerPermissionUnspecified", "noAccess", "read", "edit", "approve", "publish" ] } }, "type": "object", "id": "ContainerAccess" }, "ListFoldersResponse": { "description": "List Folders Response.", "id": "ListFoldersResponse", "type": "object", "properties": { "folder": { "items": { "$ref": "Folder" }, "description": "All GTM Folders of a GTM Container.", "type": "array" }, "nextPageToken": { "description": "Continuation token for fetching the next page of results.", "type": "string" } } }, "AccountAccess": { "properties": { "permission": { "type": "string", "description": "Whether the user has no access, user access, or admin access to an account. @mutable tagmanager.accounts.permissions.create @mutable tagmanager.accounts.permissions.update", "enumDescriptions": [ "", "", "", "" ], "enum": [ "accountPermissionUnspecified", "noAccess", "user", "admin" ] } }, "type": "object", "description": "Defines the Google Tag Manager Account access permissions.", "id": "AccountAccess" }, "Parameter": { "description": "Represents a Google Tag Manager Parameter.", "properties": { "value": { "type": "string", "description": "A parameter's value (may contain variable references such as \"{{myVariable}}\") as appropriate to the specified type. @mutable tagmanager.accounts.containers.workspaces.variables.create @mutable tagmanager.accounts.containers.workspaces.variables.update @mutable tagmanager.accounts.containers.workspaces.triggers.create @mutable tagmanager.accounts.containers.workspaces.triggers.update @mutable tagmanager.accounts.containers.workspaces.tags.create @mutable tagmanager.accounts.containers.workspaces.tags.update" }, "type": { "annotations": { "required": [ "tagmanager.accounts.containers.workspaces.tags.create", "tagmanager.accounts.containers.workspaces.tags.update", "tagmanager.accounts.containers.workspaces.triggers.create", "tagmanager.accounts.containers.workspaces.triggers.update", "tagmanager.accounts.containers.workspaces.variables.create", "tagmanager.accounts.containers.workspaces.variables.update" ] }, "type": "string", "enum": [ "typeUnspecified", "template", "integer", "boolean", "list", "map", "triggerReference", "tagReference" ], "enumDescriptions": [ "", "May include variable references (such as \"{{myVariable}}\").", "", "", "", "", "", "" ], "description": "The parameter type. Valid values are: - boolean: The value represents a boolean, represented as 'true' or 'false' - integer: The value represents a 64-bit signed integer value, in base 10 - list: A list of parameters should be specified - map: A map of parameters should be specified - template: The value represents any text; this can include variable references (even variable references that might return non-string types) - trigger_reference: The value represents a trigger, represented as the trigger id - tag_reference: The value represents a tag, represented as the tag name @mutable tagmanager.accounts.containers.workspaces.variables.create @mutable tagmanager.accounts.containers.workspaces.variables.update @mutable tagmanager.accounts.containers.workspaces.triggers.create @mutable tagmanager.accounts.containers.workspaces.triggers.update @mutable tagmanager.accounts.containers.workspaces.tags.create @mutable tagmanager.accounts.containers.workspaces.tags.update" }, "key": { "description": "The named key that uniquely identifies a parameter. Required for top-level parameters, as well as map values. Ignored for list values. @mutable tagmanager.accounts.containers.workspaces.variables.create @mutable tagmanager.accounts.containers.workspaces.variables.update @mutable tagmanager.accounts.containers.workspaces.triggers.create @mutable tagmanager.accounts.containers.workspaces.triggers.update @mutable tagmanager.accounts.containers.workspaces.tags.create @mutable tagmanager.accounts.containers.workspaces.tags.update", "type": "string" }, "list": { "items": { "$ref": "Parameter" }, "type": "array", "description": "This list parameter's parameters (keys will be ignored). @mutable tagmanager.accounts.containers.workspaces.variables.create @mutable tagmanager.accounts.containers.workspaces.variables.update @mutable tagmanager.accounts.containers.workspaces.triggers.create @mutable tagmanager.accounts.containers.workspaces.triggers.update @mutable tagmanager.accounts.containers.workspaces.tags.create @mutable tagmanager.accounts.containers.workspaces.tags.update" }, "map": { "type": "array", "description": "This map parameter's parameters (must have keys; keys must be unique). @mutable tagmanager.accounts.containers.workspaces.variables.create @mutable tagmanager.accounts.containers.workspaces.variables.update @mutable tagmanager.accounts.containers.workspaces.triggers.create @mutable tagmanager.accounts.containers.workspaces.triggers.update @mutable tagmanager.accounts.containers.workspaces.tags.create @mutable tagmanager.accounts.containers.workspaces.tags.update", "items": { "$ref": "Parameter" } } }, "id": "Parameter", "type": "object" }, "SyncWorkspaceResponse": { "properties": { "syncStatus": { "description": "Indicates whether synchronization caused a merge conflict or sync error.", "$ref": "SyncStatus" }, "mergeConflict": { "description": "The merge conflict after sync. If this field is not empty, the sync is still treated as successful. But a version cannot be created until all conflicts are resolved.", "type": "array", "items": { "$ref": "MergeConflict" } } }, "id": "SyncWorkspaceResponse", "description": "A response after synchronizing the workspace to the latest container version.", "type": "object" }, "RevertTriggerResponse": { "properties": { "trigger": { "description": "Trigger as it appears in the latest container version since the last workspace synchronization operation. If no trigger is present, that means the trigger was deleted in the latest container version.", "$ref": "Trigger" } }, "id": "RevertTriggerResponse", "type": "object", "description": "The result of reverting a trigger in a workspace." }, "ZoneBoundary": { "id": "ZoneBoundary", "description": "Represents a Zone's boundaries.", "properties": { "customEvaluationTriggerId": { "description": "Custom evaluation trigger IDs. A zone will evaluate its boundary conditions when any of the listed triggers are true.", "type": "array", "items": { "type": "string" } }, "condition": { "description": "The conditions that, when conjoined, make up the boundary.", "items": { "$ref": "Condition" }, "type": "array" } }, "type": "object" }, "Folder": { "description": "Represents a Google Tag Manager Folder.", "properties": { "tagManagerUrl": { "description": "Auto generated link to the tag manager UI", "type": "string" }, "notes": { "description": "User notes on how to apply this folder in the container. @mutable tagmanager.accounts.containers.workspaces.folders.create @mutable tagmanager.accounts.containers.workspaces.folders.update", "type": "string" }, "fingerprint": { "description": "The fingerprint of the GTM Folder as computed at storage time. This value is recomputed whenever the folder is modified.", "type": "string" }, "workspaceId": { "description": "GTM Workspace ID.", "type": "string" }, "name": { "type": "string", "description": "Folder display name. @mutable tagmanager.accounts.containers.workspaces.folders.create @mutable tagmanager.accounts.containers.workspaces.folders.update", "annotations": { "required": [ "tagmanager.accounts.containers.workspaces.folders.create", "tagmanager.accounts.containers.workspaces.folders.update" ] } }, "path": { "type": "string", "description": "GTM Folder's API relative path." }, "containerId": { "type": "string", "description": "GTM Container ID." }, "accountId": { "description": "GTM Account ID.", "type": "string" }, "folderId": { "description": "The Folder ID uniquely identifies the GTM Folder.", "type": "string" } }, "type": "object", "id": "Folder" }, "ListTemplatesResponse": { "properties": { "nextPageToken": { "description": "Continuation token for fetching the next page of results.", "type": "string" }, "template": { "items": { "$ref": "CustomTemplate" }, "type": "array", "description": "All GTM Custom Templates of a GTM Container." } }, "type": "object", "id": "ListTemplatesResponse" }, "RevertFolderResponse": { "description": "The result of reverting folder changes in a workspace.", "properties": { "folder": { "$ref": "Folder", "description": "Folder as it appears in the latest container version since the last workspace synchronization operation. If no folder is present, that means the folder was deleted in the latest container version." } }, "id": "RevertFolderResponse", "type": "object" }, "ListZonesResponse": { "properties": { "zone": { "type": "array", "items": { "$ref": "Zone" }, "description": "All GTM Zones of a GTM Container." }, "nextPageToken": { "description": "Continuation token for fetching the next page of results.", "type": "string" } }, "id": "ListZonesResponse", "type": "object" }, "CreateContainerVersionResponse": { "type": "object", "properties": { "compilerError": { "type": "boolean", "description": "Compiler errors or not." }, "containerVersion": { "$ref": "ContainerVersion", "description": "The container version created." }, "syncStatus": { "description": "Whether version creation failed when syncing the workspace to the latest container version.", "$ref": "SyncStatus" }, "newWorkspacePath": { "type": "string", "description": "Auto generated workspace path created as a result of version creation. This field should only be populated if the created version was not a quick preview." } }, "description": "Create container versions response.", "id": "CreateContainerVersionResponse" }, "RevertVariableResponse": { "description": "The result of reverting a variable in a workspace.", "type": "object", "id": "RevertVariableResponse", "properties": { "variable": { "description": "Variable as it appears in the latest container version since the last workspace synchronization operation. If no variable is present, that means the variable was deleted in the latest container version.", "$ref": "Variable" } } }, "ListClientsResponse": { "properties": { "client": { "items": { "$ref": "Client" }, "description": "All GTM Clients of a GTM Container.", "type": "array" }, "nextPageToken": { "type": "string", "description": "Continuation token for fetching the next page of results." } }, "type": "object", "id": "ListClientsResponse" }, "GetWorkspaceStatusResponse": { "properties": { "mergeConflict": { "description": "The merge conflict after sync.", "items": { "$ref": "MergeConflict" }, "type": "array" }, "workspaceChange": { "description": "Entities that have been changed in the workspace.", "items": { "$ref": "Entity" }, "type": "array" } }, "type": "object", "description": "The changes that have occurred in the workspace since the base container version.", "id": "GetWorkspaceStatusResponse" }, "ListEnabledBuiltInVariablesResponse": { "id": "ListEnabledBuiltInVariablesResponse", "type": "object", "description": "A list of enabled built-in variables.", "properties": { "nextPageToken": { "type": "string", "description": "Continuation token for fetching the next page of results." }, "builtInVariable": { "type": "array", "description": "All GTM BuiltInVariables of a GTM container.", "items": { "$ref": "BuiltInVariable" } } } }, "RevertZoneResponse": { "description": "The result of reverting a zone in a workspace.", "type": "object", "properties": { "zone": { "$ref": "Zone", "description": "Zone as it appears in the latest container version since the last workspace synchronization operation. If no zone is present, that means the zone was deleted in the latest container version." } }, "id": "RevertZoneResponse" }, "CreateBuiltInVariableResponse": { "properties": { "builtInVariable": { "description": "List of created built-in variables.", "items": { "$ref": "BuiltInVariable" }, "type": "array" } }, "id": "CreateBuiltInVariableResponse", "type": "object" }, "ContainerVersion": { "type": "object", "properties": { "trigger": { "description": "The triggers in the container that this version was taken from.", "items": { "$ref": "Trigger" }, "type": "array" }, "variable": { "items": { "$ref": "Variable" }, "type": "array", "description": "The variables in the container that this version was taken from." }, "name": { "description": "Container version display name. @mutable tagmanager.accounts.containers.versions.update", "type": "string" }, "tag": { "description": "The tags in the container that this version was taken from.", "items": { "$ref": "Tag" }, "type": "array" }, "builtInVariable": { "items": { "$ref": "BuiltInVariable" }, "type": "array", "description": "The built-in variables in the container that this version was taken from." }, "description": { "description": "Container version description. @mutable tagmanager.accounts.containers.versions.update", "type": "string" }, "container": { "description": "The container that this version was taken from.", "$ref": "Container" }, "containerVersionId": { "description": "The Container Version ID uniquely identifies the GTM Container Version.", "type": "string" }, "deleted": { "description": "A value of true indicates this container version has been deleted.", "type": "boolean" }, "zone": { "items": { "$ref": "Zone" }, "type": "array", "description": "The zones in the container that this version was taken from." }, "client": { "items": { "$ref": "Client" }, "description": "The clients in the container that this version was taken from.", "type": "array" }, "fingerprint": { "description": "The fingerprint of the GTM Container Version as computed at storage time. This value is recomputed whenever the container version is modified.", "type": "string" }, "containerId": { "description": "GTM Container ID.", "type": "string" }, "tagManagerUrl": { "type": "string", "description": "Auto generated link to the tag manager UI" }, "accountId": { "type": "string", "description": "GTM Account ID." }, "path": { "description": "GTM ContainerVersions's API relative path.", "type": "string" }, "folder": { "items": { "$ref": "Folder" }, "type": "array", "description": "The folders in the container that this version was taken from." }, "customTemplate": { "items": { "$ref": "CustomTemplate" }, "description": "The custom templates in the container that this version was taken from.", "type": "array" } }, "id": "ContainerVersion", "description": "Represents a Google Tag Manager Container Version." }, "VariableFormatValue": { "id": "VariableFormatValue", "properties": { "convertTrueToValue": { "$ref": "Parameter", "description": "The value to convert if a variable value is true." }, "convertNullToValue": { "description": "The value to convert if a variable value is null.", "$ref": "Parameter" }, "caseConversionType": { "enum": [ "none", "lowercase", "uppercase" ], "description": "The option to convert a string-type variable value to either lowercase or uppercase.", "type": "string", "enumDescriptions": [ "", "The option to convert a variable value to lowercase.", "The option to convert a variable value to uppercase." ] }, "convertUndefinedToValue": { "$ref": "Parameter", "description": "The value to convert if a variable value is undefined." }, "convertFalseToValue": { "$ref": "Parameter", "description": "The value to convert if a variable value is false." } }, "type": "object" }, "BuiltInVariable": { "id": "BuiltInVariable", "type": "object", "description": "Built-in variables are a special category of variables that are pre-created and non-customizable. They provide common functionality like accessing propeties of the gtm data layer, monitoring clicks, or accessing elements of a page URL.", "properties": { "workspaceId": { "type": "string", "description": "GTM Workspace ID." }, "accountId": { "description": "GTM Account ID.", "type": "string" }, "path": { "type": "string", "description": "GTM BuiltInVariable's API relative path." }, "name": { "description": "Name of the built-in variable to be used to refer to the built-in variable.", "type": "string" }, "containerId": { "description": "GTM Container ID.", "type": "string" }, "type": { "type": "string", "enumDescriptions": [ "", "", "", "", "", "For web or mobile.", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "For web or mobile.", "", "For web or mobile.", "For web or mobile.", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "" ], "description": "Type of built-in variable. @required.tagmanager.accounts.containers.workspaces.built_in_variable.update @mutable tagmanager.accounts.containers.workspaces.built_in_variable.update", "enum": [ "builtInVariableTypeUnspecified", "pageUrl", "pageHostname", "pagePath", "referrer", "event", "clickElement", "clickClasses", "clickId", "clickTarget", "clickUrl", "clickText", "firstPartyServingUrl", "formElement", "formClasses", "formId", "formTarget", "formUrl", "formText", "errorMessage", "errorUrl", "errorLine", "newHistoryUrl", "oldHistoryUrl", "newHistoryFragment", "oldHistoryFragment", "newHistoryState", "oldHistoryState", "historySource", "containerVersion", "debugMode", "randomNumber", "containerId", "appId", "appName", "appVersionCode", "appVersionName", "language", "osVersion", "platform", "sdkVersion", "deviceName", "resolution", "advertiserId", "advertisingTrackingEnabled", "htmlId", "environmentName", "ampBrowserLanguage", "ampCanonicalPath", "ampCanonicalUrl", "ampCanonicalHost", "ampReferrer", "ampTitle", "ampClientId", "ampClientTimezone", "ampClientTimestamp", "ampClientScreenWidth", "ampClientScreenHeight", "ampClientScrollX", "ampClientScrollY", "ampClientMaxScrollX", "ampClientMaxScrollY", "ampTotalEngagedTime", "ampPageViewId", "ampPageLoadTime", "ampPageDownloadTime", "ampGtmEvent", "eventName", "firebaseEventParameterCampaign", "firebaseEventParameterCampaignAclid", "firebaseEventParameterCampaignAnid", "firebaseEventParameterCampaignClickTimestamp", "firebaseEventParameterCampaignContent", "firebaseEventParameterCampaignCp1", "firebaseEventParameterCampaignGclid", "firebaseEventParameterCampaignSource", "firebaseEventParameterCampaignTerm", "firebaseEventParameterCurrency", "firebaseEventParameterDynamicLinkAcceptTime", "firebaseEventParameterDynamicLinkLinkid", "firebaseEventParameterNotificationMessageDeviceTime", "firebaseEventParameterNotificationMessageId", "firebaseEventParameterNotificationMessageName", "firebaseEventParameterNotificationMessageTime", "firebaseEventParameterNotificationTopic", "firebaseEventParameterPreviousAppVersion", "firebaseEventParameterPreviousOsVersion", "firebaseEventParameterPrice", "firebaseEventParameterProductId", "firebaseEventParameterQuantity", "firebaseEventParameterValue", "videoProvider", "videoUrl", "videoTitle", "videoDuration", "videoPercent", "videoVisible", "videoStatus", "videoCurrentTime", "scrollDepthThreshold", "scrollDepthUnits", "scrollDepthDirection", "elementVisibilityRatio", "elementVisibilityTime", "elementVisibilityFirstTime", "elementVisibilityRecentTime", "requestPath", "requestMethod", "clientName", "queryString", "serverPageLocationUrl", "serverPageLocationPath", "serverPageLocationHostname" ] } } }, "GalleryReference": { "description": "Represents the link between a custom template and an entry on the Community Template Gallery site.", "properties": { "host": { "description": "The name of the host for the community gallery template.", "type": "string" }, "version": { "description": "The version of the community gallery template.", "type": "string" }, "repository": { "type": "string", "description": "The name of the repository for the community gallery template." }, "signature": { "type": "string", "description": "The signature of the community gallery template as computed at import time. This value is recomputed whenever the template is updated from the gallery." }, "owner": { "type": "string", "description": "The name of the owner for the community gallery template." }, "isModified": { "type": "boolean", "description": "If a user has manually edited the community gallery template." } }, "id": "GalleryReference", "type": "object" }, "TeardownTag": { "description": "Represents a tag that fires after another tag in order to tear down dependencies.", "properties": { "tagName": { "description": "The name of the teardown tag.", "type": "string" }, "stopTeardownOnFailure": { "description": "If true, fire the teardown tag if and only if the main tag fires successfully. If false, fire the teardown tag regardless of main tag firing status.", "type": "boolean" } }, "type": "object", "id": "TeardownTag" }, "Workspace": { "description": "Represents a Google Tag Manager Container Workspace.", "id": "Workspace", "properties": { "accountId": { "description": "GTM Account ID.", "type": "string" }, "containerId": { "type": "string", "description": "GTM Container ID." }, "fingerprint": { "description": "The fingerprint of the GTM Workspace as computed at storage time. This value is recomputed whenever the workspace is modified.", "type": "string" }, "path": { "type": "string", "description": "GTM Workspace's API relative path." }, "name": { "type": "string", "description": "Workspace display name. @mutable tagmanager.accounts.containers.workspaces.create @mutable tagmanager.accounts.containers.workspaces.update", "annotations": { "required": [ "tagmanager.accounts.containers.workspaces.create", "tagmanager.accounts.containers.workspaces.update" ] } }, "workspaceId": { "type": "string", "description": "The Workspace ID uniquely identifies the GTM Workspace." }, "description": { "description": "Workspace description. @mutable tagmanager.accounts.containers.workspaces.create @mutable tagmanager.accounts.containers.workspaces.update", "type": "string" }, "tagManagerUrl": { "description": "Auto generated link to the tag manager UI", "type": "string" } }, "type": "object" }, "ListEnvironmentsResponse": { "type": "object", "description": "List Environments Response.", "id": "ListEnvironmentsResponse", "properties": { "environment": { "type": "array", "items": { "$ref": "Environment" }, "description": "All Environments of a GTM Container." }, "nextPageToken": { "description": "Continuation token for fetching the next page of results.", "type": "string" } } }, "MergeConflict": { "properties": { "entityInBaseVersion": { "description": "The base version entity (since the latest sync operation) that has conflicting changes compared to the workspace. If this field is missing, it means the workspace entity is deleted from the base version.", "$ref": "Entity" }, "entityInWorkspace": { "description": "The workspace entity that has conflicting changes compared to the base version. If an entity is deleted in a workspace, it will still appear with a deleted change status.", "$ref": "Entity" } }, "type": "object", "description": "Represents a merge conflict.", "id": "MergeConflict" }, "CreateContainerVersionRequestVersionOptions": { "type": "object", "id": "CreateContainerVersionRequestVersionOptions", "description": "Options for new container versions.", "properties": { "notes": { "description": "The notes of the container version to be created.", "type": "string" }, "name": { "type": "string", "description": "The name of the container version to be created." } } }, "RevertClientResponse": { "type": "object", "id": "RevertClientResponse", "properties": { "client": { "$ref": "Client", "description": "Client as it appears in the latest container version since the last workspace synchronization operation. If no client is present, that means the client was deleted in the latest container version." } }, "description": "The result of reverting a client in a workspace." }, "ListWorkspacesResponse": { "properties": { "workspace": { "items": { "$ref": "Workspace" }, "description": "All Workspaces of a GTM Container.", "type": "array" }, "nextPageToken": { "type": "string", "description": "Continuation token for fetching the next page of results." } }, "type": "object", "id": "ListWorkspacesResponse", "description": "A list of workspaces in a container." }, "FolderEntities": { "properties": { "tag": { "type": "array", "description": "The list of tags inside the folder.", "items": { "$ref": "Tag" } }, "variable": { "type": "array", "items": { "$ref": "Variable" }, "description": "The list of variables inside the folder." }, "nextPageToken": { "type": "string", "description": "Continuation token for fetching the next page of results." }, "trigger": { "description": "The list of triggers inside the folder.", "items": { "$ref": "Trigger" }, "type": "array" } }, "description": "Represents a Google Tag Manager Folder's contents.", "id": "FolderEntities", "type": "object" }, "RevertBuiltInVariableResponse": { "properties": { "enabled": { "description": "Whether the built-in variable is enabled after reversion.", "type": "boolean" } }, "id": "RevertBuiltInVariableResponse", "description": "The result of reverting a built-in variable in a workspace.", "type": "object" }, "ListTriggersResponse": { "id": "ListTriggersResponse", "type": "object", "description": "List triggers response.", "properties": { "nextPageToken": { "type": "string", "description": "Continuation token for fetching the next page of results." }, "trigger": { "items": { "$ref": "Trigger" }, "type": "array", "description": "All GTM Triggers of a GTM Container." } } }, "Condition": { "type": "object", "properties": { "type": { "type": "string", "enum": [ "conditionTypeUnspecified", "equals", "contains", "startsWith", "endsWith", "matchRegex", "greater", "greaterOrEquals", "less", "lessOrEquals", "cssSelector", "urlMatches" ], "annotations": { "required": [ "tagmanager.accounts.containers.workspaces.triggers.create", "tagmanager.accounts.containers.workspaces.triggers.update" ] }, "enumDescriptions": [ "", "", "", "", "", "", "", "", "", "", "", "NOTE(lanzone): When defining a ConditionType here, don't forget to also define a matching PredicateType (in condition.proto)." ], "description": "The type of operator for this condition. @mutable tagmanager.accounts.containers.workspaces.triggers.create @mutable tagmanager.accounts.containers.workspaces.triggers.update" }, "parameter": { "annotations": { "required": [ "tagmanager.accounts.containers.workspaces.triggers.create", "tagmanager.accounts.containers.workspaces.triggers.update" ] }, "type": "array", "items": { "$ref": "Parameter" }, "description": "A list of named parameters (key/value), depending on the condition's type. Notes: - For binary operators, include parameters named arg0 and arg1 for specifying the left and right operands, respectively. - At this time, the left operand (arg0) must be a reference to a variable. - For case-insensitive Regex matching, include a boolean parameter named ignore_case that is set to true. If not specified or set to any other value, the matching will be case sensitive. - To negate an operator, include a boolean parameter named negate boolean parameter that is set to true. @mutable tagmanager.accounts.containers.workspaces.triggers.create @mutable tagmanager.accounts.containers.workspaces.triggers.update" } }, "id": "Condition", "description": "Represents a predicate." }, "Trigger": { "properties": { "checkValidation": { "description": "Whether or not we should only fire tags if the form submit or link click event is not cancelled by some other event handler (e.g. because of validation). Only valid for Form Submission and Link Click triggers. @mutable tagmanager.accounts.containers.workspaces.triggers.create @mutable tagmanager.accounts.containers.workspaces.triggers.update", "$ref": "Parameter" }, "autoEventFilter": { "type": "array", "items": { "$ref": "Condition" }, "description": "Used in the case of auto event tracking. @mutable tagmanager.accounts.containers.workspaces.triggers.create @mutable tagmanager.accounts.containers.workspaces.triggers.update" }, "waitForTags": { "description": "Whether or not we should delay the form submissions or link opening until all of the tags have fired (by preventing the default action and later simulating the default action). Only valid for Form Submission and Link Click triggers. @mutable tagmanager.accounts.containers.workspaces.triggers.create @mutable tagmanager.accounts.containers.workspaces.triggers.update", "$ref": "Parameter" }, "visibilitySelector": { "$ref": "Parameter", "description": "A visibility trigger CSS selector (i.e. \"#id\"). Only valid for AMP Visibility trigger. @mutable tagmanager.accounts.containers.workspaces.triggers.create @mutable tagmanager.accounts.containers.workspaces.triggers.update" }, "workspaceId": { "type": "string", "description": "GTM Workspace ID." }, "notes": { "description": "User notes on how to apply this trigger in the container. @mutable tagmanager.accounts.containers.workspaces.triggers.create @mutable tagmanager.accounts.containers.workspaces.triggers.update", "type": "string" }, "maxTimerLengthSeconds": { "description": "Max time to fire Timer Events (in seconds). Only valid for AMP Timer trigger. @mutable tagmanager.accounts.containers.workspaces.triggers.create @mutable tagmanager.accounts.containers.workspaces.triggers.update", "$ref": "Parameter" }, "totalTimeMinMilliseconds": { "$ref": "Parameter", "description": "A visibility trigger minimum total visible time (in milliseconds). Only valid for AMP Visibility trigger. @mutable tagmanager.accounts.containers.workspaces.triggers.create @mutable tagmanager.accounts.containers.workspaces.triggers.update" }, "path": { "description": "GTM Trigger's API relative path.", "type": "string" }, "visiblePercentageMin": { "$ref": "Parameter", "description": "A visibility trigger minimum percent visibility. Only valid for AMP Visibility trigger. @mutable tagmanager.accounts.containers.workspaces.triggers.create @mutable tagmanager.accounts.containers.workspaces.triggers.update" }, "filter": { "description": "The trigger will only fire iff all Conditions are true. @mutable tagmanager.accounts.containers.workspaces.triggers.create @mutable tagmanager.accounts.containers.workspaces.triggers.update", "type": "array", "items": { "$ref": "Condition" } }, "horizontalScrollPercentageList": { "$ref": "Parameter", "description": "List of integer percentage values for scroll triggers. The trigger will fire when each percentage is reached when the view is scrolled horizontally. Only valid for AMP scroll triggers. @mutable tagmanager.accounts.containers.workspaces.triggers.create @mutable tagmanager.accounts.containers.workspaces.triggers.update" }, "triggerId": { "description": "The Trigger ID uniquely identifies the GTM Trigger.", "type": "string" }, "parameter": { "type": "array", "items": { "$ref": "Parameter" }, "description": "Additional parameters. @mutable tagmanager.accounts.containers.workspaces.triggers.create @mutable tagmanager.accounts.containers.workspaces.triggers.update" }, "visiblePercentageMax": { "description": "A visibility trigger maximum percent visibility. Only valid for AMP Visibility trigger. @mutable tagmanager.accounts.containers.workspaces.triggers.create @mutable tagmanager.accounts.containers.workspaces.triggers.update", "$ref": "Parameter" }, "name": { "type": "string", "description": "Trigger display name. @mutable tagmanager.accounts.containers.workspaces.triggers.create @mutable tagmanager.accounts.containers.workspaces.triggers.update", "annotations": { "required": [ "tagmanager.accounts.containers.workspaces.triggers.create", "tagmanager.accounts.containers.workspaces.triggers.update" ] } }, "uniqueTriggerId": { "description": "Globally unique id of the trigger that auto-generates this (a Form Submit, Link Click or Timer listener) if any. Used to make incompatible auto-events work together with trigger filtering based on trigger ids. This value is populated during output generation since the tags implied by triggers don't exist until then. Only valid for Form Submit, Link Click and Timer triggers. @mutable tagmanager.accounts.containers.workspaces.triggers.create @mutable tagmanager.accounts.containers.workspaces.triggers.update", "$ref": "Parameter" }, "continuousTimeMinMilliseconds": { "description": "A visibility trigger minimum continuous visible time (in milliseconds). Only valid for AMP Visibility trigger. @mutable tagmanager.accounts.containers.workspaces.triggers.create @mutable tagmanager.accounts.containers.workspaces.triggers.update", "$ref": "Parameter" }, "containerId": { "type": "string", "description": "GTM Container ID." }, "customEventFilter": { "items": { "$ref": "Condition" }, "type": "array", "description": "Used in the case of custom event, which is fired iff all Conditions are true. @mutable tagmanager.accounts.containers.workspaces.triggers.create @mutable tagmanager.accounts.containers.workspaces.triggers.update" }, "fingerprint": { "type": "string", "description": "The fingerprint of the GTM Trigger as computed at storage time. This value is recomputed whenever the trigger is modified." }, "parentFolderId": { "type": "string", "description": "Parent folder id." }, "tagManagerUrl": { "description": "Auto generated link to the tag manager UI", "type": "string" }, "intervalSeconds": { "$ref": "Parameter", "description": "Time between Timer Events to fire (in seconds). Only valid for AMP Timer trigger. @mutable tagmanager.accounts.containers.workspaces.triggers.create @mutable tagmanager.accounts.containers.workspaces.triggers.update" }, "accountId": { "type": "string", "description": "GTM Account ID." }, "verticalScrollPercentageList": { "description": "List of integer percentage values for scroll triggers. The trigger will fire when each percentage is reached when the view is scrolled vertically. Only valid for AMP scroll triggers. @mutable tagmanager.accounts.containers.workspaces.triggers.create @mutable tagmanager.accounts.containers.workspaces.triggers.update", "$ref": "Parameter" }, "interval": { "description": "Time between triggering recurring Timer Events (in milliseconds). Only valid for Timer triggers. @mutable tagmanager.accounts.containers.workspaces.triggers.create @mutable tagmanager.accounts.containers.workspaces.triggers.update", "$ref": "Parameter" }, "eventName": { "description": "Name of the GTM event that is fired. Only valid for Timer triggers. @mutable tagmanager.accounts.containers.workspaces.triggers.create @mutable tagmanager.accounts.containers.workspaces.triggers.update", "$ref": "Parameter" }, "selector": { "description": "A click trigger CSS selector (i.e. \"a\", \"button\" etc.). Only valid for AMP Click trigger. @mutable tagmanager.accounts.containers.workspaces.triggers.create @mutable tagmanager.accounts.containers.workspaces.triggers.update", "$ref": "Parameter" }, "waitForTagsTimeout": { "description": "How long to wait (in milliseconds) for tags to fire when 'waits_for_tags' above evaluates to true. Only valid for Form Submission and Link Click triggers. @mutable tagmanager.accounts.containers.workspaces.triggers.create @mutable tagmanager.accounts.containers.workspaces.triggers.update", "$ref": "Parameter" }, "type": { "description": "Defines the data layer event that causes this trigger. @mutable tagmanager.accounts.containers.workspaces.triggers.create @mutable tagmanager.accounts.containers.workspaces.triggers.update", "enum": [ "eventTypeUnspecified", "pageview", "domReady", "windowLoaded", "customEvent", "triggerGroup", "init", "consentInit", "serverPageview", "always", "firebaseAppException", "firebaseAppUpdate", "firebaseCampaign", "firebaseFirstOpen", "firebaseInAppPurchase", "firebaseNotificationDismiss", "firebaseNotificationForeground", "firebaseNotificationOpen", "firebaseNotificationReceive", "firebaseOsUpdate", "firebaseSessionStart", "firebaseUserEngagement", "formSubmission", "click", "linkClick", "jsError", "historyChange", "timer", "ampClick", "ampTimer", "ampScroll", "ampVisibility", "youTubeVideo", "scrollDepth", "elementVisibility" ], "type": "string", "annotations": { "required": [ "tagmanager.accounts.containers.workspaces.triggers.create" ] }, "enumDescriptions": [ "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "" ] }, "limit": { "$ref": "Parameter", "description": "Limit of the number of GTM events this Timer Trigger will fire. If no limit is set, we will continue to fire GTM events until the user leaves the page. Only valid for Timer triggers. @mutable tagmanager.accounts.containers.workspaces.triggers.create @mutable tagmanager.accounts.containers.workspaces.triggers.update" } }, "description": "Represents a Google Tag Manager Trigger", "type": "object", "id": "Trigger" }, "ListContainerVersionsResponse": { "description": "List container versions response.", "type": "object", "properties": { "containerVersionHeader": { "description": "All container version headers of a GTM Container.", "type": "array", "items": { "$ref": "ContainerVersionHeader" } }, "nextPageToken": { "type": "string", "description": "Continuation token for fetching the next page of results." } }, "id": "ListContainerVersionsResponse" }, "ListUserPermissionsResponse": { "properties": { "nextPageToken": { "type": "string", "description": "Continuation token for fetching the next page of results." }, "userPermission": { "type": "array", "description": "All GTM UserPermissions of a GTM Account.", "items": { "$ref": "UserPermission" } } }, "id": "ListUserPermissionsResponse", "type": "object", "description": "List user permissions response." }, "Client": { "id": "Client", "properties": { "accountId": { "description": "GTM Account ID.", "type": "string" }, "clientId": { "type": "string", "description": "The Client ID uniquely identifies the GTM client." }, "parentFolderId": { "description": "Parent folder id.", "type": "string" }, "fingerprint": { "type": "string", "description": "The fingerprint of the GTM Client as computed at storage time. This value is recomputed whenever the client is modified." }, "path": { "type": "string", "description": "GTM client's API relative path." }, "workspaceId": { "description": "GTM Workspace ID.", "type": "string" }, "priority": { "type": "integer", "format": "int32", "description": "Priority determines relative firing order. @mutable tagmanager.accounts.containers.workspaces.clients.create @mutable tagmanager.accounts.containers.workspaces.clients.update" }, "type": { "description": "Client type. @mutable tagmanager.accounts.containers.workspaces.clients.create @mutable tagmanager.accounts.containers.workspaces.clients.update", "type": "string", "annotations": { "required": [ "tagmanager.accounts.containers.workspaces.clients.create", "tagmanager.accounts.containers.workspaces.clients.update" ] } }, "name": { "description": "Client display name. @mutable tagmanager.accounts.containers.workspaces.clients.create @mutable tagmanager.accounts.containers.workspaces.clients.update", "type": "string", "annotations": { "required": [ "tagmanager.accounts.containers.workspaces.clients.create", "tagmanager.accounts.containers.workspaces.clients.update" ] } }, "notes": { "description": "User notes on how to apply this tag in the container. @mutable tagmanager.accounts.containers.workspaces.tags.create @mutable tagmanager.accounts.containers.workspaces.tags.update", "type": "string" }, "containerId": { "description": "GTM Container ID.", "type": "string" }, "parameter": { "type": "array", "description": "The client's parameters. @mutable tagmanager.accounts.containers.workspaces.clients.create @mutable tagmanager.accounts.containers.workspaces.clients.update", "items": { "$ref": "Parameter" } }, "tagManagerUrl": { "type": "string", "description": "Auto generated link to the tag manager UI" } }, "type": "object" }, "ListVariablesResponse": { "id": "ListVariablesResponse", "properties": { "nextPageToken": { "description": "Continuation token for fetching the next page of results.", "type": "string" }, "variable": { "type": "array", "description": "All GTM Variables of a GTM Container.", "items": { "$ref": "Variable" } } }, "description": "List Variables Response.", "type": "object" }, "Tag": { "description": "Represents a Google Tag Manager Tag.", "properties": { "workspaceId": { "type": "string", "description": "GTM Workspace ID." }, "blockingTriggerId": { "type": "array", "description": "Blocking trigger IDs. If any of the listed triggers evaluate to true, the tag will not fire. @mutable tagmanager.accounts.containers.workspaces.tags.create @mutable tagmanager.accounts.containers.workspaces.tags.update", "items": { "type": "string" } }, "type": { "annotations": { "required": [ "tagmanager.accounts.containers.workspaces.tags.create", "tagmanager.accounts.containers.workspaces.tags.update" ] }, "description": "GTM Tag Type. @mutable tagmanager.accounts.containers.workspaces.tags.create @mutable tagmanager.accounts.containers.workspaces.tags.update", "type": "string" }, "teardownTag": { "description": "The list of teardown tags. Currently we only allow one.", "items": { "$ref": "TeardownTag" }, "type": "array" }, "tagId": { "description": "The Tag ID uniquely identifies the GTM Tag.", "type": "string" }, "scheduleStartMs": { "type": "string", "description": "The start timestamp in milliseconds to schedule a tag. @mutable tagmanager.accounts.containers.workspaces.tags.create @mutable tagmanager.accounts.containers.workspaces.tags.update", "format": "int64" }, "consentSettings": { "$ref": "TagConsentSetting", "description": "Consent settings of a tag. @mutable tagmanager.accounts.containers.workspaces.tags.create @mutable tagmanager.accounts.containers.workspaces.tags.update" }, "paused": { "type": "boolean", "description": "Indicates whether the tag is paused, which prevents the tag from firing. @mutable tagmanager.accounts.containers.workspaces.tags.create @mutable tagmanager.accounts.containers.workspaces.tags.update" }, "tagManagerUrl": { "type": "string", "description": "Auto generated link to the tag manager UI" }, "priority": { "$ref": "Parameter", "description": "User defined numeric priority of the tag. Tags are fired asynchronously in order of priority. Tags with higher numeric value fire first. A tag's priority can be a positive or negative value. The default value is 0. @mutable tagmanager.accounts.containers.workspaces.tags.create @mutable tagmanager.accounts.containers.workspaces.tags.update" }, "blockingRuleId": { "type": "array", "items": { "type": "string" }, "description": "Blocking rule IDs. If any of the listed rules evaluate to true, the tag will not fire. @mutable tagmanager.accounts.containers.workspaces.tags.create @mutable tagmanager.accounts.containers.workspaces.tags.update" }, "name": { "annotations": { "required": [ "tagmanager.accounts.containers.workspaces.tags.create", "tagmanager.accounts.containers.workspaces.tags.update" ] }, "type": "string", "description": "Tag display name. @mutable tagmanager.accounts.containers.workspaces.tags.create @mutable tagmanager.accounts.containers.workspaces.tags.update" }, "firingRuleId": { "type": "array", "description": "Firing rule IDs. A tag will fire when any of the listed rules are true and all of its blockingRuleIds (if any specified) are false. @mutable tagmanager.accounts.containers.workspaces.tags.create @mutable tagmanager.accounts.containers.workspaces.tags.update", "items": { "type": "string" } }, "monitoringMetadata": { "description": "A map of key-value pairs of tag metadata to be included in the event data for tag monitoring. Notes: - This parameter must be type MAP. - Each parameter in the map are type TEMPLATE, however cannot contain variable references. @mutable tagmanager.accounts.containers.workspaces.tags.create @mutable tagmanager.accounts.containers.workspaces.tags.update", "$ref": "Parameter" }, "firingTriggerId": { "description": "Firing trigger IDs. A tag will fire when any of the listed triggers are true and all of its blockingTriggerIds (if any specified) are false. @mutable tagmanager.accounts.containers.workspaces.tags.create @mutable tagmanager.accounts.containers.workspaces.tags.update", "items": { "type": "string" }, "type": "array" }, "setupTag": { "description": "The list of setup tags. Currently we only allow one.", "items": { "$ref": "SetupTag" }, "type": "array" }, "liveOnly": { "description": "If set to true, this tag will only fire in the live environment (e.g. not in preview or debug mode). @mutable tagmanager.accounts.containers.workspaces.tags.create @mutable tagmanager.accounts.containers.workspaces.tags.update", "type": "boolean" }, "tagFiringOption": { "enum": [ "tagFiringOptionUnspecified", "unlimited", "oncePerEvent", "oncePerLoad" ], "description": "Option to fire this tag.", "enumDescriptions": [ "", "Tag can be fired multiple times per event.", "Tag can only be fired per event but can be fired multiple times per load (e.g., app load or page load).", "Tag can only be fired per load (e.g., app load or page load)." ], "type": "string" }, "accountId": { "description": "GTM Account ID.", "type": "string" }, "path": { "type": "string", "description": "GTM Tag's API relative path." }, "fingerprint": { "type": "string", "description": "The fingerprint of the GTM Tag as computed at storage time. This value is recomputed whenever the tag is modified." }, "monitoringMetadataTagNameKey": { "type": "string", "description": "If non-empty, then the tag display name will be included in the monitoring metadata map using the key specified. @mutable tagmanager.accounts.containers.workspaces.tags.create @mutable tagmanager.accounts.containers.workspaces.tags.update" }, "containerId": { "description": "GTM Container ID.", "type": "string" }, "notes": { "type": "string", "description": "User notes on how to apply this tag in the container. @mutable tagmanager.accounts.containers.workspaces.tags.create @mutable tagmanager.accounts.containers.workspaces.tags.update" }, "scheduleEndMs": { "type": "string", "description": "The end timestamp in milliseconds to schedule a tag. @mutable tagmanager.accounts.containers.workspaces.tags.create @mutable tagmanager.accounts.containers.workspaces.tags.update", "format": "int64" }, "parameter": { "description": "The tag's parameters. @mutable tagmanager.accounts.containers.workspaces.tags.create @mutable tagmanager.accounts.containers.workspaces.tags.update", "type": "array", "items": { "$ref": "Parameter" } }, "parentFolderId": { "description": "Parent folder id.", "type": "string" } }, "id": "Tag", "type": "object" }, "ListAccountsResponse": { "description": "List Accounts Response.", "properties": { "nextPageToken": { "description": "Continuation token for fetching the next page of results.", "type": "string" }, "account": { "type": "array", "items": { "$ref": "Account" }, "description": "List of GTM Accounts that a user has access to." } }, "id": "ListAccountsResponse", "type": "object" }, "ZoneTypeRestriction": { "properties": { "whitelistedTypeId": { "type": "array", "items": { "type": "string" }, "description": "List of type public ids that have been whitelisted for use in this Zone." }, "enable": { "description": "True if type restrictions have been enabled for this Zone.", "type": "boolean" } }, "description": "Represents a Zone's type restrictions.", "id": "ZoneTypeRestriction", "type": "object" }, "Environment": { "properties": { "name": { "annotations": { "required": [ "tagmanager.accounts.containers.environments.create", "tagmanager.accounts.containers.environments.update" ] }, "type": "string", "description": "The environment display name. Can be set or changed only on USER type environments. @mutable tagmanager.accounts.containers.environments.create @mutable tagmanager.accounts.containers.environments.update" }, "fingerprint": { "type": "string", "description": "The fingerprint of the GTM environment as computed at storage time. This value is recomputed whenever the environment is modified." }, "tagManagerUrl": { "description": "Auto generated link to the tag manager UI", "type": "string" }, "workspaceId": { "description": "Represents a link to a quick preview of a workspace.", "type": "string" }, "url": { "type": "string", "description": "Default preview page url for the environment. @mutable tagmanager.accounts.containers.environments.create @mutable tagmanager.accounts.containers.environments.update" }, "containerId": { "description": "GTM Container ID.", "type": "string" }, "containerVersionId": { "type": "string", "description": "Represents a link to a container version." }, "type": { "enumDescriptions": [ "Points to a user defined environment.", "Points to the current live container version.", "Points to the latest container version.", "Automatically managed environment that points to a workspace preview or version created by a workspace." ], "enum": [ "user", "live", "latest", "workspace" ], "description": "The type of this environment.", "type": "string" }, "accountId": { "description": "GTM Account ID.", "type": "string" }, "enableDebug": { "description": "Whether or not to enable debug by default for the environment. @mutable tagmanager.accounts.containers.environments.create @mutable tagmanager.accounts.containers.environments.update", "type": "boolean" }, "description": { "description": "The environment description. Can be set or changed only on USER type environments. @mutable tagmanager.accounts.containers.environments.create @mutable tagmanager.accounts.containers.environments.update", "type": "string" }, "environmentId": { "type": "string", "description": "GTM Environment ID uniquely identifies the GTM Environment." }, "path": { "type": "string", "description": "GTM Environment's API relative path." }, "authorizationTimestamp": { "type": "string", "format": "google-datetime", "description": "The last update time-stamp for the authorization code." }, "authorizationCode": { "description": "The environment authorization code.", "type": "string" } }, "type": "object", "id": "Environment", "description": "Represents a Google Tag Manager Environment. Note that a user can create, delete and update environments of type USER, but can only update the enable_debug and url fields of environments of other types." }, "Entity": { "description": "A workspace entity that may represent a tag, trigger, variable, or folder in addition to its status in the workspace.", "type": "object", "properties": { "variable": { "$ref": "Variable", "description": "The variable being represented by the entity." }, "trigger": { "description": "The trigger being represented by the entity.", "$ref": "Trigger" }, "folder": { "$ref": "Folder", "description": "The folder being represented by the entity." }, "tag": { "$ref": "Tag", "description": "The tag being represented by the entity." }, "client": { "description": "The client being represented by the entity.", "$ref": "Client" }, "changeStatus": { "description": "Represents how the entity has been changed in the workspace.", "type": "string", "enum": [ "changeStatusUnspecified", "none", "added", "deleted", "updated" ], "enumDescriptions": [ "", "The entity has never been changed.", "The entity is added to the workspace.", "The entity is deleted from the workspace.", "The entity has been updated in the workspace." ] } }, "id": "Entity" }, "RevertTagResponse": { "id": "RevertTagResponse", "type": "object", "description": "The result of reverting a tag in a workspace.", "properties": { "tag": { "description": "Tag as it appears in the latest container version since the last workspace synchronization operation. If no tag is present, that means the tag was deleted in the latest container version.", "$ref": "Tag" } } }, "ListTagsResponse": { "description": "List Tags Response.", "id": "ListTagsResponse", "properties": { "tag": { "type": "array", "description": "All GTM Tags of a GTM Container.", "items": { "$ref": "Tag" } }, "nextPageToken": { "description": "Continuation token for fetching the next page of results.", "type": "string" } }, "type": "object" }, "Account": { "type": "object", "description": "Represents a Google Tag Manager Account.", "id": "Account", "properties": { "tagManagerUrl": { "type": "string", "description": "Auto generated link to the tag manager UI" }, "fingerprint": { "description": "The fingerprint of the GTM Account as computed at storage time. This value is recomputed whenever the account is modified.", "type": "string" }, "name": { "type": "string", "description": "Account display name. @mutable tagmanager.accounts.create @mutable tagmanager.accounts.update" }, "path": { "description": "GTM Account's API relative path.", "type": "string" }, "shareData": { "type": "boolean", "description": "Whether the account shares data anonymously with Google and others. This flag enables benchmarking by sharing your data in an anonymous form. Google will remove all identifiable information about your website, combine the data with hundreds of other anonymous sites and report aggregate trends in the benchmarking service. @mutable tagmanager.accounts.create @mutable tagmanager.accounts.update" }, "accountId": { "description": "The Account ID uniquely identifies the GTM Account.", "type": "string" } } }, "TagConsentSetting": { "id": "TagConsentSetting", "type": "object", "properties": { "consentType": { "description": "The type of consents to check for during tag firing if in the consent NEEDED state. This parameter must be of type LIST where each list item is of type STRING.", "$ref": "Parameter" }, "consentStatus": { "description": "The tag's consent status. If set to NEEDED, the runtime will check that the consent types specified by the consent_type field have been granted.", "enum": [ "notSet", "notNeeded", "needed" ], "enumDescriptions": [ "Default value where user has not specified any setting on it.", "Tag doesn't require any additional consent settings.", "Tag requires additional consent settings." ], "type": "string" } } }, "ListContainersResponse": { "description": "List Containers Response.", "id": "ListContainersResponse", "type": "object", "properties": { "container": { "description": "All Containers of a GTM Account.", "type": "array", "items": { "$ref": "Container" } }, "nextPageToken": { "type": "string", "description": "Continuation token for fetching the next page of results." } } }, "SyncStatus": { "properties": { "mergeConflict": { "description": "Synchornization operation detected a merge conflict.", "type": "boolean" }, "syncError": { "type": "boolean", "description": "An error occurred during the synchronization operation." } }, "id": "SyncStatus", "type": "object", "description": "The status of a workspace after synchronization." }, "Zone": { "id": "Zone", "type": "object", "description": "Represents a Google Tag Manager Zone's contents.", "properties": { "fingerprint": { "description": "The fingerprint of the GTM Zone as computed at storage time. This value is recomputed whenever the zone is modified.", "type": "string" }, "containerId": { "description": "GTM Container ID.", "type": "string" }, "accountId": { "description": "GTM Account ID.", "type": "string" }, "boundary": { "$ref": "ZoneBoundary", "description": "This Zone's boundary." }, "path": { "description": "GTM Zone's API relative path.", "type": "string" }, "typeRestriction": { "$ref": "ZoneTypeRestriction", "description": "This Zone's type restrictions." }, "tagManagerUrl": { "type": "string", "description": "Auto generated link to the tag manager UI" }, "childContainer": { "description": "Containers that are children of this Zone.", "type": "array", "items": { "$ref": "ZoneChildContainer" } }, "zoneId": { "description": "The Zone ID uniquely identifies the GTM Zone.", "type": "string" }, "parameter": { "description": "Additional parameters.", "type": "array", "items": { "$ref": "Parameter" } }, "notes": { "description": "User notes on how to apply this zone in the container.", "type": "string" }, "workspaceId": { "description": "GTM Workspace ID.", "type": "string" }, "name": { "type": "string", "description": "Zone display name." } } } } }
]===]))
