local decode = require("cjson").new().decode
return assert(decode([===[
{ "ownerDomain": "google.com", "revision": "20220711", "name": "tasks", "fullyEncodeReservedExpansion": true, "batchPath": "batch", "mtlsRootUrl": "https://tasks.mtls.googleapis.com/", "kind": "discovery#restDescription", "canonicalName": "Tasks", "servicePath": "", "schemas": { "Task": { "id": "Task", "properties": { "status": { "type": "string", "description": "Status of the task. This is either \"needsAction\" or \"completed\"." }, "updated": { "type": "string", "description": "Last modification time of the task (as a RFC 3339 timestamp)." }, "due": { "description": "Due date of the task (as a RFC 3339 timestamp). Optional. The due date only records date information; the time portion of the timestamp is discarded when setting the due date. It isn't possible to read or write the time that a task is due via the API.", "type": "string" }, "id": { "type": "string", "description": "Task identifier." }, "position": { "description": "String indicating the position of the task among its sibling tasks under the same parent task or at the top level. If this string is greater than another task's corresponding position string according to lexicographical ordering, the task is positioned after the other task under the same parent task (or at the top level). This field is read-only. Use the \"move\" method to move the task to another position.", "type": "string" }, "notes": { "description": "Notes describing the task. Optional.", "type": "string" }, "title": { "description": "Title of the task.", "type": "string" }, "hidden": { "type": "boolean", "description": "Flag indicating whether the task is hidden. This is the case if the task had been marked completed when the task list was last cleared. The default is False. This field is read-only." }, "parent": { "type": "string", "description": "Parent task identifier. This field is omitted if it is a top-level task. This field is read-only. Use the \"move\" method to move the task under a different parent or to the top level." }, "selfLink": { "type": "string", "description": "URL pointing to this task. Used to retrieve, update, or delete this task." }, "completed": { "type": "string", "description": "Completion date of the task (as a RFC 3339 timestamp). This field is omitted if the task has not been completed." }, "etag": { "type": "string", "description": "ETag of the resource." }, "links": { "type": "array", "items": { "properties": { "link": { "description": "The URL.", "type": "string" }, "description": { "description": "The description. In HTML speak: Everything between \u003ca\u003e and \u003c/a\u003e.", "type": "string" }, "type": { "description": "Type of the link, e.g. \"email\".", "type": "string" } }, "type": "object" }, "description": "Collection of links. This collection is read-only." }, "deleted": { "type": "boolean", "description": "Flag indicating whether the task has been deleted. The default is False." }, "kind": { "description": "Type of the resource. This is always \"tasks#task\".", "type": "string" } }, "type": "object" }, "Tasks": { "properties": { "nextPageToken": { "description": "Token used to access the next page of this result.", "type": "string" }, "etag": { "description": "ETag of the resource.", "type": "string" }, "kind": { "description": "Type of the resource. This is always \"tasks#tasks\".", "type": "string" }, "items": { "type": "array", "items": { "$ref": "Task" }, "description": "Collection of tasks." } }, "type": "object", "id": "Tasks" }, "TaskList": { "type": "object", "properties": { "id": { "description": "Task list identifier.", "type": "string" }, "updated": { "description": "Last modification time of the task list (as a RFC 3339 timestamp).", "type": "string" }, "selfLink": { "description": "URL pointing to this task list. Used to retrieve, update, or delete this task list.", "type": "string" }, "title": { "description": "Title of the task list.", "type": "string" }, "kind": { "description": "Type of the resource. This is always \"tasks#taskList\".", "type": "string" }, "etag": { "description": "ETag of the resource.", "type": "string" } }, "id": "TaskList" }, "TaskLists": { "type": "object", "id": "TaskLists", "properties": { "nextPageToken": { "type": "string", "description": "Token that can be used to request the next page of this result." }, "etag": { "description": "ETag of the resource.", "type": "string" }, "items": { "type": "array", "items": { "$ref": "TaskList" }, "description": "Collection of task lists." }, "kind": { "description": "Type of the resource. This is always \"tasks#taskLists\".", "type": "string" } } } }, "version": "v1", "protocol": "rest", "icons": { "x32": "http://www.google.com/images/icons/product/search-32.gif", "x16": "http://www.google.com/images/icons/product/search-16.gif" }, "parameters": { "upload_protocol": { "location": "query", "type": "string", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\")." }, "prettyPrint": { "type": "boolean", "location": "query", "default": "true", "description": "Returns response with indentations and line breaks." }, "key": { "location": "query", "type": "string", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token." }, "quotaUser": { "location": "query", "type": "string", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters." }, "fields": { "type": "string", "location": "query", "description": "Selector specifying which fields to include in a partial response." }, "callback": { "type": "string", "location": "query", "description": "JSONP" }, "access_token": { "type": "string", "location": "query", "description": "OAuth access token." }, "oauth_token": { "type": "string", "description": "OAuth 2.0 token for the current user.", "location": "query" }, "alt": { "enum": [ "json", "media", "proto" ], "description": "Data format for response.", "default": "json", "type": "string", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "location": "query" }, "uploadType": { "type": "string", "location": "query", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\")." }, "$.xgafv": { "enum": [ "1", "2" ], "type": "string", "location": "query", "enumDescriptions": [ "v1 error format", "v2 error format" ], "description": "V1 error format." } }, "discoveryVersion": "v1", "rootUrl": "https://tasks.googleapis.com/", "resources": { "tasklists": { "methods": { "insert": { "parameterOrder": [], "id": "tasks.tasklists.insert", "scopes": [ "https://www.googleapis.com/auth/tasks" ], "httpMethod": "POST", "description": "Creates a new task list and adds it to the authenticated user's task lists.", "request": { "$ref": "TaskList" }, "path": "tasks/v1/users/@me/lists", "flatPath": "tasks/v1/users/@me/lists", "response": { "$ref": "TaskList" }, "parameters": {} }, "list": { "id": "tasks.tasklists.list", "response": { "$ref": "TaskLists" }, "parameterOrder": [], "httpMethod": "GET", "flatPath": "tasks/v1/users/@me/lists", "parameters": { "maxResults": { "type": "integer", "location": "query", "format": "int32", "description": "Maximum number of task lists returned on one page. Optional. The default is 20 (max allowed: 100)." }, "pageToken": { "description": "Token specifying the result page to return. Optional.", "type": "string", "location": "query" } }, "scopes": [ "https://www.googleapis.com/auth/tasks", "https://www.googleapis.com/auth/tasks.readonly" ], "description": "Returns all the authenticated user's task lists.", "path": "tasks/v1/users/@me/lists" }, "get": { "parameters": { "tasklist": { "type": "string", "location": "path", "description": "Task list identifier.", "required": true } }, "parameterOrder": [ "tasklist" ], "scopes": [ "https://www.googleapis.com/auth/tasks", "https://www.googleapis.com/auth/tasks.readonly" ], "httpMethod": "GET", "id": "tasks.tasklists.get", "description": "Returns the authenticated user's specified task list.", "flatPath": "tasks/v1/users/@me/lists/{tasklist}", "path": "tasks/v1/users/@me/lists/{tasklist}", "response": { "$ref": "TaskList" } }, "update": { "id": "tasks.tasklists.update", "request": { "$ref": "TaskList" }, "parameterOrder": [ "tasklist" ], "flatPath": "tasks/v1/users/@me/lists/{tasklist}", "scopes": [ "https://www.googleapis.com/auth/tasks" ], "description": "Updates the authenticated user's specified task list.", "response": { "$ref": "TaskList" }, "parameters": { "tasklist": { "location": "path", "description": "Task list identifier.", "required": true, "type": "string" } }, "path": "tasks/v1/users/@me/lists/{tasklist}", "httpMethod": "PUT" }, "patch": { "parameters": { "tasklist": { "type": "string", "required": true, "description": "Task list identifier.", "location": "path" } }, "parameterOrder": [ "tasklist" ], "scopes": [ "https://www.googleapis.com/auth/tasks" ], "id": "tasks.tasklists.patch", "httpMethod": "PATCH", "response": { "$ref": "TaskList" }, "description": "Updates the authenticated user's specified task list. This method supports patch semantics.", "flatPath": "tasks/v1/users/@me/lists/{tasklist}", "path": "tasks/v1/users/@me/lists/{tasklist}", "request": { "$ref": "TaskList" } }, "delete": { "flatPath": "tasks/v1/users/@me/lists/{tasklist}", "httpMethod": "DELETE", "scopes": [ "https://www.googleapis.com/auth/tasks" ], "parameterOrder": [ "tasklist" ], "path": "tasks/v1/users/@me/lists/{tasklist}", "id": "tasks.tasklists.delete", "parameters": { "tasklist": { "required": true, "location": "path", "description": "Task list identifier.", "type": "string" } }, "description": "Deletes the authenticated user's specified task list." } } }, "tasks": { "methods": { "delete": { "path": "tasks/v1/lists/{tasklist}/tasks/{task}", "id": "tasks.tasks.delete", "httpMethod": "DELETE", "parameterOrder": [ "tasklist", "task" ], "scopes": [ "https://www.googleapis.com/auth/tasks" ], "parameters": { "task": { "type": "string", "location": "path", "description": "Task identifier.", "required": true }, "tasklist": { "description": "Task list identifier.", "required": true, "location": "path", "type": "string" } }, "flatPath": "tasks/v1/lists/{tasklist}/tasks/{task}", "description": "Deletes the specified task from the task list." }, "list": { "description": "Returns all tasks in the specified task list.", "httpMethod": "GET", "response": { "$ref": "Tasks" }, "scopes": [ "https://www.googleapis.com/auth/tasks", "https://www.googleapis.com/auth/tasks.readonly" ], "id": "tasks.tasks.list", "path": "tasks/v1/lists/{tasklist}/tasks", "parameterOrder": [ "tasklist" ], "parameters": { "showCompleted": { "type": "boolean", "location": "query", "description": "Flag indicating whether completed tasks are returned in the result. Optional. The default is True. Note that showHidden must also be True to show tasks completed in first party clients, such as the web UI and Google's mobile apps." }, "completedMax": { "type": "string", "description": "Upper bound for a task's completion date (as a RFC 3339 timestamp) to filter by. Optional. The default is not to filter by completion date.", "location": "query" }, "dueMin": { "location": "query", "type": "string", "description": "Lower bound for a task's due date (as a RFC 3339 timestamp) to filter by. Optional. The default is not to filter by due date." }, "maxResults": { "location": "query", "format": "int32", "description": "Maximum number of task lists returned on one page. Optional. The default is 20 (max allowed: 100).", "type": "integer" }, "showDeleted": { "location": "query", "type": "boolean", "description": "Flag indicating whether deleted tasks are returned in the result. Optional. The default is False." }, "dueMax": { "type": "string", "description": "Upper bound for a task's due date (as a RFC 3339 timestamp) to filter by. Optional. The default is not to filter by due date.", "location": "query" }, "updatedMin": { "type": "string", "location": "query", "description": "Lower bound for a task's last modification time (as a RFC 3339 timestamp) to filter by. Optional. The default is not to filter by last modification time." }, "pageToken": { "location": "query", "description": "Token specifying the result page to return. Optional.", "type": "string" }, "completedMin": { "description": "Lower bound for a task's completion date (as a RFC 3339 timestamp) to filter by. Optional. The default is not to filter by completion date.", "type": "string", "location": "query" }, "tasklist": { "type": "string", "required": true, "location": "path", "description": "Task list identifier." }, "showHidden": { "description": "Flag indicating whether hidden tasks are returned in the result. Optional. The default is False.", "type": "boolean", "location": "query" } }, "flatPath": "tasks/v1/lists/{tasklist}/tasks" }, "clear": { "path": "tasks/v1/lists/{tasklist}/clear", "parameterOrder": [ "tasklist" ], "parameters": { "tasklist": { "location": "path", "type": "string", "required": true, "description": "Task list identifier." } }, "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/tasks" ], "flatPath": "tasks/v1/lists/{tasklist}/clear", "id": "tasks.tasks.clear", "description": "Clears all completed tasks from the specified task list. The affected tasks will be marked as 'hidden' and no longer be returned by default when retrieving all tasks for a task list." }, "update": { "parameterOrder": [ "tasklist", "task" ], "httpMethod": "PUT", "flatPath": "tasks/v1/lists/{tasklist}/tasks/{task}", "path": "tasks/v1/lists/{tasklist}/tasks/{task}", "parameters": { "tasklist": { "type": "string", "description": "Task list identifier.", "location": "path", "required": true }, "task": { "location": "path", "type": "string", "required": true, "description": "Task identifier." } }, "response": { "$ref": "Task" }, "description": "Updates the specified task.", "scopes": [ "https://www.googleapis.com/auth/tasks" ], "request": { "$ref": "Task" }, "id": "tasks.tasks.update" }, "insert": { "flatPath": "tasks/v1/lists/{tasklist}/tasks", "description": "Creates a new task on the specified task list.", "scopes": [ "https://www.googleapis.com/auth/tasks" ], "parameterOrder": [ "tasklist" ], "httpMethod": "POST", "id": "tasks.tasks.insert", "request": { "$ref": "Task" }, "path": "tasks/v1/lists/{tasklist}/tasks", "response": { "$ref": "Task" }, "parameters": { "parent": { "type": "string", "location": "query", "description": "Parent task identifier. If the task is created at the top level, this parameter is omitted. Optional." }, "tasklist": { "required": true, "description": "Task list identifier.", "type": "string", "location": "path" }, "previous": { "location": "query", "description": "Previous sibling task identifier. If the task is created at the first position among its siblings, this parameter is omitted. Optional.", "type": "string" } } }, "get": { "id": "tasks.tasks.get", "httpMethod": "GET", "flatPath": "tasks/v1/lists/{tasklist}/tasks/{task}", "parameters": { "tasklist": { "required": true, "description": "Task list identifier.", "location": "path", "type": "string" }, "task": { "type": "string", "description": "Task identifier.", "required": true, "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/tasks", "https://www.googleapis.com/auth/tasks.readonly" ], "path": "tasks/v1/lists/{tasklist}/tasks/{task}", "response": { "$ref": "Task" }, "parameterOrder": [ "tasklist", "task" ], "description": "Returns the specified task." }, "patch": { "httpMethod": "PATCH", "scopes": [ "https://www.googleapis.com/auth/tasks" ], "description": "Updates the specified task. This method supports patch semantics.", "flatPath": "tasks/v1/lists/{tasklist}/tasks/{task}", "path": "tasks/v1/lists/{tasklist}/tasks/{task}", "parameterOrder": [ "tasklist", "task" ], "request": { "$ref": "Task" }, "parameters": { "tasklist": { "required": true, "description": "Task list identifier.", "type": "string", "location": "path" }, "task": { "location": "path", "description": "Task identifier.", "type": "string", "required": true } }, "id": "tasks.tasks.patch", "response": { "$ref": "Task" } }, "move": { "path": "tasks/v1/lists/{tasklist}/tasks/{task}/move", "flatPath": "tasks/v1/lists/{tasklist}/tasks/{task}/move", "id": "tasks.tasks.move", "parameterOrder": [ "tasklist", "task" ], "response": { "$ref": "Task" }, "parameters": { "task": { "type": "string", "description": "Task identifier.", "location": "path", "required": true }, "parent": { "type": "string", "location": "query", "description": "New parent task identifier. If the task is moved to the top level, this parameter is omitted. Optional." }, "previous": { "location": "query", "type": "string", "description": "New previous sibling task identifier. If the task is moved to the first position among its siblings, this parameter is omitted. Optional." }, "tasklist": { "required": true, "description": "Task list identifier.", "location": "path", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/tasks" ], "description": "Moves the specified task to another position in the task list. This can include putting it as a child task under a new parent and/or move it to a different position among its sibling tasks.", "httpMethod": "POST" } } } }, "title": "Tasks API", "ownerName": "Google", "description": "The Google Tasks API lets you manage your tasks and task lists.", "basePath": "", "id": "tasks:v1", "documentationLink": "https://developers.google.com/tasks/", "baseUrl": "https://tasks.googleapis.com/", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/tasks.readonly": { "description": "View your tasks" }, "https://www.googleapis.com/auth/tasks": { "description": "Create, edit, organize, and delete all your tasks" } } } } }
]===]))
