local decode = require("cjson").new().decode
return assert(decode([===[
{ "canonicalName": "Texttospeech", "title": "Cloud Text-to-Speech API", "kind": "discovery#restDescription", "rootUrl": "https://texttospeech.googleapis.com/", "icons": { "x32": "http://www.google.com/images/icons/product/search-32.gif", "x16": "http://www.google.com/images/icons/product/search-16.gif" }, "basePath": "", "documentationLink": "https://cloud.google.com/text-to-speech/", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." } } } }, "id": "texttospeech:v1", "protocol": "rest", "discoveryVersion": "v1", "name": "texttospeech", "description": "Synthesizes natural-sounding speech by applying powerful neural network models.", "parameters": { "callback": { "type": "string", "location": "query", "description": "JSONP" }, "alt": { "default": "json", "description": "Data format for response.", "type": "string", "enum": [ "json", "media", "proto" ], "location": "query", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ] }, "prettyPrint": { "type": "boolean", "default": "true", "location": "query", "description": "Returns response with indentations and line breaks." }, "$.xgafv": { "enum": [ "1", "2" ], "type": "string", "location": "query", "description": "V1 error format.", "enumDescriptions": [ "v1 error format", "v2 error format" ] }, "fields": { "location": "query", "type": "string", "description": "Selector specifying which fields to include in a partial response." }, "access_token": { "type": "string", "description": "OAuth access token.", "location": "query" }, "oauth_token": { "description": "OAuth 2.0 token for the current user.", "location": "query", "type": "string" }, "uploadType": { "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "location": "query", "type": "string" }, "quotaUser": { "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "type": "string", "location": "query" }, "upload_protocol": { "type": "string", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "location": "query" }, "key": { "type": "string", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "location": "query" } }, "servicePath": "", "ownerDomain": "google.com", "version_module": true, "ownerName": "Google", "revision": "20220707", "resources": { "text": { "methods": { "synthesize": { "id": "texttospeech.text.synthesize", "path": "v1/text:synthesize", "response": { "$ref": "SynthesizeSpeechResponse" }, "parameters": {}, "description": "Synthesizes speech synchronously: receive results after all text input has been processed.", "flatPath": "v1/text:synthesize", "parameterOrder": [], "request": { "$ref": "SynthesizeSpeechRequest" }, "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] } } }, "voices": { "methods": { "list": { "path": "v1/voices", "flatPath": "v1/voices", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "languageCode": { "location": "query", "type": "string", "description": "Optional. Recommended. [BCP-47](https://www.rfc-editor.org/rfc/bcp/bcp47.txt) language tag. If not specified, the API will return all supported voices. If specified, the ListVoices call will only return voices that can be used to synthesize this language_code. For example, if you specify `\"en-NZ\"`, all `\"en-NZ\"` voices will be returned. If you specify `\"no\"`, both `\"no-\\*\"` (Norwegian) and `\"nb-\\*\"` (Norwegian Bokmal) voices will be returned." } }, "httpMethod": "GET", "parameterOrder": [], "response": { "$ref": "ListVoicesResponse" }, "description": "Returns a list of Voice supported for synthesis.", "id": "texttospeech.voices.list" } } } }, "fullyEncodeReservedExpansion": true, "schemas": { "AudioConfig": { "type": "object", "description": "Description of audio data to be synthesized.", "properties": { "pitch": { "description": "Optional. Input only. Speaking pitch, in the range [-20.0, 20.0]. 20 means increase 20 semitones from the original pitch. -20 means decrease 20 semitones from the original pitch.", "format": "double", "type": "number" }, "speakingRate": { "type": "number", "description": "Optional. Input only. Speaking rate/speed, in the range [0.25, 4.0]. 1.0 is the normal native speed supported by the specific voice. 2.0 is twice as fast, and 0.5 is half as fast. If unset(0.0), defaults to the native 1.0 speed. Any other values \u003c 0.25 or \u003e 4.0 will return an error.", "format": "double" }, "volumeGainDb": { "type": "number", "description": "Optional. Input only. Volume gain (in dB) of the normal native volume supported by the specific voice, in the range [-96.0, 16.0]. If unset, or set to a value of 0.0 (dB), will play at normal native signal amplitude. A value of -6.0 (dB) will play at approximately half the amplitude of the normal native signal amplitude. A value of +6.0 (dB) will play at approximately twice the amplitude of the normal native signal amplitude. Strongly recommend not to exceed +10 (dB) as there's usually no effective increase in loudness for any value greater than that.", "format": "double" }, "audioEncoding": { "enum": [ "AUDIO_ENCODING_UNSPECIFIED", "LINEAR16", "MP3", "OGG_OPUS", "MULAW", "ALAW" ], "type": "string", "description": "Required. The format of the audio byte stream.", "enumDescriptions": [ "Not specified. Will return result google.rpc.Code.INVALID_ARGUMENT.", "Uncompressed 16-bit signed little-endian samples (Linear PCM). Audio content returned as LINEAR16 also contains a WAV header.", "MP3 audio at 32kbps.", "Opus encoded audio wrapped in an ogg container. The result will be a file which can be played natively on Android, and in browsers (at least Chrome and Firefox). The quality of the encoding is considerably higher than MP3 while using approximately the same bitrate.", "8-bit samples that compand 14-bit audio samples using G.711 PCMU/mu-law. Audio content returned as MULAW also contains a WAV header.", "8-bit samples that compand 14-bit audio samples using G.711 PCMU/A-law. Audio content returned as ALAW also contains a WAV header." ] }, "effectsProfileId": { "type": "array", "description": "Optional. Input only. An identifier which selects 'audio effects' profiles that are applied on (post synthesized) text to speech. Effects are applied on top of each other in the order they are given. See [audio profiles](https://cloud.google.com/text-to-speech/docs/audio-profiles) for current supported profile ids.", "items": { "type": "string" } }, "sampleRateHertz": { "type": "integer", "format": "int32", "description": "Optional. The synthesis sample rate (in hertz) for this audio. When this is specified in SynthesizeSpeechRequest, if this is different from the voice's natural sample rate, then the synthesizer will honor this request by converting to the desired sample rate (which might result in worse audio quality), unless the specified sample rate is not supported for the encoding chosen, in which case it will fail the request and return google.rpc.Code.INVALID_ARGUMENT." } }, "id": "AudioConfig" }, "VoiceSelectionParams": { "type": "object", "properties": { "languageCode": { "type": "string", "description": "Required. The language (and potentially also the region) of the voice expressed as a [BCP-47](https://www.rfc-editor.org/rfc/bcp/bcp47.txt) language tag, e.g. \"en-US\". This should not include a script tag (e.g. use \"cmn-cn\" rather than \"cmn-Hant-cn\"), because the script will be inferred from the input provided in the SynthesisInput. The TTS service will use this parameter to help choose an appropriate voice. Note that the TTS service may choose a voice with a slightly different language code than the one selected; it may substitute a different region (e.g. using en-US rather than en-CA if there isn't a Canadian voice available), or even a different language, e.g. using \"nb\" (Norwegian Bokmal) instead of \"no\" (Norwegian)\"." }, "customVoice": { "$ref": "CustomVoiceParams", "description": "The configuration for a custom voice. If [CustomVoiceParams.model] is set, the service will choose the custom voice matching the specified configuration." }, "name": { "description": "The name of the voice. If not set, the service will choose a voice based on the other parameters such as language_code and gender.", "type": "string" }, "ssmlGender": { "type": "string", "enum": [ "SSML_VOICE_GENDER_UNSPECIFIED", "MALE", "FEMALE", "NEUTRAL" ], "enumDescriptions": [ "An unspecified gender. In VoiceSelectionParams, this means that the client doesn't care which gender the selected voice will have. In the Voice field of ListVoicesResponse, this may mean that the voice doesn't fit any of the other categories in this enum, or that the gender of the voice isn't known.", "A male voice.", "A female voice.", "A gender-neutral voice. This voice is not yet supported." ], "description": "The preferred gender of the voice. If not set, the service will choose a voice based on the other parameters such as language_code and name. Note that this is only a preference, not requirement; if a voice of the appropriate gender is not available, the synthesizer should substitute a voice with a different gender rather than failing the request." } }, "id": "VoiceSelectionParams", "description": "Description of which voice to use for a synthesis request." }, "SynthesizeSpeechResponse": { "type": "object", "id": "SynthesizeSpeechResponse", "description": "The message returned to the client by the `SynthesizeSpeech` method.", "properties": { "audioContent": { "format": "byte", "type": "string", "description": "The audio data bytes encoded as specified in the request, including the header for encodings that are wrapped in containers (e.g. MP3, OGG_OPUS). For LINEAR16 audio, we include the WAV header. Note: as with all bytes fields, protobuffers use a pure binary representation, whereas JSON representations use base64." } } }, "SynthesizeSpeechRequest": { "type": "object", "description": "The top-level message sent by the client for the `SynthesizeSpeech` method.", "id": "SynthesizeSpeechRequest", "properties": { "voice": { "description": "Required. The desired voice of the synthesized audio.", "$ref": "VoiceSelectionParams" }, "audioConfig": { "$ref": "AudioConfig", "description": "Required. The configuration of the synthesized audio." }, "input": { "description": "Required. The Synthesizer requires either plain text or SSML as input.", "$ref": "SynthesisInput" } } }, "ListVoicesResponse": { "description": "The message returned to the client by the `ListVoices` method.", "type": "object", "properties": { "voices": { "type": "array", "items": { "$ref": "Voice" }, "description": "The list of voices." } }, "id": "ListVoicesResponse" }, "SynthesisInput": { "description": "Contains text input to be synthesized. Either `text` or `ssml` must be supplied. Supplying both or neither returns google.rpc.Code.INVALID_ARGUMENT. The input size is limited to 5000 characters.", "type": "object", "id": "SynthesisInput", "properties": { "ssml": { "type": "string", "description": "The SSML document to be synthesized. The SSML document must be valid and well-formed. Otherwise the RPC will fail and return google.rpc.Code.INVALID_ARGUMENT. For more information, see [SSML](https://cloud.google.com/text-to-speech/docs/ssml)." }, "text": { "description": "The raw text to be synthesized.", "type": "string" } } }, "CustomVoiceParams": { "id": "CustomVoiceParams", "properties": { "model": { "description": "Required. The name of the AutoML model that synthesizes the custom voice.", "type": "string" }, "reportedUsage": { "enumDescriptions": [ "Request with reported usage unspecified will be rejected.", "For scenarios where the synthesized audio is not downloadable and can only be used once. For example, real-time request in IVR system.", "For scenarios where the synthesized audio is downloadable and can be reused. For example, the synthesized audio is downloaded, stored in customer service system and played repeatedly." ], "enum": [ "REPORTED_USAGE_UNSPECIFIED", "REALTIME", "OFFLINE" ], "type": "string", "description": "Optional. The usage of the synthesized audio to be reported." } }, "type": "object", "description": "Description of the custom voice to be synthesized." }, "Voice": { "properties": { "name": { "type": "string", "description": "The name of this voice. Each distinct voice has a unique name." }, "ssmlGender": { "type": "string", "enum": [ "SSML_VOICE_GENDER_UNSPECIFIED", "MALE", "FEMALE", "NEUTRAL" ], "enumDescriptions": [ "An unspecified gender. In VoiceSelectionParams, this means that the client doesn't care which gender the selected voice will have. In the Voice field of ListVoicesResponse, this may mean that the voice doesn't fit any of the other categories in this enum, or that the gender of the voice isn't known.", "A male voice.", "A female voice.", "A gender-neutral voice. This voice is not yet supported." ], "description": "The gender of this voice." }, "naturalSampleRateHertz": { "format": "int32", "type": "integer", "description": "The natural sample rate (in hertz) for this voice." }, "languageCodes": { "items": { "type": "string" }, "type": "array", "description": "The languages that this voice supports, expressed as [BCP-47](https://www.rfc-editor.org/rfc/bcp/bcp47.txt) language tags (e.g. \"en-US\", \"es-419\", \"cmn-tw\")." } }, "id": "Voice", "description": "Description of a voice supported by the TTS service.", "type": "object" } }, "version": "v1", "batchPath": "batch", "baseUrl": "https://texttospeech.googleapis.com/", "mtlsRootUrl": "https://texttospeech.mtls.googleapis.com/" }
]===]))
