local decode = require("cjson").new().decode
return assert(decode([===[
{ "batchPath": "batch", "baseUrl": "https://tpu.googleapis.com/", "documentationLink": "https://cloud.google.com/tpu/", "version_module": true, "basePath": "", "discoveryVersion": "v1", "servicePath": "", "description": "TPU API provides customers with access to Google TPU technology.", "icons": { "x16": "http://www.google.com/images/icons/product/search-16.gif", "x32": "http://www.google.com/images/icons/product/search-32.gif" }, "title": "Cloud TPU API", "ownerDomain": "google.com", "ownerName": "Google", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." } } } }, "schemas": { "NetworkEndpoint": { "type": "object", "description": "A network endpoint over which a TPU worker can be reached.", "id": "NetworkEndpoint", "properties": { "ipAddress": { "description": "The IP address of this network endpoint.", "type": "string" }, "port": { "format": "int32", "description": "The port of this network endpoint.", "type": "integer" } } }, "OperationMetadata": { "description": "Metadata describing an Operation", "type": "object", "properties": { "cancelRequested": { "type": "boolean", "description": "Specifies if cancellation was requested for the operation." }, "apiVersion": { "type": "string", "description": "API version." }, "createTime": { "description": "The time the operation was created.", "type": "string", "format": "google-datetime" }, "statusDetail": { "type": "string", "description": "Human-readable status of the operation, if any." }, "verb": { "description": "Name of the verb executed by the operation.", "type": "string" }, "target": { "description": "Target of the operation - for example projects/project-1/connectivityTests/test-1", "type": "string" }, "endTime": { "description": "The time the operation finished running.", "format": "google-datetime", "type": "string" } }, "id": "OperationMetadata" }, "ListNodesResponse": { "id": "ListNodesResponse", "properties": { "unreachable": { "items": { "type": "string" }, "description": "Locations that could not be reached.", "type": "array" }, "nodes": { "description": "The listed nodes.", "items": { "$ref": "Node" }, "type": "array" }, "nextPageToken": { "type": "string", "description": "The next page token or empty if none." } }, "description": "Response for ListNodes.", "type": "object" }, "TensorFlowVersion": { "properties": { "name": { "description": "The resource name.", "type": "string" }, "version": { "description": "the tensorflow version.", "type": "string" } }, "id": "TensorFlowVersion", "type": "object", "description": "A tensorflow version that a Node can be configured with." }, "ReimageNodeRequest": { "id": "ReimageNodeRequest", "type": "object", "properties": { "tensorflowVersion": { "description": "The version for reimage to create.", "type": "string" } }, "description": "Request for ReimageNode." }, "StopNodeRequest": { "id": "StopNodeRequest", "description": "Request for StopNode.", "properties": {}, "type": "object" }, "Operation": { "id": "Operation", "description": "This resource represents a long-running operation that is the result of a network API call.", "type": "object", "properties": { "name": { "type": "string", "description": "The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the `name` should be a resource name ending with `operations/{unique_id}`." }, "done": { "type": "boolean", "description": "If the value is `false`, it means the operation is still in progress. If `true`, the operation is completed, and either `error` or `response` is available." }, "response": { "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "type": "object", "description": "The normal response of the operation in case of success. If the original method returns no data on success, such as `Delete`, the response is `google.protobuf.Empty`. If the original method is standard `Get`/`Create`/`Update`, the response should be the resource. For other methods, the response should have the type `XxxResponse`, where `Xxx` is the original method name. For example, if the original method name is `TakeSnapshot()`, the inferred response type is `TakeSnapshotResponse`." }, "error": { "$ref": "Status", "description": "The error result of the operation in case of failure or cancellation." }, "metadata": { "type": "object", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "description": "Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any." } } }, "ListTensorFlowVersionsResponse": { "properties": { "nextPageToken": { "description": "The next page token or empty if none.", "type": "string" }, "unreachable": { "description": "Locations that could not be reached.", "items": { "type": "string" }, "type": "array" }, "tensorflowVersions": { "items": { "$ref": "TensorFlowVersion" }, "type": "array", "description": "The listed nodes." } }, "description": "Response for ListTensorFlowVersions.", "type": "object", "id": "ListTensorFlowVersionsResponse" }, "Location": { "description": "A resource that represents Google Cloud Platform location.", "properties": { "labels": { "additionalProperties": { "type": "string" }, "description": "Cross-service attributes for the location. For example {\"cloud.googleapis.com/region\": \"us-east1\"}", "type": "object" }, "locationId": { "description": "The canonical id for this location. For example: `\"us-east1\"`.", "type": "string" }, "displayName": { "type": "string", "description": "The friendly name for this location, typically a nearby city name. For example, \"Tokyo\"." }, "name": { "description": "Resource name for the location, which may vary between implementations. For example: `\"projects/example-project/locations/us-east1\"`", "type": "string" }, "metadata": { "type": "object", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "description": "Service-specific metadata. For example the available capacity at the given location." } }, "type": "object", "id": "Location" }, "Empty": { "properties": {}, "type": "object", "id": "Empty", "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }" }, "ListOperationsResponse": { "properties": { "nextPageToken": { "type": "string", "description": "The standard List next-page token." }, "operations": { "items": { "$ref": "Operation" }, "description": "A list of operations that matches the specified filter in the request.", "type": "array" } }, "description": "The response message for Operations.ListOperations.", "id": "ListOperationsResponse", "type": "object" }, "ListAcceleratorTypesResponse": { "properties": { "acceleratorTypes": { "type": "array", "items": { "$ref": "AcceleratorType" }, "description": "The listed nodes." }, "nextPageToken": { "description": "The next page token or empty if none.", "type": "string" }, "unreachable": { "items": { "type": "string" }, "description": "Locations that could not be reached.", "type": "array" } }, "id": "ListAcceleratorTypesResponse", "type": "object", "description": "Response for ListAcceleratorTypes." }, "Status": { "properties": { "code": { "format": "int32", "type": "integer", "description": "The status code, which should be an enum value of google.rpc.Code." }, "details": { "type": "array", "items": { "type": "object", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" } }, "description": "A list of messages that carry the error details. There is a common set of message types for APIs to use." }, "message": { "type": "string", "description": "A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client." } }, "description": "The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors).", "type": "object", "id": "Status" }, "SchedulingConfig": { "type": "object", "description": "Sets the scheduling options for this node.", "id": "SchedulingConfig", "properties": { "reserved": { "description": "Whether the node is created under a reservation.", "type": "boolean" }, "preemptible": { "type": "boolean", "description": "Defines whether the node is preemptible." } } }, "AcceleratorType": { "description": "A accelerator type that a Node can be configured with.", "type": "object", "properties": { "type": { "description": "the accelerator type.", "type": "string" }, "name": { "type": "string", "description": "The resource name." } }, "id": "AcceleratorType" }, "ListLocationsResponse": { "id": "ListLocationsResponse", "properties": { "nextPageToken": { "description": "The standard List next-page token.", "type": "string" }, "locations": { "type": "array", "description": "A list of locations that matches the specified filter in the request.", "items": { "$ref": "Location" } } }, "type": "object", "description": "The response message for Locations.ListLocations." }, "Node": { "id": "Node", "description": "A TPU instance.", "properties": { "tensorflowVersion": { "description": "Required. The version of Tensorflow running in the Node.", "type": "string" }, "networkEndpoints": { "type": "array", "readOnly": true, "items": { "$ref": "NetworkEndpoint" }, "description": "Output only. The network endpoints where TPU workers can be accessed and sent work. It is recommended that Tensorflow clients of the node reach out to the 0th entry in this map first." }, "createTime": { "format": "google-datetime", "description": "Output only. The time when the node was created.", "readOnly": true, "type": "string" }, "labels": { "description": "Resource labels to represent user-provided metadata.", "additionalProperties": { "type": "string" }, "type": "object" }, "ipAddress": { "type": "string", "description": "Output only. DEPRECATED! Use network_endpoints instead. The network address for the TPU Node as visible to Compute Engine instances." }, "acceleratorType": { "description": "Required. The type of hardware accelerators associated with this node.", "type": "string" }, "description": { "description": "The user-supplied description of the TPU. Maximum of 512 characters.", "type": "string" }, "state": { "description": "Output only. The current state for the TPU Node.", "type": "string", "enumDescriptions": [ "TPU node state is not known/set.", "TPU node is being created.", "TPU node has been created.", "TPU node is restarting.", "TPU node is undergoing reimaging.", "TPU node is being deleted.", "TPU node is being repaired and may be unusable. Details can be found in the `help_description` field.", "TPU node is stopped.", "TPU node is currently stopping.", "TPU node is currently starting.", "TPU node has been preempted. Only applies to Preemptible TPU Nodes.", "TPU node has been terminated due to maintenance or has reached the end of its life cycle (for preemptible nodes).", "TPU node is currently hiding.", "TPU node has been hidden.", "TPU node is currently unhiding." ], "readOnly": true, "enum": [ "STATE_UNSPECIFIED", "CREATING", "READY", "RESTARTING", "REIMAGING", "DELETING", "REPAIRING", "STOPPED", "STOPPING", "STARTING", "PREEMPTED", "TERMINATED", "HIDING", "HIDDEN", "UNHIDING" ] }, "apiVersion": { "readOnly": true, "enumDescriptions": [ "API version is unknown.", "TPU API V1Alpha1 version.", "TPU API V1 version.", "TPU API V2Alpha1 version." ], "type": "string", "description": "Output only. The API version that created this Node.", "enum": [ "API_VERSION_UNSPECIFIED", "V1_ALPHA1", "V1", "V2_ALPHA1" ] }, "schedulingConfig": { "$ref": "SchedulingConfig", "description": "The scheduling options for this node." }, "network": { "description": "The name of a network they wish to peer the TPU node to. It must be a preexisting Compute Engine network inside of the project on which this API has been activated. If none is provided, \"default\" will be used.", "type": "string" }, "useServiceNetworking": { "type": "boolean", "description": "Whether the VPC peering for the node is set up through Service Networking API. The VPC Peering should be set up before provisioning the node. If this field is set, cidr_block field should not be specified. If the network, that you want to peer the TPU Node to, is Shared VPC networks, the node must be created with this this field enabled." }, "serviceAccount": { "description": "Output only. The service account used to run the tensor flow services within the node. To share resources, including Google Cloud Storage data, with the Tensorflow job running in the Node, this account must have permissions to that data.", "type": "string", "readOnly": true }, "cidrBlock": { "type": "string", "description": "The CIDR block that the TPU node will use when selecting an IP address. This CIDR block must be a /29 block; the Compute Engine networks API forbids a smaller block, and using a larger block would be wasteful (a node can only consume one IP address). Errors will occur if the CIDR block has already been used for a currently existing TPU node, the CIDR block conflicts with any subnetworks in the user's provided network, or the provided network is peered with another network that is using that CIDR block." }, "healthDescription": { "readOnly": true, "description": "Output only. If this field is populated, it contains a description of why the TPU Node is unhealthy.", "type": "string" }, "port": { "description": "Output only. DEPRECATED! Use network_endpoints instead. The network port for the TPU Node as visible to Compute Engine instances.", "type": "string" }, "health": { "type": "string", "enum": [ "HEALTH_UNSPECIFIED", "HEALTHY", "DEPRECATED_UNHEALTHY", "TIMEOUT", "UNHEALTHY_TENSORFLOW", "UNHEALTHY_MAINTENANCE" ], "description": "The health status of the TPU node.", "enumDescriptions": [ "Health status is unknown: not initialized or failed to retrieve.", "The resource is healthy.", "The resource is unhealthy.", "The resource is unresponsive.", "The in-guest ML stack is unhealthy.", "The node is under maintenance/priority boost caused rescheduling and will resume running once rescheduled." ] }, "name": { "type": "string", "description": "Output only. Immutable. The name of the TPU", "readOnly": true }, "symptoms": { "readOnly": true, "items": { "$ref": "Symptom" }, "description": "Output only. The Symptoms that have occurred to the TPU Node.", "type": "array" } }, "type": "object" }, "Symptom": { "type": "object", "id": "Symptom", "properties": { "workerId": { "type": "string", "description": "A string used to uniquely distinguish a worker within a TPU node." }, "symptomType": { "type": "string", "enum": [ "SYMPTOM_TYPE_UNSPECIFIED", "LOW_MEMORY", "OUT_OF_MEMORY", "EXECUTE_TIMED_OUT", "MESH_BUILD_FAIL", "HBM_OUT_OF_MEMORY", "PROJECT_ABUSE" ], "description": "Type of the Symptom.", "enumDescriptions": [ "Unspecified symptom.", "TPU VM memory is low.", "TPU runtime is out of memory.", "TPU runtime execution has timed out.", "TPU runtime fails to construct a mesh that recognizes each TPU device's neighbors.", "TPU HBM is out of memory.", "Abusive behaviors have been identified on the current project." ] }, "details": { "description": "Detailed information of the current Symptom.", "type": "string" }, "createTime": { "description": "Timestamp when the Symptom is created.", "format": "google-datetime", "type": "string" } }, "description": "A Symptom instance." }, "StartNodeRequest": { "properties": {}, "id": "StartNodeRequest", "type": "object", "description": "Request for StartNode." } }, "kind": "discovery#restDescription", "revision": "20220629", "parameters": { "oauth_token": { "type": "string", "location": "query", "description": "OAuth 2.0 token for the current user." }, "alt": { "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "location": "query", "description": "Data format for response.", "type": "string", "enum": [ "json", "media", "proto" ], "default": "json" }, "access_token": { "description": "OAuth access token.", "type": "string", "location": "query" }, "$.xgafv": { "enumDescriptions": [ "v1 error format", "v2 error format" ], "description": "V1 error format.", "enum": [ "1", "2" ], "type": "string", "location": "query" }, "upload_protocol": { "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "type": "string", "location": "query" }, "fields": { "description": "Selector specifying which fields to include in a partial response.", "type": "string", "location": "query" }, "prettyPrint": { "description": "Returns response with indentations and line breaks.", "default": "true", "location": "query", "type": "boolean" }, "uploadType": { "location": "query", "type": "string", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\")." }, "callback": { "location": "query", "description": "JSONP", "type": "string" }, "key": { "location": "query", "type": "string", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token." }, "quotaUser": { "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "type": "string", "location": "query" } }, "name": "tpu", "mtlsRootUrl": "https://tpu.mtls.googleapis.com/", "fullyEncodeReservedExpansion": true, "canonicalName": "TPU", "id": "tpu:v1alpha1", "version": "v1alpha1", "rootUrl": "https://tpu.googleapis.com/", "protocol": "rest", "resources": { "projects": { "resources": { "locations": { "methods": { "list": { "parameters": { "filter": { "location": "query", "description": "A filter to narrow down results to a preferred subset. The filtering language accepts strings like `\"displayName=tokyo\"`, and is documented in more detail in [AIP-160](https://google.aip.dev/160).", "type": "string" }, "pageToken": { "location": "query", "description": "A page token received from the `next_page_token` field in the response. Send that page token to receive the subsequent page.", "type": "string" }, "pageSize": { "format": "int32", "type": "integer", "description": "The maximum number of results to return. If not set, the service selects a default.", "location": "query" }, "name": { "location": "path", "pattern": "^projects/[^/]+$", "required": true, "type": "string", "description": "The resource that owns the locations collection, if applicable." } }, "parameterOrder": [ "name" ], "id": "tpu.projects.locations.list", "description": "Lists information about the supported locations for this service.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "ListLocationsResponse" }, "flatPath": "v1alpha1/projects/{projectsId}/locations", "httpMethod": "GET", "path": "v1alpha1/{+name}/locations" }, "get": { "description": "Gets information about a location.", "parameters": { "name": { "required": true, "description": "Resource name for the location.", "pattern": "^projects/[^/]+/locations/[^/]+$", "location": "path", "type": "string" } }, "response": { "$ref": "Location" }, "path": "v1alpha1/{+name}", "parameterOrder": [ "name" ], "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}", "id": "tpu.projects.locations.get", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] } }, "resources": { "nodes": { "methods": { "list": { "response": { "$ref": "ListNodesResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "tpu.projects.locations.nodes.list", "description": "Lists nodes.", "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/nodes", "parameterOrder": [ "parent" ], "httpMethod": "GET", "parameters": { "pageSize": { "format": "int32", "type": "integer", "description": "The maximum number of items to return.", "location": "query" }, "parent": { "description": "Required. The parent resource name.", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+$", "type": "string", "location": "path" }, "pageToken": { "type": "string", "description": "The next_page_token value returned from a previous List request, if any.", "location": "query" } }, "path": "v1alpha1/{+parent}/nodes" }, "reimage": { "id": "tpu.projects.locations.nodes.reimage", "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/nodes/{nodesId}:reimage", "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/nodes/[^/]+$", "description": "The resource name.", "type": "string", "location": "path", "required": true } }, "httpMethod": "POST", "request": { "$ref": "ReimageNodeRequest" }, "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1alpha1/{+name}:reimage", "response": { "$ref": "Operation" }, "description": "Reimages a node's OS." }, "stop": { "parameters": { "name": { "required": true, "location": "path", "description": "The resource name.", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/nodes/[^/]+$" } }, "description": "Stops a node. This operation is only available with single TPU nodes.", "request": { "$ref": "StopNodeRequest" }, "httpMethod": "POST", "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/nodes/{nodesId}:stop", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Operation" }, "id": "tpu.projects.locations.nodes.stop", "parameterOrder": [ "name" ], "path": "v1alpha1/{+name}:stop" }, "delete": { "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/nodes/{nodesId}", "id": "tpu.projects.locations.nodes.delete", "description": "Deletes a node.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "parameters": { "name": { "type": "string", "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/nodes/[^/]+$", "description": "Required. The resource name." }, "requestId": { "description": "Idempotent request UUID.", "type": "string", "location": "query" } }, "path": "v1alpha1/{+name}", "httpMethod": "DELETE", "response": { "$ref": "Operation" } }, "get": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "parameterOrder": [ "name" ], "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/nodes/{nodesId}", "description": "Gets the details of a node.", "response": { "$ref": "Node" }, "parameters": { "name": { "type": "string", "description": "Required. The resource name.", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/nodes/[^/]+$", "location": "path" } }, "id": "tpu.projects.locations.nodes.get", "path": "v1alpha1/{+name}" }, "create": { "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/nodes", "response": { "$ref": "Operation" }, "id": "tpu.projects.locations.nodes.create", "parameterOrder": [ "parent" ], "request": { "$ref": "Node" }, "parameters": { "nodeId": { "location": "query", "type": "string", "description": "The unqualified resource name." }, "parent": { "description": "Required. The parent resource name.", "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+$", "required": true }, "requestId": { "type": "string", "location": "query", "description": "Idempotent request UUID." } }, "httpMethod": "POST", "description": "Creates a node.", "path": "v1alpha1/{+parent}/nodes", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "start": { "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "parameters": { "name": { "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/nodes/[^/]+$", "location": "path", "description": "The resource name.", "type": "string" } }, "description": "Starts a node.", "id": "tpu.projects.locations.nodes.start", "request": { "$ref": "StartNodeRequest" }, "path": "v1alpha1/{+name}:start", "response": { "$ref": "Operation" }, "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/nodes/{nodesId}:start" } } }, "tensorflowVersions": { "methods": { "get": { "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/tensorflowVersions/{tensorflowVersionsId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "parameters": { "name": { "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/tensorflowVersions/[^/]+$", "required": true, "description": "Required. The resource name.", "type": "string" } }, "description": "Gets TensorFlow Version.", "path": "v1alpha1/{+name}", "response": { "$ref": "TensorFlowVersion" }, "httpMethod": "GET", "id": "tpu.projects.locations.tensorflowVersions.get" }, "list": { "httpMethod": "GET", "parameterOrder": [ "parent" ], "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/tensorflowVersions", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1alpha1/{+parent}/tensorflowVersions", "response": { "$ref": "ListTensorFlowVersionsResponse" }, "parameters": { "orderBy": { "type": "string", "location": "query", "description": "Sort results." }, "pageToken": { "location": "query", "description": "The next_page_token value returned from a previous List request, if any.", "type": "string" }, "pageSize": { "format": "int32", "type": "integer", "description": "The maximum number of items to return.", "location": "query" }, "filter": { "location": "query", "type": "string", "description": "List filter." }, "parent": { "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+$", "description": "Required. The parent resource name.", "required": true } }, "description": "Lists TensorFlow versions supported by this API.", "id": "tpu.projects.locations.tensorflowVersions.list" } } }, "operations": { "methods": { "delete": { "parameterOrder": [ "name" ], "id": "tpu.projects.locations.operations.delete", "description": "Deletes a long-running operation. This method indicates that the client is no longer interested in the operation result. It does not cancel the operation. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`.", "httpMethod": "DELETE", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "required": true, "description": "The name of the operation resource to be deleted.", "location": "path", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$" } }, "response": { "$ref": "Empty" }, "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}", "path": "v1alpha1/{+name}" }, "list": { "parameterOrder": [ "name" ], "httpMethod": "GET", "path": "v1alpha1/{+name}/operations", "parameters": { "pageToken": { "type": "string", "location": "query", "description": "The standard list page token." }, "name": { "description": "The name of the operation's parent resource.", "required": true, "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+$" }, "pageSize": { "location": "query", "format": "int32", "type": "integer", "description": "The standard list page size." }, "filter": { "type": "string", "location": "query", "description": "The standard list filter." } }, "response": { "$ref": "ListOperationsResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/operations", "id": "tpu.projects.locations.operations.list", "description": "Lists operations that match the specified filter in the request. If the server doesn't support this method, it returns `UNIMPLEMENTED`. NOTE: the `name` binding allows API services to override the binding to use different resource name schemes, such as `users/*/operations`. To override the binding, API services can add a binding such as `\"/v1/{name=users/*}/operations\"` to their service configuration. For backwards compatibility, the default name includes the operations collection id, however overriding users must ensure the name binding is the parent resource, without the operations collection id." }, "cancel": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST", "path": "v1alpha1/{+name}:cancel", "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}:cancel", "parameterOrder": [ "name" ], "description": "Starts asynchronous cancellation on a long-running operation. The server makes a best effort to cancel the operation, but success is not guaranteed. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`. Clients can use Operations.GetOperation or other methods to check whether the cancellation succeeded or whether the operation completed despite cancellation. On successful cancellation, the operation is not deleted; instead, it becomes an operation with an Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`.", "parameters": { "name": { "type": "string", "description": "The name of the operation resource to be cancelled.", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "location": "path" } }, "response": { "$ref": "Empty" }, "id": "tpu.projects.locations.operations.cancel" }, "get": { "description": "Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service.", "path": "v1alpha1/{+name}", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Operation" }, "httpMethod": "GET", "parameters": { "name": { "location": "path", "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "description": "The name of the operation resource." } }, "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}", "id": "tpu.projects.locations.operations.get" } } }, "acceleratorTypes": { "methods": { "get": { "description": "Gets AcceleratorType.", "path": "v1alpha1/{+name}", "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/acceleratorTypes/{acceleratorTypesId}", "response": { "$ref": "AcceleratorType" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/acceleratorTypes/[^/]+$", "required": true, "description": "Required. The resource name.", "location": "path" } }, "parameterOrder": [ "name" ], "id": "tpu.projects.locations.acceleratorTypes.get", "httpMethod": "GET" }, "list": { "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/acceleratorTypes", "httpMethod": "GET", "description": "Lists accelerator types supported by this API.", "path": "v1alpha1/{+parent}/acceleratorTypes", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "tpu.projects.locations.acceleratorTypes.list", "parameterOrder": [ "parent" ], "response": { "$ref": "ListAcceleratorTypesResponse" }, "parameters": { "parent": { "required": true, "pattern": "^projects/[^/]+/locations/[^/]+$", "type": "string", "location": "path", "description": "Required. The parent resource name." }, "pageSize": { "description": "The maximum number of items to return.", "format": "int32", "location": "query", "type": "integer" }, "filter": { "location": "query", "type": "string", "description": "List filter." }, "orderBy": { "location": "query", "description": "Sort results.", "type": "string" }, "pageToken": { "location": "query", "type": "string", "description": "The next_page_token value returned from a previous List request, if any." } } } } } } } } } } }
]===]))
