local decode = require("cjson").new().decode
return assert(decode([===[
{ "revision": "20220608", "parameters": { "upload_protocol": { "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "type": "string", "location": "query" }, "prettyPrint": { "type": "boolean", "default": "true", "description": "Returns response with indentations and line breaks.", "location": "query" }, "alt": { "default": "json", "enum": [ "json", "media", "proto" ], "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "type": "string", "location": "query", "description": "Data format for response." }, "callback": { "type": "string", "location": "query", "description": "JSONP" }, "oauth_token": { "type": "string", "location": "query", "description": "OAuth 2.0 token for the current user." }, "uploadType": { "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "location": "query", "type": "string" }, "access_token": { "description": "OAuth access token.", "location": "query", "type": "string" }, "quotaUser": { "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "location": "query", "type": "string" }, "$.xgafv": { "type": "string", "description": "V1 error format.", "enum": [ "1", "2" ], "enumDescriptions": [ "v1 error format", "v2 error format" ], "location": "query" }, "fields": { "type": "string", "location": "query", "description": "Selector specifying which fields to include in a partial response." }, "key": { "location": "query", "type": "string", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token." } }, "version_module": true, "icons": { "x16": "http://www.google.com/images/icons/product/search-16.gif", "x32": "http://www.google.com/images/icons/product/search-32.gif" }, "protocol": "rest", "servicePath": "", "baseUrl": "https://trafficdirector.googleapis.com/", "documentationLink": "https://cloud.google.com/traffic-director", "name": "trafficdirector", "version": "v2", "basePath": "", "ownerName": "Google", "resources": { "discovery": { "methods": { "client_status": { "id": "trafficdirector.discovery.client_status", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": {}, "parameterOrder": [], "httpMethod": "POST", "flatPath": "v2/discovery:client_status", "path": "v2/discovery:client_status", "description": "", "response": { "$ref": "ClientStatusResponse" }, "request": { "$ref": "ClientStatusRequest" } } } } }, "title": "Traffic Director API", "canonicalName": "Traffic Director Service", "fullyEncodeReservedExpansion": true, "rootUrl": "https://trafficdirector.googleapis.com/", "kind": "discovery#restDescription", "discoveryVersion": "v1", "id": "trafficdirector:v2", "description": "", "schemas": { "BuildVersion": { "description": "BuildVersion combines SemVer version of extension with free-form build information (i.e. 'alpha', 'private-build') as a set of strings.", "type": "object", "properties": { "version": { "$ref": "SemanticVersion", "description": "SemVer version of extension." }, "metadata": { "type": "object", "additionalProperties": { "type": "any", "description": "Properties of the object." }, "description": "Free-form build information. Envoy defines several well known keys in the source/common/version/version.h file" } }, "id": "BuildVersion" }, "StructMatcher": { "properties": { "value": { "$ref": "ValueMatcher", "description": "The StructMatcher is matched if the value retrieved by path is matched to this value." }, "path": { "items": { "$ref": "PathSegment" }, "description": "The path to retrieve the Value from the Struct.", "type": "array" } }, "id": "StructMatcher", "type": "object", "description": "StructMatcher provides a general interface to check if a given value is matched in google.protobuf.Struct. It uses `path` to retrieve the value from the struct and then check if it's matched to the specified value. For example, for the following Struct: .. code-block:: yaml fields: a: struct_value: fields: b: struct_value: fields: c: string_value: pro t: list_value: values: - string_value: m - string_value: n The following MetadataMatcher is matched as the path [a, b, c] will retrieve a string value \"pro\" from the Metadata which is matched to the specified prefix match. .. code-block:: yaml path: - key: a - key: b - key: c value: string_match: prefix: pr The following StructMatcher is matched as the code will match one of the string values in the list at the path [a, t]. .. code-block:: yaml path: - key: a - key: t value: list_match: one_of: string_match: exact: m An example use of StructMatcher is to match metadata in envoy.v*.core.Node." }, "RoutesConfigDump": { "description": "Envoy's RDS implementation fills this message with all currently loaded routes, as described by their RouteConfiguration objects. Static routes that are either defined in the bootstrap configuration or defined inline while configuring listeners are separated from those configured dynamically via RDS. Route configuration information can be used to recreate an Envoy configuration by populating all routes as static routes or by returning them in RDS responses.", "id": "RoutesConfigDump", "type": "object", "properties": { "dynamicRouteConfigs": { "items": { "$ref": "DynamicRouteConfig" }, "type": "array", "description": "The dynamically loaded route configs." }, "staticRouteConfigs": { "description": "The statically loaded route configs.", "items": { "$ref": "StaticRouteConfig" }, "type": "array" } } }, "Extension": { "id": "Extension", "type": "object", "properties": { "version": { "$ref": "BuildVersion", "description": "The version is a property of the extension and maintained independently of other extensions and the Envoy API. This field is not set when extension did not provide version information." }, "typeDescriptor": { "description": "[#not-implemented-hide:] Type descriptor of extension configuration proto. [#comment:", "type": "string" }, "disabled": { "type": "boolean", "description": "Indicates that the extension is present but was disabled via dynamic configuration." }, "category": { "description": "Category of the extension. Extension category names use reverse DNS notation. For instance \"envoy.filters.listener\" for Envoy's built-in listener filters or \"com.acme.filters.http\" for HTTP filters from acme.com vendor. [#comment:", "type": "string" }, "name": { "type": "string", "description": "This is the name of the Envoy filter as specified in the Envoy configuration, e.g. envoy.filters.http.router, com.acme.widget." } }, "description": "Version and identification for an Envoy extension. [#next-free-field: 6]" }, "NullMatch": { "properties": {}, "id": "NullMatch", "description": "NullMatch is an empty message to specify a null value.", "type": "object" }, "StaticCluster": { "properties": { "cluster": { "description": "The cluster config.", "type": "object", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." } }, "lastUpdated": { "description": "The timestamp when the Cluster was last updated.", "format": "google-datetime", "type": "string" } }, "id": "StaticCluster", "type": "object", "description": "Describes a statically loaded cluster." }, "InlineScopedRouteConfigs": { "type": "object", "properties": { "scopedRouteConfigs": { "description": "The scoped route configurations.", "type": "array", "items": { "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "type": "object" } }, "lastUpdated": { "type": "string", "description": "The timestamp when the scoped route config set was last updated.", "format": "google-datetime" }, "name": { "type": "string", "description": "The name assigned to the scoped route configurations." } }, "id": "InlineScopedRouteConfigs" }, "PerXdsConfig": { "description": "Detailed config (per xDS) with status. [#next-free-field: 6]", "id": "PerXdsConfig", "properties": { "listenerConfig": { "$ref": "ListenersConfigDump" }, "routeConfig": { "$ref": "RoutesConfigDump" }, "status": { "enum": [ "UNKNOWN", "SYNCED", "NOT_SENT", "STALE", "ERROR" ], "enumDescriptions": [ "Status info is not available/unknown.", "Management server has sent the config to client and received ACK.", "Config is not sent.", "Management server has sent the config to client but hasn’t received ACK/NACK.", "Management server has sent the config to client but received NACK." ], "type": "string" }, "clusterConfig": { "$ref": "ClustersConfigDump" }, "scopedRouteConfig": { "$ref": "ScopedRoutesConfigDump" } }, "type": "object" }, "DynamicScopedRouteConfigs": { "properties": { "lastUpdated": { "description": "The timestamp when the scoped route config set was last updated.", "format": "google-datetime", "type": "string" }, "name": { "description": "The name assigned to the scoped route configurations.", "type": "string" }, "versionInfo": { "type": "string", "description": "This is the per-resource version information. This version is currently taken from the :ref:`version_info ` field at the time that the scoped routes configuration was loaded." }, "scopedRouteConfigs": { "description": "The scoped route configurations.", "items": { "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "type": "object" }, "type": "array" } }, "type": "object", "id": "DynamicScopedRouteConfigs" }, "ClientConfig": { "id": "ClientConfig", "type": "object", "properties": { "xdsConfig": { "type": "array", "items": { "$ref": "PerXdsConfig" } }, "node": { "$ref": "Node", "description": "Node for a particular client." } }, "description": "All xds configs for a particular client." }, "GoogleRE2": { "properties": { "maxProgramSize": { "description": "This field controls the RE2 \"program size\" which is a rough estimate of how complex a compiled regex is to evaluate. A regex that has a program size greater than the configured value will fail to compile. In this case, the configured max program size can be increased or the regex can be simplified. If not specified, the default is 100. This field is deprecated; regexp validation should be performed on the management server instead of being done by each individual client.", "format": "uint32", "type": "integer" } }, "type": "object", "description": "Google's `RE2 `_ regex engine. The regex string must adhere to the documented `syntax `_. The engine is designed to complete execution in linear time as well as limit the amount of memory used. Envoy supports program size checking via runtime. The runtime keys `re2.max_program_size.error_level` and `re2.max_program_size.warn_level` can be set to integers as the maximum program size or complexity that a compiled regex can have before an exception is thrown or a warning is logged, respectively. `re2.max_program_size.error_level` defaults to 100, and `re2.max_program_size.warn_level` has no default if unset (will not check/log a warning). Envoy emits two stats for tracking the program size of regexes: the histogram `re2.program_size`, which records the program size, and the counter `re2.exceeded_warn_level`, which is incremented each time the program size exceeds the warn level threshold.", "id": "GoogleRE2" }, "StaticRouteConfig": { "type": "object", "id": "StaticRouteConfig", "properties": { "lastUpdated": { "description": "The timestamp when the Route was last updated.", "format": "google-datetime", "type": "string" }, "routeConfig": { "description": "The route config.", "type": "object", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" } } } }, "PathSegment": { "type": "object", "id": "PathSegment", "properties": { "key": { "type": "string", "description": "If specified, use the key to retrieve the value in a Struct." } }, "description": "Specifies the segment in a path to retrieve value from Struct." }, "DoubleMatcher": { "id": "DoubleMatcher", "description": "Specifies the way to match a double value.", "type": "object", "properties": { "range": { "description": "If specified, the input double value must be in the range specified here. Note: The range is using half-open interval semantics [start, end).", "$ref": "DoubleRange" }, "exact": { "type": "number", "format": "double", "description": "If specified, the input double value must be equal to the value specified here." } } }, "ClientStatusResponse": { "type": "object", "properties": { "config": { "type": "array", "description": "Client configs for the clients specified in the ClientStatusRequest.", "items": { "$ref": "ClientConfig" } } }, "id": "ClientStatusResponse" }, "SocketAddress": { "id": "SocketAddress", "type": "object", "description": "[#next-free-field: 7]", "properties": { "portValue": { "format": "uint32", "type": "integer" }, "namedPort": { "type": "string", "description": "This is only valid if :ref:`resolver_name ` is specified below and the named resolver is capable of named port resolution." }, "address": { "description": "The address for this socket. :ref:`Listeners ` will bind to the address. An empty address is not allowed. Specify ``0.0.0.0`` or ``::`` to bind to any address. [#comment:TODO(zuercher) reinstate when implemented: It is possible to distinguish a Listener address via the prefix/suffix matching in :ref:`FilterChainMatch `.] When used within an upstream :ref:`BindConfig `, the address controls the source address of outbound connections. For :ref:`clusters `, the cluster type determines whether the address must be an IP (*STATIC* or *EDS* clusters) or a hostname resolved by DNS (*STRICT_DNS* or *LOGICAL_DNS* clusters). Address resolution can be customized via :ref:`resolver_name `.", "type": "string" }, "protocol": { "type": "string", "enum": [ "TCP", "UDP" ], "enumDescriptions": [ "", "" ] }, "resolverName": { "description": "The name of the custom resolver. This must have been registered with Envoy. If this is empty, a context dependent default applies. If the address is a concrete IP address, no resolution will occur. If address is a hostname this should be set for resolution other than DNS. Specifying a custom resolver with *STRICT_DNS* or *LOGICAL_DNS* will generate an error at runtime.", "type": "string" }, "ipv4Compat": { "type": "boolean", "description": "When binding to an IPv6 address above, this enables `IPv4 compatibility `_. Binding to ``::`` will allow both IPv4 and IPv6 connections, with peer IPv4 addresses mapped into IPv6 space as ``::FFFF:``." } } }, "ClientStatusRequest": { "description": "Request for client status of clients identified by a list of NodeMatchers.", "properties": { "nodeMatchers": { "type": "array", "items": { "$ref": "NodeMatcher" }, "description": "Management server can use these match criteria to identify clients. The match follows OR semantics." } }, "id": "ClientStatusRequest", "type": "object" }, "DynamicListenerState": { "properties": { "lastUpdated": { "description": "The timestamp when the Listener was last successfully updated.", "format": "google-datetime", "type": "string" }, "listener": { "type": "object", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "description": "The listener config." }, "versionInfo": { "type": "string", "description": "This is the per-resource version information. This version is currently taken from the :ref:`version_info ` field at the time that the listener was loaded. In the future, discrete per-listener versions may be supported by the API." } }, "id": "DynamicListenerState", "type": "object" }, "Address": { "id": "Address", "properties": { "socketAddress": { "$ref": "SocketAddress" }, "pipe": { "$ref": "Pipe" } }, "description": "Addresses specify either a logical or physical address and port, which are used to tell Envoy where to bind/listen, connect to upstream and find management servers.", "type": "object" }, "DynamicRouteConfig": { "type": "object", "properties": { "lastUpdated": { "type": "string", "description": "The timestamp when the Route was last updated.", "format": "google-datetime" }, "routeConfig": { "type": "object", "description": "The route config.", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." } }, "versionInfo": { "type": "string", "description": "This is the per-resource version information. This version is currently taken from the :ref:`version_info ` field at the time that the route configuration was loaded." } }, "id": "DynamicRouteConfig" }, "Node": { "id": "Node", "properties": { "id": { "type": "string", "description": "An opaque node identifier for the Envoy node. This also provides the local service node name. It should be set if any of the following features are used: :ref:`statsd `, :ref:`CDS `, and :ref:`HTTP tracing `, either in this message or via :option:`--service-node`." }, "userAgentBuildVersion": { "description": "Structured version of the entity requesting config.", "$ref": "BuildVersion" }, "userAgentName": { "description": "Free-form string that identifies the entity requesting config. E.g. \"envoy\" or \"grpc\"", "type": "string" }, "extensions": { "type": "array", "items": { "$ref": "Extension" }, "description": "List of extensions and their versions supported by the node." }, "buildVersion": { "type": "string", "description": "This is motivated by informing a management server during canary which version of Envoy is being tested in a heterogeneous fleet. This will be set by Envoy in management server RPCs. This field is deprecated in favor of the user_agent_name and user_agent_version values." }, "listeningAddresses": { "description": "Known listening ports on the node as a generic hint to the management server for filtering :ref:`listeners ` to be returned. For example, if there is a listener bound to port 80, the list can optionally contain the SocketAddress `(0.0.0.0,80)`. The field is optional and just a hint.", "items": { "$ref": "Address" }, "type": "array" }, "locality": { "description": "Locality specifying where the Envoy instance is running.", "$ref": "Locality" }, "metadata": { "additionalProperties": { "type": "any", "description": "Properties of the object." }, "description": "Opaque metadata extending the node identifier. Envoy will pass this directly to the management server.", "type": "object" }, "cluster": { "description": "Defines the local service cluster name where Envoy is running. Though optional, it should be set if any of the following features are used: :ref:`statsd `, :ref:`health check cluster verification `, :ref:`runtime override directory `, :ref:`user agent addition `, :ref:`HTTP global rate limiting `, :ref:`CDS `, and :ref:`HTTP tracing `, either in this message or via :option:`--service-cluster`.", "type": "string" }, "clientFeatures": { "items": { "type": "string" }, "type": "array", "description": "Client feature support list. These are well known features described in the Envoy API repository for a given major version of an API. Client features use reverse DNS naming scheme, for example `com.acme.feature`. See :ref:`the list of features ` that xDS client may support." }, "userAgentVersion": { "description": "Free-form string that identifies the version of the entity requesting config. E.g. \"1.12.2\" or \"abcd1234\", or \"SpecialEnvoyBuild\"", "type": "string" } }, "description": "Identifies a specific Envoy instance. The node identifier is presented to the management server, which may use this identifier to distinguish per Envoy configuration for serving. [#next-free-field: 12]", "type": "object" }, "DoubleRange": { "description": "Specifies the double start and end of the range using half-open interval semantics [start, end).", "id": "DoubleRange", "properties": { "end": { "description": "end of the range (exclusive)", "type": "number", "format": "double" }, "start": { "type": "number", "description": "start of the range (inclusive)", "format": "double" } }, "type": "object" }, "Locality": { "type": "object", "description": "Identifies location of where either Envoy runs or where upstream hosts run.", "properties": { "zone": { "type": "string", "description": "Defines the local service zone where Envoy is running. Though optional, it should be set if discovery service routing is used and the discovery service exposes :ref:`zone data `, either in this message or via :option:`--service-zone`. The meaning of zone is context dependent, e.g. `Availability Zone (AZ) `_ on AWS, `Zone `_ on GCP, etc." }, "subZone": { "description": "When used for locality of upstream hosts, this field further splits zone into smaller chunks of sub-zones so they can be load balanced independently.", "type": "string" }, "region": { "type": "string", "description": "Region this :ref:`zone ` belongs to." } }, "id": "Locality" }, "DynamicCluster": { "properties": { "cluster": { "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "description": "The cluster config.", "type": "object" }, "lastUpdated": { "format": "google-datetime", "type": "string", "description": "The timestamp when the Cluster was last updated." }, "versionInfo": { "description": "This is the per-resource version information. This version is currently taken from the :ref:`version_info ` field at the time that the cluster was loaded. In the future, discrete per-cluster versions may be supported by the API.", "type": "string" } }, "description": "Describes a dynamically loaded cluster via the CDS API.", "type": "object", "id": "DynamicCluster" }, "ListMatcher": { "type": "object", "id": "ListMatcher", "properties": { "oneOf": { "description": "If specified, at least one of the values in the list must match the value specified.", "$ref": "ValueMatcher" } }, "description": "Specifies the way to match a list value." }, "UpdateFailureState": { "id": "UpdateFailureState", "type": "object", "properties": { "failedConfiguration": { "type": "object", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "description": "What the component configuration would have been if the update had succeeded." }, "details": { "description": "Details about the last failed update attempt.", "type": "string" }, "lastUpdateAttempt": { "description": "Time of the latest failed update attempt.", "format": "google-datetime", "type": "string" } } }, "Pipe": { "type": "object", "properties": { "mode": { "type": "integer", "description": "The mode for the Pipe. Not applicable for abstract sockets.", "format": "uint32" }, "path": { "description": "Unix Domain Socket path. On Linux, paths starting with '@' will use the abstract namespace. The starting '@' is replaced by a null byte by Envoy. Paths starting with '@' will result in an error in environments other than Linux.", "type": "string" } }, "id": "Pipe" }, "RegexMatcher": { "id": "RegexMatcher", "type": "object", "properties": { "regex": { "type": "string", "description": "The regex match string. The string must be supported by the configured engine." }, "googleRe2": { "description": "Google's RE2 regex engine.", "$ref": "GoogleRE2" } }, "description": "A regex matcher designed for safety when used with untrusted input." }, "SemanticVersion": { "description": "Envoy uses SemVer (https://semver.org/). Major/minor versions indicate expected behaviors and APIs, the patch version field is used only for security fixes and can be generally ignored.", "id": "SemanticVersion", "type": "object", "properties": { "patch": { "type": "integer", "format": "uint32" }, "majorNumber": { "type": "integer", "format": "uint32" }, "minorNumber": { "type": "integer", "format": "uint32" } } }, "StringMatcher": { "type": "object", "id": "StringMatcher", "properties": { "ignoreCase": { "description": "If true, indicates the exact/prefix/suffix matching should be case insensitive. This has no effect for the safe_regex match. For example, the matcher *data* will match both input string *Data* and *data* if set to true.", "type": "boolean" }, "exact": { "description": "The input string must match exactly the string specified here. Examples: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh *abc* only matches the value *abc*.", "type": "string" }, "prefix": { "description": "The input string must have the prefix specified here. Note: empty prefix is not allowed, please use regex instead. Examples: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh *abc* matches the value *abc.xyz*", "type": "string" }, "regex": { "description": "The input string must match the regular expression specified here. The regex grammar is defined `here `_. Examples: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The regex ``\\d{3}`` matches the value *123* LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The regex ``\\d{3}`` does not match the value *1234* LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The regex ``\\d{3}`` does not match the value *123.456* .. attention:: This field has been deprecated in favor of `safe_regex` as it is not safe for use with untrusted input in all cases.", "type": "string" }, "safeRegex": { "description": "The input string must match the regular expression specified here.", "$ref": "RegexMatcher" }, "suffix": { "type": "string", "description": "The input string must have the suffix specified here. Note: empty prefix is not allowed, please use regex instead. Examples: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh *abc* matches the value *xyz.abc*" } }, "description": "Specifies the way to match a string. [#next-free-field: 7]" }, "NodeMatcher": { "type": "object", "description": "Specifies the way to match a Node. The match follows AND semantics.", "id": "NodeMatcher", "properties": { "nodeMetadatas": { "description": "Specifies match criteria on the node metadata.", "items": { "$ref": "StructMatcher" }, "type": "array" }, "nodeId": { "description": "Specifies match criteria on the node id.", "$ref": "StringMatcher" } } }, "ValueMatcher": { "description": "Specifies the way to match a ProtobufWkt::Value. Primitive values and ListValue are supported. StructValue is not supported and is always not matched. [#next-free-field: 7]", "properties": { "nullMatch": { "description": "If specified, a match occurs if and only if the target value is a NullValue.", "$ref": "NullMatch" }, "stringMatch": { "$ref": "StringMatcher", "description": "If specified, a match occurs if and only if the target value is a string value and is matched to this field." }, "listMatch": { "description": "If specified, a match occurs if and only if the target value is a list value and is matched to this field.", "$ref": "ListMatcher" }, "boolMatch": { "type": "boolean", "description": "If specified, a match occurs if and only if the target value is a bool value and is equal to this field." }, "presentMatch": { "type": "boolean", "description": "If specified, value match will be performed based on whether the path is referring to a valid primitive value in the metadata. If the path is referring to a non-primitive value, the result is always not matched." }, "doubleMatch": { "description": "If specified, a match occurs if and only if the target value is a double value and is matched to this field.", "$ref": "DoubleMatcher" } }, "id": "ValueMatcher", "type": "object" }, "StaticListener": { "properties": { "listener": { "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "description": "The listener config.", "type": "object" }, "lastUpdated": { "format": "google-datetime", "description": "The timestamp when the Listener was last successfully updated.", "type": "string" } }, "type": "object", "id": "StaticListener", "description": "Describes a statically loaded listener." }, "DynamicListener": { "properties": { "warmingState": { "description": "The listener state for any warming listener by this name. These are listeners that are currently undergoing warming in preparation to service data plane traffic. Note that if attempting to recreate an Envoy configuration from a configuration dump, the warming listeners should generally be discarded.", "$ref": "DynamicListenerState" }, "name": { "type": "string", "description": "The name or unique id of this listener, pulled from the DynamicListenerState config." }, "drainingState": { "$ref": "DynamicListenerState", "description": "The listener state for any draining listener by this name. These are listeners that are currently undergoing draining in preparation to stop servicing data plane traffic. Note that if attempting to recreate an Envoy configuration from a configuration dump, the draining listeners should generally be discarded." }, "errorState": { "$ref": "UpdateFailureState", "description": "Set if the last update failed, cleared after the next successful update." }, "activeState": { "description": "The listener state for any active listener by this name. These are listeners that are available to service data plane traffic.", "$ref": "DynamicListenerState" } }, "description": "Describes a dynamically loaded listener via the LDS API. [#next-free-field: 6]", "id": "DynamicListener", "type": "object" }, "ClustersConfigDump": { "id": "ClustersConfigDump", "properties": { "dynamicWarmingClusters": { "description": "The dynamically loaded warming clusters. These are clusters that are currently undergoing warming in preparation to service data plane traffic. Note that if attempting to recreate an Envoy configuration from a configuration dump, the warming clusters should generally be discarded.", "type": "array", "items": { "$ref": "DynamicCluster" } }, "versionInfo": { "type": "string", "description": "This is the :ref:`version_info ` in the last processed CDS discovery response. If there are only static bootstrap clusters, this field will be \"\"." }, "staticClusters": { "description": "The statically loaded cluster configs.", "type": "array", "items": { "$ref": "StaticCluster" } }, "dynamicActiveClusters": { "description": "The dynamically loaded active clusters. These are clusters that are available to service data plane traffic.", "items": { "$ref": "DynamicCluster" }, "type": "array" } }, "description": "Envoy's cluster manager fills this message with all currently known clusters. Cluster configuration information can be used to recreate an Envoy configuration by populating all clusters as static clusters or by returning them in a CDS response.", "type": "object" }, "ScopedRoutesConfigDump": { "description": "Envoy's scoped RDS implementation fills this message with all currently loaded route configuration scopes (defined via ScopedRouteConfigurationsSet protos). This message lists both the scopes defined inline with the higher order object (i.e., the HttpConnectionManager) and the dynamically obtained scopes via the SRDS API.", "id": "ScopedRoutesConfigDump", "properties": { "dynamicScopedRouteConfigs": { "description": "The dynamically loaded scoped route configs.", "items": { "$ref": "DynamicScopedRouteConfigs" }, "type": "array" }, "inlineScopedRouteConfigs": { "description": "The statically loaded scoped route configs.", "items": { "$ref": "InlineScopedRouteConfigs" }, "type": "array" } }, "type": "object" }, "ListenersConfigDump": { "properties": { "versionInfo": { "type": "string", "description": "This is the :ref:`version_info ` in the last processed LDS discovery response. If there are only static bootstrap listeners, this field will be \"\"." }, "dynamicListeners": { "items": { "$ref": "DynamicListener" }, "type": "array", "description": "State for any warming, active, or draining listeners." }, "staticListeners": { "description": "The statically loaded listener configs.", "items": { "$ref": "StaticListener" }, "type": "array" } }, "description": "Envoy's listener manager fills this message with all currently known listeners. Listener configuration information can be used to recreate an Envoy configuration by populating all listeners as static listeners or by returning them in a LDS response.", "id": "ListenersConfigDump", "type": "object" } }, "mtlsRootUrl": "https://trafficdirector.mtls.googleapis.com/", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." } } } }, "ownerDomain": "google.com", "batchPath": "batch" }
]===]))
