local decode = require("cjson").new().decode
return assert(decode([===[
{ "name": "transcoder", "batchPath": "batch", "description": "This API converts video files into formats suitable for consumer distribution. ", "baseUrl": "https://transcoder.googleapis.com/", "discoveryVersion": "v1", "title": "Transcoder API", "canonicalName": "Transcoder", "servicePath": "", "basePath": "", "resources": { "projects": { "resources": { "locations": { "resources": { "jobTemplates": { "methods": { "create": { "response": { "$ref": "JobTemplate" }, "id": "transcoder.projects.locations.jobTemplates.create", "parameterOrder": [ "parent" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/jobTemplates", "request": { "$ref": "JobTemplate" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+parent}/jobTemplates", "httpMethod": "POST", "parameters": { "parent": { "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+$", "location": "path", "description": "Required. The parent location to create this job template. Format: `projects/{project}/locations/{location}`" }, "jobTemplateId": { "type": "string", "description": "Required. The ID to use for the job template, which will become the final component of the job template's resource name. This value should be 4-63 characters, and valid characters must match the regular expression `a-zA-Z*`.", "location": "query" } }, "description": "Creates a job template in the specified region." }, "delete": { "parameterOrder": [ "name" ], "parameters": { "allowMissing": { "description": "If set to true, and the job template is not found, the request will succeed but no action will be taken on the server.", "location": "query", "type": "boolean" }, "name": { "required": true, "description": "Required. The name of the job template to delete. `projects/{project}/locations/{location}/jobTemplates/{job_template}`", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/jobTemplates/[^/]+$", "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+name}", "httpMethod": "DELETE", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/jobTemplates/{jobTemplatesId}", "id": "transcoder.projects.locations.jobTemplates.delete", "description": "Deletes a job template.", "response": { "$ref": "Empty" } }, "get": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/jobTemplates/{jobTemplatesId}", "parameters": { "name": { "description": "Required. The name of the job template to retrieve. Format: `projects/{project}/locations/{location}/jobTemplates/{job_template}`", "location": "path", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/jobTemplates/[^/]+$" } }, "path": "v1/{+name}", "id": "transcoder.projects.locations.jobTemplates.get", "description": "Returns the job template data.", "parameterOrder": [ "name" ], "response": { "$ref": "JobTemplate" } }, "list": { "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/jobTemplates", "description": "Lists job templates in the specified region.", "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "transcoder.projects.locations.jobTemplates.list", "path": "v1/{+parent}/jobTemplates", "response": { "$ref": "ListJobTemplatesResponse" }, "httpMethod": "GET", "parameters": { "orderBy": { "location": "query", "type": "string", "description": "One or more fields to compare and use to sort the output. See https://google.aip.dev/132#ordering." }, "pageSize": { "format": "int32", "location": "query", "type": "integer", "description": "The maximum number of items to return." }, "parent": { "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+$", "location": "path", "description": "Required. The parent location from which to retrieve the collection of job templates. Format: `projects/{project}/locations/{location}`", "required": true }, "pageToken": { "description": "The `next_page_token` value returned from a previous List request, if any.", "location": "query", "type": "string" }, "filter": { "location": "query", "type": "string", "description": "The filter expression, following the syntax outlined in https://google.aip.dev/160." } } } } }, "jobs": { "methods": { "delete": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "response": { "$ref": "Empty" }, "id": "transcoder.projects.locations.jobs.delete", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/jobs/{jobsId}", "path": "v1/{+name}", "httpMethod": "DELETE", "parameters": { "name": { "description": "Required. The name of the job to delete. Format: `projects/{project}/locations/{location}/jobs/{job}`", "pattern": "^projects/[^/]+/locations/[^/]+/jobs/[^/]+$", "location": "path", "required": true, "type": "string" }, "allowMissing": { "type": "boolean", "description": "If set to true, and the job is not found, the request will succeed but no action will be taken on the server.", "location": "query" } }, "description": "Deletes a job." }, "list": { "parameters": { "orderBy": { "description": "One or more fields to compare and use to sort the output. See https://google.aip.dev/132#ordering.", "type": "string", "location": "query" }, "parent": { "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+$", "description": "Required. Format: `projects/{project}/locations/{location}`", "type": "string" }, "pageToken": { "description": "The `next_page_token` value returned from a previous List request, if any.", "type": "string", "location": "query" }, "filter": { "location": "query", "description": "The filter expression, following the syntax outlined in https://google.aip.dev/160.", "type": "string" }, "pageSize": { "location": "query", "format": "int32", "description": "The maximum number of items to return.", "type": "integer" } }, "httpMethod": "GET", "response": { "$ref": "ListJobsResponse" }, "parameterOrder": [ "parent" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/jobs", "description": "Lists jobs in the specified region.", "id": "transcoder.projects.locations.jobs.list", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+parent}/jobs" }, "create": { "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/jobs", "parameters": { "parent": { "required": true, "pattern": "^projects/[^/]+/locations/[^/]+$", "type": "string", "description": "Required. The parent location to create and process this job. Format: `projects/{project}/locations/{location}`", "location": "path" } }, "parameterOrder": [ "parent" ], "description": "Creates a job in the specified region.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "transcoder.projects.locations.jobs.create", "request": { "$ref": "Job" }, "httpMethod": "POST", "response": { "$ref": "Job" }, "path": "v1/{+parent}/jobs" }, "get": { "path": "v1/{+name}", "id": "transcoder.projects.locations.jobs.get", "parameterOrder": [ "name" ], "httpMethod": "GET", "description": "Returns the job data.", "response": { "$ref": "Job" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/jobs/[^/]+$", "description": "Required. The name of the job to retrieve. Format: `projects/{project}/locations/{location}/jobs/{job}`", "required": true } }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/jobs/{jobsId}" } } } } } } } }, "icons": { "x32": "http://www.google.com/images/icons/product/search-32.gif", "x16": "http://www.google.com/images/icons/product/search-16.gif" }, "version_module": true, "id": "transcoder:v1", "revision": "20220623", "fullyEncodeReservedExpansion": true, "ownerDomain": "google.com", "documentationLink": "https://cloud.google.com/transcoder/docs/", "parameters": { "access_token": { "location": "query", "type": "string", "description": "OAuth access token." }, "fields": { "location": "query", "description": "Selector specifying which fields to include in a partial response.", "type": "string" }, "upload_protocol": { "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "location": "query", "type": "string" }, "quotaUser": { "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "location": "query", "type": "string" }, "alt": { "description": "Data format for response.", "enum": [ "json", "media", "proto" ], "default": "json", "type": "string", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "location": "query" }, "key": { "location": "query", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "type": "string" }, "uploadType": { "location": "query", "type": "string", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\")." }, "$.xgafv": { "type": "string", "enum": [ "1", "2" ], "description": "V1 error format.", "location": "query", "enumDescriptions": [ "v1 error format", "v2 error format" ] }, "oauth_token": { "description": "OAuth 2.0 token for the current user.", "type": "string", "location": "query" }, "prettyPrint": { "description": "Returns response with indentations and line breaks.", "location": "query", "type": "boolean", "default": "true" }, "callback": { "description": "JSONP", "location": "query", "type": "string" } }, "mtlsRootUrl": "https://transcoder.mtls.googleapis.com/", "schemas": { "AdBreak": { "id": "AdBreak", "type": "object", "properties": { "startTimeOffset": { "format": "google-duration", "type": "string", "description": "Start time in seconds for the ad break, relative to the output file timeline. The default is `0s`." } }, "description": "Ad break." }, "JobTemplate": { "properties": { "config": { "description": "The configuration for this template.", "$ref": "JobConfig" }, "labels": { "description": "The labels associated with this job template. You can use these to organize and group your job templates.", "additionalProperties": { "type": "string" }, "type": "object" }, "name": { "type": "string", "description": "The resource name of the job template. Format: `projects/{project_number}/locations/{location}/jobTemplates/{job_template}`" } }, "description": "Transcoding job template resource.", "type": "object", "id": "JobTemplate" }, "Audio": { "id": "Audio", "properties": { "lufs": { "type": "number", "format": "double", "description": "Specify audio loudness normalization in loudness units relative to full scale (LUFS). Enter a value between -24 and 0 (the default), where: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh -24 is the Advanced Television Systems Committee (ATSC A/85) standard LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh -23 is the EU R128 broadcast standard LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh -19 is the prior standard for online mono audio LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh -18 is the ReplayGain standard LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh -16 is the prior standard for stereo audio LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh -14 is the new online audio standard recommended by Spotify, as well as Amazon Echo LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh 0 disables normalization" }, "lowBoost": { "description": "Enable boosting low frequency components. The default is `false`. **Note:** This field is not supported.", "type": "boolean" }, "highBoost": { "type": "boolean", "description": "Enable boosting high frequency components. The default is `false`. **Note:** This field is not supported." } }, "type": "object", "description": "Audio preprocessing configuration." }, "H265CodecSettings": { "type": "object", "description": "H265 codec settings.", "id": "H265CodecSettings", "properties": { "rateControlMode": { "description": "Specify the `rate_control_mode`. The default is `vbr`. Supported rate control modes: - `vbr` - variable bitrate - `crf` - constant rate factor", "type": "string" }, "profile": { "description": "Enforces the specified codec profile. The following profiles are supported: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh 8-bit profiles LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `main` (default) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `main-intra` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `mainstillpicture` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh 10-bit profiles LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `main10` (default) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `main10-intra` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `main422-10` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `main422-10-intra` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `main444-10` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `main444-10-intra` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh 12-bit profiles LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `main12` (default) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `main12-intra` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `main422-12` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `main422-12-intra` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `main444-12` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `main444-12-intra` The available options are [FFmpeg-compatible](https://x265.readthedocs.io/). Note that certain values for this field may cause the transcoder to override other fields you set in the `H265CodecSettings` message.", "type": "string" }, "vbvSizeBits": { "description": "Size of the Video Buffering Verifier (VBV) buffer in bits. Must be greater than zero. The default is equal to `VideoStream.bitrate_bps`.", "type": "integer", "format": "int32" }, "crfLevel": { "format": "int32", "description": "Target CRF level. Must be between 10 and 36, where 10 is the highest quality and 36 is the most efficient compression. The default is 21.", "type": "integer" }, "pixelFormat": { "type": "string", "description": "Pixel format to use. The default is `yuv420p`. Supported pixel formats: - `yuv420p` pixel format - `yuv422p` pixel format - `yuv444p` pixel format - `yuv420p10` 10-bit HDR pixel format - `yuv422p10` 10-bit HDR pixel format - `yuv444p10` 10-bit HDR pixel format - `yuv420p12` 12-bit HDR pixel format - `yuv422p12` 12-bit HDR pixel format - `yuv444p12` 12-bit HDR pixel format" }, "frameRate": { "type": "number", "format": "double", "description": "Required. The target video frame rate in frames per second (FPS). Must be less than or equal to 120. Will default to the input frame rate if larger than the input frame rate. The API will generate an output FPS that is divisible by the input FPS, and smaller or equal to the target FPS. See [Calculating frame rate](https://cloud.google.com/transcoder/docs/concepts/frame-rate) for more information." }, "allowOpenGop": { "description": "Specifies whether an open Group of Pictures (GOP) structure should be allowed or not. The default is `false`.", "type": "boolean" }, "tune": { "type": "string", "description": "Enforces the specified codec tune. The available options are [FFmpeg-compatible](https://trac.ffmpeg.org/wiki/Encode/H.265). Note that certain values for this field may cause the transcoder to override other fields you set in the `H265CodecSettings` message." }, "bFrameCount": { "type": "integer", "description": "The number of consecutive B-frames. Must be greater than or equal to zero. Must be less than `VideoStream.gop_frame_count` if set. The default is 0.", "format": "int32" }, "preset": { "description": "Enforces the specified codec preset. The default is `veryfast`. The available options are [FFmpeg-compatible](https://trac.ffmpeg.org/wiki/Encode/H.265). Note that certain values for this field may cause the transcoder to override other fields you set in the `H265CodecSettings` message.", "type": "string" }, "vbvFullnessBits": { "format": "int32", "type": "integer", "description": "Initial fullness of the Video Buffering Verifier (VBV) buffer in bits. Must be greater than zero. The default is equal to 90% of `VideoStream.vbv_size_bits`." }, "widthPixels": { "format": "int32", "type": "integer", "description": "The width of the video in pixels. Must be an even integer. When not specified, the width is adjusted to match the specified height and input aspect ratio. If both are omitted, the input width is used." }, "gopFrameCount": { "format": "int32", "type": "integer", "description": "Select the GOP size based on the specified frame count. Must be greater than zero." }, "bPyramid": { "description": "Allow B-pyramid for reference frame selection. This may not be supported on all decoders. The default is `false`.", "type": "boolean" }, "aqStrength": { "type": "number", "format": "double", "description": "Specify the intensity of the adaptive quantizer (AQ). Must be between 0 and 1, where 0 disables the quantizer and 1 maximizes the quantizer. A higher value equals a lower bitrate but smoother image. The default is 0." }, "enableTwoPass": { "type": "boolean", "description": "Use two-pass encoding strategy to achieve better video quality. `VideoStream.rate_control_mode` must be `vbr`. The default is `false`." }, "gopDuration": { "description": "Select the GOP size based on the specified duration. The default is `3s`. Note that `gopDuration` must be less than or equal to [`segmentDuration`](#SegmentSettings), and [`segmentDuration`](#SegmentSettings) must be divisible by `gopDuration`.", "type": "string", "format": "google-duration" }, "bitrateBps": { "type": "integer", "description": "Required. The video bitrate in bits per second. The minimum value is 1,000. The maximum value is 800,000,000.", "format": "int32" }, "heightPixels": { "format": "int32", "description": "The height of the video in pixels. Must be an even integer. When not specified, the height is adjusted to match the specified width and input aspect ratio. If both are omitted, the input height is used.", "type": "integer" } } }, "Empty": { "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }", "type": "object", "id": "Empty", "properties": {} }, "Overlay": { "type": "object", "description": "Overlay configuration.", "id": "Overlay", "properties": { "image": { "$ref": "Image", "description": "Image overlay." }, "animations": { "type": "array", "items": { "$ref": "Animation" }, "description": "List of Animations. The list should be chronological, without any time overlap." } } }, "AnimationEnd": { "id": "AnimationEnd", "description": "End previous overlay animation from the video. Without AnimationEnd, the overlay object will keep the state of previous animation until the end of the video.", "properties": { "startTimeOffset": { "format": "google-duration", "type": "string", "description": "The time to end overlay object, in seconds. Default: 0" } }, "type": "object" }, "JobConfig": { "properties": { "pubsubDestination": { "$ref": "PubsubDestination", "description": "Destination on Pub/Sub." }, "muxStreams": { "description": "List of multiplexing settings for output streams.", "type": "array", "items": { "$ref": "MuxStream" } }, "spriteSheets": { "type": "array", "description": "List of output sprite sheets. Spritesheets require at least one VideoStream in the Jobconfig.", "items": { "$ref": "SpriteSheet" } }, "elementaryStreams": { "description": "List of elementary streams.", "items": { "$ref": "ElementaryStream" }, "type": "array" }, "manifests": { "type": "array", "items": { "$ref": "Manifest" }, "description": "List of output manifests." }, "editList": { "items": { "$ref": "EditAtom" }, "description": "List of `Edit atom`s. Defines the ultimate timeline of the resulting file or manifest.", "type": "array" }, "overlays": { "type": "array", "description": "List of overlays on the output video, in descending Z-order.", "items": { "$ref": "Overlay" } }, "inputs": { "type": "array", "description": "List of input assets stored in Cloud Storage.", "items": { "$ref": "Input" } }, "adBreaks": { "items": { "$ref": "AdBreak" }, "type": "array", "description": "List of ad breaks. Specifies where to insert ad break tags in the output manifests." }, "output": { "$ref": "Output", "description": "Output configuration." } }, "description": "Job configuration", "type": "object", "id": "JobConfig" }, "AnimationStatic": { "properties": { "startTimeOffset": { "description": "The time to start displaying the overlay object, in seconds. Default: 0", "format": "google-duration", "type": "string" }, "xy": { "description": "Normalized coordinates based on output video resolution. Valid values: `0.0`–`1.0`. `xy` is the upper-left coordinate of the overlay object. For example, use the x and y coordinates {0,0} to position the top-left corner of the overlay animation in the top-left corner of the output video.", "$ref": "NormalizedCoordinate" } }, "id": "AnimationStatic", "description": "Display static overlay object.", "type": "object" }, "SpriteSheet": { "type": "object", "id": "SpriteSheet", "description": "Sprite sheet configuration.", "properties": { "interval": { "format": "google-duration", "type": "string", "description": "Starting from `0s`, create sprites at regular intervals. Specify the interval value in seconds." }, "filePrefix": { "description": "Required. File name prefix for the generated sprite sheets. Each sprite sheet has an incremental 10-digit zero-padded suffix starting from 0 before the extension, such as `sprite_sheet0000000123.jpeg`.", "type": "string" }, "columnCount": { "format": "int32", "type": "integer", "description": "The maximum number of sprites per row in a sprite sheet. The default is 0, which indicates no maximum limit." }, "startTimeOffset": { "format": "google-duration", "description": "Start time in seconds, relative to the output file timeline. Determines the first sprite to pick. The default is `0s`.", "type": "string" }, "rowCount": { "format": "int32", "type": "integer", "description": "The maximum number of rows per sprite sheet. When the sprite sheet is full, a new sprite sheet is created. The default is 0, which indicates no maximum limit." }, "endTimeOffset": { "description": "End time in seconds, relative to the output file timeline. When `end_time_offset` is not specified, the sprites are generated until the end of the output file.", "format": "google-duration", "type": "string" }, "spriteWidthPixels": { "type": "integer", "format": "int32", "description": "Required. The width of sprite in pixels. Must be an even integer. To preserve the source aspect ratio, set the SpriteSheet.sprite_width_pixels field or the SpriteSheet.sprite_height_pixels field, but not both (the API will automatically calculate the missing field)." }, "format": { "type": "string", "description": "Format type. The default is `jpeg`. Supported formats: - `jpeg`" }, "spriteHeightPixels": { "description": "Required. The height of sprite in pixels. Must be an even integer. To preserve the source aspect ratio, set the SpriteSheet.sprite_height_pixels field or the SpriteSheet.sprite_width_pixels field, but not both (the API will automatically calculate the missing field).", "type": "integer", "format": "int32" }, "quality": { "description": "The quality of the generated sprite sheet. Enter a value between 1 and 100, where 1 is the lowest quality and 100 is the highest quality. The default is 100. A high quality value corresponds to a low image data compression ratio.", "type": "integer", "format": "int32" }, "totalCount": { "format": "int32", "type": "integer", "description": "Total number of sprites. Create the specified number of sprites distributed evenly across the timeline of the output media. The default is 100." } } }, "PubsubDestination": { "description": "A Pub/Sub destination.", "id": "PubsubDestination", "type": "object", "properties": { "topic": { "type": "string", "description": "The name of the Pub/Sub topic to publish job completion notification to. For example: `projects/{project}/topics/{topic}`." } } }, "Color": { "description": "Color preprocessing configuration. **Note:** This configuration is not supported.", "type": "object", "properties": { "saturation": { "format": "double", "description": "Control color saturation of the video. Enter a value between -1 and 1, where -1 is fully desaturated and 1 is maximum saturation. 0 is no change. The default is 0.", "type": "number" }, "brightness": { "format": "double", "type": "number", "description": "Control brightness of the video. Enter a value between -1 and 1, where -1 is minimum brightness and 1 is maximum brightness. 0 is no change. The default is 0." }, "contrast": { "description": "Control black and white contrast of the video. Enter a value between -1 and 1, where -1 is minimum contrast and 1 is maximum contrast. 0 is no change. The default is 0.", "format": "double", "type": "number" } }, "id": "Color" }, "AudioStream": { "id": "AudioStream", "description": "Audio stream resource.", "properties": { "bitrateBps": { "format": "int32", "description": "Required. Audio bitrate in bits per second. Must be between 1 and 10,000,000.", "type": "integer" }, "channelCount": { "description": "Number of audio channels. Must be between 1 and 6. The default is 2.", "type": "integer", "format": "int32" }, "mapping": { "description": "The mapping for the `Job.edit_list` atoms with audio `EditAtom.inputs`.", "type": "array", "items": { "$ref": "AudioMapping" } }, "codec": { "description": "The codec for this audio stream. The default is `aac`. Supported audio codecs: - `aac` - `aac-he` - `aac-he-v2` - `mp3` - `ac3` - `eac3`", "type": "string" }, "channelLayout": { "description": "A list of channel names specifying layout of the audio channels. This only affects the metadata embedded in the container headers, if supported by the specified format. The default is `[\"fl\", \"fr\"]`. Supported channel names: - `fl` - Front left channel - `fr` - Front right channel - `sl` - Side left channel - `sr` - Side right channel - `fc` - Front center channel - `lfe` - Low frequency", "items": { "type": "string" }, "type": "array" }, "sampleRateHertz": { "type": "integer", "description": "The audio sample rate in Hertz. The default is 48000 Hertz.", "format": "int32" } }, "type": "object" }, "Vp9CodecSettings": { "properties": { "profile": { "type": "string", "description": "Enforces the specified codec profile. The following profiles are supported: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `profile0` (default) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `profile1` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `profile2` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `profile3` The available options are [WebM-compatible](https://www.webmproject.org/vp9/profiles/). Note that certain values for this field may cause the transcoder to override other fields you set in the `Vp9CodecSettings` message." }, "gopDuration": { "description": "Select the GOP size based on the specified duration. The default is `3s`. Note that `gopDuration` must be less than or equal to [`segmentDuration`](#SegmentSettings), and [`segmentDuration`](#SegmentSettings) must be divisible by `gopDuration`.", "format": "google-duration", "type": "string" }, "rateControlMode": { "description": "Specify the `rate_control_mode`. The default is `vbr`. Supported rate control modes: - `vbr` - variable bitrate", "type": "string" }, "pixelFormat": { "description": "Pixel format to use. The default is `yuv420p`. Supported pixel formats: - `yuv420p` pixel format - `yuv422p` pixel format - `yuv444p` pixel format - `yuv420p10` 10-bit HDR pixel format - `yuv422p10` 10-bit HDR pixel format - `yuv444p10` 10-bit HDR pixel format - `yuv420p12` 12-bit HDR pixel format - `yuv422p12` 12-bit HDR pixel format - `yuv444p12` 12-bit HDR pixel format", "type": "string" }, "heightPixels": { "type": "integer", "description": "The height of the video in pixels. Must be an even integer. When not specified, the height is adjusted to match the specified width and input aspect ratio. If both are omitted, the input height is used.", "format": "int32" }, "widthPixels": { "format": "int32", "description": "The width of the video in pixels. Must be an even integer. When not specified, the width is adjusted to match the specified height and input aspect ratio. If both are omitted, the input width is used.", "type": "integer" }, "gopFrameCount": { "format": "int32", "description": "Select the GOP size based on the specified frame count. Must be greater than zero.", "type": "integer" }, "crfLevel": { "format": "int32", "type": "integer", "description": "Target CRF level. Must be between 10 and 36, where 10 is the highest quality and 36 is the most efficient compression. The default is 21. **Note:** This field is not supported." }, "bitrateBps": { "description": "Required. The video bitrate in bits per second. The minimum value is 1,000. The maximum value is 480,000,000.", "format": "int32", "type": "integer" }, "frameRate": { "format": "double", "type": "number", "description": "Required. The target video frame rate in frames per second (FPS). Must be less than or equal to 120. Will default to the input frame rate if larger than the input frame rate. The API will generate an output FPS that is divisible by the input FPS, and smaller or equal to the target FPS. See [Calculating frame rate](https://cloud.google.com/transcoder/docs/concepts/frame-rate) for more information." } }, "id": "Vp9CodecSettings", "type": "object", "description": "VP9 codec settings." }, "ListJobTemplatesResponse": { "description": "Response message for `TranscoderService.ListJobTemplates`.", "id": "ListJobTemplatesResponse", "properties": { "nextPageToken": { "description": "The pagination token.", "type": "string" }, "unreachable": { "items": { "type": "string" }, "description": "List of regions that could not be reached.", "type": "array" }, "jobTemplates": { "type": "array", "description": "List of job templates in the specified region.", "items": { "$ref": "JobTemplate" } } }, "type": "object" }, "Image": { "properties": { "alpha": { "format": "double", "type": "number", "description": "Target image opacity. Valid values are from `1.0` (solid, default) to `0.0` (transparent), exclusive. Set this to a value greater than `0.0`." }, "uri": { "description": "Required. URI of the JPEG image in Cloud Storage. For example, `gs://bucket/inputs/image.jpeg`. JPEG is the only supported image type.", "type": "string" }, "resolution": { "description": "Normalized image resolution, based on output video resolution. Valid values: `0.0`–`1.0`. To respect the original image aspect ratio, set either `x` or `y` to `0.0`. To use the original image resolution, set both `x` and `y` to `0.0`.", "$ref": "NormalizedCoordinate" } }, "id": "Image", "type": "object", "description": "Overlaid jpeg image." }, "Animation": { "description": "Animation types.", "id": "Animation", "type": "object", "properties": { "animationEnd": { "$ref": "AnimationEnd", "description": "End previous animation." }, "animationStatic": { "$ref": "AnimationStatic", "description": "Display static overlay object." }, "animationFade": { "description": "Display overlay object with fade animation.", "$ref": "AnimationFade" } } }, "Denoise": { "type": "object", "properties": { "strength": { "description": "Set strength of the denoise. Enter a value between 0 and 1. The higher the value, the smoother the image. 0 is no denoising. The default is 0.", "format": "double", "type": "number" }, "tune": { "description": "Set the denoiser mode. The default is `standard`. Supported denoiser modes: - `standard` - `grain`", "type": "string" } }, "description": "Denoise preprocessing configuration. **Note:** This configuration is not supported.", "id": "Denoise" }, "TextMapping": { "properties": { "atomKey": { "description": "Required. The `EditAtom.key` that references atom with text inputs in the `Job.edit_list`.", "type": "string" }, "inputTrack": { "format": "int32", "description": "Required. The zero-based index of the track in the input file.", "type": "integer" }, "inputKey": { "type": "string", "description": "Required. The `Input.key` that identifies the input file." } }, "id": "TextMapping", "type": "object", "description": "The mapping for the `Job.edit_list` atoms with text `EditAtom.inputs`." }, "ListJobsResponse": { "description": "Response message for `TranscoderService.ListJobs`.", "type": "object", "properties": { "nextPageToken": { "type": "string", "description": "The pagination token." }, "jobs": { "type": "array", "items": { "$ref": "Job" }, "description": "List of jobs in the specified region." }, "unreachable": { "items": { "type": "string" }, "description": "List of regions that could not be reached.", "type": "array" } }, "id": "ListJobsResponse" }, "SegmentSettings": { "description": "Segment settings for `ts`, `fmp4` and `vtt`.", "properties": { "segmentDuration": { "description": "Duration of the segments in seconds. The default is `6.0s`. Note that `segmentDuration` must be greater than or equal to [`gopDuration`](#videostream), and `segmentDuration` must be divisible by [`gopDuration`](#videostream).", "type": "string", "format": "google-duration" }, "individualSegments": { "description": "Required. Create an individual segment file. The default is `false`.", "type": "boolean" } }, "type": "object", "id": "SegmentSettings" }, "AudioMapping": { "id": "AudioMapping", "description": "The mapping for the `Job.edit_list` atoms with audio `EditAtom.inputs`.", "properties": { "inputTrack": { "type": "integer", "description": "Required. The zero-based index of the track in the input file.", "format": "int32" }, "inputChannel": { "type": "integer", "format": "int32", "description": "Required. The zero-based index of the channel in the input audio stream." }, "atomKey": { "type": "string", "description": "Required. The `EditAtom.key` that references the atom with audio inputs in the `Job.edit_list`." }, "gainDb": { "format": "double", "description": "Audio volume control in dB. Negative values decrease volume, positive values increase. The default is 0.", "type": "number" }, "outputChannel": { "format": "int32", "type": "integer", "description": "Required. The zero-based index of the channel in the output audio stream." }, "inputKey": { "description": "Required. The `Input.key` that identifies the input file.", "type": "string" } }, "type": "object" }, "Crop": { "type": "object", "properties": { "leftPixels": { "description": "The number of pixels to crop from the left. The default is 0.", "type": "integer", "format": "int32" }, "topPixels": { "format": "int32", "type": "integer", "description": "The number of pixels to crop from the top. The default is 0." }, "bottomPixels": { "description": "The number of pixels to crop from the bottom. The default is 0.", "format": "int32", "type": "integer" }, "rightPixels": { "description": "The number of pixels to crop from the right. The default is 0.", "format": "int32", "type": "integer" } }, "id": "Crop", "description": "Video cropping configuration for the input video. The cropped input video is scaled to match the output resolution." }, "MuxStream": { "description": "Multiplexing settings for output stream.", "properties": { "fileName": { "type": "string", "description": "The name of the generated file. The default is `MuxStream.key` with the extension suffix corresponding to the `MuxStream.container`. Individual segments also have an incremental 10-digit zero-padded suffix starting from 0 before the extension, such as `mux_stream0000000123.ts`." }, "container": { "type": "string", "description": "The container format. The default is `mp4` Supported container formats: - `ts` - `fmp4`- the corresponding file extension is `.m4s` - `mp4` - `vtt` See also: [Supported input and output formats](https://cloud.google.com/transcoder/docs/concepts/supported-input-and-output-formats)" }, "segmentSettings": { "description": "Segment settings for `ts`, `fmp4` and `vtt`.", "$ref": "SegmentSettings" }, "elementaryStreams": { "description": "List of `ElementaryStream.key`s multiplexed in this stream.", "type": "array", "items": { "type": "string" } }, "key": { "type": "string", "description": "A unique key for this multiplexed stream. HLS media manifests will be named `MuxStream.key` with the `.m3u8` extension suffix." } }, "id": "MuxStream", "type": "object" }, "Output": { "type": "object", "description": "Location of output file(s) in a Cloud Storage bucket.", "properties": { "uri": { "type": "string", "description": "URI for the output file(s). For example, `gs://my-bucket/outputs/`. If empty, the value is populated from `Job.output_uri`. See [Supported input and output formats](https://cloud.google.com/transcoder/docs/concepts/supported-input-and-output-formats)." } }, "id": "Output" }, "VideoStream": { "id": "VideoStream", "properties": { "h265": { "$ref": "H265CodecSettings", "description": "H265 codec settings." }, "h264": { "description": "H264 codec settings.", "$ref": "H264CodecSettings" }, "vp9": { "description": "VP9 codec settings.", "$ref": "Vp9CodecSettings" } }, "type": "object", "description": "Video stream resource." }, "TextStream": { "id": "TextStream", "type": "object", "description": "Encoding of a text stream. For example, closed captions or subtitles.", "properties": { "mapping": { "items": { "$ref": "TextMapping" }, "type": "array", "description": "The mapping for the `Job.edit_list` atoms with text `EditAtom.inputs`." }, "codec": { "type": "string", "description": "The codec for this text stream. The default is `webvtt`. Supported text codecs: - `srt` - `ttml` - `cea608` - `cea708` - `webvtt`" } } }, "ElementaryStream": { "id": "ElementaryStream", "type": "object", "description": "Encoding of an input file such as an audio, video, or text track. Elementary streams must be packaged before mapping and sharing between different output formats.", "properties": { "textStream": { "description": "Encoding of a text stream. For example, closed captions or subtitles.", "$ref": "TextStream" }, "key": { "type": "string", "description": "A unique key for this elementary stream." }, "videoStream": { "$ref": "VideoStream", "description": "Encoding of a video stream." }, "audioStream": { "description": "Encoding of an audio stream.", "$ref": "AudioStream" } } }, "Manifest": { "type": "object", "properties": { "type": { "description": "Required. Type of the manifest, can be `HLS` or `DASH`.", "type": "string", "enum": [ "MANIFEST_TYPE_UNSPECIFIED", "HLS", "DASH" ], "enumDescriptions": [ "The manifest type is not specified.", "Create `HLS` manifest. The corresponding file extension is `.m3u8`.", "Create `DASH` manifest. The corresponding file extension is `.mpd`." ] }, "fileName": { "description": "The name of the generated file. The default is `manifest` with the extension suffix corresponding to the `Manifest.type`.", "type": "string" }, "muxStreams": { "items": { "type": "string" }, "type": "array", "description": "Required. List of user given `MuxStream.key`s that should appear in this manifest. When `Manifest.type` is `HLS`, a media manifest with name `MuxStream.key` and `.m3u8` extension is generated for each element of the `Manifest.mux_streams`." } }, "id": "Manifest", "description": "Manifest configuration." }, "Input": { "description": "Input asset.", "properties": { "preprocessingConfig": { "$ref": "PreprocessingConfig", "description": "Preprocessing configurations." }, "key": { "type": "string", "description": "A unique key for this input. Must be specified when using advanced mapping and edit lists." }, "uri": { "type": "string", "description": "URI of the media. Input files must be at least 5 seconds in duration and stored in Cloud Storage (for example, `gs://bucket/inputs/file.mp4`). If empty, the value is populated from `Job.input_uri`. See [Supported input and output formats](https://cloud.google.com/transcoder/docs/concepts/supported-input-and-output-formats)." } }, "type": "object", "id": "Input" }, "Pad": { "description": "Pad filter configuration for the input video. The padded input video is scaled after padding with black to match the output resolution.", "type": "object", "id": "Pad", "properties": { "rightPixels": { "format": "int32", "type": "integer", "description": "The number of pixels to add to the right. The default is 0." }, "leftPixels": { "format": "int32", "type": "integer", "description": "The number of pixels to add to the left. The default is 0." }, "bottomPixels": { "description": "The number of pixels to add to the bottom. The default is 0.", "format": "int32", "type": "integer" }, "topPixels": { "format": "int32", "type": "integer", "description": "The number of pixels to add to the top. The default is 0." } } }, "PreprocessingConfig": { "description": "Preprocessing configurations.", "id": "PreprocessingConfig", "type": "object", "properties": { "crop": { "description": "Specify the video cropping configuration.", "$ref": "Crop" }, "color": { "$ref": "Color", "description": "Color preprocessing configuration." }, "audio": { "$ref": "Audio", "description": "Audio preprocessing configuration." }, "deblock": { "description": "Deblock preprocessing configuration.", "$ref": "Deblock" }, "pad": { "$ref": "Pad", "description": "Specify the video pad filter configuration." }, "denoise": { "description": "Denoise preprocessing configuration.", "$ref": "Denoise" } } }, "Status": { "properties": { "message": { "type": "string", "description": "A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client." }, "code": { "format": "int32", "type": "integer", "description": "The status code, which should be an enum value of google.rpc.Code." }, "details": { "description": "A list of messages that carry the error details. There is a common set of message types for APIs to use.", "items": { "type": "object", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." } }, "type": "array" } }, "type": "object", "id": "Status", "description": "The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors)." }, "EditAtom": { "type": "object", "description": "Edit atom.", "id": "EditAtom", "properties": { "key": { "description": "A unique key for this atom. Must be specified when using advanced mapping.", "type": "string" }, "startTimeOffset": { "format": "google-duration", "type": "string", "description": "Start time in seconds for the atom, relative to the input file timeline. The default is `0s`." }, "endTimeOffset": { "description": "End time in seconds for the atom, relative to the input file timeline. When `end_time_offset` is not specified, the `inputs` are used until the end of the atom.", "type": "string", "format": "google-duration" }, "inputs": { "items": { "type": "string" }, "type": "array", "description": "List of `Input.key`s identifying files that should be used in this atom. The listed `inputs` must have the same timeline." } } }, "H264CodecSettings": { "type": "object", "properties": { "tune": { "description": "Enforces the specified codec tune. The available options are [FFmpeg-compatible](https://trac.ffmpeg.org/wiki/Encode/H.264#Tune). Note that certain values for this field may cause the transcoder to override other fields you set in the `H264CodecSettings` message.", "type": "string" }, "vbvSizeBits": { "format": "int32", "description": "Size of the Video Buffering Verifier (VBV) buffer in bits. Must be greater than zero. The default is equal to `VideoStream.bitrate_bps`.", "type": "integer" }, "widthPixels": { "format": "int32", "description": "The width of the video in pixels. Must be an even integer. When not specified, the width is adjusted to match the specified height and input aspect ratio. If both are omitted, the input width is used.", "type": "integer" }, "enableTwoPass": { "type": "boolean", "description": "Use two-pass encoding strategy to achieve better video quality. `VideoStream.rate_control_mode` must be `vbr`. The default is `false`." }, "rateControlMode": { "description": "Specify the `rate_control_mode`. The default is `vbr`. Supported rate control modes: - `vbr` - variable bitrate - `crf` - constant rate factor", "type": "string" }, "heightPixels": { "description": "The height of the video in pixels. Must be an even integer. When not specified, the height is adjusted to match the specified width and input aspect ratio. If both are omitted, the input height is used.", "type": "integer", "format": "int32" }, "bPyramid": { "type": "boolean", "description": "Allow B-pyramid for reference frame selection. This may not be supported on all decoders. The default is `false`." }, "bFrameCount": { "description": "The number of consecutive B-frames. Must be greater than or equal to zero. Must be less than `VideoStream.gop_frame_count` if set. The default is 0.", "type": "integer", "format": "int32" }, "vbvFullnessBits": { "format": "int32", "type": "integer", "description": "Initial fullness of the Video Buffering Verifier (VBV) buffer in bits. Must be greater than zero. The default is equal to 90% of `VideoStream.vbv_size_bits`." }, "pixelFormat": { "description": "Pixel format to use. The default is `yuv420p`. Supported pixel formats: - `yuv420p` pixel format - `yuv422p` pixel format - `yuv444p` pixel format - `yuv420p10` 10-bit HDR pixel format - `yuv422p10` 10-bit HDR pixel format - `yuv444p10` 10-bit HDR pixel format - `yuv420p12` 12-bit HDR pixel format - `yuv422p12` 12-bit HDR pixel format - `yuv444p12` 12-bit HDR pixel format", "type": "string" }, "profile": { "type": "string", "description": "Enforces the specified codec profile. The following profiles are supported: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `baseline` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `main` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `high` (default) The available options are [FFmpeg-compatible](https://trac.ffmpeg.org/wiki/Encode/H.264#Tune). Note that certain values for this field may cause the transcoder to override other fields you set in the `H264CodecSettings` message." }, "frameRate": { "format": "double", "type": "number", "description": "Required. The target video frame rate in frames per second (FPS). Must be less than or equal to 120. Will default to the input frame rate if larger than the input frame rate. The API will generate an output FPS that is divisible by the input FPS, and smaller or equal to the target FPS. See [Calculating frame rate](https://cloud.google.com/transcoder/docs/concepts/frame-rate) for more information." }, "gopDuration": { "type": "string", "format": "google-duration", "description": "Select the GOP size based on the specified duration. The default is `3s`. Note that `gopDuration` must be less than or equal to [`segmentDuration`](#SegmentSettings), and [`segmentDuration`](#SegmentSettings) must be divisible by `gopDuration`." }, "entropyCoder": { "description": "The entropy coder to use. The default is `cabac`. Supported entropy coders: - `cavlc` - `cabac`", "type": "string" }, "allowOpenGop": { "type": "boolean", "description": "Specifies whether an open Group of Pictures (GOP) structure should be allowed or not. The default is `false`." }, "gopFrameCount": { "description": "Select the GOP size based on the specified frame count. Must be greater than zero.", "type": "integer", "format": "int32" }, "bitrateBps": { "description": "Required. The video bitrate in bits per second. The minimum value is 1,000. The maximum value is 800,000,000.", "type": "integer", "format": "int32" }, "aqStrength": { "format": "double", "type": "number", "description": "Specify the intensity of the adaptive quantizer (AQ). Must be between 0 and 1, where 0 disables the quantizer and 1 maximizes the quantizer. A higher value equals a lower bitrate but smoother image. The default is 0." }, "preset": { "type": "string", "description": "Enforces the specified codec preset. The default is `veryfast`. The available options are [FFmpeg-compatible](https://trac.ffmpeg.org/wiki/Encode/H.264#Preset). Note that certain values for this field may cause the transcoder to override other fields you set in the `H264CodecSettings` message." }, "crfLevel": { "description": "Target CRF level. Must be between 10 and 36, where 10 is the highest quality and 36 is the most efficient compression. The default is 21.", "type": "integer", "format": "int32" } }, "id": "H264CodecSettings", "description": "H264 codec settings." }, "AnimationFade": { "type": "object", "description": "Display overlay object with fade animation.", "id": "AnimationFade", "properties": { "startTimeOffset": { "description": "The time to start the fade animation, in seconds. Default: 0", "type": "string", "format": "google-duration" }, "endTimeOffset": { "type": "string", "format": "google-duration", "description": "The time to end the fade animation, in seconds. Default: `start_time_offset` + 1s" }, "fadeType": { "type": "string", "enum": [ "FADE_TYPE_UNSPECIFIED", "FADE_IN", "FADE_OUT" ], "description": "Required. Type of fade animation: `FADE_IN` or `FADE_OUT`.", "enumDescriptions": [ "The fade type is not specified.", "Fade the overlay object into view.", "Fade the overlay object out of view." ] }, "xy": { "description": "Normalized coordinates based on output video resolution. Valid values: `0.0`–`1.0`. `xy` is the upper-left coordinate of the overlay object. For example, use the x and y coordinates {0,0} to position the top-left corner of the overlay animation in the top-left corner of the output video.", "$ref": "NormalizedCoordinate" } } }, "Job": { "description": "Transcoding job resource.", "type": "object", "id": "Job", "properties": { "name": { "type": "string", "description": "The resource name of the job. Format: `projects/{project_number}/locations/{location}/jobs/{job}`" }, "error": { "description": "Output only. An error object that describes the reason for the failure. This property is always present when `state` is `FAILED`.", "readOnly": true, "$ref": "Status" }, "state": { "readOnly": true, "enumDescriptions": [ "The processing state is not specified.", "The job is enqueued and will be picked up for processing soon.", "The job is being processed.", "The job has been completed successfully.", "The job has failed. For additional information, see `failure_reason` and `failure_details`" ], "type": "string", "enum": [ "PROCESSING_STATE_UNSPECIFIED", "PENDING", "RUNNING", "SUCCEEDED", "FAILED" ], "description": "Output only. The current state of the job." }, "startTime": { "readOnly": true, "type": "string", "description": "Output only. The time the transcoding started.", "format": "google-datetime" }, "ttlAfterCompletionDays": { "type": "integer", "format": "int32", "description": "Job time to live value in days, which will be effective after job completion. Job should be deleted automatically after the given TTL. Enter a value between 1 and 90. The default is 30." }, "inputUri": { "type": "string", "description": "Input only. Specify the `input_uri` to populate empty `uri` fields in each element of `Job.config.inputs` or `JobTemplate.config.inputs` when using template. URI of the media. Input files must be at least 5 seconds in duration and stored in Cloud Storage (for example, `gs://bucket/inputs/file.mp4`). See [Supported input and output formats](https://cloud.google.com/transcoder/docs/concepts/supported-input-and-output-formats)." }, "templateId": { "description": "Input only. Specify the `template_id` to use for populating `Job.config`. The default is `preset/web-hd`. Preset Transcoder templates: - `preset/{preset_id}` - User defined JobTemplate: `{job_template_id}`", "type": "string" }, "outputUri": { "description": "Input only. Specify the `output_uri` to populate an empty `Job.config.output.uri` or `JobTemplate.config.output.uri` when using template. URI for the output file(s). For example, `gs://my-bucket/outputs/`. See [Supported input and output formats](https://cloud.google.com/transcoder/docs/concepts/supported-input-and-output-formats).", "type": "string" }, "config": { "$ref": "JobConfig", "description": "The configuration for this job." }, "labels": { "description": "The labels associated with this job. You can use these to organize and group your jobs.", "additionalProperties": { "type": "string" }, "type": "object" }, "endTime": { "format": "google-datetime", "readOnly": true, "type": "string", "description": "Output only. The time the transcoding finished." }, "createTime": { "type": "string", "format": "google-datetime", "readOnly": true, "description": "Output only. The time the job was created." } } }, "NormalizedCoordinate": { "id": "NormalizedCoordinate", "type": "object", "description": "2D normalized coordinates. Default: `{0.0, 0.0}`", "properties": { "y": { "type": "number", "description": "Normalized y coordinate.", "format": "double" }, "x": { "format": "double", "type": "number", "description": "Normalized x coordinate." } } }, "Deblock": { "description": "Deblock preprocessing configuration. **Note:** This configuration is not supported.", "properties": { "strength": { "type": "number", "description": "Set strength of the deblocker. Enter a value between 0 and 1. The higher the value, the stronger the block removal. 0 is no deblocking. The default is 0.", "format": "double" }, "enabled": { "type": "boolean", "description": "Enable deblocker. The default is `false`." } }, "type": "object", "id": "Deblock" } }, "protocol": "rest", "rootUrl": "https://transcoder.googleapis.com/", "kind": "discovery#restDescription", "version": "v1", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." } } } }, "ownerName": "Google" }
]===]))
