local decode = require("cjson").new().decode
return assert(decode([===[
{ "rootUrl": "https://vault.googleapis.com/", "version_module": true, "id": "vault:v1", "name": "vault", "protocol": "rest", "discoveryVersion": "v1", "servicePath": "", "revision": "20220630", "batchPath": "batch", "version": "v1", "description": "Retention and eDiscovery for Google Workspace. To work with Vault resources, the account must have the [required Vault privileges](https://support.google.com/vault/answer/2799699) and access to the matter. To access a matter, the account must have created the matter, have the matter shared with them, or have the **View All Matters** privilege. For example, to download an export, an account needs the **Manage Exports** privilege and the matter shared with them. ", "basePath": "", "fullyEncodeReservedExpansion": true, "documentationLink": "https://developers.google.com/vault", "parameters": { "access_token": { "type": "string", "description": "OAuth access token.", "location": "query" }, "oauth_token": { "description": "OAuth 2.0 token for the current user.", "type": "string", "location": "query" }, "$.xgafv": { "type": "string", "description": "V1 error format.", "enum": [ "1", "2" ], "enumDescriptions": [ "v1 error format", "v2 error format" ], "location": "query" }, "alt": { "description": "Data format for response.", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "enum": [ "json", "media", "proto" ], "location": "query", "type": "string", "default": "json" }, "uploadType": { "location": "query", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "type": "string" }, "upload_protocol": { "location": "query", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "type": "string" }, "prettyPrint": { "location": "query", "description": "Returns response with indentations and line breaks.", "default": "true", "type": "boolean" }, "quotaUser": { "type": "string", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "location": "query" }, "callback": { "type": "string", "location": "query", "description": "JSONP" }, "key": { "type": "string", "location": "query", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token." }, "fields": { "location": "query", "type": "string", "description": "Selector specifying which fields to include in a partial response." } }, "kind": "discovery#restDescription", "schemas": { "HeldGroupsQuery": { "type": "object", "description": "Query options for group holds.", "properties": { "startTime": { "format": "google-datetime", "type": "string", "description": "The start time for the query. Specify in GMT. The value is rounded to 12 AM on the specified date." }, "endTime": { "type": "string", "description": "The end time for the query. Specify in GMT. The value is rounded to 12 AM on the specified date.", "format": "google-datetime" }, "terms": { "type": "string", "description": "The [search operators](https://support.google.com/vault/answer/2474474) used to refine the messages covered by the hold." } }, "id": "HeldGroupsQuery" }, "ReopenMatterRequest": { "description": "Reopen a matter by ID.", "properties": {}, "id": "ReopenMatterRequest", "type": "object" }, "AccountInfo": { "description": "The accounts to search", "type": "object", "id": "AccountInfo", "properties": { "emails": { "type": "array", "items": { "type": "string" }, "description": "A set of accounts to search." } } }, "HeldDriveQuery": { "properties": { "includeSharedDriveFiles": { "description": "To include files in shared drives in the hold, set to **true**.", "type": "boolean" }, "includeTeamDriveFiles": { "type": "boolean", "description": "To include files in Team Drives in the hold, set to **true**." } }, "description": "Options for Drive holds.", "type": "object", "id": "HeldDriveQuery" }, "VoiceOptions": { "description": "Additional options for Voice search", "properties": { "coveredData": { "type": "array", "description": "Datatypes to search", "items": { "type": "string", "enumDescriptions": [ "Covered data unspecified.", "Voice text messages.", "Voicemails and their transcripts.", "Call logs." ], "enum": [ "COVERED_DATA_UNSPECIFIED", "TEXT_MESSAGES", "VOICEMAILS", "CALL_LOGS" ] } } }, "id": "VoiceOptions", "type": "object" }, "GroupsExportOptions": { "id": "GroupsExportOptions", "properties": { "exportFormat": { "description": "The file format for exported messages.", "enumDescriptions": [ "No export format specified.", "Export as MBOX. Only available for Gmail, Groups, Hangouts and Voice.", "Export as PST. Only available for Gmail, Groups, Hangouts, Voice and Calendar." ], "type": "string", "enum": [ "EXPORT_FORMAT_UNSPECIFIED", "MBOX", "PST" ] } }, "description": "Options for Groups exports.", "type": "object" }, "SitesUrlInfo": { "description": "The published site URLs of new Google Sites to search", "id": "SitesUrlInfo", "properties": { "urls": { "description": "A list of published site URLs.", "items": { "type": "string" }, "type": "array" } }, "type": "object" }, "RemoveMatterPermissionsRequest": { "description": "Remove an account as a matter collaborator.", "properties": { "accountId": { "type": "string", "description": "The account ID." } }, "type": "object", "id": "RemoveMatterPermissionsRequest" }, "SharedDriveInfo": { "description": "The shared drives to search", "type": "object", "properties": { "sharedDriveIds": { "description": "A list of shared drive IDs, as provided by the [Drive API](https://developers.google.com/drive).", "items": { "type": "string" }, "type": "array" } }, "id": "SharedDriveInfo" }, "RemoveHeldAccountsRequest": { "properties": { "accountIds": { "items": { "type": "string" }, "type": "array", "description": "The account IDs of the accounts to remove from the hold." } }, "id": "RemoveHeldAccountsRequest", "type": "object", "description": "Remove a list of accounts from a hold." }, "AddHeldAccountResult": { "type": "object", "id": "AddHeldAccountResult", "properties": { "account": { "description": "Returned when the account was successfully created.", "$ref": "HeldAccount" }, "status": { "$ref": "Status", "description": "Reports the request status. If it failed, returns an error message." } }, "description": "The status of each account creation, and the **HeldAccount**, if successful." }, "UserInfo": { "type": "object", "id": "UserInfo", "description": "User's information.", "properties": { "displayName": { "type": "string", "description": "The displayed name of the user." }, "email": { "type": "string", "description": "The email address of the user." } } }, "Empty": { "properties": {}, "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }", "type": "object", "id": "Empty" }, "Operation": { "id": "Operation", "description": "This resource represents a long-running operation that is the result of a network API call.", "properties": { "error": { "description": "The error result of the operation in case of failure or cancellation.", "$ref": "Status" }, "response": { "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "type": "object", "description": "The normal response of the operation in case of success. If the original method returns no data on success, such as `Delete`, the response is `google.protobuf.Empty`. If the original method is standard `Get`/`Create`/`Update`, the response should be the resource. For other methods, the response should have the type `XxxResponse`, where `Xxx` is the original method name. For example, if the original method name is `TakeSnapshot()`, the inferred response type is `TakeSnapshotResponse`." }, "metadata": { "description": "Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any.", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "type": "object" }, "done": { "type": "boolean", "description": "If the value is `false`, it means the operation is still in progress. If `true`, the operation is completed, and either `error` or `response` is available." }, "name": { "type": "string", "description": "The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the `name` should be a resource name ending with `operations/{unique_id}`." } }, "type": "object" }, "CorpusQuery": { "properties": { "mailQuery": { "$ref": "HeldMailQuery", "description": "Service-specific options for Gmail holds. If set, **CorpusType** must be **MAIL**." }, "voiceQuery": { "description": "Service-specific options for Voice holds. If set, **CorpusType** must be **VOICE**.", "$ref": "HeldVoiceQuery" }, "groupsQuery": { "description": "Service-specific options for Groups holds. If set, **CorpusType** must be **GROUPS**.", "$ref": "HeldGroupsQuery" }, "driveQuery": { "description": "Service-specific options for Drive holds. If set, **CorpusType** must be **DRIVE**.", "$ref": "HeldDriveQuery" }, "hangoutsChatQuery": { "$ref": "HeldHangoutsChatQuery", "description": "Service-specific options for Chat holds. If set, **CorpusType** must be **HANGOUTS_CHAT**." } }, "id": "CorpusQuery", "description": "Service-specific options for holds.", "type": "object" }, "ListMattersResponse": { "type": "object", "description": "Provides the list of matters.", "id": "ListMattersResponse", "properties": { "matters": { "type": "array", "items": { "$ref": "Matter" }, "description": "List of matters." }, "nextPageToken": { "description": "Page token to retrieve the next page of results in the list.", "type": "string" } } }, "VoiceExportOptions": { "id": "VoiceExportOptions", "description": "The options for Voice exports.", "properties": { "exportFormat": { "enumDescriptions": [ "No export format specified.", "Export as MBOX. Only available for Gmail, Groups, Hangouts and Voice.", "Export as PST. Only available for Gmail, Groups, Hangouts, Voice and Calendar." ], "description": "The file format for exported text messages.", "type": "string", "enum": [ "EXPORT_FORMAT_UNSPECIFIED", "MBOX", "PST" ] } }, "type": "object" }, "MatterPermission": { "type": "object", "description": "Users can be matter owners or collaborators. Each matter has only one owner. All others users who can access the matter are collaborators. When an account is purged, its corresponding MatterPermission resources cease to exist.", "properties": { "role": { "enum": [ "ROLE_UNSPECIFIED", "COLLABORATOR", "OWNER" ], "type": "string", "enumDescriptions": [ "No role assigned.", "A collaborator on the matter.", "The owner of the matter." ], "description": "The user's role for the matter." }, "accountId": { "type": "string", "description": "The account ID, as provided by the [Admin SDK](https://developers.google.com/admin-sdk/)." } }, "id": "MatterPermission" }, "CancelOperationRequest": { "type": "object", "description": "The request message for Operations.CancelOperation.", "properties": {}, "id": "CancelOperationRequest" }, "GroupsCountResult": { "description": "Groups specific count metrics.", "type": "object", "properties": { "accountCountErrors": { "items": { "$ref": "AccountCountError" }, "description": "Error occurred when querying these accounts.", "type": "array" }, "queriedAccountsCount": { "type": "string", "format": "int64", "description": "Total number of accounts involved in this count operation." }, "matchingAccountsCount": { "description": "Total number of accounts that can be queried and have more than zero messages.", "format": "int64", "type": "string" }, "nonQueryableAccounts": { "type": "array", "description": "When **DataScope** is **HELD_DATA**, these accounts in the request are not queried because they are not on hold. For other data scope, this field is not set.", "items": { "type": "string" } }, "accountCounts": { "description": "Subtotal count per matching account that have more than zero messages.", "type": "array", "items": { "$ref": "AccountCount" } } }, "id": "GroupsCountResult" }, "ExportOptions": { "type": "object", "properties": { "mailOptions": { "$ref": "MailExportOptions", "description": "Options for Gmail exports." }, "groupsOptions": { "description": "Options for Groups exports.", "$ref": "GroupsExportOptions" }, "driveOptions": { "description": "Options for Drive exports.", "$ref": "DriveExportOptions" }, "region": { "enum": [ "EXPORT_REGION_UNSPECIFIED", "ANY", "US", "EUROPE" ], "type": "string", "enumDescriptions": [ "The region is unspecified. Defaults to ANY.", "Any region.", "United States region.", "Europe region." ], "description": "The requested data region for the export." }, "hangoutsChatOptions": { "description": "Options for Chat exports.", "$ref": "HangoutsChatExportOptions" }, "voiceOptions": { "description": "Options for Voice exports.", "$ref": "VoiceExportOptions" } }, "description": "Additional options for exports", "id": "ExportOptions" }, "AddHeldAccountsResponse": { "description": "Response for batch create held accounts.", "id": "AddHeldAccountsResponse", "type": "object", "properties": { "responses": { "description": "The list of responses, in the same order as the batch request.", "items": { "$ref": "AddHeldAccountResult" }, "type": "array" } } }, "HangoutsChatOptions": { "properties": { "includeRooms": { "type": "boolean", "description": "For searches by account or organizational unit, set to **true** to include rooms." } }, "description": "Additional options for Google Chat search", "id": "HangoutsChatOptions", "type": "object" }, "HeldAccount": { "id": "HeldAccount", "properties": { "firstName": { "description": "Output only. The first name of the account holder.", "type": "string" }, "holdTime": { "description": "Output only. When the account was put on hold.", "type": "string", "format": "google-datetime" }, "accountId": { "type": "string", "description": "The account ID, as provided by the [Admin SDK](https://developers.google.com/admin-sdk/)." }, "lastName": { "type": "string", "description": "Output only. The last name of the account holder." }, "email": { "type": "string", "description": "The primary email address of the account. If used as an input, this takes precedence over **accountId**." } }, "description": "An account covered by a hold. This structure is immutable. It can be an individual account or a Google Group, depending on the service. To work with Vault resources, the account must have the [required Vault privileges] (https://support.google.com/vault/answer/2799699) and access to the matter. To access a matter, the account must have created the matter, have the matter shared with them, or have the **View All Matters** privilege.", "type": "object" }, "MailCountResult": { "properties": { "nonQueryableAccounts": { "items": { "type": "string" }, "description": "When **DataScope** is **HELD_DATA** and when account emails are passed in explicitly, the list of accounts in the request that are not queried because they are not on hold in the matter. For other data scopes, this field is not set.", "type": "array" }, "accountCountErrors": { "type": "array", "items": { "$ref": "AccountCountError" }, "description": "Errors occurred when querying these accounts." }, "accountCounts": { "items": { "$ref": "AccountCount" }, "description": "Subtotal count per matching account that have more than zero messages.", "type": "array" }, "matchingAccountsCount": { "format": "int64", "type": "string", "description": "Total number of accounts that can be queried and have more than zero messages." }, "queriedAccountsCount": { "type": "string", "description": "Total number of accounts involved in this count operation.", "format": "int64" } }, "id": "MailCountResult", "type": "object", "description": "Gmail and classic Hangouts-specific count metrics." }, "Hold": { "properties": { "holdId": { "description": "The unique immutable ID of the hold. Assigned during creation.", "type": "string" }, "orgUnit": { "description": "If set, the hold applies to all members of the organizational unit and **accounts** must be empty. This property is mutable. For Groups holds, set **accounts**.", "$ref": "HeldOrgUnit" }, "query": { "$ref": "CorpusQuery", "description": "Service-specific options. If set, **CorpusQuery** must match **CorpusType**." }, "name": { "type": "string", "description": "The name of the hold." }, "updateTime": { "description": "The last time this hold was modified.", "type": "string", "format": "google-datetime" }, "accounts": { "items": { "$ref": "HeldAccount" }, "type": "array", "description": "If set, the hold applies to the specified accounts and **orgUnit** must be empty." }, "corpus": { "enum": [ "CORPUS_TYPE_UNSPECIFIED", "DRIVE", "MAIL", "GROUPS", "HANGOUTS_CHAT", "VOICE" ], "type": "string", "enumDescriptions": [ "No service specified.", "Drive, including Meet and Sites.", "For search, Gmail and classic Hangouts. For holds, Gmail only.", "Groups.", "For export, Google Chat only. For holds, Google Chat and classic Hangouts.", "Google Voice." ], "description": "The service to be searched." } }, "id": "Hold", "description": "A hold. A hold prevents the specified Google Workspace service from purging data for specific accounts or all members of an organizational unit. To work with Vault resources, the account must have the [required Vault privileges] (https://support.google.com/vault/answer/2799699) and access to the matter. To access a matter, the account must have created the matter, have the matter shared with them, or have the **View All Matters** privilege.", "type": "object" }, "HeldMailQuery": { "properties": { "startTime": { "format": "google-datetime", "type": "string", "description": "The start time for the query. Specify in GMT. The value is rounded to 12 AM on the specified date." }, "endTime": { "description": "The end time for the query. Specify in GMT. The value is rounded to 12 AM on the specified date.", "format": "google-datetime", "type": "string" }, "terms": { "type": "string", "description": "The [search operators](https://support.google.com/vault/answer/2474474) used to refine the messages covered by the hold." } }, "description": "Query options for Gmail holds.", "id": "HeldMailQuery", "type": "object" }, "ListSavedQueriesResponse": { "properties": { "savedQueries": { "description": "List of saved queries.", "items": { "$ref": "SavedQuery" }, "type": "array" }, "nextPageToken": { "type": "string", "description": "Page token to retrieve the next page of results in the list. If this is empty, then there are no more saved queries to list." } }, "description": "Definition of the response for method ListSaveQuery.", "type": "object", "id": "ListSavedQueriesResponse" }, "CountArtifactsResponse": { "properties": { "totalCount": { "format": "int64", "type": "string", "description": "Total count of messages." }, "mailCountResult": { "$ref": "MailCountResult", "description": "Count metrics for Gmail and classic Hangouts." }, "groupsCountResult": { "$ref": "GroupsCountResult", "description": "Count metrics for Groups." } }, "type": "object", "id": "CountArtifactsResponse", "description": "Definition of the response for method CountArtifacts." }, "HangoutsChatInfo": { "properties": { "roomId": { "description": "A list of Chat spaces IDs, as provided by the [Chat API](https://developers.google.com/hangouts/chat).", "type": "array", "items": { "type": "string" } } }, "description": "The Chat spaces to search", "id": "HangoutsChatInfo", "type": "object" }, "SavedQuery": { "type": "object", "properties": { "displayName": { "description": "The name of the saved query.", "type": "string" }, "matterId": { "type": "string", "description": "Output only. The matter ID of the matter the saved query is saved in. The server does not use this field during create and always uses matter ID in the URL." }, "createTime": { "format": "google-datetime", "type": "string", "description": "Output only. The server-generated timestamp when the saved query was created." }, "savedQueryId": { "description": "A unique identifier for the saved query.", "type": "string" }, "query": { "description": "The search parameters of the saved query.", "$ref": "Query" } }, "id": "SavedQuery", "description": "The definition of a saved query. To work with Vault resources, the account must have the [required Vault privileges](https://support.google.com/vault/answer/2799699) and access to the matter. To access a matter, the account must have created the matter, have the matter shared with them, or have the **View All Matters** privilege." }, "Status": { "properties": { "code": { "format": "int32", "description": "The status code, which should be an enum value of google.rpc.Code.", "type": "integer" }, "message": { "description": "A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client.", "type": "string" }, "details": { "items": { "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "type": "object" }, "description": "A list of messages that carry the error details. There is a common set of message types for APIs to use.", "type": "array" } }, "id": "Status", "type": "object", "description": "The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors)." }, "ExportStats": { "properties": { "totalArtifactCount": { "description": "The number of messages or files to be exported.", "type": "string", "format": "int64" }, "exportedArtifactCount": { "description": "The number of messages or files already processed for export.", "type": "string", "format": "int64" }, "sizeInBytes": { "type": "string", "description": "The size of export in bytes.", "format": "int64" } }, "id": "ExportStats", "description": "Progress information for an export.", "type": "object" }, "HeldHangoutsChatQuery": { "description": "Options for Chat holds.", "properties": { "includeRooms": { "type": "boolean", "description": "To include messages in Chat spaces the user was a member of, set to **true**." } }, "type": "object", "id": "HeldHangoutsChatQuery" }, "CloudStorageSink": { "description": "Export sink for Cloud Storage files.", "id": "CloudStorageSink", "type": "object", "properties": { "files": { "type": "array", "items": { "$ref": "CloudStorageFile" }, "description": "Output only. The exported files in Cloud Storage." } } }, "UndeleteMatterRequest": { "id": "UndeleteMatterRequest", "description": "Undelete a matter by ID.", "properties": {}, "type": "object" }, "AddMatterPermissionsRequest": { "description": "Add an account with the permission specified. The role cannot be owner. If an account already has a role in the matter, the existing role is overwritten.", "properties": { "sendEmails": { "description": "To send a notification email to the added account, set to **true**. To not send a notification email, set to **false**.", "type": "boolean" }, "matterPermission": { "$ref": "MatterPermission", "description": "The account and its role to add." }, "ccMe": { "type": "boolean", "description": "Only relevant if **sendEmails** is **true**. To CC the requestor in the email message, set to **true**. To not CC requestor, set to **false**." } }, "id": "AddMatterPermissionsRequest", "type": "object" }, "ListHoldsResponse": { "description": "The holds for a matter.", "id": "ListHoldsResponse", "properties": { "holds": { "description": "The list of holds.", "items": { "$ref": "Hold" }, "type": "array" }, "nextPageToken": { "type": "string", "description": "Page token to retrieve the next page of results in the list. If this is empty, then there are no more holds to list." } }, "type": "object" }, "CountArtifactsRequest": { "properties": { "query": { "$ref": "Query", "description": "The search query." }, "view": { "type": "string", "description": "Sets the granularity of the count results.", "enumDescriptions": [ "Default. Same as **TOTAL_COUNT**.", "Response includes counts of the total accounts, queried accounts, matching accounts, non-queryable accounts, and queried account errors.", "Response includes the same details as **TOTAL_COUNT**, plus additional account breakdown." ], "enum": [ "COUNT_RESULT_VIEW_UNSPECIFIED", "TOTAL_COUNT", "ALL" ] } }, "description": "Count artifacts request.", "id": "CountArtifactsRequest", "type": "object" }, "ListHeldAccountsResponse": { "description": "Returns a list of the accounts covered by a hold.", "type": "object", "id": "ListHeldAccountsResponse", "properties": { "accounts": { "description": "The held accounts on a hold.", "type": "array", "items": { "$ref": "HeldAccount" } } } }, "HangoutsChatExportOptions": { "description": "Options for Chat exports.", "id": "HangoutsChatExportOptions", "type": "object", "properties": { "exportFormat": { "enumDescriptions": [ "No export format specified.", "Export as MBOX. Only available for Gmail, Groups, Hangouts and Voice.", "Export as PST. Only available for Gmail, Groups, Hangouts, Voice and Calendar." ], "description": "The file format for exported messages.", "type": "string", "enum": [ "EXPORT_FORMAT_UNSPECIFIED", "MBOX", "PST" ] } } }, "AddHeldAccountsRequest": { "id": "AddHeldAccountsRequest", "type": "object", "description": "Add a list of accounts to a hold.", "properties": { "accountIds": { "description": "A comma-separated list of the account IDs of the accounts to add to the hold. Specify either **emails** or **account_ids**, but not both.", "type": "array", "items": { "type": "string" } }, "emails": { "items": { "type": "string" }, "description": "A comma-separated list of the emails of the accounts to add to the hold. Specify either **emails** or **account_ids**, but not both.", "type": "array" } } }, "Export": { "properties": { "requester": { "description": "Output only. The requester of the export.", "$ref": "UserInfo" }, "name": { "description": "The export name. Don't use special characters (~!$'(),;@:/?) in the name, they can prevent you from downloading exports.", "type": "string" }, "stats": { "$ref": "ExportStats", "description": "Output only. Details about the export progress and size." }, "cloudStorageSink": { "$ref": "CloudStorageSink", "description": "Output only. The sink for export files in Cloud Storage." }, "exportOptions": { "description": "Additional export options.", "$ref": "ExportOptions" }, "createTime": { "description": "Output only. The time when the export was created.", "format": "google-datetime", "type": "string" }, "id": { "type": "string", "description": "Output only. The generated export ID." }, "query": { "description": "The query parameters used to create the export.", "$ref": "Query" }, "status": { "description": "Output only. The status of the export.", "enumDescriptions": [ "The status is unspecified.", "The export completed.", "The export failed.", "The export is in progress." ], "enum": [ "EXPORT_STATUS_UNSPECIFIED", "COMPLETED", "FAILED", "IN_PROGRESS" ], "type": "string" }, "matterId": { "type": "string", "description": "Output only. The matter ID." } }, "type": "object", "description": "An export. To work with Vault resources, the account must have the [required Vault privileges](https://support.google.com/vault/answer/2799699) and access to the matter. To access a matter, the account must have created the matter, have the matter shared with them, or have the **View All Matters** privilege.", "id": "Export" }, "CloseMatterResponse": { "type": "object", "id": "CloseMatterResponse", "properties": { "matter": { "description": "The updated matter, with state **CLOSED**.", "$ref": "Matter" } }, "description": "Response to a CloseMatterRequest." }, "CloudStorageFile": { "type": "object", "description": "The export file in Cloud Storage", "id": "CloudStorageFile", "properties": { "objectName": { "type": "string", "description": "The name of the Cloud Storage object for the export file. You can use this value in the [Cloud Storage JSON or XML APIs](https://cloud.google.com/storage/docs/apis)." }, "md5Hash": { "description": "The md5 hash of the file.", "type": "string" }, "bucketName": { "description": "The name of the Cloud Storage bucket for the export file. You can use this value in the [Cloud Storage JSON or XML APIs](https://cloud.google.com/storage/docs/apis), but not to list the bucket contents. Instead, you can [get individual export files](https://cloud.google.com/storage/docs/json_api/v1/objects/get) by object name.", "type": "string" }, "size": { "format": "int64", "type": "string", "description": "The export file size." } } }, "AccountCount": { "type": "object", "description": "The results count for each account.", "properties": { "count": { "type": "string", "format": "int64", "description": "The number of results (messages or files) found for this account." }, "account": { "$ref": "UserInfo", "description": "Account owner." } }, "id": "AccountCount" }, "CountArtifactsMetadata": { "type": "object", "properties": { "matterId": { "description": "The matter ID of the associated matter.", "type": "string" }, "endTime": { "type": "string", "description": "End time of count operation. Available when operation is done.", "format": "google-datetime" }, "startTime": { "type": "string", "description": "Creation time of count operation.", "format": "google-datetime" }, "query": { "$ref": "Query", "description": "The search query from the request." } }, "id": "CountArtifactsMetadata", "description": "Long running operation metadata for CountArtifacts." }, "CloseMatterRequest": { "properties": {}, "description": "Close a matter by ID.", "id": "CloseMatterRequest", "type": "object" }, "ListOperationsResponse": { "type": "object", "description": "The response message for Operations.ListOperations.", "id": "ListOperationsResponse", "properties": { "operations": { "items": { "$ref": "Operation" }, "type": "array", "description": "A list of operations that matches the specified filter in the request." }, "nextPageToken": { "type": "string", "description": "The standard List next-page token." } } }, "HeldOrgUnit": { "id": "HeldOrgUnit", "properties": { "holdTime": { "format": "google-datetime", "description": "When the organizational unit was put on hold. This property is immutable.", "type": "string" }, "orgUnitId": { "description": "The organizational unit's immutable ID as provided by the [Admin SDK](https://developers.google.com/admin-sdk/).", "type": "string" } }, "description": "The organizational unit covered by a hold. This structure is immutable.", "type": "object" }, "MailExportOptions": { "description": "Options for Gmail exports.", "properties": { "showConfidentialModeContent": { "type": "boolean", "description": "To export confidential mode content, set to **true**." }, "useNewExport": { "description": "To use the new export system, set to **true**.", "type": "boolean" }, "exportFormat": { "enumDescriptions": [ "No export format specified.", "Export as MBOX. Only available for Gmail, Groups, Hangouts and Voice.", "Export as PST. Only available for Gmail, Groups, Hangouts, Voice and Calendar." ], "type": "string", "enum": [ "EXPORT_FORMAT_UNSPECIFIED", "MBOX", "PST" ], "description": "The file format for exported messages." } }, "type": "object", "id": "MailExportOptions" }, "Matter": { "type": "object", "description": "Represents a matter. To work with Vault resources, the account must have the [required Vault privileges] (https://support.google.com/vault/answer/2799699) and access to the matter. To access a matter, the account must have created the matter, have the matter shared with them, or have the **View All Matters** privilege.", "id": "Matter", "properties": { "matterPermissions": { "items": { "$ref": "MatterPermission" }, "type": "array", "description": "Lists the users and their permission for the matter. Currently there is no programmer defined limit on the number of permissions a matter can have." }, "matterId": { "type": "string", "description": "The matter ID, which is generated by the server. Leave blank when creating a matter." }, "name": { "type": "string", "description": "The name of the matter." }, "state": { "enumDescriptions": [ "The matter has no specified state.", "The matter is open.", "The matter is closed.", "The matter is deleted." ], "enum": [ "STATE_UNSPECIFIED", "OPEN", "CLOSED", "DELETED" ], "type": "string", "description": "The state of the matter." }, "description": { "type": "string", "description": "An optional description for the matter." } } }, "MailOptions": { "properties": { "excludeDrafts": { "type": "boolean", "description": "Set to **true** to exclude drafts." } }, "type": "object", "id": "MailOptions", "description": "Additional options for Gmail search" }, "DriveExportOptions": { "description": "Options for Drive exports.", "id": "DriveExportOptions", "type": "object", "properties": { "includeAccessInfo": { "type": "boolean", "description": "To include access level information for users with [indirect access](https://support.google.com/vault/answer/6099459#metadata) to files, set to **true**." } } }, "ListExportsResponse": { "id": "ListExportsResponse", "properties": { "exports": { "items": { "$ref": "Export" }, "type": "array", "description": "The list of exports." }, "nextPageToken": { "description": "Page token to retrieve the next page of results in the list.", "type": "string" } }, "type": "object", "description": "The exports for a matter." }, "HeldVoiceQuery": { "type": "object", "properties": { "coveredData": { "type": "array", "description": "A list of data types covered by the hold. Should be non-empty. Order does not matter and duplicates are ignored.", "items": { "type": "string", "enum": [ "COVERED_DATA_UNSPECIFIED", "TEXT_MESSAGES", "VOICEMAILS", "CALL_LOGS" ], "enumDescriptions": [ "Covered data unspecified.", "Voice text messages.", "Voicemails and their transcripts.", "Call logs." ] } } }, "description": "Options for Voice holds.", "id": "HeldVoiceQuery" }, "TeamDriveInfo": { "id": "TeamDriveInfo", "description": "Team Drives to search", "type": "object", "properties": { "teamDriveIds": { "items": { "type": "string" }, "type": "array", "description": "List of Team Drive IDs, as provided by the [Drive API](https://developers.google.com/drive)." } } }, "OrgUnitInfo": { "type": "object", "id": "OrgUnitInfo", "description": "The organizational unit to search", "properties": { "orgUnitId": { "type": "string", "description": "The name of the organizational unit to search, as provided by the [Admin SDK Directory API](https://developers.google.com/admin-sdk/directory/)." } } }, "ReopenMatterResponse": { "type": "object", "properties": { "matter": { "$ref": "Matter", "description": "The updated matter, with state **OPEN**." } }, "id": "ReopenMatterResponse", "description": "Response to a ReopenMatterRequest." }, "Query": { "description": "The query definition used for search and export.", "type": "object", "id": "Query", "properties": { "mailOptions": { "$ref": "MailOptions", "description": "Set Gmail search-specific options." }, "sitesUrlInfo": { "$ref": "SitesUrlInfo", "description": "Required when **SearchMethod** is **SITES_URL**." }, "searchMethod": { "enum": [ "SEARCH_METHOD_UNSPECIFIED", "ACCOUNT", "ORG_UNIT", "TEAM_DRIVE", "ENTIRE_ORG", "ROOM", "SITES_URL", "SHARED_DRIVE" ], "type": "string", "description": "The search method to use.", "enumDescriptions": [ "A search method must be specified or else it is rejected.", "Search the data of the accounts specified in [AccountInfo](https://developers.google.com/vault/reference/rest/v1/Query#accountinfo).", "Search the data of all accounts in the organizational unit specified in [OrgUnitInfo](https://developers.google.com/vault/reference/rest/v1/Query#orgunitinfo).", "Search the data in the Team Drive specified in **team_drive_info**.", "Search the data of all accounts in the organization. Supported only for Gmail. When specified, you don't need to specify **AccountInfo** or **OrgUnitInfo**.", "Search messages in the Chat spaces specified in [HangoutsChatInfo](https://developers.google.com/vault/reference/rest/v1/Query#hangoutschatinfo).", "Search for sites by the published site URLs specified in [SitesUrlInfo](https://developers.google.com/vault/reference/rest/v1/Query#sitesurlinfo).", "Search the files in the shared drives specified in [SharedDriveInfo](https://developers.google.com/vault/reference/rest/v1/Query#shareddriveinfo)." ] }, "timeZone": { "description": "The time zone name. It should be an IANA TZ name, such as \"America/Los_Angeles\". For a list of time zone names, see [Time Zone](https://en.wikipedia.org/wiki/List_of_tz_database_time_zones). For more information about how Vault uses time zones, see [the Vault help center](https://support.google.com/vault/answer/6092995#time).", "type": "string" }, "driveOptions": { "description": "Set Drive search-specific options.", "$ref": "DriveOptions" }, "hangoutsChatInfo": { "$ref": "HangoutsChatInfo", "description": "Required when **SearchMethod** is **ROOM**. (read-only)" }, "startTime": { "format": "google-datetime", "type": "string", "description": "The start time for the search query. Specify in GMT. The value is rounded to 12 AM on the specified date." }, "orgUnitInfo": { "$ref": "OrgUnitInfo", "description": "Required when **SearchMethod** is **ORG_UNIT**." }, "terms": { "type": "string", "description": "Service-specific [search operators](https://support.google.com/vault/answer/2474474) to filter search results." }, "corpus": { "enumDescriptions": [ "No service specified.", "Drive, including Meet and Sites.", "For search, Gmail and classic Hangouts. For holds, Gmail only.", "Groups.", "For export, Google Chat only. For holds, Google Chat and classic Hangouts.", "Google Voice." ], "description": "The Google Workspace service to search.", "type": "string", "enum": [ "CORPUS_TYPE_UNSPECIFIED", "DRIVE", "MAIL", "GROUPS", "HANGOUTS_CHAT", "VOICE" ] }, "sharedDriveInfo": { "description": "Required when **SearchMethod** is **SHARED_DRIVE**.", "$ref": "SharedDriveInfo" }, "dataScope": { "enumDescriptions": [ "No data source specified.", "All available data.", "Only data on hold.", "Only data not yet processed by Vault. (Gmail and Groups only)" ], "enum": [ "DATA_SCOPE_UNSPECIFIED", "ALL_DATA", "HELD_DATA", "UNPROCESSED_DATA" ], "type": "string", "description": "The data source to search." }, "teamDriveInfo": { "description": "Required when **SearchMethod** is **TEAM_DRIVE**.", "$ref": "TeamDriveInfo" }, "hangoutsChatOptions": { "$ref": "HangoutsChatOptions", "description": "Set Chat search-specific options. (read-only)" }, "voiceOptions": { "description": "Set Voice search-specific options.", "$ref": "VoiceOptions" }, "accountInfo": { "description": "Required when **SearchMethod** is **ACCOUNT**.", "$ref": "AccountInfo" }, "method": { "enumDescriptions": [ "A search method must be specified or else it is rejected.", "Search the data of the accounts specified in [AccountInfo](https://developers.google.com/vault/reference/rest/v1/Query#accountinfo).", "Search the data of all accounts in the organizational unit specified in [OrgUnitInfo](https://developers.google.com/vault/reference/rest/v1/Query#orgunitinfo).", "Search the data in the Team Drive specified in **team_drive_info**.", "Search the data of all accounts in the organization. Supported only for Gmail. When specified, you don't need to specify **AccountInfo** or **OrgUnitInfo**.", "Search messages in the Chat spaces specified in [HangoutsChatInfo](https://developers.google.com/vault/reference/rest/v1/Query#hangoutschatinfo).", "Search for sites by the published site URLs specified in [SitesUrlInfo](https://developers.google.com/vault/reference/rest/v1/Query#sitesurlinfo).", "Search the files in the shared drives specified in [SharedDriveInfo](https://developers.google.com/vault/reference/rest/v1/Query#shareddriveinfo)." ], "enum": [ "SEARCH_METHOD_UNSPECIFIED", "ACCOUNT", "ORG_UNIT", "TEAM_DRIVE", "ENTIRE_ORG", "ROOM", "SITES_URL", "SHARED_DRIVE" ], "type": "string", "description": "The entity to search. This field replaces **searchMethod** to support shared drives. When **searchMethod** is **TEAM_DRIVE**, the response of this field is **SHARED_DRIVE**." }, "endTime": { "description": "The end time for the search query. Specify in GMT. The value is rounded to 12 AM on the specified date.", "type": "string", "format": "google-datetime" } } }, "DriveOptions": { "description": "Additional options for Drive search", "type": "object", "id": "DriveOptions", "properties": { "includeTeamDrives": { "type": "boolean", "description": "Set to true to include Team Drive." }, "includeSharedDrives": { "description": "Set to **true** to include shared drives.", "type": "boolean" }, "clientSideEncryptedOption": { "description": "Set whether the results include only content encrypted with [Google Workspace Client-side encryption](https://support.google.com/a?p=cse_ov) content, only unencrypted content, or both. Defaults to both. Currently supported for Drive.", "type": "string", "enum": [ "CLIENT_SIDE_ENCRYPTED_OPTION_UNSPECIFIED", "CLIENT_SIDE_ENCRYPTED_OPTION_ANY", "CLIENT_SIDE_ENCRYPTED_OPTION_ENCRYPTED", "CLIENT_SIDE_ENCRYPTED_OPTION_UNENCRYPTED" ], "enumDescriptions": [ "Encryption status unspecified. Results include both client-side encrypted and non-encrypted content.", "Include both client-side encrypted and unencrypted content in results.", "Include client-side encrypted content only.", "Include unencrypted content only." ] }, "versionDate": { "type": "string", "format": "google-datetime", "description": "Search the current version of the Drive file, but export the contents of the last version saved before 12:00 AM UTC on the specified date. Enter the date in UTC." } } }, "RemoveHeldAccountsResponse": { "id": "RemoveHeldAccountsResponse", "type": "object", "description": "Response for batch delete held accounts.", "properties": { "statuses": { "items": { "$ref": "Status" }, "description": "A list of statuses for the deleted accounts. Results have the same order as the request.", "type": "array" } } }, "AccountCountError": { "properties": { "account": { "$ref": "UserInfo", "description": "Account owner." }, "errorType": { "description": "Account query error.", "enumDescriptions": [ "Default.", "Permanent - prefix terms expanded to too many query terms.", "Permanent - query contains too many terms.", "Transient - data in transit between storage replicas, temporarily unavailable.", "Unrecognized error.", "Deadline exceeded when querying the account." ], "type": "string", "enum": [ "ERROR_TYPE_UNSPECIFIED", "WILDCARD_TOO_BROAD", "TOO_MANY_TERMS", "LOCATION_UNAVAILABLE", "UNKNOWN", "DEADLINE_EXCEEDED" ] } }, "id": "AccountCountError", "description": "An error that occurred when querying a specific account", "type": "object" } }, "title": "Google Vault API", "mtlsRootUrl": "https://vault.mtls.googleapis.com/", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/ediscovery": { "description": "Manage your eDiscovery data" }, "https://www.googleapis.com/auth/ediscovery.readonly": { "description": "View your eDiscovery data" } } } }, "ownerDomain": "google.com", "canonicalName": "Vault", "icons": { "x32": "http://www.google.com/images/icons/product/search-32.gif", "x16": "http://www.google.com/images/icons/product/search-16.gif" }, "ownerName": "Google", "baseUrl": "https://vault.googleapis.com/", "resources": { "matters": { "resources": { "exports": { "methods": { "create": { "request": { "$ref": "Export" }, "flatPath": "v1/matters/{matterId}/exports", "path": "v1/matters/{matterId}/exports", "parameterOrder": [ "matterId" ], "scopes": [ "https://www.googleapis.com/auth/ediscovery" ], "parameters": { "matterId": { "type": "string", "required": true, "location": "path", "description": "The matter ID." } }, "description": "Creates an export.", "id": "vault.matters.exports.create", "response": { "$ref": "Export" }, "httpMethod": "POST" }, "delete": { "flatPath": "v1/matters/{matterId}/exports/{exportId}", "path": "v1/matters/{matterId}/exports/{exportId}", "response": { "$ref": "Empty" }, "parameterOrder": [ "matterId", "exportId" ], "httpMethod": "DELETE", "parameters": { "matterId": { "description": "The matter ID.", "type": "string", "required": true, "location": "path" }, "exportId": { "location": "path", "type": "string", "description": "The export ID.", "required": true } }, "description": "Deletes an export.", "id": "vault.matters.exports.delete", "scopes": [ "https://www.googleapis.com/auth/ediscovery" ] }, "get": { "scopes": [ "https://www.googleapis.com/auth/ediscovery", "https://www.googleapis.com/auth/ediscovery.readonly" ], "id": "vault.matters.exports.get", "parameters": { "matterId": { "location": "path", "description": "The matter ID.", "type": "string", "required": true }, "exportId": { "type": "string", "location": "path", "description": "The export ID.", "required": true } }, "parameterOrder": [ "matterId", "exportId" ], "httpMethod": "GET", "path": "v1/matters/{matterId}/exports/{exportId}", "flatPath": "v1/matters/{matterId}/exports/{exportId}", "description": "Gets an export.", "response": { "$ref": "Export" } }, "list": { "description": "Lists details about the exports in the specified matter.", "id": "vault.matters.exports.list", "httpMethod": "GET", "path": "v1/matters/{matterId}/exports", "parameterOrder": [ "matterId" ], "scopes": [ "https://www.googleapis.com/auth/ediscovery", "https://www.googleapis.com/auth/ediscovery.readonly" ], "parameters": { "pageSize": { "format": "int32", "description": "The number of exports to return in the response.", "type": "integer", "location": "query" }, "pageToken": { "type": "string", "description": "The pagination token as returned in the response.", "location": "query" }, "matterId": { "required": true, "description": "The matter ID.", "type": "string", "location": "path" } }, "flatPath": "v1/matters/{matterId}/exports", "response": { "$ref": "ListExportsResponse" } } } }, "savedQueries": { "methods": { "get": { "path": "v1/matters/{matterId}/savedQueries/{savedQueryId}", "httpMethod": "GET", "parameters": { "matterId": { "description": "The ID of the matter to get the saved query from.", "required": true, "location": "path", "type": "string" }, "savedQueryId": { "required": true, "type": "string", "description": "ID of the saved query to retrieve.", "location": "path" } }, "parameterOrder": [ "matterId", "savedQueryId" ], "flatPath": "v1/matters/{matterId}/savedQueries/{savedQueryId}", "id": "vault.matters.savedQueries.get", "response": { "$ref": "SavedQuery" }, "scopes": [ "https://www.googleapis.com/auth/ediscovery", "https://www.googleapis.com/auth/ediscovery.readonly" ], "description": "Retrieves the specified saved query." }, "delete": { "parameters": { "savedQueryId": { "required": true, "type": "string", "description": "ID of the saved query to delete.", "location": "path" }, "matterId": { "required": true, "location": "path", "type": "string", "description": "The ID of the matter to delete the saved query from." } }, "path": "v1/matters/{matterId}/savedQueries/{savedQueryId}", "parameterOrder": [ "matterId", "savedQueryId" ], "description": "Deletes the specified saved query.", "flatPath": "v1/matters/{matterId}/savedQueries/{savedQueryId}", "id": "vault.matters.savedQueries.delete", "httpMethod": "DELETE", "response": { "$ref": "Empty" }, "scopes": [ "https://www.googleapis.com/auth/ediscovery" ] }, "create": { "id": "vault.matters.savedQueries.create", "parameters": { "matterId": { "required": true, "description": "The ID of the matter to create the saved query in.", "type": "string", "location": "path" } }, "flatPath": "v1/matters/{matterId}/savedQueries", "request": { "$ref": "SavedQuery" }, "response": { "$ref": "SavedQuery" }, "httpMethod": "POST", "description": "Creates a saved query.", "path": "v1/matters/{matterId}/savedQueries", "parameterOrder": [ "matterId" ], "scopes": [ "https://www.googleapis.com/auth/ediscovery" ] }, "list": { "parameterOrder": [ "matterId" ], "id": "vault.matters.savedQueries.list", "flatPath": "v1/matters/{matterId}/savedQueries", "path": "v1/matters/{matterId}/savedQueries", "httpMethod": "GET", "description": "Lists the saved queries in a matter.", "scopes": [ "https://www.googleapis.com/auth/ediscovery", "https://www.googleapis.com/auth/ediscovery.readonly" ], "parameters": { "pageToken": { "type": "string", "location": "query", "description": "The pagination token as returned in the previous response. An empty token means start from the beginning." }, "pageSize": { "type": "integer", "location": "query", "format": "int32", "description": "The maximum number of saved queries to return." }, "matterId": { "location": "path", "required": true, "description": "The ID of the matter to get the saved queries for.", "type": "string" } }, "response": { "$ref": "ListSavedQueriesResponse" } } } }, "holds": { "methods": { "addHeldAccounts": { "path": "v1/matters/{matterId}/holds/{holdId}:addHeldAccounts", "response": { "$ref": "AddHeldAccountsResponse" }, "id": "vault.matters.holds.addHeldAccounts", "parameters": { "holdId": { "location": "path", "type": "string", "description": "The hold ID.", "required": true }, "matterId": { "location": "path", "required": true, "description": "The matter ID.", "type": "string" } }, "parameterOrder": [ "matterId", "holdId" ], "request": { "$ref": "AddHeldAccountsRequest" }, "httpMethod": "POST", "flatPath": "v1/matters/{matterId}/holds/{holdId}:addHeldAccounts", "scopes": [ "https://www.googleapis.com/auth/ediscovery" ], "description": "Adds accounts to a hold. Returns a list of accounts that have been successfully added. Accounts can be added only to an existing account-based hold." }, "get": { "parameterOrder": [ "matterId", "holdId" ], "parameters": { "matterId": { "required": true, "location": "path", "type": "string", "description": "The matter ID." }, "view": { "enum": [ "HOLD_VIEW_UNSPECIFIED", "BASIC_HOLD", "FULL_HOLD" ], "enumDescriptions": [ "Not specified. Defaults to **FULL_HOLD**.", "Returns the hold ID, name, update time, service, and query.", "Returns all details of **BASIC_HOLD** and the entities the hold applies to, such as accounts or organizational unit." ], "description": "The amount of detail to return for a hold.", "location": "query", "type": "string" }, "holdId": { "type": "string", "description": "The hold ID.", "required": true, "location": "path" } }, "flatPath": "v1/matters/{matterId}/holds/{holdId}", "response": { "$ref": "Hold" }, "path": "v1/matters/{matterId}/holds/{holdId}", "id": "vault.matters.holds.get", "scopes": [ "https://www.googleapis.com/auth/ediscovery", "https://www.googleapis.com/auth/ediscovery.readonly" ], "httpMethod": "GET", "description": "Gets the specified hold." }, "removeHeldAccounts": { "parameterOrder": [ "matterId", "holdId" ], "httpMethod": "POST", "description": "Removes the specified accounts from a hold. Returns a list of statuses in the same order as the request.", "path": "v1/matters/{matterId}/holds/{holdId}:removeHeldAccounts", "flatPath": "v1/matters/{matterId}/holds/{holdId}:removeHeldAccounts", "request": { "$ref": "RemoveHeldAccountsRequest" }, "scopes": [ "https://www.googleapis.com/auth/ediscovery" ], "id": "vault.matters.holds.removeHeldAccounts", "parameters": { "holdId": { "type": "string", "location": "path", "required": true, "description": "The hold ID." }, "matterId": { "required": true, "description": "The matter ID.", "location": "path", "type": "string" } }, "response": { "$ref": "RemoveHeldAccountsResponse" } }, "delete": { "httpMethod": "DELETE", "response": { "$ref": "Empty" }, "scopes": [ "https://www.googleapis.com/auth/ediscovery" ], "description": "Removes the specified hold and releases the accounts or organizational unit covered by the hold. If the data is not preserved by another hold or retention rule, it might be purged.", "id": "vault.matters.holds.delete", "path": "v1/matters/{matterId}/holds/{holdId}", "flatPath": "v1/matters/{matterId}/holds/{holdId}", "parameterOrder": [ "matterId", "holdId" ], "parameters": { "matterId": { "required": true, "description": "The matter ID.", "location": "path", "type": "string" }, "holdId": { "description": "The hold ID.", "type": "string", "required": true, "location": "path" } } }, "list": { "parameterOrder": [ "matterId" ], "response": { "$ref": "ListHoldsResponse" }, "parameters": { "pageToken": { "location": "query", "type": "string", "description": "The pagination token as returned in the response. An empty token means start from the beginning." }, "view": { "location": "query", "type": "string", "enumDescriptions": [ "Not specified. Defaults to **FULL_HOLD**.", "Returns the hold ID, name, update time, service, and query.", "Returns all details of **BASIC_HOLD** and the entities the hold applies to, such as accounts or organizational unit." ], "description": "The amount of detail to return for a hold.", "enum": [ "HOLD_VIEW_UNSPECIFIED", "BASIC_HOLD", "FULL_HOLD" ] }, "pageSize": { "type": "integer", "location": "query", "format": "int32", "description": "The number of holds to return in the response, between 0 and 100 inclusive. Leaving this empty, or as 0, is the same as **page_size** = 100." }, "matterId": { "description": "The matter ID.", "required": true, "type": "string", "location": "path" } }, "description": "Lists the holds in a matter.", "httpMethod": "GET", "id": "vault.matters.holds.list", "path": "v1/matters/{matterId}/holds", "scopes": [ "https://www.googleapis.com/auth/ediscovery", "https://www.googleapis.com/auth/ediscovery.readonly" ], "flatPath": "v1/matters/{matterId}/holds" }, "create": { "scopes": [ "https://www.googleapis.com/auth/ediscovery" ], "path": "v1/matters/{matterId}/holds", "id": "vault.matters.holds.create", "parameters": { "matterId": { "description": "The matter ID.", "required": true, "type": "string", "location": "path" } }, "description": "Creates a hold in the specified matter.", "parameterOrder": [ "matterId" ], "flatPath": "v1/matters/{matterId}/holds", "request": { "$ref": "Hold" }, "httpMethod": "POST", "response": { "$ref": "Hold" } }, "update": { "scopes": [ "https://www.googleapis.com/auth/ediscovery" ], "parameterOrder": [ "matterId", "holdId" ], "request": { "$ref": "Hold" }, "httpMethod": "PUT", "path": "v1/matters/{matterId}/holds/{holdId}", "flatPath": "v1/matters/{matterId}/holds/{holdId}", "id": "vault.matters.holds.update", "response": { "$ref": "Hold" }, "description": "Updates the scope (organizational unit or accounts) and query parameters of a hold. You cannot add accounts to a hold that covers an organizational unit, nor can you add organizational units to a hold that covers individual accounts. If you try, the unsupported values are ignored.", "parameters": { "matterId": { "type": "string", "location": "path", "required": true, "description": "The matter ID." }, "holdId": { "location": "path", "required": true, "type": "string", "description": "The ID of the hold." } } } }, "resources": { "accounts": { "methods": { "delete": { "response": { "$ref": "Empty" }, "path": "v1/matters/{matterId}/holds/{holdId}/accounts/{accountId}", "description": "Removes an account from a hold.", "flatPath": "v1/matters/{matterId}/holds/{holdId}/accounts/{accountId}", "parameterOrder": [ "matterId", "holdId", "accountId" ], "scopes": [ "https://www.googleapis.com/auth/ediscovery" ], "httpMethod": "DELETE", "parameters": { "matterId": { "description": "The matter ID.", "location": "path", "type": "string", "required": true }, "accountId": { "type": "string", "required": true, "location": "path", "description": "The ID of the account to remove from the hold." }, "holdId": { "description": "The hold ID.", "required": true, "type": "string", "location": "path" } }, "id": "vault.matters.holds.accounts.delete" }, "create": { "flatPath": "v1/matters/{matterId}/holds/{holdId}/accounts", "httpMethod": "POST", "parameters": { "matterId": { "location": "path", "description": "The matter ID.", "type": "string", "required": true }, "holdId": { "required": true, "location": "path", "description": "The hold ID.", "type": "string" } }, "description": "Adds an account to a hold. Accounts can be added only to a hold that does not have an organizational unit set. If you try to add an account to an organizational unit-based hold, an error is returned.", "parameterOrder": [ "matterId", "holdId" ], "request": { "$ref": "HeldAccount" }, "id": "vault.matters.holds.accounts.create", "response": { "$ref": "HeldAccount" }, "path": "v1/matters/{matterId}/holds/{holdId}/accounts", "scopes": [ "https://www.googleapis.com/auth/ediscovery" ] }, "list": { "httpMethod": "GET", "flatPath": "v1/matters/{matterId}/holds/{holdId}/accounts", "path": "v1/matters/{matterId}/holds/{holdId}/accounts", "response": { "$ref": "ListHeldAccountsResponse" }, "scopes": [ "https://www.googleapis.com/auth/ediscovery", "https://www.googleapis.com/auth/ediscovery.readonly" ], "parameters": { "holdId": { "location": "path", "type": "string", "required": true, "description": "The hold ID." }, "matterId": { "location": "path", "description": "The matter ID.", "type": "string", "required": true } }, "parameterOrder": [ "matterId", "holdId" ], "id": "vault.matters.holds.accounts.list", "description": "Lists the accounts covered by a hold. This can list only individually-specified accounts covered by the hold. If the hold covers an organizational unit, use the [Admin SDK](https://developers.google.com/admin-sdk/). to list the members of the organizational unit on hold." } } } } } }, "methods": { "count": { "path": "v1/matters/{matterId}:count", "parameters": { "matterId": { "location": "path", "type": "string", "description": "The matter ID.", "required": true } }, "flatPath": "v1/matters/{matterId}:count", "response": { "$ref": "Operation" }, "id": "vault.matters.count", "httpMethod": "POST", "request": { "$ref": "CountArtifactsRequest" }, "scopes": [ "https://www.googleapis.com/auth/ediscovery" ], "parameterOrder": [ "matterId" ], "description": "Counts the accounts processed by the specified query." }, "undelete": { "flatPath": "v1/matters/{matterId}:undelete", "parameters": { "matterId": { "location": "path", "type": "string", "description": "The matter ID.", "required": true } }, "description": "Undeletes the specified matter. Returns the matter with updated state.", "parameterOrder": [ "matterId" ], "scopes": [ "https://www.googleapis.com/auth/ediscovery" ], "id": "vault.matters.undelete", "request": { "$ref": "UndeleteMatterRequest" }, "httpMethod": "POST", "response": { "$ref": "Matter" }, "path": "v1/matters/{matterId}:undelete" }, "delete": { "description": "Deletes the specified matter. Returns the matter with updated state.", "parameterOrder": [ "matterId" ], "httpMethod": "DELETE", "flatPath": "v1/matters/{matterId}", "path": "v1/matters/{matterId}", "parameters": { "matterId": { "type": "string", "description": "The matter ID", "required": true, "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/ediscovery" ], "id": "vault.matters.delete", "response": { "$ref": "Matter" } }, "addPermissions": { "httpMethod": "POST", "response": { "$ref": "MatterPermission" }, "scopes": [ "https://www.googleapis.com/auth/ediscovery" ], "request": { "$ref": "AddMatterPermissionsRequest" }, "flatPath": "v1/matters/{matterId}:addPermissions", "id": "vault.matters.addPermissions", "path": "v1/matters/{matterId}:addPermissions", "description": "Adds an account as a matter collaborator.", "parameterOrder": [ "matterId" ], "parameters": { "matterId": { "location": "path", "required": true, "description": "The matter ID.", "type": "string" } } }, "update": { "flatPath": "v1/matters/{matterId}", "request": { "$ref": "Matter" }, "id": "vault.matters.update", "parameterOrder": [ "matterId" ], "parameters": { "matterId": { "type": "string", "location": "path", "required": true, "description": "The matter ID." } }, "httpMethod": "PUT", "description": "Updates the specified matter. This updates only the name and description of the matter, identified by matter ID. Changes to any other fields are ignored. Returns the default view of the matter.", "scopes": [ "https://www.googleapis.com/auth/ediscovery" ], "response": { "$ref": "Matter" }, "path": "v1/matters/{matterId}" }, "close": { "response": { "$ref": "CloseMatterResponse" }, "scopes": [ "https://www.googleapis.com/auth/ediscovery" ], "path": "v1/matters/{matterId}:close", "parameters": { "matterId": { "type": "string", "location": "path", "description": "The matter ID.", "required": true } }, "id": "vault.matters.close", "httpMethod": "POST", "request": { "$ref": "CloseMatterRequest" }, "flatPath": "v1/matters/{matterId}:close", "description": "Closes the specified matter. Returns the matter with updated state.", "parameterOrder": [ "matterId" ] }, "reopen": { "response": { "$ref": "ReopenMatterResponse" }, "scopes": [ "https://www.googleapis.com/auth/ediscovery" ], "parameterOrder": [ "matterId" ], "request": { "$ref": "ReopenMatterRequest" }, "description": "Reopens the specified matter. Returns the matter with updated state.", "flatPath": "v1/matters/{matterId}:reopen", "id": "vault.matters.reopen", "parameters": { "matterId": { "required": true, "type": "string", "description": "The matter ID.", "location": "path" } }, "httpMethod": "POST", "path": "v1/matters/{matterId}:reopen" }, "get": { "id": "vault.matters.get", "response": { "$ref": "Matter" }, "httpMethod": "GET", "description": "Gets the specified matter.", "flatPath": "v1/matters/{matterId}", "path": "v1/matters/{matterId}", "parameters": { "view": { "enumDescriptions": [ "The amount of detail is unspecified. Same as **BASIC**.", "Returns the matter ID, name, description, and state. Default choice.", "Returns the basic details and a list of matter owners and collaborators (see [MatterPermissions](https://developers.google.com/vault/reference/rest/v1/matters#matterpermission))." ], "type": "string", "enum": [ "VIEW_UNSPECIFIED", "BASIC", "FULL" ], "description": "Specifies how much information about the matter to return in the response.", "location": "query" }, "matterId": { "location": "path", "description": "The matter ID.", "type": "string", "required": true } }, "parameterOrder": [ "matterId" ], "scopes": [ "https://www.googleapis.com/auth/ediscovery", "https://www.googleapis.com/auth/ediscovery.readonly" ] }, "create": { "flatPath": "v1/matters", "request": { "$ref": "Matter" }, "description": "Creates a matter with the given name and description. The initial state is open, and the owner is the method caller. Returns the created matter with default view.", "scopes": [ "https://www.googleapis.com/auth/ediscovery" ], "id": "vault.matters.create", "response": { "$ref": "Matter" }, "path": "v1/matters", "parameters": {}, "httpMethod": "POST", "parameterOrder": [] }, "removePermissions": { "path": "v1/matters/{matterId}:removePermissions", "parameterOrder": [ "matterId" ], "request": { "$ref": "RemoveMatterPermissionsRequest" }, "id": "vault.matters.removePermissions", "description": "Removes an account as a matter collaborator.", "response": { "$ref": "Empty" }, "flatPath": "v1/matters/{matterId}:removePermissions", "scopes": [ "https://www.googleapis.com/auth/ediscovery" ], "httpMethod": "POST", "parameters": { "matterId": { "required": true, "description": "The matter ID.", "location": "path", "type": "string" } } }, "list": { "parameters": { "pageSize": { "format": "int32", "location": "query", "description": "The number of matters to return in the response. Default and maximum are 100.", "type": "integer" }, "state": { "enum": [ "STATE_UNSPECIFIED", "OPEN", "CLOSED", "DELETED" ], "location": "query", "enumDescriptions": [ "The matter has no specified state.", "The matter is open.", "The matter is closed.", "The matter is deleted." ], "description": "If set, lists only matters with the specified state. The default lists matters of all states.", "type": "string" }, "pageToken": { "description": "The pagination token as returned in the response.", "type": "string", "location": "query" }, "view": { "description": "Specifies how much information about the matter to return in response.", "enumDescriptions": [ "The amount of detail is unspecified. Same as **BASIC**.", "Returns the matter ID, name, description, and state. Default choice.", "Returns the basic details and a list of matter owners and collaborators (see [MatterPermissions](https://developers.google.com/vault/reference/rest/v1/matters#matterpermission))." ], "location": "query", "type": "string", "enum": [ "VIEW_UNSPECIFIED", "BASIC", "FULL" ] } }, "flatPath": "v1/matters", "scopes": [ "https://www.googleapis.com/auth/ediscovery", "https://www.googleapis.com/auth/ediscovery.readonly" ], "description": "Lists matters the requestor has access to.", "parameterOrder": [], "response": { "$ref": "ListMattersResponse" }, "httpMethod": "GET", "id": "vault.matters.list", "path": "v1/matters" } } }, "operations": { "methods": { "list": { "description": "Lists operations that match the specified filter in the request. If the server doesn't support this method, it returns `UNIMPLEMENTED`. NOTE: the `name` binding allows API services to override the binding to use different resource name schemes, such as `users/*/operations`. To override the binding, API services can add a binding such as `\"/v1/{name=users/*}/operations\"` to their service configuration. For backwards compatibility, the default name includes the operations collection id, however overriding users must ensure the name binding is the parent resource, without the operations collection id.", "httpMethod": "GET", "flatPath": "v1/operations", "response": { "$ref": "ListOperationsResponse" }, "parameters": { "filter": { "location": "query", "description": "The standard list filter.", "type": "string" }, "pageSize": { "type": "integer", "description": "The standard list page size.", "location": "query", "format": "int32" }, "pageToken": { "description": "The standard list page token.", "location": "query", "type": "string" }, "name": { "type": "string", "location": "path", "required": true, "description": "The name of the operation's parent resource.", "pattern": "^operations$" } }, "id": "vault.operations.list", "parameterOrder": [ "name" ], "path": "v1/{+name}" }, "get": { "id": "vault.operations.get", "description": "Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service.", "path": "v1/{+name}", "parameters": { "name": { "required": true, "type": "string", "description": "The name of the operation resource.", "pattern": "^operations/.*$", "location": "path" } }, "response": { "$ref": "Operation" }, "flatPath": "v1/operations/{operationsId}", "scopes": [ "https://www.googleapis.com/auth/ediscovery", "https://www.googleapis.com/auth/ediscovery.readonly" ], "httpMethod": "GET", "parameterOrder": [ "name" ] }, "delete": { "parameterOrder": [ "name" ], "description": "Deletes a long-running operation. This method indicates that the client is no longer interested in the operation result. It does not cancel the operation. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`.", "id": "vault.operations.delete", "response": { "$ref": "Empty" }, "path": "v1/{+name}", "httpMethod": "DELETE", "parameters": { "name": { "required": true, "description": "The name of the operation resource to be deleted.", "location": "path", "pattern": "^operations/.*$", "type": "string" } }, "flatPath": "v1/operations/{operationsId}" }, "cancel": { "id": "vault.operations.cancel", "parameters": { "name": { "location": "path", "description": "The name of the operation resource to be cancelled.", "pattern": "^operations/.*$", "type": "string", "required": true } }, "path": "v1/{+name}:cancel", "request": { "$ref": "CancelOperationRequest" }, "description": "Starts asynchronous cancellation on a long-running operation. The server makes a best effort to cancel the operation, but success is not guaranteed. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`. Clients can use Operations.GetOperation or other methods to check whether the cancellation succeeded or whether the operation completed despite cancellation. On successful cancellation, the operation is not deleted; instead, it becomes an operation with an Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`.", "parameterOrder": [ "name" ], "httpMethod": "POST", "response": { "$ref": "Empty" }, "flatPath": "v1/operations/{operationsId}:cancel" } } } } }
]===]))
