local decode = require("cjson").new().decode
return assert(decode([===[
{ "description": "API for Verified Access chrome extension to provide credential verification for chrome devices connecting to an enterprise network", "protocol": "rest", "documentationLink": "https://developers.google.com/chrome/verified-access", "rootUrl": "https://verifiedaccess.googleapis.com/", "revision": "20220519", "version_module": true, "canonicalName": "verifiedaccess", "resources": { "challenge": { "methods": { "create": { "flatPath": "v1/challenge", "parameters": {}, "response": { "$ref": "Challenge" }, "request": { "$ref": "Empty" }, "parameterOrder": [], "path": "v1/challenge", "description": "CreateChallenge API", "id": "verifiedaccess.challenge.create", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/verifiedaccess" ] }, "verify": { "httpMethod": "POST", "path": "v1/challenge:verify", "parameterOrder": [], "id": "verifiedaccess.challenge.verify", "description": "VerifyChallengeResponse API", "request": { "$ref": "VerifyChallengeResponseRequest" }, "flatPath": "v1/challenge:verify", "response": { "$ref": "VerifyChallengeResponseResult" }, "scopes": [ "https://www.googleapis.com/auth/verifiedaccess" ], "parameters": {} } } } }, "ownerDomain": "google.com", "baseUrl": "https://verifiedaccess.googleapis.com/", "version": "v1", "name": "verifiedaccess", "batchPath": "batch", "basePath": "", "icons": { "x32": "http://www.google.com/images/icons/product/search-32.gif", "x16": "http://www.google.com/images/icons/product/search-16.gif" }, "mtlsRootUrl": "https://verifiedaccess.mtls.googleapis.com/", "parameters": { "callback": { "description": "JSONP", "type": "string", "location": "query" }, "access_token": { "location": "query", "type": "string", "description": "OAuth access token." }, "fields": { "description": "Selector specifying which fields to include in a partial response.", "type": "string", "location": "query" }, "upload_protocol": { "location": "query", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "type": "string" }, "oauth_token": { "description": "OAuth 2.0 token for the current user.", "type": "string", "location": "query" }, "$.xgafv": { "enum": [ "1", "2" ], "type": "string", "enumDescriptions": [ "v1 error format", "v2 error format" ], "location": "query", "description": "V1 error format." }, "quotaUser": { "type": "string", "location": "query", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters." }, "uploadType": { "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "location": "query", "type": "string" }, "key": { "location": "query", "type": "string", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token." }, "prettyPrint": { "description": "Returns response with indentations and line breaks.", "default": "true", "location": "query", "type": "boolean" }, "alt": { "location": "query", "type": "string", "default": "json", "enum": [ "json", "media", "proto" ], "description": "Data format for response.", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ] } }, "schemas": { "VerifyChallengeResponseRequest": { "description": "signed ChallengeResponse", "id": "VerifyChallengeResponseRequest", "type": "object", "properties": { "challengeResponse": { "$ref": "SignedData", "description": "The generated response to the challenge" }, "expectedIdentity": { "description": "Service can optionally provide identity information about the device or user associated with the key. For an EMK, this value is the enrolled domain. For an EUK, this value is the user's email address. If present, this value will be checked against contents of the response, and verification will fail if there is no match.", "type": "string" } } }, "SignedData": { "id": "SignedData", "description": "The wrapper message of any data and its signature.", "properties": { "signature": { "format": "byte", "description": "The signature of the data field.", "type": "string" }, "data": { "format": "byte", "description": "The data to be signed.", "type": "string" } }, "type": "object" }, "Challenge": { "description": "Result message for VerifiedAccess.CreateChallenge.", "id": "Challenge", "properties": { "challenge": { "$ref": "SignedData", "description": "Generated challenge" }, "alternativeChallenge": { "description": "Challenge generated with the old signing key (this will only be present during key rotation)", "$ref": "SignedData" } }, "type": "object" }, "VerifyChallengeResponseResult": { "properties": { "verificationOutput": { "type": "string", "description": "For EMCert check, device permanent id is returned here. For EUCert check, signed_public_key_and_challenge [base64 encoded] is returned if present, otherwise empty string is returned. This field is deprecated, please use device_permanent_id or signed_public_key_and_challenge fields." }, "deviceEnrollmentId": { "type": "string", "description": "Device enrollment id is returned in this field (for the machine response only)." }, "signedPublicKeyAndChallenge": { "type": "string", "description": "Certificate Signing Request (in the SPKAC format, base64 encoded) is returned in this field. This field will be set only if device has included CSR in its challenge response. (the option to include CSR is now available for both user and machine responses)" }, "devicePermanentId": { "description": "Device permanent id is returned in this field (for the machine response only).", "type": "string" } }, "description": "Result message for VerifiedAccess.VerifyChallengeResponse.", "type": "object", "id": "VerifyChallengeResponseResult" }, "Empty": { "id": "Empty", "type": "object", "properties": {}, "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }" } }, "servicePath": "", "discoveryVersion": "v1", "title": "Chrome Verified Access API", "id": "verifiedaccess:v1", "fullyEncodeReservedExpansion": true, "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/verifiedaccess": { "description": "Verify your enterprise credentials" } } } }, "kind": "discovery#restDescription", "ownerName": "Google" }
]===]))
