local decode = require("cjson").new().decode
return assert(decode([===[
{ "discoveryVersion": "v1", "id": "versionhistory:v1", "canonicalName": "Version History", "icons": { "x16": "http://www.google.com/images/icons/product/search-16.gif", "x32": "http://www.google.com/images/icons/product/search-32.gif" }, "mtlsRootUrl": "https://versionhistory.mtls.googleapis.com/", "fullyEncodeReservedExpansion": true, "servicePath": "", "title": "Version History API", "protocol": "rest", "name": "versionhistory", "batchPath": "batch", "kind": "discovery#restDescription", "ownerName": "Google", "rootUrl": "https://versionhistory.googleapis.com/", "schemas": { "Release": { "id": "Release", "properties": { "fractionGroup": { "description": "Rollout fraction group. Only fractions with the same fraction_group are statistically comparable: there may be non-fractional differences between different fraction groups.", "format": "int64", "type": "string" }, "version": { "description": "String containing just the version number. e.g. \"84.0.4147.38\"", "type": "string" }, "name": { "type": "string", "description": "Release name. Format is \"{product}/platforms/{platform}/channels/{channel}/versions/{version}/releases/{release}\"" }, "fraction": { "format": "double", "description": "Rollout fraction. This fraction indicates the fraction of people that should receive this version in this release. If the fraction is not specified in ReleaseManager, the API will assume fraction is 1.", "type": "number" }, "serving": { "$ref": "Interval", "description": "Timestamp interval of when the release was live. If end_time is unspecified, the release is currently live." } }, "description": "A Release is owned by a Version. A Release contains information about the release(s) of its parent version. This includes when the release began and ended, as well as what percentage it was released at. If the version is released again, or if the serving percentage changes, it will create another release under the version.", "type": "object" }, "Channel": { "type": "object", "description": "Each Channel is owned by a Platform and owns a collection of versions. Possible Channels are listed in the Channel enum below. Not all Channels are available for every Platform (e.g. CANARY does not exist for LINUX).", "properties": { "channelType": { "enumDescriptions": [ "", "", "", "", "", "", "", "" ], "enum": [ "CHANNEL_TYPE_UNSPECIFIED", "STABLE", "BETA", "DEV", "CANARY", "CANARY_ASAN", "ALL", "EXTENDED" ], "type": "string", "description": "Type of channel." }, "name": { "description": "Channel name. Format is \"{product}/platforms/{platform}/channels/{channel}\"", "type": "string" } }, "id": "Channel" }, "ListReleasesResponse": { "id": "ListReleasesResponse", "description": "Response message for ListReleases.", "properties": { "releases": { "items": { "$ref": "Release" }, "type": "array", "description": "The list of releases." }, "nextPageToken": { "description": "A token, which can be sent as `page_token` to retrieve the next page. If this field is omitted, there are no subsequent pages.", "type": "string" } }, "type": "object" }, "Platform": { "type": "object", "properties": { "platformType": { "description": "Type of platform.", "enum": [ "PLATFORM_TYPE_UNSPECIFIED", "WIN", "WIN64", "MAC", "LINUX", "ANDROID", "WEBVIEW", "IOS", "ALL", "MAC_ARM64", "LACROS", "LACROS_ARM32", "CHROMEOS" ], "type": "string", "enumDescriptions": [ "", "", "", "", "", "", "", "", "", "", "", "", "" ] }, "name": { "description": "Platform name. Format is \"{product}/platforms/{platform}\"", "type": "string" } }, "description": "Each Platform is owned by a Product and owns a collection of channels. Available platforms are listed in Platform enum below. Not all Channels are available for every Platform (e.g. CANARY does not exist for LINUX).", "id": "Platform" }, "ListChannelsResponse": { "properties": { "nextPageToken": { "description": "A token, which can be sent as `page_token` to retrieve the next page. If this field is omitted, there are no subsequent pages.", "type": "string" }, "channels": { "type": "array", "items": { "$ref": "Channel" }, "description": "The list of channels." } }, "id": "ListChannelsResponse", "type": "object", "description": "Response message for ListChannels." }, "Version": { "type": "object", "properties": { "name": { "description": "Version name. Format is \"{product}/platforms/{platform}/channels/{channel}/versions/{version}\" e.g. \"chrome/platforms/win/channels/beta/versions/84.0.4147.38\"", "type": "string" }, "version": { "type": "string", "description": "String containing just the version number. e.g. \"84.0.4147.38\"" } }, "id": "Version", "description": "Each Version is owned by a Channel. A Version only displays the Version number (e.g. 84.0.4147.38). A Version owns a collection of releases." }, "Interval": { "id": "Interval", "properties": { "endTime": { "type": "string", "description": "Optional. Exclusive end of the interval. If specified, a Timestamp matching this interval will have to be before the end.", "format": "google-datetime" }, "startTime": { "description": "Optional. Inclusive start of the interval. If specified, a Timestamp matching this interval will have to be the same or after the start.", "type": "string", "format": "google-datetime" } }, "description": "Represents a time interval, encoded as a Timestamp start (inclusive) and a Timestamp end (exclusive). The start must be less than or equal to the end. When the start equals the end, the interval is empty (matches no time). When both start and end are unspecified, the interval matches any time.", "type": "object" }, "ListVersionsResponse": { "id": "ListVersionsResponse", "description": "Response message for ListVersions.", "type": "object", "properties": { "versions": { "items": { "$ref": "Version" }, "description": "The list of versions.", "type": "array" }, "nextPageToken": { "description": "A token, which can be sent as `page_token` to retrieve the next page. If this field is omitted, there are no subsequent pages.", "type": "string" } } }, "ListPlatformsResponse": { "properties": { "platforms": { "type": "array", "description": "The list of platforms.", "items": { "$ref": "Platform" } }, "nextPageToken": { "description": "A token, which can be sent as `page_token` to retrieve the next page. If this field is omitted, there are no subsequent pages.", "type": "string" } }, "description": "Response message for ListPlatforms.", "id": "ListPlatformsResponse", "type": "object" } }, "parameters": { "prettyPrint": { "type": "boolean", "location": "query", "description": "Returns response with indentations and line breaks.", "default": "true" }, "alt": { "default": "json", "type": "string", "enum": [ "json", "media", "proto" ], "description": "Data format for response.", "location": "query", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ] }, "uploadType": { "location": "query", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "type": "string" }, "oauth_token": { "description": "OAuth 2.0 token for the current user.", "location": "query", "type": "string" }, "quotaUser": { "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "type": "string", "location": "query" }, "access_token": { "location": "query", "type": "string", "description": "OAuth access token." }, "$.xgafv": { "enum": [ "1", "2" ], "enumDescriptions": [ "v1 error format", "v2 error format" ], "type": "string", "description": "V1 error format.", "location": "query" }, "key": { "location": "query", "type": "string", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token." }, "callback": { "location": "query", "description": "JSONP", "type": "string" }, "upload_protocol": { "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "type": "string", "location": "query" }, "fields": { "type": "string", "description": "Selector specifying which fields to include in a partial response.", "location": "query" } }, "documentationLink": "https://developers.chrome.com/versionhistory", "description": "Version History API - Prod", "basePath": "", "version_module": true, "revision": "20220711", "baseUrl": "https://versionhistory.googleapis.com/", "version": "v1", "resources": { "platforms": { "resources": { "channels": { "resources": { "versions": { "methods": { "list": { "parameters": { "filter": { "location": "query", "type": "string", "description": "Optional. Filter string. Format is a comma separated list of All comma separated filter clauses are conjoined with a logical \"and\". Valid field_names are \"version\", \"name\", \"platform\", and \"channel\". Valid operators are \"\u003c\", \"\u003c=\", \"=\", \"\u003e=\", and \"\u003e\". Channel comparison is done by distance from stable. Ex) stable \u003c beta, beta \u003c dev, canary \u003c canary_asan. Version comparison is done numerically. If version is not entirely written, the version will be appended with 0 in missing fields. Ex) version \u003e 80 becoms version \u003e 80.0.0.0 Name and platform are filtered by string comparison. Ex) \"...?filter=channel\u003c=beta, version \u003e= 80 Ex) \"...?filter=version \u003e 80, version \u003c 81" }, "orderBy": { "type": "string", "description": "Optional. Ordering string. Valid order_by strings are \"version\", \"name\", \"platform\", and \"channel\". Optionally, you can append \" desc\" or \" asc\" to specify the sorting order. Multiple order_by strings can be used in a comma separated list. Ordering by channel will sort by distance from the stable channel (not alphabetically). A list of channels sorted in this order is: stable, beta, dev, canary, and canary_asan. Sorting by name may cause unexpected behaviour as it is a naive string sort. For example, 1.0.0.8 will be before 1.0.0.10 in descending order. If order_by is not specified the response will be sorted by version in descending order. Ex) \"...?order_by=version asc\" Ex) \"...?order_by=platform desc, channel, version\"", "location": "query" }, "parent": { "type": "string", "pattern": "^[^/]+/platforms/[^/]+/channels/[^/]+$", "required": true, "location": "path", "description": "Required. The channel, which owns this collection of versions. Format: {product}/platforms/{platform}/channels/{channel}" }, "pageSize": { "format": "int32", "type": "integer", "location": "query", "description": "Optional. Optional limit on the number of versions to include in the response. If unspecified, the server will pick an appropriate default." }, "pageToken": { "description": "Optional. A page token, received from a previous `ListVersions` call. Provide this to retrieve the subsequent page.", "type": "string", "location": "query" } }, "response": { "$ref": "ListVersionsResponse" }, "description": "Returns list of version for the given platform/channel.", "httpMethod": "GET", "flatPath": "v1/{v1Id}/platforms/{platformsId}/channels/{channelsId}/versions", "path": "v1/{+parent}/versions", "id": "versionhistory.platforms.channels.versions.list", "parameterOrder": [ "parent" ] } }, "resources": { "releases": { "methods": { "list": { "response": { "$ref": "ListReleasesResponse" }, "httpMethod": "GET", "path": "v1/{+parent}/releases", "description": "Returns list of releases of the given version.", "parameterOrder": [ "parent" ], "flatPath": "v1/{v1Id}/platforms/{platformsId}/channels/{channelsId}/versions/{versionsId}/releases", "id": "versionhistory.platforms.channels.versions.releases.list", "parameters": { "filter": { "type": "string", "location": "query", "description": "Optional. Filter string. Format is a comma separated list of All comma separated filter clauses are conjoined with a logical \"and\". Valid field_names are \"version\", \"name\", \"platform\", \"channel\", \"fraction\" \"starttime\", and \"endtime\". Valid operators are \"\u003c\", \"\u003c=\", \"=\", \"\u003e=\", and \"\u003e\". Channel comparison is done by distance from stable. must be a valid channel when filtering by channel. Ex) stable \u003c beta, beta \u003c dev, canary \u003c canary_asan. Version comparison is done numerically. Ex) 1.0.0.8 \u003c 1.0.0.10. If version is not entirely written, the version will be appended with 0 for the missing fields. Ex) version \u003e 80 becoms version \u003e 80.0.0.0 When filtering by starttime or endtime, string must be in RFC 3339 date string format. Name and platform are filtered by string comparison. Ex) \"...?filter=channel\u003c=beta, version \u003e= 80 Ex) \"...?filter=version \u003e 80, version \u003c 81 Ex) \"...?filter=starttime\u003e2020-01-01T00:00:00Z" }, "pageToken": { "type": "string", "location": "query", "description": "Optional. A page token, received from a previous `ListReleases` call. Provide this to retrieve the subsequent page." }, "orderBy": { "location": "query", "description": "Optional. Ordering string. Valid order_by strings are \"version\", \"name\", \"starttime\", \"endtime\", \"platform\", \"channel\", and \"fraction\". Optionally, you can append \"desc\" or \"asc\" to specify the sorting order. Multiple order_by strings can be used in a comma separated list. Ordering by channel will sort by distance from the stable channel (not alphabetically). A list of channels sorted in this order is: stable, beta, dev, canary, and canary_asan. Sorting by name may cause unexpected behaviour as it is a naive string sort. For example, 1.0.0.8 will be before 1.0.0.10 in descending order. If order_by is not specified the response will be sorted by starttime in descending order. Ex) \"...?order_by=starttime asc\" Ex) \"...?order_by=platform desc, channel, startime desc\"", "type": "string" }, "pageSize": { "format": "int32", "description": "Optional. Optional limit on the number of releases to include in the response. If unspecified, the server will pick an appropriate default.", "location": "query", "type": "integer" }, "parent": { "required": true, "type": "string", "location": "path", "description": "Required. The version, which owns this collection of releases. Format: {product}/platforms/{platform}/channels/{channel}/versions/{version}", "pattern": "^[^/]+/platforms/[^/]+/channels/[^/]+/versions/[^/]+$" } } } } } } } }, "methods": { "list": { "parameterOrder": [ "parent" ], "httpMethod": "GET", "path": "v1/{+parent}/channels", "id": "versionhistory.platforms.channels.list", "parameters": { "pageSize": { "description": "Optional. Optional limit on the number of channels to include in the response. If unspecified, the server will pick an appropriate default.", "location": "query", "format": "int32", "type": "integer" }, "parent": { "description": "Required. The platform, which owns this collection of channels. Format: {product}/platforms/{platform}", "type": "string", "location": "path", "pattern": "^[^/]+/platforms/[^/]+$", "required": true }, "pageToken": { "location": "query", "type": "string", "description": "Optional. A page token, received from a previous `ListChannels` call. Provide this to retrieve the subsequent page." } }, "description": "Returns list of channels that are available for a given platform.", "response": { "$ref": "ListChannelsResponse" }, "flatPath": "v1/{v1Id}/platforms/{platformsId}/channels" } } } }, "methods": { "list": { "response": { "$ref": "ListPlatformsResponse" }, "parameters": { "parent": { "pattern": "^[^/]+$", "description": "Required. The product, which owns this collection of platforms. Format: {product}", "type": "string", "location": "path", "required": true }, "pageToken": { "description": "Optional. A page token, received from a previous `ListChannels` call. Provide this to retrieve the subsequent page.", "location": "query", "type": "string" }, "pageSize": { "location": "query", "description": "Optional. Optional limit on the number of channels to include in the response. If unspecified, the server will pick an appropriate default.", "type": "integer", "format": "int32" } }, "httpMethod": "GET", "parameterOrder": [ "parent" ], "id": "versionhistory.platforms.list", "flatPath": "v1/{v1Id}/platforms", "path": "v1/{+parent}/platforms", "description": "Returns list of platforms that are available for a given product. The resource \"product\" has no resource name in its name." } } } }, "ownerDomain": "google.com" }
]===]))
