local decode = require("cjson").new().decode
return assert(decode([===[
{ "description": "Detects objects, explicit content, and scene changes in videos. It also specifies the region for annotation and transcribes speech to text. Supports both asynchronous API and streaming API.", "parameters": { "oauth_token": { "location": "query", "type": "string", "description": "OAuth 2.0 token for the current user." }, "key": { "location": "query", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "type": "string" }, "upload_protocol": { "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "type": "string", "location": "query" }, "callback": { "description": "JSONP", "location": "query", "type": "string" }, "access_token": { "location": "query", "type": "string", "description": "OAuth access token." }, "fields": { "location": "query", "description": "Selector specifying which fields to include in a partial response.", "type": "string" }, "prettyPrint": { "type": "boolean", "location": "query", "description": "Returns response with indentations and line breaks.", "default": "true" }, "uploadType": { "location": "query", "type": "string", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\")." }, "quotaUser": { "type": "string", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "location": "query" }, "alt": { "default": "json", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "location": "query", "description": "Data format for response.", "type": "string", "enum": [ "json", "media", "proto" ] }, "$.xgafv": { "enumDescriptions": [ "v1 error format", "v2 error format" ], "location": "query", "description": "V1 error format.", "enum": [ "1", "2" ], "type": "string" } }, "revision": "20220303", "protocol": "rest", "documentationLink": "https://cloud.google.com/video-intelligence/docs/", "fullyEncodeReservedExpansion": true, "batchPath": "batch", "icons": { "x16": "http://www.google.com/images/icons/product/search-16.gif", "x32": "http://www.google.com/images/icons/product/search-32.gif" }, "resources": { "videos": { "methods": { "annotate": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": {}, "httpMethod": "POST", "request": { "$ref": "GoogleCloudVideointelligenceV1_AnnotateVideoRequest" }, "id": "videointelligence.videos.annotate", "description": "Performs asynchronous video annotation. Progress and results can be retrieved through the `google.longrunning.Operations` interface. `Operation.metadata` contains `AnnotateVideoProgress` (progress). `Operation.response` contains `AnnotateVideoResponse` (results).", "path": "v1/videos:annotate", "flatPath": "v1/videos:annotate", "response": { "$ref": "GoogleLongrunning_Operation" }, "parameterOrder": [] } } }, "projects": { "resources": { "locations": { "resources": { "operations": { "methods": { "delete": { "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "type": "string", "location": "path", "required": true, "description": "The name of the operation resource to be deleted." } }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}", "description": "Deletes a long-running operation. This method indicates that the client is no longer interested in the operation result. It does not cancel the operation. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`.", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "videointelligence.projects.locations.operations.delete", "path": "v1/{+name}", "response": { "$ref": "GoogleProtobuf_Empty" }, "httpMethod": "DELETE" }, "cancel": { "parameters": { "name": { "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "description": "The name of the operation resource to be cancelled.", "location": "path", "type": "string" } }, "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Starts asynchronous cancellation on a long-running operation. The server makes a best effort to cancel the operation, but success is not guaranteed. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`. Clients can use Operations.GetOperation or other methods to check whether the cancellation succeeded or whether the operation completed despite cancellation. On successful cancellation, the operation is not deleted; instead, it becomes an operation with an Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`.", "request": { "$ref": "GoogleLongrunning_CancelOperationRequest" }, "httpMethod": "POST", "id": "videointelligence.projects.locations.operations.cancel", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}:cancel", "response": { "$ref": "GoogleProtobuf_Empty" }, "path": "v1/{+name}:cancel" }, "get": { "response": { "$ref": "GoogleLongrunning_Operation" }, "httpMethod": "GET", "parameterOrder": [ "name" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}", "id": "videointelligence.projects.locations.operations.get", "parameters": { "name": { "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "location": "path", "required": true, "description": "The name of the operation resource." } }, "path": "v1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service." }, "list": { "httpMethod": "GET", "description": "Lists operations that match the specified filter in the request. If the server doesn't support this method, it returns `UNIMPLEMENTED`. NOTE: the `name` binding allows API services to override the binding to use different resource name schemes, such as `users/*/operations`. To override the binding, API services can add a binding such as `\"/v1/{name=users/*}/operations\"` to their service configuration. For backwards compatibility, the default name includes the operations collection id, however overriding users must ensure the name binding is the parent resource, without the operations collection id.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+name}/operations", "parameterOrder": [ "name" ], "parameters": { "pageToken": { "location": "query", "type": "string", "description": "The standard list page token." }, "name": { "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+$", "description": "The name of the operation's parent resource.", "location": "path" }, "filter": { "location": "query", "type": "string", "description": "The standard list filter." }, "pageSize": { "location": "query", "type": "integer", "description": "The standard list page size.", "format": "int32" } }, "id": "videointelligence.projects.locations.operations.list", "response": { "$ref": "GoogleLongrunning_ListOperationsResponse" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/operations" } } } } } } }, "operations": { "resources": { "projects": { "resources": { "locations": { "resources": { "operations": { "methods": { "delete": { "id": "videointelligence.operations.projects.locations.operations.delete", "description": "Deletes a long-running operation. This method indicates that the client is no longer interested in the operation result. It does not cancel the operation. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`.", "response": { "$ref": "GoogleProtobuf_Empty" }, "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/operations/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}", "parameters": { "name": { "description": "The name of the operation resource to be deleted.", "location": "path", "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$" } }, "path": "v1/operations/{+name}", "httpMethod": "DELETE" }, "cancel": { "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "GoogleProtobuf_Empty" }, "flatPath": "v1/operations/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}:cancel", "parameters": { "name": { "type": "string", "description": "The name of the operation resource to be cancelled.", "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$" } }, "id": "videointelligence.operations.projects.locations.operations.cancel", "path": "v1/operations/{+name}:cancel", "httpMethod": "POST", "description": "Starts asynchronous cancellation on a long-running operation. The server makes a best effort to cancel the operation, but success is not guaranteed. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`. Clients can use Operations.GetOperation or other methods to check whether the cancellation succeeded or whether the operation completed despite cancellation. On successful cancellation, the operation is not deleted; instead, it becomes an operation with an Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`." }, "get": { "httpMethod": "GET", "response": { "$ref": "GoogleLongrunning_Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service.", "flatPath": "v1/operations/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}", "path": "v1/operations/{+name}", "parameters": { "name": { "description": "The name of the operation resource.", "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "required": true } }, "id": "videointelligence.operations.projects.locations.operations.get", "parameterOrder": [ "name" ] } } } } } } } } } }, "name": "videointelligence", "servicePath": "", "ownerName": "Google", "title": "Cloud Video Intelligence API", "basePath": "", "id": "videointelligence:v1", "kind": "discovery#restDescription", "ownerDomain": "google.com", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." } } } }, "baseUrl": "https://videointelligence.googleapis.com/", "rootUrl": "https://videointelligence.googleapis.com/", "canonicalName": "Cloud Video Intelligence", "version_module": true, "schemas": { "GoogleCloudVideointelligenceV1beta2_TimestampedObject": { "id": "GoogleCloudVideointelligenceV1beta2_TimestampedObject", "description": "For tracking related features. An object at time_offset with attributes, and located with normalized_bounding_box.", "type": "object", "properties": { "landmarks": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_DetectedLandmark" }, "description": "Optional. The detected landmarks." }, "timeOffset": { "format": "google-duration", "type": "string", "description": "Time-offset, relative to the beginning of the video, corresponding to the video frame for this object." }, "normalizedBoundingBox": { "description": "Normalized Bounding box in a frame, where the object is located.", "$ref": "GoogleCloudVideointelligenceV1beta2_NormalizedBoundingBox" }, "attributes": { "type": "array", "description": "Optional. The attributes of the object in the bounding box.", "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_DetectedAttribute" } } } }, "GoogleCloudVideointelligenceV1p3beta1_Entity": { "id": "GoogleCloudVideointelligenceV1p3beta1_Entity", "type": "object", "description": "Detected entity from video analysis.", "properties": { "description": { "type": "string", "description": "Textual description, e.g., `Fixed-gear bicycle`." }, "languageCode": { "type": "string", "description": "Language code for `description` in BCP-47 format." }, "entityId": { "type": "string", "description": "Opaque entity ID. Some IDs may be available in [Google Knowledge Graph Search API](https://developers.google.com/knowledge-graph/)." } } }, "GoogleCloudVideointelligenceV1beta2_FaceSegment": { "id": "GoogleCloudVideointelligenceV1beta2_FaceSegment", "type": "object", "description": "Video segment level annotation results for face detection.", "properties": { "segment": { "description": "Video segment where a face was detected.", "$ref": "GoogleCloudVideointelligenceV1beta2_VideoSegment" } } }, "GoogleCloudVideointelligenceV1p1beta1_Track": { "description": "A track of an object instance.", "type": "object", "id": "GoogleCloudVideointelligenceV1p1beta1_Track", "properties": { "attributes": { "description": "Optional. Attributes in the track level.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_DetectedAttribute" } }, "segment": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_VideoSegment", "description": "Video segment of a track." }, "confidence": { "type": "number", "format": "float", "description": "Optional. The confidence score of the tracked object." }, "timestampedObjects": { "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_TimestampedObject" }, "description": "The object with timestamp and attributes per frame in the track.", "type": "array" } } }, "GoogleCloudVideointelligenceV1p2beta1_DetectedLandmark": { "id": "GoogleCloudVideointelligenceV1p2beta1_DetectedLandmark", "properties": { "confidence": { "format": "float", "description": "The confidence score of the detected landmark. Range [0, 1].", "type": "number" }, "point": { "description": "The 2D point of the detected landmark using the normalized image coordindate system. The normalized coordinates have the range from 0 to 1.", "$ref": "GoogleCloudVideointelligenceV1p2beta1_NormalizedVertex" }, "name": { "description": "The name of this landmark, for example, left_hand, right_shoulder.", "type": "string" } }, "type": "object", "description": "A generic detected landmark represented by name in string format and a 2D location." }, "GoogleCloudVideointelligenceV1_ObjectTrackingConfig": { "properties": { "model": { "type": "string", "description": "Model to use for object tracking. Supported values: \"builtin/stable\" (the default if unset) and \"builtin/latest\"." } }, "type": "object", "id": "GoogleCloudVideointelligenceV1_ObjectTrackingConfig", "description": "Config for OBJECT_TRACKING." }, "GoogleCloudVideointelligenceV1p2beta1_WordInfo": { "properties": { "word": { "description": "The word corresponding to this set of information.", "type": "string" }, "startTime": { "description": "Time offset relative to the beginning of the audio, and corresponding to the start of the spoken word. This field is only set if `enable_word_time_offsets=true` and only in the top hypothesis. This is an experimental feature and the accuracy of the time offset can vary.", "type": "string", "format": "google-duration" }, "speakerTag": { "type": "integer", "description": "Output only. A distinct integer value is assigned for every speaker within the audio. This field specifies which one of those speakers was detected to have spoken this word. Value ranges from 1 up to diarization_speaker_count, and is only set if speaker diarization is enabled.", "readOnly": true, "format": "int32" }, "confidence": { "format": "float", "readOnly": true, "description": "Output only. The confidence estimate between 0.0 and 1.0. A higher number indicates an estimated greater likelihood that the recognized words are correct. This field is set only for the top alternative. This field is not guaranteed to be accurate and users should not rely on it to be always provided. The default of 0.0 is a sentinel value indicating `confidence` was not set.", "type": "number" }, "endTime": { "format": "google-duration", "type": "string", "description": "Time offset relative to the beginning of the audio, and corresponding to the end of the spoken word. This field is only set if `enable_word_time_offsets=true` and only in the top hypothesis. This is an experimental feature and the accuracy of the time offset can vary." } }, "type": "object", "id": "GoogleCloudVideointelligenceV1p2beta1_WordInfo", "description": "Word-specific information for recognized words. Word information is only included in the response when certain request parameters are set, such as `enable_word_time_offsets`." }, "GoogleCloudVideointelligenceV1p1beta1_VideoAnnotationProgress": { "id": "GoogleCloudVideointelligenceV1p1beta1_VideoAnnotationProgress", "type": "object", "description": "Annotation progress for a single video.", "properties": { "updateTime": { "format": "google-datetime", "description": "Time of the most recent update.", "type": "string" }, "segment": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_VideoSegment", "description": "Specifies which segment is being tracked if the request contains more than one segment." }, "feature": { "description": "Specifies which feature is being tracked if the request contains more than one feature.", "enumDescriptions": [ "Unspecified.", "Label detection. Detect objects, such as dog or flower.", "Shot change detection.", "Explicit content detection.", "Human face detection.", "Speech transcription.", "OCR text detection and tracking.", "Object detection and tracking.", "Logo detection, tracking, and recognition.", "Person detection." ], "type": "string", "enum": [ "FEATURE_UNSPECIFIED", "LABEL_DETECTION", "SHOT_CHANGE_DETECTION", "EXPLICIT_CONTENT_DETECTION", "FACE_DETECTION", "SPEECH_TRANSCRIPTION", "TEXT_DETECTION", "OBJECT_TRACKING", "LOGO_RECOGNITION", "PERSON_DETECTION" ] }, "progressPercent": { "type": "integer", "format": "int32", "description": "Approximate percentage processed thus far. Guaranteed to be 100 when fully processed." }, "startTime": { "type": "string", "description": "Time when the request was received.", "format": "google-datetime" }, "inputUri": { "type": "string", "description": "Video file location in [Cloud Storage](https://cloud.google.com/storage/)." } } }, "GoogleCloudVideointelligenceV1_Entity": { "id": "GoogleCloudVideointelligenceV1_Entity", "description": "Detected entity from video analysis.", "type": "object", "properties": { "languageCode": { "description": "Language code for `description` in BCP-47 format.", "type": "string" }, "description": { "type": "string", "description": "Textual description, e.g., `Fixed-gear bicycle`." }, "entityId": { "type": "string", "description": "Opaque entity ID. Some IDs may be available in [Google Knowledge Graph Search API](https://developers.google.com/knowledge-graph/)." } } }, "GoogleCloudVideointelligenceV1_FaceAnnotation": { "properties": { "segments": { "items": { "$ref": "GoogleCloudVideointelligenceV1_FaceSegment" }, "description": "All video segments where a face was detected.", "type": "array" }, "thumbnail": { "description": "Thumbnail of a representative face view (in JPEG format).", "type": "string", "format": "byte" }, "frames": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1_FaceFrame" }, "description": "All video frames where a face was detected." } }, "id": "GoogleCloudVideointelligenceV1_FaceAnnotation", "description": "Deprecated. No effect.", "type": "object" }, "GoogleCloudVideointelligenceV1beta2_ExplicitContentAnnotation": { "type": "object", "description": "Explicit content annotation (based on per-frame visual signals only). If no explicit content has been detected in a frame, no annotations are present for that frame.", "id": "GoogleCloudVideointelligenceV1beta2_ExplicitContentAnnotation", "properties": { "version": { "description": "Feature version.", "type": "string" }, "frames": { "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_ExplicitContentFrame" }, "description": "All video frames where explicit content was detected.", "type": "array" } } }, "GoogleCloudVideointelligenceV1p1beta1_LogoRecognitionAnnotation": { "type": "object", "id": "GoogleCloudVideointelligenceV1p1beta1_LogoRecognitionAnnotation", "properties": { "tracks": { "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_Track" }, "type": "array", "description": "All logo tracks where the recognized logo appears. Each track corresponds to one logo instance appearing in consecutive frames." }, "segments": { "description": "All video segments where the recognized logo appears. There might be multiple instances of the same logo class appearing in one VideoSegment.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_VideoSegment" } }, "entity": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_Entity", "description": "Entity category information to specify the logo class that all the logo tracks within this LogoRecognitionAnnotation are recognized as." } }, "description": "Annotation corresponding to one detected, tracked and recognized logo class." }, "GoogleCloudVideointelligenceV1p2beta1_TextFrame": { "id": "GoogleCloudVideointelligenceV1p2beta1_TextFrame", "properties": { "rotatedBoundingBox": { "description": "Bounding polygon of the detected text for this frame.", "$ref": "GoogleCloudVideointelligenceV1p2beta1_NormalizedBoundingPoly" }, "timeOffset": { "description": "Timestamp of this frame.", "type": "string", "format": "google-duration" } }, "type": "object", "description": "Video frame level annotation results for text annotation (OCR). Contains information regarding timestamp and bounding box locations for the frames containing detected OCR text snippets." }, "GoogleCloudVideointelligenceV1beta2_Entity": { "properties": { "languageCode": { "type": "string", "description": "Language code for `description` in BCP-47 format." }, "entityId": { "type": "string", "description": "Opaque entity ID. Some IDs may be available in [Google Knowledge Graph Search API](https://developers.google.com/knowledge-graph/)." }, "description": { "description": "Textual description, e.g., `Fixed-gear bicycle`.", "type": "string" } }, "description": "Detected entity from video analysis.", "type": "object", "id": "GoogleCloudVideointelligenceV1beta2_Entity" }, "GoogleCloudVideointelligenceV1beta2_NormalizedVertex": { "type": "object", "id": "GoogleCloudVideointelligenceV1beta2_NormalizedVertex", "description": "A vertex represents a 2D point in the image. NOTE: the normalized vertex coordinates are relative to the original image and range from 0 to 1.", "properties": { "y": { "format": "float", "type": "number", "description": "Y coordinate." }, "x": { "type": "number", "description": "X coordinate.", "format": "float" } } }, "GoogleCloudVideointelligenceV1p1beta1_ObjectTrackingFrame": { "id": "GoogleCloudVideointelligenceV1p1beta1_ObjectTrackingFrame", "properties": { "timeOffset": { "format": "google-duration", "type": "string", "description": "The timestamp of the frame in microseconds." }, "normalizedBoundingBox": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_NormalizedBoundingBox", "description": "The normalized bounding box location of this object track for the frame." } }, "description": "Video frame level annotations for object detection and tracking. This field stores per frame location, time offset, and confidence.", "type": "object" }, "GoogleLongrunning_Operation": { "type": "object", "description": "This resource represents a long-running operation that is the result of a network API call.", "id": "GoogleLongrunning_Operation", "properties": { "error": { "description": "The error result of the operation in case of failure or cancellation.", "$ref": "GoogleRpc_Status" }, "done": { "type": "boolean", "description": "If the value is `false`, it means the operation is still in progress. If `true`, the operation is completed, and either `error` or `response` is available." }, "response": { "description": "The normal response of the operation in case of success. If the original method returns no data on success, such as `Delete`, the response is `google.protobuf.Empty`. If the original method is standard `Get`/`Create`/`Update`, the response should be the resource. For other methods, the response should have the type `XxxResponse`, where `Xxx` is the original method name. For example, if the original method name is `TakeSnapshot()`, the inferred response type is `TakeSnapshotResponse`.", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "type": "object" }, "metadata": { "type": "object", "description": "Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any.", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." } }, "name": { "type": "string", "description": "The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the `name` should be a resource name ending with `operations/{unique_id}`." } } }, "GoogleCloudVideointelligenceV1p2beta1_AnnotateVideoProgress": { "properties": { "annotationProgress": { "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_VideoAnnotationProgress" }, "description": "Progress metadata for all videos specified in `AnnotateVideoRequest`.", "type": "array" } }, "type": "object", "id": "GoogleCloudVideointelligenceV1p2beta1_AnnotateVideoProgress", "description": "Video annotation progress. Included in the `metadata` field of the `Operation` returned by the `GetOperation` call of the `google::longrunning::Operations` service." }, "GoogleCloudVideointelligenceV1p3beta1_CelebrityRecognitionAnnotation": { "properties": { "celebrityTracks": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_CelebrityTrack" }, "description": "The tracks detected from the input video, including recognized celebrities and other detected faces in the video." }, "version": { "description": "Feature version.", "type": "string" } }, "id": "GoogleCloudVideointelligenceV1p3beta1_CelebrityRecognitionAnnotation", "description": "Celebrity recognition annotation per video.", "type": "object" }, "GoogleCloudVideointelligenceV1p1beta1_ExplicitContentFrame": { "properties": { "pornographyLikelihood": { "type": "string", "description": "Likelihood of the pornography content..", "enumDescriptions": [ "Unspecified likelihood.", "Very unlikely.", "Unlikely.", "Possible.", "Likely.", "Very likely." ], "enum": [ "LIKELIHOOD_UNSPECIFIED", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ] }, "timeOffset": { "format": "google-duration", "type": "string", "description": "Time-offset, relative to the beginning of the video, corresponding to the video frame for this location." } }, "description": "Video frame level annotation results for explicit content.", "id": "GoogleCloudVideointelligenceV1p1beta1_ExplicitContentFrame", "type": "object" }, "GoogleCloudVideointelligenceV1beta2_DetectedLandmark": { "description": "A generic detected landmark represented by name in string format and a 2D location.", "type": "object", "id": "GoogleCloudVideointelligenceV1beta2_DetectedLandmark", "properties": { "confidence": { "format": "float", "type": "number", "description": "The confidence score of the detected landmark. Range [0, 1]." }, "point": { "description": "The 2D point of the detected landmark using the normalized image coordindate system. The normalized coordinates have the range from 0 to 1.", "$ref": "GoogleCloudVideointelligenceV1beta2_NormalizedVertex" }, "name": { "description": "The name of this landmark, for example, left_hand, right_shoulder.", "type": "string" } } }, "GoogleCloudVideointelligenceV1p3beta1_NormalizedVertex": { "id": "GoogleCloudVideointelligenceV1p3beta1_NormalizedVertex", "description": "A vertex represents a 2D point in the image. NOTE: the normalized vertex coordinates are relative to the original image and range from 0 to 1.", "type": "object", "properties": { "y": { "format": "float", "type": "number", "description": "Y coordinate." }, "x": { "format": "float", "description": "X coordinate.", "type": "number" } } }, "GoogleCloudVideointelligenceV1p3beta1_ObjectTrackingAnnotation": { "description": "Annotations corresponding to one tracked object.", "properties": { "segment": { "description": "Non-streaming batch mode ONLY. Each object track corresponds to one video segment where it appears.", "$ref": "GoogleCloudVideointelligenceV1p3beta1_VideoSegment" }, "confidence": { "format": "float", "type": "number", "description": "Object category's labeling confidence of this track." }, "frames": { "type": "array", "description": "Information corresponding to all frames where this object track appears. Non-streaming batch mode: it may be one or multiple ObjectTrackingFrame messages in frames. Streaming mode: it can only be one ObjectTrackingFrame message in frames.", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_ObjectTrackingFrame" } }, "trackId": { "type": "string", "format": "int64", "description": "Streaming mode ONLY. In streaming mode, we do not know the end time of a tracked object before it is completed. Hence, there is no VideoSegment info returned. Instead, we provide a unique identifiable integer track_id so that the customers can correlate the results of the ongoing ObjectTrackAnnotation of the same track_id over time." }, "entity": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_Entity", "description": "Entity to specify the object category that this track is labeled as." }, "version": { "description": "Feature version.", "type": "string" } }, "type": "object", "id": "GoogleCloudVideointelligenceV1p3beta1_ObjectTrackingAnnotation" }, "GoogleCloudVideointelligenceV1_AnnotateVideoResponse": { "properties": { "annotationResults": { "items": { "$ref": "GoogleCloudVideointelligenceV1_VideoAnnotationResults" }, "description": "Annotation results for all videos specified in `AnnotateVideoRequest`.", "type": "array" } }, "type": "object", "id": "GoogleCloudVideointelligenceV1_AnnotateVideoResponse", "description": "Video annotation response. Included in the `response` field of the `Operation` returned by the `GetOperation` call of the `google::longrunning::Operations` service." }, "GoogleCloudVideointelligenceV1p2beta1_FaceSegment": { "description": "Video segment level annotation results for face detection.", "type": "object", "id": "GoogleCloudVideointelligenceV1p2beta1_FaceSegment", "properties": { "segment": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_VideoSegment", "description": "Video segment where a face was detected." } } }, "GoogleCloudVideointelligenceV1beta2_LabelSegment": { "properties": { "segment": { "description": "Video segment where a label was detected.", "$ref": "GoogleCloudVideointelligenceV1beta2_VideoSegment" }, "confidence": { "format": "float", "type": "number", "description": "Confidence that the label is accurate. Range: [0, 1]." } }, "type": "object", "id": "GoogleCloudVideointelligenceV1beta2_LabelSegment", "description": "Video segment level annotation results for label detection." }, "GoogleCloudVideointelligenceV1p3beta1_TextAnnotation": { "description": "Annotations related to one detected OCR text snippet. This will contain the corresponding text, confidence value, and frame level information for each detection.", "type": "object", "id": "GoogleCloudVideointelligenceV1p3beta1_TextAnnotation", "properties": { "segments": { "type": "array", "description": "All video segments where OCR detected text appears.", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_TextSegment" } }, "text": { "description": "The detected text.", "type": "string" }, "version": { "type": "string", "description": "Feature version." } } }, "GoogleCloudVideointelligenceV1p2beta1_LogoRecognitionAnnotation": { "properties": { "entity": { "description": "Entity category information to specify the logo class that all the logo tracks within this LogoRecognitionAnnotation are recognized as.", "$ref": "GoogleCloudVideointelligenceV1p2beta1_Entity" }, "segments": { "description": "All video segments where the recognized logo appears. There might be multiple instances of the same logo class appearing in one VideoSegment.", "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_VideoSegment" }, "type": "array" }, "tracks": { "description": "All logo tracks where the recognized logo appears. Each track corresponds to one logo instance appearing in consecutive frames.", "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_Track" }, "type": "array" } }, "id": "GoogleCloudVideointelligenceV1p2beta1_LogoRecognitionAnnotation", "description": "Annotation corresponding to one detected, tracked and recognized logo class.", "type": "object" }, "GoogleCloudVideointelligenceV1p2beta1_VideoAnnotationProgress": { "properties": { "segment": { "description": "Specifies which segment is being tracked if the request contains more than one segment.", "$ref": "GoogleCloudVideointelligenceV1p2beta1_VideoSegment" }, "updateTime": { "type": "string", "format": "google-datetime", "description": "Time of the most recent update." }, "startTime": { "description": "Time when the request was received.", "type": "string", "format": "google-datetime" }, "feature": { "description": "Specifies which feature is being tracked if the request contains more than one feature.", "type": "string", "enum": [ "FEATURE_UNSPECIFIED", "LABEL_DETECTION", "SHOT_CHANGE_DETECTION", "EXPLICIT_CONTENT_DETECTION", "FACE_DETECTION", "SPEECH_TRANSCRIPTION", "TEXT_DETECTION", "OBJECT_TRACKING", "LOGO_RECOGNITION", "PERSON_DETECTION" ], "enumDescriptions": [ "Unspecified.", "Label detection. Detect objects, such as dog or flower.", "Shot change detection.", "Explicit content detection.", "Human face detection.", "Speech transcription.", "OCR text detection and tracking.", "Object detection and tracking.", "Logo detection, tracking, and recognition.", "Person detection." ] }, "progressPercent": { "type": "integer", "format": "int32", "description": "Approximate percentage processed thus far. Guaranteed to be 100 when fully processed." }, "inputUri": { "type": "string", "description": "Video file location in [Cloud Storage](https://cloud.google.com/storage/)." } }, "description": "Annotation progress for a single video.", "id": "GoogleCloudVideointelligenceV1p2beta1_VideoAnnotationProgress", "type": "object" }, "GoogleCloudVideointelligenceV1p1beta1_NormalizedBoundingBox": { "type": "object", "id": "GoogleCloudVideointelligenceV1p1beta1_NormalizedBoundingBox", "description": "Normalized bounding box. The normalized vertex coordinates are relative to the original image. Range: [0, 1].", "properties": { "top": { "format": "float", "type": "number", "description": "Top Y coordinate." }, "left": { "format": "float", "description": "Left X coordinate.", "type": "number" }, "right": { "format": "float", "type": "number", "description": "Right X coordinate." }, "bottom": { "description": "Bottom Y coordinate.", "type": "number", "format": "float" } } }, "GoogleCloudVideointelligenceV1_FaceDetectionAnnotation": { "type": "object", "properties": { "tracks": { "description": "The face tracks with attributes.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1_Track" } }, "version": { "type": "string", "description": "Feature version." }, "thumbnail": { "type": "string", "format": "byte", "description": "The thumbnail of a person's face." } }, "description": "Face detection annotation.", "id": "GoogleCloudVideointelligenceV1_FaceDetectionAnnotation" }, "GoogleCloudVideointelligenceV1p3beta1_NormalizedBoundingPoly": { "id": "GoogleCloudVideointelligenceV1p3beta1_NormalizedBoundingPoly", "type": "object", "properties": { "vertices": { "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_NormalizedVertex" }, "type": "array", "description": "Normalized vertices of the bounding polygon." } }, "description": "Normalized bounding polygon for text (that might not be aligned with axis). Contains list of the corner points in clockwise order starting from top-left corner. For example, for a rectangular bounding box: When the text is horizontal it might look like: 0----1 | | 3----2 When it's clockwise rotated 180 degrees around the top-left corner it becomes: 2----3 | | 1----0 and the vertex order will still be (0, 1, 2, 3). Note that values can be less than 0, or greater than 1 due to trignometric calculations for location of the box." }, "GoogleCloudVideointelligenceV1p3beta1_SpeechRecognitionAlternative": { "id": "GoogleCloudVideointelligenceV1p3beta1_SpeechRecognitionAlternative", "properties": { "transcript": { "type": "string", "description": "Transcript text representing the words that the user spoke." }, "words": { "readOnly": true, "description": "Output only. A list of word-specific information for each recognized word. Note: When `enable_speaker_diarization` is set to true, you will see all the words from the beginning of the audio.", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_WordInfo" }, "type": "array" }, "confidence": { "readOnly": true, "description": "Output only. The confidence estimate between 0.0 and 1.0. A higher number indicates an estimated greater likelihood that the recognized words are correct. This field is set only for the top alternative. This field is not guaranteed to be accurate and users should not rely on it to be always provided. The default of 0.0 is a sentinel value indicating `confidence` was not set.", "type": "number", "format": "float" } }, "description": "Alternative hypotheses (a.k.a. n-best list).", "type": "object" }, "GoogleCloudVideointelligenceV1beta2_ObjectTrackingAnnotation": { "properties": { "segment": { "$ref": "GoogleCloudVideointelligenceV1beta2_VideoSegment", "description": "Non-streaming batch mode ONLY. Each object track corresponds to one video segment where it appears." }, "version": { "description": "Feature version.", "type": "string" }, "trackId": { "format": "int64", "type": "string", "description": "Streaming mode ONLY. In streaming mode, we do not know the end time of a tracked object before it is completed. Hence, there is no VideoSegment info returned. Instead, we provide a unique identifiable integer track_id so that the customers can correlate the results of the ongoing ObjectTrackAnnotation of the same track_id over time." }, "confidence": { "description": "Object category's labeling confidence of this track.", "type": "number", "format": "float" }, "entity": { "description": "Entity to specify the object category that this track is labeled as.", "$ref": "GoogleCloudVideointelligenceV1beta2_Entity" }, "frames": { "description": "Information corresponding to all frames where this object track appears. Non-streaming batch mode: it may be one or multiple ObjectTrackingFrame messages in frames. Streaming mode: it can only be one ObjectTrackingFrame message in frames.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_ObjectTrackingFrame" } } }, "type": "object", "description": "Annotations corresponding to one tracked object.", "id": "GoogleCloudVideointelligenceV1beta2_ObjectTrackingAnnotation" }, "GoogleCloudVideointelligenceV1p2beta1_FaceAnnotation": { "id": "GoogleCloudVideointelligenceV1p2beta1_FaceAnnotation", "properties": { "thumbnail": { "type": "string", "description": "Thumbnail of a representative face view (in JPEG format).", "format": "byte" }, "segments": { "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_FaceSegment" }, "description": "All video segments where a face was detected.", "type": "array" }, "frames": { "description": "All video frames where a face was detected.", "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_FaceFrame" }, "type": "array" } }, "description": "Deprecated. No effect.", "type": "object" }, "GoogleCloudVideointelligenceV1beta2_ExplicitContentFrame": { "type": "object", "description": "Video frame level annotation results for explicit content.", "id": "GoogleCloudVideointelligenceV1beta2_ExplicitContentFrame", "properties": { "pornographyLikelihood": { "type": "string", "enum": [ "LIKELIHOOD_UNSPECIFIED", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ], "description": "Likelihood of the pornography content..", "enumDescriptions": [ "Unspecified likelihood.", "Very unlikely.", "Unlikely.", "Possible.", "Likely.", "Very likely." ] }, "timeOffset": { "format": "google-duration", "type": "string", "description": "Time-offset, relative to the beginning of the video, corresponding to the video frame for this location." } } }, "GoogleCloudVideointelligenceV1p1beta1_AnnotateVideoResponse": { "id": "GoogleCloudVideointelligenceV1p1beta1_AnnotateVideoResponse", "properties": { "annotationResults": { "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_VideoAnnotationResults" }, "type": "array", "description": "Annotation results for all videos specified in `AnnotateVideoRequest`." } }, "description": "Video annotation response. Included in the `response` field of the `Operation` returned by the `GetOperation` call of the `google::longrunning::Operations` service.", "type": "object" }, "GoogleCloudVideointelligenceV1p3beta1_WordInfo": { "type": "object", "id": "GoogleCloudVideointelligenceV1p3beta1_WordInfo", "properties": { "word": { "type": "string", "description": "The word corresponding to this set of information." }, "speakerTag": { "description": "Output only. A distinct integer value is assigned for every speaker within the audio. This field specifies which one of those speakers was detected to have spoken this word. Value ranges from 1 up to diarization_speaker_count, and is only set if speaker diarization is enabled.", "type": "integer", "format": "int32", "readOnly": true }, "endTime": { "format": "google-duration", "type": "string", "description": "Time offset relative to the beginning of the audio, and corresponding to the end of the spoken word. This field is only set if `enable_word_time_offsets=true` and only in the top hypothesis. This is an experimental feature and the accuracy of the time offset can vary." }, "startTime": { "type": "string", "description": "Time offset relative to the beginning of the audio, and corresponding to the start of the spoken word. This field is only set if `enable_word_time_offsets=true` and only in the top hypothesis. This is an experimental feature and the accuracy of the time offset can vary.", "format": "google-duration" }, "confidence": { "readOnly": true, "type": "number", "description": "Output only. The confidence estimate between 0.0 and 1.0. A higher number indicates an estimated greater likelihood that the recognized words are correct. This field is set only for the top alternative. This field is not guaranteed to be accurate and users should not rely on it to be always provided. The default of 0.0 is a sentinel value indicating `confidence` was not set.", "format": "float" } }, "description": "Word-specific information for recognized words. Word information is only included in the response when certain request parameters are set, such as `enable_word_time_offsets`." }, "GoogleCloudVideointelligenceV1p3beta1_FaceDetectionAnnotation": { "description": "Face detection annotation.", "properties": { "version": { "type": "string", "description": "Feature version." }, "tracks": { "type": "array", "description": "The face tracks with attributes.", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_Track" } }, "thumbnail": { "type": "string", "description": "The thumbnail of a person's face.", "format": "byte" } }, "type": "object", "id": "GoogleCloudVideointelligenceV1p3beta1_FaceDetectionAnnotation" }, "GoogleCloudVideointelligenceV1p1beta1_ExplicitContentAnnotation": { "properties": { "frames": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_ExplicitContentFrame" }, "description": "All video frames where explicit content was detected." }, "version": { "type": "string", "description": "Feature version." } }, "type": "object", "id": "GoogleCloudVideointelligenceV1p1beta1_ExplicitContentAnnotation", "description": "Explicit content annotation (based on per-frame visual signals only). If no explicit content has been detected in a frame, no annotations are present for that frame." }, "GoogleCloudVideointelligenceV1_TextDetectionConfig": { "type": "object", "properties": { "model": { "type": "string", "description": "Model to use for text detection. Supported values: \"builtin/stable\" (the default if unset) and \"builtin/latest\"." }, "languageHints": { "description": "Language hint can be specified if the language to be detected is known a priori. It can increase the accuracy of the detection. Language hint must be language code in BCP-47 format. Automatic language detection is performed if no hint is provided.", "items": { "type": "string" }, "type": "array" } }, "id": "GoogleCloudVideointelligenceV1_TextDetectionConfig", "description": "Config for TEXT_DETECTION." }, "GoogleCloudVideointelligenceV1beta2_ObjectTrackingFrame": { "type": "object", "description": "Video frame level annotations for object detection and tracking. This field stores per frame location, time offset, and confidence.", "id": "GoogleCloudVideointelligenceV1beta2_ObjectTrackingFrame", "properties": { "normalizedBoundingBox": { "description": "The normalized bounding box location of this object track for the frame.", "$ref": "GoogleCloudVideointelligenceV1beta2_NormalizedBoundingBox" }, "timeOffset": { "type": "string", "format": "google-duration", "description": "The timestamp of the frame in microseconds." } } }, "GoogleCloudVideointelligenceV1p3beta1_RecognizedCelebrity": { "properties": { "celebrity": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_Celebrity", "description": "The recognized celebrity." }, "confidence": { "format": "float", "description": "Recognition confidence. Range [0, 1].", "type": "number" } }, "description": "The recognized celebrity with confidence score.", "type": "object", "id": "GoogleCloudVideointelligenceV1p3beta1_RecognizedCelebrity" }, "GoogleCloudVideointelligenceV1p1beta1_TextFrame": { "description": "Video frame level annotation results for text annotation (OCR). Contains information regarding timestamp and bounding box locations for the frames containing detected OCR text snippets.", "properties": { "timeOffset": { "format": "google-duration", "type": "string", "description": "Timestamp of this frame." }, "rotatedBoundingBox": { "description": "Bounding polygon of the detected text for this frame.", "$ref": "GoogleCloudVideointelligenceV1p1beta1_NormalizedBoundingPoly" } }, "type": "object", "id": "GoogleCloudVideointelligenceV1p1beta1_TextFrame" }, "GoogleCloudVideointelligenceV1_PersonDetectionAnnotation": { "properties": { "tracks": { "items": { "$ref": "GoogleCloudVideointelligenceV1_Track" }, "type": "array", "description": "The detected tracks of a person." }, "version": { "description": "Feature version.", "type": "string" } }, "type": "object", "description": "Person detection annotation per video.", "id": "GoogleCloudVideointelligenceV1_PersonDetectionAnnotation" }, "GoogleCloudVideointelligenceV1p2beta1_PersonDetectionAnnotation": { "description": "Person detection annotation per video.", "id": "GoogleCloudVideointelligenceV1p2beta1_PersonDetectionAnnotation", "type": "object", "properties": { "version": { "type": "string", "description": "Feature version." }, "tracks": { "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_Track" }, "description": "The detected tracks of a person.", "type": "array" } } }, "GoogleCloudVideointelligenceV1p2beta1_NormalizedVertex": { "type": "object", "properties": { "x": { "type": "number", "format": "float", "description": "X coordinate." }, "y": { "format": "float", "description": "Y coordinate.", "type": "number" } }, "id": "GoogleCloudVideointelligenceV1p2beta1_NormalizedVertex", "description": "A vertex represents a 2D point in the image. NOTE: the normalized vertex coordinates are relative to the original image and range from 0 to 1." }, "GoogleCloudVideointelligenceV1p1beta1_NormalizedVertex": { "id": "GoogleCloudVideointelligenceV1p1beta1_NormalizedVertex", "description": "A vertex represents a 2D point in the image. NOTE: the normalized vertex coordinates are relative to the original image and range from 0 to 1.", "properties": { "y": { "type": "number", "format": "float", "description": "Y coordinate." }, "x": { "format": "float", "description": "X coordinate.", "type": "number" } }, "type": "object" }, "GoogleCloudVideointelligenceV1p3beta1_Track": { "description": "A track of an object instance.", "id": "GoogleCloudVideointelligenceV1p3beta1_Track", "properties": { "attributes": { "description": "Optional. Attributes in the track level.", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_DetectedAttribute" }, "type": "array" }, "segment": { "description": "Video segment of a track.", "$ref": "GoogleCloudVideointelligenceV1p3beta1_VideoSegment" }, "confidence": { "description": "Optional. The confidence score of the tracked object.", "format": "float", "type": "number" }, "timestampedObjects": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_TimestampedObject" }, "description": "The object with timestamp and attributes per frame in the track." } }, "type": "object" }, "GoogleCloudVideointelligenceV1beta2_TextAnnotation": { "description": "Annotations related to one detected OCR text snippet. This will contain the corresponding text, confidence value, and frame level information for each detection.", "properties": { "text": { "type": "string", "description": "The detected text." }, "segments": { "description": "All video segments where OCR detected text appears.", "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_TextSegment" }, "type": "array" }, "version": { "description": "Feature version.", "type": "string" } }, "id": "GoogleCloudVideointelligenceV1beta2_TextAnnotation", "type": "object" }, "GoogleCloudVideointelligenceV1_VideoAnnotationProgress": { "id": "GoogleCloudVideointelligenceV1_VideoAnnotationProgress", "description": "Annotation progress for a single video.", "properties": { "feature": { "type": "string", "description": "Specifies which feature is being tracked if the request contains more than one feature.", "enum": [ "FEATURE_UNSPECIFIED", "LABEL_DETECTION", "SHOT_CHANGE_DETECTION", "EXPLICIT_CONTENT_DETECTION", "FACE_DETECTION", "SPEECH_TRANSCRIPTION", "TEXT_DETECTION", "OBJECT_TRACKING", "LOGO_RECOGNITION", "PERSON_DETECTION" ], "enumDescriptions": [ "Unspecified.", "Label detection. Detect objects, such as dog or flower.", "Shot change detection.", "Explicit content detection.", "Human face detection.", "Speech transcription.", "OCR text detection and tracking.", "Object detection and tracking.", "Logo detection, tracking, and recognition.", "Person detection." ] }, "updateTime": { "description": "Time of the most recent update.", "format": "google-datetime", "type": "string" }, "progressPercent": { "type": "integer", "format": "int32", "description": "Approximate percentage processed thus far. Guaranteed to be 100 when fully processed." }, "inputUri": { "description": "Video file location in [Cloud Storage](https://cloud.google.com/storage/).", "type": "string" }, "segment": { "description": "Specifies which segment is being tracked if the request contains more than one segment.", "$ref": "GoogleCloudVideointelligenceV1_VideoSegment" }, "startTime": { "format": "google-datetime", "description": "Time when the request was received.", "type": "string" } }, "type": "object" }, "GoogleCloudVideointelligenceV1_VideoSegment": { "type": "object", "properties": { "startTimeOffset": { "format": "google-duration", "type": "string", "description": "Time-offset, relative to the beginning of the video, corresponding to the start of the segment (inclusive)." }, "endTimeOffset": { "type": "string", "format": "google-duration", "description": "Time-offset, relative to the beginning of the video, corresponding to the end of the segment (inclusive)." } }, "id": "GoogleCloudVideointelligenceV1_VideoSegment", "description": "Video segment." }, "GoogleCloudVideointelligenceV1_LabelFrame": { "id": "GoogleCloudVideointelligenceV1_LabelFrame", "properties": { "confidence": { "type": "number", "description": "Confidence that the label is accurate. Range: [0, 1].", "format": "float" }, "timeOffset": { "description": "Time-offset, relative to the beginning of the video, corresponding to the video frame for this location.", "type": "string", "format": "google-duration" } }, "description": "Video frame level annotation results for label detection.", "type": "object" }, "GoogleCloudVideointelligenceV1p2beta1_LabelAnnotation": { "id": "GoogleCloudVideointelligenceV1p2beta1_LabelAnnotation", "properties": { "entity": { "description": "Detected entity.", "$ref": "GoogleCloudVideointelligenceV1p2beta1_Entity" }, "segments": { "description": "All video segments where a label was detected.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_LabelSegment" } }, "version": { "description": "Feature version.", "type": "string" }, "frames": { "description": "All video frames where a label was detected.", "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_LabelFrame" }, "type": "array" }, "categoryEntities": { "description": "Common categories for the detected entity. For example, when the label is `Terrier`, the category is likely `dog`. And in some cases there might be more than one categories e.g., `Terrier` could also be a `pet`.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_Entity" } } }, "type": "object", "description": "Label annotation." }, "GoogleCloudVideointelligenceV1p3beta1_ExplicitContentFrame": { "properties": { "pornographyLikelihood": { "enumDescriptions": [ "Unspecified likelihood.", "Very unlikely.", "Unlikely.", "Possible.", "Likely.", "Very likely." ], "type": "string", "enum": [ "LIKELIHOOD_UNSPECIFIED", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ], "description": "Likelihood of the pornography content.." }, "timeOffset": { "description": "Time-offset, relative to the beginning of the video, corresponding to the video frame for this location.", "type": "string", "format": "google-duration" } }, "description": "Video frame level annotation results for explicit content.", "type": "object", "id": "GoogleCloudVideointelligenceV1p3beta1_ExplicitContentFrame" }, "GoogleCloudVideointelligenceV1p2beta1_ObjectTrackingAnnotation": { "type": "object", "id": "GoogleCloudVideointelligenceV1p2beta1_ObjectTrackingAnnotation", "description": "Annotations corresponding to one tracked object.", "properties": { "trackId": { "type": "string", "description": "Streaming mode ONLY. In streaming mode, we do not know the end time of a tracked object before it is completed. Hence, there is no VideoSegment info returned. Instead, we provide a unique identifiable integer track_id so that the customers can correlate the results of the ongoing ObjectTrackAnnotation of the same track_id over time.", "format": "int64" }, "frames": { "description": "Information corresponding to all frames where this object track appears. Non-streaming batch mode: it may be one or multiple ObjectTrackingFrame messages in frames. Streaming mode: it can only be one ObjectTrackingFrame message in frames.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_ObjectTrackingFrame" } }, "entity": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_Entity", "description": "Entity to specify the object category that this track is labeled as." }, "confidence": { "description": "Object category's labeling confidence of this track.", "type": "number", "format": "float" }, "version": { "type": "string", "description": "Feature version." }, "segment": { "description": "Non-streaming batch mode ONLY. Each object track corresponds to one video segment where it appears.", "$ref": "GoogleCloudVideointelligenceV1p2beta1_VideoSegment" } } }, "GoogleLongrunning_CancelOperationRequest": { "id": "GoogleLongrunning_CancelOperationRequest", "type": "object", "description": "The request message for Operations.CancelOperation.", "properties": {} }, "GoogleCloudVideointelligenceV1_LabelSegment": { "properties": { "confidence": { "type": "number", "description": "Confidence that the label is accurate. Range: [0, 1].", "format": "float" }, "segment": { "$ref": "GoogleCloudVideointelligenceV1_VideoSegment", "description": "Video segment where a label was detected." } }, "type": "object", "description": "Video segment level annotation results for label detection.", "id": "GoogleCloudVideointelligenceV1_LabelSegment" }, "GoogleCloudVideointelligenceV1beta2_AnnotateVideoProgress": { "id": "GoogleCloudVideointelligenceV1beta2_AnnotateVideoProgress", "properties": { "annotationProgress": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_VideoAnnotationProgress" }, "description": "Progress metadata for all videos specified in `AnnotateVideoRequest`." } }, "type": "object", "description": "Video annotation progress. Included in the `metadata` field of the `Operation` returned by the `GetOperation` call of the `google::longrunning::Operations` service." }, "GoogleCloudVideointelligenceV1_ExplicitContentDetectionConfig": { "properties": { "model": { "type": "string", "description": "Model to use for explicit content detection. Supported values: \"builtin/stable\" (the default if unset) and \"builtin/latest\"." } }, "type": "object", "description": "Config for EXPLICIT_CONTENT_DETECTION.", "id": "GoogleCloudVideointelligenceV1_ExplicitContentDetectionConfig" }, "GoogleCloudVideointelligenceV1p3beta1_LabelAnnotation": { "properties": { "entity": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_Entity", "description": "Detected entity." }, "frames": { "type": "array", "description": "All video frames where a label was detected.", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_LabelFrame" } }, "categoryEntities": { "description": "Common categories for the detected entity. For example, when the label is `Terrier`, the category is likely `dog`. And in some cases there might be more than one categories e.g., `Terrier` could also be a `pet`.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_Entity" } }, "version": { "description": "Feature version.", "type": "string" }, "segments": { "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_LabelSegment" }, "type": "array", "description": "All video segments where a label was detected." } }, "description": "Label annotation.", "id": "GoogleCloudVideointelligenceV1p3beta1_LabelAnnotation", "type": "object" }, "GoogleCloudVideointelligenceV1p1beta1_TextAnnotation": { "description": "Annotations related to one detected OCR text snippet. This will contain the corresponding text, confidence value, and frame level information for each detection.", "id": "GoogleCloudVideointelligenceV1p1beta1_TextAnnotation", "properties": { "version": { "description": "Feature version.", "type": "string" }, "segments": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_TextSegment" }, "description": "All video segments where OCR detected text appears." }, "text": { "description": "The detected text.", "type": "string" } }, "type": "object" }, "GoogleCloudVideointelligenceV1_ObjectTrackingFrame": { "id": "GoogleCloudVideointelligenceV1_ObjectTrackingFrame", "properties": { "normalizedBoundingBox": { "description": "The normalized bounding box location of this object track for the frame.", "$ref": "GoogleCloudVideointelligenceV1_NormalizedBoundingBox" }, "timeOffset": { "format": "google-duration", "type": "string", "description": "The timestamp of the frame in microseconds." } }, "type": "object", "description": "Video frame level annotations for object detection and tracking. This field stores per frame location, time offset, and confidence." }, "GoogleCloudVideointelligenceV1_Track": { "id": "GoogleCloudVideointelligenceV1_Track", "properties": { "confidence": { "type": "number", "format": "float", "description": "Optional. The confidence score of the tracked object." }, "timestampedObjects": { "items": { "$ref": "GoogleCloudVideointelligenceV1_TimestampedObject" }, "description": "The object with timestamp and attributes per frame in the track.", "type": "array" }, "attributes": { "type": "array", "description": "Optional. Attributes in the track level.", "items": { "$ref": "GoogleCloudVideointelligenceV1_DetectedAttribute" } }, "segment": { "description": "Video segment of a track.", "$ref": "GoogleCloudVideointelligenceV1_VideoSegment" } }, "description": "A track of an object instance.", "type": "object" }, "GoogleCloudVideointelligenceV1p3beta1_Celebrity": { "id": "GoogleCloudVideointelligenceV1p3beta1_Celebrity", "description": "Celebrity definition.", "properties": { "name": { "type": "string", "description": "The resource name of the celebrity. Have the format `video-intelligence/kg-mid` indicates a celebrity from preloaded gallery. kg-mid is the id in Google knowledge graph, which is unique for the celebrity." }, "description": { "type": "string", "description": "Textual description of additional information about the celebrity, if applicable." }, "displayName": { "type": "string", "description": "The celebrity name." } }, "type": "object" }, "GoogleCloudVideointelligenceV1p1beta1_PersonDetectionAnnotation": { "id": "GoogleCloudVideointelligenceV1p1beta1_PersonDetectionAnnotation", "type": "object", "description": "Person detection annotation per video.", "properties": { "version": { "type": "string", "description": "Feature version." }, "tracks": { "type": "array", "description": "The detected tracks of a person.", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_Track" } } } }, "GoogleCloudVideointelligenceV1p1beta1_LabelSegment": { "type": "object", "id": "GoogleCloudVideointelligenceV1p1beta1_LabelSegment", "description": "Video segment level annotation results for label detection.", "properties": { "confidence": { "description": "Confidence that the label is accurate. Range: [0, 1].", "format": "float", "type": "number" }, "segment": { "description": "Video segment where a label was detected.", "$ref": "GoogleCloudVideointelligenceV1p1beta1_VideoSegment" } } }, "GoogleCloudVideointelligenceV1beta2_NormalizedBoundingPoly": { "description": "Normalized bounding polygon for text (that might not be aligned with axis). Contains list of the corner points in clockwise order starting from top-left corner. For example, for a rectangular bounding box: When the text is horizontal it might look like: 0----1 | | 3----2 When it's clockwise rotated 180 degrees around the top-left corner it becomes: 2----3 | | 1----0 and the vertex order will still be (0, 1, 2, 3). Note that values can be less than 0, or greater than 1 due to trignometric calculations for location of the box.", "type": "object", "id": "GoogleCloudVideointelligenceV1beta2_NormalizedBoundingPoly", "properties": { "vertices": { "type": "array", "description": "Normalized vertices of the bounding polygon.", "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_NormalizedVertex" } } } }, "GoogleCloudVideointelligenceV1beta2_WordInfo": { "properties": { "confidence": { "description": "Output only. The confidence estimate between 0.0 and 1.0. A higher number indicates an estimated greater likelihood that the recognized words are correct. This field is set only for the top alternative. This field is not guaranteed to be accurate and users should not rely on it to be always provided. The default of 0.0 is a sentinel value indicating `confidence` was not set.", "format": "float", "type": "number", "readOnly": true }, "speakerTag": { "readOnly": true, "type": "integer", "description": "Output only. A distinct integer value is assigned for every speaker within the audio. This field specifies which one of those speakers was detected to have spoken this word. Value ranges from 1 up to diarization_speaker_count, and is only set if speaker diarization is enabled.", "format": "int32" }, "startTime": { "format": "google-duration", "description": "Time offset relative to the beginning of the audio, and corresponding to the start of the spoken word. This field is only set if `enable_word_time_offsets=true` and only in the top hypothesis. This is an experimental feature and the accuracy of the time offset can vary.", "type": "string" }, "endTime": { "description": "Time offset relative to the beginning of the audio, and corresponding to the end of the spoken word. This field is only set if `enable_word_time_offsets=true` and only in the top hypothesis. This is an experimental feature and the accuracy of the time offset can vary.", "type": "string", "format": "google-duration" }, "word": { "description": "The word corresponding to this set of information.", "type": "string" } }, "id": "GoogleCloudVideointelligenceV1beta2_WordInfo", "type": "object", "description": "Word-specific information for recognized words. Word information is only included in the response when certain request parameters are set, such as `enable_word_time_offsets`." }, "GoogleCloudVideointelligenceV1_TimestampedObject": { "description": "For tracking related features. An object at time_offset with attributes, and located with normalized_bounding_box.", "properties": { "timeOffset": { "type": "string", "format": "google-duration", "description": "Time-offset, relative to the beginning of the video, corresponding to the video frame for this object." }, "normalizedBoundingBox": { "description": "Normalized Bounding box in a frame, where the object is located.", "$ref": "GoogleCloudVideointelligenceV1_NormalizedBoundingBox" }, "attributes": { "description": "Optional. The attributes of the object in the bounding box.", "items": { "$ref": "GoogleCloudVideointelligenceV1_DetectedAttribute" }, "type": "array" }, "landmarks": { "type": "array", "description": "Optional. The detected landmarks.", "items": { "$ref": "GoogleCloudVideointelligenceV1_DetectedLandmark" } } }, "type": "object", "id": "GoogleCloudVideointelligenceV1_TimestampedObject" }, "GoogleCloudVideointelligenceV1beta2_TextFrame": { "properties": { "rotatedBoundingBox": { "$ref": "GoogleCloudVideointelligenceV1beta2_NormalizedBoundingPoly", "description": "Bounding polygon of the detected text for this frame." }, "timeOffset": { "type": "string", "description": "Timestamp of this frame.", "format": "google-duration" } }, "description": "Video frame level annotation results for text annotation (OCR). Contains information regarding timestamp and bounding box locations for the frames containing detected OCR text snippets.", "type": "object", "id": "GoogleCloudVideointelligenceV1beta2_TextFrame" }, "GoogleCloudVideointelligenceV1beta2_AnnotateVideoResponse": { "description": "Video annotation response. Included in the `response` field of the `Operation` returned by the `GetOperation` call of the `google::longrunning::Operations` service.", "type": "object", "id": "GoogleCloudVideointelligenceV1beta2_AnnotateVideoResponse", "properties": { "annotationResults": { "description": "Annotation results for all videos specified in `AnnotateVideoRequest`.", "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_VideoAnnotationResults" }, "type": "array" } } }, "GoogleCloudVideointelligenceV1p3beta1_LabelSegment": { "properties": { "segment": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_VideoSegment", "description": "Video segment where a label was detected." }, "confidence": { "description": "Confidence that the label is accurate. Range: [0, 1].", "type": "number", "format": "float" } }, "id": "GoogleCloudVideointelligenceV1p3beta1_LabelSegment", "description": "Video segment level annotation results for label detection.", "type": "object" }, "GoogleCloudVideointelligenceV1p1beta1_FaceAnnotation": { "description": "Deprecated. No effect.", "type": "object", "id": "GoogleCloudVideointelligenceV1p1beta1_FaceAnnotation", "properties": { "thumbnail": { "format": "byte", "description": "Thumbnail of a representative face view (in JPEG format).", "type": "string" }, "segments": { "description": "All video segments where a face was detected.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_FaceSegment" } }, "frames": { "type": "array", "description": "All video frames where a face was detected.", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_FaceFrame" } } } }, "GoogleCloudVideointelligenceV1p1beta1_FaceFrame": { "type": "object", "properties": { "timeOffset": { "description": "Time-offset, relative to the beginning of the video, corresponding to the video frame for this location.", "format": "google-duration", "type": "string" }, "normalizedBoundingBoxes": { "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_NormalizedBoundingBox" }, "type": "array", "description": "Normalized Bounding boxes in a frame. There can be more than one boxes if the same face is detected in multiple locations within the current frame." } }, "description": "Deprecated. No effect.", "id": "GoogleCloudVideointelligenceV1p1beta1_FaceFrame" }, "GoogleCloudVideointelligenceV1p3beta1_LogoRecognitionAnnotation": { "type": "object", "id": "GoogleCloudVideointelligenceV1p3beta1_LogoRecognitionAnnotation", "properties": { "entity": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_Entity", "description": "Entity category information to specify the logo class that all the logo tracks within this LogoRecognitionAnnotation are recognized as." }, "segments": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_VideoSegment" }, "description": "All video segments where the recognized logo appears. There might be multiple instances of the same logo class appearing in one VideoSegment." }, "tracks": { "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_Track" }, "description": "All logo tracks where the recognized logo appears. Each track corresponds to one logo instance appearing in consecutive frames.", "type": "array" } }, "description": "Annotation corresponding to one detected, tracked and recognized logo class." }, "GoogleCloudVideointelligenceV1_SpeechTranscription": { "properties": { "alternatives": { "items": { "$ref": "GoogleCloudVideointelligenceV1_SpeechRecognitionAlternative" }, "type": "array", "description": "May contain one or more recognition hypotheses (up to the maximum specified in `max_alternatives`). These alternatives are ordered in terms of accuracy, with the top (first) alternative being the most probable, as ranked by the recognizer." }, "languageCode": { "description": "Output only. The [BCP-47](https://www.rfc-editor.org/rfc/bcp/bcp47.txt) language tag of the language in this result. This language code was detected to have the most likelihood of being spoken in the audio.", "type": "string", "readOnly": true } }, "type": "object", "description": "A speech recognition result corresponding to a portion of the audio.", "id": "GoogleCloudVideointelligenceV1_SpeechTranscription" }, "GoogleCloudVideointelligenceV1p1beta1_TextSegment": { "type": "object", "id": "GoogleCloudVideointelligenceV1p1beta1_TextSegment", "description": "Video segment level annotation results for text detection.", "properties": { "frames": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_TextFrame" }, "description": "Information related to the frames where OCR detected text appears." }, "confidence": { "description": "Confidence for the track of detected text. It is calculated as the highest over all frames where OCR detected text appears.", "format": "float", "type": "number" }, "segment": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_VideoSegment", "description": "Video segment where a text snippet was detected." } } }, "GoogleCloudVideointelligenceV1beta2_TextSegment": { "properties": { "frames": { "description": "Information related to the frames where OCR detected text appears.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_TextFrame" } }, "confidence": { "description": "Confidence for the track of detected text. It is calculated as the highest over all frames where OCR detected text appears.", "format": "float", "type": "number" }, "segment": { "$ref": "GoogleCloudVideointelligenceV1beta2_VideoSegment", "description": "Video segment where a text snippet was detected." } }, "type": "object", "description": "Video segment level annotation results for text detection.", "id": "GoogleCloudVideointelligenceV1beta2_TextSegment" }, "GoogleCloudVideointelligenceV1p3beta1_ObjectTrackingFrame": { "id": "GoogleCloudVideointelligenceV1p3beta1_ObjectTrackingFrame", "type": "object", "properties": { "normalizedBoundingBox": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_NormalizedBoundingBox", "description": "The normalized bounding box location of this object track for the frame." }, "timeOffset": { "type": "string", "format": "google-duration", "description": "The timestamp of the frame in microseconds." } }, "description": "Video frame level annotations for object detection and tracking. This field stores per frame location, time offset, and confidence." }, "GoogleCloudVideointelligenceV1p2beta1_SpeechRecognitionAlternative": { "type": "object", "description": "Alternative hypotheses (a.k.a. n-best list).", "id": "GoogleCloudVideointelligenceV1p2beta1_SpeechRecognitionAlternative", "properties": { "confidence": { "description": "Output only. The confidence estimate between 0.0 and 1.0. A higher number indicates an estimated greater likelihood that the recognized words are correct. This field is set only for the top alternative. This field is not guaranteed to be accurate and users should not rely on it to be always provided. The default of 0.0 is a sentinel value indicating `confidence` was not set.", "readOnly": true, "format": "float", "type": "number" }, "transcript": { "description": "Transcript text representing the words that the user spoke.", "type": "string" }, "words": { "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_WordInfo" }, "readOnly": true, "description": "Output only. A list of word-specific information for each recognized word. Note: When `enable_speaker_diarization` is set to true, you will see all the words from the beginning of the audio.", "type": "array" } } }, "GoogleCloudVideointelligenceV1beta2_SpeechRecognitionAlternative": { "id": "GoogleCloudVideointelligenceV1beta2_SpeechRecognitionAlternative", "type": "object", "description": "Alternative hypotheses (a.k.a. n-best list).", "properties": { "confidence": { "readOnly": true, "format": "float", "type": "number", "description": "Output only. The confidence estimate between 0.0 and 1.0. A higher number indicates an estimated greater likelihood that the recognized words are correct. This field is set only for the top alternative. This field is not guaranteed to be accurate and users should not rely on it to be always provided. The default of 0.0 is a sentinel value indicating `confidence` was not set." }, "words": { "readOnly": true, "description": "Output only. A list of word-specific information for each recognized word. Note: When `enable_speaker_diarization` is set to true, you will see all the words from the beginning of the audio.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_WordInfo" } }, "transcript": { "description": "Transcript text representing the words that the user spoke.", "type": "string" } } }, "GoogleCloudVideointelligenceV1p2beta1_TextAnnotation": { "id": "GoogleCloudVideointelligenceV1p2beta1_TextAnnotation", "description": "Annotations related to one detected OCR text snippet. This will contain the corresponding text, confidence value, and frame level information for each detection.", "properties": { "version": { "type": "string", "description": "Feature version." }, "text": { "description": "The detected text.", "type": "string" }, "segments": { "description": "All video segments where OCR detected text appears.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_TextSegment" } } }, "type": "object" }, "GoogleCloudVideointelligenceV1p1beta1_ObjectTrackingAnnotation": { "id": "GoogleCloudVideointelligenceV1p1beta1_ObjectTrackingAnnotation", "type": "object", "properties": { "confidence": { "format": "float", "description": "Object category's labeling confidence of this track.", "type": "number" }, "trackId": { "description": "Streaming mode ONLY. In streaming mode, we do not know the end time of a tracked object before it is completed. Hence, there is no VideoSegment info returned. Instead, we provide a unique identifiable integer track_id so that the customers can correlate the results of the ongoing ObjectTrackAnnotation of the same track_id over time.", "type": "string", "format": "int64" }, "entity": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_Entity", "description": "Entity to specify the object category that this track is labeled as." }, "version": { "description": "Feature version.", "type": "string" }, "frames": { "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_ObjectTrackingFrame" }, "type": "array", "description": "Information corresponding to all frames where this object track appears. Non-streaming batch mode: it may be one or multiple ObjectTrackingFrame messages in frames. Streaming mode: it can only be one ObjectTrackingFrame message in frames." }, "segment": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_VideoSegment", "description": "Non-streaming batch mode ONLY. Each object track corresponds to one video segment where it appears." } }, "description": "Annotations corresponding to one tracked object." }, "GoogleCloudVideointelligenceV1beta2_FaceFrame": { "id": "GoogleCloudVideointelligenceV1beta2_FaceFrame", "type": "object", "properties": { "normalizedBoundingBoxes": { "description": "Normalized Bounding boxes in a frame. There can be more than one boxes if the same face is detected in multiple locations within the current frame.", "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_NormalizedBoundingBox" }, "type": "array" }, "timeOffset": { "description": "Time-offset, relative to the beginning of the video, corresponding to the video frame for this location.", "type": "string", "format": "google-duration" } }, "description": "Deprecated. No effect." }, "GoogleCloudVideointelligenceV1p2beta1_Entity": { "id": "GoogleCloudVideointelligenceV1p2beta1_Entity", "description": "Detected entity from video analysis.", "properties": { "entityId": { "type": "string", "description": "Opaque entity ID. Some IDs may be available in [Google Knowledge Graph Search API](https://developers.google.com/knowledge-graph/)." }, "description": { "type": "string", "description": "Textual description, e.g., `Fixed-gear bicycle`." }, "languageCode": { "type": "string", "description": "Language code for `description` in BCP-47 format." } }, "type": "object" }, "GoogleCloudVideointelligenceV1_DetectedLandmark": { "properties": { "name": { "description": "The name of this landmark, for example, left_hand, right_shoulder.", "type": "string" }, "confidence": { "format": "float", "type": "number", "description": "The confidence score of the detected landmark. Range [0, 1]." }, "point": { "$ref": "GoogleCloudVideointelligenceV1_NormalizedVertex", "description": "The 2D point of the detected landmark using the normalized image coordindate system. The normalized coordinates have the range from 0 to 1." } }, "description": "A generic detected landmark represented by name in string format and a 2D location.", "type": "object", "id": "GoogleCloudVideointelligenceV1_DetectedLandmark" }, "GoogleCloudVideointelligenceV1p3beta1_VideoAnnotationProgress": { "id": "GoogleCloudVideointelligenceV1p3beta1_VideoAnnotationProgress", "description": "Annotation progress for a single video.", "properties": { "updateTime": { "format": "google-datetime", "type": "string", "description": "Time of the most recent update." }, "inputUri": { "type": "string", "description": "Video file location in [Cloud Storage](https://cloud.google.com/storage/)." }, "progressPercent": { "format": "int32", "type": "integer", "description": "Approximate percentage processed thus far. Guaranteed to be 100 when fully processed." }, "feature": { "description": "Specifies which feature is being tracked if the request contains more than one feature.", "type": "string", "enum": [ "FEATURE_UNSPECIFIED", "LABEL_DETECTION", "SHOT_CHANGE_DETECTION", "EXPLICIT_CONTENT_DETECTION", "FACE_DETECTION", "SPEECH_TRANSCRIPTION", "TEXT_DETECTION", "OBJECT_TRACKING", "LOGO_RECOGNITION", "CELEBRITY_RECOGNITION", "PERSON_DETECTION" ], "enumDescriptions": [ "Unspecified.", "Label detection. Detect objects, such as dog or flower.", "Shot change detection.", "Explicit content detection.", "Human face detection.", "Speech transcription.", "OCR text detection and tracking.", "Object detection and tracking.", "Logo detection, tracking, and recognition.", "Celebrity recognition.", "Person detection." ] }, "startTime": { "format": "google-datetime", "type": "string", "description": "Time when the request was received." }, "segment": { "description": "Specifies which segment is being tracked if the request contains more than one segment.", "$ref": "GoogleCloudVideointelligenceV1p3beta1_VideoSegment" } }, "type": "object" }, "GoogleCloudVideointelligenceV1p3beta1_DetectedLandmark": { "type": "object", "properties": { "name": { "type": "string", "description": "The name of this landmark, for example, left_hand, right_shoulder." }, "confidence": { "description": "The confidence score of the detected landmark. Range [0, 1].", "format": "float", "type": "number" }, "point": { "description": "The 2D point of the detected landmark using the normalized image coordindate system. The normalized coordinates have the range from 0 to 1.", "$ref": "GoogleCloudVideointelligenceV1p3beta1_NormalizedVertex" } }, "description": "A generic detected landmark represented by name in string format and a 2D location.", "id": "GoogleCloudVideointelligenceV1p3beta1_DetectedLandmark" }, "GoogleCloudVideointelligenceV1beta2_PersonDetectionAnnotation": { "properties": { "version": { "description": "Feature version.", "type": "string" }, "tracks": { "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_Track" }, "description": "The detected tracks of a person.", "type": "array" } }, "description": "Person detection annotation per video.", "id": "GoogleCloudVideointelligenceV1beta2_PersonDetectionAnnotation", "type": "object" }, "GoogleCloudVideointelligenceV1p2beta1_FaceFrame": { "description": "Deprecated. No effect.", "id": "GoogleCloudVideointelligenceV1p2beta1_FaceFrame", "properties": { "timeOffset": { "type": "string", "format": "google-duration", "description": "Time-offset, relative to the beginning of the video, corresponding to the video frame for this location." }, "normalizedBoundingBoxes": { "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_NormalizedBoundingBox" }, "description": "Normalized Bounding boxes in a frame. There can be more than one boxes if the same face is detected in multiple locations within the current frame.", "type": "array" } }, "type": "object" }, "GoogleCloudVideointelligenceV1p2beta1_VideoSegment": { "type": "object", "description": "Video segment.", "properties": { "startTimeOffset": { "type": "string", "description": "Time-offset, relative to the beginning of the video, corresponding to the start of the segment (inclusive).", "format": "google-duration" }, "endTimeOffset": { "type": "string", "description": "Time-offset, relative to the beginning of the video, corresponding to the end of the segment (inclusive).", "format": "google-duration" } }, "id": "GoogleCloudVideointelligenceV1p2beta1_VideoSegment" }, "GoogleCloudVideointelligenceV1p2beta1_NormalizedBoundingPoly": { "description": "Normalized bounding polygon for text (that might not be aligned with axis). Contains list of the corner points in clockwise order starting from top-left corner. For example, for a rectangular bounding box: When the text is horizontal it might look like: 0----1 | | 3----2 When it's clockwise rotated 180 degrees around the top-left corner it becomes: 2----3 | | 1----0 and the vertex order will still be (0, 1, 2, 3). Note that values can be less than 0, or greater than 1 due to trignometric calculations for location of the box.", "properties": { "vertices": { "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_NormalizedVertex" }, "type": "array", "description": "Normalized vertices of the bounding polygon." } }, "type": "object", "id": "GoogleCloudVideointelligenceV1p2beta1_NormalizedBoundingPoly" }, "GoogleCloudVideointelligenceV1p3beta1_SpeechTranscription": { "type": "object", "id": "GoogleCloudVideointelligenceV1p3beta1_SpeechTranscription", "description": "A speech recognition result corresponding to a portion of the audio.", "properties": { "alternatives": { "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_SpeechRecognitionAlternative" }, "description": "May contain one or more recognition hypotheses (up to the maximum specified in `max_alternatives`). These alternatives are ordered in terms of accuracy, with the top (first) alternative being the most probable, as ranked by the recognizer.", "type": "array" }, "languageCode": { "description": "Output only. The [BCP-47](https://www.rfc-editor.org/rfc/bcp/bcp47.txt) language tag of the language in this result. This language code was detected to have the most likelihood of being spoken in the audio.", "readOnly": true, "type": "string" } } }, "GoogleCloudVideointelligenceV1p3beta1_NormalizedBoundingBox": { "type": "object", "description": "Normalized bounding box. The normalized vertex coordinates are relative to the original image. Range: [0, 1].", "id": "GoogleCloudVideointelligenceV1p3beta1_NormalizedBoundingBox", "properties": { "top": { "description": "Top Y coordinate.", "type": "number", "format": "float" }, "bottom": { "format": "float", "description": "Bottom Y coordinate.", "type": "number" }, "left": { "type": "number", "format": "float", "description": "Left X coordinate." }, "right": { "type": "number", "format": "float", "description": "Right X coordinate." } } }, "GoogleCloudVideointelligenceV1_SpeechTranscriptionConfig": { "description": "Config for SPEECH_TRANSCRIPTION.", "type": "object", "properties": { "speechContexts": { "items": { "$ref": "GoogleCloudVideointelligenceV1_SpeechContext" }, "type": "array", "description": "Optional. A means to provide context to assist the speech recognition." }, "enableSpeakerDiarization": { "description": "Optional. If 'true', enables speaker detection for each recognized word in the top alternative of the recognition result using a speaker_tag provided in the WordInfo. Note: When this is true, we send all the words from the beginning of the audio for the top alternative in every consecutive response. This is done in order to improve our speaker tags as our models learn to identify the speakers in the conversation over time.", "type": "boolean" }, "audioTracks": { "items": { "type": "integer", "format": "int32" }, "description": "Optional. For file formats, such as MXF or MKV, supporting multiple audio tracks, specify up to two tracks. Default: track 0.", "type": "array" }, "enableAutomaticPunctuation": { "type": "boolean", "description": "Optional. If 'true', adds punctuation to recognition result hypotheses. This feature is only available in select languages. Setting this for requests in other languages has no effect at all. The default 'false' value does not add punctuation to result hypotheses. NOTE: \"This is currently offered as an experimental service, complimentary to all users. In the future this may be exclusively available as a premium feature.\"" }, "languageCode": { "type": "string", "description": "Required. *Required* The language of the supplied audio as a [BCP-47](https://www.rfc-editor.org/rfc/bcp/bcp47.txt) language tag. Example: \"en-US\". See [Language Support](https://cloud.google.com/speech/docs/languages) for a list of the currently supported language codes." }, "enableWordConfidence": { "description": "Optional. If `true`, the top result includes a list of words and the confidence for those words. If `false`, no word-level confidence information is returned. The default is `false`.", "type": "boolean" }, "filterProfanity": { "type": "boolean", "description": "Optional. If set to `true`, the server will attempt to filter out profanities, replacing all but the initial character in each filtered word with asterisks, e.g. \"f***\". If set to `false` or omitted, profanities won't be filtered out." }, "maxAlternatives": { "type": "integer", "description": "Optional. Maximum number of recognition hypotheses to be returned. Specifically, the maximum number of `SpeechRecognitionAlternative` messages within each `SpeechTranscription`. The server may return fewer than `max_alternatives`. Valid values are `0`-`30`. A value of `0` or `1` will return a maximum of one. If omitted, will return a maximum of one.", "format": "int32" }, "diarizationSpeakerCount": { "type": "integer", "description": "Optional. If set, specifies the estimated number of speakers in the conversation. If not set, defaults to '2'. Ignored unless enable_speaker_diarization is set to true.", "format": "int32" } }, "id": "GoogleCloudVideointelligenceV1_SpeechTranscriptionConfig" }, "GoogleCloudVideointelligenceV1_NormalizedBoundingPoly": { "type": "object", "properties": { "vertices": { "items": { "$ref": "GoogleCloudVideointelligenceV1_NormalizedVertex" }, "description": "Normalized vertices of the bounding polygon.", "type": "array" } }, "description": "Normalized bounding polygon for text (that might not be aligned with axis). Contains list of the corner points in clockwise order starting from top-left corner. For example, for a rectangular bounding box: When the text is horizontal it might look like: 0----1 | | 3----2 When it's clockwise rotated 180 degrees around the top-left corner it becomes: 2----3 | | 1----0 and the vertex order will still be (0, 1, 2, 3). Note that values can be less than 0, or greater than 1 due to trignometric calculations for location of the box.", "id": "GoogleCloudVideointelligenceV1_NormalizedBoundingPoly" }, "GoogleCloudVideointelligenceV1p1beta1_DetectedAttribute": { "id": "GoogleCloudVideointelligenceV1p1beta1_DetectedAttribute", "description": "A generic detected attribute represented by name in string format.", "properties": { "confidence": { "type": "number", "format": "float", "description": "Detected attribute confidence. Range [0, 1]." }, "name": { "description": "The name of the attribute, for example, glasses, dark_glasses, mouth_open. A full list of supported type names will be provided in the document.", "type": "string" }, "value": { "description": "Text value of the detection result. For example, the value for \"HairColor\" can be \"black\", \"blonde\", etc.", "type": "string" } }, "type": "object" }, "GoogleCloudVideointelligenceV1_TextFrame": { "properties": { "rotatedBoundingBox": { "description": "Bounding polygon of the detected text for this frame.", "$ref": "GoogleCloudVideointelligenceV1_NormalizedBoundingPoly" }, "timeOffset": { "format": "google-duration", "type": "string", "description": "Timestamp of this frame." } }, "description": "Video frame level annotation results for text annotation (OCR). Contains information regarding timestamp and bounding box locations for the frames containing detected OCR text snippets.", "type": "object", "id": "GoogleCloudVideointelligenceV1_TextFrame" }, "GoogleCloudVideointelligenceV1beta2_VideoAnnotationResults": { "id": "GoogleCloudVideointelligenceV1beta2_VideoAnnotationResults", "type": "object", "description": "Annotation results for a single video.", "properties": { "segmentLabelAnnotations": { "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_LabelAnnotation" }, "type": "array", "description": "Topical label annotations on video level or user-specified segment level. There is exactly one element for each unique label." }, "logoRecognitionAnnotations": { "description": "Annotations for list of logos detected, tracked and recognized in video.", "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_LogoRecognitionAnnotation" }, "type": "array" }, "faceDetectionAnnotations": { "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_FaceDetectionAnnotation" }, "description": "Face detection annotations.", "type": "array" }, "shotLabelAnnotations": { "description": "Topical label annotations on shot level. There is exactly one element for each unique label.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_LabelAnnotation" } }, "textAnnotations": { "description": "OCR text detection and tracking. Annotations for list of detected text snippets. Each will have list of frame information associated with it.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_TextAnnotation" } }, "error": { "description": "If set, indicates an error. Note that for a single `AnnotateVideoRequest` some videos may succeed and some may fail.", "$ref": "GoogleRpc_Status" }, "shotAnnotations": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_VideoSegment" }, "description": "Shot annotations. Each shot is represented as a video segment." }, "faceAnnotations": { "description": "Deprecated. Please use `face_detection_annotations` instead.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_FaceAnnotation" } }, "explicitAnnotation": { "description": "Explicit content annotation.", "$ref": "GoogleCloudVideointelligenceV1beta2_ExplicitContentAnnotation" }, "segmentPresenceLabelAnnotations": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_LabelAnnotation" }, "description": "Presence label annotations on video level or user-specified segment level. There is exactly one element for each unique label. Compared to the existing topical `segment_label_annotations`, this field presents more fine-grained, segment-level labels detected in video content and is made available only when the client sets `LabelDetectionConfig.model` to \"builtin/latest\" in the request." }, "segment": { "$ref": "GoogleCloudVideointelligenceV1beta2_VideoSegment", "description": "Video segment on which the annotation is run." }, "objectAnnotations": { "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_ObjectTrackingAnnotation" }, "type": "array", "description": "Annotations for list of objects detected and tracked in video." }, "personDetectionAnnotations": { "type": "array", "description": "Person detection annotations.", "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_PersonDetectionAnnotation" } }, "speechTranscriptions": { "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_SpeechTranscription" }, "type": "array", "description": "Speech transcription." }, "frameLabelAnnotations": { "type": "array", "description": "Label annotations on frame level. There is exactly one element for each unique label.", "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_LabelAnnotation" } }, "inputUri": { "description": "Video file location in [Cloud Storage](https://cloud.google.com/storage/).", "type": "string" }, "shotPresenceLabelAnnotations": { "type": "array", "description": "Presence label annotations on shot level. There is exactly one element for each unique label. Compared to the existing topical `shot_label_annotations`, this field presents more fine-grained, shot-level labels detected in video content and is made available only when the client sets `LabelDetectionConfig.model` to \"builtin/latest\" in the request.", "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_LabelAnnotation" } } } }, "GoogleCloudVideointelligenceV1p3beta1_AnnotateVideoProgress": { "properties": { "annotationProgress": { "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_VideoAnnotationProgress" }, "description": "Progress metadata for all videos specified in `AnnotateVideoRequest`.", "type": "array" } }, "id": "GoogleCloudVideointelligenceV1p3beta1_AnnotateVideoProgress", "description": "Video annotation progress. Included in the `metadata` field of the `Operation` returned by the `GetOperation` call of the `google::longrunning::Operations` service.", "type": "object" }, "GoogleCloudVideointelligenceV1beta2_NormalizedBoundingBox": { "id": "GoogleCloudVideointelligenceV1beta2_NormalizedBoundingBox", "properties": { "left": { "description": "Left X coordinate.", "format": "float", "type": "number" }, "right": { "type": "number", "format": "float", "description": "Right X coordinate." }, "bottom": { "description": "Bottom Y coordinate.", "format": "float", "type": "number" }, "top": { "description": "Top Y coordinate.", "format": "float", "type": "number" } }, "type": "object", "description": "Normalized bounding box. The normalized vertex coordinates are relative to the original image. Range: [0, 1]." }, "GoogleCloudVideointelligenceV1_NormalizedVertex": { "type": "object", "properties": { "x": { "format": "float", "type": "number", "description": "X coordinate." }, "y": { "type": "number", "description": "Y coordinate.", "format": "float" } }, "description": "A vertex represents a 2D point in the image. NOTE: the normalized vertex coordinates are relative to the original image and range from 0 to 1.", "id": "GoogleCloudVideointelligenceV1_NormalizedVertex" }, "GoogleCloudVideointelligenceV1beta2_FaceDetectionAnnotation": { "id": "GoogleCloudVideointelligenceV1beta2_FaceDetectionAnnotation", "properties": { "version": { "type": "string", "description": "Feature version." }, "tracks": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_Track" }, "description": "The face tracks with attributes." }, "thumbnail": { "format": "byte", "description": "The thumbnail of a person's face.", "type": "string" } }, "type": "object", "description": "Face detection annotation." }, "GoogleCloudVideointelligenceV1p3beta1_VideoSegment": { "id": "GoogleCloudVideointelligenceV1p3beta1_VideoSegment", "type": "object", "properties": { "endTimeOffset": { "type": "string", "format": "google-duration", "description": "Time-offset, relative to the beginning of the video, corresponding to the end of the segment (inclusive)." }, "startTimeOffset": { "description": "Time-offset, relative to the beginning of the video, corresponding to the start of the segment (inclusive).", "format": "google-duration", "type": "string" } }, "description": "Video segment." }, "GoogleCloudVideointelligenceV1p1beta1_DetectedLandmark": { "id": "GoogleCloudVideointelligenceV1p1beta1_DetectedLandmark", "properties": { "name": { "type": "string", "description": "The name of this landmark, for example, left_hand, right_shoulder." }, "point": { "description": "The 2D point of the detected landmark using the normalized image coordindate system. The normalized coordinates have the range from 0 to 1.", "$ref": "GoogleCloudVideointelligenceV1p1beta1_NormalizedVertex" }, "confidence": { "description": "The confidence score of the detected landmark. Range [0, 1].", "type": "number", "format": "float" } }, "description": "A generic detected landmark represented by name in string format and a 2D location.", "type": "object" }, "GoogleCloudVideointelligenceV1beta2_Track": { "properties": { "timestampedObjects": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_TimestampedObject" }, "description": "The object with timestamp and attributes per frame in the track." }, "confidence": { "description": "Optional. The confidence score of the tracked object.", "format": "float", "type": "number" }, "attributes": { "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_DetectedAttribute" }, "description": "Optional. Attributes in the track level.", "type": "array" }, "segment": { "description": "Video segment of a track.", "$ref": "GoogleCloudVideointelligenceV1beta2_VideoSegment" } }, "id": "GoogleCloudVideointelligenceV1beta2_Track", "type": "object", "description": "A track of an object instance." }, "GoogleCloudVideointelligenceV1p2beta1_DetectedAttribute": { "description": "A generic detected attribute represented by name in string format.", "type": "object", "properties": { "confidence": { "format": "float", "type": "number", "description": "Detected attribute confidence. Range [0, 1]." }, "value": { "description": "Text value of the detection result. For example, the value for \"HairColor\" can be \"black\", \"blonde\", etc.", "type": "string" }, "name": { "description": "The name of the attribute, for example, glasses, dark_glasses, mouth_open. A full list of supported type names will be provided in the document.", "type": "string" } }, "id": "GoogleCloudVideointelligenceV1p2beta1_DetectedAttribute" }, "GoogleCloudVideointelligenceV1_FaceSegment": { "id": "GoogleCloudVideointelligenceV1_FaceSegment", "type": "object", "properties": { "segment": { "description": "Video segment where a face was detected.", "$ref": "GoogleCloudVideointelligenceV1_VideoSegment" } }, "description": "Video segment level annotation results for face detection." }, "GoogleCloudVideointelligenceV1_ExplicitContentFrame": { "type": "object", "description": "Video frame level annotation results for explicit content.", "properties": { "pornographyLikelihood": { "description": "Likelihood of the pornography content..", "enumDescriptions": [ "Unspecified likelihood.", "Very unlikely.", "Unlikely.", "Possible.", "Likely.", "Very likely." ], "type": "string", "enum": [ "LIKELIHOOD_UNSPECIFIED", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ] }, "timeOffset": { "format": "google-duration", "type": "string", "description": "Time-offset, relative to the beginning of the video, corresponding to the video frame for this location." } }, "id": "GoogleCloudVideointelligenceV1_ExplicitContentFrame" }, "GoogleCloudVideointelligenceV1p3beta1_StreamingVideoAnnotationResults": { "type": "object", "id": "GoogleCloudVideointelligenceV1p3beta1_StreamingVideoAnnotationResults", "properties": { "frameTimestamp": { "format": "google-duration", "description": "Timestamp of the processed frame in microseconds.", "type": "string" }, "shotAnnotations": { "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_VideoSegment" }, "description": "Shot annotation results. Each shot is represented as a video segment.", "type": "array" }, "objectAnnotations": { "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_ObjectTrackingAnnotation" }, "description": "Object tracking results.", "type": "array" }, "explicitAnnotation": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_ExplicitContentAnnotation", "description": "Explicit content annotation results." }, "labelAnnotations": { "type": "array", "description": "Label annotation results.", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_LabelAnnotation" } } }, "description": "Streaming annotation results corresponding to a portion of the video that is currently being processed. Only ONE type of annotation will be specified in the response." }, "GoogleCloudVideointelligenceV1p1beta1_SpeechTranscription": { "type": "object", "id": "GoogleCloudVideointelligenceV1p1beta1_SpeechTranscription", "description": "A speech recognition result corresponding to a portion of the audio.", "properties": { "alternatives": { "description": "May contain one or more recognition hypotheses (up to the maximum specified in `max_alternatives`). These alternatives are ordered in terms of accuracy, with the top (first) alternative being the most probable, as ranked by the recognizer.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_SpeechRecognitionAlternative" } }, "languageCode": { "readOnly": true, "description": "Output only. The [BCP-47](https://www.rfc-editor.org/rfc/bcp/bcp47.txt) language tag of the language in this result. This language code was detected to have the most likelihood of being spoken in the audio.", "type": "string" } } }, "GoogleCloudVideointelligenceV1_SpeechRecognitionAlternative": { "properties": { "confidence": { "type": "number", "readOnly": true, "description": "Output only. The confidence estimate between 0.0 and 1.0. A higher number indicates an estimated greater likelihood that the recognized words are correct. This field is set only for the top alternative. This field is not guaranteed to be accurate and users should not rely on it to be always provided. The default of 0.0 is a sentinel value indicating `confidence` was not set.", "format": "float" }, "words": { "items": { "$ref": "GoogleCloudVideointelligenceV1_WordInfo" }, "type": "array", "readOnly": true, "description": "Output only. A list of word-specific information for each recognized word. Note: When `enable_speaker_diarization` is set to true, you will see all the words from the beginning of the audio." }, "transcript": { "description": "Transcript text representing the words that the user spoke.", "type": "string" } }, "type": "object", "description": "Alternative hypotheses (a.k.a. n-best list).", "id": "GoogleCloudVideointelligenceV1_SpeechRecognitionAlternative" }, "GoogleCloudVideointelligenceV1p3beta1_LabelFrame": { "type": "object", "description": "Video frame level annotation results for label detection.", "properties": { "timeOffset": { "description": "Time-offset, relative to the beginning of the video, corresponding to the video frame for this location.", "type": "string", "format": "google-duration" }, "confidence": { "type": "number", "description": "Confidence that the label is accurate. Range: [0, 1].", "format": "float" } }, "id": "GoogleCloudVideointelligenceV1p3beta1_LabelFrame" }, "GoogleCloudVideointelligenceV1p1beta1_LabelFrame": { "properties": { "confidence": { "type": "number", "description": "Confidence that the label is accurate. Range: [0, 1].", "format": "float" }, "timeOffset": { "format": "google-duration", "description": "Time-offset, relative to the beginning of the video, corresponding to the video frame for this location.", "type": "string" } }, "id": "GoogleCloudVideointelligenceV1p1beta1_LabelFrame", "type": "object", "description": "Video frame level annotation results for label detection." }, "GoogleCloudVideointelligenceV1p2beta1_TextSegment": { "description": "Video segment level annotation results for text detection.", "id": "GoogleCloudVideointelligenceV1p2beta1_TextSegment", "properties": { "confidence": { "format": "float", "type": "number", "description": "Confidence for the track of detected text. It is calculated as the highest over all frames where OCR detected text appears." }, "segment": { "description": "Video segment where a text snippet was detected.", "$ref": "GoogleCloudVideointelligenceV1p2beta1_VideoSegment" }, "frames": { "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_TextFrame" }, "description": "Information related to the frames where OCR detected text appears.", "type": "array" } }, "type": "object" }, "GoogleCloudVideointelligenceV1p3beta1_ExplicitContentAnnotation": { "properties": { "version": { "type": "string", "description": "Feature version." }, "frames": { "type": "array", "description": "All video frames where explicit content was detected.", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_ExplicitContentFrame" } } }, "description": "Explicit content annotation (based on per-frame visual signals only). If no explicit content has been detected in a frame, no annotations are present for that frame.", "type": "object", "id": "GoogleCloudVideointelligenceV1p3beta1_ExplicitContentAnnotation" }, "GoogleCloudVideointelligenceV1beta2_LogoRecognitionAnnotation": { "type": "object", "description": "Annotation corresponding to one detected, tracked and recognized logo class.", "properties": { "tracks": { "description": "All logo tracks where the recognized logo appears. Each track corresponds to one logo instance appearing in consecutive frames.", "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_Track" }, "type": "array" }, "segments": { "description": "All video segments where the recognized logo appears. There might be multiple instances of the same logo class appearing in one VideoSegment.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_VideoSegment" } }, "entity": { "description": "Entity category information to specify the logo class that all the logo tracks within this LogoRecognitionAnnotation are recognized as.", "$ref": "GoogleCloudVideointelligenceV1beta2_Entity" } }, "id": "GoogleCloudVideointelligenceV1beta2_LogoRecognitionAnnotation" }, "GoogleCloudVideointelligenceV1p1beta1_LabelAnnotation": { "id": "GoogleCloudVideointelligenceV1p1beta1_LabelAnnotation", "properties": { "frames": { "description": "All video frames where a label was detected.", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_LabelFrame" }, "type": "array" }, "entity": { "description": "Detected entity.", "$ref": "GoogleCloudVideointelligenceV1p1beta1_Entity" }, "version": { "type": "string", "description": "Feature version." }, "segments": { "description": "All video segments where a label was detected.", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_LabelSegment" }, "type": "array" }, "categoryEntities": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_Entity" }, "description": "Common categories for the detected entity. For example, when the label is `Terrier`, the category is likely `dog`. And in some cases there might be more than one categories e.g., `Terrier` could also be a `pet`." } }, "type": "object", "description": "Label annotation." }, "GoogleCloudVideointelligenceV1p2beta1_FaceDetectionAnnotation": { "description": "Face detection annotation.", "type": "object", "id": "GoogleCloudVideointelligenceV1p2beta1_FaceDetectionAnnotation", "properties": { "tracks": { "description": "The face tracks with attributes.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_Track" } }, "thumbnail": { "description": "The thumbnail of a person's face.", "format": "byte", "type": "string" }, "version": { "type": "string", "description": "Feature version." } } }, "GoogleCloudVideointelligenceV1p3beta1_FaceSegment": { "properties": { "segment": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_VideoSegment", "description": "Video segment where a face was detected." } }, "type": "object", "id": "GoogleCloudVideointelligenceV1p3beta1_FaceSegment", "description": "Video segment level annotation results for face detection." }, "GoogleCloudVideointelligenceV1p1beta1_SpeechRecognitionAlternative": { "type": "object", "id": "GoogleCloudVideointelligenceV1p1beta1_SpeechRecognitionAlternative", "properties": { "confidence": { "type": "number", "readOnly": true, "format": "float", "description": "Output only. The confidence estimate between 0.0 and 1.0. A higher number indicates an estimated greater likelihood that the recognized words are correct. This field is set only for the top alternative. This field is not guaranteed to be accurate and users should not rely on it to be always provided. The default of 0.0 is a sentinel value indicating `confidence` was not set." }, "transcript": { "description": "Transcript text representing the words that the user spoke.", "type": "string" }, "words": { "readOnly": true, "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_WordInfo" }, "description": "Output only. A list of word-specific information for each recognized word. Note: When `enable_speaker_diarization` is set to true, you will see all the words from the beginning of the audio." } }, "description": "Alternative hypotheses (a.k.a. n-best list)." }, "GoogleCloudVideointelligenceV1p2beta1_SpeechTranscription": { "id": "GoogleCloudVideointelligenceV1p2beta1_SpeechTranscription", "properties": { "alternatives": { "type": "array", "description": "May contain one or more recognition hypotheses (up to the maximum specified in `max_alternatives`). These alternatives are ordered in terms of accuracy, with the top (first) alternative being the most probable, as ranked by the recognizer.", "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_SpeechRecognitionAlternative" } }, "languageCode": { "description": "Output only. The [BCP-47](https://www.rfc-editor.org/rfc/bcp/bcp47.txt) language tag of the language in this result. This language code was detected to have the most likelihood of being spoken in the audio.", "type": "string", "readOnly": true } }, "description": "A speech recognition result corresponding to a portion of the audio.", "type": "object" }, "GoogleCloudVideointelligenceV1p3beta1_DetectedAttribute": { "description": "A generic detected attribute represented by name in string format.", "id": "GoogleCloudVideointelligenceV1p3beta1_DetectedAttribute", "properties": { "name": { "description": "The name of the attribute, for example, glasses, dark_glasses, mouth_open. A full list of supported type names will be provided in the document.", "type": "string" }, "confidence": { "type": "number", "description": "Detected attribute confidence. Range [0, 1].", "format": "float" }, "value": { "type": "string", "description": "Text value of the detection result. For example, the value for \"HairColor\" can be \"black\", \"blonde\", etc." } }, "type": "object" }, "GoogleCloudVideointelligenceV1p1beta1_WordInfo": { "description": "Word-specific information for recognized words. Word information is only included in the response when certain request parameters are set, such as `enable_word_time_offsets`.", "type": "object", "properties": { "confidence": { "type": "number", "readOnly": true, "description": "Output only. The confidence estimate between 0.0 and 1.0. A higher number indicates an estimated greater likelihood that the recognized words are correct. This field is set only for the top alternative. This field is not guaranteed to be accurate and users should not rely on it to be always provided. The default of 0.0 is a sentinel value indicating `confidence` was not set.", "format": "float" }, "endTime": { "description": "Time offset relative to the beginning of the audio, and corresponding to the end of the spoken word. This field is only set if `enable_word_time_offsets=true` and only in the top hypothesis. This is an experimental feature and the accuracy of the time offset can vary.", "format": "google-duration", "type": "string" }, "word": { "type": "string", "description": "The word corresponding to this set of information." }, "startTime": { "description": "Time offset relative to the beginning of the audio, and corresponding to the start of the spoken word. This field is only set if `enable_word_time_offsets=true` and only in the top hypothesis. This is an experimental feature and the accuracy of the time offset can vary.", "type": "string", "format": "google-duration" }, "speakerTag": { "format": "int32", "description": "Output only. A distinct integer value is assigned for every speaker within the audio. This field specifies which one of those speakers was detected to have spoken this word. Value ranges from 1 up to diarization_speaker_count, and is only set if speaker diarization is enabled.", "readOnly": true, "type": "integer" } }, "id": "GoogleCloudVideointelligenceV1p1beta1_WordInfo" }, "GoogleCloudVideointelligenceV1p3beta1_CelebrityTrack": { "type": "object", "description": "The annotation result of a celebrity face track. RecognizedCelebrity field could be empty if the face track does not have any matched celebrities.", "id": "GoogleCloudVideointelligenceV1p3beta1_CelebrityTrack", "properties": { "celebrities": { "description": "Top N match of the celebrities for the face in this track.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_RecognizedCelebrity" } }, "faceTrack": { "description": "A track of a person's face.", "$ref": "GoogleCloudVideointelligenceV1p3beta1_Track" } } }, "GoogleCloudVideointelligenceV1_AnnotateVideoRequest": { "properties": { "locationId": { "description": "Optional. Cloud region where annotation should take place. Supported cloud regions are: `us-east1`, `us-west1`, `europe-west1`, `asia-east1`. If no region is specified, the region will be determined based on video file location.", "type": "string" }, "inputContent": { "type": "string", "format": "byte", "description": "The video data bytes. If unset, the input video(s) should be specified via the `input_uri`. If set, `input_uri` must be unset." }, "features": { "type": "array", "items": { "enumDescriptions": [ "Unspecified.", "Label detection. Detect objects, such as dog or flower.", "Shot change detection.", "Explicit content detection.", "Human face detection.", "Speech transcription.", "OCR text detection and tracking.", "Object detection and tracking.", "Logo detection, tracking, and recognition.", "Person detection." ], "enum": [ "FEATURE_UNSPECIFIED", "LABEL_DETECTION", "SHOT_CHANGE_DETECTION", "EXPLICIT_CONTENT_DETECTION", "FACE_DETECTION", "SPEECH_TRANSCRIPTION", "TEXT_DETECTION", "OBJECT_TRACKING", "LOGO_RECOGNITION", "PERSON_DETECTION" ], "type": "string" }, "description": "Required. Requested video annotation features." }, "videoContext": { "description": "Additional video context and/or feature-specific parameters.", "$ref": "GoogleCloudVideointelligenceV1_VideoContext" }, "inputUri": { "description": "Input video location. Currently, only [Cloud Storage](https://cloud.google.com/storage/) URIs are supported. URIs must be specified in the following format: `gs://bucket-id/object-id` (other URI formats return google.rpc.Code.INVALID_ARGUMENT). For more information, see [Request URIs](https://cloud.google.com/storage/docs/request-endpoints). To identify multiple videos, a video URI may include wildcards in the `object-id`. Supported wildcards: '*' to match 0 or more characters; '?' to match 1 character. If unset, the input video should be embedded in the request as `input_content`. If set, `input_content` must be unset.", "type": "string" }, "outputUri": { "type": "string", "description": "Optional. Location where the output (in JSON format) should be stored. Currently, only [Cloud Storage](https://cloud.google.com/storage/) URIs are supported. These must be specified in the following format: `gs://bucket-id/object-id` (other URI formats return google.rpc.Code.INVALID_ARGUMENT). For more information, see [Request URIs](https://cloud.google.com/storage/docs/request-endpoints)." } }, "type": "object", "id": "GoogleCloudVideointelligenceV1_AnnotateVideoRequest", "description": "Video annotation request." }, "GoogleCloudVideointelligenceV1p1beta1_Entity": { "properties": { "entityId": { "description": "Opaque entity ID. Some IDs may be available in [Google Knowledge Graph Search API](https://developers.google.com/knowledge-graph/).", "type": "string" }, "languageCode": { "description": "Language code for `description` in BCP-47 format.", "type": "string" }, "description": { "description": "Textual description, e.g., `Fixed-gear bicycle`.", "type": "string" } }, "description": "Detected entity from video analysis.", "id": "GoogleCloudVideointelligenceV1p1beta1_Entity", "type": "object" }, "GoogleCloudVideointelligenceV1p3beta1_AnnotateVideoResponse": { "properties": { "annotationResults": { "description": "Annotation results for all videos specified in `AnnotateVideoRequest`.", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_VideoAnnotationResults" }, "type": "array" } }, "id": "GoogleCloudVideointelligenceV1p3beta1_AnnotateVideoResponse", "type": "object", "description": "Video annotation response. Included in the `response` field of the `Operation` returned by the `GetOperation` call of the `google::longrunning::Operations` service." }, "GoogleCloudVideointelligenceV1_VideoAnnotationResults": { "type": "object", "id": "GoogleCloudVideointelligenceV1_VideoAnnotationResults", "description": "Annotation results for a single video.", "properties": { "faceAnnotations": { "items": { "$ref": "GoogleCloudVideointelligenceV1_FaceAnnotation" }, "description": "Deprecated. Please use `face_detection_annotations` instead.", "type": "array" }, "frameLabelAnnotations": { "items": { "$ref": "GoogleCloudVideointelligenceV1_LabelAnnotation" }, "type": "array", "description": "Label annotations on frame level. There is exactly one element for each unique label." }, "speechTranscriptions": { "type": "array", "description": "Speech transcription.", "items": { "$ref": "GoogleCloudVideointelligenceV1_SpeechTranscription" } }, "error": { "description": "If set, indicates an error. Note that for a single `AnnotateVideoRequest` some videos may succeed and some may fail.", "$ref": "GoogleRpc_Status" }, "inputUri": { "description": "Video file location in [Cloud Storage](https://cloud.google.com/storage/).", "type": "string" }, "shotPresenceLabelAnnotations": { "items": { "$ref": "GoogleCloudVideointelligenceV1_LabelAnnotation" }, "description": "Presence label annotations on shot level. There is exactly one element for each unique label. Compared to the existing topical `shot_label_annotations`, this field presents more fine-grained, shot-level labels detected in video content and is made available only when the client sets `LabelDetectionConfig.model` to \"builtin/latest\" in the request.", "type": "array" }, "objectAnnotations": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1_ObjectTrackingAnnotation" }, "description": "Annotations for list of objects detected and tracked in video." }, "faceDetectionAnnotations": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1_FaceDetectionAnnotation" }, "description": "Face detection annotations." }, "segmentLabelAnnotations": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1_LabelAnnotation" }, "description": "Topical label annotations on video level or user-specified segment level. There is exactly one element for each unique label." }, "personDetectionAnnotations": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1_PersonDetectionAnnotation" }, "description": "Person detection annotations." }, "logoRecognitionAnnotations": { "type": "array", "description": "Annotations for list of logos detected, tracked and recognized in video.", "items": { "$ref": "GoogleCloudVideointelligenceV1_LogoRecognitionAnnotation" } }, "segment": { "description": "Video segment on which the annotation is run.", "$ref": "GoogleCloudVideointelligenceV1_VideoSegment" }, "segmentPresenceLabelAnnotations": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1_LabelAnnotation" }, "description": "Presence label annotations on video level or user-specified segment level. There is exactly one element for each unique label. Compared to the existing topical `segment_label_annotations`, this field presents more fine-grained, segment-level labels detected in video content and is made available only when the client sets `LabelDetectionConfig.model` to \"builtin/latest\" in the request." }, "shotLabelAnnotations": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1_LabelAnnotation" }, "description": "Topical label annotations on shot level. There is exactly one element for each unique label." }, "explicitAnnotation": { "$ref": "GoogleCloudVideointelligenceV1_ExplicitContentAnnotation", "description": "Explicit content annotation." }, "textAnnotations": { "items": { "$ref": "GoogleCloudVideointelligenceV1_TextAnnotation" }, "description": "OCR text detection and tracking. Annotations for list of detected text snippets. Each will have list of frame information associated with it.", "type": "array" }, "shotAnnotations": { "items": { "$ref": "GoogleCloudVideointelligenceV1_VideoSegment" }, "description": "Shot annotations. Each shot is represented as a video segment.", "type": "array" } } }, "GoogleCloudVideointelligenceV1p2beta1_ExplicitContentFrame": { "properties": { "timeOffset": { "description": "Time-offset, relative to the beginning of the video, corresponding to the video frame for this location.", "type": "string", "format": "google-duration" }, "pornographyLikelihood": { "enumDescriptions": [ "Unspecified likelihood.", "Very unlikely.", "Unlikely.", "Possible.", "Likely.", "Very likely." ], "description": "Likelihood of the pornography content..", "enum": [ "LIKELIHOOD_UNSPECIFIED", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ], "type": "string" } }, "type": "object", "id": "GoogleCloudVideointelligenceV1p2beta1_ExplicitContentFrame", "description": "Video frame level annotation results for explicit content." }, "GoogleRpc_Status": { "type": "object", "id": "GoogleRpc_Status", "properties": { "code": { "format": "int32", "type": "integer", "description": "The status code, which should be an enum value of google.rpc.Code." }, "message": { "type": "string", "description": "A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client." }, "details": { "items": { "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "type": "object" }, "description": "A list of messages that carry the error details. There is a common set of message types for APIs to use.", "type": "array" } }, "description": "The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors)." }, "GoogleCloudVideointelligenceV1p3beta1_StreamingAnnotateVideoResponse": { "description": "`StreamingAnnotateVideoResponse` is the only message returned to the client by `StreamingAnnotateVideo`. A series of zero or more `StreamingAnnotateVideoResponse` messages are streamed back to the client.", "properties": { "error": { "$ref": "GoogleRpc_Status", "description": "If set, returns a google.rpc.Status message that specifies the error for the operation." }, "annotationResults": { "description": "Streaming annotation results.", "$ref": "GoogleCloudVideointelligenceV1p3beta1_StreamingVideoAnnotationResults" }, "annotationResultsUri": { "type": "string", "description": "Google Cloud Storage URI that stores annotation results of one streaming session in JSON format. It is the annotation_result_storage_directory from the request followed by '/cloud_project_number-session_id'." } }, "type": "object", "id": "GoogleCloudVideointelligenceV1p3beta1_StreamingAnnotateVideoResponse" }, "GoogleCloudVideointelligenceV1_TextSegment": { "type": "object", "properties": { "confidence": { "description": "Confidence for the track of detected text. It is calculated as the highest over all frames where OCR detected text appears.", "type": "number", "format": "float" }, "segment": { "description": "Video segment where a text snippet was detected.", "$ref": "GoogleCloudVideointelligenceV1_VideoSegment" }, "frames": { "description": "Information related to the frames where OCR detected text appears.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1_TextFrame" } } }, "description": "Video segment level annotation results for text detection.", "id": "GoogleCloudVideointelligenceV1_TextSegment" }, "GoogleCloudVideointelligenceV1p2beta1_LabelSegment": { "type": "object", "id": "GoogleCloudVideointelligenceV1p2beta1_LabelSegment", "properties": { "confidence": { "type": "number", "format": "float", "description": "Confidence that the label is accurate. Range: [0, 1]." }, "segment": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_VideoSegment", "description": "Video segment where a label was detected." } }, "description": "Video segment level annotation results for label detection." }, "GoogleCloudVideointelligenceV1p1beta1_AnnotateVideoProgress": { "properties": { "annotationProgress": { "description": "Progress metadata for all videos specified in `AnnotateVideoRequest`.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_VideoAnnotationProgress" } } }, "description": "Video annotation progress. Included in the `metadata` field of the `Operation` returned by the `GetOperation` call of the `google::longrunning::Operations` service.", "type": "object", "id": "GoogleCloudVideointelligenceV1p1beta1_AnnotateVideoProgress" }, "GoogleCloudVideointelligenceV1p2beta1_ExplicitContentAnnotation": { "id": "GoogleCloudVideointelligenceV1p2beta1_ExplicitContentAnnotation", "properties": { "frames": { "type": "array", "description": "All video frames where explicit content was detected.", "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_ExplicitContentFrame" } }, "version": { "type": "string", "description": "Feature version." } }, "type": "object", "description": "Explicit content annotation (based on per-frame visual signals only). If no explicit content has been detected in a frame, no annotations are present for that frame." }, "GoogleCloudVideointelligenceV1_NormalizedBoundingBox": { "type": "object", "description": "Normalized bounding box. The normalized vertex coordinates are relative to the original image. Range: [0, 1].", "properties": { "bottom": { "description": "Bottom Y coordinate.", "type": "number", "format": "float" }, "top": { "description": "Top Y coordinate.", "format": "float", "type": "number" }, "right": { "description": "Right X coordinate.", "format": "float", "type": "number" }, "left": { "type": "number", "description": "Left X coordinate.", "format": "float" } }, "id": "GoogleCloudVideointelligenceV1_NormalizedBoundingBox" }, "GoogleCloudVideointelligenceV1p3beta1_TextSegment": { "properties": { "confidence": { "format": "float", "description": "Confidence for the track of detected text. It is calculated as the highest over all frames where OCR detected text appears.", "type": "number" }, "segment": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_VideoSegment", "description": "Video segment where a text snippet was detected." }, "frames": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_TextFrame" }, "description": "Information related to the frames where OCR detected text appears." } }, "type": "object", "id": "GoogleCloudVideointelligenceV1p3beta1_TextSegment", "description": "Video segment level annotation results for text detection." }, "GoogleCloudVideointelligenceV1p3beta1_TextFrame": { "description": "Video frame level annotation results for text annotation (OCR). Contains information regarding timestamp and bounding box locations for the frames containing detected OCR text snippets.", "type": "object", "properties": { "timeOffset": { "type": "string", "format": "google-duration", "description": "Timestamp of this frame." }, "rotatedBoundingBox": { "description": "Bounding polygon of the detected text for this frame.", "$ref": "GoogleCloudVideointelligenceV1p3beta1_NormalizedBoundingPoly" } }, "id": "GoogleCloudVideointelligenceV1p3beta1_TextFrame" }, "GoogleCloudVideointelligenceV1_AnnotateVideoProgress": { "description": "Video annotation progress. Included in the `metadata` field of the `Operation` returned by the `GetOperation` call of the `google::longrunning::Operations` service.", "type": "object", "properties": { "annotationProgress": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1_VideoAnnotationProgress" }, "description": "Progress metadata for all videos specified in `AnnotateVideoRequest`." } }, "id": "GoogleCloudVideointelligenceV1_AnnotateVideoProgress" }, "GoogleCloudVideointelligenceV1p1beta1_VideoSegment": { "properties": { "startTimeOffset": { "description": "Time-offset, relative to the beginning of the video, corresponding to the start of the segment (inclusive).", "type": "string", "format": "google-duration" }, "endTimeOffset": { "format": "google-duration", "description": "Time-offset, relative to the beginning of the video, corresponding to the end of the segment (inclusive).", "type": "string" } }, "id": "GoogleCloudVideointelligenceV1p1beta1_VideoSegment", "description": "Video segment.", "type": "object" }, "GoogleCloudVideointelligenceV1beta2_VideoAnnotationProgress": { "type": "object", "id": "GoogleCloudVideointelligenceV1beta2_VideoAnnotationProgress", "description": "Annotation progress for a single video.", "properties": { "inputUri": { "type": "string", "description": "Video file location in [Cloud Storage](https://cloud.google.com/storage/)." }, "segment": { "$ref": "GoogleCloudVideointelligenceV1beta2_VideoSegment", "description": "Specifies which segment is being tracked if the request contains more than one segment." }, "startTime": { "description": "Time when the request was received.", "type": "string", "format": "google-datetime" }, "updateTime": { "description": "Time of the most recent update.", "format": "google-datetime", "type": "string" }, "feature": { "description": "Specifies which feature is being tracked if the request contains more than one feature.", "type": "string", "enum": [ "FEATURE_UNSPECIFIED", "LABEL_DETECTION", "SHOT_CHANGE_DETECTION", "EXPLICIT_CONTENT_DETECTION", "FACE_DETECTION", "SPEECH_TRANSCRIPTION", "TEXT_DETECTION", "OBJECT_TRACKING", "LOGO_RECOGNITION", "PERSON_DETECTION" ], "enumDescriptions": [ "Unspecified.", "Label detection. Detect objects, such as dog or flower.", "Shot change detection.", "Explicit content detection.", "Human face detection.", "Speech transcription.", "OCR text detection and tracking.", "Object detection and tracking.", "Logo detection, tracking, and recognition.", "Person detection." ] }, "progressPercent": { "type": "integer", "description": "Approximate percentage processed thus far. Guaranteed to be 100 when fully processed.", "format": "int32" } } }, "GoogleCloudVideointelligenceV1p3beta1_PersonDetectionAnnotation": { "description": "Person detection annotation per video.", "properties": { "tracks": { "description": "The detected tracks of a person.", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_Track" }, "type": "array" }, "version": { "type": "string", "description": "Feature version." } }, "type": "object", "id": "GoogleCloudVideointelligenceV1p3beta1_PersonDetectionAnnotation" }, "GoogleCloudVideointelligenceV1_WordInfo": { "type": "object", "id": "GoogleCloudVideointelligenceV1_WordInfo", "properties": { "endTime": { "description": "Time offset relative to the beginning of the audio, and corresponding to the end of the spoken word. This field is only set if `enable_word_time_offsets=true` and only in the top hypothesis. This is an experimental feature and the accuracy of the time offset can vary.", "type": "string", "format": "google-duration" }, "confidence": { "format": "float", "type": "number", "description": "Output only. The confidence estimate between 0.0 and 1.0. A higher number indicates an estimated greater likelihood that the recognized words are correct. This field is set only for the top alternative. This field is not guaranteed to be accurate and users should not rely on it to be always provided. The default of 0.0 is a sentinel value indicating `confidence` was not set.", "readOnly": true }, "word": { "description": "The word corresponding to this set of information.", "type": "string" }, "startTime": { "format": "google-duration", "type": "string", "description": "Time offset relative to the beginning of the audio, and corresponding to the start of the spoken word. This field is only set if `enable_word_time_offsets=true` and only in the top hypothesis. This is an experimental feature and the accuracy of the time offset can vary." }, "speakerTag": { "readOnly": true, "description": "Output only. A distinct integer value is assigned for every speaker within the audio. This field specifies which one of those speakers was detected to have spoken this word. Value ranges from 1 up to diarization_speaker_count, and is only set if speaker diarization is enabled.", "type": "integer", "format": "int32" } }, "description": "Word-specific information for recognized words. Word information is only included in the response when certain request parameters are set, such as `enable_word_time_offsets`." }, "GoogleCloudVideointelligenceV1_LabelDetectionConfig": { "type": "object", "description": "Config for LABEL_DETECTION.", "properties": { "frameConfidenceThreshold": { "format": "float", "type": "number", "description": "The confidence threshold we perform filtering on the labels from frame-level detection. If not set, it is set to 0.4 by default. The valid range for this threshold is [0.1, 0.9]. Any value set outside of this range will be clipped. Note: For best results, follow the default threshold. We will update the default threshold everytime when we release a new model." }, "model": { "description": "Model to use for label detection. Supported values: \"builtin/stable\" (the default if unset) and \"builtin/latest\".", "type": "string" }, "videoConfidenceThreshold": { "type": "number", "format": "float", "description": "The confidence threshold we perform filtering on the labels from video-level and shot-level detections. If not set, it's set to 0.3 by default. The valid range for this threshold is [0.1, 0.9]. Any value set outside of this range will be clipped. Note: For best results, follow the default threshold. We will update the default threshold everytime when we release a new model." }, "labelDetectionMode": { "enumDescriptions": [ "Unspecified.", "Detect shot-level labels.", "Detect frame-level labels.", "Detect both shot-level and frame-level labels." ], "description": "What labels should be detected with LABEL_DETECTION, in addition to video-level labels or segment-level labels. If unspecified, defaults to `SHOT_MODE`.", "enum": [ "LABEL_DETECTION_MODE_UNSPECIFIED", "SHOT_MODE", "FRAME_MODE", "SHOT_AND_FRAME_MODE" ], "type": "string" }, "stationaryCamera": { "description": "Whether the video has been shot from a stationary (i.e., non-moving) camera. When set to true, might improve detection accuracy for moving objects. Should be used with `SHOT_AND_FRAME_MODE` enabled.", "type": "boolean" } }, "id": "GoogleCloudVideointelligenceV1_LabelDetectionConfig" }, "GoogleCloudVideointelligenceV1p1beta1_FaceSegment": { "type": "object", "id": "GoogleCloudVideointelligenceV1p1beta1_FaceSegment", "description": "Video segment level annotation results for face detection.", "properties": { "segment": { "description": "Video segment where a face was detected.", "$ref": "GoogleCloudVideointelligenceV1p1beta1_VideoSegment" } } }, "GoogleCloudVideointelligenceV1beta2_SpeechTranscription": { "properties": { "alternatives": { "description": "May contain one or more recognition hypotheses (up to the maximum specified in `max_alternatives`). These alternatives are ordered in terms of accuracy, with the top (first) alternative being the most probable, as ranked by the recognizer.", "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_SpeechRecognitionAlternative" }, "type": "array" }, "languageCode": { "readOnly": true, "type": "string", "description": "Output only. The [BCP-47](https://www.rfc-editor.org/rfc/bcp/bcp47.txt) language tag of the language in this result. This language code was detected to have the most likelihood of being spoken in the audio." } }, "id": "GoogleCloudVideointelligenceV1beta2_SpeechTranscription", "type": "object", "description": "A speech recognition result corresponding to a portion of the audio." }, "GoogleCloudVideointelligenceV1_SpeechContext": { "description": "Provides \"hints\" to the speech recognizer to favor specific words and phrases in the results.", "type": "object", "properties": { "phrases": { "type": "array", "description": "Optional. A list of strings containing words and phrases \"hints\" so that the speech recognition is more likely to recognize them. This can be used to improve the accuracy for specific words and phrases, for example, if specific commands are typically spoken by the user. This can also be used to add additional words to the vocabulary of the recognizer. See [usage limits](https://cloud.google.com/speech/limits#content).", "items": { "type": "string" } } }, "id": "GoogleCloudVideointelligenceV1_SpeechContext" }, "GoogleCloudVideointelligenceV1p1beta1_TimestampedObject": { "properties": { "timeOffset": { "description": "Time-offset, relative to the beginning of the video, corresponding to the video frame for this object.", "format": "google-duration", "type": "string" }, "normalizedBoundingBox": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_NormalizedBoundingBox", "description": "Normalized Bounding box in a frame, where the object is located." }, "landmarks": { "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_DetectedLandmark" }, "type": "array", "description": "Optional. The detected landmarks." }, "attributes": { "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_DetectedAttribute" }, "type": "array", "description": "Optional. The attributes of the object in the bounding box." } }, "type": "object", "id": "GoogleCloudVideointelligenceV1p1beta1_TimestampedObject", "description": "For tracking related features. An object at time_offset with attributes, and located with normalized_bounding_box." }, "GoogleCloudVideointelligenceV1_LabelAnnotation": { "properties": { "categoryEntities": { "type": "array", "description": "Common categories for the detected entity. For example, when the label is `Terrier`, the category is likely `dog`. And in some cases there might be more than one categories e.g., `Terrier` could also be a `pet`.", "items": { "$ref": "GoogleCloudVideointelligenceV1_Entity" } }, "version": { "description": "Feature version.", "type": "string" }, "segments": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1_LabelSegment" }, "description": "All video segments where a label was detected." }, "frames": { "items": { "$ref": "GoogleCloudVideointelligenceV1_LabelFrame" }, "description": "All video frames where a label was detected.", "type": "array" }, "entity": { "$ref": "GoogleCloudVideointelligenceV1_Entity", "description": "Detected entity." } }, "type": "object", "description": "Label annotation.", "id": "GoogleCloudVideointelligenceV1_LabelAnnotation" }, "GoogleCloudVideointelligenceV1_TextAnnotation": { "description": "Annotations related to one detected OCR text snippet. This will contain the corresponding text, confidence value, and frame level information for each detection.", "type": "object", "id": "GoogleCloudVideointelligenceV1_TextAnnotation", "properties": { "segments": { "items": { "$ref": "GoogleCloudVideointelligenceV1_TextSegment" }, "description": "All video segments where OCR detected text appears.", "type": "array" }, "version": { "description": "Feature version.", "type": "string" }, "text": { "description": "The detected text.", "type": "string" } } }, "GoogleLongrunning_ListOperationsResponse": { "description": "The response message for Operations.ListOperations.", "id": "GoogleLongrunning_ListOperationsResponse", "type": "object", "properties": { "nextPageToken": { "type": "string", "description": "The standard List next-page token." }, "operations": { "type": "array", "items": { "$ref": "GoogleLongrunning_Operation" }, "description": "A list of operations that matches the specified filter in the request." } } }, "GoogleCloudVideointelligenceV1_DetectedAttribute": { "type": "object", "id": "GoogleCloudVideointelligenceV1_DetectedAttribute", "properties": { "confidence": { "format": "float", "description": "Detected attribute confidence. Range [0, 1].", "type": "number" }, "value": { "type": "string", "description": "Text value of the detection result. For example, the value for \"HairColor\" can be \"black\", \"blonde\", etc." }, "name": { "description": "The name of the attribute, for example, glasses, dark_glasses, mouth_open. A full list of supported type names will be provided in the document.", "type": "string" } }, "description": "A generic detected attribute represented by name in string format." }, "GoogleCloudVideointelligenceV1_FaceFrame": { "id": "GoogleCloudVideointelligenceV1_FaceFrame", "type": "object", "description": "Deprecated. No effect.", "properties": { "normalizedBoundingBoxes": { "description": "Normalized Bounding boxes in a frame. There can be more than one boxes if the same face is detected in multiple locations within the current frame.", "items": { "$ref": "GoogleCloudVideointelligenceV1_NormalizedBoundingBox" }, "type": "array" }, "timeOffset": { "format": "google-duration", "type": "string", "description": "Time-offset, relative to the beginning of the video, corresponding to the video frame for this location." } } }, "GoogleCloudVideointelligenceV1p2beta1_LabelFrame": { "type": "object", "properties": { "timeOffset": { "description": "Time-offset, relative to the beginning of the video, corresponding to the video frame for this location.", "format": "google-duration", "type": "string" }, "confidence": { "format": "float", "description": "Confidence that the label is accurate. Range: [0, 1].", "type": "number" } }, "id": "GoogleCloudVideointelligenceV1p2beta1_LabelFrame", "description": "Video frame level annotation results for label detection." }, "GoogleCloudVideointelligenceV1p2beta1_ObjectTrackingFrame": { "id": "GoogleCloudVideointelligenceV1p2beta1_ObjectTrackingFrame", "type": "object", "description": "Video frame level annotations for object detection and tracking. This field stores per frame location, time offset, and confidence.", "properties": { "normalizedBoundingBox": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_NormalizedBoundingBox", "description": "The normalized bounding box location of this object track for the frame." }, "timeOffset": { "format": "google-duration", "description": "The timestamp of the frame in microseconds.", "type": "string" } } }, "GoogleCloudVideointelligenceV1p1beta1_NormalizedBoundingPoly": { "properties": { "vertices": { "type": "array", "description": "Normalized vertices of the bounding polygon.", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_NormalizedVertex" } } }, "type": "object", "description": "Normalized bounding polygon for text (that might not be aligned with axis). Contains list of the corner points in clockwise order starting from top-left corner. For example, for a rectangular bounding box: When the text is horizontal it might look like: 0----1 | | 3----2 When it's clockwise rotated 180 degrees around the top-left corner it becomes: 2----3 | | 1----0 and the vertex order will still be (0, 1, 2, 3). Note that values can be less than 0, or greater than 1 due to trignometric calculations for location of the box.", "id": "GoogleCloudVideointelligenceV1p1beta1_NormalizedBoundingPoly" }, "GoogleCloudVideointelligenceV1p3beta1_FaceFrame": { "type": "object", "description": "Deprecated. No effect.", "id": "GoogleCloudVideointelligenceV1p3beta1_FaceFrame", "properties": { "timeOffset": { "description": "Time-offset, relative to the beginning of the video, corresponding to the video frame for this location.", "format": "google-duration", "type": "string" }, "normalizedBoundingBoxes": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_NormalizedBoundingBox" }, "description": "Normalized Bounding boxes in a frame. There can be more than one boxes if the same face is detected in multiple locations within the current frame." } } }, "GoogleCloudVideointelligenceV1p2beta1_TimestampedObject": { "properties": { "timeOffset": { "type": "string", "format": "google-duration", "description": "Time-offset, relative to the beginning of the video, corresponding to the video frame for this object." }, "normalizedBoundingBox": { "description": "Normalized Bounding box in a frame, where the object is located.", "$ref": "GoogleCloudVideointelligenceV1p2beta1_NormalizedBoundingBox" }, "landmarks": { "description": "Optional. The detected landmarks.", "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_DetectedLandmark" }, "type": "array" }, "attributes": { "description": "Optional. The attributes of the object in the bounding box.", "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_DetectedAttribute" }, "type": "array" } }, "type": "object", "id": "GoogleCloudVideointelligenceV1p2beta1_TimestampedObject", "description": "For tracking related features. An object at time_offset with attributes, and located with normalized_bounding_box." }, "GoogleCloudVideointelligenceV1p2beta1_Track": { "id": "GoogleCloudVideointelligenceV1p2beta1_Track", "description": "A track of an object instance.", "type": "object", "properties": { "attributes": { "description": "Optional. Attributes in the track level.", "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_DetectedAttribute" }, "type": "array" }, "segment": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_VideoSegment", "description": "Video segment of a track." }, "timestampedObjects": { "type": "array", "description": "The object with timestamp and attributes per frame in the track.", "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_TimestampedObject" } }, "confidence": { "description": "Optional. The confidence score of the tracked object.", "format": "float", "type": "number" } } }, "GoogleCloudVideointelligenceV1p3beta1_FaceAnnotation": { "id": "GoogleCloudVideointelligenceV1p3beta1_FaceAnnotation", "properties": { "segments": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_FaceSegment" }, "description": "All video segments where a face was detected." }, "thumbnail": { "type": "string", "description": "Thumbnail of a representative face view (in JPEG format).", "format": "byte" }, "frames": { "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_FaceFrame" }, "type": "array", "description": "All video frames where a face was detected." } }, "description": "Deprecated. No effect.", "type": "object" }, "GoogleCloudVideointelligenceV1_ShotChangeDetectionConfig": { "description": "Config for SHOT_CHANGE_DETECTION.", "type": "object", "properties": { "model": { "description": "Model to use for shot change detection. Supported values: \"builtin/stable\" (the default if unset), \"builtin/latest\", and \"builtin/legacy\".", "type": "string" } }, "id": "GoogleCloudVideointelligenceV1_ShotChangeDetectionConfig" }, "GoogleCloudVideointelligenceV1_VideoContext": { "properties": { "shotChangeDetectionConfig": { "$ref": "GoogleCloudVideointelligenceV1_ShotChangeDetectionConfig", "description": "Config for SHOT_CHANGE_DETECTION." }, "labelDetectionConfig": { "description": "Config for LABEL_DETECTION.", "$ref": "GoogleCloudVideointelligenceV1_LabelDetectionConfig" }, "segments": { "type": "array", "description": "Video segments to annotate. The segments may overlap and are not required to be contiguous or span the whole video. If unspecified, each video is treated as a single segment.", "items": { "$ref": "GoogleCloudVideointelligenceV1_VideoSegment" } }, "speechTranscriptionConfig": { "$ref": "GoogleCloudVideointelligenceV1_SpeechTranscriptionConfig", "description": "Config for SPEECH_TRANSCRIPTION." }, "personDetectionConfig": { "$ref": "GoogleCloudVideointelligenceV1_PersonDetectionConfig", "description": "Config for PERSON_DETECTION." }, "objectTrackingConfig": { "$ref": "GoogleCloudVideointelligenceV1_ObjectTrackingConfig", "description": "Config for OBJECT_TRACKING." }, "textDetectionConfig": { "$ref": "GoogleCloudVideointelligenceV1_TextDetectionConfig", "description": "Config for TEXT_DETECTION." }, "faceDetectionConfig": { "$ref": "GoogleCloudVideointelligenceV1_FaceDetectionConfig", "description": "Config for FACE_DETECTION." }, "explicitContentDetectionConfig": { "description": "Config for EXPLICIT_CONTENT_DETECTION.", "$ref": "GoogleCloudVideointelligenceV1_ExplicitContentDetectionConfig" } }, "type": "object", "description": "Video context and/or feature-specific parameters.", "id": "GoogleCloudVideointelligenceV1_VideoContext" }, "GoogleProtobuf_Empty": { "properties": {}, "id": "GoogleProtobuf_Empty", "type": "object", "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); } The JSON representation for `Empty` is empty JSON object `{}`." }, "GoogleCloudVideointelligenceV1_LogoRecognitionAnnotation": { "description": "Annotation corresponding to one detected, tracked and recognized logo class.", "id": "GoogleCloudVideointelligenceV1_LogoRecognitionAnnotation", "properties": { "entity": { "description": "Entity category information to specify the logo class that all the logo tracks within this LogoRecognitionAnnotation are recognized as.", "$ref": "GoogleCloudVideointelligenceV1_Entity" }, "tracks": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1_Track" }, "description": "All logo tracks where the recognized logo appears. Each track corresponds to one logo instance appearing in consecutive frames." }, "segments": { "description": "All video segments where the recognized logo appears. There might be multiple instances of the same logo class appearing in one VideoSegment.", "items": { "$ref": "GoogleCloudVideointelligenceV1_VideoSegment" }, "type": "array" } }, "type": "object" }, "GoogleCloudVideointelligenceV1p3beta1_VideoAnnotationResults": { "properties": { "frameLabelAnnotations": { "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_LabelAnnotation" }, "description": "Label annotations on frame level. There is exactly one element for each unique label.", "type": "array" }, "logoRecognitionAnnotations": { "description": "Annotations for list of logos detected, tracked and recognized in video.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_LogoRecognitionAnnotation" } }, "shotPresenceLabelAnnotations": { "description": "Presence label annotations on shot level. There is exactly one element for each unique label. Compared to the existing topical `shot_label_annotations`, this field presents more fine-grained, shot-level labels detected in video content and is made available only when the client sets `LabelDetectionConfig.model` to \"builtin/latest\" in the request.", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_LabelAnnotation" }, "type": "array" }, "segment": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_VideoSegment", "description": "Video segment on which the annotation is run." }, "faceAnnotations": { "type": "array", "description": "Deprecated. Please use `face_detection_annotations` instead.", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_FaceAnnotation" } }, "segmentPresenceLabelAnnotations": { "description": "Presence label annotations on video level or user-specified segment level. There is exactly one element for each unique label. Compared to the existing topical `segment_label_annotations`, this field presents more fine-grained, segment-level labels detected in video content and is made available only when the client sets `LabelDetectionConfig.model` to \"builtin/latest\" in the request.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_LabelAnnotation" } }, "inputUri": { "type": "string", "description": "Video file location in [Cloud Storage](https://cloud.google.com/storage/)." }, "shotLabelAnnotations": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_LabelAnnotation" }, "description": "Topical label annotations on shot level. There is exactly one element for each unique label." }, "explicitAnnotation": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_ExplicitContentAnnotation", "description": "Explicit content annotation." }, "faceDetectionAnnotations": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_FaceDetectionAnnotation" }, "description": "Face detection annotations." }, "error": { "description": "If set, indicates an error. Note that for a single `AnnotateVideoRequest` some videos may succeed and some may fail.", "$ref": "GoogleRpc_Status" }, "personDetectionAnnotations": { "description": "Person detection annotations.", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_PersonDetectionAnnotation" }, "type": "array" }, "celebrityRecognitionAnnotations": { "description": "Celebrity recognition annotations.", "$ref": "GoogleCloudVideointelligenceV1p3beta1_CelebrityRecognitionAnnotation" }, "speechTranscriptions": { "description": "Speech transcription.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_SpeechTranscription" } }, "objectAnnotations": { "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_ObjectTrackingAnnotation" }, "description": "Annotations for list of objects detected and tracked in video.", "type": "array" }, "textAnnotations": { "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_TextAnnotation" }, "description": "OCR text detection and tracking. Annotations for list of detected text snippets. Each will have list of frame information associated with it.", "type": "array" }, "shotAnnotations": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_VideoSegment" }, "description": "Shot annotations. Each shot is represented as a video segment." }, "segmentLabelAnnotations": { "description": "Topical label annotations on video level or user-specified segment level. There is exactly one element for each unique label.", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_LabelAnnotation" }, "type": "array" } }, "description": "Annotation results for a single video.", "type": "object", "id": "GoogleCloudVideointelligenceV1p3beta1_VideoAnnotationResults" }, "GoogleCloudVideointelligenceV1_ObjectTrackingAnnotation": { "type": "object", "id": "GoogleCloudVideointelligenceV1_ObjectTrackingAnnotation", "properties": { "version": { "type": "string", "description": "Feature version." }, "confidence": { "type": "number", "description": "Object category's labeling confidence of this track.", "format": "float" }, "frames": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1_ObjectTrackingFrame" }, "description": "Information corresponding to all frames where this object track appears. Non-streaming batch mode: it may be one or multiple ObjectTrackingFrame messages in frames. Streaming mode: it can only be one ObjectTrackingFrame message in frames." }, "trackId": { "description": "Streaming mode ONLY. In streaming mode, we do not know the end time of a tracked object before it is completed. Hence, there is no VideoSegment info returned. Instead, we provide a unique identifiable integer track_id so that the customers can correlate the results of the ongoing ObjectTrackAnnotation of the same track_id over time.", "format": "int64", "type": "string" }, "entity": { "description": "Entity to specify the object category that this track is labeled as.", "$ref": "GoogleCloudVideointelligenceV1_Entity" }, "segment": { "$ref": "GoogleCloudVideointelligenceV1_VideoSegment", "description": "Non-streaming batch mode ONLY. Each object track corresponds to one video segment where it appears." } }, "description": "Annotations corresponding to one tracked object." }, "GoogleCloudVideointelligenceV1beta2_LabelFrame": { "description": "Video frame level annotation results for label detection.", "properties": { "timeOffset": { "type": "string", "format": "google-duration", "description": "Time-offset, relative to the beginning of the video, corresponding to the video frame for this location." }, "confidence": { "format": "float", "description": "Confidence that the label is accurate. Range: [0, 1].", "type": "number" } }, "id": "GoogleCloudVideointelligenceV1beta2_LabelFrame", "type": "object" }, "GoogleCloudVideointelligenceV1_FaceDetectionConfig": { "properties": { "includeAttributes": { "description": "Whether to enable face attributes detection, such as glasses, dark_glasses, mouth_open etc. Ignored if 'include_bounding_boxes' is set to false.", "type": "boolean" }, "model": { "type": "string", "description": "Model to use for face detection. Supported values: \"builtin/stable\" (the default if unset) and \"builtin/latest\"." }, "includeBoundingBoxes": { "description": "Whether bounding boxes are included in the face annotation output.", "type": "boolean" } }, "id": "GoogleCloudVideointelligenceV1_FaceDetectionConfig", "description": "Config for FACE_DETECTION.", "type": "object" }, "GoogleCloudVideointelligenceV1p1beta1_VideoAnnotationResults": { "description": "Annotation results for a single video.", "properties": { "shotPresenceLabelAnnotations": { "description": "Presence label annotations on shot level. There is exactly one element for each unique label. Compared to the existing topical `shot_label_annotations`, this field presents more fine-grained, shot-level labels detected in video content and is made available only when the client sets `LabelDetectionConfig.model` to \"builtin/latest\" in the request.", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_LabelAnnotation" }, "type": "array" }, "personDetectionAnnotations": { "description": "Person detection annotations.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_PersonDetectionAnnotation" } }, "faceAnnotations": { "description": "Deprecated. Please use `face_detection_annotations` instead.", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_FaceAnnotation" }, "type": "array" }, "speechTranscriptions": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_SpeechTranscription" }, "description": "Speech transcription." }, "segmentPresenceLabelAnnotations": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_LabelAnnotation" }, "description": "Presence label annotations on video level or user-specified segment level. There is exactly one element for each unique label. Compared to the existing topical `segment_label_annotations`, this field presents more fine-grained, segment-level labels detected in video content and is made available only when the client sets `LabelDetectionConfig.model` to \"builtin/latest\" in the request." }, "logoRecognitionAnnotations": { "description": "Annotations for list of logos detected, tracked and recognized in video.", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_LogoRecognitionAnnotation" }, "type": "array" }, "inputUri": { "type": "string", "description": "Video file location in [Cloud Storage](https://cloud.google.com/storage/)." }, "faceDetectionAnnotations": { "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_FaceDetectionAnnotation" }, "description": "Face detection annotations.", "type": "array" }, "segment": { "description": "Video segment on which the annotation is run.", "$ref": "GoogleCloudVideointelligenceV1p1beta1_VideoSegment" }, "shotAnnotations": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_VideoSegment" }, "description": "Shot annotations. Each shot is represented as a video segment." }, "segmentLabelAnnotations": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_LabelAnnotation" }, "description": "Topical label annotations on video level or user-specified segment level. There is exactly one element for each unique label." }, "explicitAnnotation": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_ExplicitContentAnnotation", "description": "Explicit content annotation." }, "frameLabelAnnotations": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_LabelAnnotation" }, "description": "Label annotations on frame level. There is exactly one element for each unique label." }, "textAnnotations": { "description": "OCR text detection and tracking. Annotations for list of detected text snippets. Each will have list of frame information associated with it.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_TextAnnotation" } }, "shotLabelAnnotations": { "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_LabelAnnotation" }, "description": "Topical label annotations on shot level. There is exactly one element for each unique label.", "type": "array" }, "error": { "description": "If set, indicates an error. Note that for a single `AnnotateVideoRequest` some videos may succeed and some may fail.", "$ref": "GoogleRpc_Status" }, "objectAnnotations": { "type": "array", "description": "Annotations for list of objects detected and tracked in video.", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_ObjectTrackingAnnotation" } } }, "type": "object", "id": "GoogleCloudVideointelligenceV1p1beta1_VideoAnnotationResults" }, "GoogleCloudVideointelligenceV1beta2_LabelAnnotation": { "properties": { "entity": { "description": "Detected entity.", "$ref": "GoogleCloudVideointelligenceV1beta2_Entity" }, "version": { "description": "Feature version.", "type": "string" }, "frames": { "type": "array", "description": "All video frames where a label was detected.", "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_LabelFrame" } }, "segments": { "description": "All video segments where a label was detected.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_LabelSegment" } }, "categoryEntities": { "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_Entity" }, "description": "Common categories for the detected entity. For example, when the label is `Terrier`, the category is likely `dog`. And in some cases there might be more than one categories e.g., `Terrier` could also be a `pet`.", "type": "array" } }, "description": "Label annotation.", "type": "object", "id": "GoogleCloudVideointelligenceV1beta2_LabelAnnotation" }, "GoogleCloudVideointelligenceV1_ExplicitContentAnnotation": { "id": "GoogleCloudVideointelligenceV1_ExplicitContentAnnotation", "description": "Explicit content annotation (based on per-frame visual signals only). If no explicit content has been detected in a frame, no annotations are present for that frame.", "properties": { "frames": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1_ExplicitContentFrame" }, "description": "All video frames where explicit content was detected." }, "version": { "type": "string", "description": "Feature version." } }, "type": "object" }, "GoogleCloudVideointelligenceV1_PersonDetectionConfig": { "id": "GoogleCloudVideointelligenceV1_PersonDetectionConfig", "description": "Config for PERSON_DETECTION.", "properties": { "includePoseLandmarks": { "type": "boolean", "description": "Whether to enable pose landmarks detection. Ignored if 'include_bounding_boxes' is set to false." }, "includeAttributes": { "type": "boolean", "description": "Whether to enable person attributes detection, such as cloth color (black, blue, etc), type (coat, dress, etc), pattern (plain, floral, etc), hair, etc. Ignored if 'include_bounding_boxes' is set to false." }, "includeBoundingBoxes": { "type": "boolean", "description": "Whether bounding boxes are included in the person detection annotation output." } }, "type": "object" }, "GoogleCloudVideointelligenceV1p2beta1_VideoAnnotationResults": { "properties": { "segmentPresenceLabelAnnotations": { "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_LabelAnnotation" }, "type": "array", "description": "Presence label annotations on video level or user-specified segment level. There is exactly one element for each unique label. Compared to the existing topical `segment_label_annotations`, this field presents more fine-grained, segment-level labels detected in video content and is made available only when the client sets `LabelDetectionConfig.model` to \"builtin/latest\" in the request." }, "personDetectionAnnotations": { "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_PersonDetectionAnnotation" }, "type": "array", "description": "Person detection annotations." }, "frameLabelAnnotations": { "description": "Label annotations on frame level. There is exactly one element for each unique label.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_LabelAnnotation" } }, "segment": { "description": "Video segment on which the annotation is run.", "$ref": "GoogleCloudVideointelligenceV1p2beta1_VideoSegment" }, "shotLabelAnnotations": { "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_LabelAnnotation" }, "type": "array", "description": "Topical label annotations on shot level. There is exactly one element for each unique label." }, "inputUri": { "type": "string", "description": "Video file location in [Cloud Storage](https://cloud.google.com/storage/)." }, "logoRecognitionAnnotations": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_LogoRecognitionAnnotation" }, "description": "Annotations for list of logos detected, tracked and recognized in video." }, "faceAnnotations": { "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_FaceAnnotation" }, "description": "Deprecated. Please use `face_detection_annotations` instead.", "type": "array" }, "shotAnnotations": { "description": "Shot annotations. Each shot is represented as a video segment.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_VideoSegment" } }, "speechTranscriptions": { "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_SpeechTranscription" }, "type": "array", "description": "Speech transcription." }, "segmentLabelAnnotations": { "description": "Topical label annotations on video level or user-specified segment level. There is exactly one element for each unique label.", "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_LabelAnnotation" }, "type": "array" }, "faceDetectionAnnotations": { "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_FaceDetectionAnnotation" }, "description": "Face detection annotations.", "type": "array" }, "objectAnnotations": { "description": "Annotations for list of objects detected and tracked in video.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_ObjectTrackingAnnotation" } }, "textAnnotations": { "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_TextAnnotation" }, "type": "array", "description": "OCR text detection and tracking. Annotations for list of detected text snippets. Each will have list of frame information associated with it." }, "explicitAnnotation": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_ExplicitContentAnnotation", "description": "Explicit content annotation." }, "shotPresenceLabelAnnotations": { "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_LabelAnnotation" }, "description": "Presence label annotations on shot level. There is exactly one element for each unique label. Compared to the existing topical `shot_label_annotations`, this field presents more fine-grained, shot-level labels detected in video content and is made available only when the client sets `LabelDetectionConfig.model` to \"builtin/latest\" in the request.", "type": "array" }, "error": { "description": "If set, indicates an error. Note that for a single `AnnotateVideoRequest` some videos may succeed and some may fail.", "$ref": "GoogleRpc_Status" } }, "type": "object", "description": "Annotation results for a single video.", "id": "GoogleCloudVideointelligenceV1p2beta1_VideoAnnotationResults" }, "GoogleCloudVideointelligenceV1beta2_FaceAnnotation": { "properties": { "frames": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_FaceFrame" }, "description": "All video frames where a face was detected." }, "segments": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_FaceSegment" }, "description": "All video segments where a face was detected." }, "thumbnail": { "description": "Thumbnail of a representative face view (in JPEG format).", "format": "byte", "type": "string" } }, "description": "Deprecated. No effect.", "id": "GoogleCloudVideointelligenceV1beta2_FaceAnnotation", "type": "object" }, "GoogleCloudVideointelligenceV1p1beta1_FaceDetectionAnnotation": { "properties": { "version": { "type": "string", "description": "Feature version." }, "tracks": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_Track" }, "description": "The face tracks with attributes." }, "thumbnail": { "type": "string", "description": "The thumbnail of a person's face.", "format": "byte" } }, "type": "object", "description": "Face detection annotation.", "id": "GoogleCloudVideointelligenceV1p1beta1_FaceDetectionAnnotation" }, "GoogleCloudVideointelligenceV1p2beta1_AnnotateVideoResponse": { "type": "object", "description": "Video annotation response. Included in the `response` field of the `Operation` returned by the `GetOperation` call of the `google::longrunning::Operations` service.", "id": "GoogleCloudVideointelligenceV1p2beta1_AnnotateVideoResponse", "properties": { "annotationResults": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_VideoAnnotationResults" }, "description": "Annotation results for all videos specified in `AnnotateVideoRequest`." } } }, "GoogleCloudVideointelligenceV1beta2_DetectedAttribute": { "properties": { "name": { "type": "string", "description": "The name of the attribute, for example, glasses, dark_glasses, mouth_open. A full list of supported type names will be provided in the document." }, "value": { "type": "string", "description": "Text value of the detection result. For example, the value for \"HairColor\" can be \"black\", \"blonde\", etc." }, "confidence": { "type": "number", "description": "Detected attribute confidence. Range [0, 1].", "format": "float" } }, "type": "object", "id": "GoogleCloudVideointelligenceV1beta2_DetectedAttribute", "description": "A generic detected attribute represented by name in string format." }, "GoogleCloudVideointelligenceV1p3beta1_TimestampedObject": { "properties": { "landmarks": { "type": "array", "description": "Optional. The detected landmarks.", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_DetectedLandmark" } }, "attributes": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_DetectedAttribute" }, "description": "Optional. The attributes of the object in the bounding box." }, "timeOffset": { "type": "string", "format": "google-duration", "description": "Time-offset, relative to the beginning of the video, corresponding to the video frame for this object." }, "normalizedBoundingBox": { "description": "Normalized Bounding box in a frame, where the object is located.", "$ref": "GoogleCloudVideointelligenceV1p3beta1_NormalizedBoundingBox" } }, "type": "object", "description": "For tracking related features. An object at time_offset with attributes, and located with normalized_bounding_box.", "id": "GoogleCloudVideointelligenceV1p3beta1_TimestampedObject" }, "GoogleCloudVideointelligenceV1p2beta1_NormalizedBoundingBox": { "properties": { "right": { "type": "number", "description": "Right X coordinate.", "format": "float" }, "left": { "description": "Left X coordinate.", "format": "float", "type": "number" }, "bottom": { "format": "float", "type": "number", "description": "Bottom Y coordinate." }, "top": { "type": "number", "format": "float", "description": "Top Y coordinate." } }, "id": "GoogleCloudVideointelligenceV1p2beta1_NormalizedBoundingBox", "type": "object", "description": "Normalized bounding box. The normalized vertex coordinates are relative to the original image. Range: [0, 1]." }, "GoogleCloudVideointelligenceV1beta2_VideoSegment": { "description": "Video segment.", "properties": { "startTimeOffset": { "description": "Time-offset, relative to the beginning of the video, corresponding to the start of the segment (inclusive).", "format": "google-duration", "type": "string" }, "endTimeOffset": { "type": "string", "description": "Time-offset, relative to the beginning of the video, corresponding to the end of the segment (inclusive).", "format": "google-duration" } }, "id": "GoogleCloudVideointelligenceV1beta2_VideoSegment", "type": "object" } }, "version": "v1", "discoveryVersion": "v1", "mtlsRootUrl": "https://videointelligence.mtls.googleapis.com/" }
]===]))
