local decode = require("cjson").new().decode
return assert(decode([===[
{ "kind": "discovery#restDescription", "mtlsRootUrl": "https://videointelligence.mtls.googleapis.com/", "canonicalName": "Cloud Video Intelligence", "description": "Detects objects, explicit content, and scene changes in videos. It also specifies the region for annotation and transcribes speech to text. Supports both asynchronous API and streaming API.", "resources": { "videos": { "methods": { "annotate": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "videointelligence.videos.annotate", "flatPath": "v1beta2/videos:annotate", "request": { "$ref": "GoogleCloudVideointelligenceV1beta2_AnnotateVideoRequest" }, "description": "Performs asynchronous video annotation. Progress and results can be retrieved through the `google.longrunning.Operations` interface. `Operation.metadata` contains `AnnotateVideoProgress` (progress). `Operation.response` contains `AnnotateVideoResponse` (results).", "httpMethod": "POST", "path": "v1beta2/videos:annotate", "parameterOrder": [], "response": { "$ref": "GoogleLongrunning_Operation" }, "parameters": {} } } } }, "ownerName": "Google", "fullyEncodeReservedExpansion": true, "ownerDomain": "google.com", "title": "Cloud Video Intelligence API", "rootUrl": "https://videointelligence.googleapis.com/", "documentationLink": "https://cloud.google.com/video-intelligence/docs/", "discoveryVersion": "v1", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." } } } }, "protocol": "rest", "servicePath": "", "baseUrl": "https://videointelligence.googleapis.com/", "icons": { "x32": "http://www.google.com/images/icons/product/search-32.gif", "x16": "http://www.google.com/images/icons/product/search-16.gif" }, "schemas": { "GoogleCloudVideointelligenceV1beta2_ObjectTrackingAnnotation": { "id": "GoogleCloudVideointelligenceV1beta2_ObjectTrackingAnnotation", "description": "Annotations corresponding to one tracked object.", "type": "object", "properties": { "confidence": { "description": "Object category's labeling confidence of this track.", "type": "number", "format": "float" }, "version": { "description": "Feature version.", "type": "string" }, "entity": { "$ref": "GoogleCloudVideointelligenceV1beta2_Entity", "description": "Entity to specify the object category that this track is labeled as." }, "segment": { "description": "Non-streaming batch mode ONLY. Each object track corresponds to one video segment where it appears.", "$ref": "GoogleCloudVideointelligenceV1beta2_VideoSegment" }, "trackId": { "description": "Streaming mode ONLY. In streaming mode, we do not know the end time of a tracked object before it is completed. Hence, there is no VideoSegment info returned. Instead, we provide a unique identifiable integer track_id so that the customers can correlate the results of the ongoing ObjectTrackAnnotation of the same track_id over time.", "type": "string", "format": "int64" }, "frames": { "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_ObjectTrackingFrame" }, "description": "Information corresponding to all frames where this object track appears. Non-streaming batch mode: it may be one or multiple ObjectTrackingFrame messages in frames. Streaming mode: it can only be one ObjectTrackingFrame message in frames.", "type": "array" } } }, "GoogleCloudVideointelligenceV1_SpeechRecognitionAlternative": { "description": "Alternative hypotheses (a.k.a. n-best list).", "properties": { "transcript": { "description": "Transcript text representing the words that the user spoke.", "type": "string" }, "confidence": { "readOnly": true, "format": "float", "type": "number", "description": "Output only. The confidence estimate between 0.0 and 1.0. A higher number indicates an estimated greater likelihood that the recognized words are correct. This field is set only for the top alternative. This field is not guaranteed to be accurate and users should not rely on it to be always provided. The default of 0.0 is a sentinel value indicating `confidence` was not set." }, "words": { "items": { "$ref": "GoogleCloudVideointelligenceV1_WordInfo" }, "type": "array", "readOnly": true, "description": "Output only. A list of word-specific information for each recognized word. Note: When `enable_speaker_diarization` is set to true, you will see all the words from the beginning of the audio." } }, "id": "GoogleCloudVideointelligenceV1_SpeechRecognitionAlternative", "type": "object" }, "GoogleCloudVideointelligenceV1_FaceDetectionAnnotation": { "id": "GoogleCloudVideointelligenceV1_FaceDetectionAnnotation", "properties": { "thumbnail": { "format": "byte", "description": "The thumbnail of a person's face.", "type": "string" }, "tracks": { "description": "The face tracks with attributes.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1_Track" } }, "version": { "description": "Feature version.", "type": "string" } }, "type": "object", "description": "Face detection annotation." }, "GoogleCloudVideointelligenceV1beta2_LogoRecognitionAnnotation": { "id": "GoogleCloudVideointelligenceV1beta2_LogoRecognitionAnnotation", "properties": { "entity": { "$ref": "GoogleCloudVideointelligenceV1beta2_Entity", "description": "Entity category information to specify the logo class that all the logo tracks within this LogoRecognitionAnnotation are recognized as." }, "tracks": { "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_Track" }, "description": "All logo tracks where the recognized logo appears. Each track corresponds to one logo instance appearing in consecutive frames.", "type": "array" }, "segments": { "type": "array", "description": "All video segments where the recognized logo appears. There might be multiple instances of the same logo class appearing in one VideoSegment.", "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_VideoSegment" } } }, "type": "object", "description": "Annotation corresponding to one detected, tracked and recognized logo class." }, "GoogleCloudVideointelligenceV1p2beta1_TextFrame": { "id": "GoogleCloudVideointelligenceV1p2beta1_TextFrame", "description": "Video frame level annotation results for text annotation (OCR). Contains information regarding timestamp and bounding box locations for the frames containing detected OCR text snippets.", "properties": { "timeOffset": { "format": "google-duration", "type": "string", "description": "Timestamp of this frame." }, "rotatedBoundingBox": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_NormalizedBoundingPoly", "description": "Bounding polygon of the detected text for this frame." } }, "type": "object" }, "GoogleCloudVideointelligenceV1p1beta1_ObjectTrackingFrame": { "description": "Video frame level annotations for object detection and tracking. This field stores per frame location, time offset, and confidence.", "properties": { "timeOffset": { "format": "google-duration", "description": "The timestamp of the frame in microseconds.", "type": "string" }, "normalizedBoundingBox": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_NormalizedBoundingBox", "description": "The normalized bounding box location of this object track for the frame." } }, "id": "GoogleCloudVideointelligenceV1p1beta1_ObjectTrackingFrame", "type": "object" }, "GoogleCloudVideointelligenceV1p2beta1_WordInfo": { "properties": { "endTime": { "description": "Time offset relative to the beginning of the audio, and corresponding to the end of the spoken word. This field is only set if `enable_word_time_offsets=true` and only in the top hypothesis. This is an experimental feature and the accuracy of the time offset can vary.", "format": "google-duration", "type": "string" }, "startTime": { "type": "string", "format": "google-duration", "description": "Time offset relative to the beginning of the audio, and corresponding to the start of the spoken word. This field is only set if `enable_word_time_offsets=true` and only in the top hypothesis. This is an experimental feature and the accuracy of the time offset can vary." }, "word": { "description": "The word corresponding to this set of information.", "type": "string" }, "confidence": { "readOnly": true, "format": "float", "type": "number", "description": "Output only. The confidence estimate between 0.0 and 1.0. A higher number indicates an estimated greater likelihood that the recognized words are correct. This field is set only for the top alternative. This field is not guaranteed to be accurate and users should not rely on it to be always provided. The default of 0.0 is a sentinel value indicating `confidence` was not set." }, "speakerTag": { "type": "integer", "description": "Output only. A distinct integer value is assigned for every speaker within the audio. This field specifies which one of those speakers was detected to have spoken this word. Value ranges from 1 up to diarization_speaker_count, and is only set if speaker diarization is enabled.", "format": "int32", "readOnly": true } }, "description": "Word-specific information for recognized words. Word information is only included in the response when certain request parameters are set, such as `enable_word_time_offsets`.", "id": "GoogleCloudVideointelligenceV1p2beta1_WordInfo", "type": "object" }, "GoogleCloudVideointelligenceV1p2beta1_TextSegment": { "properties": { "frames": { "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_TextFrame" }, "type": "array", "description": "Information related to the frames where OCR detected text appears." }, "confidence": { "format": "float", "description": "Confidence for the track of detected text. It is calculated as the highest over all frames where OCR detected text appears.", "type": "number" }, "segment": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_VideoSegment", "description": "Video segment where a text snippet was detected." } }, "description": "Video segment level annotation results for text detection.", "type": "object", "id": "GoogleCloudVideointelligenceV1p2beta1_TextSegment" }, "GoogleCloudVideointelligenceV1p1beta1_ExplicitContentFrame": { "description": "Video frame level annotation results for explicit content.", "id": "GoogleCloudVideointelligenceV1p1beta1_ExplicitContentFrame", "properties": { "pornographyLikelihood": { "enum": [ "LIKELIHOOD_UNSPECIFIED", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ], "description": "Likelihood of the pornography content..", "enumDescriptions": [ "Unspecified likelihood.", "Very unlikely.", "Unlikely.", "Possible.", "Likely.", "Very likely." ], "type": "string" }, "timeOffset": { "description": "Time-offset, relative to the beginning of the video, corresponding to the video frame for this location.", "format": "google-duration", "type": "string" } }, "type": "object" }, "GoogleCloudVideointelligenceV1p3beta1_TextSegment": { "properties": { "confidence": { "description": "Confidence for the track of detected text. It is calculated as the highest over all frames where OCR detected text appears.", "format": "float", "type": "number" }, "frames": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_TextFrame" }, "description": "Information related to the frames where OCR detected text appears." }, "segment": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_VideoSegment", "description": "Video segment where a text snippet was detected." } }, "id": "GoogleCloudVideointelligenceV1p3beta1_TextSegment", "type": "object", "description": "Video segment level annotation results for text detection." }, "GoogleRpc_Status": { "description": "The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors).", "id": "GoogleRpc_Status", "type": "object", "properties": { "details": { "type": "array", "description": "A list of messages that carry the error details. There is a common set of message types for APIs to use.", "items": { "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "type": "object" } }, "message": { "description": "A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client.", "type": "string" }, "code": { "type": "integer", "description": "The status code, which should be an enum value of google.rpc.Code.", "format": "int32" } } }, "GoogleCloudVideointelligenceV1p3beta1_PersonDetectionAnnotation": { "id": "GoogleCloudVideointelligenceV1p3beta1_PersonDetectionAnnotation", "properties": { "version": { "description": "Feature version.", "type": "string" }, "tracks": { "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_Track" }, "description": "The detected tracks of a person.", "type": "array" } }, "type": "object", "description": "Person detection annotation per video." }, "GoogleCloudVideointelligenceV1p3beta1_FaceSegment": { "description": "Video segment level annotation results for face detection.", "properties": { "segment": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_VideoSegment", "description": "Video segment where a face was detected." } }, "id": "GoogleCloudVideointelligenceV1p3beta1_FaceSegment", "type": "object" }, "GoogleCloudVideointelligenceV1beta2_TextFrame": { "id": "GoogleCloudVideointelligenceV1beta2_TextFrame", "type": "object", "description": "Video frame level annotation results for text annotation (OCR). Contains information regarding timestamp and bounding box locations for the frames containing detected OCR text snippets.", "properties": { "timeOffset": { "type": "string", "format": "google-duration", "description": "Timestamp of this frame." }, "rotatedBoundingBox": { "$ref": "GoogleCloudVideointelligenceV1beta2_NormalizedBoundingPoly", "description": "Bounding polygon of the detected text for this frame." } } }, "GoogleCloudVideointelligenceV1p2beta1_FaceFrame": { "description": "Deprecated. No effect.", "properties": { "normalizedBoundingBoxes": { "description": "Normalized Bounding boxes in a frame. There can be more than one boxes if the same face is detected in multiple locations within the current frame.", "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_NormalizedBoundingBox" }, "type": "array" }, "timeOffset": { "description": "Time-offset, relative to the beginning of the video, corresponding to the video frame for this location.", "format": "google-duration", "type": "string" } }, "id": "GoogleCloudVideointelligenceV1p2beta1_FaceFrame", "type": "object" }, "GoogleCloudVideointelligenceV1p1beta1_FaceSegment": { "type": "object", "properties": { "segment": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_VideoSegment", "description": "Video segment where a face was detected." } }, "id": "GoogleCloudVideointelligenceV1p1beta1_FaceSegment", "description": "Video segment level annotation results for face detection." }, "GoogleCloudVideointelligenceV1_TextSegment": { "id": "GoogleCloudVideointelligenceV1_TextSegment", "type": "object", "properties": { "segment": { "$ref": "GoogleCloudVideointelligenceV1_VideoSegment", "description": "Video segment where a text snippet was detected." }, "frames": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1_TextFrame" }, "description": "Information related to the frames where OCR detected text appears." }, "confidence": { "format": "float", "type": "number", "description": "Confidence for the track of detected text. It is calculated as the highest over all frames where OCR detected text appears." } }, "description": "Video segment level annotation results for text detection." }, "GoogleCloudVideointelligenceV1_ObjectTrackingFrame": { "id": "GoogleCloudVideointelligenceV1_ObjectTrackingFrame", "properties": { "normalizedBoundingBox": { "$ref": "GoogleCloudVideointelligenceV1_NormalizedBoundingBox", "description": "The normalized bounding box location of this object track for the frame." }, "timeOffset": { "type": "string", "format": "google-duration", "description": "The timestamp of the frame in microseconds." } }, "type": "object", "description": "Video frame level annotations for object detection and tracking. This field stores per frame location, time offset, and confidence." }, "GoogleCloudVideointelligenceV1p3beta1_NormalizedVertex": { "description": "A vertex represents a 2D point in the image. NOTE: the normalized vertex coordinates are relative to the original image and range from 0 to 1.", "id": "GoogleCloudVideointelligenceV1p3beta1_NormalizedVertex", "properties": { "y": { "description": "Y coordinate.", "type": "number", "format": "float" }, "x": { "description": "X coordinate.", "format": "float", "type": "number" } }, "type": "object" }, "GoogleCloudVideointelligenceV1p3beta1_StreamingVideoAnnotationResults": { "id": "GoogleCloudVideointelligenceV1p3beta1_StreamingVideoAnnotationResults", "type": "object", "properties": { "explicitAnnotation": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_ExplicitContentAnnotation", "description": "Explicit content annotation results." }, "frameTimestamp": { "format": "google-duration", "type": "string", "description": "Timestamp of the processed frame in microseconds." }, "labelAnnotations": { "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_LabelAnnotation" }, "type": "array", "description": "Label annotation results." }, "shotAnnotations": { "type": "array", "description": "Shot annotation results. Each shot is represented as a video segment.", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_VideoSegment" } }, "objectAnnotations": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_ObjectTrackingAnnotation" }, "description": "Object tracking results." } }, "description": "Streaming annotation results corresponding to a portion of the video that is currently being processed. Only ONE type of annotation will be specified in the response." }, "GoogleCloudVideointelligenceV1beta2_TextDetectionConfig": { "type": "object", "id": "GoogleCloudVideointelligenceV1beta2_TextDetectionConfig", "description": "Config for TEXT_DETECTION.", "properties": { "languageHints": { "description": "Language hint can be specified if the language to be detected is known a priori. It can increase the accuracy of the detection. Language hint must be language code in BCP-47 format. Automatic language detection is performed if no hint is provided.", "items": { "type": "string" }, "type": "array" }, "model": { "description": "Model to use for text detection. Supported values: \"builtin/stable\" (the default if unset) and \"builtin/latest\".", "type": "string" } } }, "GoogleCloudVideointelligenceV1p1beta1_SpeechTranscription": { "properties": { "alternatives": { "description": "May contain one or more recognition hypotheses (up to the maximum specified in `max_alternatives`). These alternatives are ordered in terms of accuracy, with the top (first) alternative being the most probable, as ranked by the recognizer.", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_SpeechRecognitionAlternative" }, "type": "array" }, "languageCode": { "description": "Output only. The [BCP-47](https://www.rfc-editor.org/rfc/bcp/bcp47.txt) language tag of the language in this result. This language code was detected to have the most likelihood of being spoken in the audio.", "readOnly": true, "type": "string" } }, "description": "A speech recognition result corresponding to a portion of the audio.", "id": "GoogleCloudVideointelligenceV1p1beta1_SpeechTranscription", "type": "object" }, "GoogleCloudVideointelligenceV1p1beta1_VideoSegment": { "properties": { "endTimeOffset": { "format": "google-duration", "description": "Time-offset, relative to the beginning of the video, corresponding to the end of the segment (inclusive).", "type": "string" }, "startTimeOffset": { "format": "google-duration", "type": "string", "description": "Time-offset, relative to the beginning of the video, corresponding to the start of the segment (inclusive)." } }, "description": "Video segment.", "id": "GoogleCloudVideointelligenceV1p1beta1_VideoSegment", "type": "object" }, "GoogleCloudVideointelligenceV1p2beta1_ObjectTrackingAnnotation": { "description": "Annotations corresponding to one tracked object.", "id": "GoogleCloudVideointelligenceV1p2beta1_ObjectTrackingAnnotation", "properties": { "confidence": { "type": "number", "format": "float", "description": "Object category's labeling confidence of this track." }, "segment": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_VideoSegment", "description": "Non-streaming batch mode ONLY. Each object track corresponds to one video segment where it appears." }, "entity": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_Entity", "description": "Entity to specify the object category that this track is labeled as." }, "trackId": { "description": "Streaming mode ONLY. In streaming mode, we do not know the end time of a tracked object before it is completed. Hence, there is no VideoSegment info returned. Instead, we provide a unique identifiable integer track_id so that the customers can correlate the results of the ongoing ObjectTrackAnnotation of the same track_id over time.", "format": "int64", "type": "string" }, "version": { "type": "string", "description": "Feature version." }, "frames": { "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_ObjectTrackingFrame" }, "type": "array", "description": "Information corresponding to all frames where this object track appears. Non-streaming batch mode: it may be one or multiple ObjectTrackingFrame messages in frames. Streaming mode: it can only be one ObjectTrackingFrame message in frames." } }, "type": "object" }, "GoogleCloudVideointelligenceV1p1beta1_NormalizedBoundingPoly": { "id": "GoogleCloudVideointelligenceV1p1beta1_NormalizedBoundingPoly", "description": "Normalized bounding polygon for text (that might not be aligned with axis). Contains list of the corner points in clockwise order starting from top-left corner. For example, for a rectangular bounding box: When the text is horizontal it might look like: 0----1 | | 3----2 When it's clockwise rotated 180 degrees around the top-left corner it becomes: 2----3 | | 1----0 and the vertex order will still be (0, 1, 2, 3). Note that values can be less than 0, or greater than 1 due to trignometric calculations for location of the box.", "type": "object", "properties": { "vertices": { "description": "Normalized vertices of the bounding polygon.", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_NormalizedVertex" }, "type": "array" } } }, "GoogleCloudVideointelligenceV1p1beta1_SpeechRecognitionAlternative": { "type": "object", "properties": { "words": { "readOnly": true, "description": "Output only. A list of word-specific information for each recognized word. Note: When `enable_speaker_diarization` is set to true, you will see all the words from the beginning of the audio.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_WordInfo" } }, "confidence": { "type": "number", "readOnly": true, "description": "Output only. The confidence estimate between 0.0 and 1.0. A higher number indicates an estimated greater likelihood that the recognized words are correct. This field is set only for the top alternative. This field is not guaranteed to be accurate and users should not rely on it to be always provided. The default of 0.0 is a sentinel value indicating `confidence` was not set.", "format": "float" }, "transcript": { "description": "Transcript text representing the words that the user spoke.", "type": "string" } }, "description": "Alternative hypotheses (a.k.a. n-best list).", "id": "GoogleCloudVideointelligenceV1p1beta1_SpeechRecognitionAlternative" }, "GoogleCloudVideointelligenceV1p3beta1_Track": { "description": "A track of an object instance.", "type": "object", "id": "GoogleCloudVideointelligenceV1p3beta1_Track", "properties": { "attributes": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_DetectedAttribute" }, "description": "Optional. Attributes in the track level." }, "timestampedObjects": { "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_TimestampedObject" }, "type": "array", "description": "The object with timestamp and attributes per frame in the track." }, "segment": { "description": "Video segment of a track.", "$ref": "GoogleCloudVideointelligenceV1p3beta1_VideoSegment" }, "confidence": { "format": "float", "type": "number", "description": "Optional. The confidence score of the tracked object." } } }, "GoogleCloudVideointelligenceV1p3beta1_RecognizedCelebrity": { "id": "GoogleCloudVideointelligenceV1p3beta1_RecognizedCelebrity", "description": "The recognized celebrity with confidence score.", "properties": { "celebrity": { "description": "The recognized celebrity.", "$ref": "GoogleCloudVideointelligenceV1p3beta1_Celebrity" }, "confidence": { "description": "Recognition confidence. Range [0, 1].", "type": "number", "format": "float" } }, "type": "object" }, "GoogleCloudVideointelligenceV1p2beta1_LabelSegment": { "id": "GoogleCloudVideointelligenceV1p2beta1_LabelSegment", "type": "object", "description": "Video segment level annotation results for label detection.", "properties": { "confidence": { "format": "float", "description": "Confidence that the label is accurate. Range: [0, 1].", "type": "number" }, "segment": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_VideoSegment", "description": "Video segment where a label was detected." } } }, "GoogleCloudVideointelligenceV1p3beta1_FaceAnnotation": { "type": "object", "properties": { "segments": { "description": "All video segments where a face was detected.", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_FaceSegment" }, "type": "array" }, "thumbnail": { "description": "Thumbnail of a representative face view (in JPEG format).", "type": "string", "format": "byte" }, "frames": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_FaceFrame" }, "description": "All video frames where a face was detected." } }, "description": "Deprecated. No effect.", "id": "GoogleCloudVideointelligenceV1p3beta1_FaceAnnotation" }, "GoogleCloudVideointelligenceV1p1beta1_TextAnnotation": { "id": "GoogleCloudVideointelligenceV1p1beta1_TextAnnotation", "type": "object", "description": "Annotations related to one detected OCR text snippet. This will contain the corresponding text, confidence value, and frame level information for each detection.", "properties": { "segments": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_TextSegment" }, "description": "All video segments where OCR detected text appears." }, "text": { "type": "string", "description": "The detected text." }, "version": { "description": "Feature version.", "type": "string" } } }, "GoogleCloudVideointelligenceV1beta2_ObjectTrackingConfig": { "description": "Config for OBJECT_TRACKING.", "properties": { "model": { "description": "Model to use for object tracking. Supported values: \"builtin/stable\" (the default if unset) and \"builtin/latest\".", "type": "string" } }, "id": "GoogleCloudVideointelligenceV1beta2_ObjectTrackingConfig", "type": "object" }, "GoogleCloudVideointelligenceV1p3beta1_ExplicitContentFrame": { "id": "GoogleCloudVideointelligenceV1p3beta1_ExplicitContentFrame", "type": "object", "description": "Video frame level annotation results for explicit content.", "properties": { "pornographyLikelihood": { "description": "Likelihood of the pornography content..", "enum": [ "LIKELIHOOD_UNSPECIFIED", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ], "enumDescriptions": [ "Unspecified likelihood.", "Very unlikely.", "Unlikely.", "Possible.", "Likely.", "Very likely." ], "type": "string" }, "timeOffset": { "description": "Time-offset, relative to the beginning of the video, corresponding to the video frame for this location.", "format": "google-duration", "type": "string" } } }, "GoogleCloudVideointelligenceV1_VideoAnnotationResults": { "type": "object", "description": "Annotation results for a single video.", "id": "GoogleCloudVideointelligenceV1_VideoAnnotationResults", "properties": { "shotPresenceLabelAnnotations": { "type": "array", "description": "Presence label annotations on shot level. There is exactly one element for each unique label. Compared to the existing topical `shot_label_annotations`, this field presents more fine-grained, shot-level labels detected in video content and is made available only when the client sets `LabelDetectionConfig.model` to \"builtin/latest\" in the request.", "items": { "$ref": "GoogleCloudVideointelligenceV1_LabelAnnotation" } }, "shotAnnotations": { "items": { "$ref": "GoogleCloudVideointelligenceV1_VideoSegment" }, "description": "Shot annotations. Each shot is represented as a video segment.", "type": "array" }, "faceAnnotations": { "items": { "$ref": "GoogleCloudVideointelligenceV1_FaceAnnotation" }, "description": "Deprecated. Please use `face_detection_annotations` instead.", "type": "array" }, "shotLabelAnnotations": { "type": "array", "description": "Topical label annotations on shot level. There is exactly one element for each unique label.", "items": { "$ref": "GoogleCloudVideointelligenceV1_LabelAnnotation" } }, "objectAnnotations": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1_ObjectTrackingAnnotation" }, "description": "Annotations for list of objects detected and tracked in video." }, "frameLabelAnnotations": { "description": "Label annotations on frame level. There is exactly one element for each unique label.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1_LabelAnnotation" } }, "segmentPresenceLabelAnnotations": { "items": { "$ref": "GoogleCloudVideointelligenceV1_LabelAnnotation" }, "type": "array", "description": "Presence label annotations on video level or user-specified segment level. There is exactly one element for each unique label. Compared to the existing topical `segment_label_annotations`, this field presents more fine-grained, segment-level labels detected in video content and is made available only when the client sets `LabelDetectionConfig.model` to \"builtin/latest\" in the request." }, "speechTranscriptions": { "description": "Speech transcription.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1_SpeechTranscription" } }, "segmentLabelAnnotations": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1_LabelAnnotation" }, "description": "Topical label annotations on video level or user-specified segment level. There is exactly one element for each unique label." }, "personDetectionAnnotations": { "items": { "$ref": "GoogleCloudVideointelligenceV1_PersonDetectionAnnotation" }, "type": "array", "description": "Person detection annotations." }, "error": { "description": "If set, indicates an error. Note that for a single `AnnotateVideoRequest` some videos may succeed and some may fail.", "$ref": "GoogleRpc_Status" }, "faceDetectionAnnotations": { "description": "Face detection annotations.", "items": { "$ref": "GoogleCloudVideointelligenceV1_FaceDetectionAnnotation" }, "type": "array" }, "textAnnotations": { "description": "OCR text detection and tracking. Annotations for list of detected text snippets. Each will have list of frame information associated with it.", "items": { "$ref": "GoogleCloudVideointelligenceV1_TextAnnotation" }, "type": "array" }, "segment": { "$ref": "GoogleCloudVideointelligenceV1_VideoSegment", "description": "Video segment on which the annotation is run." }, "inputUri": { "description": "Video file location in [Cloud Storage](https://cloud.google.com/storage/).", "type": "string" }, "explicitAnnotation": { "description": "Explicit content annotation.", "$ref": "GoogleCloudVideointelligenceV1_ExplicitContentAnnotation" }, "logoRecognitionAnnotations": { "description": "Annotations for list of logos detected, tracked and recognized in video.", "items": { "$ref": "GoogleCloudVideointelligenceV1_LogoRecognitionAnnotation" }, "type": "array" } } }, "GoogleCloudVideointelligenceV1_WordInfo": { "properties": { "startTime": { "type": "string", "format": "google-duration", "description": "Time offset relative to the beginning of the audio, and corresponding to the start of the spoken word. This field is only set if `enable_word_time_offsets=true` and only in the top hypothesis. This is an experimental feature and the accuracy of the time offset can vary." }, "speakerTag": { "format": "int32", "description": "Output only. A distinct integer value is assigned for every speaker within the audio. This field specifies which one of those speakers was detected to have spoken this word. Value ranges from 1 up to diarization_speaker_count, and is only set if speaker diarization is enabled.", "type": "integer", "readOnly": true }, "word": { "type": "string", "description": "The word corresponding to this set of information." }, "confidence": { "type": "number", "readOnly": true, "format": "float", "description": "Output only. The confidence estimate between 0.0 and 1.0. A higher number indicates an estimated greater likelihood that the recognized words are correct. This field is set only for the top alternative. This field is not guaranteed to be accurate and users should not rely on it to be always provided. The default of 0.0 is a sentinel value indicating `confidence` was not set." }, "endTime": { "format": "google-duration", "type": "string", "description": "Time offset relative to the beginning of the audio, and corresponding to the end of the spoken word. This field is only set if `enable_word_time_offsets=true` and only in the top hypothesis. This is an experimental feature and the accuracy of the time offset can vary." } }, "id": "GoogleCloudVideointelligenceV1_WordInfo", "type": "object", "description": "Word-specific information for recognized words. Word information is only included in the response when certain request parameters are set, such as `enable_word_time_offsets`." }, "GoogleCloudVideointelligenceV1beta2_SpeechRecognitionAlternative": { "id": "GoogleCloudVideointelligenceV1beta2_SpeechRecognitionAlternative", "description": "Alternative hypotheses (a.k.a. n-best list).", "properties": { "confidence": { "readOnly": true, "description": "Output only. The confidence estimate between 0.0 and 1.0. A higher number indicates an estimated greater likelihood that the recognized words are correct. This field is set only for the top alternative. This field is not guaranteed to be accurate and users should not rely on it to be always provided. The default of 0.0 is a sentinel value indicating `confidence` was not set.", "format": "float", "type": "number" }, "transcript": { "type": "string", "description": "Transcript text representing the words that the user spoke." }, "words": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_WordInfo" }, "readOnly": true, "description": "Output only. A list of word-specific information for each recognized word. Note: When `enable_speaker_diarization` is set to true, you will see all the words from the beginning of the audio." } }, "type": "object" }, "GoogleCloudVideointelligenceV1p3beta1_AnnotateVideoResponse": { "properties": { "annotationResults": { "description": "Annotation results for all videos specified in `AnnotateVideoRequest`.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_VideoAnnotationResults" } } }, "description": "Video annotation response. Included in the `response` field of the `Operation` returned by the `GetOperation` call of the `google::longrunning::Operations` service.", "id": "GoogleCloudVideointelligenceV1p3beta1_AnnotateVideoResponse", "type": "object" }, "GoogleCloudVideointelligenceV1p2beta1_AnnotateVideoResponse": { "id": "GoogleCloudVideointelligenceV1p2beta1_AnnotateVideoResponse", "properties": { "annotationResults": { "type": "array", "description": "Annotation results for all videos specified in `AnnotateVideoRequest`.", "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_VideoAnnotationResults" } } }, "description": "Video annotation response. Included in the `response` field of the `Operation` returned by the `GetOperation` call of the `google::longrunning::Operations` service.", "type": "object" }, "GoogleCloudVideointelligenceV1beta2_FaceAnnotation": { "id": "GoogleCloudVideointelligenceV1beta2_FaceAnnotation", "type": "object", "properties": { "segments": { "description": "All video segments where a face was detected.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_FaceSegment" } }, "thumbnail": { "format": "byte", "type": "string", "description": "Thumbnail of a representative face view (in JPEG format)." }, "frames": { "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_FaceFrame" }, "type": "array", "description": "All video frames where a face was detected." } }, "description": "Deprecated. No effect." }, "GoogleCloudVideointelligenceV1p3beta1_VideoAnnotationResults": { "type": "object", "description": "Annotation results for a single video.", "id": "GoogleCloudVideointelligenceV1p3beta1_VideoAnnotationResults", "properties": { "speechTranscriptions": { "type": "array", "description": "Speech transcription.", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_SpeechTranscription" } }, "shotLabelAnnotations": { "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_LabelAnnotation" }, "description": "Topical label annotations on shot level. There is exactly one element for each unique label.", "type": "array" }, "segmentPresenceLabelAnnotations": { "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_LabelAnnotation" }, "description": "Presence label annotations on video level or user-specified segment level. There is exactly one element for each unique label. Compared to the existing topical `segment_label_annotations`, this field presents more fine-grained, segment-level labels detected in video content and is made available only when the client sets `LabelDetectionConfig.model` to \"builtin/latest\" in the request.", "type": "array" }, "textAnnotations": { "type": "array", "description": "OCR text detection and tracking. Annotations for list of detected text snippets. Each will have list of frame information associated with it.", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_TextAnnotation" } }, "shotAnnotations": { "type": "array", "description": "Shot annotations. Each shot is represented as a video segment.", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_VideoSegment" } }, "segment": { "description": "Video segment on which the annotation is run.", "$ref": "GoogleCloudVideointelligenceV1p3beta1_VideoSegment" }, "faceDetectionAnnotations": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_FaceDetectionAnnotation" }, "description": "Face detection annotations." }, "frameLabelAnnotations": { "description": "Label annotations on frame level. There is exactly one element for each unique label.", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_LabelAnnotation" }, "type": "array" }, "inputUri": { "type": "string", "description": "Video file location in [Cloud Storage](https://cloud.google.com/storage/)." }, "explicitAnnotation": { "description": "Explicit content annotation.", "$ref": "GoogleCloudVideointelligenceV1p3beta1_ExplicitContentAnnotation" }, "error": { "$ref": "GoogleRpc_Status", "description": "If set, indicates an error. Note that for a single `AnnotateVideoRequest` some videos may succeed and some may fail." }, "shotPresenceLabelAnnotations": { "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_LabelAnnotation" }, "type": "array", "description": "Presence label annotations on shot level. There is exactly one element for each unique label. Compared to the existing topical `shot_label_annotations`, this field presents more fine-grained, shot-level labels detected in video content and is made available only when the client sets `LabelDetectionConfig.model` to \"builtin/latest\" in the request." }, "objectAnnotations": { "type": "array", "description": "Annotations for list of objects detected and tracked in video.", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_ObjectTrackingAnnotation" } }, "celebrityRecognitionAnnotations": { "description": "Celebrity recognition annotations.", "$ref": "GoogleCloudVideointelligenceV1p3beta1_CelebrityRecognitionAnnotation" }, "faceAnnotations": { "description": "Deprecated. Please use `face_detection_annotations` instead.", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_FaceAnnotation" }, "type": "array" }, "logoRecognitionAnnotations": { "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_LogoRecognitionAnnotation" }, "type": "array", "description": "Annotations for list of logos detected, tracked and recognized in video." }, "segmentLabelAnnotations": { "type": "array", "description": "Topical label annotations on video level or user-specified segment level. There is exactly one element for each unique label.", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_LabelAnnotation" } }, "personDetectionAnnotations": { "description": "Person detection annotations.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_PersonDetectionAnnotation" } } } }, "GoogleCloudVideointelligenceV1p2beta1_FaceDetectionAnnotation": { "id": "GoogleCloudVideointelligenceV1p2beta1_FaceDetectionAnnotation", "description": "Face detection annotation.", "properties": { "thumbnail": { "type": "string", "description": "The thumbnail of a person's face.", "format": "byte" }, "version": { "type": "string", "description": "Feature version." }, "tracks": { "description": "The face tracks with attributes.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_Track" } } }, "type": "object" }, "GoogleCloudVideointelligenceV1p1beta1_ExplicitContentAnnotation": { "id": "GoogleCloudVideointelligenceV1p1beta1_ExplicitContentAnnotation", "properties": { "frames": { "description": "All video frames where explicit content was detected.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_ExplicitContentFrame" } }, "version": { "description": "Feature version.", "type": "string" } }, "type": "object", "description": "Explicit content annotation (based on per-frame visual signals only). If no explicit content has been detected in a frame, no annotations are present for that frame." }, "GoogleCloudVideointelligenceV1_ObjectTrackingAnnotation": { "description": "Annotations corresponding to one tracked object.", "properties": { "entity": { "$ref": "GoogleCloudVideointelligenceV1_Entity", "description": "Entity to specify the object category that this track is labeled as." }, "version": { "type": "string", "description": "Feature version." }, "segment": { "$ref": "GoogleCloudVideointelligenceV1_VideoSegment", "description": "Non-streaming batch mode ONLY. Each object track corresponds to one video segment where it appears." }, "frames": { "description": "Information corresponding to all frames where this object track appears. Non-streaming batch mode: it may be one or multiple ObjectTrackingFrame messages in frames. Streaming mode: it can only be one ObjectTrackingFrame message in frames.", "items": { "$ref": "GoogleCloudVideointelligenceV1_ObjectTrackingFrame" }, "type": "array" }, "trackId": { "description": "Streaming mode ONLY. In streaming mode, we do not know the end time of a tracked object before it is completed. Hence, there is no VideoSegment info returned. Instead, we provide a unique identifiable integer track_id so that the customers can correlate the results of the ongoing ObjectTrackAnnotation of the same track_id over time.", "type": "string", "format": "int64" }, "confidence": { "format": "float", "type": "number", "description": "Object category's labeling confidence of this track." } }, "id": "GoogleCloudVideointelligenceV1_ObjectTrackingAnnotation", "type": "object" }, "GoogleCloudVideointelligenceV1_FaceAnnotation": { "id": "GoogleCloudVideointelligenceV1_FaceAnnotation", "properties": { "segments": { "items": { "$ref": "GoogleCloudVideointelligenceV1_FaceSegment" }, "type": "array", "description": "All video segments where a face was detected." }, "thumbnail": { "type": "string", "format": "byte", "description": "Thumbnail of a representative face view (in JPEG format)." }, "frames": { "items": { "$ref": "GoogleCloudVideointelligenceV1_FaceFrame" }, "description": "All video frames where a face was detected.", "type": "array" } }, "description": "Deprecated. No effect.", "type": "object" }, "GoogleCloudVideointelligenceV1beta2_SpeechContext": { "id": "GoogleCloudVideointelligenceV1beta2_SpeechContext", "description": "Provides \"hints\" to the speech recognizer to favor specific words and phrases in the results.", "type": "object", "properties": { "phrases": { "description": "Optional. A list of strings containing words and phrases \"hints\" so that the speech recognition is more likely to recognize them. This can be used to improve the accuracy for specific words and phrases, for example, if specific commands are typically spoken by the user. This can also be used to add additional words to the vocabulary of the recognizer. See [usage limits](https://cloud.google.com/speech/limits#content).", "type": "array", "items": { "type": "string" } } } }, "GoogleCloudVideointelligenceV1beta2_DetectedAttribute": { "type": "object", "properties": { "confidence": { "format": "float", "type": "number", "description": "Detected attribute confidence. Range [0, 1]." }, "value": { "type": "string", "description": "Text value of the detection result. For example, the value for \"HairColor\" can be \"black\", \"blonde\", etc." }, "name": { "description": "The name of the attribute, for example, glasses, dark_glasses, mouth_open. A full list of supported type names will be provided in the document.", "type": "string" } }, "id": "GoogleCloudVideointelligenceV1beta2_DetectedAttribute", "description": "A generic detected attribute represented by name in string format." }, "GoogleCloudVideointelligenceV1_AnnotateVideoProgress": { "type": "object", "id": "GoogleCloudVideointelligenceV1_AnnotateVideoProgress", "properties": { "annotationProgress": { "description": "Progress metadata for all videos specified in `AnnotateVideoRequest`.", "items": { "$ref": "GoogleCloudVideointelligenceV1_VideoAnnotationProgress" }, "type": "array" } }, "description": "Video annotation progress. Included in the `metadata` field of the `Operation` returned by the `GetOperation` call of the `google::longrunning::Operations` service." }, "GoogleCloudVideointelligenceV1p2beta1_DetectedLandmark": { "id": "GoogleCloudVideointelligenceV1p2beta1_DetectedLandmark", "type": "object", "properties": { "confidence": { "format": "float", "description": "The confidence score of the detected landmark. Range [0, 1].", "type": "number" }, "point": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_NormalizedVertex", "description": "The 2D point of the detected landmark using the normalized image coordindate system. The normalized coordinates have the range from 0 to 1." }, "name": { "type": "string", "description": "The name of this landmark, for example, left_hand, right_shoulder." } }, "description": "A generic detected landmark represented by name in string format and a 2D location." }, "GoogleCloudVideointelligenceV1beta2_ShotChangeDetectionConfig": { "type": "object", "id": "GoogleCloudVideointelligenceV1beta2_ShotChangeDetectionConfig", "description": "Config for SHOT_CHANGE_DETECTION.", "properties": { "model": { "description": "Model to use for shot change detection. Supported values: \"builtin/stable\" (the default if unset), \"builtin/latest\", and \"builtin/legacy\".", "type": "string" } } }, "GoogleCloudVideointelligenceV1beta2_AnnotateVideoProgress": { "id": "GoogleCloudVideointelligenceV1beta2_AnnotateVideoProgress", "description": "Video annotation progress. Included in the `metadata` field of the `Operation` returned by the `GetOperation` call of the `google::longrunning::Operations` service.", "properties": { "annotationProgress": { "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_VideoAnnotationProgress" }, "description": "Progress metadata for all videos specified in `AnnotateVideoRequest`.", "type": "array" } }, "type": "object" }, "GoogleCloudVideointelligenceV1_NormalizedBoundingBox": { "properties": { "bottom": { "format": "float", "type": "number", "description": "Bottom Y coordinate." }, "top": { "format": "float", "description": "Top Y coordinate.", "type": "number" }, "left": { "description": "Left X coordinate.", "type": "number", "format": "float" }, "right": { "description": "Right X coordinate.", "format": "float", "type": "number" } }, "type": "object", "description": "Normalized bounding box. The normalized vertex coordinates are relative to the original image. Range: [0, 1].", "id": "GoogleCloudVideointelligenceV1_NormalizedBoundingBox" }, "GoogleCloudVideointelligenceV1p1beta1_VideoAnnotationResults": { "id": "GoogleCloudVideointelligenceV1p1beta1_VideoAnnotationResults", "properties": { "frameLabelAnnotations": { "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_LabelAnnotation" }, "type": "array", "description": "Label annotations on frame level. There is exactly one element for each unique label." }, "shotAnnotations": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_VideoSegment" }, "description": "Shot annotations. Each shot is represented as a video segment." }, "textAnnotations": { "description": "OCR text detection and tracking. Annotations for list of detected text snippets. Each will have list of frame information associated with it.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_TextAnnotation" } }, "speechTranscriptions": { "description": "Speech transcription.", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_SpeechTranscription" }, "type": "array" }, "personDetectionAnnotations": { "description": "Person detection annotations.", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_PersonDetectionAnnotation" }, "type": "array" }, "logoRecognitionAnnotations": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_LogoRecognitionAnnotation" }, "description": "Annotations for list of logos detected, tracked and recognized in video." }, "explicitAnnotation": { "description": "Explicit content annotation.", "$ref": "GoogleCloudVideointelligenceV1p1beta1_ExplicitContentAnnotation" }, "segment": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_VideoSegment", "description": "Video segment on which the annotation is run." }, "error": { "description": "If set, indicates an error. Note that for a single `AnnotateVideoRequest` some videos may succeed and some may fail.", "$ref": "GoogleRpc_Status" }, "shotLabelAnnotations": { "description": "Topical label annotations on shot level. There is exactly one element for each unique label.", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_LabelAnnotation" }, "type": "array" }, "segmentPresenceLabelAnnotations": { "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_LabelAnnotation" }, "type": "array", "description": "Presence label annotations on video level or user-specified segment level. There is exactly one element for each unique label. Compared to the existing topical `segment_label_annotations`, this field presents more fine-grained, segment-level labels detected in video content and is made available only when the client sets `LabelDetectionConfig.model` to \"builtin/latest\" in the request." }, "segmentLabelAnnotations": { "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_LabelAnnotation" }, "type": "array", "description": "Topical label annotations on video level or user-specified segment level. There is exactly one element for each unique label." }, "objectAnnotations": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_ObjectTrackingAnnotation" }, "description": "Annotations for list of objects detected and tracked in video." }, "inputUri": { "description": "Video file location in [Cloud Storage](https://cloud.google.com/storage/).", "type": "string" }, "faceAnnotations": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_FaceAnnotation" }, "description": "Deprecated. Please use `face_detection_annotations` instead." }, "faceDetectionAnnotations": { "description": "Face detection annotations.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_FaceDetectionAnnotation" } }, "shotPresenceLabelAnnotations": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_LabelAnnotation" }, "description": "Presence label annotations on shot level. There is exactly one element for each unique label. Compared to the existing topical `shot_label_annotations`, this field presents more fine-grained, shot-level labels detected in video content and is made available only when the client sets `LabelDetectionConfig.model` to \"builtin/latest\" in the request." } }, "description": "Annotation results for a single video.", "type": "object" }, "GoogleCloudVideointelligenceV1p1beta1_TextSegment": { "properties": { "segment": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_VideoSegment", "description": "Video segment where a text snippet was detected." }, "frames": { "description": "Information related to the frames where OCR detected text appears.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_TextFrame" } }, "confidence": { "description": "Confidence for the track of detected text. It is calculated as the highest over all frames where OCR detected text appears.", "type": "number", "format": "float" } }, "description": "Video segment level annotation results for text detection.", "id": "GoogleCloudVideointelligenceV1p1beta1_TextSegment", "type": "object" }, "GoogleCloudVideointelligenceV1beta2_VideoAnnotationProgress": { "id": "GoogleCloudVideointelligenceV1beta2_VideoAnnotationProgress", "description": "Annotation progress for a single video.", "type": "object", "properties": { "feature": { "type": "string", "enum": [ "FEATURE_UNSPECIFIED", "LABEL_DETECTION", "SHOT_CHANGE_DETECTION", "EXPLICIT_CONTENT_DETECTION", "FACE_DETECTION", "SPEECH_TRANSCRIPTION", "TEXT_DETECTION", "OBJECT_TRACKING", "LOGO_RECOGNITION", "PERSON_DETECTION" ], "enumDescriptions": [ "Unspecified.", "Label detection. Detect objects, such as dog or flower.", "Shot change detection.", "Explicit content detection.", "Human face detection.", "Speech transcription.", "OCR text detection and tracking.", "Object detection and tracking.", "Logo detection, tracking, and recognition.", "Person detection." ], "description": "Specifies which feature is being tracked if the request contains more than one feature." }, "progressPercent": { "type": "integer", "description": "Approximate percentage processed thus far. Guaranteed to be 100 when fully processed.", "format": "int32" }, "updateTime": { "format": "google-datetime", "description": "Time of the most recent update.", "type": "string" }, "segment": { "description": "Specifies which segment is being tracked if the request contains more than one segment.", "$ref": "GoogleCloudVideointelligenceV1beta2_VideoSegment" }, "startTime": { "type": "string", "description": "Time when the request was received.", "format": "google-datetime" }, "inputUri": { "description": "Video file location in [Cloud Storage](https://cloud.google.com/storage/).", "type": "string" } } }, "GoogleCloudVideointelligenceV1_NormalizedVertex": { "properties": { "y": { "type": "number", "description": "Y coordinate.", "format": "float" }, "x": { "description": "X coordinate.", "format": "float", "type": "number" } }, "description": "A vertex represents a 2D point in the image. NOTE: the normalized vertex coordinates are relative to the original image and range from 0 to 1.", "id": "GoogleCloudVideointelligenceV1_NormalizedVertex", "type": "object" }, "GoogleCloudVideointelligenceV1p2beta1_VideoAnnotationResults": { "type": "object", "properties": { "segmentPresenceLabelAnnotations": { "type": "array", "description": "Presence label annotations on video level or user-specified segment level. There is exactly one element for each unique label. Compared to the existing topical `segment_label_annotations`, this field presents more fine-grained, segment-level labels detected in video content and is made available only when the client sets `LabelDetectionConfig.model` to \"builtin/latest\" in the request.", "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_LabelAnnotation" } }, "shotPresenceLabelAnnotations": { "description": "Presence label annotations on shot level. There is exactly one element for each unique label. Compared to the existing topical `shot_label_annotations`, this field presents more fine-grained, shot-level labels detected in video content and is made available only when the client sets `LabelDetectionConfig.model` to \"builtin/latest\" in the request.", "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_LabelAnnotation" }, "type": "array" }, "shotLabelAnnotations": { "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_LabelAnnotation" }, "type": "array", "description": "Topical label annotations on shot level. There is exactly one element for each unique label." }, "textAnnotations": { "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_TextAnnotation" }, "type": "array", "description": "OCR text detection and tracking. Annotations for list of detected text snippets. Each will have list of frame information associated with it." }, "inputUri": { "description": "Video file location in [Cloud Storage](https://cloud.google.com/storage/).", "type": "string" }, "faceAnnotations": { "description": "Deprecated. Please use `face_detection_annotations` instead.", "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_FaceAnnotation" }, "type": "array" }, "segment": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_VideoSegment", "description": "Video segment on which the annotation is run." }, "logoRecognitionAnnotations": { "description": "Annotations for list of logos detected, tracked and recognized in video.", "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_LogoRecognitionAnnotation" }, "type": "array" }, "personDetectionAnnotations": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_PersonDetectionAnnotation" }, "description": "Person detection annotations." }, "faceDetectionAnnotations": { "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_FaceDetectionAnnotation" }, "description": "Face detection annotations.", "type": "array" }, "segmentLabelAnnotations": { "description": "Topical label annotations on video level or user-specified segment level. There is exactly one element for each unique label.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_LabelAnnotation" } }, "shotAnnotations": { "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_VideoSegment" }, "type": "array", "description": "Shot annotations. Each shot is represented as a video segment." }, "frameLabelAnnotations": { "type": "array", "description": "Label annotations on frame level. There is exactly one element for each unique label.", "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_LabelAnnotation" } }, "speechTranscriptions": { "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_SpeechTranscription" }, "description": "Speech transcription.", "type": "array" }, "error": { "$ref": "GoogleRpc_Status", "description": "If set, indicates an error. Note that for a single `AnnotateVideoRequest` some videos may succeed and some may fail." }, "objectAnnotations": { "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_ObjectTrackingAnnotation" }, "type": "array", "description": "Annotations for list of objects detected and tracked in video." }, "explicitAnnotation": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_ExplicitContentAnnotation", "description": "Explicit content annotation." } }, "id": "GoogleCloudVideointelligenceV1p2beta1_VideoAnnotationResults", "description": "Annotation results for a single video." }, "GoogleCloudVideointelligenceV1beta2_LabelFrame": { "type": "object", "properties": { "confidence": { "type": "number", "description": "Confidence that the label is accurate. Range: [0, 1].", "format": "float" }, "timeOffset": { "description": "Time-offset, relative to the beginning of the video, corresponding to the video frame for this location.", "format": "google-duration", "type": "string" } }, "description": "Video frame level annotation results for label detection.", "id": "GoogleCloudVideointelligenceV1beta2_LabelFrame" }, "GoogleCloudVideointelligenceV1p1beta1_LabelSegment": { "description": "Video segment level annotation results for label detection.", "properties": { "segment": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_VideoSegment", "description": "Video segment where a label was detected." }, "confidence": { "type": "number", "description": "Confidence that the label is accurate. Range: [0, 1].", "format": "float" } }, "id": "GoogleCloudVideointelligenceV1p1beta1_LabelSegment", "type": "object" }, "GoogleCloudVideointelligenceV1p3beta1_WordInfo": { "id": "GoogleCloudVideointelligenceV1p3beta1_WordInfo", "description": "Word-specific information for recognized words. Word information is only included in the response when certain request parameters are set, such as `enable_word_time_offsets`.", "type": "object", "properties": { "word": { "type": "string", "description": "The word corresponding to this set of information." }, "speakerTag": { "format": "int32", "type": "integer", "readOnly": true, "description": "Output only. A distinct integer value is assigned for every speaker within the audio. This field specifies which one of those speakers was detected to have spoken this word. Value ranges from 1 up to diarization_speaker_count, and is only set if speaker diarization is enabled." }, "startTime": { "format": "google-duration", "type": "string", "description": "Time offset relative to the beginning of the audio, and corresponding to the start of the spoken word. This field is only set if `enable_word_time_offsets=true` and only in the top hypothesis. This is an experimental feature and the accuracy of the time offset can vary." }, "endTime": { "type": "string", "format": "google-duration", "description": "Time offset relative to the beginning of the audio, and corresponding to the end of the spoken word. This field is only set if `enable_word_time_offsets=true` and only in the top hypothesis. This is an experimental feature and the accuracy of the time offset can vary." }, "confidence": { "type": "number", "description": "Output only. The confidence estimate between 0.0 and 1.0. A higher number indicates an estimated greater likelihood that the recognized words are correct. This field is set only for the top alternative. This field is not guaranteed to be accurate and users should not rely on it to be always provided. The default of 0.0 is a sentinel value indicating `confidence` was not set.", "readOnly": true, "format": "float" } } }, "GoogleCloudVideointelligenceV1_NormalizedBoundingPoly": { "description": "Normalized bounding polygon for text (that might not be aligned with axis). Contains list of the corner points in clockwise order starting from top-left corner. For example, for a rectangular bounding box: When the text is horizontal it might look like: 0----1 | | 3----2 When it's clockwise rotated 180 degrees around the top-left corner it becomes: 2----3 | | 1----0 and the vertex order will still be (0, 1, 2, 3). Note that values can be less than 0, or greater than 1 due to trignometric calculations for location of the box.", "properties": { "vertices": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1_NormalizedVertex" }, "description": "Normalized vertices of the bounding polygon." } }, "id": "GoogleCloudVideointelligenceV1_NormalizedBoundingPoly", "type": "object" }, "GoogleCloudVideointelligenceV1_VideoAnnotationProgress": { "properties": { "inputUri": { "type": "string", "description": "Video file location in [Cloud Storage](https://cloud.google.com/storage/)." }, "progressPercent": { "type": "integer", "description": "Approximate percentage processed thus far. Guaranteed to be 100 when fully processed.", "format": "int32" }, "startTime": { "type": "string", "description": "Time when the request was received.", "format": "google-datetime" }, "segment": { "description": "Specifies which segment is being tracked if the request contains more than one segment.", "$ref": "GoogleCloudVideointelligenceV1_VideoSegment" }, "feature": { "enumDescriptions": [ "Unspecified.", "Label detection. Detect objects, such as dog or flower.", "Shot change detection.", "Explicit content detection.", "Human face detection.", "Speech transcription.", "OCR text detection and tracking.", "Object detection and tracking.", "Logo detection, tracking, and recognition.", "Person detection." ], "enum": [ "FEATURE_UNSPECIFIED", "LABEL_DETECTION", "SHOT_CHANGE_DETECTION", "EXPLICIT_CONTENT_DETECTION", "FACE_DETECTION", "SPEECH_TRANSCRIPTION", "TEXT_DETECTION", "OBJECT_TRACKING", "LOGO_RECOGNITION", "PERSON_DETECTION" ], "description": "Specifies which feature is being tracked if the request contains more than one feature.", "type": "string" }, "updateTime": { "description": "Time of the most recent update.", "format": "google-datetime", "type": "string" } }, "type": "object", "id": "GoogleCloudVideointelligenceV1_VideoAnnotationProgress", "description": "Annotation progress for a single video." }, "GoogleCloudVideointelligenceV1p1beta1_LabelAnnotation": { "description": "Label annotation.", "id": "GoogleCloudVideointelligenceV1p1beta1_LabelAnnotation", "properties": { "entity": { "description": "Detected entity.", "$ref": "GoogleCloudVideointelligenceV1p1beta1_Entity" }, "categoryEntities": { "type": "array", "description": "Common categories for the detected entity. For example, when the label is `Terrier`, the category is likely `dog`. And in some cases there might be more than one categories e.g., `Terrier` could also be a `pet`.", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_Entity" } }, "segments": { "description": "All video segments where a label was detected.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_LabelSegment" } }, "frames": { "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_LabelFrame" }, "type": "array", "description": "All video frames where a label was detected." }, "version": { "type": "string", "description": "Feature version." } }, "type": "object" }, "GoogleCloudVideointelligenceV1p2beta1_NormalizedBoundingPoly": { "id": "GoogleCloudVideointelligenceV1p2beta1_NormalizedBoundingPoly", "properties": { "vertices": { "description": "Normalized vertices of the bounding polygon.", "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_NormalizedVertex" }, "type": "array" } }, "type": "object", "description": "Normalized bounding polygon for text (that might not be aligned with axis). Contains list of the corner points in clockwise order starting from top-left corner. For example, for a rectangular bounding box: When the text is horizontal it might look like: 0----1 | | 3----2 When it's clockwise rotated 180 degrees around the top-left corner it becomes: 2----3 | | 1----0 and the vertex order will still be (0, 1, 2, 3). Note that values can be less than 0, or greater than 1 due to trignometric calculations for location of the box." }, "GoogleCloudVideointelligenceV1beta2_ObjectTrackingFrame": { "properties": { "normalizedBoundingBox": { "description": "The normalized bounding box location of this object track for the frame.", "$ref": "GoogleCloudVideointelligenceV1beta2_NormalizedBoundingBox" }, "timeOffset": { "description": "The timestamp of the frame in microseconds.", "type": "string", "format": "google-duration" } }, "description": "Video frame level annotations for object detection and tracking. This field stores per frame location, time offset, and confidence.", "id": "GoogleCloudVideointelligenceV1beta2_ObjectTrackingFrame", "type": "object" }, "GoogleCloudVideointelligenceV1_DetectedLandmark": { "properties": { "confidence": { "description": "The confidence score of the detected landmark. Range [0, 1].", "type": "number", "format": "float" }, "name": { "type": "string", "description": "The name of this landmark, for example, left_hand, right_shoulder." }, "point": { "description": "The 2D point of the detected landmark using the normalized image coordindate system. The normalized coordinates have the range from 0 to 1.", "$ref": "GoogleCloudVideointelligenceV1_NormalizedVertex" } }, "description": "A generic detected landmark represented by name in string format and a 2D location.", "id": "GoogleCloudVideointelligenceV1_DetectedLandmark", "type": "object" }, "GoogleCloudVideointelligenceV1beta2_PersonDetectionAnnotation": { "description": "Person detection annotation per video.", "id": "GoogleCloudVideointelligenceV1beta2_PersonDetectionAnnotation", "properties": { "tracks": { "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_Track" }, "description": "The detected tracks of a person.", "type": "array" }, "version": { "type": "string", "description": "Feature version." } }, "type": "object" }, "GoogleCloudVideointelligenceV1_TextFrame": { "description": "Video frame level annotation results for text annotation (OCR). Contains information regarding timestamp and bounding box locations for the frames containing detected OCR text snippets.", "properties": { "rotatedBoundingBox": { "description": "Bounding polygon of the detected text for this frame.", "$ref": "GoogleCloudVideointelligenceV1_NormalizedBoundingPoly" }, "timeOffset": { "description": "Timestamp of this frame.", "type": "string", "format": "google-duration" } }, "id": "GoogleCloudVideointelligenceV1_TextFrame", "type": "object" }, "GoogleCloudVideointelligenceV1beta2_ExplicitContentFrame": { "description": "Video frame level annotation results for explicit content.", "id": "GoogleCloudVideointelligenceV1beta2_ExplicitContentFrame", "type": "object", "properties": { "timeOffset": { "type": "string", "description": "Time-offset, relative to the beginning of the video, corresponding to the video frame for this location.", "format": "google-duration" }, "pornographyLikelihood": { "description": "Likelihood of the pornography content..", "enumDescriptions": [ "Unspecified likelihood.", "Very unlikely.", "Unlikely.", "Possible.", "Likely.", "Very likely." ], "type": "string", "enum": [ "LIKELIHOOD_UNSPECIFIED", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ] } } }, "GoogleCloudVideointelligenceV1beta2_Track": { "description": "A track of an object instance.", "id": "GoogleCloudVideointelligenceV1beta2_Track", "properties": { "confidence": { "description": "Optional. The confidence score of the tracked object.", "format": "float", "type": "number" }, "segment": { "description": "Video segment of a track.", "$ref": "GoogleCloudVideointelligenceV1beta2_VideoSegment" }, "timestampedObjects": { "description": "The object with timestamp and attributes per frame in the track.", "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_TimestampedObject" }, "type": "array" }, "attributes": { "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_DetectedAttribute" }, "description": "Optional. Attributes in the track level.", "type": "array" } }, "type": "object" }, "GoogleCloudVideointelligenceV1_LogoRecognitionAnnotation": { "type": "object", "properties": { "tracks": { "description": "All logo tracks where the recognized logo appears. Each track corresponds to one logo instance appearing in consecutive frames.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1_Track" } }, "segments": { "items": { "$ref": "GoogleCloudVideointelligenceV1_VideoSegment" }, "description": "All video segments where the recognized logo appears. There might be multiple instances of the same logo class appearing in one VideoSegment.", "type": "array" }, "entity": { "description": "Entity category information to specify the logo class that all the logo tracks within this LogoRecognitionAnnotation are recognized as.", "$ref": "GoogleCloudVideointelligenceV1_Entity" } }, "id": "GoogleCloudVideointelligenceV1_LogoRecognitionAnnotation", "description": "Annotation corresponding to one detected, tracked and recognized logo class." }, "GoogleCloudVideointelligenceV1p3beta1_FaceFrame": { "properties": { "timeOffset": { "format": "google-duration", "type": "string", "description": "Time-offset, relative to the beginning of the video, corresponding to the video frame for this location." }, "normalizedBoundingBoxes": { "description": "Normalized Bounding boxes in a frame. There can be more than one boxes if the same face is detected in multiple locations within the current frame.", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_NormalizedBoundingBox" }, "type": "array" } }, "id": "GoogleCloudVideointelligenceV1p3beta1_FaceFrame", "description": "Deprecated. No effect.", "type": "object" }, "GoogleCloudVideointelligenceV1p3beta1_CelebrityTrack": { "type": "object", "id": "GoogleCloudVideointelligenceV1p3beta1_CelebrityTrack", "description": "The annotation result of a celebrity face track. RecognizedCelebrity field could be empty if the face track does not have any matched celebrities.", "properties": { "celebrities": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_RecognizedCelebrity" }, "description": "Top N match of the celebrities for the face in this track." }, "faceTrack": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_Track", "description": "A track of a person's face." } } }, "GoogleCloudVideointelligenceV1p3beta1_TextFrame": { "properties": { "rotatedBoundingBox": { "description": "Bounding polygon of the detected text for this frame.", "$ref": "GoogleCloudVideointelligenceV1p3beta1_NormalizedBoundingPoly" }, "timeOffset": { "format": "google-duration", "description": "Timestamp of this frame.", "type": "string" } }, "description": "Video frame level annotation results for text annotation (OCR). Contains information regarding timestamp and bounding box locations for the frames containing detected OCR text snippets.", "id": "GoogleCloudVideointelligenceV1p3beta1_TextFrame", "type": "object" }, "GoogleCloudVideointelligenceV1beta2_NormalizedBoundingPoly": { "id": "GoogleCloudVideointelligenceV1beta2_NormalizedBoundingPoly", "properties": { "vertices": { "description": "Normalized vertices of the bounding polygon.", "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_NormalizedVertex" }, "type": "array" } }, "type": "object", "description": "Normalized bounding polygon for text (that might not be aligned with axis). Contains list of the corner points in clockwise order starting from top-left corner. For example, for a rectangular bounding box: When the text is horizontal it might look like: 0----1 | | 3----2 When it's clockwise rotated 180 degrees around the top-left corner it becomes: 2----3 | | 1----0 and the vertex order will still be (0, 1, 2, 3). Note that values can be less than 0, or greater than 1 due to trignometric calculations for location of the box." }, "GoogleCloudVideointelligenceV1p3beta1_ObjectTrackingAnnotation": { "type": "object", "id": "GoogleCloudVideointelligenceV1p3beta1_ObjectTrackingAnnotation", "description": "Annotations corresponding to one tracked object.", "properties": { "frames": { "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_ObjectTrackingFrame" }, "type": "array", "description": "Information corresponding to all frames where this object track appears. Non-streaming batch mode: it may be one or multiple ObjectTrackingFrame messages in frames. Streaming mode: it can only be one ObjectTrackingFrame message in frames." }, "trackId": { "format": "int64", "type": "string", "description": "Streaming mode ONLY. In streaming mode, we do not know the end time of a tracked object before it is completed. Hence, there is no VideoSegment info returned. Instead, we provide a unique identifiable integer track_id so that the customers can correlate the results of the ongoing ObjectTrackAnnotation of the same track_id over time." }, "version": { "description": "Feature version.", "type": "string" }, "segment": { "description": "Non-streaming batch mode ONLY. Each object track corresponds to one video segment where it appears.", "$ref": "GoogleCloudVideointelligenceV1p3beta1_VideoSegment" }, "confidence": { "format": "float", "description": "Object category's labeling confidence of this track.", "type": "number" }, "entity": { "description": "Entity to specify the object category that this track is labeled as.", "$ref": "GoogleCloudVideointelligenceV1p3beta1_Entity" } } }, "GoogleCloudVideointelligenceV1beta2_FaceDetectionAnnotation": { "description": "Face detection annotation.", "type": "object", "id": "GoogleCloudVideointelligenceV1beta2_FaceDetectionAnnotation", "properties": { "tracks": { "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_Track" }, "description": "The face tracks with attributes.", "type": "array" }, "thumbnail": { "type": "string", "format": "byte", "description": "The thumbnail of a person's face." }, "version": { "type": "string", "description": "Feature version." } } }, "GoogleCloudVideointelligenceV1p2beta1_VideoAnnotationProgress": { "type": "object", "description": "Annotation progress for a single video.", "properties": { "feature": { "enumDescriptions": [ "Unspecified.", "Label detection. Detect objects, such as dog or flower.", "Shot change detection.", "Explicit content detection.", "Human face detection.", "Speech transcription.", "OCR text detection and tracking.", "Object detection and tracking.", "Logo detection, tracking, and recognition.", "Person detection." ], "type": "string", "description": "Specifies which feature is being tracked if the request contains more than one feature.", "enum": [ "FEATURE_UNSPECIFIED", "LABEL_DETECTION", "SHOT_CHANGE_DETECTION", "EXPLICIT_CONTENT_DETECTION", "FACE_DETECTION", "SPEECH_TRANSCRIPTION", "TEXT_DETECTION", "OBJECT_TRACKING", "LOGO_RECOGNITION", "PERSON_DETECTION" ] }, "progressPercent": { "description": "Approximate percentage processed thus far. Guaranteed to be 100 when fully processed.", "format": "int32", "type": "integer" }, "startTime": { "type": "string", "description": "Time when the request was received.", "format": "google-datetime" }, "segment": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_VideoSegment", "description": "Specifies which segment is being tracked if the request contains more than one segment." }, "updateTime": { "description": "Time of the most recent update.", "format": "google-datetime", "type": "string" }, "inputUri": { "type": "string", "description": "Video file location in [Cloud Storage](https://cloud.google.com/storage/)." } }, "id": "GoogleCloudVideointelligenceV1p2beta1_VideoAnnotationProgress" }, "GoogleCloudVideointelligenceV1p1beta1_LogoRecognitionAnnotation": { "properties": { "segments": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_VideoSegment" }, "description": "All video segments where the recognized logo appears. There might be multiple instances of the same logo class appearing in one VideoSegment." }, "entity": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_Entity", "description": "Entity category information to specify the logo class that all the logo tracks within this LogoRecognitionAnnotation are recognized as." }, "tracks": { "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_Track" }, "type": "array", "description": "All logo tracks where the recognized logo appears. Each track corresponds to one logo instance appearing in consecutive frames." } }, "type": "object", "id": "GoogleCloudVideointelligenceV1p1beta1_LogoRecognitionAnnotation", "description": "Annotation corresponding to one detected, tracked and recognized logo class." }, "GoogleCloudVideointelligenceV1p3beta1_TimestampedObject": { "description": "For tracking related features. An object at time_offset with attributes, and located with normalized_bounding_box.", "id": "GoogleCloudVideointelligenceV1p3beta1_TimestampedObject", "properties": { "timeOffset": { "format": "google-duration", "type": "string", "description": "Time-offset, relative to the beginning of the video, corresponding to the video frame for this object." }, "normalizedBoundingBox": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_NormalizedBoundingBox", "description": "Normalized Bounding box in a frame, where the object is located." }, "attributes": { "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_DetectedAttribute" }, "description": "Optional. The attributes of the object in the bounding box.", "type": "array" }, "landmarks": { "description": "Optional. The detected landmarks.", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_DetectedLandmark" }, "type": "array" } }, "type": "object" }, "GoogleCloudVideointelligenceV1beta2_LabelDetectionConfig": { "type": "object", "id": "GoogleCloudVideointelligenceV1beta2_LabelDetectionConfig", "description": "Config for LABEL_DETECTION.", "properties": { "stationaryCamera": { "description": "Whether the video has been shot from a stationary (i.e., non-moving) camera. When set to true, might improve detection accuracy for moving objects. Should be used with `SHOT_AND_FRAME_MODE` enabled.", "type": "boolean" }, "videoConfidenceThreshold": { "description": "The confidence threshold we perform filtering on the labels from video-level and shot-level detections. If not set, it's set to 0.3 by default. The valid range for this threshold is [0.1, 0.9]. Any value set outside of this range will be clipped. Note: For best results, follow the default threshold. We will update the default threshold everytime when we release a new model.", "type": "number", "format": "float" }, "model": { "description": "Model to use for label detection. Supported values: \"builtin/stable\" (the default if unset) and \"builtin/latest\".", "type": "string" }, "frameConfidenceThreshold": { "format": "float", "description": "The confidence threshold we perform filtering on the labels from frame-level detection. If not set, it is set to 0.4 by default. The valid range for this threshold is [0.1, 0.9]. Any value set outside of this range will be clipped. Note: For best results, follow the default threshold. We will update the default threshold everytime when we release a new model.", "type": "number" }, "labelDetectionMode": { "type": "string", "description": "What labels should be detected with LABEL_DETECTION, in addition to video-level labels or segment-level labels. If unspecified, defaults to `SHOT_MODE`.", "enumDescriptions": [ "Unspecified.", "Detect shot-level labels.", "Detect frame-level labels.", "Detect both shot-level and frame-level labels." ], "enum": [ "LABEL_DETECTION_MODE_UNSPECIFIED", "SHOT_MODE", "FRAME_MODE", "SHOT_AND_FRAME_MODE" ] } } }, "GoogleCloudVideointelligenceV1p2beta1_TextAnnotation": { "id": "GoogleCloudVideointelligenceV1p2beta1_TextAnnotation", "type": "object", "description": "Annotations related to one detected OCR text snippet. This will contain the corresponding text, confidence value, and frame level information for each detection.", "properties": { "version": { "type": "string", "description": "Feature version." }, "segments": { "description": "All video segments where OCR detected text appears.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_TextSegment" } }, "text": { "type": "string", "description": "The detected text." } } }, "GoogleCloudVideointelligenceV1p3beta1_ObjectTrackingFrame": { "id": "GoogleCloudVideointelligenceV1p3beta1_ObjectTrackingFrame", "type": "object", "properties": { "normalizedBoundingBox": { "description": "The normalized bounding box location of this object track for the frame.", "$ref": "GoogleCloudVideointelligenceV1p3beta1_NormalizedBoundingBox" }, "timeOffset": { "type": "string", "description": "The timestamp of the frame in microseconds.", "format": "google-duration" } }, "description": "Video frame level annotations for object detection and tracking. This field stores per frame location, time offset, and confidence." }, "GoogleCloudVideointelligenceV1p2beta1_FaceAnnotation": { "type": "object", "description": "Deprecated. No effect.", "id": "GoogleCloudVideointelligenceV1p2beta1_FaceAnnotation", "properties": { "thumbnail": { "description": "Thumbnail of a representative face view (in JPEG format).", "format": "byte", "type": "string" }, "segments": { "description": "All video segments where a face was detected.", "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_FaceSegment" }, "type": "array" }, "frames": { "type": "array", "description": "All video frames where a face was detected.", "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_FaceFrame" } } } }, "GoogleCloudVideointelligenceV1p1beta1_LabelFrame": { "description": "Video frame level annotation results for label detection.", "type": "object", "id": "GoogleCloudVideointelligenceV1p1beta1_LabelFrame", "properties": { "timeOffset": { "format": "google-duration", "description": "Time-offset, relative to the beginning of the video, corresponding to the video frame for this location.", "type": "string" }, "confidence": { "format": "float", "description": "Confidence that the label is accurate. Range: [0, 1].", "type": "number" } } }, "GoogleCloudVideointelligenceV1p2beta1_NormalizedVertex": { "properties": { "x": { "type": "number", "description": "X coordinate.", "format": "float" }, "y": { "format": "float", "type": "number", "description": "Y coordinate." } }, "id": "GoogleCloudVideointelligenceV1p2beta1_NormalizedVertex", "type": "object", "description": "A vertex represents a 2D point in the image. NOTE: the normalized vertex coordinates are relative to the original image and range from 0 to 1." }, "GoogleCloudVideointelligenceV1p2beta1_ObjectTrackingFrame": { "type": "object", "properties": { "timeOffset": { "format": "google-duration", "description": "The timestamp of the frame in microseconds.", "type": "string" }, "normalizedBoundingBox": { "description": "The normalized bounding box location of this object track for the frame.", "$ref": "GoogleCloudVideointelligenceV1p2beta1_NormalizedBoundingBox" } }, "description": "Video frame level annotations for object detection and tracking. This field stores per frame location, time offset, and confidence.", "id": "GoogleCloudVideointelligenceV1p2beta1_ObjectTrackingFrame" }, "GoogleCloudVideointelligenceV1beta2_FaceFrame": { "id": "GoogleCloudVideointelligenceV1beta2_FaceFrame", "type": "object", "description": "Deprecated. No effect.", "properties": { "normalizedBoundingBoxes": { "type": "array", "description": "Normalized Bounding boxes in a frame. There can be more than one boxes if the same face is detected in multiple locations within the current frame.", "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_NormalizedBoundingBox" } }, "timeOffset": { "description": "Time-offset, relative to the beginning of the video, corresponding to the video frame for this location.", "format": "google-duration", "type": "string" } } }, "GoogleCloudVideointelligenceV1beta2_AnnotateVideoRequest": { "properties": { "outputUri": { "description": "Optional. Location where the output (in JSON format) should be stored. Currently, only [Cloud Storage](https://cloud.google.com/storage/) URIs are supported. These must be specified in the following format: `gs://bucket-id/object-id` (other URI formats return google.rpc.Code.INVALID_ARGUMENT). For more information, see [Request URIs](https://cloud.google.com/storage/docs/request-endpoints).", "type": "string" }, "inputContent": { "type": "string", "description": "The video data bytes. If unset, the input video(s) should be specified via the `input_uri`. If set, `input_uri` must be unset.", "format": "byte" }, "locationId": { "type": "string", "description": "Optional. Cloud region where annotation should take place. Supported cloud regions are: `us-east1`, `us-west1`, `europe-west1`, `asia-east1`. If no region is specified, the region will be determined based on video file location." }, "features": { "items": { "enumDescriptions": [ "Unspecified.", "Label detection. Detect objects, such as dog or flower.", "Shot change detection.", "Explicit content detection.", "Human face detection.", "Speech transcription.", "OCR text detection and tracking.", "Object detection and tracking.", "Logo detection, tracking, and recognition.", "Person detection." ], "enum": [ "FEATURE_UNSPECIFIED", "LABEL_DETECTION", "SHOT_CHANGE_DETECTION", "EXPLICIT_CONTENT_DETECTION", "FACE_DETECTION", "SPEECH_TRANSCRIPTION", "TEXT_DETECTION", "OBJECT_TRACKING", "LOGO_RECOGNITION", "PERSON_DETECTION" ], "type": "string" }, "description": "Required. Requested video annotation features.", "type": "array" }, "videoContext": { "description": "Additional video context and/or feature-specific parameters.", "$ref": "GoogleCloudVideointelligenceV1beta2_VideoContext" }, "inputUri": { "description": "Input video location. Currently, only [Cloud Storage](https://cloud.google.com/storage/) URIs are supported. URIs must be specified in the following format: `gs://bucket-id/object-id` (other URI formats return google.rpc.Code.INVALID_ARGUMENT). For more information, see [Request URIs](https://cloud.google.com/storage/docs/request-endpoints). To identify multiple videos, a video URI may include wildcards in the `object-id`. Supported wildcards: '*' to match 0 or more characters; '?' to match 1 character. If unset, the input video should be embedded in the request as `input_content`. If set, `input_content` must be unset.", "type": "string" } }, "id": "GoogleCloudVideointelligenceV1beta2_AnnotateVideoRequest", "description": "Video annotation request.", "type": "object" }, "GoogleCloudVideointelligenceV1p3beta1_VideoSegment": { "properties": { "endTimeOffset": { "description": "Time-offset, relative to the beginning of the video, corresponding to the end of the segment (inclusive).", "format": "google-duration", "type": "string" }, "startTimeOffset": { "description": "Time-offset, relative to the beginning of the video, corresponding to the start of the segment (inclusive).", "format": "google-duration", "type": "string" } }, "id": "GoogleCloudVideointelligenceV1p3beta1_VideoSegment", "description": "Video segment.", "type": "object" }, "GoogleCloudVideointelligenceV1p3beta1_ExplicitContentAnnotation": { "description": "Explicit content annotation (based on per-frame visual signals only). If no explicit content has been detected in a frame, no annotations are present for that frame.", "id": "GoogleCloudVideointelligenceV1p3beta1_ExplicitContentAnnotation", "properties": { "frames": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_ExplicitContentFrame" }, "description": "All video frames where explicit content was detected." }, "version": { "description": "Feature version.", "type": "string" } }, "type": "object" }, "GoogleCloudVideointelligenceV1p1beta1_PersonDetectionAnnotation": { "id": "GoogleCloudVideointelligenceV1p1beta1_PersonDetectionAnnotation", "type": "object", "description": "Person detection annotation per video.", "properties": { "tracks": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_Track" }, "description": "The detected tracks of a person." }, "version": { "type": "string", "description": "Feature version." } } }, "GoogleCloudVideointelligenceV1p2beta1_NormalizedBoundingBox": { "type": "object", "properties": { "left": { "type": "number", "description": "Left X coordinate.", "format": "float" }, "right": { "type": "number", "format": "float", "description": "Right X coordinate." }, "bottom": { "format": "float", "type": "number", "description": "Bottom Y coordinate." }, "top": { "type": "number", "description": "Top Y coordinate.", "format": "float" } }, "id": "GoogleCloudVideointelligenceV1p2beta1_NormalizedBoundingBox", "description": "Normalized bounding box. The normalized vertex coordinates are relative to the original image. Range: [0, 1]." }, "GoogleCloudVideointelligenceV1p1beta1_FaceFrame": { "description": "Deprecated. No effect.", "id": "GoogleCloudVideointelligenceV1p1beta1_FaceFrame", "type": "object", "properties": { "timeOffset": { "description": "Time-offset, relative to the beginning of the video, corresponding to the video frame for this location.", "type": "string", "format": "google-duration" }, "normalizedBoundingBoxes": { "description": "Normalized Bounding boxes in a frame. There can be more than one boxes if the same face is detected in multiple locations within the current frame.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_NormalizedBoundingBox" } } } }, "GoogleCloudVideointelligenceV1p2beta1_LogoRecognitionAnnotation": { "properties": { "tracks": { "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_Track" }, "description": "All logo tracks where the recognized logo appears. Each track corresponds to one logo instance appearing in consecutive frames.", "type": "array" }, "segments": { "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_VideoSegment" }, "type": "array", "description": "All video segments where the recognized logo appears. There might be multiple instances of the same logo class appearing in one VideoSegment." }, "entity": { "description": "Entity category information to specify the logo class that all the logo tracks within this LogoRecognitionAnnotation are recognized as.", "$ref": "GoogleCloudVideointelligenceV1p2beta1_Entity" } }, "description": "Annotation corresponding to one detected, tracked and recognized logo class.", "type": "object", "id": "GoogleCloudVideointelligenceV1p2beta1_LogoRecognitionAnnotation" }, "GoogleCloudVideointelligenceV1p3beta1_LabelSegment": { "id": "GoogleCloudVideointelligenceV1p3beta1_LabelSegment", "description": "Video segment level annotation results for label detection.", "properties": { "confidence": { "description": "Confidence that the label is accurate. Range: [0, 1].", "type": "number", "format": "float" }, "segment": { "description": "Video segment where a label was detected.", "$ref": "GoogleCloudVideointelligenceV1p3beta1_VideoSegment" } }, "type": "object" }, "GoogleCloudVideointelligenceV1p1beta1_FaceAnnotation": { "description": "Deprecated. No effect.", "id": "GoogleCloudVideointelligenceV1p1beta1_FaceAnnotation", "properties": { "frames": { "description": "All video frames where a face was detected.", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_FaceFrame" }, "type": "array" }, "thumbnail": { "description": "Thumbnail of a representative face view (in JPEG format).", "type": "string", "format": "byte" }, "segments": { "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_FaceSegment" }, "description": "All video segments where a face was detected.", "type": "array" } }, "type": "object" }, "GoogleCloudVideointelligenceV1beta2_PersonDetectionConfig": { "properties": { "includePoseLandmarks": { "description": "Whether to enable pose landmarks detection. Ignored if 'include_bounding_boxes' is set to false.", "type": "boolean" }, "includeBoundingBoxes": { "description": "Whether bounding boxes are included in the person detection annotation output.", "type": "boolean" }, "includeAttributes": { "description": "Whether to enable person attributes detection, such as cloth color (black, blue, etc), type (coat, dress, etc), pattern (plain, floral, etc), hair, etc. Ignored if 'include_bounding_boxes' is set to false.", "type": "boolean" } }, "type": "object", "id": "GoogleCloudVideointelligenceV1beta2_PersonDetectionConfig", "description": "Config for PERSON_DETECTION." }, "GoogleCloudVideointelligenceV1p1beta1_DetectedAttribute": { "description": "A generic detected attribute represented by name in string format.", "id": "GoogleCloudVideointelligenceV1p1beta1_DetectedAttribute", "type": "object", "properties": { "name": { "type": "string", "description": "The name of the attribute, for example, glasses, dark_glasses, mouth_open. A full list of supported type names will be provided in the document." }, "confidence": { "type": "number", "description": "Detected attribute confidence. Range [0, 1].", "format": "float" }, "value": { "description": "Text value of the detection result. For example, the value for \"HairColor\" can be \"black\", \"blonde\", etc.", "type": "string" } } }, "GoogleCloudVideointelligenceV1beta2_Entity": { "id": "GoogleCloudVideointelligenceV1beta2_Entity", "type": "object", "description": "Detected entity from video analysis.", "properties": { "description": { "description": "Textual description, e.g., `Fixed-gear bicycle`.", "type": "string" }, "entityId": { "type": "string", "description": "Opaque entity ID. Some IDs may be available in [Google Knowledge Graph Search API](https://developers.google.com/knowledge-graph/)." }, "languageCode": { "description": "Language code for `description` in BCP-47 format.", "type": "string" } } }, "GoogleCloudVideointelligenceV1p3beta1_Entity": { "properties": { "description": { "description": "Textual description, e.g., `Fixed-gear bicycle`.", "type": "string" }, "languageCode": { "description": "Language code for `description` in BCP-47 format.", "type": "string" }, "entityId": { "description": "Opaque entity ID. Some IDs may be available in [Google Knowledge Graph Search API](https://developers.google.com/knowledge-graph/).", "type": "string" } }, "id": "GoogleCloudVideointelligenceV1p3beta1_Entity", "type": "object", "description": "Detected entity from video analysis." }, "GoogleCloudVideointelligenceV1_ExplicitContentAnnotation": { "properties": { "version": { "description": "Feature version.", "type": "string" }, "frames": { "items": { "$ref": "GoogleCloudVideointelligenceV1_ExplicitContentFrame" }, "type": "array", "description": "All video frames where explicit content was detected." } }, "description": "Explicit content annotation (based on per-frame visual signals only). If no explicit content has been detected in a frame, no annotations are present for that frame.", "id": "GoogleCloudVideointelligenceV1_ExplicitContentAnnotation", "type": "object" }, "GoogleCloudVideointelligenceV1beta2_WordInfo": { "description": "Word-specific information for recognized words. Word information is only included in the response when certain request parameters are set, such as `enable_word_time_offsets`.", "type": "object", "id": "GoogleCloudVideointelligenceV1beta2_WordInfo", "properties": { "speakerTag": { "readOnly": true, "format": "int32", "type": "integer", "description": "Output only. A distinct integer value is assigned for every speaker within the audio. This field specifies which one of those speakers was detected to have spoken this word. Value ranges from 1 up to diarization_speaker_count, and is only set if speaker diarization is enabled." }, "endTime": { "description": "Time offset relative to the beginning of the audio, and corresponding to the end of the spoken word. This field is only set if `enable_word_time_offsets=true` and only in the top hypothesis. This is an experimental feature and the accuracy of the time offset can vary.", "format": "google-duration", "type": "string" }, "startTime": { "type": "string", "description": "Time offset relative to the beginning of the audio, and corresponding to the start of the spoken word. This field is only set if `enable_word_time_offsets=true` and only in the top hypothesis. This is an experimental feature and the accuracy of the time offset can vary.", "format": "google-duration" }, "word": { "type": "string", "description": "The word corresponding to this set of information." }, "confidence": { "readOnly": true, "description": "Output only. The confidence estimate between 0.0 and 1.0. A higher number indicates an estimated greater likelihood that the recognized words are correct. This field is set only for the top alternative. This field is not guaranteed to be accurate and users should not rely on it to be always provided. The default of 0.0 is a sentinel value indicating `confidence` was not set.", "format": "float", "type": "number" } } }, "GoogleCloudVideointelligenceV1beta2_TextAnnotation": { "id": "GoogleCloudVideointelligenceV1beta2_TextAnnotation", "description": "Annotations related to one detected OCR text snippet. This will contain the corresponding text, confidence value, and frame level information for each detection.", "type": "object", "properties": { "version": { "description": "Feature version.", "type": "string" }, "text": { "description": "The detected text.", "type": "string" }, "segments": { "description": "All video segments where OCR detected text appears.", "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_TextSegment" }, "type": "array" } } }, "GoogleCloudVideointelligenceV1p1beta1_TextFrame": { "type": "object", "properties": { "timeOffset": { "description": "Timestamp of this frame.", "type": "string", "format": "google-duration" }, "rotatedBoundingBox": { "description": "Bounding polygon of the detected text for this frame.", "$ref": "GoogleCloudVideointelligenceV1p1beta1_NormalizedBoundingPoly" } }, "id": "GoogleCloudVideointelligenceV1p1beta1_TextFrame", "description": "Video frame level annotation results for text annotation (OCR). Contains information regarding timestamp and bounding box locations for the frames containing detected OCR text snippets." }, "GoogleCloudVideointelligenceV1beta2_SpeechTranscriptionConfig": { "id": "GoogleCloudVideointelligenceV1beta2_SpeechTranscriptionConfig", "type": "object", "description": "Config for SPEECH_TRANSCRIPTION.", "properties": { "filterProfanity": { "type": "boolean", "description": "Optional. If set to `true`, the server will attempt to filter out profanities, replacing all but the initial character in each filtered word with asterisks, e.g. \"f***\". If set to `false` or omitted, profanities won't be filtered out." }, "speechContexts": { "type": "array", "description": "Optional. A means to provide context to assist the speech recognition.", "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_SpeechContext" } }, "audioTracks": { "type": "array", "items": { "type": "integer", "format": "int32" }, "description": "Optional. For file formats, such as MXF or MKV, supporting multiple audio tracks, specify up to two tracks. Default: track 0." }, "maxAlternatives": { "type": "integer", "description": "Optional. Maximum number of recognition hypotheses to be returned. Specifically, the maximum number of `SpeechRecognitionAlternative` messages within each `SpeechTranscription`. The server may return fewer than `max_alternatives`. Valid values are `0`-`30`. A value of `0` or `1` will return a maximum of one. If omitted, will return a maximum of one.", "format": "int32" }, "enableWordConfidence": { "description": "Optional. If `true`, the top result includes a list of words and the confidence for those words. If `false`, no word-level confidence information is returned. The default is `false`.", "type": "boolean" }, "languageCode": { "type": "string", "description": "Required. *Required* The language of the supplied audio as a [BCP-47](https://www.rfc-editor.org/rfc/bcp/bcp47.txt) language tag. Example: \"en-US\". See [Language Support](https://cloud.google.com/speech/docs/languages) for a list of the currently supported language codes." }, "enableAutomaticPunctuation": { "description": "Optional. If 'true', adds punctuation to recognition result hypotheses. This feature is only available in select languages. Setting this for requests in other languages has no effect at all. The default 'false' value does not add punctuation to result hypotheses. NOTE: \"This is currently offered as an experimental service, complimentary to all users. In the future this may be exclusively available as a premium feature.\"", "type": "boolean" }, "diarizationSpeakerCount": { "type": "integer", "format": "int32", "description": "Optional. If set, specifies the estimated number of speakers in the conversation. If not set, defaults to '2'. Ignored unless enable_speaker_diarization is set to true." }, "enableSpeakerDiarization": { "description": "Optional. If 'true', enables speaker detection for each recognized word in the top alternative of the recognition result using a speaker_tag provided in the WordInfo. Note: When this is true, we send all the words from the beginning of the audio for the top alternative in every consecutive response. This is done in order to improve our speaker tags as our models learn to identify the speakers in the conversation over time.", "type": "boolean" } } }, "GoogleCloudVideointelligenceV1p1beta1_Entity": { "properties": { "entityId": { "description": "Opaque entity ID. Some IDs may be available in [Google Knowledge Graph Search API](https://developers.google.com/knowledge-graph/).", "type": "string" }, "description": { "type": "string", "description": "Textual description, e.g., `Fixed-gear bicycle`." }, "languageCode": { "type": "string", "description": "Language code for `description` in BCP-47 format." } }, "id": "GoogleCloudVideointelligenceV1p1beta1_Entity", "type": "object", "description": "Detected entity from video analysis." }, "GoogleCloudVideointelligenceV1_Entity": { "id": "GoogleCloudVideointelligenceV1_Entity", "type": "object", "description": "Detected entity from video analysis.", "properties": { "entityId": { "description": "Opaque entity ID. Some IDs may be available in [Google Knowledge Graph Search API](https://developers.google.com/knowledge-graph/).", "type": "string" }, "languageCode": { "type": "string", "description": "Language code for `description` in BCP-47 format." }, "description": { "type": "string", "description": "Textual description, e.g., `Fixed-gear bicycle`." } } }, "GoogleCloudVideointelligenceV1p3beta1_NormalizedBoundingBox": { "description": "Normalized bounding box. The normalized vertex coordinates are relative to the original image. Range: [0, 1].", "id": "GoogleCloudVideointelligenceV1p3beta1_NormalizedBoundingBox", "type": "object", "properties": { "bottom": { "description": "Bottom Y coordinate.", "type": "number", "format": "float" }, "left": { "format": "float", "description": "Left X coordinate.", "type": "number" }, "top": { "type": "number", "format": "float", "description": "Top Y coordinate." }, "right": { "type": "number", "format": "float", "description": "Right X coordinate." } } }, "GoogleCloudVideointelligenceV1p1beta1_ObjectTrackingAnnotation": { "properties": { "entity": { "description": "Entity to specify the object category that this track is labeled as.", "$ref": "GoogleCloudVideointelligenceV1p1beta1_Entity" }, "trackId": { "description": "Streaming mode ONLY. In streaming mode, we do not know the end time of a tracked object before it is completed. Hence, there is no VideoSegment info returned. Instead, we provide a unique identifiable integer track_id so that the customers can correlate the results of the ongoing ObjectTrackAnnotation of the same track_id over time.", "format": "int64", "type": "string" }, "confidence": { "type": "number", "format": "float", "description": "Object category's labeling confidence of this track." }, "version": { "type": "string", "description": "Feature version." }, "segment": { "description": "Non-streaming batch mode ONLY. Each object track corresponds to one video segment where it appears.", "$ref": "GoogleCloudVideointelligenceV1p1beta1_VideoSegment" }, "frames": { "description": "Information corresponding to all frames where this object track appears. Non-streaming batch mode: it may be one or multiple ObjectTrackingFrame messages in frames. Streaming mode: it can only be one ObjectTrackingFrame message in frames.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_ObjectTrackingFrame" } } }, "description": "Annotations corresponding to one tracked object.", "id": "GoogleCloudVideointelligenceV1p1beta1_ObjectTrackingAnnotation", "type": "object" }, "GoogleCloudVideointelligenceV1p3beta1_FaceDetectionAnnotation": { "properties": { "thumbnail": { "description": "The thumbnail of a person's face.", "type": "string", "format": "byte" }, "tracks": { "type": "array", "description": "The face tracks with attributes.", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_Track" } }, "version": { "type": "string", "description": "Feature version." } }, "type": "object", "id": "GoogleCloudVideointelligenceV1p3beta1_FaceDetectionAnnotation", "description": "Face detection annotation." }, "GoogleCloudVideointelligenceV1beta2_LabelSegment": { "id": "GoogleCloudVideointelligenceV1beta2_LabelSegment", "properties": { "segment": { "$ref": "GoogleCloudVideointelligenceV1beta2_VideoSegment", "description": "Video segment where a label was detected." }, "confidence": { "format": "float", "description": "Confidence that the label is accurate. Range: [0, 1].", "type": "number" } }, "description": "Video segment level annotation results for label detection.", "type": "object" }, "GoogleLongrunning_Operation": { "type": "object", "description": "This resource represents a long-running operation that is the result of a network API call.", "properties": { "error": { "description": "The error result of the operation in case of failure or cancellation.", "$ref": "GoogleRpc_Status" }, "done": { "type": "boolean", "description": "If the value is `false`, it means the operation is still in progress. If `true`, the operation is completed, and either `error` or `response` is available." }, "metadata": { "description": "Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any.", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "type": "object" }, "response": { "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "type": "object", "description": "The normal response of the operation in case of success. If the original method returns no data on success, such as `Delete`, the response is `google.protobuf.Empty`. If the original method is standard `Get`/`Create`/`Update`, the response should be the resource. For other methods, the response should have the type `XxxResponse`, where `Xxx` is the original method name. For example, if the original method name is `TakeSnapshot()`, the inferred response type is `TakeSnapshotResponse`." }, "name": { "description": "The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the `name` should be a resource name ending with `operations/{unique_id}`.", "type": "string" } }, "id": "GoogleLongrunning_Operation" }, "GoogleCloudVideointelligenceV1p1beta1_DetectedLandmark": { "description": "A generic detected landmark represented by name in string format and a 2D location.", "properties": { "point": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_NormalizedVertex", "description": "The 2D point of the detected landmark using the normalized image coordindate system. The normalized coordinates have the range from 0 to 1." }, "name": { "description": "The name of this landmark, for example, left_hand, right_shoulder.", "type": "string" }, "confidence": { "type": "number", "description": "The confidence score of the detected landmark. Range [0, 1].", "format": "float" } }, "type": "object", "id": "GoogleCloudVideointelligenceV1p1beta1_DetectedLandmark" }, "GoogleCloudVideointelligenceV1p3beta1_TextAnnotation": { "description": "Annotations related to one detected OCR text snippet. This will contain the corresponding text, confidence value, and frame level information for each detection.", "id": "GoogleCloudVideointelligenceV1p3beta1_TextAnnotation", "properties": { "version": { "description": "Feature version.", "type": "string" }, "text": { "type": "string", "description": "The detected text." }, "segments": { "description": "All video segments where OCR detected text appears.", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_TextSegment" }, "type": "array" } }, "type": "object" }, "GoogleCloudVideointelligenceV1p1beta1_VideoAnnotationProgress": { "type": "object", "description": "Annotation progress for a single video.", "properties": { "progressPercent": { "format": "int32", "description": "Approximate percentage processed thus far. Guaranteed to be 100 when fully processed.", "type": "integer" }, "startTime": { "description": "Time when the request was received.", "type": "string", "format": "google-datetime" }, "inputUri": { "type": "string", "description": "Video file location in [Cloud Storage](https://cloud.google.com/storage/)." }, "updateTime": { "format": "google-datetime", "type": "string", "description": "Time of the most recent update." }, "feature": { "description": "Specifies which feature is being tracked if the request contains more than one feature.", "enum": [ "FEATURE_UNSPECIFIED", "LABEL_DETECTION", "SHOT_CHANGE_DETECTION", "EXPLICIT_CONTENT_DETECTION", "FACE_DETECTION", "SPEECH_TRANSCRIPTION", "TEXT_DETECTION", "OBJECT_TRACKING", "LOGO_RECOGNITION", "PERSON_DETECTION" ], "enumDescriptions": [ "Unspecified.", "Label detection. Detect objects, such as dog or flower.", "Shot change detection.", "Explicit content detection.", "Human face detection.", "Speech transcription.", "OCR text detection and tracking.", "Object detection and tracking.", "Logo detection, tracking, and recognition.", "Person detection." ], "type": "string" }, "segment": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_VideoSegment", "description": "Specifies which segment is being tracked if the request contains more than one segment." } }, "id": "GoogleCloudVideointelligenceV1p1beta1_VideoAnnotationProgress" }, "GoogleCloudVideointelligenceV1_SpeechTranscription": { "type": "object", "description": "A speech recognition result corresponding to a portion of the audio.", "properties": { "languageCode": { "readOnly": true, "description": "Output only. The [BCP-47](https://www.rfc-editor.org/rfc/bcp/bcp47.txt) language tag of the language in this result. This language code was detected to have the most likelihood of being spoken in the audio.", "type": "string" }, "alternatives": { "description": "May contain one or more recognition hypotheses (up to the maximum specified in `max_alternatives`). These alternatives are ordered in terms of accuracy, with the top (first) alternative being the most probable, as ranked by the recognizer.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1_SpeechRecognitionAlternative" } } }, "id": "GoogleCloudVideointelligenceV1_SpeechTranscription" }, "GoogleCloudVideointelligenceV1p3beta1_SpeechRecognitionAlternative": { "properties": { "confidence": { "format": "float", "type": "number", "description": "Output only. The confidence estimate between 0.0 and 1.0. A higher number indicates an estimated greater likelihood that the recognized words are correct. This field is set only for the top alternative. This field is not guaranteed to be accurate and users should not rely on it to be always provided. The default of 0.0 is a sentinel value indicating `confidence` was not set.", "readOnly": true }, "transcript": { "type": "string", "description": "Transcript text representing the words that the user spoke." }, "words": { "readOnly": true, "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_WordInfo" }, "description": "Output only. A list of word-specific information for each recognized word. Note: When `enable_speaker_diarization` is set to true, you will see all the words from the beginning of the audio.", "type": "array" } }, "description": "Alternative hypotheses (a.k.a. n-best list).", "type": "object", "id": "GoogleCloudVideointelligenceV1p3beta1_SpeechRecognitionAlternative" }, "GoogleCloudVideointelligenceV1p2beta1_SpeechRecognitionAlternative": { "type": "object", "id": "GoogleCloudVideointelligenceV1p2beta1_SpeechRecognitionAlternative", "description": "Alternative hypotheses (a.k.a. n-best list).", "properties": { "confidence": { "type": "number", "description": "Output only. The confidence estimate between 0.0 and 1.0. A higher number indicates an estimated greater likelihood that the recognized words are correct. This field is set only for the top alternative. This field is not guaranteed to be accurate and users should not rely on it to be always provided. The default of 0.0 is a sentinel value indicating `confidence` was not set.", "readOnly": true, "format": "float" }, "words": { "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_WordInfo" }, "readOnly": true, "type": "array", "description": "Output only. A list of word-specific information for each recognized word. Note: When `enable_speaker_diarization` is set to true, you will see all the words from the beginning of the audio." }, "transcript": { "description": "Transcript text representing the words that the user spoke.", "type": "string" } } }, "GoogleCloudVideointelligenceV1p2beta1_PersonDetectionAnnotation": { "id": "GoogleCloudVideointelligenceV1p2beta1_PersonDetectionAnnotation", "type": "object", "properties": { "version": { "description": "Feature version.", "type": "string" }, "tracks": { "type": "array", "description": "The detected tracks of a person.", "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_Track" } } }, "description": "Person detection annotation per video." }, "GoogleCloudVideointelligenceV1beta2_VideoSegment": { "description": "Video segment.", "id": "GoogleCloudVideointelligenceV1beta2_VideoSegment", "type": "object", "properties": { "endTimeOffset": { "format": "google-duration", "type": "string", "description": "Time-offset, relative to the beginning of the video, corresponding to the end of the segment (inclusive)." }, "startTimeOffset": { "type": "string", "description": "Time-offset, relative to the beginning of the video, corresponding to the start of the segment (inclusive).", "format": "google-duration" } } }, "GoogleCloudVideointelligenceV1p3beta1_DetectedAttribute": { "description": "A generic detected attribute represented by name in string format.", "properties": { "confidence": { "description": "Detected attribute confidence. Range [0, 1].", "type": "number", "format": "float" }, "value": { "type": "string", "description": "Text value of the detection result. For example, the value for \"HairColor\" can be \"black\", \"blonde\", etc." }, "name": { "description": "The name of the attribute, for example, glasses, dark_glasses, mouth_open. A full list of supported type names will be provided in the document.", "type": "string" } }, "type": "object", "id": "GoogleCloudVideointelligenceV1p3beta1_DetectedAttribute" }, "GoogleCloudVideointelligenceV1p3beta1_VideoAnnotationProgress": { "description": "Annotation progress for a single video.", "type": "object", "properties": { "updateTime": { "type": "string", "format": "google-datetime", "description": "Time of the most recent update." }, "progressPercent": { "format": "int32", "description": "Approximate percentage processed thus far. Guaranteed to be 100 when fully processed.", "type": "integer" }, "feature": { "type": "string", "description": "Specifies which feature is being tracked if the request contains more than one feature.", "enumDescriptions": [ "Unspecified.", "Label detection. Detect objects, such as dog or flower.", "Shot change detection.", "Explicit content detection.", "Human face detection.", "Speech transcription.", "OCR text detection and tracking.", "Object detection and tracking.", "Logo detection, tracking, and recognition.", "Celebrity recognition.", "Person detection." ], "enum": [ "FEATURE_UNSPECIFIED", "LABEL_DETECTION", "SHOT_CHANGE_DETECTION", "EXPLICIT_CONTENT_DETECTION", "FACE_DETECTION", "SPEECH_TRANSCRIPTION", "TEXT_DETECTION", "OBJECT_TRACKING", "LOGO_RECOGNITION", "CELEBRITY_RECOGNITION", "PERSON_DETECTION" ] }, "startTime": { "description": "Time when the request was received.", "format": "google-datetime", "type": "string" }, "segment": { "description": "Specifies which segment is being tracked if the request contains more than one segment.", "$ref": "GoogleCloudVideointelligenceV1p3beta1_VideoSegment" }, "inputUri": { "description": "Video file location in [Cloud Storage](https://cloud.google.com/storage/).", "type": "string" } }, "id": "GoogleCloudVideointelligenceV1p3beta1_VideoAnnotationProgress" }, "GoogleCloudVideointelligenceV1beta2_AnnotateVideoResponse": { "id": "GoogleCloudVideointelligenceV1beta2_AnnotateVideoResponse", "description": "Video annotation response. Included in the `response` field of the `Operation` returned by the `GetOperation` call of the `google::longrunning::Operations` service.", "properties": { "annotationResults": { "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_VideoAnnotationResults" }, "description": "Annotation results for all videos specified in `AnnotateVideoRequest`.", "type": "array" } }, "type": "object" }, "GoogleCloudVideointelligenceV1p3beta1_CelebrityRecognitionAnnotation": { "description": "Celebrity recognition annotation per video.", "id": "GoogleCloudVideointelligenceV1p3beta1_CelebrityRecognitionAnnotation", "type": "object", "properties": { "celebrityTracks": { "description": "The tracks detected from the input video, including recognized celebrities and other detected faces in the video.", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_CelebrityTrack" }, "type": "array" }, "version": { "description": "Feature version.", "type": "string" } } }, "GoogleCloudVideointelligenceV1p1beta1_TimestampedObject": { "properties": { "normalizedBoundingBox": { "description": "Normalized Bounding box in a frame, where the object is located.", "$ref": "GoogleCloudVideointelligenceV1p1beta1_NormalizedBoundingBox" }, "attributes": { "description": "Optional. The attributes of the object in the bounding box.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_DetectedAttribute" } }, "timeOffset": { "description": "Time-offset, relative to the beginning of the video, corresponding to the video frame for this object.", "type": "string", "format": "google-duration" }, "landmarks": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_DetectedLandmark" }, "description": "Optional. The detected landmarks." } }, "type": "object", "id": "GoogleCloudVideointelligenceV1p1beta1_TimestampedObject", "description": "For tracking related features. An object at time_offset with attributes, and located with normalized_bounding_box." }, "GoogleCloudVideointelligenceV1p2beta1_TimestampedObject": { "properties": { "timeOffset": { "type": "string", "description": "Time-offset, relative to the beginning of the video, corresponding to the video frame for this object.", "format": "google-duration" }, "landmarks": { "description": "Optional. The detected landmarks.", "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_DetectedLandmark" }, "type": "array" }, "attributes": { "description": "Optional. The attributes of the object in the bounding box.", "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_DetectedAttribute" }, "type": "array" }, "normalizedBoundingBox": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_NormalizedBoundingBox", "description": "Normalized Bounding box in a frame, where the object is located." } }, "type": "object", "description": "For tracking related features. An object at time_offset with attributes, and located with normalized_bounding_box.", "id": "GoogleCloudVideointelligenceV1p2beta1_TimestampedObject" }, "GoogleCloudVideointelligenceV1p2beta1_SpeechTranscription": { "properties": { "alternatives": { "description": "May contain one or more recognition hypotheses (up to the maximum specified in `max_alternatives`). These alternatives are ordered in terms of accuracy, with the top (first) alternative being the most probable, as ranked by the recognizer.", "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_SpeechRecognitionAlternative" }, "type": "array" }, "languageCode": { "type": "string", "readOnly": true, "description": "Output only. The [BCP-47](https://www.rfc-editor.org/rfc/bcp/bcp47.txt) language tag of the language in this result. This language code was detected to have the most likelihood of being spoken in the audio." } }, "description": "A speech recognition result corresponding to a portion of the audio.", "type": "object", "id": "GoogleCloudVideointelligenceV1p2beta1_SpeechTranscription" }, "GoogleCloudVideointelligenceV1_FaceSegment": { "description": "Video segment level annotation results for face detection.", "id": "GoogleCloudVideointelligenceV1_FaceSegment", "properties": { "segment": { "description": "Video segment where a face was detected.", "$ref": "GoogleCloudVideointelligenceV1_VideoSegment" } }, "type": "object" }, "GoogleCloudVideointelligenceV1_FaceFrame": { "description": "Deprecated. No effect.", "id": "GoogleCloudVideointelligenceV1_FaceFrame", "type": "object", "properties": { "timeOffset": { "description": "Time-offset, relative to the beginning of the video, corresponding to the video frame for this location.", "format": "google-duration", "type": "string" }, "normalizedBoundingBoxes": { "description": "Normalized Bounding boxes in a frame. There can be more than one boxes if the same face is detected in multiple locations within the current frame.", "items": { "$ref": "GoogleCloudVideointelligenceV1_NormalizedBoundingBox" }, "type": "array" } } }, "GoogleCloudVideointelligenceV1_Track": { "properties": { "segment": { "description": "Video segment of a track.", "$ref": "GoogleCloudVideointelligenceV1_VideoSegment" }, "timestampedObjects": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1_TimestampedObject" }, "description": "The object with timestamp and attributes per frame in the track." }, "attributes": { "type": "array", "description": "Optional. Attributes in the track level.", "items": { "$ref": "GoogleCloudVideointelligenceV1_DetectedAttribute" } }, "confidence": { "format": "float", "type": "number", "description": "Optional. The confidence score of the tracked object." } }, "type": "object", "id": "GoogleCloudVideointelligenceV1_Track", "description": "A track of an object instance." }, "GoogleCloudVideointelligenceV1p2beta1_AnnotateVideoProgress": { "description": "Video annotation progress. Included in the `metadata` field of the `Operation` returned by the `GetOperation` call of the `google::longrunning::Operations` service.", "id": "GoogleCloudVideointelligenceV1p2beta1_AnnotateVideoProgress", "type": "object", "properties": { "annotationProgress": { "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_VideoAnnotationProgress" }, "description": "Progress metadata for all videos specified in `AnnotateVideoRequest`.", "type": "array" } } }, "GoogleCloudVideointelligenceV1p1beta1_NormalizedVertex": { "type": "object", "properties": { "y": { "format": "float", "description": "Y coordinate.", "type": "number" }, "x": { "type": "number", "description": "X coordinate.", "format": "float" } }, "id": "GoogleCloudVideointelligenceV1p1beta1_NormalizedVertex", "description": "A vertex represents a 2D point in the image. NOTE: the normalized vertex coordinates are relative to the original image and range from 0 to 1." }, "GoogleCloudVideointelligenceV1p3beta1_DetectedLandmark": { "id": "GoogleCloudVideointelligenceV1p3beta1_DetectedLandmark", "type": "object", "properties": { "name": { "type": "string", "description": "The name of this landmark, for example, left_hand, right_shoulder." }, "point": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_NormalizedVertex", "description": "The 2D point of the detected landmark using the normalized image coordindate system. The normalized coordinates have the range from 0 to 1." }, "confidence": { "type": "number", "format": "float", "description": "The confidence score of the detected landmark. Range [0, 1]." } }, "description": "A generic detected landmark represented by name in string format and a 2D location." }, "GoogleCloudVideointelligenceV1p3beta1_LogoRecognitionAnnotation": { "description": "Annotation corresponding to one detected, tracked and recognized logo class.", "id": "GoogleCloudVideointelligenceV1p3beta1_LogoRecognitionAnnotation", "type": "object", "properties": { "segments": { "description": "All video segments where the recognized logo appears. There might be multiple instances of the same logo class appearing in one VideoSegment.", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_VideoSegment" }, "type": "array" }, "entity": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_Entity", "description": "Entity category information to specify the logo class that all the logo tracks within this LogoRecognitionAnnotation are recognized as." }, "tracks": { "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_Track" }, "description": "All logo tracks where the recognized logo appears. Each track corresponds to one logo instance appearing in consecutive frames.", "type": "array" } } }, "GoogleCloudVideointelligenceV1_VideoSegment": { "properties": { "endTimeOffset": { "type": "string", "format": "google-duration", "description": "Time-offset, relative to the beginning of the video, corresponding to the end of the segment (inclusive)." }, "startTimeOffset": { "type": "string", "description": "Time-offset, relative to the beginning of the video, corresponding to the start of the segment (inclusive).", "format": "google-duration" } }, "id": "GoogleCloudVideointelligenceV1_VideoSegment", "description": "Video segment.", "type": "object" }, "GoogleCloudVideointelligenceV1p2beta1_VideoSegment": { "type": "object", "description": "Video segment.", "id": "GoogleCloudVideointelligenceV1p2beta1_VideoSegment", "properties": { "endTimeOffset": { "type": "string", "format": "google-duration", "description": "Time-offset, relative to the beginning of the video, corresponding to the end of the segment (inclusive)." }, "startTimeOffset": { "description": "Time-offset, relative to the beginning of the video, corresponding to the start of the segment (inclusive).", "format": "google-duration", "type": "string" } } }, "GoogleCloudVideointelligenceV1beta2_DetectedLandmark": { "properties": { "name": { "type": "string", "description": "The name of this landmark, for example, left_hand, right_shoulder." }, "point": { "$ref": "GoogleCloudVideointelligenceV1beta2_NormalizedVertex", "description": "The 2D point of the detected landmark using the normalized image coordindate system. The normalized coordinates have the range from 0 to 1." }, "confidence": { "format": "float", "type": "number", "description": "The confidence score of the detected landmark. Range [0, 1]." } }, "id": "GoogleCloudVideointelligenceV1beta2_DetectedLandmark", "type": "object", "description": "A generic detected landmark represented by name in string format and a 2D location." }, "GoogleCloudVideointelligenceV1p2beta1_ExplicitContentAnnotation": { "type": "object", "description": "Explicit content annotation (based on per-frame visual signals only). If no explicit content has been detected in a frame, no annotations are present for that frame.", "id": "GoogleCloudVideointelligenceV1p2beta1_ExplicitContentAnnotation", "properties": { "version": { "type": "string", "description": "Feature version." }, "frames": { "type": "array", "description": "All video frames where explicit content was detected.", "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_ExplicitContentFrame" } } } }, "GoogleCloudVideointelligenceV1_ExplicitContentFrame": { "type": "object", "properties": { "timeOffset": { "format": "google-duration", "description": "Time-offset, relative to the beginning of the video, corresponding to the video frame for this location.", "type": "string" }, "pornographyLikelihood": { "description": "Likelihood of the pornography content..", "enum": [ "LIKELIHOOD_UNSPECIFIED", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ], "type": "string", "enumDescriptions": [ "Unspecified likelihood.", "Very unlikely.", "Unlikely.", "Possible.", "Likely.", "Very likely." ] } }, "id": "GoogleCloudVideointelligenceV1_ExplicitContentFrame", "description": "Video frame level annotation results for explicit content." }, "GoogleCloudVideointelligenceV1beta2_TextSegment": { "properties": { "segment": { "$ref": "GoogleCloudVideointelligenceV1beta2_VideoSegment", "description": "Video segment where a text snippet was detected." }, "confidence": { "type": "number", "description": "Confidence for the track of detected text. It is calculated as the highest over all frames where OCR detected text appears.", "format": "float" }, "frames": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_TextFrame" }, "description": "Information related to the frames where OCR detected text appears." } }, "type": "object", "description": "Video segment level annotation results for text detection.", "id": "GoogleCloudVideointelligenceV1beta2_TextSegment" }, "GoogleCloudVideointelligenceV1beta2_LabelAnnotation": { "description": "Label annotation.", "properties": { "segments": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_LabelSegment" }, "description": "All video segments where a label was detected." }, "entity": { "description": "Detected entity.", "$ref": "GoogleCloudVideointelligenceV1beta2_Entity" }, "version": { "description": "Feature version.", "type": "string" }, "frames": { "description": "All video frames where a label was detected.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_LabelFrame" } }, "categoryEntities": { "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_Entity" }, "description": "Common categories for the detected entity. For example, when the label is `Terrier`, the category is likely `dog`. And in some cases there might be more than one categories e.g., `Terrier` could also be a `pet`.", "type": "array" } }, "id": "GoogleCloudVideointelligenceV1beta2_LabelAnnotation", "type": "object" }, "GoogleCloudVideointelligenceV1p3beta1_SpeechTranscription": { "id": "GoogleCloudVideointelligenceV1p3beta1_SpeechTranscription", "properties": { "alternatives": { "type": "array", "description": "May contain one or more recognition hypotheses (up to the maximum specified in `max_alternatives`). These alternatives are ordered in terms of accuracy, with the top (first) alternative being the most probable, as ranked by the recognizer.", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_SpeechRecognitionAlternative" } }, "languageCode": { "readOnly": true, "description": "Output only. The [BCP-47](https://www.rfc-editor.org/rfc/bcp/bcp47.txt) language tag of the language in this result. This language code was detected to have the most likelihood of being spoken in the audio.", "type": "string" } }, "type": "object", "description": "A speech recognition result corresponding to a portion of the audio." }, "GoogleCloudVideointelligenceV1p1beta1_AnnotateVideoResponse": { "id": "GoogleCloudVideointelligenceV1p1beta1_AnnotateVideoResponse", "description": "Video annotation response. Included in the `response` field of the `Operation` returned by the `GetOperation` call of the `google::longrunning::Operations` service.", "properties": { "annotationResults": { "description": "Annotation results for all videos specified in `AnnotateVideoRequest`.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_VideoAnnotationResults" } } }, "type": "object" }, "GoogleCloudVideointelligenceV1beta2_FaceSegment": { "properties": { "segment": { "description": "Video segment where a face was detected.", "$ref": "GoogleCloudVideointelligenceV1beta2_VideoSegment" } }, "description": "Video segment level annotation results for face detection.", "id": "GoogleCloudVideointelligenceV1beta2_FaceSegment", "type": "object" }, "GoogleCloudVideointelligenceV1p1beta1_AnnotateVideoProgress": { "description": "Video annotation progress. Included in the `metadata` field of the `Operation` returned by the `GetOperation` call of the `google::longrunning::Operations` service.", "id": "GoogleCloudVideointelligenceV1p1beta1_AnnotateVideoProgress", "properties": { "annotationProgress": { "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_VideoAnnotationProgress" }, "description": "Progress metadata for all videos specified in `AnnotateVideoRequest`.", "type": "array" } }, "type": "object" }, "GoogleCloudVideointelligenceV1_TextAnnotation": { "properties": { "segments": { "description": "All video segments where OCR detected text appears.", "items": { "$ref": "GoogleCloudVideointelligenceV1_TextSegment" }, "type": "array" }, "version": { "description": "Feature version.", "type": "string" }, "text": { "type": "string", "description": "The detected text." } }, "type": "object", "description": "Annotations related to one detected OCR text snippet. This will contain the corresponding text, confidence value, and frame level information for each detection.", "id": "GoogleCloudVideointelligenceV1_TextAnnotation" }, "GoogleCloudVideointelligenceV1p3beta1_LabelAnnotation": { "properties": { "segments": { "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_LabelSegment" }, "type": "array", "description": "All video segments where a label was detected." }, "frames": { "type": "array", "description": "All video frames where a label was detected.", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_LabelFrame" } }, "entity": { "description": "Detected entity.", "$ref": "GoogleCloudVideointelligenceV1p3beta1_Entity" }, "categoryEntities": { "description": "Common categories for the detected entity. For example, when the label is `Terrier`, the category is likely `dog`. And in some cases there might be more than one categories e.g., `Terrier` could also be a `pet`.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_Entity" } }, "version": { "description": "Feature version.", "type": "string" } }, "type": "object", "description": "Label annotation.", "id": "GoogleCloudVideointelligenceV1p3beta1_LabelAnnotation" }, "GoogleCloudVideointelligenceV1_LabelFrame": { "properties": { "confidence": { "type": "number", "format": "float", "description": "Confidence that the label is accurate. Range: [0, 1]." }, "timeOffset": { "format": "google-duration", "description": "Time-offset, relative to the beginning of the video, corresponding to the video frame for this location.", "type": "string" } }, "type": "object", "description": "Video frame level annotation results for label detection.", "id": "GoogleCloudVideointelligenceV1_LabelFrame" }, "GoogleCloudVideointelligenceV1p1beta1_FaceDetectionAnnotation": { "properties": { "version": { "type": "string", "description": "Feature version." }, "tracks": { "description": "The face tracks with attributes.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_Track" } }, "thumbnail": { "type": "string", "format": "byte", "description": "The thumbnail of a person's face." } }, "id": "GoogleCloudVideointelligenceV1p1beta1_FaceDetectionAnnotation", "type": "object", "description": "Face detection annotation." }, "GoogleCloudVideointelligenceV1beta2_SpeechTranscription": { "description": "A speech recognition result corresponding to a portion of the audio.", "properties": { "alternatives": { "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_SpeechRecognitionAlternative" }, "type": "array", "description": "May contain one or more recognition hypotheses (up to the maximum specified in `max_alternatives`). These alternatives are ordered in terms of accuracy, with the top (first) alternative being the most probable, as ranked by the recognizer." }, "languageCode": { "description": "Output only. The [BCP-47](https://www.rfc-editor.org/rfc/bcp/bcp47.txt) language tag of the language in this result. This language code was detected to have the most likelihood of being spoken in the audio.", "readOnly": true, "type": "string" } }, "type": "object", "id": "GoogleCloudVideointelligenceV1beta2_SpeechTranscription" }, "GoogleCloudVideointelligenceV1p2beta1_ExplicitContentFrame": { "type": "object", "description": "Video frame level annotation results for explicit content.", "properties": { "pornographyLikelihood": { "enum": [ "LIKELIHOOD_UNSPECIFIED", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ], "enumDescriptions": [ "Unspecified likelihood.", "Very unlikely.", "Unlikely.", "Possible.", "Likely.", "Very likely." ], "description": "Likelihood of the pornography content..", "type": "string" }, "timeOffset": { "description": "Time-offset, relative to the beginning of the video, corresponding to the video frame for this location.", "format": "google-duration", "type": "string" } }, "id": "GoogleCloudVideointelligenceV1p2beta1_ExplicitContentFrame" }, "GoogleCloudVideointelligenceV1beta2_FaceDetectionConfig": { "id": "GoogleCloudVideointelligenceV1beta2_FaceDetectionConfig", "description": "Config for FACE_DETECTION.", "properties": { "includeBoundingBoxes": { "type": "boolean", "description": "Whether bounding boxes are included in the face annotation output." }, "model": { "type": "string", "description": "Model to use for face detection. Supported values: \"builtin/stable\" (the default if unset) and \"builtin/latest\"." }, "includeAttributes": { "type": "boolean", "description": "Whether to enable face attributes detection, such as glasses, dark_glasses, mouth_open etc. Ignored if 'include_bounding_boxes' is set to false." } }, "type": "object" }, "GoogleCloudVideointelligenceV1beta2_NormalizedVertex": { "description": "A vertex represents a 2D point in the image. NOTE: the normalized vertex coordinates are relative to the original image and range from 0 to 1.", "type": "object", "properties": { "x": { "type": "number", "format": "float", "description": "X coordinate." }, "y": { "format": "float", "type": "number", "description": "Y coordinate." } }, "id": "GoogleCloudVideointelligenceV1beta2_NormalizedVertex" }, "GoogleCloudVideointelligenceV1beta2_VideoContext": { "description": "Video context and/or feature-specific parameters.", "id": "GoogleCloudVideointelligenceV1beta2_VideoContext", "type": "object", "properties": { "labelDetectionConfig": { "$ref": "GoogleCloudVideointelligenceV1beta2_LabelDetectionConfig", "description": "Config for LABEL_DETECTION." }, "textDetectionConfig": { "$ref": "GoogleCloudVideointelligenceV1beta2_TextDetectionConfig", "description": "Config for TEXT_DETECTION." }, "shotChangeDetectionConfig": { "description": "Config for SHOT_CHANGE_DETECTION.", "$ref": "GoogleCloudVideointelligenceV1beta2_ShotChangeDetectionConfig" }, "faceDetectionConfig": { "description": "Config for FACE_DETECTION.", "$ref": "GoogleCloudVideointelligenceV1beta2_FaceDetectionConfig" }, "segments": { "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_VideoSegment" }, "description": "Video segments to annotate. The segments may overlap and are not required to be contiguous or span the whole video. If unspecified, each video is treated as a single segment.", "type": "array" }, "objectTrackingConfig": { "description": "Config for OBJECT_TRACKING.", "$ref": "GoogleCloudVideointelligenceV1beta2_ObjectTrackingConfig" }, "speechTranscriptionConfig": { "description": "Config for SPEECH_TRANSCRIPTION.", "$ref": "GoogleCloudVideointelligenceV1beta2_SpeechTranscriptionConfig" }, "explicitContentDetectionConfig": { "description": "Config for EXPLICIT_CONTENT_DETECTION.", "$ref": "GoogleCloudVideointelligenceV1beta2_ExplicitContentDetectionConfig" }, "personDetectionConfig": { "description": "Config for PERSON_DETECTION.", "$ref": "GoogleCloudVideointelligenceV1beta2_PersonDetectionConfig" } } }, "GoogleCloudVideointelligenceV1p2beta1_LabelAnnotation": { "id": "GoogleCloudVideointelligenceV1p2beta1_LabelAnnotation", "type": "object", "properties": { "categoryEntities": { "description": "Common categories for the detected entity. For example, when the label is `Terrier`, the category is likely `dog`. And in some cases there might be more than one categories e.g., `Terrier` could also be a `pet`.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_Entity" } }, "version": { "description": "Feature version.", "type": "string" }, "frames": { "description": "All video frames where a label was detected.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_LabelFrame" } }, "segments": { "type": "array", "description": "All video segments where a label was detected.", "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_LabelSegment" } }, "entity": { "description": "Detected entity.", "$ref": "GoogleCloudVideointelligenceV1p2beta1_Entity" } }, "description": "Label annotation." }, "GoogleCloudVideointelligenceV1_DetectedAttribute": { "description": "A generic detected attribute represented by name in string format.", "id": "GoogleCloudVideointelligenceV1_DetectedAttribute", "properties": { "name": { "description": "The name of the attribute, for example, glasses, dark_glasses, mouth_open. A full list of supported type names will be provided in the document.", "type": "string" }, "value": { "type": "string", "description": "Text value of the detection result. For example, the value for \"HairColor\" can be \"black\", \"blonde\", etc." }, "confidence": { "description": "Detected attribute confidence. Range [0, 1].", "format": "float", "type": "number" } }, "type": "object" }, "GoogleCloudVideointelligenceV1p2beta1_DetectedAttribute": { "type": "object", "id": "GoogleCloudVideointelligenceV1p2beta1_DetectedAttribute", "description": "A generic detected attribute represented by name in string format.", "properties": { "value": { "type": "string", "description": "Text value of the detection result. For example, the value for \"HairColor\" can be \"black\", \"blonde\", etc." }, "name": { "description": "The name of the attribute, for example, glasses, dark_glasses, mouth_open. A full list of supported type names will be provided in the document.", "type": "string" }, "confidence": { "description": "Detected attribute confidence. Range [0, 1].", "type": "number", "format": "float" } } }, "GoogleCloudVideointelligenceV1p3beta1_LabelFrame": { "id": "GoogleCloudVideointelligenceV1p3beta1_LabelFrame", "type": "object", "properties": { "timeOffset": { "description": "Time-offset, relative to the beginning of the video, corresponding to the video frame for this location.", "format": "google-duration", "type": "string" }, "confidence": { "type": "number", "description": "Confidence that the label is accurate. Range: [0, 1].", "format": "float" } }, "description": "Video frame level annotation results for label detection." }, "GoogleCloudVideointelligenceV1p2beta1_Entity": { "properties": { "entityId": { "type": "string", "description": "Opaque entity ID. Some IDs may be available in [Google Knowledge Graph Search API](https://developers.google.com/knowledge-graph/)." }, "languageCode": { "description": "Language code for `description` in BCP-47 format.", "type": "string" }, "description": { "description": "Textual description, e.g., `Fixed-gear bicycle`.", "type": "string" } }, "id": "GoogleCloudVideointelligenceV1p2beta1_Entity", "description": "Detected entity from video analysis.", "type": "object" }, "GoogleCloudVideointelligenceV1p2beta1_LabelFrame": { "type": "object", "id": "GoogleCloudVideointelligenceV1p2beta1_LabelFrame", "description": "Video frame level annotation results for label detection.", "properties": { "confidence": { "format": "float", "description": "Confidence that the label is accurate. Range: [0, 1].", "type": "number" }, "timeOffset": { "description": "Time-offset, relative to the beginning of the video, corresponding to the video frame for this location.", "type": "string", "format": "google-duration" } } }, "GoogleCloudVideointelligenceV1p3beta1_Celebrity": { "description": "Celebrity definition.", "properties": { "name": { "type": "string", "description": "The resource name of the celebrity. Have the format `video-intelligence/kg-mid` indicates a celebrity from preloaded gallery. kg-mid is the id in Google knowledge graph, which is unique for the celebrity." }, "displayName": { "type": "string", "description": "The celebrity name." }, "description": { "type": "string", "description": "Textual description of additional information about the celebrity, if applicable." } }, "id": "GoogleCloudVideointelligenceV1p3beta1_Celebrity", "type": "object" }, "GoogleCloudVideointelligenceV1p1beta1_Track": { "description": "A track of an object instance.", "type": "object", "id": "GoogleCloudVideointelligenceV1p1beta1_Track", "properties": { "timestampedObjects": { "type": "array", "description": "The object with timestamp and attributes per frame in the track.", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_TimestampedObject" } }, "confidence": { "description": "Optional. The confidence score of the tracked object.", "type": "number", "format": "float" }, "segment": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_VideoSegment", "description": "Video segment of a track." }, "attributes": { "description": "Optional. Attributes in the track level.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_DetectedAttribute" } } } }, "GoogleCloudVideointelligenceV1p1beta1_NormalizedBoundingBox": { "id": "GoogleCloudVideointelligenceV1p1beta1_NormalizedBoundingBox", "properties": { "top": { "description": "Top Y coordinate.", "format": "float", "type": "number" }, "left": { "format": "float", "type": "number", "description": "Left X coordinate." }, "bottom": { "type": "number", "format": "float", "description": "Bottom Y coordinate." }, "right": { "type": "number", "format": "float", "description": "Right X coordinate." } }, "type": "object", "description": "Normalized bounding box. The normalized vertex coordinates are relative to the original image. Range: [0, 1]." }, "GoogleCloudVideointelligenceV1p2beta1_Track": { "id": "GoogleCloudVideointelligenceV1p2beta1_Track", "properties": { "confidence": { "format": "float", "description": "Optional. The confidence score of the tracked object.", "type": "number" }, "attributes": { "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_DetectedAttribute" }, "type": "array", "description": "Optional. Attributes in the track level." }, "segment": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_VideoSegment", "description": "Video segment of a track." }, "timestampedObjects": { "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_TimestampedObject" }, "description": "The object with timestamp and attributes per frame in the track.", "type": "array" } }, "description": "A track of an object instance.", "type": "object" }, "GoogleCloudVideointelligenceV1_LabelSegment": { "id": "GoogleCloudVideointelligenceV1_LabelSegment", "description": "Video segment level annotation results for label detection.", "type": "object", "properties": { "confidence": { "format": "float", "description": "Confidence that the label is accurate. Range: [0, 1].", "type": "number" }, "segment": { "$ref": "GoogleCloudVideointelligenceV1_VideoSegment", "description": "Video segment where a label was detected." } } }, "GoogleCloudVideointelligenceV1beta2_VideoAnnotationResults": { "properties": { "objectAnnotations": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_ObjectTrackingAnnotation" }, "description": "Annotations for list of objects detected and tracked in video." }, "faceAnnotations": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_FaceAnnotation" }, "description": "Deprecated. Please use `face_detection_annotations` instead." }, "shotLabelAnnotations": { "description": "Topical label annotations on shot level. There is exactly one element for each unique label.", "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_LabelAnnotation" }, "type": "array" }, "logoRecognitionAnnotations": { "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_LogoRecognitionAnnotation" }, "description": "Annotations for list of logos detected, tracked and recognized in video.", "type": "array" }, "faceDetectionAnnotations": { "description": "Face detection annotations.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_FaceDetectionAnnotation" } }, "personDetectionAnnotations": { "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_PersonDetectionAnnotation" }, "description": "Person detection annotations.", "type": "array" }, "segmentPresenceLabelAnnotations": { "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_LabelAnnotation" }, "description": "Presence label annotations on video level or user-specified segment level. There is exactly one element for each unique label. Compared to the existing topical `segment_label_annotations`, this field presents more fine-grained, segment-level labels detected in video content and is made available only when the client sets `LabelDetectionConfig.model` to \"builtin/latest\" in the request.", "type": "array" }, "explicitAnnotation": { "$ref": "GoogleCloudVideointelligenceV1beta2_ExplicitContentAnnotation", "description": "Explicit content annotation." }, "segment": { "description": "Video segment on which the annotation is run.", "$ref": "GoogleCloudVideointelligenceV1beta2_VideoSegment" }, "segmentLabelAnnotations": { "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_LabelAnnotation" }, "description": "Topical label annotations on video level or user-specified segment level. There is exactly one element for each unique label.", "type": "array" }, "inputUri": { "description": "Video file location in [Cloud Storage](https://cloud.google.com/storage/).", "type": "string" }, "error": { "description": "If set, indicates an error. Note that for a single `AnnotateVideoRequest` some videos may succeed and some may fail.", "$ref": "GoogleRpc_Status" }, "shotAnnotations": { "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_VideoSegment" }, "type": "array", "description": "Shot annotations. Each shot is represented as a video segment." }, "frameLabelAnnotations": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_LabelAnnotation" }, "description": "Label annotations on frame level. There is exactly one element for each unique label." }, "textAnnotations": { "description": "OCR text detection and tracking. Annotations for list of detected text snippets. Each will have list of frame information associated with it.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_TextAnnotation" } }, "shotPresenceLabelAnnotations": { "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_LabelAnnotation" }, "type": "array", "description": "Presence label annotations on shot level. There is exactly one element for each unique label. Compared to the existing topical `shot_label_annotations`, this field presents more fine-grained, shot-level labels detected in video content and is made available only when the client sets `LabelDetectionConfig.model` to \"builtin/latest\" in the request." }, "speechTranscriptions": { "description": "Speech transcription.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_SpeechTranscription" } } }, "description": "Annotation results for a single video.", "id": "GoogleCloudVideointelligenceV1beta2_VideoAnnotationResults", "type": "object" }, "GoogleCloudVideointelligenceV1_AnnotateVideoResponse": { "properties": { "annotationResults": { "items": { "$ref": "GoogleCloudVideointelligenceV1_VideoAnnotationResults" }, "type": "array", "description": "Annotation results for all videos specified in `AnnotateVideoRequest`." } }, "description": "Video annotation response. Included in the `response` field of the `Operation` returned by the `GetOperation` call of the `google::longrunning::Operations` service.", "id": "GoogleCloudVideointelligenceV1_AnnotateVideoResponse", "type": "object" }, "GoogleCloudVideointelligenceV1_TimestampedObject": { "properties": { "normalizedBoundingBox": { "description": "Normalized Bounding box in a frame, where the object is located.", "$ref": "GoogleCloudVideointelligenceV1_NormalizedBoundingBox" }, "timeOffset": { "format": "google-duration", "description": "Time-offset, relative to the beginning of the video, corresponding to the video frame for this object.", "type": "string" }, "landmarks": { "items": { "$ref": "GoogleCloudVideointelligenceV1_DetectedLandmark" }, "type": "array", "description": "Optional. The detected landmarks." }, "attributes": { "items": { "$ref": "GoogleCloudVideointelligenceV1_DetectedAttribute" }, "type": "array", "description": "Optional. The attributes of the object in the bounding box." } }, "description": "For tracking related features. An object at time_offset with attributes, and located with normalized_bounding_box.", "id": "GoogleCloudVideointelligenceV1_TimestampedObject", "type": "object" }, "GoogleCloudVideointelligenceV1beta2_ExplicitContentAnnotation": { "type": "object", "description": "Explicit content annotation (based on per-frame visual signals only). If no explicit content has been detected in a frame, no annotations are present for that frame.", "properties": { "version": { "type": "string", "description": "Feature version." }, "frames": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_ExplicitContentFrame" }, "description": "All video frames where explicit content was detected." } }, "id": "GoogleCloudVideointelligenceV1beta2_ExplicitContentAnnotation" }, "GoogleCloudVideointelligenceV1p3beta1_StreamingAnnotateVideoResponse": { "properties": { "annotationResultsUri": { "description": "Google Cloud Storage URI that stores annotation results of one streaming session in JSON format. It is the annotation_result_storage_directory from the request followed by '/cloud_project_number-session_id'.", "type": "string" }, "annotationResults": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_StreamingVideoAnnotationResults", "description": "Streaming annotation results." }, "error": { "description": "If set, returns a google.rpc.Status message that specifies the error for the operation.", "$ref": "GoogleRpc_Status" } }, "description": "`StreamingAnnotateVideoResponse` is the only message returned to the client by `StreamingAnnotateVideo`. A series of zero or more `StreamingAnnotateVideoResponse` messages are streamed back to the client.", "id": "GoogleCloudVideointelligenceV1p3beta1_StreamingAnnotateVideoResponse", "type": "object" }, "GoogleCloudVideointelligenceV1p3beta1_AnnotateVideoProgress": { "description": "Video annotation progress. Included in the `metadata` field of the `Operation` returned by the `GetOperation` call of the `google::longrunning::Operations` service.", "properties": { "annotationProgress": { "type": "array", "description": "Progress metadata for all videos specified in `AnnotateVideoRequest`.", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_VideoAnnotationProgress" } } }, "id": "GoogleCloudVideointelligenceV1p3beta1_AnnotateVideoProgress", "type": "object" }, "GoogleCloudVideointelligenceV1p1beta1_WordInfo": { "description": "Word-specific information for recognized words. Word information is only included in the response when certain request parameters are set, such as `enable_word_time_offsets`.", "id": "GoogleCloudVideointelligenceV1p1beta1_WordInfo", "type": "object", "properties": { "speakerTag": { "readOnly": true, "type": "integer", "description": "Output only. A distinct integer value is assigned for every speaker within the audio. This field specifies which one of those speakers was detected to have spoken this word. Value ranges from 1 up to diarization_speaker_count, and is only set if speaker diarization is enabled.", "format": "int32" }, "endTime": { "description": "Time offset relative to the beginning of the audio, and corresponding to the end of the spoken word. This field is only set if `enable_word_time_offsets=true` and only in the top hypothesis. This is an experimental feature and the accuracy of the time offset can vary.", "type": "string", "format": "google-duration" }, "startTime": { "type": "string", "description": "Time offset relative to the beginning of the audio, and corresponding to the start of the spoken word. This field is only set if `enable_word_time_offsets=true` and only in the top hypothesis. This is an experimental feature and the accuracy of the time offset can vary.", "format": "google-duration" }, "word": { "description": "The word corresponding to this set of information.", "type": "string" }, "confidence": { "readOnly": true, "format": "float", "description": "Output only. The confidence estimate between 0.0 and 1.0. A higher number indicates an estimated greater likelihood that the recognized words are correct. This field is set only for the top alternative. This field is not guaranteed to be accurate and users should not rely on it to be always provided. The default of 0.0 is a sentinel value indicating `confidence` was not set.", "type": "number" } } }, "GoogleCloudVideointelligenceV1p3beta1_NormalizedBoundingPoly": { "description": "Normalized bounding polygon for text (that might not be aligned with axis). Contains list of the corner points in clockwise order starting from top-left corner. For example, for a rectangular bounding box: When the text is horizontal it might look like: 0----1 | | 3----2 When it's clockwise rotated 180 degrees around the top-left corner it becomes: 2----3 | | 1----0 and the vertex order will still be (0, 1, 2, 3). Note that values can be less than 0, or greater than 1 due to trignometric calculations for location of the box.", "properties": { "vertices": { "description": "Normalized vertices of the bounding polygon.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_NormalizedVertex" } } }, "id": "GoogleCloudVideointelligenceV1p3beta1_NormalizedBoundingPoly", "type": "object" }, "GoogleCloudVideointelligenceV1_LabelAnnotation": { "type": "object", "properties": { "entity": { "$ref": "GoogleCloudVideointelligenceV1_Entity", "description": "Detected entity." }, "frames": { "items": { "$ref": "GoogleCloudVideointelligenceV1_LabelFrame" }, "type": "array", "description": "All video frames where a label was detected." }, "categoryEntities": { "items": { "$ref": "GoogleCloudVideointelligenceV1_Entity" }, "description": "Common categories for the detected entity. For example, when the label is `Terrier`, the category is likely `dog`. And in some cases there might be more than one categories e.g., `Terrier` could also be a `pet`.", "type": "array" }, "segments": { "items": { "$ref": "GoogleCloudVideointelligenceV1_LabelSegment" }, "description": "All video segments where a label was detected.", "type": "array" }, "version": { "type": "string", "description": "Feature version." } }, "description": "Label annotation.", "id": "GoogleCloudVideointelligenceV1_LabelAnnotation" }, "GoogleCloudVideointelligenceV1beta2_ExplicitContentDetectionConfig": { "type": "object", "id": "GoogleCloudVideointelligenceV1beta2_ExplicitContentDetectionConfig", "description": "Config for EXPLICIT_CONTENT_DETECTION.", "properties": { "model": { "type": "string", "description": "Model to use for explicit content detection. Supported values: \"builtin/stable\" (the default if unset) and \"builtin/latest\"." } } }, "GoogleCloudVideointelligenceV1_PersonDetectionAnnotation": { "description": "Person detection annotation per video.", "type": "object", "id": "GoogleCloudVideointelligenceV1_PersonDetectionAnnotation", "properties": { "version": { "description": "Feature version.", "type": "string" }, "tracks": { "type": "array", "description": "The detected tracks of a person.", "items": { "$ref": "GoogleCloudVideointelligenceV1_Track" } } } }, "GoogleCloudVideointelligenceV1beta2_TimestampedObject": { "id": "GoogleCloudVideointelligenceV1beta2_TimestampedObject", "type": "object", "description": "For tracking related features. An object at time_offset with attributes, and located with normalized_bounding_box.", "properties": { "normalizedBoundingBox": { "description": "Normalized Bounding box in a frame, where the object is located.", "$ref": "GoogleCloudVideointelligenceV1beta2_NormalizedBoundingBox" }, "attributes": { "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_DetectedAttribute" }, "type": "array", "description": "Optional. The attributes of the object in the bounding box." }, "timeOffset": { "description": "Time-offset, relative to the beginning of the video, corresponding to the video frame for this object.", "format": "google-duration", "type": "string" }, "landmarks": { "description": "Optional. The detected landmarks.", "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_DetectedLandmark" }, "type": "array" } } }, "GoogleCloudVideointelligenceV1p2beta1_FaceSegment": { "id": "GoogleCloudVideointelligenceV1p2beta1_FaceSegment", "type": "object", "description": "Video segment level annotation results for face detection.", "properties": { "segment": { "description": "Video segment where a face was detected.", "$ref": "GoogleCloudVideointelligenceV1p2beta1_VideoSegment" } } }, "GoogleCloudVideointelligenceV1beta2_NormalizedBoundingBox": { "type": "object", "id": "GoogleCloudVideointelligenceV1beta2_NormalizedBoundingBox", "properties": { "right": { "format": "float", "description": "Right X coordinate.", "type": "number" }, "left": { "type": "number", "format": "float", "description": "Left X coordinate." }, "bottom": { "type": "number", "description": "Bottom Y coordinate.", "format": "float" }, "top": { "description": "Top Y coordinate.", "format": "float", "type": "number" } }, "description": "Normalized bounding box. The normalized vertex coordinates are relative to the original image. Range: [0, 1]." } }, "version": "v1beta2", "id": "videointelligence:v1beta2", "revision": "20220303", "batchPath": "batch", "basePath": "", "parameters": { "oauth_token": { "type": "string", "description": "OAuth 2.0 token for the current user.", "location": "query" }, "fields": { "type": "string", "location": "query", "description": "Selector specifying which fields to include in a partial response." }, "upload_protocol": { "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "type": "string", "location": "query" }, "quotaUser": { "type": "string", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "location": "query" }, "key": { "location": "query", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "type": "string" }, "callback": { "description": "JSONP", "location": "query", "type": "string" }, "uploadType": { "type": "string", "location": "query", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\")." }, "prettyPrint": { "default": "true", "type": "boolean", "description": "Returns response with indentations and line breaks.", "location": "query" }, "$.xgafv": { "enumDescriptions": [ "v1 error format", "v2 error format" ], "location": "query", "description": "V1 error format.", "type": "string", "enum": [ "1", "2" ] }, "access_token": { "type": "string", "description": "OAuth access token.", "location": "query" }, "alt": { "location": "query", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "description": "Data format for response.", "default": "json", "enum": [ "json", "media", "proto" ], "type": "string" } }, "name": "videointelligence", "version_module": true }
]===]))
