local decode = require("cjson").new().decode
return assert(decode([===[
{ "parameters": { "oauth_token": { "description": "OAuth 2.0 token for the current user.", "location": "query", "type": "string" }, "$.xgafv": { "enumDescriptions": [ "v1 error format", "v2 error format" ], "type": "string", "location": "query", "description": "V1 error format.", "enum": [ "1", "2" ] }, "uploadType": { "type": "string", "location": "query", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\")." }, "alt": { "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "location": "query", "enum": [ "json", "media", "proto" ], "description": "Data format for response.", "default": "json", "type": "string" }, "callback": { "description": "JSONP", "type": "string", "location": "query" }, "access_token": { "location": "query", "type": "string", "description": "OAuth access token." }, "upload_protocol": { "location": "query", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "type": "string" }, "key": { "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "type": "string", "location": "query" }, "quotaUser": { "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "location": "query", "type": "string" }, "prettyPrint": { "type": "boolean", "default": "true", "location": "query", "description": "Returns response with indentations and line breaks." }, "fields": { "location": "query", "type": "string", "description": "Selector specifying which fields to include in a partial response." } }, "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." } } } }, "description": "Detects objects, explicit content, and scene changes in videos. It also specifies the region for annotation and transcribes speech to text. Supports both asynchronous API and streaming API.", "version": "v1p1beta1", "baseUrl": "https://videointelligence.googleapis.com/", "ownerDomain": "google.com", "basePath": "", "revision": "20220303", "batchPath": "batch", "id": "videointelligence:v1p1beta1", "servicePath": "", "icons": { "x16": "http://www.google.com/images/icons/product/search-16.gif", "x32": "http://www.google.com/images/icons/product/search-32.gif" }, "mtlsRootUrl": "https://videointelligence.mtls.googleapis.com/", "protocol": "rest", "version_module": true, "canonicalName": "Cloud Video Intelligence", "resources": { "videos": { "methods": { "annotate": { "description": "Performs asynchronous video annotation. Progress and results can be retrieved through the `google.longrunning.Operations` interface. `Operation.metadata` contains `AnnotateVideoProgress` (progress). `Operation.response` contains `AnnotateVideoResponse` (results).", "parameterOrder": [], "flatPath": "v1p1beta1/videos:annotate", "parameters": {}, "id": "videointelligence.videos.annotate", "path": "v1p1beta1/videos:annotate", "request": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_AnnotateVideoRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "GoogleLongrunning_Operation" }, "httpMethod": "POST" } } } }, "ownerName": "Google", "title": "Cloud Video Intelligence API", "kind": "discovery#restDescription", "schemas": { "GoogleCloudVideointelligenceV1p1beta1_LogoRecognitionAnnotation": { "type": "object", "description": "Annotation corresponding to one detected, tracked and recognized logo class.", "properties": { "entity": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_Entity", "description": "Entity category information to specify the logo class that all the logo tracks within this LogoRecognitionAnnotation are recognized as." }, "segments": { "type": "array", "description": "All video segments where the recognized logo appears. There might be multiple instances of the same logo class appearing in one VideoSegment.", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_VideoSegment" } }, "tracks": { "type": "array", "description": "All logo tracks where the recognized logo appears. Each track corresponds to one logo instance appearing in consecutive frames.", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_Track" } } }, "id": "GoogleCloudVideointelligenceV1p1beta1_LogoRecognitionAnnotation" }, "GoogleCloudVideointelligenceV1p2beta1_FaceDetectionAnnotation": { "description": "Face detection annotation.", "properties": { "thumbnail": { "type": "string", "format": "byte", "description": "The thumbnail of a person's face." }, "version": { "description": "Feature version.", "type": "string" }, "tracks": { "description": "The face tracks with attributes.", "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_Track" }, "type": "array" } }, "id": "GoogleCloudVideointelligenceV1p2beta1_FaceDetectionAnnotation", "type": "object" }, "GoogleCloudVideointelligenceV1_ObjectTrackingFrame": { "description": "Video frame level annotations for object detection and tracking. This field stores per frame location, time offset, and confidence.", "type": "object", "properties": { "normalizedBoundingBox": { "$ref": "GoogleCloudVideointelligenceV1_NormalizedBoundingBox", "description": "The normalized bounding box location of this object track for the frame." }, "timeOffset": { "description": "The timestamp of the frame in microseconds.", "type": "string", "format": "google-duration" } }, "id": "GoogleCloudVideointelligenceV1_ObjectTrackingFrame" }, "GoogleCloudVideointelligenceV1beta2_NormalizedBoundingPoly": { "id": "GoogleCloudVideointelligenceV1beta2_NormalizedBoundingPoly", "type": "object", "properties": { "vertices": { "description": "Normalized vertices of the bounding polygon.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_NormalizedVertex" } } }, "description": "Normalized bounding polygon for text (that might not be aligned with axis). Contains list of the corner points in clockwise order starting from top-left corner. For example, for a rectangular bounding box: When the text is horizontal it might look like: 0----1 | | 3----2 When it's clockwise rotated 180 degrees around the top-left corner it becomes: 2----3 | | 1----0 and the vertex order will still be (0, 1, 2, 3). Note that values can be less than 0, or greater than 1 due to trignometric calculations for location of the box." }, "GoogleCloudVideointelligenceV1p1beta1_Track": { "type": "object", "properties": { "timestampedObjects": { "description": "The object with timestamp and attributes per frame in the track.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_TimestampedObject" } }, "segment": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_VideoSegment", "description": "Video segment of a track." }, "confidence": { "type": "number", "format": "float", "description": "Optional. The confidence score of the tracked object." }, "attributes": { "description": "Optional. Attributes in the track level.", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_DetectedAttribute" }, "type": "array" } }, "id": "GoogleCloudVideointelligenceV1p1beta1_Track", "description": "A track of an object instance." }, "GoogleCloudVideointelligenceV1p2beta1_VideoSegment": { "type": "object", "properties": { "startTimeOffset": { "format": "google-duration", "description": "Time-offset, relative to the beginning of the video, corresponding to the start of the segment (inclusive).", "type": "string" }, "endTimeOffset": { "type": "string", "format": "google-duration", "description": "Time-offset, relative to the beginning of the video, corresponding to the end of the segment (inclusive)." } }, "id": "GoogleCloudVideointelligenceV1p2beta1_VideoSegment", "description": "Video segment." }, "GoogleCloudVideointelligenceV1p2beta1_ExplicitContentFrame": { "description": "Video frame level annotation results for explicit content.", "id": "GoogleCloudVideointelligenceV1p2beta1_ExplicitContentFrame", "type": "object", "properties": { "timeOffset": { "description": "Time-offset, relative to the beginning of the video, corresponding to the video frame for this location.", "type": "string", "format": "google-duration" }, "pornographyLikelihood": { "description": "Likelihood of the pornography content..", "enum": [ "LIKELIHOOD_UNSPECIFIED", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ], "type": "string", "enumDescriptions": [ "Unspecified likelihood.", "Very unlikely.", "Unlikely.", "Possible.", "Likely.", "Very likely." ] } } }, "GoogleCloudVideointelligenceV1p2beta1_ExplicitContentAnnotation": { "properties": { "version": { "type": "string", "description": "Feature version." }, "frames": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_ExplicitContentFrame" }, "description": "All video frames where explicit content was detected." } }, "description": "Explicit content annotation (based on per-frame visual signals only). If no explicit content has been detected in a frame, no annotations are present for that frame.", "id": "GoogleCloudVideointelligenceV1p2beta1_ExplicitContentAnnotation", "type": "object" }, "GoogleCloudVideointelligenceV1_LabelSegment": { "id": "GoogleCloudVideointelligenceV1_LabelSegment", "description": "Video segment level annotation results for label detection.", "properties": { "segment": { "description": "Video segment where a label was detected.", "$ref": "GoogleCloudVideointelligenceV1_VideoSegment" }, "confidence": { "description": "Confidence that the label is accurate. Range: [0, 1].", "type": "number", "format": "float" } }, "type": "object" }, "GoogleCloudVideointelligenceV1p3beta1_TextFrame": { "properties": { "rotatedBoundingBox": { "description": "Bounding polygon of the detected text for this frame.", "$ref": "GoogleCloudVideointelligenceV1p3beta1_NormalizedBoundingPoly" }, "timeOffset": { "type": "string", "format": "google-duration", "description": "Timestamp of this frame." } }, "type": "object", "description": "Video frame level annotation results for text annotation (OCR). Contains information regarding timestamp and bounding box locations for the frames containing detected OCR text snippets.", "id": "GoogleCloudVideointelligenceV1p3beta1_TextFrame" }, "GoogleCloudVideointelligenceV1_VideoAnnotationProgress": { "description": "Annotation progress for a single video.", "id": "GoogleCloudVideointelligenceV1_VideoAnnotationProgress", "type": "object", "properties": { "inputUri": { "description": "Video file location in [Cloud Storage](https://cloud.google.com/storage/).", "type": "string" }, "segment": { "$ref": "GoogleCloudVideointelligenceV1_VideoSegment", "description": "Specifies which segment is being tracked if the request contains more than one segment." }, "updateTime": { "description": "Time of the most recent update.", "type": "string", "format": "google-datetime" }, "startTime": { "description": "Time when the request was received.", "format": "google-datetime", "type": "string" }, "feature": { "enum": [ "FEATURE_UNSPECIFIED", "LABEL_DETECTION", "SHOT_CHANGE_DETECTION", "EXPLICIT_CONTENT_DETECTION", "FACE_DETECTION", "SPEECH_TRANSCRIPTION", "TEXT_DETECTION", "OBJECT_TRACKING", "LOGO_RECOGNITION", "PERSON_DETECTION" ], "type": "string", "description": "Specifies which feature is being tracked if the request contains more than one feature.", "enumDescriptions": [ "Unspecified.", "Label detection. Detect objects, such as dog or flower.", "Shot change detection.", "Explicit content detection.", "Human face detection.", "Speech transcription.", "OCR text detection and tracking.", "Object detection and tracking.", "Logo detection, tracking, and recognition.", "Person detection." ] }, "progressPercent": { "description": "Approximate percentage processed thus far. Guaranteed to be 100 when fully processed.", "format": "int32", "type": "integer" } } }, "GoogleCloudVideointelligenceV1_VideoSegment": { "properties": { "startTimeOffset": { "format": "google-duration", "description": "Time-offset, relative to the beginning of the video, corresponding to the start of the segment (inclusive).", "type": "string" }, "endTimeOffset": { "description": "Time-offset, relative to the beginning of the video, corresponding to the end of the segment (inclusive).", "format": "google-duration", "type": "string" } }, "id": "GoogleCloudVideointelligenceV1_VideoSegment", "type": "object", "description": "Video segment." }, "GoogleCloudVideointelligenceV1p3beta1_ExplicitContentAnnotation": { "description": "Explicit content annotation (based on per-frame visual signals only). If no explicit content has been detected in a frame, no annotations are present for that frame.", "type": "object", "properties": { "version": { "description": "Feature version.", "type": "string" }, "frames": { "description": "All video frames where explicit content was detected.", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_ExplicitContentFrame" }, "type": "array" } }, "id": "GoogleCloudVideointelligenceV1p3beta1_ExplicitContentAnnotation" }, "GoogleCloudVideointelligenceV1beta2_TextAnnotation": { "type": "object", "id": "GoogleCloudVideointelligenceV1beta2_TextAnnotation", "description": "Annotations related to one detected OCR text snippet. This will contain the corresponding text, confidence value, and frame level information for each detection.", "properties": { "version": { "description": "Feature version.", "type": "string" }, "segments": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_TextSegment" }, "description": "All video segments where OCR detected text appears." }, "text": { "description": "The detected text.", "type": "string" } } }, "GoogleCloudVideointelligenceV1p1beta1_FaceDetectionAnnotation": { "id": "GoogleCloudVideointelligenceV1p1beta1_FaceDetectionAnnotation", "type": "object", "properties": { "tracks": { "description": "The face tracks with attributes.", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_Track" }, "type": "array" }, "version": { "description": "Feature version.", "type": "string" }, "thumbnail": { "type": "string", "format": "byte", "description": "The thumbnail of a person's face." } }, "description": "Face detection annotation." }, "GoogleCloudVideointelligenceV1p2beta1_TextSegment": { "description": "Video segment level annotation results for text detection.", "properties": { "confidence": { "format": "float", "type": "number", "description": "Confidence for the track of detected text. It is calculated as the highest over all frames where OCR detected text appears." }, "frames": { "description": "Information related to the frames where OCR detected text appears.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_TextFrame" } }, "segment": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_VideoSegment", "description": "Video segment where a text snippet was detected." } }, "id": "GoogleCloudVideointelligenceV1p2beta1_TextSegment", "type": "object" }, "GoogleCloudVideointelligenceV1beta2_LabelSegment": { "type": "object", "properties": { "confidence": { "description": "Confidence that the label is accurate. Range: [0, 1].", "format": "float", "type": "number" }, "segment": { "$ref": "GoogleCloudVideointelligenceV1beta2_VideoSegment", "description": "Video segment where a label was detected." } }, "id": "GoogleCloudVideointelligenceV1beta2_LabelSegment", "description": "Video segment level annotation results for label detection." }, "GoogleCloudVideointelligenceV1p3beta1_NormalizedBoundingPoly": { "type": "object", "description": "Normalized bounding polygon for text (that might not be aligned with axis). Contains list of the corner points in clockwise order starting from top-left corner. For example, for a rectangular bounding box: When the text is horizontal it might look like: 0----1 | | 3----2 When it's clockwise rotated 180 degrees around the top-left corner it becomes: 2----3 | | 1----0 and the vertex order will still be (0, 1, 2, 3). Note that values can be less than 0, or greater than 1 due to trignometric calculations for location of the box.", "properties": { "vertices": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_NormalizedVertex" }, "description": "Normalized vertices of the bounding polygon." } }, "id": "GoogleCloudVideointelligenceV1p3beta1_NormalizedBoundingPoly" }, "GoogleCloudVideointelligenceV1p3beta1_FaceFrame": { "id": "GoogleCloudVideointelligenceV1p3beta1_FaceFrame", "description": "Deprecated. No effect.", "properties": { "timeOffset": { "format": "google-duration", "description": "Time-offset, relative to the beginning of the video, corresponding to the video frame for this location.", "type": "string" }, "normalizedBoundingBoxes": { "description": "Normalized Bounding boxes in a frame. There can be more than one boxes if the same face is detected in multiple locations within the current frame.", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_NormalizedBoundingBox" }, "type": "array" } }, "type": "object" }, "GoogleCloudVideointelligenceV1p1beta1_VideoAnnotationProgress": { "description": "Annotation progress for a single video.", "type": "object", "properties": { "feature": { "description": "Specifies which feature is being tracked if the request contains more than one feature.", "type": "string", "enumDescriptions": [ "Unspecified.", "Label detection. Detect objects, such as dog or flower.", "Shot change detection.", "Explicit content detection.", "Human face detection.", "Speech transcription.", "OCR text detection and tracking.", "Object detection and tracking.", "Logo detection, tracking, and recognition.", "Person detection." ], "enum": [ "FEATURE_UNSPECIFIED", "LABEL_DETECTION", "SHOT_CHANGE_DETECTION", "EXPLICIT_CONTENT_DETECTION", "FACE_DETECTION", "SPEECH_TRANSCRIPTION", "TEXT_DETECTION", "OBJECT_TRACKING", "LOGO_RECOGNITION", "PERSON_DETECTION" ] }, "updateTime": { "type": "string", "description": "Time of the most recent update.", "format": "google-datetime" }, "progressPercent": { "format": "int32", "description": "Approximate percentage processed thus far. Guaranteed to be 100 when fully processed.", "type": "integer" }, "startTime": { "type": "string", "format": "google-datetime", "description": "Time when the request was received." }, "segment": { "description": "Specifies which segment is being tracked if the request contains more than one segment.", "$ref": "GoogleCloudVideointelligenceV1p1beta1_VideoSegment" }, "inputUri": { "type": "string", "description": "Video file location in [Cloud Storage](https://cloud.google.com/storage/)." } }, "id": "GoogleCloudVideointelligenceV1p1beta1_VideoAnnotationProgress" }, "GoogleCloudVideointelligenceV1p3beta1_ObjectTrackingFrame": { "type": "object", "id": "GoogleCloudVideointelligenceV1p3beta1_ObjectTrackingFrame", "properties": { "normalizedBoundingBox": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_NormalizedBoundingBox", "description": "The normalized bounding box location of this object track for the frame." }, "timeOffset": { "type": "string", "format": "google-duration", "description": "The timestamp of the frame in microseconds." } }, "description": "Video frame level annotations for object detection and tracking. This field stores per frame location, time offset, and confidence." }, "GoogleCloudVideointelligenceV1p2beta1_Entity": { "properties": { "languageCode": { "description": "Language code for `description` in BCP-47 format.", "type": "string" }, "description": { "type": "string", "description": "Textual description, e.g., `Fixed-gear bicycle`." }, "entityId": { "type": "string", "description": "Opaque entity ID. Some IDs may be available in [Google Knowledge Graph Search API](https://developers.google.com/knowledge-graph/)." } }, "type": "object", "id": "GoogleCloudVideointelligenceV1p2beta1_Entity", "description": "Detected entity from video analysis." }, "GoogleCloudVideointelligenceV1p1beta1_ObjectTrackingConfig": { "id": "GoogleCloudVideointelligenceV1p1beta1_ObjectTrackingConfig", "description": "Config for OBJECT_TRACKING.", "properties": { "model": { "description": "Model to use for object tracking. Supported values: \"builtin/stable\" (the default if unset) and \"builtin/latest\".", "type": "string" } }, "type": "object" }, "GoogleCloudVideointelligenceV1p3beta1_ExplicitContentFrame": { "description": "Video frame level annotation results for explicit content.", "id": "GoogleCloudVideointelligenceV1p3beta1_ExplicitContentFrame", "type": "object", "properties": { "pornographyLikelihood": { "enum": [ "LIKELIHOOD_UNSPECIFIED", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ], "description": "Likelihood of the pornography content..", "enumDescriptions": [ "Unspecified likelihood.", "Very unlikely.", "Unlikely.", "Possible.", "Likely.", "Very likely." ], "type": "string" }, "timeOffset": { "description": "Time-offset, relative to the beginning of the video, corresponding to the video frame for this location.", "format": "google-duration", "type": "string" } } }, "GoogleCloudVideointelligenceV1p2beta1_Track": { "description": "A track of an object instance.", "properties": { "timestampedObjects": { "description": "The object with timestamp and attributes per frame in the track.", "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_TimestampedObject" }, "type": "array" }, "confidence": { "description": "Optional. The confidence score of the tracked object.", "format": "float", "type": "number" }, "segment": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_VideoSegment", "description": "Video segment of a track." }, "attributes": { "description": "Optional. Attributes in the track level.", "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_DetectedAttribute" }, "type": "array" } }, "id": "GoogleCloudVideointelligenceV1p2beta1_Track", "type": "object" }, "GoogleCloudVideointelligenceV1p3beta1_FaceAnnotation": { "description": "Deprecated. No effect.", "type": "object", "properties": { "segments": { "description": "All video segments where a face was detected.", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_FaceSegment" }, "type": "array" }, "thumbnail": { "type": "string", "description": "Thumbnail of a representative face view (in JPEG format).", "format": "byte" }, "frames": { "description": "All video frames where a face was detected.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_FaceFrame" } } }, "id": "GoogleCloudVideointelligenceV1p3beta1_FaceAnnotation" }, "GoogleCloudVideointelligenceV1p3beta1_LabelAnnotation": { "properties": { "version": { "description": "Feature version.", "type": "string" }, "entity": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_Entity", "description": "Detected entity." }, "frames": { "type": "array", "description": "All video frames where a label was detected.", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_LabelFrame" } }, "segments": { "type": "array", "description": "All video segments where a label was detected.", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_LabelSegment" } }, "categoryEntities": { "description": "Common categories for the detected entity. For example, when the label is `Terrier`, the category is likely `dog`. And in some cases there might be more than one categories e.g., `Terrier` could also be a `pet`.", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_Entity" }, "type": "array" } }, "description": "Label annotation.", "id": "GoogleCloudVideointelligenceV1p3beta1_LabelAnnotation", "type": "object" }, "GoogleCloudVideointelligenceV1p3beta1_TextAnnotation": { "properties": { "version": { "type": "string", "description": "Feature version." }, "text": { "description": "The detected text.", "type": "string" }, "segments": { "description": "All video segments where OCR detected text appears.", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_TextSegment" }, "type": "array" } }, "id": "GoogleCloudVideointelligenceV1p3beta1_TextAnnotation", "type": "object", "description": "Annotations related to one detected OCR text snippet. This will contain the corresponding text, confidence value, and frame level information for each detection." }, "GoogleCloudVideointelligenceV1p3beta1_VideoAnnotationResults": { "id": "GoogleCloudVideointelligenceV1p3beta1_VideoAnnotationResults", "properties": { "celebrityRecognitionAnnotations": { "description": "Celebrity recognition annotations.", "$ref": "GoogleCloudVideointelligenceV1p3beta1_CelebrityRecognitionAnnotation" }, "textAnnotations": { "description": "OCR text detection and tracking. Annotations for list of detected text snippets. Each will have list of frame information associated with it.", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_TextAnnotation" }, "type": "array" }, "speechTranscriptions": { "type": "array", "description": "Speech transcription.", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_SpeechTranscription" } }, "shotLabelAnnotations": { "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_LabelAnnotation" }, "type": "array", "description": "Topical label annotations on shot level. There is exactly one element for each unique label." }, "inputUri": { "description": "Video file location in [Cloud Storage](https://cloud.google.com/storage/).", "type": "string" }, "logoRecognitionAnnotations": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_LogoRecognitionAnnotation" }, "description": "Annotations for list of logos detected, tracked and recognized in video." }, "segmentPresenceLabelAnnotations": { "description": "Presence label annotations on video level or user-specified segment level. There is exactly one element for each unique label. Compared to the existing topical `segment_label_annotations`, this field presents more fine-grained, segment-level labels detected in video content and is made available only when the client sets `LabelDetectionConfig.model` to \"builtin/latest\" in the request.", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_LabelAnnotation" }, "type": "array" }, "frameLabelAnnotations": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_LabelAnnotation" }, "description": "Label annotations on frame level. There is exactly one element for each unique label." }, "objectAnnotations": { "description": "Annotations for list of objects detected and tracked in video.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_ObjectTrackingAnnotation" } }, "shotPresenceLabelAnnotations": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_LabelAnnotation" }, "description": "Presence label annotations on shot level. There is exactly one element for each unique label. Compared to the existing topical `shot_label_annotations`, this field presents more fine-grained, shot-level labels detected in video content and is made available only when the client sets `LabelDetectionConfig.model` to \"builtin/latest\" in the request." }, "segment": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_VideoSegment", "description": "Video segment on which the annotation is run." }, "faceDetectionAnnotations": { "type": "array", "description": "Face detection annotations.", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_FaceDetectionAnnotation" } }, "faceAnnotations": { "description": "Deprecated. Please use `face_detection_annotations` instead.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_FaceAnnotation" } }, "segmentLabelAnnotations": { "type": "array", "description": "Topical label annotations on video level or user-specified segment level. There is exactly one element for each unique label.", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_LabelAnnotation" } }, "personDetectionAnnotations": { "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_PersonDetectionAnnotation" }, "description": "Person detection annotations.", "type": "array" }, "shotAnnotations": { "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_VideoSegment" }, "type": "array", "description": "Shot annotations. Each shot is represented as a video segment." }, "explicitAnnotation": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_ExplicitContentAnnotation", "description": "Explicit content annotation." }, "error": { "description": "If set, indicates an error. Note that for a single `AnnotateVideoRequest` some videos may succeed and some may fail.", "$ref": "GoogleRpc_Status" } }, "type": "object", "description": "Annotation results for a single video." }, "GoogleCloudVideointelligenceV1p3beta1_Celebrity": { "properties": { "name": { "description": "The resource name of the celebrity. Have the format `video-intelligence/kg-mid` indicates a celebrity from preloaded gallery. kg-mid is the id in Google knowledge graph, which is unique for the celebrity.", "type": "string" }, "description": { "description": "Textual description of additional information about the celebrity, if applicable.", "type": "string" }, "displayName": { "description": "The celebrity name.", "type": "string" } }, "type": "object", "description": "Celebrity definition.", "id": "GoogleCloudVideointelligenceV1p3beta1_Celebrity" }, "GoogleCloudVideointelligenceV1p1beta1_TextAnnotation": { "description": "Annotations related to one detected OCR text snippet. This will contain the corresponding text, confidence value, and frame level information for each detection.", "id": "GoogleCloudVideointelligenceV1p1beta1_TextAnnotation", "properties": { "version": { "type": "string", "description": "Feature version." }, "segments": { "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_TextSegment" }, "description": "All video segments where OCR detected text appears.", "type": "array" }, "text": { "description": "The detected text.", "type": "string" } }, "type": "object" }, "GoogleCloudVideointelligenceV1p3beta1_NormalizedVertex": { "type": "object", "properties": { "x": { "format": "float", "description": "X coordinate.", "type": "number" }, "y": { "description": "Y coordinate.", "format": "float", "type": "number" } }, "description": "A vertex represents a 2D point in the image. NOTE: the normalized vertex coordinates are relative to the original image and range from 0 to 1.", "id": "GoogleCloudVideointelligenceV1p3beta1_NormalizedVertex" }, "GoogleCloudVideointelligenceV1p2beta1_AnnotateVideoResponse": { "type": "object", "properties": { "annotationResults": { "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_VideoAnnotationResults" }, "description": "Annotation results for all videos specified in `AnnotateVideoRequest`.", "type": "array" } }, "description": "Video annotation response. Included in the `response` field of the `Operation` returned by the `GetOperation` call of the `google::longrunning::Operations` service.", "id": "GoogleCloudVideointelligenceV1p2beta1_AnnotateVideoResponse" }, "GoogleCloudVideointelligenceV1_LogoRecognitionAnnotation": { "properties": { "entity": { "$ref": "GoogleCloudVideointelligenceV1_Entity", "description": "Entity category information to specify the logo class that all the logo tracks within this LogoRecognitionAnnotation are recognized as." }, "tracks": { "description": "All logo tracks where the recognized logo appears. Each track corresponds to one logo instance appearing in consecutive frames.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1_Track" } }, "segments": { "type": "array", "description": "All video segments where the recognized logo appears. There might be multiple instances of the same logo class appearing in one VideoSegment.", "items": { "$ref": "GoogleCloudVideointelligenceV1_VideoSegment" } } }, "id": "GoogleCloudVideointelligenceV1_LogoRecognitionAnnotation", "description": "Annotation corresponding to one detected, tracked and recognized logo class.", "type": "object" }, "GoogleCloudVideointelligenceV1beta2_LabelFrame": { "description": "Video frame level annotation results for label detection.", "id": "GoogleCloudVideointelligenceV1beta2_LabelFrame", "type": "object", "properties": { "confidence": { "description": "Confidence that the label is accurate. Range: [0, 1].", "format": "float", "type": "number" }, "timeOffset": { "type": "string", "format": "google-duration", "description": "Time-offset, relative to the beginning of the video, corresponding to the video frame for this location." } } }, "GoogleCloudVideointelligenceV1p2beta1_NormalizedVertex": { "properties": { "y": { "description": "Y coordinate.", "type": "number", "format": "float" }, "x": { "type": "number", "format": "float", "description": "X coordinate." } }, "description": "A vertex represents a 2D point in the image. NOTE: the normalized vertex coordinates are relative to the original image and range from 0 to 1.", "type": "object", "id": "GoogleCloudVideointelligenceV1p2beta1_NormalizedVertex" }, "GoogleCloudVideointelligenceV1beta2_FaceSegment": { "type": "object", "id": "GoogleCloudVideointelligenceV1beta2_FaceSegment", "description": "Video segment level annotation results for face detection.", "properties": { "segment": { "description": "Video segment where a face was detected.", "$ref": "GoogleCloudVideointelligenceV1beta2_VideoSegment" } } }, "GoogleCloudVideointelligenceV1p2beta1_FaceFrame": { "properties": { "timeOffset": { "type": "string", "description": "Time-offset, relative to the beginning of the video, corresponding to the video frame for this location.", "format": "google-duration" }, "normalizedBoundingBoxes": { "type": "array", "description": "Normalized Bounding boxes in a frame. There can be more than one boxes if the same face is detected in multiple locations within the current frame.", "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_NormalizedBoundingBox" } } }, "description": "Deprecated. No effect.", "id": "GoogleCloudVideointelligenceV1p2beta1_FaceFrame", "type": "object" }, "GoogleCloudVideointelligenceV1p2beta1_VideoAnnotationProgress": { "properties": { "inputUri": { "type": "string", "description": "Video file location in [Cloud Storage](https://cloud.google.com/storage/)." }, "feature": { "enum": [ "FEATURE_UNSPECIFIED", "LABEL_DETECTION", "SHOT_CHANGE_DETECTION", "EXPLICIT_CONTENT_DETECTION", "FACE_DETECTION", "SPEECH_TRANSCRIPTION", "TEXT_DETECTION", "OBJECT_TRACKING", "LOGO_RECOGNITION", "PERSON_DETECTION" ], "type": "string", "description": "Specifies which feature is being tracked if the request contains more than one feature.", "enumDescriptions": [ "Unspecified.", "Label detection. Detect objects, such as dog or flower.", "Shot change detection.", "Explicit content detection.", "Human face detection.", "Speech transcription.", "OCR text detection and tracking.", "Object detection and tracking.", "Logo detection, tracking, and recognition.", "Person detection." ] }, "segment": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_VideoSegment", "description": "Specifies which segment is being tracked if the request contains more than one segment." }, "startTime": { "description": "Time when the request was received.", "type": "string", "format": "google-datetime" }, "progressPercent": { "format": "int32", "type": "integer", "description": "Approximate percentage processed thus far. Guaranteed to be 100 when fully processed." }, "updateTime": { "format": "google-datetime", "description": "Time of the most recent update.", "type": "string" } }, "description": "Annotation progress for a single video.", "id": "GoogleCloudVideointelligenceV1p2beta1_VideoAnnotationProgress", "type": "object" }, "GoogleCloudVideointelligenceV1p2beta1_NormalizedBoundingPoly": { "type": "object", "description": "Normalized bounding polygon for text (that might not be aligned with axis). Contains list of the corner points in clockwise order starting from top-left corner. For example, for a rectangular bounding box: When the text is horizontal it might look like: 0----1 | | 3----2 When it's clockwise rotated 180 degrees around the top-left corner it becomes: 2----3 | | 1----0 and the vertex order will still be (0, 1, 2, 3). Note that values can be less than 0, or greater than 1 due to trignometric calculations for location of the box.", "id": "GoogleCloudVideointelligenceV1p2beta1_NormalizedBoundingPoly", "properties": { "vertices": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_NormalizedVertex" }, "description": "Normalized vertices of the bounding polygon." } } }, "GoogleCloudVideointelligenceV1beta2_Track": { "description": "A track of an object instance.", "properties": { "confidence": { "type": "number", "description": "Optional. The confidence score of the tracked object.", "format": "float" }, "segment": { "$ref": "GoogleCloudVideointelligenceV1beta2_VideoSegment", "description": "Video segment of a track." }, "timestampedObjects": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_TimestampedObject" }, "description": "The object with timestamp and attributes per frame in the track." }, "attributes": { "description": "Optional. Attributes in the track level.", "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_DetectedAttribute" }, "type": "array" } }, "type": "object", "id": "GoogleCloudVideointelligenceV1beta2_Track" }, "GoogleCloudVideointelligenceV1p3beta1_AnnotateVideoResponse": { "type": "object", "id": "GoogleCloudVideointelligenceV1p3beta1_AnnotateVideoResponse", "properties": { "annotationResults": { "description": "Annotation results for all videos specified in `AnnotateVideoRequest`.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_VideoAnnotationResults" } } }, "description": "Video annotation response. Included in the `response` field of the `Operation` returned by the `GetOperation` call of the `google::longrunning::Operations` service." }, "GoogleCloudVideointelligenceV1_AnnotateVideoResponse": { "id": "GoogleCloudVideointelligenceV1_AnnotateVideoResponse", "description": "Video annotation response. Included in the `response` field of the `Operation` returned by the `GetOperation` call of the `google::longrunning::Operations` service.", "properties": { "annotationResults": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1_VideoAnnotationResults" }, "description": "Annotation results for all videos specified in `AnnotateVideoRequest`." } }, "type": "object" }, "GoogleCloudVideointelligenceV1beta2_FaceAnnotation": { "description": "Deprecated. No effect.", "type": "object", "properties": { "segments": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_FaceSegment" }, "description": "All video segments where a face was detected." }, "frames": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_FaceFrame" }, "description": "All video frames where a face was detected." }, "thumbnail": { "description": "Thumbnail of a representative face view (in JPEG format).", "type": "string", "format": "byte" } }, "id": "GoogleCloudVideointelligenceV1beta2_FaceAnnotation" }, "GoogleCloudVideointelligenceV1p2beta1_LabelSegment": { "type": "object", "id": "GoogleCloudVideointelligenceV1p2beta1_LabelSegment", "description": "Video segment level annotation results for label detection.", "properties": { "segment": { "description": "Video segment where a label was detected.", "$ref": "GoogleCloudVideointelligenceV1p2beta1_VideoSegment" }, "confidence": { "format": "float", "type": "number", "description": "Confidence that the label is accurate. Range: [0, 1]." } } }, "GoogleCloudVideointelligenceV1beta2_NormalizedBoundingBox": { "id": "GoogleCloudVideointelligenceV1beta2_NormalizedBoundingBox", "properties": { "bottom": { "type": "number", "description": "Bottom Y coordinate.", "format": "float" }, "top": { "format": "float", "type": "number", "description": "Top Y coordinate." }, "right": { "type": "number", "description": "Right X coordinate.", "format": "float" }, "left": { "description": "Left X coordinate.", "format": "float", "type": "number" } }, "type": "object", "description": "Normalized bounding box. The normalized vertex coordinates are relative to the original image. Range: [0, 1]." }, "GoogleCloudVideointelligenceV1p3beta1_AnnotateVideoProgress": { "type": "object", "properties": { "annotationProgress": { "description": "Progress metadata for all videos specified in `AnnotateVideoRequest`.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_VideoAnnotationProgress" } } }, "id": "GoogleCloudVideointelligenceV1p3beta1_AnnotateVideoProgress", "description": "Video annotation progress. Included in the `metadata` field of the `Operation` returned by the `GetOperation` call of the `google::longrunning::Operations` service." }, "GoogleCloudVideointelligenceV1p3beta1_RecognizedCelebrity": { "id": "GoogleCloudVideointelligenceV1p3beta1_RecognizedCelebrity", "description": "The recognized celebrity with confidence score.", "properties": { "confidence": { "format": "float", "description": "Recognition confidence. Range [0, 1].", "type": "number" }, "celebrity": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_Celebrity", "description": "The recognized celebrity." } }, "type": "object" }, "GoogleCloudVideointelligenceV1p2beta1_ObjectTrackingAnnotation": { "description": "Annotations corresponding to one tracked object.", "type": "object", "id": "GoogleCloudVideointelligenceV1p2beta1_ObjectTrackingAnnotation", "properties": { "confidence": { "format": "float", "type": "number", "description": "Object category's labeling confidence of this track." }, "segment": { "description": "Non-streaming batch mode ONLY. Each object track corresponds to one video segment where it appears.", "$ref": "GoogleCloudVideointelligenceV1p2beta1_VideoSegment" }, "entity": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_Entity", "description": "Entity to specify the object category that this track is labeled as." }, "trackId": { "type": "string", "description": "Streaming mode ONLY. In streaming mode, we do not know the end time of a tracked object before it is completed. Hence, there is no VideoSegment info returned. Instead, we provide a unique identifiable integer track_id so that the customers can correlate the results of the ongoing ObjectTrackAnnotation of the same track_id over time.", "format": "int64" }, "frames": { "type": "array", "description": "Information corresponding to all frames where this object track appears. Non-streaming batch mode: it may be one or multiple ObjectTrackingFrame messages in frames. Streaming mode: it can only be one ObjectTrackingFrame message in frames.", "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_ObjectTrackingFrame" } }, "version": { "description": "Feature version.", "type": "string" } } }, "GoogleCloudVideointelligenceV1_ExplicitContentFrame": { "description": "Video frame level annotation results for explicit content.", "id": "GoogleCloudVideointelligenceV1_ExplicitContentFrame", "properties": { "timeOffset": { "type": "string", "format": "google-duration", "description": "Time-offset, relative to the beginning of the video, corresponding to the video frame for this location." }, "pornographyLikelihood": { "description": "Likelihood of the pornography content..", "enumDescriptions": [ "Unspecified likelihood.", "Very unlikely.", "Unlikely.", "Possible.", "Likely.", "Very likely." ], "type": "string", "enum": [ "LIKELIHOOD_UNSPECIFIED", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ] } }, "type": "object" }, "GoogleCloudVideointelligenceV1beta2_DetectedAttribute": { "type": "object", "properties": { "name": { "description": "The name of the attribute, for example, glasses, dark_glasses, mouth_open. A full list of supported type names will be provided in the document.", "type": "string" }, "confidence": { "type": "number", "format": "float", "description": "Detected attribute confidence. Range [0, 1]." }, "value": { "description": "Text value of the detection result. For example, the value for \"HairColor\" can be \"black\", \"blonde\", etc.", "type": "string" } }, "description": "A generic detected attribute represented by name in string format.", "id": "GoogleCloudVideointelligenceV1beta2_DetectedAttribute" }, "GoogleCloudVideointelligenceV1p1beta1_PersonDetectionAnnotation": { "id": "GoogleCloudVideointelligenceV1p1beta1_PersonDetectionAnnotation", "properties": { "version": { "description": "Feature version.", "type": "string" }, "tracks": { "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_Track" }, "type": "array", "description": "The detected tracks of a person." } }, "type": "object", "description": "Person detection annotation per video." }, "GoogleCloudVideointelligenceV1_DetectedAttribute": { "type": "object", "id": "GoogleCloudVideointelligenceV1_DetectedAttribute", "description": "A generic detected attribute represented by name in string format.", "properties": { "value": { "description": "Text value of the detection result. For example, the value for \"HairColor\" can be \"black\", \"blonde\", etc.", "type": "string" }, "confidence": { "format": "float", "description": "Detected attribute confidence. Range [0, 1].", "type": "number" }, "name": { "type": "string", "description": "The name of the attribute, for example, glasses, dark_glasses, mouth_open. A full list of supported type names will be provided in the document." } } }, "GoogleCloudVideointelligenceV1p1beta1_ExplicitContentAnnotation": { "description": "Explicit content annotation (based on per-frame visual signals only). If no explicit content has been detected in a frame, no annotations are present for that frame.", "id": "GoogleCloudVideointelligenceV1p1beta1_ExplicitContentAnnotation", "type": "object", "properties": { "frames": { "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_ExplicitContentFrame" }, "description": "All video frames where explicit content was detected.", "type": "array" }, "version": { "description": "Feature version.", "type": "string" } } }, "GoogleCloudVideointelligenceV1p2beta1_TextAnnotation": { "description": "Annotations related to one detected OCR text snippet. This will contain the corresponding text, confidence value, and frame level information for each detection.", "id": "GoogleCloudVideointelligenceV1p2beta1_TextAnnotation", "properties": { "segments": { "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_TextSegment" }, "type": "array", "description": "All video segments where OCR detected text appears." }, "version": { "description": "Feature version.", "type": "string" }, "text": { "description": "The detected text.", "type": "string" } }, "type": "object" }, "GoogleCloudVideointelligenceV1beta2_ObjectTrackingFrame": { "id": "GoogleCloudVideointelligenceV1beta2_ObjectTrackingFrame", "description": "Video frame level annotations for object detection and tracking. This field stores per frame location, time offset, and confidence.", "properties": { "normalizedBoundingBox": { "description": "The normalized bounding box location of this object track for the frame.", "$ref": "GoogleCloudVideointelligenceV1beta2_NormalizedBoundingBox" }, "timeOffset": { "type": "string", "description": "The timestamp of the frame in microseconds.", "format": "google-duration" } }, "type": "object" }, "GoogleLongrunning_Operation": { "description": "This resource represents a long-running operation that is the result of a network API call.", "properties": { "name": { "type": "string", "description": "The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the `name` should be a resource name ending with `operations/{unique_id}`." }, "error": { "$ref": "GoogleRpc_Status", "description": "The error result of the operation in case of failure or cancellation." }, "done": { "description": "If the value is `false`, it means the operation is still in progress. If `true`, the operation is completed, and either `error` or `response` is available.", "type": "boolean" }, "response": { "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "type": "object", "description": "The normal response of the operation in case of success. If the original method returns no data on success, such as `Delete`, the response is `google.protobuf.Empty`. If the original method is standard `Get`/`Create`/`Update`, the response should be the resource. For other methods, the response should have the type `XxxResponse`, where `Xxx` is the original method name. For example, if the original method name is `TakeSnapshot()`, the inferred response type is `TakeSnapshotResponse`." }, "metadata": { "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "description": "Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any.", "type": "object" } }, "type": "object", "id": "GoogleLongrunning_Operation" }, "GoogleCloudVideointelligenceV1_TextSegment": { "description": "Video segment level annotation results for text detection.", "type": "object", "properties": { "segment": { "$ref": "GoogleCloudVideointelligenceV1_VideoSegment", "description": "Video segment where a text snippet was detected." }, "frames": { "items": { "$ref": "GoogleCloudVideointelligenceV1_TextFrame" }, "description": "Information related to the frames where OCR detected text appears.", "type": "array" }, "confidence": { "description": "Confidence for the track of detected text. It is calculated as the highest over all frames where OCR detected text appears.", "type": "number", "format": "float" } }, "id": "GoogleCloudVideointelligenceV1_TextSegment" }, "GoogleCloudVideointelligenceV1p2beta1_SpeechRecognitionAlternative": { "description": "Alternative hypotheses (a.k.a. n-best list).", "properties": { "words": { "description": "Output only. A list of word-specific information for each recognized word. Note: When `enable_speaker_diarization` is set to true, you will see all the words from the beginning of the audio.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_WordInfo" }, "readOnly": true }, "confidence": { "readOnly": true, "type": "number", "format": "float", "description": "Output only. The confidence estimate between 0.0 and 1.0. A higher number indicates an estimated greater likelihood that the recognized words are correct. This field is set only for the top alternative. This field is not guaranteed to be accurate and users should not rely on it to be always provided. The default of 0.0 is a sentinel value indicating `confidence` was not set." }, "transcript": { "type": "string", "description": "Transcript text representing the words that the user spoke." } }, "id": "GoogleCloudVideointelligenceV1p2beta1_SpeechRecognitionAlternative", "type": "object" }, "GoogleCloudVideointelligenceV1_LabelAnnotation": { "properties": { "entity": { "description": "Detected entity.", "$ref": "GoogleCloudVideointelligenceV1_Entity" }, "categoryEntities": { "description": "Common categories for the detected entity. For example, when the label is `Terrier`, the category is likely `dog`. And in some cases there might be more than one categories e.g., `Terrier` could also be a `pet`.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1_Entity" } }, "frames": { "description": "All video frames where a label was detected.", "items": { "$ref": "GoogleCloudVideointelligenceV1_LabelFrame" }, "type": "array" }, "version": { "description": "Feature version.", "type": "string" }, "segments": { "description": "All video segments where a label was detected.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1_LabelSegment" } } }, "description": "Label annotation.", "id": "GoogleCloudVideointelligenceV1_LabelAnnotation", "type": "object" }, "GoogleCloudVideointelligenceV1_Entity": { "id": "GoogleCloudVideointelligenceV1_Entity", "properties": { "entityId": { "description": "Opaque entity ID. Some IDs may be available in [Google Knowledge Graph Search API](https://developers.google.com/knowledge-graph/).", "type": "string" }, "languageCode": { "type": "string", "description": "Language code for `description` in BCP-47 format." }, "description": { "type": "string", "description": "Textual description, e.g., `Fixed-gear bicycle`." } }, "description": "Detected entity from video analysis.", "type": "object" }, "GoogleCloudVideointelligenceV1p1beta1_SpeechTranscription": { "description": "A speech recognition result corresponding to a portion of the audio.", "properties": { "languageCode": { "description": "Output only. The [BCP-47](https://www.rfc-editor.org/rfc/bcp/bcp47.txt) language tag of the language in this result. This language code was detected to have the most likelihood of being spoken in the audio.", "readOnly": true, "type": "string" }, "alternatives": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_SpeechRecognitionAlternative" }, "description": "May contain one or more recognition hypotheses (up to the maximum specified in `max_alternatives`). These alternatives are ordered in terms of accuracy, with the top (first) alternative being the most probable, as ranked by the recognizer." } }, "id": "GoogleCloudVideointelligenceV1p1beta1_SpeechTranscription", "type": "object" }, "GoogleCloudVideointelligenceV1p2beta1_NormalizedBoundingBox": { "type": "object", "description": "Normalized bounding box. The normalized vertex coordinates are relative to the original image. Range: [0, 1].", "properties": { "bottom": { "description": "Bottom Y coordinate.", "type": "number", "format": "float" }, "right": { "description": "Right X coordinate.", "type": "number", "format": "float" }, "left": { "type": "number", "format": "float", "description": "Left X coordinate." }, "top": { "format": "float", "type": "number", "description": "Top Y coordinate." } }, "id": "GoogleCloudVideointelligenceV1p2beta1_NormalizedBoundingBox" }, "GoogleCloudVideointelligenceV1_PersonDetectionAnnotation": { "description": "Person detection annotation per video.", "properties": { "tracks": { "items": { "$ref": "GoogleCloudVideointelligenceV1_Track" }, "description": "The detected tracks of a person.", "type": "array" }, "version": { "description": "Feature version.", "type": "string" } }, "id": "GoogleCloudVideointelligenceV1_PersonDetectionAnnotation", "type": "object" }, "GoogleCloudVideointelligenceV1p2beta1_FaceSegment": { "id": "GoogleCloudVideointelligenceV1p2beta1_FaceSegment", "properties": { "segment": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_VideoSegment", "description": "Video segment where a face was detected." } }, "type": "object", "description": "Video segment level annotation results for face detection." }, "GoogleCloudVideointelligenceV1_WordInfo": { "id": "GoogleCloudVideointelligenceV1_WordInfo", "type": "object", "properties": { "speakerTag": { "type": "integer", "readOnly": true, "format": "int32", "description": "Output only. A distinct integer value is assigned for every speaker within the audio. This field specifies which one of those speakers was detected to have spoken this word. Value ranges from 1 up to diarization_speaker_count, and is only set if speaker diarization is enabled." }, "endTime": { "format": "google-duration", "type": "string", "description": "Time offset relative to the beginning of the audio, and corresponding to the end of the spoken word. This field is only set if `enable_word_time_offsets=true` and only in the top hypothesis. This is an experimental feature and the accuracy of the time offset can vary." }, "confidence": { "readOnly": true, "description": "Output only. The confidence estimate between 0.0 and 1.0. A higher number indicates an estimated greater likelihood that the recognized words are correct. This field is set only for the top alternative. This field is not guaranteed to be accurate and users should not rely on it to be always provided. The default of 0.0 is a sentinel value indicating `confidence` was not set.", "format": "float", "type": "number" }, "word": { "description": "The word corresponding to this set of information.", "type": "string" }, "startTime": { "type": "string", "description": "Time offset relative to the beginning of the audio, and corresponding to the start of the spoken word. This field is only set if `enable_word_time_offsets=true` and only in the top hypothesis. This is an experimental feature and the accuracy of the time offset can vary.", "format": "google-duration" } }, "description": "Word-specific information for recognized words. Word information is only included in the response when certain request parameters are set, such as `enable_word_time_offsets`." }, "GoogleCloudVideointelligenceV1beta2_FaceFrame": { "description": "Deprecated. No effect.", "id": "GoogleCloudVideointelligenceV1beta2_FaceFrame", "type": "object", "properties": { "timeOffset": { "type": "string", "description": "Time-offset, relative to the beginning of the video, corresponding to the video frame for this location.", "format": "google-duration" }, "normalizedBoundingBoxes": { "description": "Normalized Bounding boxes in a frame. There can be more than one boxes if the same face is detected in multiple locations within the current frame.", "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_NormalizedBoundingBox" }, "type": "array" } } }, "GoogleCloudVideointelligenceV1p1beta1_SpeechTranscriptionConfig": { "type": "object", "properties": { "enableWordConfidence": { "description": "Optional. If `true`, the top result includes a list of words and the confidence for those words. If `false`, no word-level confidence information is returned. The default is `false`.", "type": "boolean" }, "languageCode": { "description": "Required. *Required* The language of the supplied audio as a [BCP-47](https://www.rfc-editor.org/rfc/bcp/bcp47.txt) language tag. Example: \"en-US\". See [Language Support](https://cloud.google.com/speech/docs/languages) for a list of the currently supported language codes.", "type": "string" }, "enableAutomaticPunctuation": { "description": "Optional. If 'true', adds punctuation to recognition result hypotheses. This feature is only available in select languages. Setting this for requests in other languages has no effect at all. The default 'false' value does not add punctuation to result hypotheses. NOTE: \"This is currently offered as an experimental service, complimentary to all users. In the future this may be exclusively available as a premium feature.\"", "type": "boolean" }, "diarizationSpeakerCount": { "description": "Optional. If set, specifies the estimated number of speakers in the conversation. If not set, defaults to '2'. Ignored unless enable_speaker_diarization is set to true.", "type": "integer", "format": "int32" }, "filterProfanity": { "description": "Optional. If set to `true`, the server will attempt to filter out profanities, replacing all but the initial character in each filtered word with asterisks, e.g. \"f***\". If set to `false` or omitted, profanities won't be filtered out.", "type": "boolean" }, "audioTracks": { "items": { "type": "integer", "format": "int32" }, "type": "array", "description": "Optional. For file formats, such as MXF or MKV, supporting multiple audio tracks, specify up to two tracks. Default: track 0." }, "enableSpeakerDiarization": { "description": "Optional. If 'true', enables speaker detection for each recognized word in the top alternative of the recognition result using a speaker_tag provided in the WordInfo. Note: When this is true, we send all the words from the beginning of the audio for the top alternative in every consecutive response. This is done in order to improve our speaker tags as our models learn to identify the speakers in the conversation over time.", "type": "boolean" }, "speechContexts": { "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_SpeechContext" }, "description": "Optional. A means to provide context to assist the speech recognition.", "type": "array" }, "maxAlternatives": { "description": "Optional. Maximum number of recognition hypotheses to be returned. Specifically, the maximum number of `SpeechRecognitionAlternative` messages within each `SpeechTranscription`. The server may return fewer than `max_alternatives`. Valid values are `0`-`30`. A value of `0` or `1` will return a maximum of one. If omitted, will return a maximum of one.", "type": "integer", "format": "int32" } }, "id": "GoogleCloudVideointelligenceV1p1beta1_SpeechTranscriptionConfig", "description": "Config for SPEECH_TRANSCRIPTION." }, "GoogleCloudVideointelligenceV1p1beta1_ExplicitContentFrame": { "description": "Video frame level annotation results for explicit content.", "id": "GoogleCloudVideointelligenceV1p1beta1_ExplicitContentFrame", "type": "object", "properties": { "timeOffset": { "description": "Time-offset, relative to the beginning of the video, corresponding to the video frame for this location.", "type": "string", "format": "google-duration" }, "pornographyLikelihood": { "enum": [ "LIKELIHOOD_UNSPECIFIED", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ], "enumDescriptions": [ "Unspecified likelihood.", "Very unlikely.", "Unlikely.", "Possible.", "Likely.", "Very likely." ], "type": "string", "description": "Likelihood of the pornography content.." } } }, "GoogleCloudVideointelligenceV1p3beta1_FaceDetectionAnnotation": { "type": "object", "properties": { "tracks": { "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_Track" }, "description": "The face tracks with attributes.", "type": "array" }, "version": { "type": "string", "description": "Feature version." }, "thumbnail": { "type": "string", "format": "byte", "description": "The thumbnail of a person's face." } }, "description": "Face detection annotation.", "id": "GoogleCloudVideointelligenceV1p3beta1_FaceDetectionAnnotation" }, "GoogleCloudVideointelligenceV1p3beta1_LabelFrame": { "id": "GoogleCloudVideointelligenceV1p3beta1_LabelFrame", "type": "object", "properties": { "confidence": { "format": "float", "type": "number", "description": "Confidence that the label is accurate. Range: [0, 1]." }, "timeOffset": { "type": "string", "description": "Time-offset, relative to the beginning of the video, corresponding to the video frame for this location.", "format": "google-duration" } }, "description": "Video frame level annotation results for label detection." }, "GoogleCloudVideointelligenceV1p3beta1_VideoSegment": { "id": "GoogleCloudVideointelligenceV1p3beta1_VideoSegment", "properties": { "endTimeOffset": { "type": "string", "description": "Time-offset, relative to the beginning of the video, corresponding to the end of the segment (inclusive).", "format": "google-duration" }, "startTimeOffset": { "type": "string", "format": "google-duration", "description": "Time-offset, relative to the beginning of the video, corresponding to the start of the segment (inclusive)." } }, "type": "object", "description": "Video segment." }, "GoogleCloudVideointelligenceV1_FaceFrame": { "id": "GoogleCloudVideointelligenceV1_FaceFrame", "properties": { "normalizedBoundingBoxes": { "items": { "$ref": "GoogleCloudVideointelligenceV1_NormalizedBoundingBox" }, "type": "array", "description": "Normalized Bounding boxes in a frame. There can be more than one boxes if the same face is detected in multiple locations within the current frame." }, "timeOffset": { "description": "Time-offset, relative to the beginning of the video, corresponding to the video frame for this location.", "format": "google-duration", "type": "string" } }, "type": "object", "description": "Deprecated. No effect." }, "GoogleCloudVideointelligenceV1p3beta1_StreamingAnnotateVideoResponse": { "id": "GoogleCloudVideointelligenceV1p3beta1_StreamingAnnotateVideoResponse", "type": "object", "properties": { "annotationResults": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_StreamingVideoAnnotationResults", "description": "Streaming annotation results." }, "error": { "$ref": "GoogleRpc_Status", "description": "If set, returns a google.rpc.Status message that specifies the error for the operation." }, "annotationResultsUri": { "description": "Google Cloud Storage URI that stores annotation results of one streaming session in JSON format. It is the annotation_result_storage_directory from the request followed by '/cloud_project_number-session_id'.", "type": "string" } }, "description": "`StreamingAnnotateVideoResponse` is the only message returned to the client by `StreamingAnnotateVideo`. A series of zero or more `StreamingAnnotateVideoResponse` messages are streamed back to the client." }, "GoogleCloudVideointelligenceV1p2beta1_LabelAnnotation": { "description": "Label annotation.", "properties": { "categoryEntities": { "description": "Common categories for the detected entity. For example, when the label is `Terrier`, the category is likely `dog`. And in some cases there might be more than one categories e.g., `Terrier` could also be a `pet`.", "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_Entity" }, "type": "array" }, "version": { "type": "string", "description": "Feature version." }, "segments": { "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_LabelSegment" }, "type": "array", "description": "All video segments where a label was detected." }, "entity": { "description": "Detected entity.", "$ref": "GoogleCloudVideointelligenceV1p2beta1_Entity" }, "frames": { "type": "array", "description": "All video frames where a label was detected.", "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_LabelFrame" } } }, "id": "GoogleCloudVideointelligenceV1p2beta1_LabelAnnotation", "type": "object" }, "GoogleCloudVideointelligenceV1p1beta1_SpeechContext": { "description": "Provides \"hints\" to the speech recognizer to favor specific words and phrases in the results.", "type": "object", "properties": { "phrases": { "type": "array", "items": { "type": "string" }, "description": "Optional. A list of strings containing words and phrases \"hints\" so that the speech recognition is more likely to recognize them. This can be used to improve the accuracy for specific words and phrases, for example, if specific commands are typically spoken by the user. This can also be used to add additional words to the vocabulary of the recognizer. See [usage limits](https://cloud.google.com/speech/limits#content)." } }, "id": "GoogleCloudVideointelligenceV1p1beta1_SpeechContext" }, "GoogleCloudVideointelligenceV1beta2_TextFrame": { "type": "object", "id": "GoogleCloudVideointelligenceV1beta2_TextFrame", "properties": { "timeOffset": { "type": "string", "description": "Timestamp of this frame.", "format": "google-duration" }, "rotatedBoundingBox": { "description": "Bounding polygon of the detected text for this frame.", "$ref": "GoogleCloudVideointelligenceV1beta2_NormalizedBoundingPoly" } }, "description": "Video frame level annotation results for text annotation (OCR). Contains information regarding timestamp and bounding box locations for the frames containing detected OCR text snippets." }, "GoogleCloudVideointelligenceV1p2beta1_TextFrame": { "properties": { "rotatedBoundingBox": { "description": "Bounding polygon of the detected text for this frame.", "$ref": "GoogleCloudVideointelligenceV1p2beta1_NormalizedBoundingPoly" }, "timeOffset": { "description": "Timestamp of this frame.", "format": "google-duration", "type": "string" } }, "type": "object", "id": "GoogleCloudVideointelligenceV1p2beta1_TextFrame", "description": "Video frame level annotation results for text annotation (OCR). Contains information regarding timestamp and bounding box locations for the frames containing detected OCR text snippets." }, "GoogleCloudVideointelligenceV1beta2_LabelAnnotation": { "properties": { "frames": { "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_LabelFrame" }, "description": "All video frames where a label was detected.", "type": "array" }, "version": { "description": "Feature version.", "type": "string" }, "categoryEntities": { "description": "Common categories for the detected entity. For example, when the label is `Terrier`, the category is likely `dog`. And in some cases there might be more than one categories e.g., `Terrier` could also be a `pet`.", "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_Entity" }, "type": "array" }, "segments": { "type": "array", "description": "All video segments where a label was detected.", "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_LabelSegment" } }, "entity": { "description": "Detected entity.", "$ref": "GoogleCloudVideointelligenceV1beta2_Entity" } }, "description": "Label annotation.", "id": "GoogleCloudVideointelligenceV1beta2_LabelAnnotation", "type": "object" }, "GoogleCloudVideointelligenceV1p3beta1_TextSegment": { "description": "Video segment level annotation results for text detection.", "id": "GoogleCloudVideointelligenceV1p3beta1_TextSegment", "type": "object", "properties": { "segment": { "description": "Video segment where a text snippet was detected.", "$ref": "GoogleCloudVideointelligenceV1p3beta1_VideoSegment" }, "confidence": { "description": "Confidence for the track of detected text. It is calculated as the highest over all frames where OCR detected text appears.", "type": "number", "format": "float" }, "frames": { "description": "Information related to the frames where OCR detected text appears.", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_TextFrame" }, "type": "array" } } }, "GoogleCloudVideointelligenceV1p1beta1_TextFrame": { "id": "GoogleCloudVideointelligenceV1p1beta1_TextFrame", "description": "Video frame level annotation results for text annotation (OCR). Contains information regarding timestamp and bounding box locations for the frames containing detected OCR text snippets.", "properties": { "timeOffset": { "format": "google-duration", "description": "Timestamp of this frame.", "type": "string" }, "rotatedBoundingBox": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_NormalizedBoundingPoly", "description": "Bounding polygon of the detected text for this frame." } }, "type": "object" }, "GoogleCloudVideointelligenceV1p3beta1_TimestampedObject": { "properties": { "landmarks": { "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_DetectedLandmark" }, "type": "array", "description": "Optional. The detected landmarks." }, "normalizedBoundingBox": { "description": "Normalized Bounding box in a frame, where the object is located.", "$ref": "GoogleCloudVideointelligenceV1p3beta1_NormalizedBoundingBox" }, "attributes": { "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_DetectedAttribute" }, "description": "Optional. The attributes of the object in the bounding box.", "type": "array" }, "timeOffset": { "type": "string", "format": "google-duration", "description": "Time-offset, relative to the beginning of the video, corresponding to the video frame for this object." } }, "type": "object", "id": "GoogleCloudVideointelligenceV1p3beta1_TimestampedObject", "description": "For tracking related features. An object at time_offset with attributes, and located with normalized_bounding_box." }, "GoogleCloudVideointelligenceV1p1beta1_FaceDetectionConfig": { "type": "object", "properties": { "includeAttributes": { "type": "boolean", "description": "Whether to enable face attributes detection, such as glasses, dark_glasses, mouth_open etc. Ignored if 'include_bounding_boxes' is set to false." }, "model": { "description": "Model to use for face detection. Supported values: \"builtin/stable\" (the default if unset) and \"builtin/latest\".", "type": "string" }, "includeBoundingBoxes": { "description": "Whether bounding boxes are included in the face annotation output.", "type": "boolean" } }, "id": "GoogleCloudVideointelligenceV1p1beta1_FaceDetectionConfig", "description": "Config for FACE_DETECTION." }, "GoogleCloudVideointelligenceV1_ObjectTrackingAnnotation": { "properties": { "trackId": { "format": "int64", "type": "string", "description": "Streaming mode ONLY. In streaming mode, we do not know the end time of a tracked object before it is completed. Hence, there is no VideoSegment info returned. Instead, we provide a unique identifiable integer track_id so that the customers can correlate the results of the ongoing ObjectTrackAnnotation of the same track_id over time." }, "segment": { "$ref": "GoogleCloudVideointelligenceV1_VideoSegment", "description": "Non-streaming batch mode ONLY. Each object track corresponds to one video segment where it appears." }, "entity": { "description": "Entity to specify the object category that this track is labeled as.", "$ref": "GoogleCloudVideointelligenceV1_Entity" }, "frames": { "description": "Information corresponding to all frames where this object track appears. Non-streaming batch mode: it may be one or multiple ObjectTrackingFrame messages in frames. Streaming mode: it can only be one ObjectTrackingFrame message in frames.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1_ObjectTrackingFrame" } }, "confidence": { "format": "float", "type": "number", "description": "Object category's labeling confidence of this track." }, "version": { "type": "string", "description": "Feature version." } }, "description": "Annotations corresponding to one tracked object.", "id": "GoogleCloudVideointelligenceV1_ObjectTrackingAnnotation", "type": "object" }, "GoogleCloudVideointelligenceV1beta2_ExplicitContentAnnotation": { "description": "Explicit content annotation (based on per-frame visual signals only). If no explicit content has been detected in a frame, no annotations are present for that frame.", "id": "GoogleCloudVideointelligenceV1beta2_ExplicitContentAnnotation", "type": "object", "properties": { "version": { "description": "Feature version.", "type": "string" }, "frames": { "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_ExplicitContentFrame" }, "type": "array", "description": "All video frames where explicit content was detected." } } }, "GoogleCloudVideointelligenceV1p3beta1_FaceSegment": { "id": "GoogleCloudVideointelligenceV1p3beta1_FaceSegment", "description": "Video segment level annotation results for face detection.", "properties": { "segment": { "description": "Video segment where a face was detected.", "$ref": "GoogleCloudVideointelligenceV1p3beta1_VideoSegment" } }, "type": "object" }, "GoogleCloudVideointelligenceV1p1beta1_NormalizedVertex": { "properties": { "x": { "type": "number", "format": "float", "description": "X coordinate." }, "y": { "type": "number", "format": "float", "description": "Y coordinate." } }, "description": "A vertex represents a 2D point in the image. NOTE: the normalized vertex coordinates are relative to the original image and range from 0 to 1.", "id": "GoogleCloudVideointelligenceV1p1beta1_NormalizedVertex", "type": "object" }, "GoogleCloudVideointelligenceV1beta2_DetectedLandmark": { "properties": { "name": { "type": "string", "description": "The name of this landmark, for example, left_hand, right_shoulder." }, "point": { "description": "The 2D point of the detected landmark using the normalized image coordindate system. The normalized coordinates have the range from 0 to 1.", "$ref": "GoogleCloudVideointelligenceV1beta2_NormalizedVertex" }, "confidence": { "format": "float", "type": "number", "description": "The confidence score of the detected landmark. Range [0, 1]." } }, "description": "A generic detected landmark represented by name in string format and a 2D location.", "type": "object", "id": "GoogleCloudVideointelligenceV1beta2_DetectedLandmark" }, "GoogleCloudVideointelligenceV1_SpeechRecognitionAlternative": { "properties": { "words": { "description": "Output only. A list of word-specific information for each recognized word. Note: When `enable_speaker_diarization` is set to true, you will see all the words from the beginning of the audio.", "type": "array", "readOnly": true, "items": { "$ref": "GoogleCloudVideointelligenceV1_WordInfo" } }, "confidence": { "description": "Output only. The confidence estimate between 0.0 and 1.0. A higher number indicates an estimated greater likelihood that the recognized words are correct. This field is set only for the top alternative. This field is not guaranteed to be accurate and users should not rely on it to be always provided. The default of 0.0 is a sentinel value indicating `confidence` was not set.", "type": "number", "readOnly": true, "format": "float" }, "transcript": { "type": "string", "description": "Transcript text representing the words that the user spoke." } }, "description": "Alternative hypotheses (a.k.a. n-best list).", "id": "GoogleCloudVideointelligenceV1_SpeechRecognitionAlternative", "type": "object" }, "GoogleCloudVideointelligenceV1p2beta1_WordInfo": { "type": "object", "id": "GoogleCloudVideointelligenceV1p2beta1_WordInfo", "properties": { "word": { "description": "The word corresponding to this set of information.", "type": "string" }, "endTime": { "format": "google-duration", "type": "string", "description": "Time offset relative to the beginning of the audio, and corresponding to the end of the spoken word. This field is only set if `enable_word_time_offsets=true` and only in the top hypothesis. This is an experimental feature and the accuracy of the time offset can vary." }, "speakerTag": { "description": "Output only. A distinct integer value is assigned for every speaker within the audio. This field specifies which one of those speakers was detected to have spoken this word. Value ranges from 1 up to diarization_speaker_count, and is only set if speaker diarization is enabled.", "type": "integer", "readOnly": true, "format": "int32" }, "startTime": { "description": "Time offset relative to the beginning of the audio, and corresponding to the start of the spoken word. This field is only set if `enable_word_time_offsets=true` and only in the top hypothesis. This is an experimental feature and the accuracy of the time offset can vary.", "format": "google-duration", "type": "string" }, "confidence": { "type": "number", "description": "Output only. The confidence estimate between 0.0 and 1.0. A higher number indicates an estimated greater likelihood that the recognized words are correct. This field is set only for the top alternative. This field is not guaranteed to be accurate and users should not rely on it to be always provided. The default of 0.0 is a sentinel value indicating `confidence` was not set.", "readOnly": true, "format": "float" } }, "description": "Word-specific information for recognized words. Word information is only included in the response when certain request parameters are set, such as `enable_word_time_offsets`." }, "GoogleCloudVideointelligenceV1p1beta1_AnnotateVideoRequest": { "id": "GoogleCloudVideointelligenceV1p1beta1_AnnotateVideoRequest", "description": "Video annotation request.", "properties": { "inputContent": { "type": "string", "format": "byte", "description": "The video data bytes. If unset, the input video(s) should be specified via the `input_uri`. If set, `input_uri` must be unset." }, "videoContext": { "description": "Additional video context and/or feature-specific parameters.", "$ref": "GoogleCloudVideointelligenceV1p1beta1_VideoContext" }, "outputUri": { "type": "string", "description": "Optional. Location where the output (in JSON format) should be stored. Currently, only [Cloud Storage](https://cloud.google.com/storage/) URIs are supported. These must be specified in the following format: `gs://bucket-id/object-id` (other URI formats return google.rpc.Code.INVALID_ARGUMENT). For more information, see [Request URIs](https://cloud.google.com/storage/docs/request-endpoints)." }, "locationId": { "type": "string", "description": "Optional. Cloud region where annotation should take place. Supported cloud regions are: `us-east1`, `us-west1`, `europe-west1`, `asia-east1`. If no region is specified, the region will be determined based on video file location." }, "features": { "type": "array", "description": "Required. Requested video annotation features.", "items": { "enumDescriptions": [ "Unspecified.", "Label detection. Detect objects, such as dog or flower.", "Shot change detection.", "Explicit content detection.", "Human face detection.", "Speech transcription.", "OCR text detection and tracking.", "Object detection and tracking.", "Logo detection, tracking, and recognition.", "Person detection." ], "enum": [ "FEATURE_UNSPECIFIED", "LABEL_DETECTION", "SHOT_CHANGE_DETECTION", "EXPLICIT_CONTENT_DETECTION", "FACE_DETECTION", "SPEECH_TRANSCRIPTION", "TEXT_DETECTION", "OBJECT_TRACKING", "LOGO_RECOGNITION", "PERSON_DETECTION" ], "type": "string" } }, "inputUri": { "description": "Input video location. Currently, only [Cloud Storage](https://cloud.google.com/storage/) URIs are supported. URIs must be specified in the following format: `gs://bucket-id/object-id` (other URI formats return google.rpc.Code.INVALID_ARGUMENT). For more information, see [Request URIs](https://cloud.google.com/storage/docs/request-endpoints). To identify multiple videos, a video URI may include wildcards in the `object-id`. Supported wildcards: '*' to match 0 or more characters; '?' to match 1 character. If unset, the input video should be embedded in the request as `input_content`. If set, `input_content` must be unset.", "type": "string" } }, "type": "object" }, "GoogleCloudVideointelligenceV1p1beta1_FaceFrame": { "properties": { "normalizedBoundingBoxes": { "description": "Normalized Bounding boxes in a frame. There can be more than one boxes if the same face is detected in multiple locations within the current frame.", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_NormalizedBoundingBox" }, "type": "array" }, "timeOffset": { "format": "google-duration", "type": "string", "description": "Time-offset, relative to the beginning of the video, corresponding to the video frame for this location." } }, "id": "GoogleCloudVideointelligenceV1p1beta1_FaceFrame", "type": "object", "description": "Deprecated. No effect." }, "GoogleCloudVideointelligenceV1p1beta1_NormalizedBoundingPoly": { "id": "GoogleCloudVideointelligenceV1p1beta1_NormalizedBoundingPoly", "description": "Normalized bounding polygon for text (that might not be aligned with axis). Contains list of the corner points in clockwise order starting from top-left corner. For example, for a rectangular bounding box: When the text is horizontal it might look like: 0----1 | | 3----2 When it's clockwise rotated 180 degrees around the top-left corner it becomes: 2----3 | | 1----0 and the vertex order will still be (0, 1, 2, 3). Note that values can be less than 0, or greater than 1 due to trignometric calculations for location of the box.", "properties": { "vertices": { "type": "array", "description": "Normalized vertices of the bounding polygon.", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_NormalizedVertex" } } }, "type": "object" }, "GoogleCloudVideointelligenceV1beta2_TextSegment": { "description": "Video segment level annotation results for text detection.", "id": "GoogleCloudVideointelligenceV1beta2_TextSegment", "type": "object", "properties": { "segment": { "description": "Video segment where a text snippet was detected.", "$ref": "GoogleCloudVideointelligenceV1beta2_VideoSegment" }, "frames": { "description": "Information related to the frames where OCR detected text appears.", "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_TextFrame" }, "type": "array" }, "confidence": { "description": "Confidence for the track of detected text. It is calculated as the highest over all frames where OCR detected text appears.", "format": "float", "type": "number" } } }, "GoogleCloudVideointelligenceV1beta2_AnnotateVideoProgress": { "type": "object", "description": "Video annotation progress. Included in the `metadata` field of the `Operation` returned by the `GetOperation` call of the `google::longrunning::Operations` service.", "properties": { "annotationProgress": { "description": "Progress metadata for all videos specified in `AnnotateVideoRequest`.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_VideoAnnotationProgress" } } }, "id": "GoogleCloudVideointelligenceV1beta2_AnnotateVideoProgress" }, "GoogleCloudVideointelligenceV1p2beta1_DetectedLandmark": { "properties": { "confidence": { "format": "float", "type": "number", "description": "The confidence score of the detected landmark. Range [0, 1]." }, "point": { "description": "The 2D point of the detected landmark using the normalized image coordindate system. The normalized coordinates have the range from 0 to 1.", "$ref": "GoogleCloudVideointelligenceV1p2beta1_NormalizedVertex" }, "name": { "description": "The name of this landmark, for example, left_hand, right_shoulder.", "type": "string" } }, "type": "object", "description": "A generic detected landmark represented by name in string format and a 2D location.", "id": "GoogleCloudVideointelligenceV1p2beta1_DetectedLandmark" }, "GoogleRpc_Status": { "type": "object", "properties": { "code": { "format": "int32", "description": "The status code, which should be an enum value of google.rpc.Code.", "type": "integer" }, "message": { "type": "string", "description": "A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client." }, "details": { "items": { "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "type": "object" }, "type": "array", "description": "A list of messages that carry the error details. There is a common set of message types for APIs to use." } }, "description": "The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors).", "id": "GoogleRpc_Status" }, "GoogleCloudVideointelligenceV1p3beta1_DetectedLandmark": { "properties": { "name": { "type": "string", "description": "The name of this landmark, for example, left_hand, right_shoulder." }, "point": { "description": "The 2D point of the detected landmark using the normalized image coordindate system. The normalized coordinates have the range from 0 to 1.", "$ref": "GoogleCloudVideointelligenceV1p3beta1_NormalizedVertex" }, "confidence": { "format": "float", "description": "The confidence score of the detected landmark. Range [0, 1].", "type": "number" } }, "id": "GoogleCloudVideointelligenceV1p3beta1_DetectedLandmark", "description": "A generic detected landmark represented by name in string format and a 2D location.", "type": "object" }, "GoogleCloudVideointelligenceV1p1beta1_VideoAnnotationResults": { "id": "GoogleCloudVideointelligenceV1p1beta1_VideoAnnotationResults", "properties": { "speechTranscriptions": { "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_SpeechTranscription" }, "type": "array", "description": "Speech transcription." }, "shotAnnotations": { "description": "Shot annotations. Each shot is represented as a video segment.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_VideoSegment" } }, "shotPresenceLabelAnnotations": { "description": "Presence label annotations on shot level. There is exactly one element for each unique label. Compared to the existing topical `shot_label_annotations`, this field presents more fine-grained, shot-level labels detected in video content and is made available only when the client sets `LabelDetectionConfig.model` to \"builtin/latest\" in the request.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_LabelAnnotation" } }, "explicitAnnotation": { "description": "Explicit content annotation.", "$ref": "GoogleCloudVideointelligenceV1p1beta1_ExplicitContentAnnotation" }, "personDetectionAnnotations": { "type": "array", "description": "Person detection annotations.", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_PersonDetectionAnnotation" } }, "frameLabelAnnotations": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_LabelAnnotation" }, "description": "Label annotations on frame level. There is exactly one element for each unique label." }, "logoRecognitionAnnotations": { "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_LogoRecognitionAnnotation" }, "description": "Annotations for list of logos detected, tracked and recognized in video.", "type": "array" }, "segment": { "description": "Video segment on which the annotation is run.", "$ref": "GoogleCloudVideointelligenceV1p1beta1_VideoSegment" }, "inputUri": { "type": "string", "description": "Video file location in [Cloud Storage](https://cloud.google.com/storage/)." }, "objectAnnotations": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_ObjectTrackingAnnotation" }, "description": "Annotations for list of objects detected and tracked in video." }, "error": { "description": "If set, indicates an error. Note that for a single `AnnotateVideoRequest` some videos may succeed and some may fail.", "$ref": "GoogleRpc_Status" }, "shotLabelAnnotations": { "type": "array", "description": "Topical label annotations on shot level. There is exactly one element for each unique label.", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_LabelAnnotation" } }, "segmentPresenceLabelAnnotations": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_LabelAnnotation" }, "description": "Presence label annotations on video level or user-specified segment level. There is exactly one element for each unique label. Compared to the existing topical `segment_label_annotations`, this field presents more fine-grained, segment-level labels detected in video content and is made available only when the client sets `LabelDetectionConfig.model` to \"builtin/latest\" in the request." }, "textAnnotations": { "description": "OCR text detection and tracking. Annotations for list of detected text snippets. Each will have list of frame information associated with it.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_TextAnnotation" } }, "faceDetectionAnnotations": { "description": "Face detection annotations.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_FaceDetectionAnnotation" } }, "faceAnnotations": { "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_FaceAnnotation" }, "description": "Deprecated. Please use `face_detection_annotations` instead.", "type": "array" }, "segmentLabelAnnotations": { "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_LabelAnnotation" }, "type": "array", "description": "Topical label annotations on video level or user-specified segment level. There is exactly one element for each unique label." } }, "type": "object", "description": "Annotation results for a single video." }, "GoogleCloudVideointelligenceV1p2beta1_ObjectTrackingFrame": { "properties": { "normalizedBoundingBox": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_NormalizedBoundingBox", "description": "The normalized bounding box location of this object track for the frame." }, "timeOffset": { "description": "The timestamp of the frame in microseconds.", "type": "string", "format": "google-duration" } }, "description": "Video frame level annotations for object detection and tracking. This field stores per frame location, time offset, and confidence.", "type": "object", "id": "GoogleCloudVideointelligenceV1p2beta1_ObjectTrackingFrame" }, "GoogleCloudVideointelligenceV1p3beta1_LabelSegment": { "properties": { "confidence": { "format": "float", "type": "number", "description": "Confidence that the label is accurate. Range: [0, 1]." }, "segment": { "description": "Video segment where a label was detected.", "$ref": "GoogleCloudVideointelligenceV1p3beta1_VideoSegment" } }, "type": "object", "id": "GoogleCloudVideointelligenceV1p3beta1_LabelSegment", "description": "Video segment level annotation results for label detection." }, "GoogleCloudVideointelligenceV1p1beta1_VideoContext": { "id": "GoogleCloudVideointelligenceV1p1beta1_VideoContext", "description": "Video context and/or feature-specific parameters.", "type": "object", "properties": { "segments": { "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_VideoSegment" }, "type": "array", "description": "Video segments to annotate. The segments may overlap and are not required to be contiguous or span the whole video. If unspecified, each video is treated as a single segment." }, "personDetectionConfig": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_PersonDetectionConfig", "description": "Config for PERSON_DETECTION." }, "faceDetectionConfig": { "description": "Config for FACE_DETECTION.", "$ref": "GoogleCloudVideointelligenceV1p1beta1_FaceDetectionConfig" }, "speechTranscriptionConfig": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_SpeechTranscriptionConfig", "description": "Config for SPEECH_TRANSCRIPTION." }, "labelDetectionConfig": { "description": "Config for LABEL_DETECTION.", "$ref": "GoogleCloudVideointelligenceV1p1beta1_LabelDetectionConfig" }, "shotChangeDetectionConfig": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_ShotChangeDetectionConfig", "description": "Config for SHOT_CHANGE_DETECTION." }, "explicitContentDetectionConfig": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_ExplicitContentDetectionConfig", "description": "Config for EXPLICIT_CONTENT_DETECTION." }, "textDetectionConfig": { "description": "Config for TEXT_DETECTION.", "$ref": "GoogleCloudVideointelligenceV1p1beta1_TextDetectionConfig" }, "objectTrackingConfig": { "description": "Config for OBJECT_TRACKING.", "$ref": "GoogleCloudVideointelligenceV1p1beta1_ObjectTrackingConfig" } } }, "GoogleCloudVideointelligenceV1p3beta1_StreamingVideoAnnotationResults": { "id": "GoogleCloudVideointelligenceV1p3beta1_StreamingVideoAnnotationResults", "description": "Streaming annotation results corresponding to a portion of the video that is currently being processed. Only ONE type of annotation will be specified in the response.", "properties": { "explicitAnnotation": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_ExplicitContentAnnotation", "description": "Explicit content annotation results." }, "shotAnnotations": { "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_VideoSegment" }, "type": "array", "description": "Shot annotation results. Each shot is represented as a video segment." }, "objectAnnotations": { "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_ObjectTrackingAnnotation" }, "description": "Object tracking results.", "type": "array" }, "frameTimestamp": { "format": "google-duration", "type": "string", "description": "Timestamp of the processed frame in microseconds." }, "labelAnnotations": { "type": "array", "description": "Label annotation results.", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_LabelAnnotation" } } }, "type": "object" }, "GoogleCloudVideointelligenceV1beta2_SpeechRecognitionAlternative": { "description": "Alternative hypotheses (a.k.a. n-best list).", "properties": { "words": { "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_WordInfo" }, "type": "array", "description": "Output only. A list of word-specific information for each recognized word. Note: When `enable_speaker_diarization` is set to true, you will see all the words from the beginning of the audio.", "readOnly": true }, "confidence": { "format": "float", "readOnly": true, "type": "number", "description": "Output only. The confidence estimate between 0.0 and 1.0. A higher number indicates an estimated greater likelihood that the recognized words are correct. This field is set only for the top alternative. This field is not guaranteed to be accurate and users should not rely on it to be always provided. The default of 0.0 is a sentinel value indicating `confidence` was not set." }, "transcript": { "type": "string", "description": "Transcript text representing the words that the user spoke." } }, "id": "GoogleCloudVideointelligenceV1beta2_SpeechRecognitionAlternative", "type": "object" }, "GoogleCloudVideointelligenceV1p3beta1_Track": { "properties": { "attributes": { "description": "Optional. Attributes in the track level.", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_DetectedAttribute" }, "type": "array" }, "timestampedObjects": { "type": "array", "description": "The object with timestamp and attributes per frame in the track.", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_TimestampedObject" } }, "segment": { "description": "Video segment of a track.", "$ref": "GoogleCloudVideointelligenceV1p3beta1_VideoSegment" }, "confidence": { "type": "number", "format": "float", "description": "Optional. The confidence score of the tracked object." } }, "type": "object", "description": "A track of an object instance.", "id": "GoogleCloudVideointelligenceV1p3beta1_Track" }, "GoogleCloudVideointelligenceV1beta2_SpeechTranscription": { "description": "A speech recognition result corresponding to a portion of the audio.", "type": "object", "id": "GoogleCloudVideointelligenceV1beta2_SpeechTranscription", "properties": { "languageCode": { "readOnly": true, "description": "Output only. The [BCP-47](https://www.rfc-editor.org/rfc/bcp/bcp47.txt) language tag of the language in this result. This language code was detected to have the most likelihood of being spoken in the audio.", "type": "string" }, "alternatives": { "description": "May contain one or more recognition hypotheses (up to the maximum specified in `max_alternatives`). These alternatives are ordered in terms of accuracy, with the top (first) alternative being the most probable, as ranked by the recognizer.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_SpeechRecognitionAlternative" } } } }, "GoogleCloudVideointelligenceV1p2beta1_SpeechTranscription": { "type": "object", "properties": { "alternatives": { "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_SpeechRecognitionAlternative" }, "type": "array", "description": "May contain one or more recognition hypotheses (up to the maximum specified in `max_alternatives`). These alternatives are ordered in terms of accuracy, with the top (first) alternative being the most probable, as ranked by the recognizer." }, "languageCode": { "type": "string", "description": "Output only. The [BCP-47](https://www.rfc-editor.org/rfc/bcp/bcp47.txt) language tag of the language in this result. This language code was detected to have the most likelihood of being spoken in the audio.", "readOnly": true } }, "description": "A speech recognition result corresponding to a portion of the audio.", "id": "GoogleCloudVideointelligenceV1p2beta1_SpeechTranscription" }, "GoogleCloudVideointelligenceV1p3beta1_LogoRecognitionAnnotation": { "description": "Annotation corresponding to one detected, tracked and recognized logo class.", "properties": { "tracks": { "description": "All logo tracks where the recognized logo appears. Each track corresponds to one logo instance appearing in consecutive frames.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_Track" } }, "segments": { "description": "All video segments where the recognized logo appears. There might be multiple instances of the same logo class appearing in one VideoSegment.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_VideoSegment" } }, "entity": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_Entity", "description": "Entity category information to specify the logo class that all the logo tracks within this LogoRecognitionAnnotation are recognized as." } }, "type": "object", "id": "GoogleCloudVideointelligenceV1p3beta1_LogoRecognitionAnnotation" }, "GoogleCloudVideointelligenceV1p3beta1_CelebrityRecognitionAnnotation": { "properties": { "version": { "type": "string", "description": "Feature version." }, "celebrityTracks": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_CelebrityTrack" }, "description": "The tracks detected from the input video, including recognized celebrities and other detected faces in the video." } }, "description": "Celebrity recognition annotation per video.", "type": "object", "id": "GoogleCloudVideointelligenceV1p3beta1_CelebrityRecognitionAnnotation" }, "GoogleCloudVideointelligenceV1beta2_TimestampedObject": { "id": "GoogleCloudVideointelligenceV1beta2_TimestampedObject", "description": "For tracking related features. An object at time_offset with attributes, and located with normalized_bounding_box.", "type": "object", "properties": { "timeOffset": { "format": "google-duration", "description": "Time-offset, relative to the beginning of the video, corresponding to the video frame for this object.", "type": "string" }, "landmarks": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_DetectedLandmark" }, "description": "Optional. The detected landmarks." }, "attributes": { "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_DetectedAttribute" }, "type": "array", "description": "Optional. The attributes of the object in the bounding box." }, "normalizedBoundingBox": { "$ref": "GoogleCloudVideointelligenceV1beta2_NormalizedBoundingBox", "description": "Normalized Bounding box in a frame, where the object is located." } } }, "GoogleCloudVideointelligenceV1beta2_PersonDetectionAnnotation": { "id": "GoogleCloudVideointelligenceV1beta2_PersonDetectionAnnotation", "properties": { "version": { "description": "Feature version.", "type": "string" }, "tracks": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_Track" }, "description": "The detected tracks of a person." } }, "type": "object", "description": "Person detection annotation per video." }, "GoogleCloudVideointelligenceV1_SpeechTranscription": { "description": "A speech recognition result corresponding to a portion of the audio.", "properties": { "languageCode": { "description": "Output only. The [BCP-47](https://www.rfc-editor.org/rfc/bcp/bcp47.txt) language tag of the language in this result. This language code was detected to have the most likelihood of being spoken in the audio.", "type": "string", "readOnly": true }, "alternatives": { "description": "May contain one or more recognition hypotheses (up to the maximum specified in `max_alternatives`). These alternatives are ordered in terms of accuracy, with the top (first) alternative being the most probable, as ranked by the recognizer.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1_SpeechRecognitionAlternative" } } }, "type": "object", "id": "GoogleCloudVideointelligenceV1_SpeechTranscription" }, "GoogleCloudVideointelligenceV1_NormalizedBoundingBox": { "type": "object", "id": "GoogleCloudVideointelligenceV1_NormalizedBoundingBox", "description": "Normalized bounding box. The normalized vertex coordinates are relative to the original image. Range: [0, 1].", "properties": { "top": { "description": "Top Y coordinate.", "format": "float", "type": "number" }, "left": { "type": "number", "description": "Left X coordinate.", "format": "float" }, "bottom": { "type": "number", "description": "Bottom Y coordinate.", "format": "float" }, "right": { "type": "number", "description": "Right X coordinate.", "format": "float" } } }, "GoogleCloudVideointelligenceV1p1beta1_AnnotateVideoResponse": { "description": "Video annotation response. Included in the `response` field of the `Operation` returned by the `GetOperation` call of the `google::longrunning::Operations` service.", "id": "GoogleCloudVideointelligenceV1p1beta1_AnnotateVideoResponse", "type": "object", "properties": { "annotationResults": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_VideoAnnotationResults" }, "description": "Annotation results for all videos specified in `AnnotateVideoRequest`." } } }, "GoogleCloudVideointelligenceV1p3beta1_ObjectTrackingAnnotation": { "id": "GoogleCloudVideointelligenceV1p3beta1_ObjectTrackingAnnotation", "type": "object", "description": "Annotations corresponding to one tracked object.", "properties": { "trackId": { "format": "int64", "description": "Streaming mode ONLY. In streaming mode, we do not know the end time of a tracked object before it is completed. Hence, there is no VideoSegment info returned. Instead, we provide a unique identifiable integer track_id so that the customers can correlate the results of the ongoing ObjectTrackAnnotation of the same track_id over time.", "type": "string" }, "segment": { "description": "Non-streaming batch mode ONLY. Each object track corresponds to one video segment where it appears.", "$ref": "GoogleCloudVideointelligenceV1p3beta1_VideoSegment" }, "frames": { "description": "Information corresponding to all frames where this object track appears. Non-streaming batch mode: it may be one or multiple ObjectTrackingFrame messages in frames. Streaming mode: it can only be one ObjectTrackingFrame message in frames.", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_ObjectTrackingFrame" }, "type": "array" }, "entity": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_Entity", "description": "Entity to specify the object category that this track is labeled as." }, "confidence": { "type": "number", "format": "float", "description": "Object category's labeling confidence of this track." }, "version": { "description": "Feature version.", "type": "string" } } }, "GoogleCloudVideointelligenceV1p3beta1_PersonDetectionAnnotation": { "id": "GoogleCloudVideointelligenceV1p3beta1_PersonDetectionAnnotation", "properties": { "tracks": { "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_Track" }, "type": "array", "description": "The detected tracks of a person." }, "version": { "description": "Feature version.", "type": "string" } }, "description": "Person detection annotation per video.", "type": "object" }, "GoogleCloudVideointelligenceV1_LabelFrame": { "id": "GoogleCloudVideointelligenceV1_LabelFrame", "properties": { "confidence": { "description": "Confidence that the label is accurate. Range: [0, 1].", "type": "number", "format": "float" }, "timeOffset": { "format": "google-duration", "type": "string", "description": "Time-offset, relative to the beginning of the video, corresponding to the video frame for this location." } }, "type": "object", "description": "Video frame level annotation results for label detection." }, "GoogleCloudVideointelligenceV1beta2_ExplicitContentFrame": { "id": "GoogleCloudVideointelligenceV1beta2_ExplicitContentFrame", "properties": { "timeOffset": { "description": "Time-offset, relative to the beginning of the video, corresponding to the video frame for this location.", "type": "string", "format": "google-duration" }, "pornographyLikelihood": { "enum": [ "LIKELIHOOD_UNSPECIFIED", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ], "description": "Likelihood of the pornography content..", "enumDescriptions": [ "Unspecified likelihood.", "Very unlikely.", "Unlikely.", "Possible.", "Likely.", "Very likely." ], "type": "string" } }, "description": "Video frame level annotation results for explicit content.", "type": "object" }, "GoogleCloudVideointelligenceV1p1beta1_LabelSegment": { "description": "Video segment level annotation results for label detection.", "properties": { "segment": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_VideoSegment", "description": "Video segment where a label was detected." }, "confidence": { "description": "Confidence that the label is accurate. Range: [0, 1].", "format": "float", "type": "number" } }, "id": "GoogleCloudVideointelligenceV1p1beta1_LabelSegment", "type": "object" }, "GoogleCloudVideointelligenceV1beta2_LogoRecognitionAnnotation": { "type": "object", "properties": { "entity": { "description": "Entity category information to specify the logo class that all the logo tracks within this LogoRecognitionAnnotation are recognized as.", "$ref": "GoogleCloudVideointelligenceV1beta2_Entity" }, "tracks": { "type": "array", "description": "All logo tracks where the recognized logo appears. Each track corresponds to one logo instance appearing in consecutive frames.", "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_Track" } }, "segments": { "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_VideoSegment" }, "type": "array", "description": "All video segments where the recognized logo appears. There might be multiple instances of the same logo class appearing in one VideoSegment." } }, "id": "GoogleCloudVideointelligenceV1beta2_LogoRecognitionAnnotation", "description": "Annotation corresponding to one detected, tracked and recognized logo class." }, "GoogleCloudVideointelligenceV1p1beta1_TextDetectionConfig": { "type": "object", "id": "GoogleCloudVideointelligenceV1p1beta1_TextDetectionConfig", "properties": { "languageHints": { "type": "array", "description": "Language hint can be specified if the language to be detected is known a priori. It can increase the accuracy of the detection. Language hint must be language code in BCP-47 format. Automatic language detection is performed if no hint is provided.", "items": { "type": "string" } }, "model": { "type": "string", "description": "Model to use for text detection. Supported values: \"builtin/stable\" (the default if unset) and \"builtin/latest\"." } }, "description": "Config for TEXT_DETECTION." }, "GoogleCloudVideointelligenceV1p1beta1_WordInfo": { "type": "object", "properties": { "endTime": { "type": "string", "format": "google-duration", "description": "Time offset relative to the beginning of the audio, and corresponding to the end of the spoken word. This field is only set if `enable_word_time_offsets=true` and only in the top hypothesis. This is an experimental feature and the accuracy of the time offset can vary." }, "word": { "type": "string", "description": "The word corresponding to this set of information." }, "speakerTag": { "description": "Output only. A distinct integer value is assigned for every speaker within the audio. This field specifies which one of those speakers was detected to have spoken this word. Value ranges from 1 up to diarization_speaker_count, and is only set if speaker diarization is enabled.", "format": "int32", "readOnly": true, "type": "integer" }, "startTime": { "description": "Time offset relative to the beginning of the audio, and corresponding to the start of the spoken word. This field is only set if `enable_word_time_offsets=true` and only in the top hypothesis. This is an experimental feature and the accuracy of the time offset can vary.", "format": "google-duration", "type": "string" }, "confidence": { "readOnly": true, "type": "number", "format": "float", "description": "Output only. The confidence estimate between 0.0 and 1.0. A higher number indicates an estimated greater likelihood that the recognized words are correct. This field is set only for the top alternative. This field is not guaranteed to be accurate and users should not rely on it to be always provided. The default of 0.0 is a sentinel value indicating `confidence` was not set." } }, "id": "GoogleCloudVideointelligenceV1p1beta1_WordInfo", "description": "Word-specific information for recognized words. Word information is only included in the response when certain request parameters are set, such as `enable_word_time_offsets`." }, "GoogleCloudVideointelligenceV1p1beta1_DetectedAttribute": { "properties": { "name": { "type": "string", "description": "The name of the attribute, for example, glasses, dark_glasses, mouth_open. A full list of supported type names will be provided in the document." }, "value": { "type": "string", "description": "Text value of the detection result. For example, the value for \"HairColor\" can be \"black\", \"blonde\", etc." }, "confidence": { "description": "Detected attribute confidence. Range [0, 1].", "format": "float", "type": "number" } }, "id": "GoogleCloudVideointelligenceV1p1beta1_DetectedAttribute", "description": "A generic detected attribute represented by name in string format.", "type": "object" }, "GoogleCloudVideointelligenceV1p3beta1_SpeechRecognitionAlternative": { "id": "GoogleCloudVideointelligenceV1p3beta1_SpeechRecognitionAlternative", "type": "object", "description": "Alternative hypotheses (a.k.a. n-best list).", "properties": { "transcript": { "description": "Transcript text representing the words that the user spoke.", "type": "string" }, "confidence": { "description": "Output only. The confidence estimate between 0.0 and 1.0. A higher number indicates an estimated greater likelihood that the recognized words are correct. This field is set only for the top alternative. This field is not guaranteed to be accurate and users should not rely on it to be always provided. The default of 0.0 is a sentinel value indicating `confidence` was not set.", "type": "number", "format": "float", "readOnly": true }, "words": { "readOnly": true, "description": "Output only. A list of word-specific information for each recognized word. Note: When `enable_speaker_diarization` is set to true, you will see all the words from the beginning of the audio.", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_WordInfo" }, "type": "array" } } }, "GoogleCloudVideointelligenceV1p1beta1_ExplicitContentDetectionConfig": { "id": "GoogleCloudVideointelligenceV1p1beta1_ExplicitContentDetectionConfig", "properties": { "model": { "type": "string", "description": "Model to use for explicit content detection. Supported values: \"builtin/stable\" (the default if unset) and \"builtin/latest\"." } }, "description": "Config for EXPLICIT_CONTENT_DETECTION.", "type": "object" }, "GoogleCloudVideointelligenceV1p1beta1_AnnotateVideoProgress": { "id": "GoogleCloudVideointelligenceV1p1beta1_AnnotateVideoProgress", "type": "object", "description": "Video annotation progress. Included in the `metadata` field of the `Operation` returned by the `GetOperation` call of the `google::longrunning::Operations` service.", "properties": { "annotationProgress": { "type": "array", "description": "Progress metadata for all videos specified in `AnnotateVideoRequest`.", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_VideoAnnotationProgress" } } } }, "GoogleCloudVideointelligenceV1p2beta1_LogoRecognitionAnnotation": { "properties": { "entity": { "description": "Entity category information to specify the logo class that all the logo tracks within this LogoRecognitionAnnotation are recognized as.", "$ref": "GoogleCloudVideointelligenceV1p2beta1_Entity" }, "segments": { "description": "All video segments where the recognized logo appears. There might be multiple instances of the same logo class appearing in one VideoSegment.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_VideoSegment" } }, "tracks": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_Track" }, "description": "All logo tracks where the recognized logo appears. Each track corresponds to one logo instance appearing in consecutive frames." } }, "description": "Annotation corresponding to one detected, tracked and recognized logo class.", "type": "object", "id": "GoogleCloudVideointelligenceV1p2beta1_LogoRecognitionAnnotation" }, "GoogleCloudVideointelligenceV1beta2_Entity": { "description": "Detected entity from video analysis.", "properties": { "description": { "type": "string", "description": "Textual description, e.g., `Fixed-gear bicycle`." }, "languageCode": { "type": "string", "description": "Language code for `description` in BCP-47 format." }, "entityId": { "type": "string", "description": "Opaque entity ID. Some IDs may be available in [Google Knowledge Graph Search API](https://developers.google.com/knowledge-graph/)." } }, "id": "GoogleCloudVideointelligenceV1beta2_Entity", "type": "object" }, "GoogleCloudVideointelligenceV1p1beta1_LabelDetectionConfig": { "id": "GoogleCloudVideointelligenceV1p1beta1_LabelDetectionConfig", "description": "Config for LABEL_DETECTION.", "type": "object", "properties": { "labelDetectionMode": { "enum": [ "LABEL_DETECTION_MODE_UNSPECIFIED", "SHOT_MODE", "FRAME_MODE", "SHOT_AND_FRAME_MODE" ], "type": "string", "enumDescriptions": [ "Unspecified.", "Detect shot-level labels.", "Detect frame-level labels.", "Detect both shot-level and frame-level labels." ], "description": "What labels should be detected with LABEL_DETECTION, in addition to video-level labels or segment-level labels. If unspecified, defaults to `SHOT_MODE`." }, "model": { "description": "Model to use for label detection. Supported values: \"builtin/stable\" (the default if unset) and \"builtin/latest\".", "type": "string" }, "frameConfidenceThreshold": { "type": "number", "format": "float", "description": "The confidence threshold we perform filtering on the labels from frame-level detection. If not set, it is set to 0.4 by default. The valid range for this threshold is [0.1, 0.9]. Any value set outside of this range will be clipped. Note: For best results, follow the default threshold. We will update the default threshold everytime when we release a new model." }, "stationaryCamera": { "description": "Whether the video has been shot from a stationary (i.e., non-moving) camera. When set to true, might improve detection accuracy for moving objects. Should be used with `SHOT_AND_FRAME_MODE` enabled.", "type": "boolean" }, "videoConfidenceThreshold": { "description": "The confidence threshold we perform filtering on the labels from video-level and shot-level detections. If not set, it's set to 0.3 by default. The valid range for this threshold is [0.1, 0.9]. Any value set outside of this range will be clipped. Note: For best results, follow the default threshold. We will update the default threshold everytime when we release a new model.", "format": "float", "type": "number" } } }, "GoogleCloudVideointelligenceV1p3beta1_NormalizedBoundingBox": { "id": "GoogleCloudVideointelligenceV1p3beta1_NormalizedBoundingBox", "properties": { "bottom": { "format": "float", "type": "number", "description": "Bottom Y coordinate." }, "left": { "description": "Left X coordinate.", "type": "number", "format": "float" }, "top": { "format": "float", "description": "Top Y coordinate.", "type": "number" }, "right": { "format": "float", "description": "Right X coordinate.", "type": "number" } }, "description": "Normalized bounding box. The normalized vertex coordinates are relative to the original image. Range: [0, 1].", "type": "object" }, "GoogleCloudVideointelligenceV1_FaceDetectionAnnotation": { "id": "GoogleCloudVideointelligenceV1_FaceDetectionAnnotation", "type": "object", "properties": { "tracks": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1_Track" }, "description": "The face tracks with attributes." }, "thumbnail": { "description": "The thumbnail of a person's face.", "type": "string", "format": "byte" }, "version": { "description": "Feature version.", "type": "string" } }, "description": "Face detection annotation." }, "GoogleCloudVideointelligenceV1_NormalizedVertex": { "description": "A vertex represents a 2D point in the image. NOTE: the normalized vertex coordinates are relative to the original image and range from 0 to 1.", "id": "GoogleCloudVideointelligenceV1_NormalizedVertex", "type": "object", "properties": { "y": { "type": "number", "description": "Y coordinate.", "format": "float" }, "x": { "description": "X coordinate.", "format": "float", "type": "number" } } }, "GoogleCloudVideointelligenceV1p2beta1_LabelFrame": { "description": "Video frame level annotation results for label detection.", "id": "GoogleCloudVideointelligenceV1p2beta1_LabelFrame", "properties": { "confidence": { "description": "Confidence that the label is accurate. Range: [0, 1].", "format": "float", "type": "number" }, "timeOffset": { "description": "Time-offset, relative to the beginning of the video, corresponding to the video frame for this location.", "type": "string", "format": "google-duration" } }, "type": "object" }, "GoogleCloudVideointelligenceV1p1beta1_ObjectTrackingAnnotation": { "description": "Annotations corresponding to one tracked object.", "properties": { "version": { "description": "Feature version.", "type": "string" }, "confidence": { "description": "Object category's labeling confidence of this track.", "format": "float", "type": "number" }, "trackId": { "format": "int64", "type": "string", "description": "Streaming mode ONLY. In streaming mode, we do not know the end time of a tracked object before it is completed. Hence, there is no VideoSegment info returned. Instead, we provide a unique identifiable integer track_id so that the customers can correlate the results of the ongoing ObjectTrackAnnotation of the same track_id over time." }, "frames": { "type": "array", "description": "Information corresponding to all frames where this object track appears. Non-streaming batch mode: it may be one or multiple ObjectTrackingFrame messages in frames. Streaming mode: it can only be one ObjectTrackingFrame message in frames.", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_ObjectTrackingFrame" } }, "segment": { "description": "Non-streaming batch mode ONLY. Each object track corresponds to one video segment where it appears.", "$ref": "GoogleCloudVideointelligenceV1p1beta1_VideoSegment" }, "entity": { "description": "Entity to specify the object category that this track is labeled as.", "$ref": "GoogleCloudVideointelligenceV1p1beta1_Entity" } }, "id": "GoogleCloudVideointelligenceV1p1beta1_ObjectTrackingAnnotation", "type": "object" }, "GoogleCloudVideointelligenceV1beta2_VideoSegment": { "properties": { "startTimeOffset": { "description": "Time-offset, relative to the beginning of the video, corresponding to the start of the segment (inclusive).", "format": "google-duration", "type": "string" }, "endTimeOffset": { "type": "string", "format": "google-duration", "description": "Time-offset, relative to the beginning of the video, corresponding to the end of the segment (inclusive)." } }, "id": "GoogleCloudVideointelligenceV1beta2_VideoSegment", "type": "object", "description": "Video segment." }, "GoogleCloudVideointelligenceV1p1beta1_ShotChangeDetectionConfig": { "type": "object", "description": "Config for SHOT_CHANGE_DETECTION.", "id": "GoogleCloudVideointelligenceV1p1beta1_ShotChangeDetectionConfig", "properties": { "model": { "type": "string", "description": "Model to use for shot change detection. Supported values: \"builtin/stable\" (the default if unset), \"builtin/latest\", and \"builtin/legacy\"." } } }, "GoogleCloudVideointelligenceV1_VideoAnnotationResults": { "description": "Annotation results for a single video.", "type": "object", "properties": { "segment": { "description": "Video segment on which the annotation is run.", "$ref": "GoogleCloudVideointelligenceV1_VideoSegment" }, "personDetectionAnnotations": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1_PersonDetectionAnnotation" }, "description": "Person detection annotations." }, "inputUri": { "description": "Video file location in [Cloud Storage](https://cloud.google.com/storage/).", "type": "string" }, "shotPresenceLabelAnnotations": { "items": { "$ref": "GoogleCloudVideointelligenceV1_LabelAnnotation" }, "type": "array", "description": "Presence label annotations on shot level. There is exactly one element for each unique label. Compared to the existing topical `shot_label_annotations`, this field presents more fine-grained, shot-level labels detected in video content and is made available only when the client sets `LabelDetectionConfig.model` to \"builtin/latest\" in the request." }, "segmentPresenceLabelAnnotations": { "items": { "$ref": "GoogleCloudVideointelligenceV1_LabelAnnotation" }, "description": "Presence label annotations on video level or user-specified segment level. There is exactly one element for each unique label. Compared to the existing topical `segment_label_annotations`, this field presents more fine-grained, segment-level labels detected in video content and is made available only when the client sets `LabelDetectionConfig.model` to \"builtin/latest\" in the request.", "type": "array" }, "textAnnotations": { "items": { "$ref": "GoogleCloudVideointelligenceV1_TextAnnotation" }, "description": "OCR text detection and tracking. Annotations for list of detected text snippets. Each will have list of frame information associated with it.", "type": "array" }, "faceDetectionAnnotations": { "items": { "$ref": "GoogleCloudVideointelligenceV1_FaceDetectionAnnotation" }, "type": "array", "description": "Face detection annotations." }, "explicitAnnotation": { "description": "Explicit content annotation.", "$ref": "GoogleCloudVideointelligenceV1_ExplicitContentAnnotation" }, "error": { "description": "If set, indicates an error. Note that for a single `AnnotateVideoRequest` some videos may succeed and some may fail.", "$ref": "GoogleRpc_Status" }, "objectAnnotations": { "type": "array", "description": "Annotations for list of objects detected and tracked in video.", "items": { "$ref": "GoogleCloudVideointelligenceV1_ObjectTrackingAnnotation" } }, "speechTranscriptions": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1_SpeechTranscription" }, "description": "Speech transcription." }, "logoRecognitionAnnotations": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1_LogoRecognitionAnnotation" }, "description": "Annotations for list of logos detected, tracked and recognized in video." }, "faceAnnotations": { "items": { "$ref": "GoogleCloudVideointelligenceV1_FaceAnnotation" }, "type": "array", "description": "Deprecated. Please use `face_detection_annotations` instead." }, "shotLabelAnnotations": { "items": { "$ref": "GoogleCloudVideointelligenceV1_LabelAnnotation" }, "description": "Topical label annotations on shot level. There is exactly one element for each unique label.", "type": "array" }, "shotAnnotations": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1_VideoSegment" }, "description": "Shot annotations. Each shot is represented as a video segment." }, "frameLabelAnnotations": { "items": { "$ref": "GoogleCloudVideointelligenceV1_LabelAnnotation" }, "type": "array", "description": "Label annotations on frame level. There is exactly one element for each unique label." }, "segmentLabelAnnotations": { "items": { "$ref": "GoogleCloudVideointelligenceV1_LabelAnnotation" }, "type": "array", "description": "Topical label annotations on video level or user-specified segment level. There is exactly one element for each unique label." } }, "id": "GoogleCloudVideointelligenceV1_VideoAnnotationResults" }, "GoogleCloudVideointelligenceV1_Track": { "id": "GoogleCloudVideointelligenceV1_Track", "description": "A track of an object instance.", "properties": { "confidence": { "format": "float", "description": "Optional. The confidence score of the tracked object.", "type": "number" }, "attributes": { "items": { "$ref": "GoogleCloudVideointelligenceV1_DetectedAttribute" }, "type": "array", "description": "Optional. Attributes in the track level." }, "timestampedObjects": { "type": "array", "description": "The object with timestamp and attributes per frame in the track.", "items": { "$ref": "GoogleCloudVideointelligenceV1_TimestampedObject" } }, "segment": { "$ref": "GoogleCloudVideointelligenceV1_VideoSegment", "description": "Video segment of a track." } }, "type": "object" }, "GoogleCloudVideointelligenceV1p2beta1_VideoAnnotationResults": { "description": "Annotation results for a single video.", "type": "object", "properties": { "logoRecognitionAnnotations": { "type": "array", "description": "Annotations for list of logos detected, tracked and recognized in video.", "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_LogoRecognitionAnnotation" } }, "explicitAnnotation": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_ExplicitContentAnnotation", "description": "Explicit content annotation." }, "frameLabelAnnotations": { "description": "Label annotations on frame level. There is exactly one element for each unique label.", "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_LabelAnnotation" }, "type": "array" }, "faceDetectionAnnotations": { "type": "array", "description": "Face detection annotations.", "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_FaceDetectionAnnotation" } }, "speechTranscriptions": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_SpeechTranscription" }, "description": "Speech transcription." }, "objectAnnotations": { "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_ObjectTrackingAnnotation" }, "type": "array", "description": "Annotations for list of objects detected and tracked in video." }, "segmentPresenceLabelAnnotations": { "description": "Presence label annotations on video level or user-specified segment level. There is exactly one element for each unique label. Compared to the existing topical `segment_label_annotations`, this field presents more fine-grained, segment-level labels detected in video content and is made available only when the client sets `LabelDetectionConfig.model` to \"builtin/latest\" in the request.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_LabelAnnotation" } }, "faceAnnotations": { "description": "Deprecated. Please use `face_detection_annotations` instead.", "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_FaceAnnotation" }, "type": "array" }, "segment": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_VideoSegment", "description": "Video segment on which the annotation is run." }, "shotPresenceLabelAnnotations": { "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_LabelAnnotation" }, "description": "Presence label annotations on shot level. There is exactly one element for each unique label. Compared to the existing topical `shot_label_annotations`, this field presents more fine-grained, shot-level labels detected in video content and is made available only when the client sets `LabelDetectionConfig.model` to \"builtin/latest\" in the request.", "type": "array" }, "personDetectionAnnotations": { "description": "Person detection annotations.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_PersonDetectionAnnotation" } }, "shotAnnotations": { "description": "Shot annotations. Each shot is represented as a video segment.", "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_VideoSegment" }, "type": "array" }, "inputUri": { "description": "Video file location in [Cloud Storage](https://cloud.google.com/storage/).", "type": "string" }, "textAnnotations": { "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_TextAnnotation" }, "type": "array", "description": "OCR text detection and tracking. Annotations for list of detected text snippets. Each will have list of frame information associated with it." }, "error": { "$ref": "GoogleRpc_Status", "description": "If set, indicates an error. Note that for a single `AnnotateVideoRequest` some videos may succeed and some may fail." }, "segmentLabelAnnotations": { "description": "Topical label annotations on video level or user-specified segment level. There is exactly one element for each unique label.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_LabelAnnotation" } }, "shotLabelAnnotations": { "type": "array", "description": "Topical label annotations on shot level. There is exactly one element for each unique label.", "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_LabelAnnotation" } } }, "id": "GoogleCloudVideointelligenceV1p2beta1_VideoAnnotationResults" }, "GoogleCloudVideointelligenceV1_TextFrame": { "properties": { "timeOffset": { "description": "Timestamp of this frame.", "format": "google-duration", "type": "string" }, "rotatedBoundingBox": { "$ref": "GoogleCloudVideointelligenceV1_NormalizedBoundingPoly", "description": "Bounding polygon of the detected text for this frame." } }, "description": "Video frame level annotation results for text annotation (OCR). Contains information regarding timestamp and bounding box locations for the frames containing detected OCR text snippets.", "id": "GoogleCloudVideointelligenceV1_TextFrame", "type": "object" }, "GoogleCloudVideointelligenceV1beta2_WordInfo": { "description": "Word-specific information for recognized words. Word information is only included in the response when certain request parameters are set, such as `enable_word_time_offsets`.", "type": "object", "id": "GoogleCloudVideointelligenceV1beta2_WordInfo", "properties": { "confidence": { "type": "number", "format": "float", "description": "Output only. The confidence estimate between 0.0 and 1.0. A higher number indicates an estimated greater likelihood that the recognized words are correct. This field is set only for the top alternative. This field is not guaranteed to be accurate and users should not rely on it to be always provided. The default of 0.0 is a sentinel value indicating `confidence` was not set.", "readOnly": true }, "startTime": { "format": "google-duration", "description": "Time offset relative to the beginning of the audio, and corresponding to the start of the spoken word. This field is only set if `enable_word_time_offsets=true` and only in the top hypothesis. This is an experimental feature and the accuracy of the time offset can vary.", "type": "string" }, "word": { "type": "string", "description": "The word corresponding to this set of information." }, "speakerTag": { "readOnly": true, "description": "Output only. A distinct integer value is assigned for every speaker within the audio. This field specifies which one of those speakers was detected to have spoken this word. Value ranges from 1 up to diarization_speaker_count, and is only set if speaker diarization is enabled.", "type": "integer", "format": "int32" }, "endTime": { "description": "Time offset relative to the beginning of the audio, and corresponding to the end of the spoken word. This field is only set if `enable_word_time_offsets=true` and only in the top hypothesis. This is an experimental feature and the accuracy of the time offset can vary.", "type": "string", "format": "google-duration" } } }, "GoogleCloudVideointelligenceV1p3beta1_CelebrityTrack": { "description": "The annotation result of a celebrity face track. RecognizedCelebrity field could be empty if the face track does not have any matched celebrities.", "type": "object", "id": "GoogleCloudVideointelligenceV1p3beta1_CelebrityTrack", "properties": { "faceTrack": { "description": "A track of a person's face.", "$ref": "GoogleCloudVideointelligenceV1p3beta1_Track" }, "celebrities": { "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_RecognizedCelebrity" }, "type": "array", "description": "Top N match of the celebrities for the face in this track." } } }, "GoogleCloudVideointelligenceV1_NormalizedBoundingPoly": { "id": "GoogleCloudVideointelligenceV1_NormalizedBoundingPoly", "description": "Normalized bounding polygon for text (that might not be aligned with axis). Contains list of the corner points in clockwise order starting from top-left corner. For example, for a rectangular bounding box: When the text is horizontal it might look like: 0----1 | | 3----2 When it's clockwise rotated 180 degrees around the top-left corner it becomes: 2----3 | | 1----0 and the vertex order will still be (0, 1, 2, 3). Note that values can be less than 0, or greater than 1 due to trignometric calculations for location of the box.", "properties": { "vertices": { "items": { "$ref": "GoogleCloudVideointelligenceV1_NormalizedVertex" }, "type": "array", "description": "Normalized vertices of the bounding polygon." } }, "type": "object" }, "GoogleCloudVideointelligenceV1beta2_VideoAnnotationProgress": { "type": "object", "properties": { "startTime": { "description": "Time when the request was received.", "format": "google-datetime", "type": "string" }, "inputUri": { "description": "Video file location in [Cloud Storage](https://cloud.google.com/storage/).", "type": "string" }, "progressPercent": { "format": "int32", "description": "Approximate percentage processed thus far. Guaranteed to be 100 when fully processed.", "type": "integer" }, "segment": { "description": "Specifies which segment is being tracked if the request contains more than one segment.", "$ref": "GoogleCloudVideointelligenceV1beta2_VideoSegment" }, "feature": { "type": "string", "enum": [ "FEATURE_UNSPECIFIED", "LABEL_DETECTION", "SHOT_CHANGE_DETECTION", "EXPLICIT_CONTENT_DETECTION", "FACE_DETECTION", "SPEECH_TRANSCRIPTION", "TEXT_DETECTION", "OBJECT_TRACKING", "LOGO_RECOGNITION", "PERSON_DETECTION" ], "enumDescriptions": [ "Unspecified.", "Label detection. Detect objects, such as dog or flower.", "Shot change detection.", "Explicit content detection.", "Human face detection.", "Speech transcription.", "OCR text detection and tracking.", "Object detection and tracking.", "Logo detection, tracking, and recognition.", "Person detection." ], "description": "Specifies which feature is being tracked if the request contains more than one feature." }, "updateTime": { "type": "string", "description": "Time of the most recent update.", "format": "google-datetime" } }, "description": "Annotation progress for a single video.", "id": "GoogleCloudVideointelligenceV1beta2_VideoAnnotationProgress" }, "GoogleCloudVideointelligenceV1p1beta1_FaceAnnotation": { "type": "object", "properties": { "frames": { "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_FaceFrame" }, "type": "array", "description": "All video frames where a face was detected." }, "thumbnail": { "description": "Thumbnail of a representative face view (in JPEG format).", "type": "string", "format": "byte" }, "segments": { "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_FaceSegment" }, "description": "All video segments where a face was detected.", "type": "array" } }, "description": "Deprecated. No effect.", "id": "GoogleCloudVideointelligenceV1p1beta1_FaceAnnotation" }, "GoogleCloudVideointelligenceV1_FaceAnnotation": { "description": "Deprecated. No effect.", "type": "object", "id": "GoogleCloudVideointelligenceV1_FaceAnnotation", "properties": { "segments": { "description": "All video segments where a face was detected.", "items": { "$ref": "GoogleCloudVideointelligenceV1_FaceSegment" }, "type": "array" }, "thumbnail": { "description": "Thumbnail of a representative face view (in JPEG format).", "format": "byte", "type": "string" }, "frames": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1_FaceFrame" }, "description": "All video frames where a face was detected." } } }, "GoogleCloudVideointelligenceV1_AnnotateVideoProgress": { "type": "object", "id": "GoogleCloudVideointelligenceV1_AnnotateVideoProgress", "properties": { "annotationProgress": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1_VideoAnnotationProgress" }, "description": "Progress metadata for all videos specified in `AnnotateVideoRequest`." } }, "description": "Video annotation progress. Included in the `metadata` field of the `Operation` returned by the `GetOperation` call of the `google::longrunning::Operations` service." }, "GoogleCloudVideointelligenceV1p3beta1_SpeechTranscription": { "properties": { "languageCode": { "readOnly": true, "type": "string", "description": "Output only. The [BCP-47](https://www.rfc-editor.org/rfc/bcp/bcp47.txt) language tag of the language in this result. This language code was detected to have the most likelihood of being spoken in the audio." }, "alternatives": { "type": "array", "description": "May contain one or more recognition hypotheses (up to the maximum specified in `max_alternatives`). These alternatives are ordered in terms of accuracy, with the top (first) alternative being the most probable, as ranked by the recognizer.", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_SpeechRecognitionAlternative" } } }, "type": "object", "id": "GoogleCloudVideointelligenceV1p3beta1_SpeechTranscription", "description": "A speech recognition result corresponding to a portion of the audio." }, "GoogleCloudVideointelligenceV1p1beta1_TextSegment": { "description": "Video segment level annotation results for text detection.", "id": "GoogleCloudVideointelligenceV1p1beta1_TextSegment", "type": "object", "properties": { "segment": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_VideoSegment", "description": "Video segment where a text snippet was detected." }, "frames": { "description": "Information related to the frames where OCR detected text appears.", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_TextFrame" }, "type": "array" }, "confidence": { "description": "Confidence for the track of detected text. It is calculated as the highest over all frames where OCR detected text appears.", "format": "float", "type": "number" } } }, "GoogleCloudVideointelligenceV1p3beta1_Entity": { "properties": { "description": { "type": "string", "description": "Textual description, e.g., `Fixed-gear bicycle`." }, "languageCode": { "description": "Language code for `description` in BCP-47 format.", "type": "string" }, "entityId": { "type": "string", "description": "Opaque entity ID. Some IDs may be available in [Google Knowledge Graph Search API](https://developers.google.com/knowledge-graph/)." } }, "id": "GoogleCloudVideointelligenceV1p3beta1_Entity", "type": "object", "description": "Detected entity from video analysis." }, "GoogleCloudVideointelligenceV1p3beta1_WordInfo": { "id": "GoogleCloudVideointelligenceV1p3beta1_WordInfo", "type": "object", "description": "Word-specific information for recognized words. Word information is only included in the response when certain request parameters are set, such as `enable_word_time_offsets`.", "properties": { "endTime": { "description": "Time offset relative to the beginning of the audio, and corresponding to the end of the spoken word. This field is only set if `enable_word_time_offsets=true` and only in the top hypothesis. This is an experimental feature and the accuracy of the time offset can vary.", "format": "google-duration", "type": "string" }, "confidence": { "type": "number", "format": "float", "description": "Output only. The confidence estimate between 0.0 and 1.0. A higher number indicates an estimated greater likelihood that the recognized words are correct. This field is set only for the top alternative. This field is not guaranteed to be accurate and users should not rely on it to be always provided. The default of 0.0 is a sentinel value indicating `confidence` was not set.", "readOnly": true }, "startTime": { "description": "Time offset relative to the beginning of the audio, and corresponding to the start of the spoken word. This field is only set if `enable_word_time_offsets=true` and only in the top hypothesis. This is an experimental feature and the accuracy of the time offset can vary.", "format": "google-duration", "type": "string" }, "speakerTag": { "type": "integer", "format": "int32", "readOnly": true, "description": "Output only. A distinct integer value is assigned for every speaker within the audio. This field specifies which one of those speakers was detected to have spoken this word. Value ranges from 1 up to diarization_speaker_count, and is only set if speaker diarization is enabled." }, "word": { "description": "The word corresponding to this set of information.", "type": "string" } } }, "GoogleCloudVideointelligenceV1beta2_VideoAnnotationResults": { "type": "object", "description": "Annotation results for a single video.", "id": "GoogleCloudVideointelligenceV1beta2_VideoAnnotationResults", "properties": { "objectAnnotations": { "type": "array", "description": "Annotations for list of objects detected and tracked in video.", "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_ObjectTrackingAnnotation" } }, "segmentPresenceLabelAnnotations": { "description": "Presence label annotations on video level or user-specified segment level. There is exactly one element for each unique label. Compared to the existing topical `segment_label_annotations`, this field presents more fine-grained, segment-level labels detected in video content and is made available only when the client sets `LabelDetectionConfig.model` to \"builtin/latest\" in the request.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_LabelAnnotation" } }, "frameLabelAnnotations": { "description": "Label annotations on frame level. There is exactly one element for each unique label.", "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_LabelAnnotation" }, "type": "array" }, "inputUri": { "type": "string", "description": "Video file location in [Cloud Storage](https://cloud.google.com/storage/)." }, "faceAnnotations": { "description": "Deprecated. Please use `face_detection_annotations` instead.", "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_FaceAnnotation" }, "type": "array" }, "segment": { "$ref": "GoogleCloudVideointelligenceV1beta2_VideoSegment", "description": "Video segment on which the annotation is run." }, "shotLabelAnnotations": { "description": "Topical label annotations on shot level. There is exactly one element for each unique label.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_LabelAnnotation" } }, "error": { "description": "If set, indicates an error. Note that for a single `AnnotateVideoRequest` some videos may succeed and some may fail.", "$ref": "GoogleRpc_Status" }, "explicitAnnotation": { "$ref": "GoogleCloudVideointelligenceV1beta2_ExplicitContentAnnotation", "description": "Explicit content annotation." }, "faceDetectionAnnotations": { "type": "array", "description": "Face detection annotations.", "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_FaceDetectionAnnotation" } }, "shotPresenceLabelAnnotations": { "type": "array", "description": "Presence label annotations on shot level. There is exactly one element for each unique label. Compared to the existing topical `shot_label_annotations`, this field presents more fine-grained, shot-level labels detected in video content and is made available only when the client sets `LabelDetectionConfig.model` to \"builtin/latest\" in the request.", "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_LabelAnnotation" } }, "textAnnotations": { "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_TextAnnotation" }, "description": "OCR text detection and tracking. Annotations for list of detected text snippets. Each will have list of frame information associated with it.", "type": "array" }, "logoRecognitionAnnotations": { "type": "array", "description": "Annotations for list of logos detected, tracked and recognized in video.", "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_LogoRecognitionAnnotation" } }, "speechTranscriptions": { "description": "Speech transcription.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_SpeechTranscription" } }, "segmentLabelAnnotations": { "description": "Topical label annotations on video level or user-specified segment level. There is exactly one element for each unique label.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_LabelAnnotation" } }, "shotAnnotations": { "description": "Shot annotations. Each shot is represented as a video segment.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_VideoSegment" } }, "personDetectionAnnotations": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_PersonDetectionAnnotation" }, "description": "Person detection annotations." } } }, "GoogleCloudVideointelligenceV1_FaceSegment": { "type": "object", "properties": { "segment": { "description": "Video segment where a face was detected.", "$ref": "GoogleCloudVideointelligenceV1_VideoSegment" } }, "description": "Video segment level annotation results for face detection.", "id": "GoogleCloudVideointelligenceV1_FaceSegment" }, "GoogleCloudVideointelligenceV1beta2_ObjectTrackingAnnotation": { "description": "Annotations corresponding to one tracked object.", "properties": { "trackId": { "type": "string", "description": "Streaming mode ONLY. In streaming mode, we do not know the end time of a tracked object before it is completed. Hence, there is no VideoSegment info returned. Instead, we provide a unique identifiable integer track_id so that the customers can correlate the results of the ongoing ObjectTrackAnnotation of the same track_id over time.", "format": "int64" }, "frames": { "description": "Information corresponding to all frames where this object track appears. Non-streaming batch mode: it may be one or multiple ObjectTrackingFrame messages in frames. Streaming mode: it can only be one ObjectTrackingFrame message in frames.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_ObjectTrackingFrame" } }, "segment": { "$ref": "GoogleCloudVideointelligenceV1beta2_VideoSegment", "description": "Non-streaming batch mode ONLY. Each object track corresponds to one video segment where it appears." }, "entity": { "$ref": "GoogleCloudVideointelligenceV1beta2_Entity", "description": "Entity to specify the object category that this track is labeled as." }, "version": { "type": "string", "description": "Feature version." }, "confidence": { "format": "float", "description": "Object category's labeling confidence of this track.", "type": "number" } }, "type": "object", "id": "GoogleCloudVideointelligenceV1beta2_ObjectTrackingAnnotation" }, "GoogleCloudVideointelligenceV1p3beta1_VideoAnnotationProgress": { "description": "Annotation progress for a single video.", "type": "object", "id": "GoogleCloudVideointelligenceV1p3beta1_VideoAnnotationProgress", "properties": { "segment": { "description": "Specifies which segment is being tracked if the request contains more than one segment.", "$ref": "GoogleCloudVideointelligenceV1p3beta1_VideoSegment" }, "startTime": { "format": "google-datetime", "type": "string", "description": "Time when the request was received." }, "inputUri": { "type": "string", "description": "Video file location in [Cloud Storage](https://cloud.google.com/storage/)." }, "feature": { "enum": [ "FEATURE_UNSPECIFIED", "LABEL_DETECTION", "SHOT_CHANGE_DETECTION", "EXPLICIT_CONTENT_DETECTION", "FACE_DETECTION", "SPEECH_TRANSCRIPTION", "TEXT_DETECTION", "OBJECT_TRACKING", "LOGO_RECOGNITION", "CELEBRITY_RECOGNITION", "PERSON_DETECTION" ], "type": "string", "enumDescriptions": [ "Unspecified.", "Label detection. Detect objects, such as dog or flower.", "Shot change detection.", "Explicit content detection.", "Human face detection.", "Speech transcription.", "OCR text detection and tracking.", "Object detection and tracking.", "Logo detection, tracking, and recognition.", "Celebrity recognition.", "Person detection." ], "description": "Specifies which feature is being tracked if the request contains more than one feature." }, "progressPercent": { "type": "integer", "description": "Approximate percentage processed thus far. Guaranteed to be 100 when fully processed.", "format": "int32" }, "updateTime": { "format": "google-datetime", "type": "string", "description": "Time of the most recent update." } } }, "GoogleCloudVideointelligenceV1p1beta1_ObjectTrackingFrame": { "properties": { "normalizedBoundingBox": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_NormalizedBoundingBox", "description": "The normalized bounding box location of this object track for the frame." }, "timeOffset": { "type": "string", "format": "google-duration", "description": "The timestamp of the frame in microseconds." } }, "id": "GoogleCloudVideointelligenceV1p1beta1_ObjectTrackingFrame", "type": "object", "description": "Video frame level annotations for object detection and tracking. This field stores per frame location, time offset, and confidence." }, "GoogleCloudVideointelligenceV1beta2_FaceDetectionAnnotation": { "description": "Face detection annotation.", "id": "GoogleCloudVideointelligenceV1beta2_FaceDetectionAnnotation", "properties": { "version": { "description": "Feature version.", "type": "string" }, "tracks": { "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_Track" }, "description": "The face tracks with attributes.", "type": "array" }, "thumbnail": { "type": "string", "description": "The thumbnail of a person's face.", "format": "byte" } }, "type": "object" }, "GoogleCloudVideointelligenceV1p3beta1_DetectedAttribute": { "description": "A generic detected attribute represented by name in string format.", "id": "GoogleCloudVideointelligenceV1p3beta1_DetectedAttribute", "properties": { "value": { "type": "string", "description": "Text value of the detection result. For example, the value for \"HairColor\" can be \"black\", \"blonde\", etc." }, "name": { "type": "string", "description": "The name of the attribute, for example, glasses, dark_glasses, mouth_open. A full list of supported type names will be provided in the document." }, "confidence": { "type": "number", "format": "float", "description": "Detected attribute confidence. Range [0, 1]." } }, "type": "object" }, "GoogleCloudVideointelligenceV1p1beta1_LabelFrame": { "description": "Video frame level annotation results for label detection.", "properties": { "timeOffset": { "description": "Time-offset, relative to the beginning of the video, corresponding to the video frame for this location.", "format": "google-duration", "type": "string" }, "confidence": { "description": "Confidence that the label is accurate. Range: [0, 1].", "format": "float", "type": "number" } }, "id": "GoogleCloudVideointelligenceV1p1beta1_LabelFrame", "type": "object" }, "GoogleCloudVideointelligenceV1p2beta1_TimestampedObject": { "id": "GoogleCloudVideointelligenceV1p2beta1_TimestampedObject", "properties": { "landmarks": { "description": "Optional. The detected landmarks.", "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_DetectedLandmark" }, "type": "array" }, "attributes": { "description": "Optional. The attributes of the object in the bounding box.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_DetectedAttribute" } }, "timeOffset": { "type": "string", "format": "google-duration", "description": "Time-offset, relative to the beginning of the video, corresponding to the video frame for this object." }, "normalizedBoundingBox": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_NormalizedBoundingBox", "description": "Normalized Bounding box in a frame, where the object is located." } }, "type": "object", "description": "For tracking related features. An object at time_offset with attributes, and located with normalized_bounding_box." }, "GoogleCloudVideointelligenceV1p1beta1_LabelAnnotation": { "description": "Label annotation.", "type": "object", "id": "GoogleCloudVideointelligenceV1p1beta1_LabelAnnotation", "properties": { "segments": { "description": "All video segments where a label was detected.", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_LabelSegment" }, "type": "array" }, "entity": { "description": "Detected entity.", "$ref": "GoogleCloudVideointelligenceV1p1beta1_Entity" }, "version": { "type": "string", "description": "Feature version." }, "categoryEntities": { "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_Entity" }, "type": "array", "description": "Common categories for the detected entity. For example, when the label is `Terrier`, the category is likely `dog`. And in some cases there might be more than one categories e.g., `Terrier` could also be a `pet`." }, "frames": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_LabelFrame" }, "description": "All video frames where a label was detected." } } }, "GoogleCloudVideointelligenceV1p1beta1_DetectedLandmark": { "description": "A generic detected landmark represented by name in string format and a 2D location.", "properties": { "point": { "description": "The 2D point of the detected landmark using the normalized image coordindate system. The normalized coordinates have the range from 0 to 1.", "$ref": "GoogleCloudVideointelligenceV1p1beta1_NormalizedVertex" }, "confidence": { "description": "The confidence score of the detected landmark. Range [0, 1].", "format": "float", "type": "number" }, "name": { "description": "The name of this landmark, for example, left_hand, right_shoulder.", "type": "string" } }, "type": "object", "id": "GoogleCloudVideointelligenceV1p1beta1_DetectedLandmark" }, "GoogleCloudVideointelligenceV1_ExplicitContentAnnotation": { "id": "GoogleCloudVideointelligenceV1_ExplicitContentAnnotation", "type": "object", "properties": { "version": { "type": "string", "description": "Feature version." }, "frames": { "items": { "$ref": "GoogleCloudVideointelligenceV1_ExplicitContentFrame" }, "type": "array", "description": "All video frames where explicit content was detected." } }, "description": "Explicit content annotation (based on per-frame visual signals only). If no explicit content has been detected in a frame, no annotations are present for that frame." }, "GoogleCloudVideointelligenceV1_TimestampedObject": { "type": "object", "description": "For tracking related features. An object at time_offset with attributes, and located with normalized_bounding_box.", "id": "GoogleCloudVideointelligenceV1_TimestampedObject", "properties": { "attributes": { "description": "Optional. The attributes of the object in the bounding box.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1_DetectedAttribute" } }, "normalizedBoundingBox": { "description": "Normalized Bounding box in a frame, where the object is located.", "$ref": "GoogleCloudVideointelligenceV1_NormalizedBoundingBox" }, "landmarks": { "type": "array", "description": "Optional. The detected landmarks.", "items": { "$ref": "GoogleCloudVideointelligenceV1_DetectedLandmark" } }, "timeOffset": { "type": "string", "description": "Time-offset, relative to the beginning of the video, corresponding to the video frame for this object.", "format": "google-duration" } } }, "GoogleCloudVideointelligenceV1p2beta1_PersonDetectionAnnotation": { "id": "GoogleCloudVideointelligenceV1p2beta1_PersonDetectionAnnotation", "type": "object", "description": "Person detection annotation per video.", "properties": { "tracks": { "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_Track" }, "type": "array", "description": "The detected tracks of a person." }, "version": { "type": "string", "description": "Feature version." } } }, "GoogleCloudVideointelligenceV1_TextAnnotation": { "id": "GoogleCloudVideointelligenceV1_TextAnnotation", "description": "Annotations related to one detected OCR text snippet. This will contain the corresponding text, confidence value, and frame level information for each detection.", "properties": { "text": { "description": "The detected text.", "type": "string" }, "segments": { "type": "array", "description": "All video segments where OCR detected text appears.", "items": { "$ref": "GoogleCloudVideointelligenceV1_TextSegment" } }, "version": { "type": "string", "description": "Feature version." } }, "type": "object" }, "GoogleCloudVideointelligenceV1beta2_NormalizedVertex": { "properties": { "x": { "type": "number", "format": "float", "description": "X coordinate." }, "y": { "type": "number", "format": "float", "description": "Y coordinate." } }, "id": "GoogleCloudVideointelligenceV1beta2_NormalizedVertex", "type": "object", "description": "A vertex represents a 2D point in the image. NOTE: the normalized vertex coordinates are relative to the original image and range from 0 to 1." }, "GoogleCloudVideointelligenceV1p1beta1_NormalizedBoundingBox": { "properties": { "top": { "description": "Top Y coordinate.", "type": "number", "format": "float" }, "bottom": { "type": "number", "description": "Bottom Y coordinate.", "format": "float" }, "right": { "description": "Right X coordinate.", "type": "number", "format": "float" }, "left": { "format": "float", "description": "Left X coordinate.", "type": "number" } }, "description": "Normalized bounding box. The normalized vertex coordinates are relative to the original image. Range: [0, 1].", "type": "object", "id": "GoogleCloudVideointelligenceV1p1beta1_NormalizedBoundingBox" }, "GoogleCloudVideointelligenceV1p1beta1_TimestampedObject": { "type": "object", "properties": { "timeOffset": { "type": "string", "format": "google-duration", "description": "Time-offset, relative to the beginning of the video, corresponding to the video frame for this object." }, "normalizedBoundingBox": { "description": "Normalized Bounding box in a frame, where the object is located.", "$ref": "GoogleCloudVideointelligenceV1p1beta1_NormalizedBoundingBox" }, "attributes": { "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_DetectedAttribute" }, "description": "Optional. The attributes of the object in the bounding box.", "type": "array" }, "landmarks": { "description": "Optional. The detected landmarks.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_DetectedLandmark" } } }, "description": "For tracking related features. An object at time_offset with attributes, and located with normalized_bounding_box.", "id": "GoogleCloudVideointelligenceV1p1beta1_TimestampedObject" }, "GoogleCloudVideointelligenceV1p1beta1_SpeechRecognitionAlternative": { "type": "object", "id": "GoogleCloudVideointelligenceV1p1beta1_SpeechRecognitionAlternative", "properties": { "words": { "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_WordInfo" }, "type": "array", "readOnly": true, "description": "Output only. A list of word-specific information for each recognized word. Note: When `enable_speaker_diarization` is set to true, you will see all the words from the beginning of the audio." }, "confidence": { "description": "Output only. The confidence estimate between 0.0 and 1.0. A higher number indicates an estimated greater likelihood that the recognized words are correct. This field is set only for the top alternative. This field is not guaranteed to be accurate and users should not rely on it to be always provided. The default of 0.0 is a sentinel value indicating `confidence` was not set.", "type": "number", "readOnly": true, "format": "float" }, "transcript": { "description": "Transcript text representing the words that the user spoke.", "type": "string" } }, "description": "Alternative hypotheses (a.k.a. n-best list)." }, "GoogleCloudVideointelligenceV1p2beta1_DetectedAttribute": { "id": "GoogleCloudVideointelligenceV1p2beta1_DetectedAttribute", "description": "A generic detected attribute represented by name in string format.", "properties": { "value": { "description": "Text value of the detection result. For example, the value for \"HairColor\" can be \"black\", \"blonde\", etc.", "type": "string" }, "name": { "type": "string", "description": "The name of the attribute, for example, glasses, dark_glasses, mouth_open. A full list of supported type names will be provided in the document." }, "confidence": { "type": "number", "description": "Detected attribute confidence. Range [0, 1].", "format": "float" } }, "type": "object" }, "GoogleCloudVideointelligenceV1p1beta1_Entity": { "description": "Detected entity from video analysis.", "id": "GoogleCloudVideointelligenceV1p1beta1_Entity", "properties": { "languageCode": { "type": "string", "description": "Language code for `description` in BCP-47 format." }, "entityId": { "description": "Opaque entity ID. Some IDs may be available in [Google Knowledge Graph Search API](https://developers.google.com/knowledge-graph/).", "type": "string" }, "description": { "description": "Textual description, e.g., `Fixed-gear bicycle`.", "type": "string" } }, "type": "object" }, "GoogleCloudVideointelligenceV1p1beta1_PersonDetectionConfig": { "id": "GoogleCloudVideointelligenceV1p1beta1_PersonDetectionConfig", "properties": { "includeAttributes": { "description": "Whether to enable person attributes detection, such as cloth color (black, blue, etc), type (coat, dress, etc), pattern (plain, floral, etc), hair, etc. Ignored if 'include_bounding_boxes' is set to false.", "type": "boolean" }, "includePoseLandmarks": { "type": "boolean", "description": "Whether to enable pose landmarks detection. Ignored if 'include_bounding_boxes' is set to false." }, "includeBoundingBoxes": { "type": "boolean", "description": "Whether bounding boxes are included in the person detection annotation output." } }, "type": "object", "description": "Config for PERSON_DETECTION." }, "GoogleCloudVideointelligenceV1p1beta1_FaceSegment": { "id": "GoogleCloudVideointelligenceV1p1beta1_FaceSegment", "properties": { "segment": { "description": "Video segment where a face was detected.", "$ref": "GoogleCloudVideointelligenceV1p1beta1_VideoSegment" } }, "type": "object", "description": "Video segment level annotation results for face detection." }, "GoogleCloudVideointelligenceV1beta2_AnnotateVideoResponse": { "type": "object", "id": "GoogleCloudVideointelligenceV1beta2_AnnotateVideoResponse", "properties": { "annotationResults": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_VideoAnnotationResults" }, "description": "Annotation results for all videos specified in `AnnotateVideoRequest`." } }, "description": "Video annotation response. Included in the `response` field of the `Operation` returned by the `GetOperation` call of the `google::longrunning::Operations` service." }, "GoogleCloudVideointelligenceV1p2beta1_AnnotateVideoProgress": { "properties": { "annotationProgress": { "type": "array", "description": "Progress metadata for all videos specified in `AnnotateVideoRequest`.", "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_VideoAnnotationProgress" } } }, "description": "Video annotation progress. Included in the `metadata` field of the `Operation` returned by the `GetOperation` call of the `google::longrunning::Operations` service.", "type": "object", "id": "GoogleCloudVideointelligenceV1p2beta1_AnnotateVideoProgress" }, "GoogleCloudVideointelligenceV1p1beta1_VideoSegment": { "id": "GoogleCloudVideointelligenceV1p1beta1_VideoSegment", "properties": { "endTimeOffset": { "description": "Time-offset, relative to the beginning of the video, corresponding to the end of the segment (inclusive).", "type": "string", "format": "google-duration" }, "startTimeOffset": { "description": "Time-offset, relative to the beginning of the video, corresponding to the start of the segment (inclusive).", "format": "google-duration", "type": "string" } }, "description": "Video segment.", "type": "object" }, "GoogleCloudVideointelligenceV1_DetectedLandmark": { "type": "object", "properties": { "name": { "description": "The name of this landmark, for example, left_hand, right_shoulder.", "type": "string" }, "confidence": { "description": "The confidence score of the detected landmark. Range [0, 1].", "format": "float", "type": "number" }, "point": { "$ref": "GoogleCloudVideointelligenceV1_NormalizedVertex", "description": "The 2D point of the detected landmark using the normalized image coordindate system. The normalized coordinates have the range from 0 to 1." } }, "description": "A generic detected landmark represented by name in string format and a 2D location.", "id": "GoogleCloudVideointelligenceV1_DetectedLandmark" }, "GoogleCloudVideointelligenceV1p2beta1_FaceAnnotation": { "description": "Deprecated. No effect.", "id": "GoogleCloudVideointelligenceV1p2beta1_FaceAnnotation", "type": "object", "properties": { "segments": { "description": "All video segments where a face was detected.", "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_FaceSegment" }, "type": "array" }, "thumbnail": { "format": "byte", "type": "string", "description": "Thumbnail of a representative face view (in JPEG format)." }, "frames": { "type": "array", "description": "All video frames where a face was detected.", "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_FaceFrame" } } } } }, "discoveryVersion": "v1", "name": "videointelligence", "fullyEncodeReservedExpansion": true, "rootUrl": "https://videointelligence.googleapis.com/", "documentationLink": "https://cloud.google.com/video-intelligence/docs/" }
]===]))
