local decode = require("cjson").new().decode
return assert(decode([===[
{ "description": "Detects objects, explicit content, and scene changes in videos. It also specifies the region for annotation and transcribes speech to text. Supports both asynchronous API and streaming API.", "parameters": { "uploadType": { "type": "string", "location": "query", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\")." }, "access_token": { "type": "string", "location": "query", "description": "OAuth access token." }, "callback": { "type": "string", "description": "JSONP", "location": "query" }, "upload_protocol": { "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "location": "query", "type": "string" }, "fields": { "description": "Selector specifying which fields to include in a partial response.", "location": "query", "type": "string" }, "key": { "type": "string", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "location": "query" }, "quotaUser": { "type": "string", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "location": "query" }, "$.xgafv": { "enumDescriptions": [ "v1 error format", "v2 error format" ], "enum": [ "1", "2" ], "description": "V1 error format.", "location": "query", "type": "string" }, "oauth_token": { "description": "OAuth 2.0 token for the current user.", "location": "query", "type": "string" }, "prettyPrint": { "description": "Returns response with indentations and line breaks.", "type": "boolean", "default": "true", "location": "query" }, "alt": { "location": "query", "default": "json", "description": "Data format for response.", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "enum": [ "json", "media", "proto" ], "type": "string" } }, "basePath": "", "rootUrl": "https://videointelligence.googleapis.com/", "protocol": "rest", "kind": "discovery#restDescription", "documentationLink": "https://cloud.google.com/video-intelligence/docs/", "ownerName": "Google", "name": "videointelligence", "resources": { "videos": { "methods": { "annotate": { "request": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_AnnotateVideoRequest" }, "parameters": {}, "description": "Performs asynchronous video annotation. Progress and results can be retrieved through the `google.longrunning.Operations` interface. `Operation.metadata` contains `AnnotateVideoProgress` (progress). `Operation.response` contains `AnnotateVideoResponse` (results).", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [], "path": "v1p2beta1/videos:annotate", "response": { "$ref": "GoogleLongrunning_Operation" }, "httpMethod": "POST", "flatPath": "v1p2beta1/videos:annotate", "id": "videointelligence.videos.annotate" } } } }, "version": "v1p2beta1", "canonicalName": "Cloud Video Intelligence", "revision": "20220303", "baseUrl": "https://videointelligence.googleapis.com/", "ownerDomain": "google.com", "title": "Cloud Video Intelligence API", "icons": { "x16": "http://www.google.com/images/icons/product/search-16.gif", "x32": "http://www.google.com/images/icons/product/search-32.gif" }, "servicePath": "", "fullyEncodeReservedExpansion": true, "schemas": { "GoogleCloudVideointelligenceV1beta2_FaceAnnotation": { "id": "GoogleCloudVideointelligenceV1beta2_FaceAnnotation", "type": "object", "properties": { "segments": { "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_FaceSegment" }, "type": "array", "description": "All video segments where a face was detected." }, "frames": { "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_FaceFrame" }, "description": "All video frames where a face was detected.", "type": "array" }, "thumbnail": { "format": "byte", "description": "Thumbnail of a representative face view (in JPEG format).", "type": "string" } }, "description": "Deprecated. No effect." }, "GoogleCloudVideointelligenceV1p3beta1_ObjectTrackingFrame": { "description": "Video frame level annotations for object detection and tracking. This field stores per frame location, time offset, and confidence.", "type": "object", "properties": { "timeOffset": { "type": "string", "format": "google-duration", "description": "The timestamp of the frame in microseconds." }, "normalizedBoundingBox": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_NormalizedBoundingBox", "description": "The normalized bounding box location of this object track for the frame." } }, "id": "GoogleCloudVideointelligenceV1p3beta1_ObjectTrackingFrame" }, "GoogleCloudVideointelligenceV1beta2_AnnotateVideoProgress": { "type": "object", "id": "GoogleCloudVideointelligenceV1beta2_AnnotateVideoProgress", "description": "Video annotation progress. Included in the `metadata` field of the `Operation` returned by the `GetOperation` call of the `google::longrunning::Operations` service.", "properties": { "annotationProgress": { "description": "Progress metadata for all videos specified in `AnnotateVideoRequest`.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_VideoAnnotationProgress" } } } }, "GoogleCloudVideointelligenceV1_TextSegment": { "properties": { "segment": { "$ref": "GoogleCloudVideointelligenceV1_VideoSegment", "description": "Video segment where a text snippet was detected." }, "frames": { "items": { "$ref": "GoogleCloudVideointelligenceV1_TextFrame" }, "type": "array", "description": "Information related to the frames where OCR detected text appears." }, "confidence": { "format": "float", "type": "number", "description": "Confidence for the track of detected text. It is calculated as the highest over all frames where OCR detected text appears." } }, "type": "object", "description": "Video segment level annotation results for text detection.", "id": "GoogleCloudVideointelligenceV1_TextSegment" }, "GoogleCloudVideointelligenceV1_LabelAnnotation": { "properties": { "categoryEntities": { "description": "Common categories for the detected entity. For example, when the label is `Terrier`, the category is likely `dog`. And in some cases there might be more than one categories e.g., `Terrier` could also be a `pet`.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1_Entity" } }, "version": { "type": "string", "description": "Feature version." }, "frames": { "description": "All video frames where a label was detected.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1_LabelFrame" } }, "segments": { "items": { "$ref": "GoogleCloudVideointelligenceV1_LabelSegment" }, "type": "array", "description": "All video segments where a label was detected." }, "entity": { "description": "Detected entity.", "$ref": "GoogleCloudVideointelligenceV1_Entity" } }, "type": "object", "id": "GoogleCloudVideointelligenceV1_LabelAnnotation", "description": "Label annotation." }, "GoogleCloudVideointelligenceV1p2beta1_LogoRecognitionAnnotation": { "description": "Annotation corresponding to one detected, tracked and recognized logo class.", "id": "GoogleCloudVideointelligenceV1p2beta1_LogoRecognitionAnnotation", "properties": { "tracks": { "type": "array", "description": "All logo tracks where the recognized logo appears. Each track corresponds to one logo instance appearing in consecutive frames.", "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_Track" } }, "entity": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_Entity", "description": "Entity category information to specify the logo class that all the logo tracks within this LogoRecognitionAnnotation are recognized as." }, "segments": { "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_VideoSegment" }, "type": "array", "description": "All video segments where the recognized logo appears. There might be multiple instances of the same logo class appearing in one VideoSegment." } }, "type": "object" }, "GoogleCloudVideointelligenceV1p3beta1_Celebrity": { "properties": { "displayName": { "type": "string", "description": "The celebrity name." }, "name": { "description": "The resource name of the celebrity. Have the format `video-intelligence/kg-mid` indicates a celebrity from preloaded gallery. kg-mid is the id in Google knowledge graph, which is unique for the celebrity.", "type": "string" }, "description": { "type": "string", "description": "Textual description of additional information about the celebrity, if applicable." } }, "type": "object", "id": "GoogleCloudVideointelligenceV1p3beta1_Celebrity", "description": "Celebrity definition." }, "GoogleCloudVideointelligenceV1p1beta1_NormalizedBoundingPoly": { "properties": { "vertices": { "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_NormalizedVertex" }, "type": "array", "description": "Normalized vertices of the bounding polygon." } }, "id": "GoogleCloudVideointelligenceV1p1beta1_NormalizedBoundingPoly", "type": "object", "description": "Normalized bounding polygon for text (that might not be aligned with axis). Contains list of the corner points in clockwise order starting from top-left corner. For example, for a rectangular bounding box: When the text is horizontal it might look like: 0----1 | | 3----2 When it's clockwise rotated 180 degrees around the top-left corner it becomes: 2----3 | | 1----0 and the vertex order will still be (0, 1, 2, 3). Note that values can be less than 0, or greater than 1 due to trignometric calculations for location of the box." }, "GoogleCloudVideointelligenceV1p2beta1_NormalizedVertex": { "properties": { "y": { "type": "number", "format": "float", "description": "Y coordinate." }, "x": { "type": "number", "format": "float", "description": "X coordinate." } }, "type": "object", "id": "GoogleCloudVideointelligenceV1p2beta1_NormalizedVertex", "description": "A vertex represents a 2D point in the image. NOTE: the normalized vertex coordinates are relative to the original image and range from 0 to 1." }, "GoogleCloudVideointelligenceV1p3beta1_LabelAnnotation": { "type": "object", "description": "Label annotation.", "id": "GoogleCloudVideointelligenceV1p3beta1_LabelAnnotation", "properties": { "segments": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_LabelSegment" }, "description": "All video segments where a label was detected." }, "frames": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_LabelFrame" }, "description": "All video frames where a label was detected." }, "categoryEntities": { "type": "array", "description": "Common categories for the detected entity. For example, when the label is `Terrier`, the category is likely `dog`. And in some cases there might be more than one categories e.g., `Terrier` could also be a `pet`.", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_Entity" } }, "version": { "description": "Feature version.", "type": "string" }, "entity": { "description": "Detected entity.", "$ref": "GoogleCloudVideointelligenceV1p3beta1_Entity" } } }, "GoogleCloudVideointelligenceV1p1beta1_Entity": { "id": "GoogleCloudVideointelligenceV1p1beta1_Entity", "type": "object", "description": "Detected entity from video analysis.", "properties": { "description": { "description": "Textual description, e.g., `Fixed-gear bicycle`.", "type": "string" }, "entityId": { "type": "string", "description": "Opaque entity ID. Some IDs may be available in [Google Knowledge Graph Search API](https://developers.google.com/knowledge-graph/)." }, "languageCode": { "description": "Language code for `description` in BCP-47 format.", "type": "string" } } }, "GoogleCloudVideointelligenceV1p1beta1_VideoAnnotationProgress": { "description": "Annotation progress for a single video.", "id": "GoogleCloudVideointelligenceV1p1beta1_VideoAnnotationProgress", "properties": { "updateTime": { "description": "Time of the most recent update.", "type": "string", "format": "google-datetime" }, "progressPercent": { "format": "int32", "type": "integer", "description": "Approximate percentage processed thus far. Guaranteed to be 100 when fully processed." }, "feature": { "enum": [ "FEATURE_UNSPECIFIED", "LABEL_DETECTION", "SHOT_CHANGE_DETECTION", "EXPLICIT_CONTENT_DETECTION", "FACE_DETECTION", "SPEECH_TRANSCRIPTION", "TEXT_DETECTION", "OBJECT_TRACKING", "LOGO_RECOGNITION", "PERSON_DETECTION" ], "type": "string", "description": "Specifies which feature is being tracked if the request contains more than one feature.", "enumDescriptions": [ "Unspecified.", "Label detection. Detect objects, such as dog or flower.", "Shot change detection.", "Explicit content detection.", "Human face detection.", "Speech transcription.", "OCR text detection and tracking.", "Object detection and tracking.", "Logo detection, tracking, and recognition.", "Person detection." ] }, "inputUri": { "type": "string", "description": "Video file location in [Cloud Storage](https://cloud.google.com/storage/)." }, "segment": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_VideoSegment", "description": "Specifies which segment is being tracked if the request contains more than one segment." }, "startTime": { "type": "string", "format": "google-datetime", "description": "Time when the request was received." } }, "type": "object" }, "GoogleCloudVideointelligenceV1p2beta1_PersonDetectionConfig": { "type": "object", "id": "GoogleCloudVideointelligenceV1p2beta1_PersonDetectionConfig", "description": "Config for PERSON_DETECTION.", "properties": { "includeBoundingBoxes": { "description": "Whether bounding boxes are included in the person detection annotation output.", "type": "boolean" }, "includeAttributes": { "type": "boolean", "description": "Whether to enable person attributes detection, such as cloth color (black, blue, etc), type (coat, dress, etc), pattern (plain, floral, etc), hair, etc. Ignored if 'include_bounding_boxes' is set to false." }, "includePoseLandmarks": { "type": "boolean", "description": "Whether to enable pose landmarks detection. Ignored if 'include_bounding_boxes' is set to false." } } }, "GoogleCloudVideointelligenceV1p2beta1_LabelDetectionConfig": { "description": "Config for LABEL_DETECTION.", "type": "object", "properties": { "frameConfidenceThreshold": { "format": "float", "description": "The confidence threshold we perform filtering on the labels from frame-level detection. If not set, it is set to 0.4 by default. The valid range for this threshold is [0.1, 0.9]. Any value set outside of this range will be clipped. Note: For best results, follow the default threshold. We will update the default threshold everytime when we release a new model.", "type": "number" }, "labelDetectionMode": { "enumDescriptions": [ "Unspecified.", "Detect shot-level labels.", "Detect frame-level labels.", "Detect both shot-level and frame-level labels." ], "enum": [ "LABEL_DETECTION_MODE_UNSPECIFIED", "SHOT_MODE", "FRAME_MODE", "SHOT_AND_FRAME_MODE" ], "type": "string", "description": "What labels should be detected with LABEL_DETECTION, in addition to video-level labels or segment-level labels. If unspecified, defaults to `SHOT_MODE`." }, "model": { "type": "string", "description": "Model to use for label detection. Supported values: \"builtin/stable\" (the default if unset) and \"builtin/latest\"." }, "stationaryCamera": { "description": "Whether the video has been shot from a stationary (i.e., non-moving) camera. When set to true, might improve detection accuracy for moving objects. Should be used with `SHOT_AND_FRAME_MODE` enabled.", "type": "boolean" }, "videoConfidenceThreshold": { "description": "The confidence threshold we perform filtering on the labels from video-level and shot-level detections. If not set, it's set to 0.3 by default. The valid range for this threshold is [0.1, 0.9]. Any value set outside of this range will be clipped. Note: For best results, follow the default threshold. We will update the default threshold everytime when we release a new model.", "format": "float", "type": "number" } }, "id": "GoogleCloudVideointelligenceV1p2beta1_LabelDetectionConfig" }, "GoogleCloudVideointelligenceV1p1beta1_ExplicitContentFrame": { "properties": { "pornographyLikelihood": { "enumDescriptions": [ "Unspecified likelihood.", "Very unlikely.", "Unlikely.", "Possible.", "Likely.", "Very likely." ], "type": "string", "enum": [ "LIKELIHOOD_UNSPECIFIED", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ], "description": "Likelihood of the pornography content.." }, "timeOffset": { "format": "google-duration", "type": "string", "description": "Time-offset, relative to the beginning of the video, corresponding to the video frame for this location." } }, "type": "object", "description": "Video frame level annotation results for explicit content.", "id": "GoogleCloudVideointelligenceV1p1beta1_ExplicitContentFrame" }, "GoogleCloudVideointelligenceV1p1beta1_LabelSegment": { "description": "Video segment level annotation results for label detection.", "properties": { "confidence": { "type": "number", "format": "float", "description": "Confidence that the label is accurate. Range: [0, 1]." }, "segment": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_VideoSegment", "description": "Video segment where a label was detected." } }, "id": "GoogleCloudVideointelligenceV1p1beta1_LabelSegment", "type": "object" }, "GoogleCloudVideointelligenceV1p2beta1_LabelFrame": { "properties": { "confidence": { "type": "number", "format": "float", "description": "Confidence that the label is accurate. Range: [0, 1]." }, "timeOffset": { "format": "google-duration", "type": "string", "description": "Time-offset, relative to the beginning of the video, corresponding to the video frame for this location." } }, "id": "GoogleCloudVideointelligenceV1p2beta1_LabelFrame", "type": "object", "description": "Video frame level annotation results for label detection." }, "GoogleCloudVideointelligenceV1p2beta1_VideoAnnotationProgress": { "properties": { "updateTime": { "format": "google-datetime", "type": "string", "description": "Time of the most recent update." }, "startTime": { "format": "google-datetime", "description": "Time when the request was received.", "type": "string" }, "segment": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_VideoSegment", "description": "Specifies which segment is being tracked if the request contains more than one segment." }, "feature": { "type": "string", "enum": [ "FEATURE_UNSPECIFIED", "LABEL_DETECTION", "SHOT_CHANGE_DETECTION", "EXPLICIT_CONTENT_DETECTION", "FACE_DETECTION", "SPEECH_TRANSCRIPTION", "TEXT_DETECTION", "OBJECT_TRACKING", "LOGO_RECOGNITION", "PERSON_DETECTION" ], "description": "Specifies which feature is being tracked if the request contains more than one feature.", "enumDescriptions": [ "Unspecified.", "Label detection. Detect objects, such as dog or flower.", "Shot change detection.", "Explicit content detection.", "Human face detection.", "Speech transcription.", "OCR text detection and tracking.", "Object detection and tracking.", "Logo detection, tracking, and recognition.", "Person detection." ] }, "progressPercent": { "description": "Approximate percentage processed thus far. Guaranteed to be 100 when fully processed.", "type": "integer", "format": "int32" }, "inputUri": { "description": "Video file location in [Cloud Storage](https://cloud.google.com/storage/).", "type": "string" } }, "id": "GoogleCloudVideointelligenceV1p2beta1_VideoAnnotationProgress", "type": "object", "description": "Annotation progress for a single video." }, "GoogleCloudVideointelligenceV1p2beta1_TextSegment": { "description": "Video segment level annotation results for text detection.", "properties": { "confidence": { "description": "Confidence for the track of detected text. It is calculated as the highest over all frames where OCR detected text appears.", "type": "number", "format": "float" }, "segment": { "description": "Video segment where a text snippet was detected.", "$ref": "GoogleCloudVideointelligenceV1p2beta1_VideoSegment" }, "frames": { "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_TextFrame" }, "description": "Information related to the frames where OCR detected text appears.", "type": "array" } }, "id": "GoogleCloudVideointelligenceV1p2beta1_TextSegment", "type": "object" }, "GoogleCloudVideointelligenceV1_TextAnnotation": { "type": "object", "description": "Annotations related to one detected OCR text snippet. This will contain the corresponding text, confidence value, and frame level information for each detection.", "id": "GoogleCloudVideointelligenceV1_TextAnnotation", "properties": { "segments": { "description": "All video segments where OCR detected text appears.", "items": { "$ref": "GoogleCloudVideointelligenceV1_TextSegment" }, "type": "array" }, "text": { "type": "string", "description": "The detected text." }, "version": { "description": "Feature version.", "type": "string" } } }, "GoogleCloudVideointelligenceV1p3beta1_PersonDetectionAnnotation": { "description": "Person detection annotation per video.", "properties": { "version": { "description": "Feature version.", "type": "string" }, "tracks": { "description": "The detected tracks of a person.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_Track" } } }, "id": "GoogleCloudVideointelligenceV1p3beta1_PersonDetectionAnnotation", "type": "object" }, "GoogleCloudVideointelligenceV1beta2_VideoSegment": { "description": "Video segment.", "properties": { "startTimeOffset": { "format": "google-duration", "description": "Time-offset, relative to the beginning of the video, corresponding to the start of the segment (inclusive).", "type": "string" }, "endTimeOffset": { "format": "google-duration", "description": "Time-offset, relative to the beginning of the video, corresponding to the end of the segment (inclusive).", "type": "string" } }, "id": "GoogleCloudVideointelligenceV1beta2_VideoSegment", "type": "object" }, "GoogleCloudVideointelligenceV1p1beta1_FaceDetectionAnnotation": { "description": "Face detection annotation.", "properties": { "tracks": { "description": "The face tracks with attributes.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_Track" } }, "thumbnail": { "description": "The thumbnail of a person's face.", "format": "byte", "type": "string" }, "version": { "type": "string", "description": "Feature version." } }, "id": "GoogleCloudVideointelligenceV1p1beta1_FaceDetectionAnnotation", "type": "object" }, "GoogleCloudVideointelligenceV1p1beta1_LabelFrame": { "id": "GoogleCloudVideointelligenceV1p1beta1_LabelFrame", "properties": { "timeOffset": { "type": "string", "format": "google-duration", "description": "Time-offset, relative to the beginning of the video, corresponding to the video frame for this location." }, "confidence": { "type": "number", "format": "float", "description": "Confidence that the label is accurate. Range: [0, 1]." } }, "description": "Video frame level annotation results for label detection.", "type": "object" }, "GoogleCloudVideointelligenceV1beta2_SpeechRecognitionAlternative": { "properties": { "words": { "readOnly": true, "type": "array", "description": "Output only. A list of word-specific information for each recognized word. Note: When `enable_speaker_diarization` is set to true, you will see all the words from the beginning of the audio.", "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_WordInfo" } }, "transcript": { "description": "Transcript text representing the words that the user spoke.", "type": "string" }, "confidence": { "description": "Output only. The confidence estimate between 0.0 and 1.0. A higher number indicates an estimated greater likelihood that the recognized words are correct. This field is set only for the top alternative. This field is not guaranteed to be accurate and users should not rely on it to be always provided. The default of 0.0 is a sentinel value indicating `confidence` was not set.", "type": "number", "readOnly": true, "format": "float" } }, "type": "object", "description": "Alternative hypotheses (a.k.a. n-best list).", "id": "GoogleCloudVideointelligenceV1beta2_SpeechRecognitionAlternative" }, "GoogleCloudVideointelligenceV1p3beta1_VideoAnnotationProgress": { "type": "object", "properties": { "startTime": { "type": "string", "description": "Time when the request was received.", "format": "google-datetime" }, "progressPercent": { "type": "integer", "description": "Approximate percentage processed thus far. Guaranteed to be 100 when fully processed.", "format": "int32" }, "segment": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_VideoSegment", "description": "Specifies which segment is being tracked if the request contains more than one segment." }, "inputUri": { "type": "string", "description": "Video file location in [Cloud Storage](https://cloud.google.com/storage/)." }, "updateTime": { "type": "string", "format": "google-datetime", "description": "Time of the most recent update." }, "feature": { "enum": [ "FEATURE_UNSPECIFIED", "LABEL_DETECTION", "SHOT_CHANGE_DETECTION", "EXPLICIT_CONTENT_DETECTION", "FACE_DETECTION", "SPEECH_TRANSCRIPTION", "TEXT_DETECTION", "OBJECT_TRACKING", "LOGO_RECOGNITION", "CELEBRITY_RECOGNITION", "PERSON_DETECTION" ], "enumDescriptions": [ "Unspecified.", "Label detection. Detect objects, such as dog or flower.", "Shot change detection.", "Explicit content detection.", "Human face detection.", "Speech transcription.", "OCR text detection and tracking.", "Object detection and tracking.", "Logo detection, tracking, and recognition.", "Celebrity recognition.", "Person detection." ], "type": "string", "description": "Specifies which feature is being tracked if the request contains more than one feature." } }, "description": "Annotation progress for a single video.", "id": "GoogleCloudVideointelligenceV1p3beta1_VideoAnnotationProgress" }, "GoogleCloudVideointelligenceV1_AnnotateVideoProgress": { "type": "object", "description": "Video annotation progress. Included in the `metadata` field of the `Operation` returned by the `GetOperation` call of the `google::longrunning::Operations` service.", "id": "GoogleCloudVideointelligenceV1_AnnotateVideoProgress", "properties": { "annotationProgress": { "items": { "$ref": "GoogleCloudVideointelligenceV1_VideoAnnotationProgress" }, "description": "Progress metadata for all videos specified in `AnnotateVideoRequest`.", "type": "array" } } }, "GoogleCloudVideointelligenceV1p2beta1_TextDetectionConfig": { "properties": { "model": { "description": "Model to use for text detection. Supported values: \"builtin/stable\" (the default if unset) and \"builtin/latest\".", "type": "string" }, "languageHints": { "items": { "type": "string" }, "type": "array", "description": "Language hint can be specified if the language to be detected is known a priori. It can increase the accuracy of the detection. Language hint must be language code in BCP-47 format. Automatic language detection is performed if no hint is provided." } }, "description": "Config for TEXT_DETECTION.", "id": "GoogleCloudVideointelligenceV1p2beta1_TextDetectionConfig", "type": "object" }, "GoogleCloudVideointelligenceV1p1beta1_AnnotateVideoProgress": { "id": "GoogleCloudVideointelligenceV1p1beta1_AnnotateVideoProgress", "properties": { "annotationProgress": { "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_VideoAnnotationProgress" }, "description": "Progress metadata for all videos specified in `AnnotateVideoRequest`.", "type": "array" } }, "description": "Video annotation progress. Included in the `metadata` field of the `Operation` returned by the `GetOperation` call of the `google::longrunning::Operations` service.", "type": "object" }, "GoogleCloudVideointelligenceV1p2beta1_ShotChangeDetectionConfig": { "properties": { "model": { "type": "string", "description": "Model to use for shot change detection. Supported values: \"builtin/stable\" (the default if unset), \"builtin/latest\", and \"builtin/legacy\"." } }, "id": "GoogleCloudVideointelligenceV1p2beta1_ShotChangeDetectionConfig", "type": "object", "description": "Config for SHOT_CHANGE_DETECTION." }, "GoogleCloudVideointelligenceV1p3beta1_StreamingVideoAnnotationResults": { "type": "object", "id": "GoogleCloudVideointelligenceV1p3beta1_StreamingVideoAnnotationResults", "properties": { "shotAnnotations": { "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_VideoSegment" }, "type": "array", "description": "Shot annotation results. Each shot is represented as a video segment." }, "frameTimestamp": { "type": "string", "format": "google-duration", "description": "Timestamp of the processed frame in microseconds." }, "explicitAnnotation": { "description": "Explicit content annotation results.", "$ref": "GoogleCloudVideointelligenceV1p3beta1_ExplicitContentAnnotation" }, "labelAnnotations": { "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_LabelAnnotation" }, "type": "array", "description": "Label annotation results." }, "objectAnnotations": { "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_ObjectTrackingAnnotation" }, "description": "Object tracking results.", "type": "array" } }, "description": "Streaming annotation results corresponding to a portion of the video that is currently being processed. Only ONE type of annotation will be specified in the response." }, "GoogleCloudVideointelligenceV1p2beta1_NormalizedBoundingBox": { "description": "Normalized bounding box. The normalized vertex coordinates are relative to the original image. Range: [0, 1].", "id": "GoogleCloudVideointelligenceV1p2beta1_NormalizedBoundingBox", "type": "object", "properties": { "right": { "format": "float", "description": "Right X coordinate.", "type": "number" }, "left": { "description": "Left X coordinate.", "type": "number", "format": "float" }, "bottom": { "format": "float", "type": "number", "description": "Bottom Y coordinate." }, "top": { "format": "float", "description": "Top Y coordinate.", "type": "number" } } }, "GoogleCloudVideointelligenceV1p1beta1_AnnotateVideoResponse": { "properties": { "annotationResults": { "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_VideoAnnotationResults" }, "description": "Annotation results for all videos specified in `AnnotateVideoRequest`.", "type": "array" } }, "description": "Video annotation response. Included in the `response` field of the `Operation` returned by the `GetOperation` call of the `google::longrunning::Operations` service.", "id": "GoogleCloudVideointelligenceV1p1beta1_AnnotateVideoResponse", "type": "object" }, "GoogleCloudVideointelligenceV1beta2_FaceSegment": { "id": "GoogleCloudVideointelligenceV1beta2_FaceSegment", "description": "Video segment level annotation results for face detection.", "type": "object", "properties": { "segment": { "description": "Video segment where a face was detected.", "$ref": "GoogleCloudVideointelligenceV1beta2_VideoSegment" } } }, "GoogleCloudVideointelligenceV1beta2_NormalizedBoundingBox": { "type": "object", "description": "Normalized bounding box. The normalized vertex coordinates are relative to the original image. Range: [0, 1].", "id": "GoogleCloudVideointelligenceV1beta2_NormalizedBoundingBox", "properties": { "left": { "description": "Left X coordinate.", "type": "number", "format": "float" }, "right": { "description": "Right X coordinate.", "format": "float", "type": "number" }, "top": { "type": "number", "description": "Top Y coordinate.", "format": "float" }, "bottom": { "description": "Bottom Y coordinate.", "type": "number", "format": "float" } } }, "GoogleCloudVideointelligenceV1p3beta1_CelebrityRecognitionAnnotation": { "properties": { "version": { "type": "string", "description": "Feature version." }, "celebrityTracks": { "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_CelebrityTrack" }, "description": "The tracks detected from the input video, including recognized celebrities and other detected faces in the video.", "type": "array" } }, "description": "Celebrity recognition annotation per video.", "type": "object", "id": "GoogleCloudVideointelligenceV1p3beta1_CelebrityRecognitionAnnotation" }, "GoogleCloudVideointelligenceV1p2beta1_NormalizedBoundingPoly": { "type": "object", "description": "Normalized bounding polygon for text (that might not be aligned with axis). Contains list of the corner points in clockwise order starting from top-left corner. For example, for a rectangular bounding box: When the text is horizontal it might look like: 0----1 | | 3----2 When it's clockwise rotated 180 degrees around the top-left corner it becomes: 2----3 | | 1----0 and the vertex order will still be (0, 1, 2, 3). Note that values can be less than 0, or greater than 1 due to trignometric calculations for location of the box.", "id": "GoogleCloudVideointelligenceV1p2beta1_NormalizedBoundingPoly", "properties": { "vertices": { "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_NormalizedVertex" }, "type": "array", "description": "Normalized vertices of the bounding polygon." } } }, "GoogleCloudVideointelligenceV1p1beta1_PersonDetectionAnnotation": { "type": "object", "id": "GoogleCloudVideointelligenceV1p1beta1_PersonDetectionAnnotation", "description": "Person detection annotation per video.", "properties": { "version": { "type": "string", "description": "Feature version." }, "tracks": { "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_Track" }, "type": "array", "description": "The detected tracks of a person." } } }, "GoogleCloudVideointelligenceV1_Track": { "properties": { "timestampedObjects": { "type": "array", "description": "The object with timestamp and attributes per frame in the track.", "items": { "$ref": "GoogleCloudVideointelligenceV1_TimestampedObject" } }, "segment": { "$ref": "GoogleCloudVideointelligenceV1_VideoSegment", "description": "Video segment of a track." }, "confidence": { "format": "float", "type": "number", "description": "Optional. The confidence score of the tracked object." }, "attributes": { "description": "Optional. Attributes in the track level.", "items": { "$ref": "GoogleCloudVideointelligenceV1_DetectedAttribute" }, "type": "array" } }, "description": "A track of an object instance.", "type": "object", "id": "GoogleCloudVideointelligenceV1_Track" }, "GoogleCloudVideointelligenceV1p2beta1_DetectedLandmark": { "properties": { "name": { "type": "string", "description": "The name of this landmark, for example, left_hand, right_shoulder." }, "confidence": { "format": "float", "type": "number", "description": "The confidence score of the detected landmark. Range [0, 1]." }, "point": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_NormalizedVertex", "description": "The 2D point of the detected landmark using the normalized image coordindate system. The normalized coordinates have the range from 0 to 1." } }, "type": "object", "id": "GoogleCloudVideointelligenceV1p2beta1_DetectedLandmark", "description": "A generic detected landmark represented by name in string format and a 2D location." }, "GoogleCloudVideointelligenceV1p2beta1_SpeechTranscription": { "type": "object", "description": "A speech recognition result corresponding to a portion of the audio.", "id": "GoogleCloudVideointelligenceV1p2beta1_SpeechTranscription", "properties": { "languageCode": { "readOnly": true, "type": "string", "description": "Output only. The [BCP-47](https://www.rfc-editor.org/rfc/bcp/bcp47.txt) language tag of the language in this result. This language code was detected to have the most likelihood of being spoken in the audio." }, "alternatives": { "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_SpeechRecognitionAlternative" }, "type": "array", "description": "May contain one or more recognition hypotheses (up to the maximum specified in `max_alternatives`). These alternatives are ordered in terms of accuracy, with the top (first) alternative being the most probable, as ranked by the recognizer." } } }, "GoogleCloudVideointelligenceV1p3beta1_DetectedLandmark": { "id": "GoogleCloudVideointelligenceV1p3beta1_DetectedLandmark", "type": "object", "properties": { "name": { "description": "The name of this landmark, for example, left_hand, right_shoulder.", "type": "string" }, "confidence": { "description": "The confidence score of the detected landmark. Range [0, 1].", "format": "float", "type": "number" }, "point": { "description": "The 2D point of the detected landmark using the normalized image coordindate system. The normalized coordinates have the range from 0 to 1.", "$ref": "GoogleCloudVideointelligenceV1p3beta1_NormalizedVertex" } }, "description": "A generic detected landmark represented by name in string format and a 2D location." }, "GoogleCloudVideointelligenceV1p1beta1_FaceFrame": { "description": "Deprecated. No effect.", "id": "GoogleCloudVideointelligenceV1p1beta1_FaceFrame", "type": "object", "properties": { "normalizedBoundingBoxes": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_NormalizedBoundingBox" }, "description": "Normalized Bounding boxes in a frame. There can be more than one boxes if the same face is detected in multiple locations within the current frame." }, "timeOffset": { "type": "string", "description": "Time-offset, relative to the beginning of the video, corresponding to the video frame for this location.", "format": "google-duration" } } }, "GoogleCloudVideointelligenceV1p1beta1_TextSegment": { "properties": { "frames": { "type": "array", "description": "Information related to the frames where OCR detected text appears.", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_TextFrame" } }, "segment": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_VideoSegment", "description": "Video segment where a text snippet was detected." }, "confidence": { "description": "Confidence for the track of detected text. It is calculated as the highest over all frames where OCR detected text appears.", "format": "float", "type": "number" } }, "description": "Video segment level annotation results for text detection.", "type": "object", "id": "GoogleCloudVideointelligenceV1p1beta1_TextSegment" }, "GoogleCloudVideointelligenceV1beta2_DetectedLandmark": { "type": "object", "properties": { "point": { "$ref": "GoogleCloudVideointelligenceV1beta2_NormalizedVertex", "description": "The 2D point of the detected landmark using the normalized image coordindate system. The normalized coordinates have the range from 0 to 1." }, "confidence": { "description": "The confidence score of the detected landmark. Range [0, 1].", "type": "number", "format": "float" }, "name": { "description": "The name of this landmark, for example, left_hand, right_shoulder.", "type": "string" } }, "id": "GoogleCloudVideointelligenceV1beta2_DetectedLandmark", "description": "A generic detected landmark represented by name in string format and a 2D location." }, "GoogleCloudVideointelligenceV1_FaceSegment": { "id": "GoogleCloudVideointelligenceV1_FaceSegment", "description": "Video segment level annotation results for face detection.", "properties": { "segment": { "description": "Video segment where a face was detected.", "$ref": "GoogleCloudVideointelligenceV1_VideoSegment" } }, "type": "object" }, "GoogleCloudVideointelligenceV1_ObjectTrackingAnnotation": { "type": "object", "description": "Annotations corresponding to one tracked object.", "properties": { "frames": { "type": "array", "description": "Information corresponding to all frames where this object track appears. Non-streaming batch mode: it may be one or multiple ObjectTrackingFrame messages in frames. Streaming mode: it can only be one ObjectTrackingFrame message in frames.", "items": { "$ref": "GoogleCloudVideointelligenceV1_ObjectTrackingFrame" } }, "version": { "description": "Feature version.", "type": "string" }, "confidence": { "format": "float", "type": "number", "description": "Object category's labeling confidence of this track." }, "trackId": { "type": "string", "format": "int64", "description": "Streaming mode ONLY. In streaming mode, we do not know the end time of a tracked object before it is completed. Hence, there is no VideoSegment info returned. Instead, we provide a unique identifiable integer track_id so that the customers can correlate the results of the ongoing ObjectTrackAnnotation of the same track_id over time." }, "segment": { "$ref": "GoogleCloudVideointelligenceV1_VideoSegment", "description": "Non-streaming batch mode ONLY. Each object track corresponds to one video segment where it appears." }, "entity": { "description": "Entity to specify the object category that this track is labeled as.", "$ref": "GoogleCloudVideointelligenceV1_Entity" } }, "id": "GoogleCloudVideointelligenceV1_ObjectTrackingAnnotation" }, "GoogleCloudVideointelligenceV1p3beta1_Track": { "id": "GoogleCloudVideointelligenceV1p3beta1_Track", "properties": { "timestampedObjects": { "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_TimestampedObject" }, "type": "array", "description": "The object with timestamp and attributes per frame in the track." }, "attributes": { "description": "Optional. Attributes in the track level.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_DetectedAttribute" } }, "confidence": { "description": "Optional. The confidence score of the tracked object.", "format": "float", "type": "number" }, "segment": { "description": "Video segment of a track.", "$ref": "GoogleCloudVideointelligenceV1p3beta1_VideoSegment" } }, "description": "A track of an object instance.", "type": "object" }, "GoogleCloudVideointelligenceV1p3beta1_VideoAnnotationResults": { "type": "object", "id": "GoogleCloudVideointelligenceV1p3beta1_VideoAnnotationResults", "description": "Annotation results for a single video.", "properties": { "shotPresenceLabelAnnotations": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_LabelAnnotation" }, "description": "Presence label annotations on shot level. There is exactly one element for each unique label. Compared to the existing topical `shot_label_annotations`, this field presents more fine-grained, shot-level labels detected in video content and is made available only when the client sets `LabelDetectionConfig.model` to \"builtin/latest\" in the request." }, "shotAnnotations": { "type": "array", "description": "Shot annotations. Each shot is represented as a video segment.", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_VideoSegment" } }, "segmentPresenceLabelAnnotations": { "description": "Presence label annotations on video level or user-specified segment level. There is exactly one element for each unique label. Compared to the existing topical `segment_label_annotations`, this field presents more fine-grained, segment-level labels detected in video content and is made available only when the client sets `LabelDetectionConfig.model` to \"builtin/latest\" in the request.", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_LabelAnnotation" }, "type": "array" }, "inputUri": { "type": "string", "description": "Video file location in [Cloud Storage](https://cloud.google.com/storage/)." }, "frameLabelAnnotations": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_LabelAnnotation" }, "description": "Label annotations on frame level. There is exactly one element for each unique label." }, "personDetectionAnnotations": { "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_PersonDetectionAnnotation" }, "type": "array", "description": "Person detection annotations." }, "segment": { "description": "Video segment on which the annotation is run.", "$ref": "GoogleCloudVideointelligenceV1p3beta1_VideoSegment" }, "logoRecognitionAnnotations": { "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_LogoRecognitionAnnotation" }, "type": "array", "description": "Annotations for list of logos detected, tracked and recognized in video." }, "celebrityRecognitionAnnotations": { "description": "Celebrity recognition annotations.", "$ref": "GoogleCloudVideointelligenceV1p3beta1_CelebrityRecognitionAnnotation" }, "error": { "$ref": "GoogleRpc_Status", "description": "If set, indicates an error. Note that for a single `AnnotateVideoRequest` some videos may succeed and some may fail." }, "speechTranscriptions": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_SpeechTranscription" }, "description": "Speech transcription." }, "segmentLabelAnnotations": { "description": "Topical label annotations on video level or user-specified segment level. There is exactly one element for each unique label.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_LabelAnnotation" } }, "explicitAnnotation": { "description": "Explicit content annotation.", "$ref": "GoogleCloudVideointelligenceV1p3beta1_ExplicitContentAnnotation" }, "shotLabelAnnotations": { "type": "array", "description": "Topical label annotations on shot level. There is exactly one element for each unique label.", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_LabelAnnotation" } }, "faceDetectionAnnotations": { "description": "Face detection annotations.", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_FaceDetectionAnnotation" }, "type": "array" }, "textAnnotations": { "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_TextAnnotation" }, "description": "OCR text detection and tracking. Annotations for list of detected text snippets. Each will have list of frame information associated with it.", "type": "array" }, "faceAnnotations": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_FaceAnnotation" }, "description": "Deprecated. Please use `face_detection_annotations` instead." }, "objectAnnotations": { "type": "array", "description": "Annotations for list of objects detected and tracked in video.", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_ObjectTrackingAnnotation" } } } }, "GoogleCloudVideointelligenceV1_NormalizedVertex": { "id": "GoogleCloudVideointelligenceV1_NormalizedVertex", "description": "A vertex represents a 2D point in the image. NOTE: the normalized vertex coordinates are relative to the original image and range from 0 to 1.", "properties": { "x": { "type": "number", "description": "X coordinate.", "format": "float" }, "y": { "type": "number", "format": "float", "description": "Y coordinate." } }, "type": "object" }, "GoogleCloudVideointelligenceV1_ExplicitContentFrame": { "description": "Video frame level annotation results for explicit content.", "properties": { "pornographyLikelihood": { "enum": [ "LIKELIHOOD_UNSPECIFIED", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ], "type": "string", "description": "Likelihood of the pornography content..", "enumDescriptions": [ "Unspecified likelihood.", "Very unlikely.", "Unlikely.", "Possible.", "Likely.", "Very likely." ] }, "timeOffset": { "description": "Time-offset, relative to the beginning of the video, corresponding to the video frame for this location.", "type": "string", "format": "google-duration" } }, "id": "GoogleCloudVideointelligenceV1_ExplicitContentFrame", "type": "object" }, "GoogleCloudVideointelligenceV1p3beta1_CelebrityTrack": { "id": "GoogleCloudVideointelligenceV1p3beta1_CelebrityTrack", "type": "object", "properties": { "celebrities": { "type": "array", "description": "Top N match of the celebrities for the face in this track.", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_RecognizedCelebrity" } }, "faceTrack": { "description": "A track of a person's face.", "$ref": "GoogleCloudVideointelligenceV1p3beta1_Track" } }, "description": "The annotation result of a celebrity face track. RecognizedCelebrity field could be empty if the face track does not have any matched celebrities." }, "GoogleCloudVideointelligenceV1p1beta1_FaceSegment": { "description": "Video segment level annotation results for face detection.", "id": "GoogleCloudVideointelligenceV1p1beta1_FaceSegment", "type": "object", "properties": { "segment": { "description": "Video segment where a face was detected.", "$ref": "GoogleCloudVideointelligenceV1p1beta1_VideoSegment" } } }, "GoogleCloudVideointelligenceV1p1beta1_VideoSegment": { "properties": { "startTimeOffset": { "description": "Time-offset, relative to the beginning of the video, corresponding to the start of the segment (inclusive).", "type": "string", "format": "google-duration" }, "endTimeOffset": { "type": "string", "description": "Time-offset, relative to the beginning of the video, corresponding to the end of the segment (inclusive).", "format": "google-duration" } }, "id": "GoogleCloudVideointelligenceV1p1beta1_VideoSegment", "description": "Video segment.", "type": "object" }, "GoogleCloudVideointelligenceV1p3beta1_LogoRecognitionAnnotation": { "properties": { "segments": { "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_VideoSegment" }, "description": "All video segments where the recognized logo appears. There might be multiple instances of the same logo class appearing in one VideoSegment.", "type": "array" }, "tracks": { "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_Track" }, "type": "array", "description": "All logo tracks where the recognized logo appears. Each track corresponds to one logo instance appearing in consecutive frames." }, "entity": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_Entity", "description": "Entity category information to specify the logo class that all the logo tracks within this LogoRecognitionAnnotation are recognized as." } }, "description": "Annotation corresponding to one detected, tracked and recognized logo class.", "id": "GoogleCloudVideointelligenceV1p3beta1_LogoRecognitionAnnotation", "type": "object" }, "GoogleCloudVideointelligenceV1beta2_VideoAnnotationProgress": { "type": "object", "id": "GoogleCloudVideointelligenceV1beta2_VideoAnnotationProgress", "description": "Annotation progress for a single video.", "properties": { "progressPercent": { "format": "int32", "type": "integer", "description": "Approximate percentage processed thus far. Guaranteed to be 100 when fully processed." }, "segment": { "description": "Specifies which segment is being tracked if the request contains more than one segment.", "$ref": "GoogleCloudVideointelligenceV1beta2_VideoSegment" }, "inputUri": { "description": "Video file location in [Cloud Storage](https://cloud.google.com/storage/).", "type": "string" }, "updateTime": { "description": "Time of the most recent update.", "type": "string", "format": "google-datetime" }, "feature": { "enumDescriptions": [ "Unspecified.", "Label detection. Detect objects, such as dog or flower.", "Shot change detection.", "Explicit content detection.", "Human face detection.", "Speech transcription.", "OCR text detection and tracking.", "Object detection and tracking.", "Logo detection, tracking, and recognition.", "Person detection." ], "description": "Specifies which feature is being tracked if the request contains more than one feature.", "enum": [ "FEATURE_UNSPECIFIED", "LABEL_DETECTION", "SHOT_CHANGE_DETECTION", "EXPLICIT_CONTENT_DETECTION", "FACE_DETECTION", "SPEECH_TRANSCRIPTION", "TEXT_DETECTION", "OBJECT_TRACKING", "LOGO_RECOGNITION", "PERSON_DETECTION" ], "type": "string" }, "startTime": { "description": "Time when the request was received.", "format": "google-datetime", "type": "string" } } }, "GoogleCloudVideointelligenceV1p2beta1_TimestampedObject": { "description": "For tracking related features. An object at time_offset with attributes, and located with normalized_bounding_box.", "properties": { "landmarks": { "type": "array", "description": "Optional. The detected landmarks.", "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_DetectedLandmark" } }, "normalizedBoundingBox": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_NormalizedBoundingBox", "description": "Normalized Bounding box in a frame, where the object is located." }, "timeOffset": { "format": "google-duration", "type": "string", "description": "Time-offset, relative to the beginning of the video, corresponding to the video frame for this object." }, "attributes": { "description": "Optional. The attributes of the object in the bounding box.", "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_DetectedAttribute" }, "type": "array" } }, "id": "GoogleCloudVideointelligenceV1p2beta1_TimestampedObject", "type": "object" }, "GoogleCloudVideointelligenceV1p1beta1_ObjectTrackingFrame": { "description": "Video frame level annotations for object detection and tracking. This field stores per frame location, time offset, and confidence.", "properties": { "timeOffset": { "type": "string", "description": "The timestamp of the frame in microseconds.", "format": "google-duration" }, "normalizedBoundingBox": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_NormalizedBoundingBox", "description": "The normalized bounding box location of this object track for the frame." } }, "id": "GoogleCloudVideointelligenceV1p1beta1_ObjectTrackingFrame", "type": "object" }, "GoogleCloudVideointelligenceV1p2beta1_WordInfo": { "properties": { "word": { "type": "string", "description": "The word corresponding to this set of information." }, "confidence": { "readOnly": true, "type": "number", "format": "float", "description": "Output only. The confidence estimate between 0.0 and 1.0. A higher number indicates an estimated greater likelihood that the recognized words are correct. This field is set only for the top alternative. This field is not guaranteed to be accurate and users should not rely on it to be always provided. The default of 0.0 is a sentinel value indicating `confidence` was not set." }, "endTime": { "type": "string", "format": "google-duration", "description": "Time offset relative to the beginning of the audio, and corresponding to the end of the spoken word. This field is only set if `enable_word_time_offsets=true` and only in the top hypothesis. This is an experimental feature and the accuracy of the time offset can vary." }, "speakerTag": { "type": "integer", "format": "int32", "readOnly": true, "description": "Output only. A distinct integer value is assigned for every speaker within the audio. This field specifies which one of those speakers was detected to have spoken this word. Value ranges from 1 up to diarization_speaker_count, and is only set if speaker diarization is enabled." }, "startTime": { "type": "string", "format": "google-duration", "description": "Time offset relative to the beginning of the audio, and corresponding to the start of the spoken word. This field is only set if `enable_word_time_offsets=true` and only in the top hypothesis. This is an experimental feature and the accuracy of the time offset can vary." } }, "description": "Word-specific information for recognized words. Word information is only included in the response when certain request parameters are set, such as `enable_word_time_offsets`.", "type": "object", "id": "GoogleCloudVideointelligenceV1p2beta1_WordInfo" }, "GoogleCloudVideointelligenceV1_LabelFrame": { "id": "GoogleCloudVideointelligenceV1_LabelFrame", "type": "object", "description": "Video frame level annotation results for label detection.", "properties": { "timeOffset": { "type": "string", "format": "google-duration", "description": "Time-offset, relative to the beginning of the video, corresponding to the video frame for this location." }, "confidence": { "description": "Confidence that the label is accurate. Range: [0, 1].", "type": "number", "format": "float" } } }, "GoogleCloudVideointelligenceV1p1beta1_Track": { "type": "object", "id": "GoogleCloudVideointelligenceV1p1beta1_Track", "description": "A track of an object instance.", "properties": { "timestampedObjects": { "description": "The object with timestamp and attributes per frame in the track.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_TimestampedObject" } }, "confidence": { "type": "number", "description": "Optional. The confidence score of the tracked object.", "format": "float" }, "attributes": { "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_DetectedAttribute" }, "type": "array", "description": "Optional. Attributes in the track level." }, "segment": { "description": "Video segment of a track.", "$ref": "GoogleCloudVideointelligenceV1p1beta1_VideoSegment" } } }, "GoogleCloudVideointelligenceV1p3beta1_NormalizedBoundingPoly": { "properties": { "vertices": { "type": "array", "description": "Normalized vertices of the bounding polygon.", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_NormalizedVertex" } } }, "type": "object", "id": "GoogleCloudVideointelligenceV1p3beta1_NormalizedBoundingPoly", "description": "Normalized bounding polygon for text (that might not be aligned with axis). Contains list of the corner points in clockwise order starting from top-left corner. For example, for a rectangular bounding box: When the text is horizontal it might look like: 0----1 | | 3----2 When it's clockwise rotated 180 degrees around the top-left corner it becomes: 2----3 | | 1----0 and the vertex order will still be (0, 1, 2, 3). Note that values can be less than 0, or greater than 1 due to trignometric calculations for location of the box." }, "GoogleCloudVideointelligenceV1p2beta1_SpeechTranscriptionConfig": { "description": "Config for SPEECH_TRANSCRIPTION.", "properties": { "enableSpeakerDiarization": { "type": "boolean", "description": "Optional. If 'true', enables speaker detection for each recognized word in the top alternative of the recognition result using a speaker_tag provided in the WordInfo. Note: When this is true, we send all the words from the beginning of the audio for the top alternative in every consecutive response. This is done in order to improve our speaker tags as our models learn to identify the speakers in the conversation over time." }, "filterProfanity": { "description": "Optional. If set to `true`, the server will attempt to filter out profanities, replacing all but the initial character in each filtered word with asterisks, e.g. \"f***\". If set to `false` or omitted, profanities won't be filtered out.", "type": "boolean" }, "enableAutomaticPunctuation": { "description": "Optional. If 'true', adds punctuation to recognition result hypotheses. This feature is only available in select languages. Setting this for requests in other languages has no effect at all. The default 'false' value does not add punctuation to result hypotheses. NOTE: \"This is currently offered as an experimental service, complimentary to all users. In the future this may be exclusively available as a premium feature.\"", "type": "boolean" }, "enableWordConfidence": { "type": "boolean", "description": "Optional. If `true`, the top result includes a list of words and the confidence for those words. If `false`, no word-level confidence information is returned. The default is `false`." }, "diarizationSpeakerCount": { "format": "int32", "description": "Optional. If set, specifies the estimated number of speakers in the conversation. If not set, defaults to '2'. Ignored unless enable_speaker_diarization is set to true.", "type": "integer" }, "languageCode": { "type": "string", "description": "Required. *Required* The language of the supplied audio as a [BCP-47](https://www.rfc-editor.org/rfc/bcp/bcp47.txt) language tag. Example: \"en-US\". See [Language Support](https://cloud.google.com/speech/docs/languages) for a list of the currently supported language codes." }, "speechContexts": { "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_SpeechContext" }, "type": "array", "description": "Optional. A means to provide context to assist the speech recognition." }, "audioTracks": { "items": { "type": "integer", "format": "int32" }, "type": "array", "description": "Optional. For file formats, such as MXF or MKV, supporting multiple audio tracks, specify up to two tracks. Default: track 0." }, "maxAlternatives": { "format": "int32", "type": "integer", "description": "Optional. Maximum number of recognition hypotheses to be returned. Specifically, the maximum number of `SpeechRecognitionAlternative` messages within each `SpeechTranscription`. The server may return fewer than `max_alternatives`. Valid values are `0`-`30`. A value of `0` or `1` will return a maximum of one. If omitted, will return a maximum of one." } }, "type": "object", "id": "GoogleCloudVideointelligenceV1p2beta1_SpeechTranscriptionConfig" }, "GoogleCloudVideointelligenceV1p1beta1_LabelAnnotation": { "description": "Label annotation.", "id": "GoogleCloudVideointelligenceV1p1beta1_LabelAnnotation", "type": "object", "properties": { "entity": { "description": "Detected entity.", "$ref": "GoogleCloudVideointelligenceV1p1beta1_Entity" }, "version": { "description": "Feature version.", "type": "string" }, "categoryEntities": { "description": "Common categories for the detected entity. For example, when the label is `Terrier`, the category is likely `dog`. And in some cases there might be more than one categories e.g., `Terrier` could also be a `pet`.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_Entity" } }, "segments": { "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_LabelSegment" }, "description": "All video segments where a label was detected.", "type": "array" }, "frames": { "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_LabelFrame" }, "type": "array", "description": "All video frames where a label was detected." } } }, "GoogleCloudVideointelligenceV1p2beta1_FaceAnnotation": { "properties": { "thumbnail": { "format": "byte", "type": "string", "description": "Thumbnail of a representative face view (in JPEG format)." }, "segments": { "description": "All video segments where a face was detected.", "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_FaceSegment" }, "type": "array" }, "frames": { "description": "All video frames where a face was detected.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_FaceFrame" } } }, "id": "GoogleCloudVideointelligenceV1p2beta1_FaceAnnotation", "description": "Deprecated. No effect.", "type": "object" }, "GoogleCloudVideointelligenceV1p3beta1_FaceAnnotation": { "id": "GoogleCloudVideointelligenceV1p3beta1_FaceAnnotation", "properties": { "frames": { "type": "array", "description": "All video frames where a face was detected.", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_FaceFrame" } }, "segments": { "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_FaceSegment" }, "type": "array", "description": "All video segments where a face was detected." }, "thumbnail": { "type": "string", "format": "byte", "description": "Thumbnail of a representative face view (in JPEG format)." } }, "type": "object", "description": "Deprecated. No effect." }, "GoogleCloudVideointelligenceV1p2beta1_FaceDetectionAnnotation": { "id": "GoogleCloudVideointelligenceV1p2beta1_FaceDetectionAnnotation", "type": "object", "properties": { "tracks": { "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_Track" }, "type": "array", "description": "The face tracks with attributes." }, "version": { "description": "Feature version.", "type": "string" }, "thumbnail": { "type": "string", "description": "The thumbnail of a person's face.", "format": "byte" } }, "description": "Face detection annotation." }, "GoogleCloudVideointelligenceV1p3beta1_AnnotateVideoProgress": { "id": "GoogleCloudVideointelligenceV1p3beta1_AnnotateVideoProgress", "description": "Video annotation progress. Included in the `metadata` field of the `Operation` returned by the `GetOperation` call of the `google::longrunning::Operations` service.", "type": "object", "properties": { "annotationProgress": { "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_VideoAnnotationProgress" }, "type": "array", "description": "Progress metadata for all videos specified in `AnnotateVideoRequest`." } } }, "GoogleCloudVideointelligenceV1p3beta1_WordInfo": { "description": "Word-specific information for recognized words. Word information is only included in the response when certain request parameters are set, such as `enable_word_time_offsets`.", "properties": { "endTime": { "format": "google-duration", "description": "Time offset relative to the beginning of the audio, and corresponding to the end of the spoken word. This field is only set if `enable_word_time_offsets=true` and only in the top hypothesis. This is an experimental feature and the accuracy of the time offset can vary.", "type": "string" }, "word": { "type": "string", "description": "The word corresponding to this set of information." }, "speakerTag": { "description": "Output only. A distinct integer value is assigned for every speaker within the audio. This field specifies which one of those speakers was detected to have spoken this word. Value ranges from 1 up to diarization_speaker_count, and is only set if speaker diarization is enabled.", "format": "int32", "readOnly": true, "type": "integer" }, "confidence": { "readOnly": true, "format": "float", "description": "Output only. The confidence estimate between 0.0 and 1.0. A higher number indicates an estimated greater likelihood that the recognized words are correct. This field is set only for the top alternative. This field is not guaranteed to be accurate and users should not rely on it to be always provided. The default of 0.0 is a sentinel value indicating `confidence` was not set.", "type": "number" }, "startTime": { "description": "Time offset relative to the beginning of the audio, and corresponding to the start of the spoken word. This field is only set if `enable_word_time_offsets=true` and only in the top hypothesis. This is an experimental feature and the accuracy of the time offset can vary.", "format": "google-duration", "type": "string" } }, "type": "object", "id": "GoogleCloudVideointelligenceV1p3beta1_WordInfo" }, "GoogleCloudVideointelligenceV1p1beta1_TextFrame": { "description": "Video frame level annotation results for text annotation (OCR). Contains information regarding timestamp and bounding box locations for the frames containing detected OCR text snippets.", "id": "GoogleCloudVideointelligenceV1p1beta1_TextFrame", "type": "object", "properties": { "timeOffset": { "format": "google-duration", "type": "string", "description": "Timestamp of this frame." }, "rotatedBoundingBox": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_NormalizedBoundingPoly", "description": "Bounding polygon of the detected text for this frame." } } }, "GoogleCloudVideointelligenceV1beta2_ExplicitContentAnnotation": { "id": "GoogleCloudVideointelligenceV1beta2_ExplicitContentAnnotation", "description": "Explicit content annotation (based on per-frame visual signals only). If no explicit content has been detected in a frame, no annotations are present for that frame.", "properties": { "frames": { "type": "array", "description": "All video frames where explicit content was detected.", "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_ExplicitContentFrame" } }, "version": { "description": "Feature version.", "type": "string" } }, "type": "object" }, "GoogleCloudVideointelligenceV1_TimestampedObject": { "id": "GoogleCloudVideointelligenceV1_TimestampedObject", "type": "object", "properties": { "normalizedBoundingBox": { "description": "Normalized Bounding box in a frame, where the object is located.", "$ref": "GoogleCloudVideointelligenceV1_NormalizedBoundingBox" }, "attributes": { "type": "array", "description": "Optional. The attributes of the object in the bounding box.", "items": { "$ref": "GoogleCloudVideointelligenceV1_DetectedAttribute" } }, "timeOffset": { "type": "string", "format": "google-duration", "description": "Time-offset, relative to the beginning of the video, corresponding to the video frame for this object." }, "landmarks": { "description": "Optional. The detected landmarks.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1_DetectedLandmark" } } }, "description": "For tracking related features. An object at time_offset with attributes, and located with normalized_bounding_box." }, "GoogleCloudVideointelligenceV1beta2_Track": { "type": "object", "id": "GoogleCloudVideointelligenceV1beta2_Track", "description": "A track of an object instance.", "properties": { "attributes": { "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_DetectedAttribute" }, "type": "array", "description": "Optional. Attributes in the track level." }, "timestampedObjects": { "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_TimestampedObject" }, "type": "array", "description": "The object with timestamp and attributes per frame in the track." }, "segment": { "$ref": "GoogleCloudVideointelligenceV1beta2_VideoSegment", "description": "Video segment of a track." }, "confidence": { "description": "Optional. The confidence score of the tracked object.", "format": "float", "type": "number" } } }, "GoogleCloudVideointelligenceV1beta2_AnnotateVideoResponse": { "properties": { "annotationResults": { "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_VideoAnnotationResults" }, "type": "array", "description": "Annotation results for all videos specified in `AnnotateVideoRequest`." } }, "type": "object", "description": "Video annotation response. Included in the `response` field of the `Operation` returned by the `GetOperation` call of the `google::longrunning::Operations` service.", "id": "GoogleCloudVideointelligenceV1beta2_AnnotateVideoResponse" }, "GoogleCloudVideointelligenceV1p3beta1_DetectedAttribute": { "type": "object", "description": "A generic detected attribute represented by name in string format.", "properties": { "name": { "description": "The name of the attribute, for example, glasses, dark_glasses, mouth_open. A full list of supported type names will be provided in the document.", "type": "string" }, "confidence": { "description": "Detected attribute confidence. Range [0, 1].", "type": "number", "format": "float" }, "value": { "description": "Text value of the detection result. For example, the value for \"HairColor\" can be \"black\", \"blonde\", etc.", "type": "string" } }, "id": "GoogleCloudVideointelligenceV1p3beta1_DetectedAttribute" }, "GoogleCloudVideointelligenceV1beta2_ObjectTrackingFrame": { "id": "GoogleCloudVideointelligenceV1beta2_ObjectTrackingFrame", "properties": { "timeOffset": { "description": "The timestamp of the frame in microseconds.", "format": "google-duration", "type": "string" }, "normalizedBoundingBox": { "$ref": "GoogleCloudVideointelligenceV1beta2_NormalizedBoundingBox", "description": "The normalized bounding box location of this object track for the frame." } }, "description": "Video frame level annotations for object detection and tracking. This field stores per frame location, time offset, and confidence.", "type": "object" }, "GoogleCloudVideointelligenceV1_WordInfo": { "properties": { "confidence": { "format": "float", "description": "Output only. The confidence estimate between 0.0 and 1.0. A higher number indicates an estimated greater likelihood that the recognized words are correct. This field is set only for the top alternative. This field is not guaranteed to be accurate and users should not rely on it to be always provided. The default of 0.0 is a sentinel value indicating `confidence` was not set.", "type": "number", "readOnly": true }, "endTime": { "type": "string", "format": "google-duration", "description": "Time offset relative to the beginning of the audio, and corresponding to the end of the spoken word. This field is only set if `enable_word_time_offsets=true` and only in the top hypothesis. This is an experimental feature and the accuracy of the time offset can vary." }, "speakerTag": { "readOnly": true, "format": "int32", "description": "Output only. A distinct integer value is assigned for every speaker within the audio. This field specifies which one of those speakers was detected to have spoken this word. Value ranges from 1 up to diarization_speaker_count, and is only set if speaker diarization is enabled.", "type": "integer" }, "word": { "description": "The word corresponding to this set of information.", "type": "string" }, "startTime": { "type": "string", "format": "google-duration", "description": "Time offset relative to the beginning of the audio, and corresponding to the start of the spoken word. This field is only set if `enable_word_time_offsets=true` and only in the top hypothesis. This is an experimental feature and the accuracy of the time offset can vary." } }, "type": "object", "description": "Word-specific information for recognized words. Word information is only included in the response when certain request parameters are set, such as `enable_word_time_offsets`.", "id": "GoogleCloudVideointelligenceV1_WordInfo" }, "GoogleCloudVideointelligenceV1p3beta1_FaceFrame": { "properties": { "normalizedBoundingBoxes": { "type": "array", "description": "Normalized Bounding boxes in a frame. There can be more than one boxes if the same face is detected in multiple locations within the current frame.", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_NormalizedBoundingBox" } }, "timeOffset": { "format": "google-duration", "type": "string", "description": "Time-offset, relative to the beginning of the video, corresponding to the video frame for this location." } }, "description": "Deprecated. No effect.", "id": "GoogleCloudVideointelligenceV1p3beta1_FaceFrame", "type": "object" }, "GoogleCloudVideointelligenceV1beta2_LabelFrame": { "id": "GoogleCloudVideointelligenceV1beta2_LabelFrame", "description": "Video frame level annotation results for label detection.", "type": "object", "properties": { "confidence": { "description": "Confidence that the label is accurate. Range: [0, 1].", "format": "float", "type": "number" }, "timeOffset": { "format": "google-duration", "description": "Time-offset, relative to the beginning of the video, corresponding to the video frame for this location.", "type": "string" } } }, "GoogleCloudVideointelligenceV1p1beta1_DetectedAttribute": { "type": "object", "id": "GoogleCloudVideointelligenceV1p1beta1_DetectedAttribute", "description": "A generic detected attribute represented by name in string format.", "properties": { "value": { "type": "string", "description": "Text value of the detection result. For example, the value for \"HairColor\" can be \"black\", \"blonde\", etc." }, "name": { "type": "string", "description": "The name of the attribute, for example, glasses, dark_glasses, mouth_open. A full list of supported type names will be provided in the document." }, "confidence": { "type": "number", "description": "Detected attribute confidence. Range [0, 1].", "format": "float" } } }, "GoogleCloudVideointelligenceV1_ExplicitContentAnnotation": { "id": "GoogleCloudVideointelligenceV1_ExplicitContentAnnotation", "description": "Explicit content annotation (based on per-frame visual signals only). If no explicit content has been detected in a frame, no annotations are present for that frame.", "properties": { "version": { "description": "Feature version.", "type": "string" }, "frames": { "type": "array", "description": "All video frames where explicit content was detected.", "items": { "$ref": "GoogleCloudVideointelligenceV1_ExplicitContentFrame" } } }, "type": "object" }, "GoogleCloudVideointelligenceV1_FaceAnnotation": { "type": "object", "id": "GoogleCloudVideointelligenceV1_FaceAnnotation", "description": "Deprecated. No effect.", "properties": { "thumbnail": { "format": "byte", "description": "Thumbnail of a representative face view (in JPEG format).", "type": "string" }, "frames": { "items": { "$ref": "GoogleCloudVideointelligenceV1_FaceFrame" }, "type": "array", "description": "All video frames where a face was detected." }, "segments": { "items": { "$ref": "GoogleCloudVideointelligenceV1_FaceSegment" }, "description": "All video segments where a face was detected.", "type": "array" } } }, "GoogleCloudVideointelligenceV1p3beta1_TextFrame": { "id": "GoogleCloudVideointelligenceV1p3beta1_TextFrame", "properties": { "rotatedBoundingBox": { "description": "Bounding polygon of the detected text for this frame.", "$ref": "GoogleCloudVideointelligenceV1p3beta1_NormalizedBoundingPoly" }, "timeOffset": { "format": "google-duration", "description": "Timestamp of this frame.", "type": "string" } }, "description": "Video frame level annotation results for text annotation (OCR). Contains information regarding timestamp and bounding box locations for the frames containing detected OCR text snippets.", "type": "object" }, "GoogleCloudVideointelligenceV1p3beta1_SpeechRecognitionAlternative": { "properties": { "transcript": { "description": "Transcript text representing the words that the user spoke.", "type": "string" }, "confidence": { "type": "number", "format": "float", "description": "Output only. The confidence estimate between 0.0 and 1.0. A higher number indicates an estimated greater likelihood that the recognized words are correct. This field is set only for the top alternative. This field is not guaranteed to be accurate and users should not rely on it to be always provided. The default of 0.0 is a sentinel value indicating `confidence` was not set.", "readOnly": true }, "words": { "description": "Output only. A list of word-specific information for each recognized word. Note: When `enable_speaker_diarization` is set to true, you will see all the words from the beginning of the audio.", "type": "array", "readOnly": true, "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_WordInfo" } } }, "description": "Alternative hypotheses (a.k.a. n-best list).", "id": "GoogleCloudVideointelligenceV1p3beta1_SpeechRecognitionAlternative", "type": "object" }, "GoogleCloudVideointelligenceV1p3beta1_TextAnnotation": { "properties": { "segments": { "type": "array", "description": "All video segments where OCR detected text appears.", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_TextSegment" } }, "version": { "type": "string", "description": "Feature version." }, "text": { "type": "string", "description": "The detected text." } }, "type": "object", "description": "Annotations related to one detected OCR text snippet. This will contain the corresponding text, confidence value, and frame level information for each detection.", "id": "GoogleCloudVideointelligenceV1p3beta1_TextAnnotation" }, "GoogleCloudVideointelligenceV1p1beta1_SpeechRecognitionAlternative": { "id": "GoogleCloudVideointelligenceV1p1beta1_SpeechRecognitionAlternative", "type": "object", "description": "Alternative hypotheses (a.k.a. n-best list).", "properties": { "words": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_WordInfo" }, "readOnly": true, "description": "Output only. A list of word-specific information for each recognized word. Note: When `enable_speaker_diarization` is set to true, you will see all the words from the beginning of the audio." }, "transcript": { "type": "string", "description": "Transcript text representing the words that the user spoke." }, "confidence": { "readOnly": true, "description": "Output only. The confidence estimate between 0.0 and 1.0. A higher number indicates an estimated greater likelihood that the recognized words are correct. This field is set only for the top alternative. This field is not guaranteed to be accurate and users should not rely on it to be always provided. The default of 0.0 is a sentinel value indicating `confidence` was not set.", "type": "number", "format": "float" } } }, "GoogleCloudVideointelligenceV1p2beta1_FaceFrame": { "id": "GoogleCloudVideointelligenceV1p2beta1_FaceFrame", "description": "Deprecated. No effect.", "properties": { "normalizedBoundingBoxes": { "type": "array", "description": "Normalized Bounding boxes in a frame. There can be more than one boxes if the same face is detected in multiple locations within the current frame.", "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_NormalizedBoundingBox" } }, "timeOffset": { "description": "Time-offset, relative to the beginning of the video, corresponding to the video frame for this location.", "format": "google-duration", "type": "string" } }, "type": "object" }, "GoogleCloudVideointelligenceV1beta2_ObjectTrackingAnnotation": { "type": "object", "description": "Annotations corresponding to one tracked object.", "properties": { "confidence": { "type": "number", "description": "Object category's labeling confidence of this track.", "format": "float" }, "frames": { "description": "Information corresponding to all frames where this object track appears. Non-streaming batch mode: it may be one or multiple ObjectTrackingFrame messages in frames. Streaming mode: it can only be one ObjectTrackingFrame message in frames.", "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_ObjectTrackingFrame" }, "type": "array" }, "segment": { "description": "Non-streaming batch mode ONLY. Each object track corresponds to one video segment where it appears.", "$ref": "GoogleCloudVideointelligenceV1beta2_VideoSegment" }, "trackId": { "type": "string", "format": "int64", "description": "Streaming mode ONLY. In streaming mode, we do not know the end time of a tracked object before it is completed. Hence, there is no VideoSegment info returned. Instead, we provide a unique identifiable integer track_id so that the customers can correlate the results of the ongoing ObjectTrackAnnotation of the same track_id over time." }, "version": { "type": "string", "description": "Feature version." }, "entity": { "$ref": "GoogleCloudVideointelligenceV1beta2_Entity", "description": "Entity to specify the object category that this track is labeled as." } }, "id": "GoogleCloudVideointelligenceV1beta2_ObjectTrackingAnnotation" }, "GoogleCloudVideointelligenceV1p2beta1_SpeechRecognitionAlternative": { "properties": { "transcript": { "description": "Transcript text representing the words that the user spoke.", "type": "string" }, "words": { "readOnly": true, "type": "array", "description": "Output only. A list of word-specific information for each recognized word. Note: When `enable_speaker_diarization` is set to true, you will see all the words from the beginning of the audio.", "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_WordInfo" } }, "confidence": { "format": "float", "description": "Output only. The confidence estimate between 0.0 and 1.0. A higher number indicates an estimated greater likelihood that the recognized words are correct. This field is set only for the top alternative. This field is not guaranteed to be accurate and users should not rely on it to be always provided. The default of 0.0 is a sentinel value indicating `confidence` was not set.", "type": "number", "readOnly": true } }, "id": "GoogleCloudVideointelligenceV1p2beta1_SpeechRecognitionAlternative", "description": "Alternative hypotheses (a.k.a. n-best list).", "type": "object" }, "GoogleCloudVideointelligenceV1beta2_PersonDetectionAnnotation": { "type": "object", "description": "Person detection annotation per video.", "id": "GoogleCloudVideointelligenceV1beta2_PersonDetectionAnnotation", "properties": { "version": { "description": "Feature version.", "type": "string" }, "tracks": { "type": "array", "description": "The detected tracks of a person.", "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_Track" } } } }, "GoogleCloudVideointelligenceV1p1beta1_DetectedLandmark": { "type": "object", "id": "GoogleCloudVideointelligenceV1p1beta1_DetectedLandmark", "description": "A generic detected landmark represented by name in string format and a 2D location.", "properties": { "name": { "type": "string", "description": "The name of this landmark, for example, left_hand, right_shoulder." }, "confidence": { "format": "float", "type": "number", "description": "The confidence score of the detected landmark. Range [0, 1]." }, "point": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_NormalizedVertex", "description": "The 2D point of the detected landmark using the normalized image coordindate system. The normalized coordinates have the range from 0 to 1." } } }, "GoogleCloudVideointelligenceV1_ObjectTrackingFrame": { "id": "GoogleCloudVideointelligenceV1_ObjectTrackingFrame", "description": "Video frame level annotations for object detection and tracking. This field stores per frame location, time offset, and confidence.", "properties": { "timeOffset": { "type": "string", "format": "google-duration", "description": "The timestamp of the frame in microseconds." }, "normalizedBoundingBox": { "$ref": "GoogleCloudVideointelligenceV1_NormalizedBoundingBox", "description": "The normalized bounding box location of this object track for the frame." } }, "type": "object" }, "GoogleCloudVideointelligenceV1p1beta1_FaceAnnotation": { "id": "GoogleCloudVideointelligenceV1p1beta1_FaceAnnotation", "properties": { "frames": { "type": "array", "description": "All video frames where a face was detected.", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_FaceFrame" } }, "segments": { "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_FaceSegment" }, "description": "All video segments where a face was detected.", "type": "array" }, "thumbnail": { "description": "Thumbnail of a representative face view (in JPEG format).", "type": "string", "format": "byte" } }, "description": "Deprecated. No effect.", "type": "object" }, "GoogleCloudVideointelligenceV1beta2_LabelSegment": { "type": "object", "description": "Video segment level annotation results for label detection.", "properties": { "confidence": { "type": "number", "description": "Confidence that the label is accurate. Range: [0, 1].", "format": "float" }, "segment": { "$ref": "GoogleCloudVideointelligenceV1beta2_VideoSegment", "description": "Video segment where a label was detected." } }, "id": "GoogleCloudVideointelligenceV1beta2_LabelSegment" }, "GoogleCloudVideointelligenceV1p3beta1_Entity": { "description": "Detected entity from video analysis.", "type": "object", "properties": { "languageCode": { "description": "Language code for `description` in BCP-47 format.", "type": "string" }, "entityId": { "type": "string", "description": "Opaque entity ID. Some IDs may be available in [Google Knowledge Graph Search API](https://developers.google.com/knowledge-graph/)." }, "description": { "description": "Textual description, e.g., `Fixed-gear bicycle`.", "type": "string" } }, "id": "GoogleCloudVideointelligenceV1p3beta1_Entity" }, "GoogleCloudVideointelligenceV1p2beta1_AnnotateVideoRequest": { "type": "object", "description": "Video annotation request.", "id": "GoogleCloudVideointelligenceV1p2beta1_AnnotateVideoRequest", "properties": { "outputUri": { "type": "string", "description": "Optional. Location where the output (in JSON format) should be stored. Currently, only [Cloud Storage](https://cloud.google.com/storage/) URIs are supported. These must be specified in the following format: `gs://bucket-id/object-id` (other URI formats return google.rpc.Code.INVALID_ARGUMENT). For more information, see [Request URIs](https://cloud.google.com/storage/docs/request-endpoints)." }, "locationId": { "type": "string", "description": "Optional. Cloud region where annotation should take place. Supported cloud regions are: `us-east1`, `us-west1`, `europe-west1`, `asia-east1`. If no region is specified, the region will be determined based on video file location." }, "features": { "items": { "enum": [ "FEATURE_UNSPECIFIED", "LABEL_DETECTION", "SHOT_CHANGE_DETECTION", "EXPLICIT_CONTENT_DETECTION", "FACE_DETECTION", "SPEECH_TRANSCRIPTION", "TEXT_DETECTION", "OBJECT_TRACKING", "LOGO_RECOGNITION", "PERSON_DETECTION" ], "enumDescriptions": [ "Unspecified.", "Label detection. Detect objects, such as dog or flower.", "Shot change detection.", "Explicit content detection.", "Human face detection.", "Speech transcription.", "OCR text detection and tracking.", "Object detection and tracking.", "Logo detection, tracking, and recognition.", "Person detection." ], "type": "string" }, "description": "Required. Requested video annotation features.", "type": "array" }, "videoContext": { "description": "Additional video context and/or feature-specific parameters.", "$ref": "GoogleCloudVideointelligenceV1p2beta1_VideoContext" }, "inputContent": { "format": "byte", "type": "string", "description": "The video data bytes. If unset, the input video(s) should be specified via the `input_uri`. If set, `input_uri` must be unset." }, "inputUri": { "description": "Input video location. Currently, only [Cloud Storage](https://cloud.google.com/storage/) URIs are supported. URIs must be specified in the following format: `gs://bucket-id/object-id` (other URI formats return google.rpc.Code.INVALID_ARGUMENT). For more information, see [Request URIs](https://cloud.google.com/storage/docs/request-endpoints). To identify multiple videos, a video URI may include wildcards in the `object-id`. Supported wildcards: '*' to match 0 or more characters; '?' to match 1 character. If unset, the input video should be embedded in the request as `input_content`. If set, `input_content` must be unset.", "type": "string" } } }, "GoogleCloudVideointelligenceV1p1beta1_TimestampedObject": { "type": "object", "description": "For tracking related features. An object at time_offset with attributes, and located with normalized_bounding_box.", "properties": { "normalizedBoundingBox": { "description": "Normalized Bounding box in a frame, where the object is located.", "$ref": "GoogleCloudVideointelligenceV1p1beta1_NormalizedBoundingBox" }, "landmarks": { "description": "Optional. The detected landmarks.", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_DetectedLandmark" }, "type": "array" }, "attributes": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_DetectedAttribute" }, "description": "Optional. The attributes of the object in the bounding box." }, "timeOffset": { "type": "string", "description": "Time-offset, relative to the beginning of the video, corresponding to the video frame for this object.", "format": "google-duration" } }, "id": "GoogleCloudVideointelligenceV1p1beta1_TimestampedObject" }, "GoogleCloudVideointelligenceV1beta2_FaceDetectionAnnotation": { "type": "object", "id": "GoogleCloudVideointelligenceV1beta2_FaceDetectionAnnotation", "description": "Face detection annotation.", "properties": { "tracks": { "type": "array", "description": "The face tracks with attributes.", "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_Track" } }, "thumbnail": { "format": "byte", "description": "The thumbnail of a person's face.", "type": "string" }, "version": { "description": "Feature version.", "type": "string" } } }, "GoogleCloudVideointelligenceV1_VideoSegment": { "type": "object", "id": "GoogleCloudVideointelligenceV1_VideoSegment", "description": "Video segment.", "properties": { "startTimeOffset": { "description": "Time-offset, relative to the beginning of the video, corresponding to the start of the segment (inclusive).", "type": "string", "format": "google-duration" }, "endTimeOffset": { "type": "string", "format": "google-duration", "description": "Time-offset, relative to the beginning of the video, corresponding to the end of the segment (inclusive)." } } }, "GoogleCloudVideointelligenceV1p2beta1_VideoSegment": { "description": "Video segment.", "properties": { "endTimeOffset": { "type": "string", "description": "Time-offset, relative to the beginning of the video, corresponding to the end of the segment (inclusive).", "format": "google-duration" }, "startTimeOffset": { "type": "string", "description": "Time-offset, relative to the beginning of the video, corresponding to the start of the segment (inclusive).", "format": "google-duration" } }, "type": "object", "id": "GoogleCloudVideointelligenceV1p2beta1_VideoSegment" }, "GoogleCloudVideointelligenceV1_NormalizedBoundingPoly": { "type": "object", "properties": { "vertices": { "description": "Normalized vertices of the bounding polygon.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1_NormalizedVertex" } } }, "id": "GoogleCloudVideointelligenceV1_NormalizedBoundingPoly", "description": "Normalized bounding polygon for text (that might not be aligned with axis). Contains list of the corner points in clockwise order starting from top-left corner. For example, for a rectangular bounding box: When the text is horizontal it might look like: 0----1 | | 3----2 When it's clockwise rotated 180 degrees around the top-left corner it becomes: 2----3 | | 1----0 and the vertex order will still be (0, 1, 2, 3). Note that values can be less than 0, or greater than 1 due to trignometric calculations for location of the box." }, "GoogleCloudVideointelligenceV1_TextFrame": { "type": "object", "id": "GoogleCloudVideointelligenceV1_TextFrame", "description": "Video frame level annotation results for text annotation (OCR). Contains information regarding timestamp and bounding box locations for the frames containing detected OCR text snippets.", "properties": { "timeOffset": { "format": "google-duration", "description": "Timestamp of this frame.", "type": "string" }, "rotatedBoundingBox": { "description": "Bounding polygon of the detected text for this frame.", "$ref": "GoogleCloudVideointelligenceV1_NormalizedBoundingPoly" } } }, "GoogleRpc_Status": { "properties": { "message": { "type": "string", "description": "A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client." }, "details": { "description": "A list of messages that carry the error details. There is a common set of message types for APIs to use.", "type": "array", "items": { "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "type": "object" } }, "code": { "type": "integer", "format": "int32", "description": "The status code, which should be an enum value of google.rpc.Code." } }, "description": "The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors).", "type": "object", "id": "GoogleRpc_Status" }, "GoogleCloudVideointelligenceV1p3beta1_AnnotateVideoResponse": { "properties": { "annotationResults": { "description": "Annotation results for all videos specified in `AnnotateVideoRequest`.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_VideoAnnotationResults" } } }, "type": "object", "description": "Video annotation response. Included in the `response` field of the `Operation` returned by the `GetOperation` call of the `google::longrunning::Operations` service.", "id": "GoogleCloudVideointelligenceV1p3beta1_AnnotateVideoResponse" }, "GoogleCloudVideointelligenceV1p3beta1_FaceSegment": { "description": "Video segment level annotation results for face detection.", "properties": { "segment": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_VideoSegment", "description": "Video segment where a face was detected." } }, "type": "object", "id": "GoogleCloudVideointelligenceV1p3beta1_FaceSegment" }, "GoogleCloudVideointelligenceV1p2beta1_ObjectTrackingConfig": { "id": "GoogleCloudVideointelligenceV1p2beta1_ObjectTrackingConfig", "properties": { "model": { "description": "Model to use for object tracking. Supported values: \"builtin/stable\" (the default if unset) and \"builtin/latest\".", "type": "string" } }, "type": "object", "description": "Config for OBJECT_TRACKING." }, "GoogleCloudVideointelligenceV1beta2_LogoRecognitionAnnotation": { "description": "Annotation corresponding to one detected, tracked and recognized logo class.", "id": "GoogleCloudVideointelligenceV1beta2_LogoRecognitionAnnotation", "type": "object", "properties": { "segments": { "description": "All video segments where the recognized logo appears. There might be multiple instances of the same logo class appearing in one VideoSegment.", "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_VideoSegment" }, "type": "array" }, "entity": { "$ref": "GoogleCloudVideointelligenceV1beta2_Entity", "description": "Entity category information to specify the logo class that all the logo tracks within this LogoRecognitionAnnotation are recognized as." }, "tracks": { "description": "All logo tracks where the recognized logo appears. Each track corresponds to one logo instance appearing in consecutive frames.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_Track" } } } }, "GoogleCloudVideointelligenceV1p2beta1_TextAnnotation": { "description": "Annotations related to one detected OCR text snippet. This will contain the corresponding text, confidence value, and frame level information for each detection.", "properties": { "version": { "description": "Feature version.", "type": "string" }, "segments": { "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_TextSegment" }, "description": "All video segments where OCR detected text appears.", "type": "array" }, "text": { "type": "string", "description": "The detected text." } }, "id": "GoogleCloudVideointelligenceV1p2beta1_TextAnnotation", "type": "object" }, "GoogleCloudVideointelligenceV1p2beta1_PersonDetectionAnnotation": { "properties": { "version": { "description": "Feature version.", "type": "string" }, "tracks": { "description": "The detected tracks of a person.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_Track" } } }, "id": "GoogleCloudVideointelligenceV1p2beta1_PersonDetectionAnnotation", "description": "Person detection annotation per video.", "type": "object" }, "GoogleCloudVideointelligenceV1p2beta1_AnnotateVideoProgress": { "description": "Video annotation progress. Included in the `metadata` field of the `Operation` returned by the `GetOperation` call of the `google::longrunning::Operations` service.", "properties": { "annotationProgress": { "description": "Progress metadata for all videos specified in `AnnotateVideoRequest`.", "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_VideoAnnotationProgress" }, "type": "array" } }, "id": "GoogleCloudVideointelligenceV1p2beta1_AnnotateVideoProgress", "type": "object" }, "GoogleCloudVideointelligenceV1_VideoAnnotationProgress": { "properties": { "startTime": { "format": "google-datetime", "type": "string", "description": "Time when the request was received." }, "inputUri": { "type": "string", "description": "Video file location in [Cloud Storage](https://cloud.google.com/storage/)." }, "progressPercent": { "format": "int32", "description": "Approximate percentage processed thus far. Guaranteed to be 100 when fully processed.", "type": "integer" }, "feature": { "enumDescriptions": [ "Unspecified.", "Label detection. Detect objects, such as dog or flower.", "Shot change detection.", "Explicit content detection.", "Human face detection.", "Speech transcription.", "OCR text detection and tracking.", "Object detection and tracking.", "Logo detection, tracking, and recognition.", "Person detection." ], "type": "string", "enum": [ "FEATURE_UNSPECIFIED", "LABEL_DETECTION", "SHOT_CHANGE_DETECTION", "EXPLICIT_CONTENT_DETECTION", "FACE_DETECTION", "SPEECH_TRANSCRIPTION", "TEXT_DETECTION", "OBJECT_TRACKING", "LOGO_RECOGNITION", "PERSON_DETECTION" ], "description": "Specifies which feature is being tracked if the request contains more than one feature." }, "segment": { "description": "Specifies which segment is being tracked if the request contains more than one segment.", "$ref": "GoogleCloudVideointelligenceV1_VideoSegment" }, "updateTime": { "description": "Time of the most recent update.", "format": "google-datetime", "type": "string" } }, "id": "GoogleCloudVideointelligenceV1_VideoAnnotationProgress", "description": "Annotation progress for a single video.", "type": "object" }, "GoogleCloudVideointelligenceV1p1beta1_SpeechTranscription": { "type": "object", "id": "GoogleCloudVideointelligenceV1p1beta1_SpeechTranscription", "properties": { "alternatives": { "description": "May contain one or more recognition hypotheses (up to the maximum specified in `max_alternatives`). These alternatives are ordered in terms of accuracy, with the top (first) alternative being the most probable, as ranked by the recognizer.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_SpeechRecognitionAlternative" } }, "languageCode": { "type": "string", "readOnly": true, "description": "Output only. The [BCP-47](https://www.rfc-editor.org/rfc/bcp/bcp47.txt) language tag of the language in this result. This language code was detected to have the most likelihood of being spoken in the audio." } }, "description": "A speech recognition result corresponding to a portion of the audio." }, "GoogleCloudVideointelligenceV1beta2_NormalizedBoundingPoly": { "type": "object", "id": "GoogleCloudVideointelligenceV1beta2_NormalizedBoundingPoly", "description": "Normalized bounding polygon for text (that might not be aligned with axis). Contains list of the corner points in clockwise order starting from top-left corner. For example, for a rectangular bounding box: When the text is horizontal it might look like: 0----1 | | 3----2 When it's clockwise rotated 180 degrees around the top-left corner it becomes: 2----3 | | 1----0 and the vertex order will still be (0, 1, 2, 3). Note that values can be less than 0, or greater than 1 due to trignometric calculations for location of the box.", "properties": { "vertices": { "description": "Normalized vertices of the bounding polygon.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_NormalizedVertex" } } } }, "GoogleCloudVideointelligenceV1p3beta1_TimestampedObject": { "properties": { "normalizedBoundingBox": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_NormalizedBoundingBox", "description": "Normalized Bounding box in a frame, where the object is located." }, "timeOffset": { "format": "google-duration", "type": "string", "description": "Time-offset, relative to the beginning of the video, corresponding to the video frame for this object." }, "landmarks": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_DetectedLandmark" }, "description": "Optional. The detected landmarks." }, "attributes": { "description": "Optional. The attributes of the object in the bounding box.", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_DetectedAttribute" }, "type": "array" } }, "type": "object", "description": "For tracking related features. An object at time_offset with attributes, and located with normalized_bounding_box.", "id": "GoogleCloudVideointelligenceV1p3beta1_TimestampedObject" }, "GoogleCloudVideointelligenceV1beta2_SpeechTranscription": { "properties": { "languageCode": { "readOnly": true, "description": "Output only. The [BCP-47](https://www.rfc-editor.org/rfc/bcp/bcp47.txt) language tag of the language in this result. This language code was detected to have the most likelihood of being spoken in the audio.", "type": "string" }, "alternatives": { "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_SpeechRecognitionAlternative" }, "description": "May contain one or more recognition hypotheses (up to the maximum specified in `max_alternatives`). These alternatives are ordered in terms of accuracy, with the top (first) alternative being the most probable, as ranked by the recognizer.", "type": "array" } }, "id": "GoogleCloudVideointelligenceV1beta2_SpeechTranscription", "description": "A speech recognition result corresponding to a portion of the audio.", "type": "object" }, "GoogleCloudVideointelligenceV1p2beta1_ObjectTrackingFrame": { "id": "GoogleCloudVideointelligenceV1p2beta1_ObjectTrackingFrame", "description": "Video frame level annotations for object detection and tracking. This field stores per frame location, time offset, and confidence.", "properties": { "timeOffset": { "type": "string", "format": "google-duration", "description": "The timestamp of the frame in microseconds." }, "normalizedBoundingBox": { "description": "The normalized bounding box location of this object track for the frame.", "$ref": "GoogleCloudVideointelligenceV1p2beta1_NormalizedBoundingBox" } }, "type": "object" }, "GoogleCloudVideointelligenceV1p3beta1_LabelFrame": { "type": "object", "id": "GoogleCloudVideointelligenceV1p3beta1_LabelFrame", "properties": { "confidence": { "description": "Confidence that the label is accurate. Range: [0, 1].", "type": "number", "format": "float" }, "timeOffset": { "format": "google-duration", "type": "string", "description": "Time-offset, relative to the beginning of the video, corresponding to the video frame for this location." } }, "description": "Video frame level annotation results for label detection." }, "GoogleCloudVideointelligenceV1p2beta1_VideoContext": { "type": "object", "properties": { "textDetectionConfig": { "description": "Config for TEXT_DETECTION.", "$ref": "GoogleCloudVideointelligenceV1p2beta1_TextDetectionConfig" }, "faceDetectionConfig": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_FaceDetectionConfig", "description": "Config for FACE_DETECTION." }, "explicitContentDetectionConfig": { "description": "Config for EXPLICIT_CONTENT_DETECTION.", "$ref": "GoogleCloudVideointelligenceV1p2beta1_ExplicitContentDetectionConfig" }, "personDetectionConfig": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_PersonDetectionConfig", "description": "Config for PERSON_DETECTION." }, "labelDetectionConfig": { "description": "Config for LABEL_DETECTION.", "$ref": "GoogleCloudVideointelligenceV1p2beta1_LabelDetectionConfig" }, "shotChangeDetectionConfig": { "description": "Config for SHOT_CHANGE_DETECTION.", "$ref": "GoogleCloudVideointelligenceV1p2beta1_ShotChangeDetectionConfig" }, "speechTranscriptionConfig": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_SpeechTranscriptionConfig", "description": "Config for SPEECH_TRANSCRIPTION." }, "objectTrackingConfig": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_ObjectTrackingConfig", "description": "Config for OBJECT_TRACKING." }, "segments": { "type": "array", "description": "Video segments to annotate. The segments may overlap and are not required to be contiguous or span the whole video. If unspecified, each video is treated as a single segment.", "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_VideoSegment" } } }, "description": "Video context and/or feature-specific parameters.", "id": "GoogleCloudVideointelligenceV1p2beta1_VideoContext" }, "GoogleCloudVideointelligenceV1_VideoAnnotationResults": { "description": "Annotation results for a single video.", "id": "GoogleCloudVideointelligenceV1_VideoAnnotationResults", "properties": { "segment": { "$ref": "GoogleCloudVideointelligenceV1_VideoSegment", "description": "Video segment on which the annotation is run." }, "personDetectionAnnotations": { "description": "Person detection annotations.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1_PersonDetectionAnnotation" } }, "explicitAnnotation": { "$ref": "GoogleCloudVideointelligenceV1_ExplicitContentAnnotation", "description": "Explicit content annotation." }, "faceAnnotations": { "items": { "$ref": "GoogleCloudVideointelligenceV1_FaceAnnotation" }, "description": "Deprecated. Please use `face_detection_annotations` instead.", "type": "array" }, "shotLabelAnnotations": { "description": "Topical label annotations on shot level. There is exactly one element for each unique label.", "items": { "$ref": "GoogleCloudVideointelligenceV1_LabelAnnotation" }, "type": "array" }, "speechTranscriptions": { "items": { "$ref": "GoogleCloudVideointelligenceV1_SpeechTranscription" }, "type": "array", "description": "Speech transcription." }, "shotPresenceLabelAnnotations": { "description": "Presence label annotations on shot level. There is exactly one element for each unique label. Compared to the existing topical `shot_label_annotations`, this field presents more fine-grained, shot-level labels detected in video content and is made available only when the client sets `LabelDetectionConfig.model` to \"builtin/latest\" in the request.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1_LabelAnnotation" } }, "inputUri": { "description": "Video file location in [Cloud Storage](https://cloud.google.com/storage/).", "type": "string" }, "frameLabelAnnotations": { "items": { "$ref": "GoogleCloudVideointelligenceV1_LabelAnnotation" }, "type": "array", "description": "Label annotations on frame level. There is exactly one element for each unique label." }, "error": { "$ref": "GoogleRpc_Status", "description": "If set, indicates an error. Note that for a single `AnnotateVideoRequest` some videos may succeed and some may fail." }, "segmentLabelAnnotations": { "items": { "$ref": "GoogleCloudVideointelligenceV1_LabelAnnotation" }, "description": "Topical label annotations on video level or user-specified segment level. There is exactly one element for each unique label.", "type": "array" }, "logoRecognitionAnnotations": { "description": "Annotations for list of logos detected, tracked and recognized in video.", "items": { "$ref": "GoogleCloudVideointelligenceV1_LogoRecognitionAnnotation" }, "type": "array" }, "textAnnotations": { "description": "OCR text detection and tracking. Annotations for list of detected text snippets. Each will have list of frame information associated with it.", "items": { "$ref": "GoogleCloudVideointelligenceV1_TextAnnotation" }, "type": "array" }, "faceDetectionAnnotations": { "description": "Face detection annotations.", "items": { "$ref": "GoogleCloudVideointelligenceV1_FaceDetectionAnnotation" }, "type": "array" }, "objectAnnotations": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1_ObjectTrackingAnnotation" }, "description": "Annotations for list of objects detected and tracked in video." }, "shotAnnotations": { "type": "array", "description": "Shot annotations. Each shot is represented as a video segment.", "items": { "$ref": "GoogleCloudVideointelligenceV1_VideoSegment" } }, "segmentPresenceLabelAnnotations": { "description": "Presence label annotations on video level or user-specified segment level. There is exactly one element for each unique label. Compared to the existing topical `segment_label_annotations`, this field presents more fine-grained, segment-level labels detected in video content and is made available only when the client sets `LabelDetectionConfig.model` to \"builtin/latest\" in the request.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1_LabelAnnotation" } } }, "type": "object" }, "GoogleCloudVideointelligenceV1p3beta1_NormalizedBoundingBox": { "id": "GoogleCloudVideointelligenceV1p3beta1_NormalizedBoundingBox", "properties": { "top": { "format": "float", "type": "number", "description": "Top Y coordinate." }, "bottom": { "format": "float", "description": "Bottom Y coordinate.", "type": "number" }, "left": { "format": "float", "type": "number", "description": "Left X coordinate." }, "right": { "description": "Right X coordinate.", "type": "number", "format": "float" } }, "type": "object", "description": "Normalized bounding box. The normalized vertex coordinates are relative to the original image. Range: [0, 1]." }, "GoogleCloudVideointelligenceV1beta2_Entity": { "type": "object", "properties": { "description": { "type": "string", "description": "Textual description, e.g., `Fixed-gear bicycle`." }, "languageCode": { "type": "string", "description": "Language code for `description` in BCP-47 format." }, "entityId": { "type": "string", "description": "Opaque entity ID. Some IDs may be available in [Google Knowledge Graph Search API](https://developers.google.com/knowledge-graph/)." } }, "id": "GoogleCloudVideointelligenceV1beta2_Entity", "description": "Detected entity from video analysis." }, "GoogleCloudVideointelligenceV1_NormalizedBoundingBox": { "type": "object", "description": "Normalized bounding box. The normalized vertex coordinates are relative to the original image. Range: [0, 1].", "id": "GoogleCloudVideointelligenceV1_NormalizedBoundingBox", "properties": { "right": { "format": "float", "type": "number", "description": "Right X coordinate." }, "bottom": { "type": "number", "description": "Bottom Y coordinate.", "format": "float" }, "top": { "format": "float", "description": "Top Y coordinate.", "type": "number" }, "left": { "type": "number", "description": "Left X coordinate.", "format": "float" } } }, "GoogleCloudVideointelligenceV1beta2_TimestampedObject": { "description": "For tracking related features. An object at time_offset with attributes, and located with normalized_bounding_box.", "type": "object", "properties": { "attributes": { "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_DetectedAttribute" }, "type": "array", "description": "Optional. The attributes of the object in the bounding box." }, "landmarks": { "type": "array", "description": "Optional. The detected landmarks.", "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_DetectedLandmark" } }, "timeOffset": { "description": "Time-offset, relative to the beginning of the video, corresponding to the video frame for this object.", "type": "string", "format": "google-duration" }, "normalizedBoundingBox": { "description": "Normalized Bounding box in a frame, where the object is located.", "$ref": "GoogleCloudVideointelligenceV1beta2_NormalizedBoundingBox" } }, "id": "GoogleCloudVideointelligenceV1beta2_TimestampedObject" }, "GoogleCloudVideointelligenceV1p3beta1_StreamingAnnotateVideoResponse": { "description": "`StreamingAnnotateVideoResponse` is the only message returned to the client by `StreamingAnnotateVideo`. A series of zero or more `StreamingAnnotateVideoResponse` messages are streamed back to the client.", "properties": { "annotationResultsUri": { "type": "string", "description": "Google Cloud Storage URI that stores annotation results of one streaming session in JSON format. It is the annotation_result_storage_directory from the request followed by '/cloud_project_number-session_id'." }, "annotationResults": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_StreamingVideoAnnotationResults", "description": "Streaming annotation results." }, "error": { "description": "If set, returns a google.rpc.Status message that specifies the error for the operation.", "$ref": "GoogleRpc_Status" } }, "type": "object", "id": "GoogleCloudVideointelligenceV1p3beta1_StreamingAnnotateVideoResponse" }, "GoogleCloudVideointelligenceV1beta2_VideoAnnotationResults": { "type": "object", "id": "GoogleCloudVideointelligenceV1beta2_VideoAnnotationResults", "description": "Annotation results for a single video.", "properties": { "inputUri": { "type": "string", "description": "Video file location in [Cloud Storage](https://cloud.google.com/storage/)." }, "explicitAnnotation": { "description": "Explicit content annotation.", "$ref": "GoogleCloudVideointelligenceV1beta2_ExplicitContentAnnotation" }, "faceAnnotations": { "type": "array", "description": "Deprecated. Please use `face_detection_annotations` instead.", "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_FaceAnnotation" } }, "textAnnotations": { "description": "OCR text detection and tracking. Annotations for list of detected text snippets. Each will have list of frame information associated with it.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_TextAnnotation" } }, "segmentLabelAnnotations": { "type": "array", "description": "Topical label annotations on video level or user-specified segment level. There is exactly one element for each unique label.", "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_LabelAnnotation" } }, "frameLabelAnnotations": { "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_LabelAnnotation" }, "description": "Label annotations on frame level. There is exactly one element for each unique label.", "type": "array" }, "faceDetectionAnnotations": { "description": "Face detection annotations.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_FaceDetectionAnnotation" } }, "shotPresenceLabelAnnotations": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_LabelAnnotation" }, "description": "Presence label annotations on shot level. There is exactly one element for each unique label. Compared to the existing topical `shot_label_annotations`, this field presents more fine-grained, shot-level labels detected in video content and is made available only when the client sets `LabelDetectionConfig.model` to \"builtin/latest\" in the request." }, "segmentPresenceLabelAnnotations": { "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_LabelAnnotation" }, "description": "Presence label annotations on video level or user-specified segment level. There is exactly one element for each unique label. Compared to the existing topical `segment_label_annotations`, this field presents more fine-grained, segment-level labels detected in video content and is made available only when the client sets `LabelDetectionConfig.model` to \"builtin/latest\" in the request.", "type": "array" }, "logoRecognitionAnnotations": { "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_LogoRecognitionAnnotation" }, "type": "array", "description": "Annotations for list of logos detected, tracked and recognized in video." }, "shotLabelAnnotations": { "type": "array", "description": "Topical label annotations on shot level. There is exactly one element for each unique label.", "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_LabelAnnotation" } }, "personDetectionAnnotations": { "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_PersonDetectionAnnotation" }, "type": "array", "description": "Person detection annotations." }, "error": { "description": "If set, indicates an error. Note that for a single `AnnotateVideoRequest` some videos may succeed and some may fail.", "$ref": "GoogleRpc_Status" }, "segment": { "description": "Video segment on which the annotation is run.", "$ref": "GoogleCloudVideointelligenceV1beta2_VideoSegment" }, "shotAnnotations": { "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_VideoSegment" }, "type": "array", "description": "Shot annotations. Each shot is represented as a video segment." }, "objectAnnotations": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_ObjectTrackingAnnotation" }, "description": "Annotations for list of objects detected and tracked in video." }, "speechTranscriptions": { "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_SpeechTranscription" }, "type": "array", "description": "Speech transcription." } } }, "GoogleCloudVideointelligenceV1p2beta1_ExplicitContentFrame": { "id": "GoogleCloudVideointelligenceV1p2beta1_ExplicitContentFrame", "properties": { "pornographyLikelihood": { "description": "Likelihood of the pornography content..", "enumDescriptions": [ "Unspecified likelihood.", "Very unlikely.", "Unlikely.", "Possible.", "Likely.", "Very likely." ], "type": "string", "enum": [ "LIKELIHOOD_UNSPECIFIED", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ] }, "timeOffset": { "description": "Time-offset, relative to the beginning of the video, corresponding to the video frame for this location.", "type": "string", "format": "google-duration" } }, "description": "Video frame level annotation results for explicit content.", "type": "object" }, "GoogleCloudVideointelligenceV1p1beta1_ExplicitContentAnnotation": { "id": "GoogleCloudVideointelligenceV1p1beta1_ExplicitContentAnnotation", "type": "object", "description": "Explicit content annotation (based on per-frame visual signals only). If no explicit content has been detected in a frame, no annotations are present for that frame.", "properties": { "version": { "description": "Feature version.", "type": "string" }, "frames": { "type": "array", "description": "All video frames where explicit content was detected.", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_ExplicitContentFrame" } } } }, "GoogleCloudVideointelligenceV1p2beta1_LabelAnnotation": { "id": "GoogleCloudVideointelligenceV1p2beta1_LabelAnnotation", "type": "object", "properties": { "frames": { "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_LabelFrame" }, "description": "All video frames where a label was detected.", "type": "array" }, "categoryEntities": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_Entity" }, "description": "Common categories for the detected entity. For example, when the label is `Terrier`, the category is likely `dog`. And in some cases there might be more than one categories e.g., `Terrier` could also be a `pet`." }, "segments": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_LabelSegment" }, "description": "All video segments where a label was detected." }, "version": { "description": "Feature version.", "type": "string" }, "entity": { "description": "Detected entity.", "$ref": "GoogleCloudVideointelligenceV1p2beta1_Entity" } }, "description": "Label annotation." }, "GoogleCloudVideointelligenceV1p3beta1_ExplicitContentFrame": { "type": "object", "description": "Video frame level annotation results for explicit content.", "properties": { "pornographyLikelihood": { "enum": [ "LIKELIHOOD_UNSPECIFIED", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ], "enumDescriptions": [ "Unspecified likelihood.", "Very unlikely.", "Unlikely.", "Possible.", "Likely.", "Very likely." ], "type": "string", "description": "Likelihood of the pornography content.." }, "timeOffset": { "type": "string", "description": "Time-offset, relative to the beginning of the video, corresponding to the video frame for this location.", "format": "google-duration" } }, "id": "GoogleCloudVideointelligenceV1p3beta1_ExplicitContentFrame" }, "GoogleCloudVideointelligenceV1_FaceDetectionAnnotation": { "description": "Face detection annotation.", "id": "GoogleCloudVideointelligenceV1_FaceDetectionAnnotation", "properties": { "tracks": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1_Track" }, "description": "The face tracks with attributes." }, "version": { "description": "Feature version.", "type": "string" }, "thumbnail": { "format": "byte", "description": "The thumbnail of a person's face.", "type": "string" } }, "type": "object" }, "GoogleCloudVideointelligenceV1_LabelSegment": { "type": "object", "properties": { "confidence": { "description": "Confidence that the label is accurate. Range: [0, 1].", "type": "number", "format": "float" }, "segment": { "description": "Video segment where a label was detected.", "$ref": "GoogleCloudVideointelligenceV1_VideoSegment" } }, "id": "GoogleCloudVideointelligenceV1_LabelSegment", "description": "Video segment level annotation results for label detection." }, "GoogleCloudVideointelligenceV1_PersonDetectionAnnotation": { "type": "object", "properties": { "version": { "description": "Feature version.", "type": "string" }, "tracks": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1_Track" }, "description": "The detected tracks of a person." } }, "id": "GoogleCloudVideointelligenceV1_PersonDetectionAnnotation", "description": "Person detection annotation per video." }, "GoogleCloudVideointelligenceV1p3beta1_LabelSegment": { "properties": { "segment": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_VideoSegment", "description": "Video segment where a label was detected." }, "confidence": { "format": "float", "description": "Confidence that the label is accurate. Range: [0, 1].", "type": "number" } }, "type": "object", "id": "GoogleCloudVideointelligenceV1p3beta1_LabelSegment", "description": "Video segment level annotation results for label detection." }, "GoogleCloudVideointelligenceV1p1beta1_NormalizedVertex": { "properties": { "x": { "description": "X coordinate.", "type": "number", "format": "float" }, "y": { "format": "float", "description": "Y coordinate.", "type": "number" } }, "id": "GoogleCloudVideointelligenceV1p1beta1_NormalizedVertex", "description": "A vertex represents a 2D point in the image. NOTE: the normalized vertex coordinates are relative to the original image and range from 0 to 1.", "type": "object" }, "GoogleCloudVideointelligenceV1p2beta1_Entity": { "properties": { "entityId": { "type": "string", "description": "Opaque entity ID. Some IDs may be available in [Google Knowledge Graph Search API](https://developers.google.com/knowledge-graph/)." }, "description": { "description": "Textual description, e.g., `Fixed-gear bicycle`.", "type": "string" }, "languageCode": { "type": "string", "description": "Language code for `description` in BCP-47 format." } }, "type": "object", "id": "GoogleCloudVideointelligenceV1p2beta1_Entity", "description": "Detected entity from video analysis." }, "GoogleCloudVideointelligenceV1_SpeechRecognitionAlternative": { "type": "object", "id": "GoogleCloudVideointelligenceV1_SpeechRecognitionAlternative", "description": "Alternative hypotheses (a.k.a. n-best list).", "properties": { "transcript": { "description": "Transcript text representing the words that the user spoke.", "type": "string" }, "words": { "description": "Output only. A list of word-specific information for each recognized word. Note: When `enable_speaker_diarization` is set to true, you will see all the words from the beginning of the audio.", "type": "array", "readOnly": true, "items": { "$ref": "GoogleCloudVideointelligenceV1_WordInfo" } }, "confidence": { "readOnly": true, "description": "Output only. The confidence estimate between 0.0 and 1.0. A higher number indicates an estimated greater likelihood that the recognized words are correct. This field is set only for the top alternative. This field is not guaranteed to be accurate and users should not rely on it to be always provided. The default of 0.0 is a sentinel value indicating `confidence` was not set.", "type": "number", "format": "float" } } }, "GoogleCloudVideointelligenceV1p1beta1_NormalizedBoundingBox": { "properties": { "top": { "description": "Top Y coordinate.", "format": "float", "type": "number" }, "bottom": { "type": "number", "format": "float", "description": "Bottom Y coordinate." }, "right": { "description": "Right X coordinate.", "type": "number", "format": "float" }, "left": { "description": "Left X coordinate.", "format": "float", "type": "number" } }, "type": "object", "description": "Normalized bounding box. The normalized vertex coordinates are relative to the original image. Range: [0, 1].", "id": "GoogleCloudVideointelligenceV1p1beta1_NormalizedBoundingBox" }, "GoogleCloudVideointelligenceV1p3beta1_ObjectTrackingAnnotation": { "description": "Annotations corresponding to one tracked object.", "properties": { "segment": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_VideoSegment", "description": "Non-streaming batch mode ONLY. Each object track corresponds to one video segment where it appears." }, "frames": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_ObjectTrackingFrame" }, "description": "Information corresponding to all frames where this object track appears. Non-streaming batch mode: it may be one or multiple ObjectTrackingFrame messages in frames. Streaming mode: it can only be one ObjectTrackingFrame message in frames." }, "version": { "description": "Feature version.", "type": "string" }, "confidence": { "type": "number", "description": "Object category's labeling confidence of this track.", "format": "float" }, "entity": { "description": "Entity to specify the object category that this track is labeled as.", "$ref": "GoogleCloudVideointelligenceV1p3beta1_Entity" }, "trackId": { "format": "int64", "type": "string", "description": "Streaming mode ONLY. In streaming mode, we do not know the end time of a tracked object before it is completed. Hence, there is no VideoSegment info returned. Instead, we provide a unique identifiable integer track_id so that the customers can correlate the results of the ongoing ObjectTrackAnnotation of the same track_id over time." } }, "id": "GoogleCloudVideointelligenceV1p3beta1_ObjectTrackingAnnotation", "type": "object" }, "GoogleCloudVideointelligenceV1p2beta1_TextFrame": { "id": "GoogleCloudVideointelligenceV1p2beta1_TextFrame", "type": "object", "properties": { "rotatedBoundingBox": { "description": "Bounding polygon of the detected text for this frame.", "$ref": "GoogleCloudVideointelligenceV1p2beta1_NormalizedBoundingPoly" }, "timeOffset": { "format": "google-duration", "type": "string", "description": "Timestamp of this frame." } }, "description": "Video frame level annotation results for text annotation (OCR). Contains information regarding timestamp and bounding box locations for the frames containing detected OCR text snippets." }, "GoogleCloudVideointelligenceV1p3beta1_SpeechTranscription": { "type": "object", "id": "GoogleCloudVideointelligenceV1p3beta1_SpeechTranscription", "description": "A speech recognition result corresponding to a portion of the audio.", "properties": { "alternatives": { "description": "May contain one or more recognition hypotheses (up to the maximum specified in `max_alternatives`). These alternatives are ordered in terms of accuracy, with the top (first) alternative being the most probable, as ranked by the recognizer.", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_SpeechRecognitionAlternative" }, "type": "array" }, "languageCode": { "type": "string", "description": "Output only. The [BCP-47](https://www.rfc-editor.org/rfc/bcp/bcp47.txt) language tag of the language in this result. This language code was detected to have the most likelihood of being spoken in the audio.", "readOnly": true } } }, "GoogleCloudVideointelligenceV1beta2_NormalizedVertex": { "type": "object", "description": "A vertex represents a 2D point in the image. NOTE: the normalized vertex coordinates are relative to the original image and range from 0 to 1.", "properties": { "x": { "format": "float", "type": "number", "description": "X coordinate." }, "y": { "description": "Y coordinate.", "format": "float", "type": "number" } }, "id": "GoogleCloudVideointelligenceV1beta2_NormalizedVertex" }, "GoogleCloudVideointelligenceV1p2beta1_SpeechContext": { "id": "GoogleCloudVideointelligenceV1p2beta1_SpeechContext", "properties": { "phrases": { "items": { "type": "string" }, "type": "array", "description": "Optional. A list of strings containing words and phrases \"hints\" so that the speech recognition is more likely to recognize them. This can be used to improve the accuracy for specific words and phrases, for example, if specific commands are typically spoken by the user. This can also be used to add additional words to the vocabulary of the recognizer. See [usage limits](https://cloud.google.com/speech/limits#content)." } }, "description": "Provides \"hints\" to the speech recognizer to favor specific words and phrases in the results.", "type": "object" }, "GoogleCloudVideointelligenceV1p1beta1_WordInfo": { "type": "object", "id": "GoogleCloudVideointelligenceV1p1beta1_WordInfo", "properties": { "confidence": { "description": "Output only. The confidence estimate between 0.0 and 1.0. A higher number indicates an estimated greater likelihood that the recognized words are correct. This field is set only for the top alternative. This field is not guaranteed to be accurate and users should not rely on it to be always provided. The default of 0.0 is a sentinel value indicating `confidence` was not set.", "type": "number", "readOnly": true, "format": "float" }, "speakerTag": { "type": "integer", "readOnly": true, "format": "int32", "description": "Output only. A distinct integer value is assigned for every speaker within the audio. This field specifies which one of those speakers was detected to have spoken this word. Value ranges from 1 up to diarization_speaker_count, and is only set if speaker diarization is enabled." }, "startTime": { "type": "string", "description": "Time offset relative to the beginning of the audio, and corresponding to the start of the spoken word. This field is only set if `enable_word_time_offsets=true` and only in the top hypothesis. This is an experimental feature and the accuracy of the time offset can vary.", "format": "google-duration" }, "endTime": { "type": "string", "format": "google-duration", "description": "Time offset relative to the beginning of the audio, and corresponding to the end of the spoken word. This field is only set if `enable_word_time_offsets=true` and only in the top hypothesis. This is an experimental feature and the accuracy of the time offset can vary." }, "word": { "type": "string", "description": "The word corresponding to this set of information." } }, "description": "Word-specific information for recognized words. Word information is only included in the response when certain request parameters are set, such as `enable_word_time_offsets`." }, "GoogleCloudVideointelligenceV1beta2_LabelAnnotation": { "description": "Label annotation.", "properties": { "segments": { "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_LabelSegment" }, "type": "array", "description": "All video segments where a label was detected." }, "frames": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_LabelFrame" }, "description": "All video frames where a label was detected." }, "version": { "description": "Feature version.", "type": "string" }, "entity": { "$ref": "GoogleCloudVideointelligenceV1beta2_Entity", "description": "Detected entity." }, "categoryEntities": { "description": "Common categories for the detected entity. For example, when the label is `Terrier`, the category is likely `dog`. And in some cases there might be more than one categories e.g., `Terrier` could also be a `pet`.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_Entity" } } }, "id": "GoogleCloudVideointelligenceV1beta2_LabelAnnotation", "type": "object" }, "GoogleCloudVideointelligenceV1_AnnotateVideoResponse": { "description": "Video annotation response. Included in the `response` field of the `Operation` returned by the `GetOperation` call of the `google::longrunning::Operations` service.", "id": "GoogleCloudVideointelligenceV1_AnnotateVideoResponse", "type": "object", "properties": { "annotationResults": { "description": "Annotation results for all videos specified in `AnnotateVideoRequest`.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1_VideoAnnotationResults" } } } }, "GoogleCloudVideointelligenceV1beta2_DetectedAttribute": { "id": "GoogleCloudVideointelligenceV1beta2_DetectedAttribute", "properties": { "name": { "type": "string", "description": "The name of the attribute, for example, glasses, dark_glasses, mouth_open. A full list of supported type names will be provided in the document." }, "value": { "description": "Text value of the detection result. For example, the value for \"HairColor\" can be \"black\", \"blonde\", etc.", "type": "string" }, "confidence": { "type": "number", "format": "float", "description": "Detected attribute confidence. Range [0, 1]." } }, "description": "A generic detected attribute represented by name in string format.", "type": "object" }, "GoogleCloudVideointelligenceV1p3beta1_FaceDetectionAnnotation": { "description": "Face detection annotation.", "type": "object", "id": "GoogleCloudVideointelligenceV1p3beta1_FaceDetectionAnnotation", "properties": { "thumbnail": { "type": "string", "description": "The thumbnail of a person's face.", "format": "byte" }, "tracks": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_Track" }, "description": "The face tracks with attributes." }, "version": { "type": "string", "description": "Feature version." } } }, "GoogleCloudVideointelligenceV1p1beta1_TextAnnotation": { "description": "Annotations related to one detected OCR text snippet. This will contain the corresponding text, confidence value, and frame level information for each detection.", "id": "GoogleCloudVideointelligenceV1p1beta1_TextAnnotation", "type": "object", "properties": { "segments": { "description": "All video segments where OCR detected text appears.", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_TextSegment" }, "type": "array" }, "version": { "type": "string", "description": "Feature version." }, "text": { "type": "string", "description": "The detected text." } } }, "GoogleCloudVideointelligenceV1p2beta1_Track": { "type": "object", "properties": { "confidence": { "description": "Optional. The confidence score of the tracked object.", "format": "float", "type": "number" }, "attributes": { "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_DetectedAttribute" }, "type": "array", "description": "Optional. Attributes in the track level." }, "segment": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_VideoSegment", "description": "Video segment of a track." }, "timestampedObjects": { "description": "The object with timestamp and attributes per frame in the track.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_TimestampedObject" } } }, "id": "GoogleCloudVideointelligenceV1p2beta1_Track", "description": "A track of an object instance." }, "GoogleCloudVideointelligenceV1p2beta1_DetectedAttribute": { "properties": { "name": { "type": "string", "description": "The name of the attribute, for example, glasses, dark_glasses, mouth_open. A full list of supported type names will be provided in the document." }, "value": { "type": "string", "description": "Text value of the detection result. For example, the value for \"HairColor\" can be \"black\", \"blonde\", etc." }, "confidence": { "description": "Detected attribute confidence. Range [0, 1].", "format": "float", "type": "number" } }, "description": "A generic detected attribute represented by name in string format.", "type": "object", "id": "GoogleCloudVideointelligenceV1p2beta1_DetectedAttribute" }, "GoogleCloudVideointelligenceV1_DetectedAttribute": { "id": "GoogleCloudVideointelligenceV1_DetectedAttribute", "description": "A generic detected attribute represented by name in string format.", "type": "object", "properties": { "confidence": { "format": "float", "description": "Detected attribute confidence. Range [0, 1].", "type": "number" }, "value": { "type": "string", "description": "Text value of the detection result. For example, the value for \"HairColor\" can be \"black\", \"blonde\", etc." }, "name": { "description": "The name of the attribute, for example, glasses, dark_glasses, mouth_open. A full list of supported type names will be provided in the document.", "type": "string" } } }, "GoogleCloudVideointelligenceV1_FaceFrame": { "type": "object", "properties": { "normalizedBoundingBoxes": { "items": { "$ref": "GoogleCloudVideointelligenceV1_NormalizedBoundingBox" }, "type": "array", "description": "Normalized Bounding boxes in a frame. There can be more than one boxes if the same face is detected in multiple locations within the current frame." }, "timeOffset": { "type": "string", "format": "google-duration", "description": "Time-offset, relative to the beginning of the video, corresponding to the video frame for this location." } }, "id": "GoogleCloudVideointelligenceV1_FaceFrame", "description": "Deprecated. No effect." }, "GoogleCloudVideointelligenceV1_DetectedLandmark": { "id": "GoogleCloudVideointelligenceV1_DetectedLandmark", "description": "A generic detected landmark represented by name in string format and a 2D location.", "type": "object", "properties": { "name": { "description": "The name of this landmark, for example, left_hand, right_shoulder.", "type": "string" }, "point": { "description": "The 2D point of the detected landmark using the normalized image coordindate system. The normalized coordinates have the range from 0 to 1.", "$ref": "GoogleCloudVideointelligenceV1_NormalizedVertex" }, "confidence": { "format": "float", "type": "number", "description": "The confidence score of the detected landmark. Range [0, 1]." } } }, "GoogleCloudVideointelligenceV1p3beta1_NormalizedVertex": { "id": "GoogleCloudVideointelligenceV1p3beta1_NormalizedVertex", "properties": { "y": { "format": "float", "type": "number", "description": "Y coordinate." }, "x": { "type": "number", "format": "float", "description": "X coordinate." } }, "type": "object", "description": "A vertex represents a 2D point in the image. NOTE: the normalized vertex coordinates are relative to the original image and range from 0 to 1." }, "GoogleCloudVideointelligenceV1p2beta1_FaceSegment": { "description": "Video segment level annotation results for face detection.", "id": "GoogleCloudVideointelligenceV1p2beta1_FaceSegment", "properties": { "segment": { "description": "Video segment where a face was detected.", "$ref": "GoogleCloudVideointelligenceV1p2beta1_VideoSegment" } }, "type": "object" }, "GoogleCloudVideointelligenceV1p2beta1_ExplicitContentAnnotation": { "properties": { "frames": { "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_ExplicitContentFrame" }, "type": "array", "description": "All video frames where explicit content was detected." }, "version": { "description": "Feature version.", "type": "string" } }, "description": "Explicit content annotation (based on per-frame visual signals only). If no explicit content has been detected in a frame, no annotations are present for that frame.", "id": "GoogleCloudVideointelligenceV1p2beta1_ExplicitContentAnnotation", "type": "object" }, "GoogleCloudVideointelligenceV1p1beta1_VideoAnnotationResults": { "type": "object", "properties": { "personDetectionAnnotations": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_PersonDetectionAnnotation" }, "description": "Person detection annotations." }, "objectAnnotations": { "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_ObjectTrackingAnnotation" }, "type": "array", "description": "Annotations for list of objects detected and tracked in video." }, "textAnnotations": { "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_TextAnnotation" }, "type": "array", "description": "OCR text detection and tracking. Annotations for list of detected text snippets. Each will have list of frame information associated with it." }, "shotLabelAnnotations": { "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_LabelAnnotation" }, "type": "array", "description": "Topical label annotations on shot level. There is exactly one element for each unique label." }, "segmentLabelAnnotations": { "description": "Topical label annotations on video level or user-specified segment level. There is exactly one element for each unique label.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_LabelAnnotation" } }, "shotPresenceLabelAnnotations": { "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_LabelAnnotation" }, "description": "Presence label annotations on shot level. There is exactly one element for each unique label. Compared to the existing topical `shot_label_annotations`, this field presents more fine-grained, shot-level labels detected in video content and is made available only when the client sets `LabelDetectionConfig.model` to \"builtin/latest\" in the request.", "type": "array" }, "explicitAnnotation": { "description": "Explicit content annotation.", "$ref": "GoogleCloudVideointelligenceV1p1beta1_ExplicitContentAnnotation" }, "frameLabelAnnotations": { "type": "array", "description": "Label annotations on frame level. There is exactly one element for each unique label.", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_LabelAnnotation" } }, "segmentPresenceLabelAnnotations": { "description": "Presence label annotations on video level or user-specified segment level. There is exactly one element for each unique label. Compared to the existing topical `segment_label_annotations`, this field presents more fine-grained, segment-level labels detected in video content and is made available only when the client sets `LabelDetectionConfig.model` to \"builtin/latest\" in the request.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_LabelAnnotation" } }, "faceAnnotations": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_FaceAnnotation" }, "description": "Deprecated. Please use `face_detection_annotations` instead." }, "inputUri": { "type": "string", "description": "Video file location in [Cloud Storage](https://cloud.google.com/storage/)." }, "segment": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_VideoSegment", "description": "Video segment on which the annotation is run." }, "speechTranscriptions": { "description": "Speech transcription.", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_SpeechTranscription" }, "type": "array" }, "logoRecognitionAnnotations": { "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_LogoRecognitionAnnotation" }, "type": "array", "description": "Annotations for list of logos detected, tracked and recognized in video." }, "error": { "$ref": "GoogleRpc_Status", "description": "If set, indicates an error. Note that for a single `AnnotateVideoRequest` some videos may succeed and some may fail." }, "faceDetectionAnnotations": { "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_FaceDetectionAnnotation" }, "description": "Face detection annotations.", "type": "array" }, "shotAnnotations": { "type": "array", "description": "Shot annotations. Each shot is represented as a video segment.", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_VideoSegment" } } }, "description": "Annotation results for a single video.", "id": "GoogleCloudVideointelligenceV1p1beta1_VideoAnnotationResults" }, "GoogleCloudVideointelligenceV1p3beta1_ExplicitContentAnnotation": { "type": "object", "properties": { "version": { "description": "Feature version.", "type": "string" }, "frames": { "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_ExplicitContentFrame" }, "description": "All video frames where explicit content was detected.", "type": "array" } }, "id": "GoogleCloudVideointelligenceV1p3beta1_ExplicitContentAnnotation", "description": "Explicit content annotation (based on per-frame visual signals only). If no explicit content has been detected in a frame, no annotations are present for that frame." }, "GoogleCloudVideointelligenceV1_LogoRecognitionAnnotation": { "description": "Annotation corresponding to one detected, tracked and recognized logo class.", "type": "object", "properties": { "segments": { "items": { "$ref": "GoogleCloudVideointelligenceV1_VideoSegment" }, "type": "array", "description": "All video segments where the recognized logo appears. There might be multiple instances of the same logo class appearing in one VideoSegment." }, "tracks": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1_Track" }, "description": "All logo tracks where the recognized logo appears. Each track corresponds to one logo instance appearing in consecutive frames." }, "entity": { "description": "Entity category information to specify the logo class that all the logo tracks within this LogoRecognitionAnnotation are recognized as.", "$ref": "GoogleCloudVideointelligenceV1_Entity" } }, "id": "GoogleCloudVideointelligenceV1_LogoRecognitionAnnotation" }, "GoogleCloudVideointelligenceV1p2beta1_ObjectTrackingAnnotation": { "type": "object", "properties": { "version": { "description": "Feature version.", "type": "string" }, "confidence": { "type": "number", "format": "float", "description": "Object category's labeling confidence of this track." }, "trackId": { "description": "Streaming mode ONLY. In streaming mode, we do not know the end time of a tracked object before it is completed. Hence, there is no VideoSegment info returned. Instead, we provide a unique identifiable integer track_id so that the customers can correlate the results of the ongoing ObjectTrackAnnotation of the same track_id over time.", "type": "string", "format": "int64" }, "segment": { "description": "Non-streaming batch mode ONLY. Each object track corresponds to one video segment where it appears.", "$ref": "GoogleCloudVideointelligenceV1p2beta1_VideoSegment" }, "frames": { "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_ObjectTrackingFrame" }, "type": "array", "description": "Information corresponding to all frames where this object track appears. Non-streaming batch mode: it may be one or multiple ObjectTrackingFrame messages in frames. Streaming mode: it can only be one ObjectTrackingFrame message in frames." }, "entity": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_Entity", "description": "Entity to specify the object category that this track is labeled as." } }, "id": "GoogleCloudVideointelligenceV1p2beta1_ObjectTrackingAnnotation", "description": "Annotations corresponding to one tracked object." }, "GoogleCloudVideointelligenceV1_SpeechTranscription": { "id": "GoogleCloudVideointelligenceV1_SpeechTranscription", "properties": { "alternatives": { "description": "May contain one or more recognition hypotheses (up to the maximum specified in `max_alternatives`). These alternatives are ordered in terms of accuracy, with the top (first) alternative being the most probable, as ranked by the recognizer.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1_SpeechRecognitionAlternative" } }, "languageCode": { "readOnly": true, "description": "Output only. The [BCP-47](https://www.rfc-editor.org/rfc/bcp/bcp47.txt) language tag of the language in this result. This language code was detected to have the most likelihood of being spoken in the audio.", "type": "string" } }, "type": "object", "description": "A speech recognition result corresponding to a portion of the audio." }, "GoogleLongrunning_Operation": { "type": "object", "id": "GoogleLongrunning_Operation", "properties": { "response": { "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "description": "The normal response of the operation in case of success. If the original method returns no data on success, such as `Delete`, the response is `google.protobuf.Empty`. If the original method is standard `Get`/`Create`/`Update`, the response should be the resource. For other methods, the response should have the type `XxxResponse`, where `Xxx` is the original method name. For example, if the original method name is `TakeSnapshot()`, the inferred response type is `TakeSnapshotResponse`.", "type": "object" }, "done": { "description": "If the value is `false`, it means the operation is still in progress. If `true`, the operation is completed, and either `error` or `response` is available.", "type": "boolean" }, "name": { "description": "The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the `name` should be a resource name ending with `operations/{unique_id}`.", "type": "string" }, "metadata": { "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "description": "Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any.", "type": "object" }, "error": { "description": "The error result of the operation in case of failure or cancellation.", "$ref": "GoogleRpc_Status" } }, "description": "This resource represents a long-running operation that is the result of a network API call." }, "GoogleCloudVideointelligenceV1p3beta1_TextSegment": { "type": "object", "id": "GoogleCloudVideointelligenceV1p3beta1_TextSegment", "description": "Video segment level annotation results for text detection.", "properties": { "frames": { "description": "Information related to the frames where OCR detected text appears.", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_TextFrame" }, "type": "array" }, "confidence": { "type": "number", "format": "float", "description": "Confidence for the track of detected text. It is calculated as the highest over all frames where OCR detected text appears." }, "segment": { "description": "Video segment where a text snippet was detected.", "$ref": "GoogleCloudVideointelligenceV1p3beta1_VideoSegment" } } }, "GoogleCloudVideointelligenceV1beta2_TextFrame": { "id": "GoogleCloudVideointelligenceV1beta2_TextFrame", "description": "Video frame level annotation results for text annotation (OCR). Contains information regarding timestamp and bounding box locations for the frames containing detected OCR text snippets.", "type": "object", "properties": { "rotatedBoundingBox": { "$ref": "GoogleCloudVideointelligenceV1beta2_NormalizedBoundingPoly", "description": "Bounding polygon of the detected text for this frame." }, "timeOffset": { "description": "Timestamp of this frame.", "format": "google-duration", "type": "string" } } }, "GoogleCloudVideointelligenceV1p2beta1_FaceDetectionConfig": { "type": "object", "properties": { "includeAttributes": { "description": "Whether to enable face attributes detection, such as glasses, dark_glasses, mouth_open etc. Ignored if 'include_bounding_boxes' is set to false.", "type": "boolean" }, "includeBoundingBoxes": { "type": "boolean", "description": "Whether bounding boxes are included in the face annotation output." }, "model": { "description": "Model to use for face detection. Supported values: \"builtin/stable\" (the default if unset) and \"builtin/latest\".", "type": "string" } }, "id": "GoogleCloudVideointelligenceV1p2beta1_FaceDetectionConfig", "description": "Config for FACE_DETECTION." }, "GoogleCloudVideointelligenceV1beta2_FaceFrame": { "description": "Deprecated. No effect.", "properties": { "timeOffset": { "description": "Time-offset, relative to the beginning of the video, corresponding to the video frame for this location.", "type": "string", "format": "google-duration" }, "normalizedBoundingBoxes": { "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_NormalizedBoundingBox" }, "type": "array", "description": "Normalized Bounding boxes in a frame. There can be more than one boxes if the same face is detected in multiple locations within the current frame." } }, "type": "object", "id": "GoogleCloudVideointelligenceV1beta2_FaceFrame" }, "GoogleCloudVideointelligenceV1p2beta1_AnnotateVideoResponse": { "description": "Video annotation response. Included in the `response` field of the `Operation` returned by the `GetOperation` call of the `google::longrunning::Operations` service.", "type": "object", "properties": { "annotationResults": { "type": "array", "description": "Annotation results for all videos specified in `AnnotateVideoRequest`.", "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_VideoAnnotationResults" } } }, "id": "GoogleCloudVideointelligenceV1p2beta1_AnnotateVideoResponse" }, "GoogleCloudVideointelligenceV1beta2_TextAnnotation": { "id": "GoogleCloudVideointelligenceV1beta2_TextAnnotation", "description": "Annotations related to one detected OCR text snippet. This will contain the corresponding text, confidence value, and frame level information for each detection.", "properties": { "segments": { "type": "array", "description": "All video segments where OCR detected text appears.", "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_TextSegment" } }, "text": { "type": "string", "description": "The detected text." }, "version": { "description": "Feature version.", "type": "string" } }, "type": "object" }, "GoogleCloudVideointelligenceV1beta2_TextSegment": { "id": "GoogleCloudVideointelligenceV1beta2_TextSegment", "properties": { "confidence": { "type": "number", "format": "float", "description": "Confidence for the track of detected text. It is calculated as the highest over all frames where OCR detected text appears." }, "segment": { "description": "Video segment where a text snippet was detected.", "$ref": "GoogleCloudVideointelligenceV1beta2_VideoSegment" }, "frames": { "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_TextFrame" }, "description": "Information related to the frames where OCR detected text appears.", "type": "array" } }, "type": "object", "description": "Video segment level annotation results for text detection." }, "GoogleCloudVideointelligenceV1_Entity": { "properties": { "languageCode": { "type": "string", "description": "Language code for `description` in BCP-47 format." }, "description": { "type": "string", "description": "Textual description, e.g., `Fixed-gear bicycle`." }, "entityId": { "type": "string", "description": "Opaque entity ID. Some IDs may be available in [Google Knowledge Graph Search API](https://developers.google.com/knowledge-graph/)." } }, "type": "object", "description": "Detected entity from video analysis.", "id": "GoogleCloudVideointelligenceV1_Entity" }, "GoogleCloudVideointelligenceV1p1beta1_ObjectTrackingAnnotation": { "type": "object", "properties": { "trackId": { "format": "int64", "type": "string", "description": "Streaming mode ONLY. In streaming mode, we do not know the end time of a tracked object before it is completed. Hence, there is no VideoSegment info returned. Instead, we provide a unique identifiable integer track_id so that the customers can correlate the results of the ongoing ObjectTrackAnnotation of the same track_id over time." }, "confidence": { "format": "float", "description": "Object category's labeling confidence of this track.", "type": "number" }, "version": { "description": "Feature version.", "type": "string" }, "segment": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_VideoSegment", "description": "Non-streaming batch mode ONLY. Each object track corresponds to one video segment where it appears." }, "entity": { "description": "Entity to specify the object category that this track is labeled as.", "$ref": "GoogleCloudVideointelligenceV1p1beta1_Entity" }, "frames": { "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_ObjectTrackingFrame" }, "type": "array", "description": "Information corresponding to all frames where this object track appears. Non-streaming batch mode: it may be one or multiple ObjectTrackingFrame messages in frames. Streaming mode: it can only be one ObjectTrackingFrame message in frames." } }, "id": "GoogleCloudVideointelligenceV1p1beta1_ObjectTrackingAnnotation", "description": "Annotations corresponding to one tracked object." }, "GoogleCloudVideointelligenceV1p3beta1_RecognizedCelebrity": { "description": "The recognized celebrity with confidence score.", "type": "object", "properties": { "confidence": { "type": "number", "format": "float", "description": "Recognition confidence. Range [0, 1]." }, "celebrity": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_Celebrity", "description": "The recognized celebrity." } }, "id": "GoogleCloudVideointelligenceV1p3beta1_RecognizedCelebrity" }, "GoogleCloudVideointelligenceV1p1beta1_LogoRecognitionAnnotation": { "type": "object", "id": "GoogleCloudVideointelligenceV1p1beta1_LogoRecognitionAnnotation", "properties": { "segments": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_VideoSegment" }, "description": "All video segments where the recognized logo appears. There might be multiple instances of the same logo class appearing in one VideoSegment." }, "tracks": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_Track" }, "description": "All logo tracks where the recognized logo appears. Each track corresponds to one logo instance appearing in consecutive frames." }, "entity": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_Entity", "description": "Entity category information to specify the logo class that all the logo tracks within this LogoRecognitionAnnotation are recognized as." } }, "description": "Annotation corresponding to one detected, tracked and recognized logo class." }, "GoogleCloudVideointelligenceV1p2beta1_VideoAnnotationResults": { "type": "object", "properties": { "logoRecognitionAnnotations": { "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_LogoRecognitionAnnotation" }, "type": "array", "description": "Annotations for list of logos detected, tracked and recognized in video." }, "faceAnnotations": { "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_FaceAnnotation" }, "type": "array", "description": "Deprecated. Please use `face_detection_annotations` instead." }, "textAnnotations": { "description": "OCR text detection and tracking. Annotations for list of detected text snippets. Each will have list of frame information associated with it.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_TextAnnotation" } }, "shotLabelAnnotations": { "type": "array", "description": "Topical label annotations on shot level. There is exactly one element for each unique label.", "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_LabelAnnotation" } }, "objectAnnotations": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_ObjectTrackingAnnotation" }, "description": "Annotations for list of objects detected and tracked in video." }, "shotPresenceLabelAnnotations": { "type": "array", "description": "Presence label annotations on shot level. There is exactly one element for each unique label. Compared to the existing topical `shot_label_annotations`, this field presents more fine-grained, shot-level labels detected in video content and is made available only when the client sets `LabelDetectionConfig.model` to \"builtin/latest\" in the request.", "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_LabelAnnotation" } }, "error": { "$ref": "GoogleRpc_Status", "description": "If set, indicates an error. Note that for a single `AnnotateVideoRequest` some videos may succeed and some may fail." }, "shotAnnotations": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_VideoSegment" }, "description": "Shot annotations. Each shot is represented as a video segment." }, "faceDetectionAnnotations": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_FaceDetectionAnnotation" }, "description": "Face detection annotations." }, "segmentLabelAnnotations": { "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_LabelAnnotation" }, "type": "array", "description": "Topical label annotations on video level or user-specified segment level. There is exactly one element for each unique label." }, "personDetectionAnnotations": { "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_PersonDetectionAnnotation" }, "description": "Person detection annotations.", "type": "array" }, "segmentPresenceLabelAnnotations": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_LabelAnnotation" }, "description": "Presence label annotations on video level or user-specified segment level. There is exactly one element for each unique label. Compared to the existing topical `segment_label_annotations`, this field presents more fine-grained, segment-level labels detected in video content and is made available only when the client sets `LabelDetectionConfig.model` to \"builtin/latest\" in the request." }, "explicitAnnotation": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_ExplicitContentAnnotation", "description": "Explicit content annotation." }, "speechTranscriptions": { "description": "Speech transcription.", "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_SpeechTranscription" }, "type": "array" }, "inputUri": { "description": "Video file location in [Cloud Storage](https://cloud.google.com/storage/).", "type": "string" }, "frameLabelAnnotations": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_LabelAnnotation" }, "description": "Label annotations on frame level. There is exactly one element for each unique label." }, "segment": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_VideoSegment", "description": "Video segment on which the annotation is run." } }, "description": "Annotation results for a single video.", "id": "GoogleCloudVideointelligenceV1p2beta1_VideoAnnotationResults" }, "GoogleCloudVideointelligenceV1beta2_ExplicitContentFrame": { "properties": { "timeOffset": { "format": "google-duration", "type": "string", "description": "Time-offset, relative to the beginning of the video, corresponding to the video frame for this location." }, "pornographyLikelihood": { "type": "string", "enumDescriptions": [ "Unspecified likelihood.", "Very unlikely.", "Unlikely.", "Possible.", "Likely.", "Very likely." ], "enum": [ "LIKELIHOOD_UNSPECIFIED", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ], "description": "Likelihood of the pornography content.." } }, "description": "Video frame level annotation results for explicit content.", "type": "object", "id": "GoogleCloudVideointelligenceV1beta2_ExplicitContentFrame" }, "GoogleCloudVideointelligenceV1p3beta1_VideoSegment": { "type": "object", "id": "GoogleCloudVideointelligenceV1p3beta1_VideoSegment", "description": "Video segment.", "properties": { "startTimeOffset": { "type": "string", "format": "google-duration", "description": "Time-offset, relative to the beginning of the video, corresponding to the start of the segment (inclusive)." }, "endTimeOffset": { "format": "google-duration", "description": "Time-offset, relative to the beginning of the video, corresponding to the end of the segment (inclusive).", "type": "string" } } }, "GoogleCloudVideointelligenceV1p2beta1_ExplicitContentDetectionConfig": { "id": "GoogleCloudVideointelligenceV1p2beta1_ExplicitContentDetectionConfig", "properties": { "model": { "description": "Model to use for explicit content detection. Supported values: \"builtin/stable\" (the default if unset) and \"builtin/latest\".", "type": "string" } }, "description": "Config for EXPLICIT_CONTENT_DETECTION.", "type": "object" }, "GoogleCloudVideointelligenceV1beta2_WordInfo": { "properties": { "confidence": { "readOnly": true, "type": "number", "description": "Output only. The confidence estimate between 0.0 and 1.0. A higher number indicates an estimated greater likelihood that the recognized words are correct. This field is set only for the top alternative. This field is not guaranteed to be accurate and users should not rely on it to be always provided. The default of 0.0 is a sentinel value indicating `confidence` was not set.", "format": "float" }, "endTime": { "format": "google-duration", "description": "Time offset relative to the beginning of the audio, and corresponding to the end of the spoken word. This field is only set if `enable_word_time_offsets=true` and only in the top hypothesis. This is an experimental feature and the accuracy of the time offset can vary.", "type": "string" }, "speakerTag": { "type": "integer", "readOnly": true, "format": "int32", "description": "Output only. A distinct integer value is assigned for every speaker within the audio. This field specifies which one of those speakers was detected to have spoken this word. Value ranges from 1 up to diarization_speaker_count, and is only set if speaker diarization is enabled." }, "startTime": { "format": "google-duration", "description": "Time offset relative to the beginning of the audio, and corresponding to the start of the spoken word. This field is only set if `enable_word_time_offsets=true` and only in the top hypothesis. This is an experimental feature and the accuracy of the time offset can vary.", "type": "string" }, "word": { "description": "The word corresponding to this set of information.", "type": "string" } }, "description": "Word-specific information for recognized words. Word information is only included in the response when certain request parameters are set, such as `enable_word_time_offsets`.", "type": "object", "id": "GoogleCloudVideointelligenceV1beta2_WordInfo" }, "GoogleCloudVideointelligenceV1p2beta1_LabelSegment": { "description": "Video segment level annotation results for label detection.", "type": "object", "id": "GoogleCloudVideointelligenceV1p2beta1_LabelSegment", "properties": { "segment": { "description": "Video segment where a label was detected.", "$ref": "GoogleCloudVideointelligenceV1p2beta1_VideoSegment" }, "confidence": { "description": "Confidence that the label is accurate. Range: [0, 1].", "format": "float", "type": "number" } } } }, "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." } } } }, "mtlsRootUrl": "https://videointelligence.mtls.googleapis.com/", "batchPath": "batch", "version_module": true, "id": "videointelligence:v1p2beta1", "discoveryVersion": "v1" }
]===]))
