local decode = require("cjson").new().decode
return assert(decode([===[
{ "id": "videointelligence:v1p3beta1", "protocol": "rest", "basePath": "", "description": "Detects objects, explicit content, and scene changes in videos. It also specifies the region for annotation and transcribes speech to text. Supports both asynchronous API and streaming API.", "schemas": { "GoogleCloudVideointelligenceV1p1beta1_ObjectTrackingFrame": { "type": "object", "properties": { "timeOffset": { "format": "google-duration", "type": "string", "description": "The timestamp of the frame in microseconds." }, "normalizedBoundingBox": { "description": "The normalized bounding box location of this object track for the frame.", "$ref": "GoogleCloudVideointelligenceV1p1beta1_NormalizedBoundingBox" } }, "id": "GoogleCloudVideointelligenceV1p1beta1_ObjectTrackingFrame", "description": "Video frame level annotations for object detection and tracking. This field stores per frame location, time offset, and confidence." }, "GoogleCloudVideointelligenceV1p2beta1_LogoRecognitionAnnotation": { "type": "object", "properties": { "tracks": { "description": "All logo tracks where the recognized logo appears. Each track corresponds to one logo instance appearing in consecutive frames.", "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_Track" }, "type": "array" }, "entity": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_Entity", "description": "Entity category information to specify the logo class that all the logo tracks within this LogoRecognitionAnnotation are recognized as." }, "segments": { "type": "array", "description": "All video segments where the recognized logo appears. There might be multiple instances of the same logo class appearing in one VideoSegment.", "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_VideoSegment" } } }, "description": "Annotation corresponding to one detected, tracked and recognized logo class.", "id": "GoogleCloudVideointelligenceV1p2beta1_LogoRecognitionAnnotation" }, "GoogleCloudVideointelligenceV1p3beta1_AnnotateVideoResponse": { "description": "Video annotation response. Included in the `response` field of the `Operation` returned by the `GetOperation` call of the `google::longrunning::Operations` service.", "properties": { "annotationResults": { "description": "Annotation results for all videos specified in `AnnotateVideoRequest`.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_VideoAnnotationResults" } } }, "id": "GoogleCloudVideointelligenceV1p3beta1_AnnotateVideoResponse", "type": "object" }, "GoogleCloudVideointelligenceV1p3beta1_NormalizedVertex": { "type": "object", "id": "GoogleCloudVideointelligenceV1p3beta1_NormalizedVertex", "description": "A vertex represents a 2D point in the image. NOTE: the normalized vertex coordinates are relative to the original image and range from 0 to 1.", "properties": { "x": { "description": "X coordinate.", "type": "number", "format": "float" }, "y": { "type": "number", "description": "Y coordinate.", "format": "float" } } }, "GoogleCloudVideointelligenceV1_ExplicitContentFrame": { "type": "object", "properties": { "timeOffset": { "description": "Time-offset, relative to the beginning of the video, corresponding to the video frame for this location.", "format": "google-duration", "type": "string" }, "pornographyLikelihood": { "type": "string", "description": "Likelihood of the pornography content..", "enum": [ "LIKELIHOOD_UNSPECIFIED", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ], "enumDescriptions": [ "Unspecified likelihood.", "Very unlikely.", "Unlikely.", "Possible.", "Likely.", "Very likely." ] } }, "id": "GoogleCloudVideointelligenceV1_ExplicitContentFrame", "description": "Video frame level annotation results for explicit content." }, "GoogleCloudVideointelligenceV1p3beta1_ExplicitContentDetectionConfig": { "id": "GoogleCloudVideointelligenceV1p3beta1_ExplicitContentDetectionConfig", "type": "object", "properties": { "model": { "type": "string", "description": "Model to use for explicit content detection. Supported values: \"builtin/stable\" (the default if unset) and \"builtin/latest\"." } }, "description": "Config for EXPLICIT_CONTENT_DETECTION." }, "GoogleCloudVideointelligenceV1_DetectedAttribute": { "id": "GoogleCloudVideointelligenceV1_DetectedAttribute", "description": "A generic detected attribute represented by name in string format.", "properties": { "value": { "description": "Text value of the detection result. For example, the value for \"HairColor\" can be \"black\", \"blonde\", etc.", "type": "string" }, "name": { "description": "The name of the attribute, for example, glasses, dark_glasses, mouth_open. A full list of supported type names will be provided in the document.", "type": "string" }, "confidence": { "description": "Detected attribute confidence. Range [0, 1].", "type": "number", "format": "float" } }, "type": "object" }, "GoogleCloudVideointelligenceV1_Entity": { "properties": { "description": { "type": "string", "description": "Textual description, e.g., `Fixed-gear bicycle`." }, "languageCode": { "description": "Language code for `description` in BCP-47 format.", "type": "string" }, "entityId": { "type": "string", "description": "Opaque entity ID. Some IDs may be available in [Google Knowledge Graph Search API](https://developers.google.com/knowledge-graph/)." } }, "id": "GoogleCloudVideointelligenceV1_Entity", "description": "Detected entity from video analysis.", "type": "object" }, "GoogleCloudVideointelligenceV1beta2_LogoRecognitionAnnotation": { "description": "Annotation corresponding to one detected, tracked and recognized logo class.", "type": "object", "id": "GoogleCloudVideointelligenceV1beta2_LogoRecognitionAnnotation", "properties": { "segments": { "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_VideoSegment" }, "description": "All video segments where the recognized logo appears. There might be multiple instances of the same logo class appearing in one VideoSegment.", "type": "array" }, "entity": { "$ref": "GoogleCloudVideointelligenceV1beta2_Entity", "description": "Entity category information to specify the logo class that all the logo tracks within this LogoRecognitionAnnotation are recognized as." }, "tracks": { "description": "All logo tracks where the recognized logo appears. Each track corresponds to one logo instance appearing in consecutive frames.", "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_Track" }, "type": "array" } } }, "GoogleCloudVideointelligenceV1p1beta1_ExplicitContentAnnotation": { "properties": { "frames": { "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_ExplicitContentFrame" }, "description": "All video frames where explicit content was detected.", "type": "array" }, "version": { "type": "string", "description": "Feature version." } }, "type": "object", "id": "GoogleCloudVideointelligenceV1p1beta1_ExplicitContentAnnotation", "description": "Explicit content annotation (based on per-frame visual signals only). If no explicit content has been detected in a frame, no annotations are present for that frame." }, "GoogleCloudVideointelligenceV1beta2_ObjectTrackingAnnotation": { "id": "GoogleCloudVideointelligenceV1beta2_ObjectTrackingAnnotation", "description": "Annotations corresponding to one tracked object.", "properties": { "trackId": { "description": "Streaming mode ONLY. In streaming mode, we do not know the end time of a tracked object before it is completed. Hence, there is no VideoSegment info returned. Instead, we provide a unique identifiable integer track_id so that the customers can correlate the results of the ongoing ObjectTrackAnnotation of the same track_id over time.", "type": "string", "format": "int64" }, "segment": { "$ref": "GoogleCloudVideointelligenceV1beta2_VideoSegment", "description": "Non-streaming batch mode ONLY. Each object track corresponds to one video segment where it appears." }, "version": { "type": "string", "description": "Feature version." }, "entity": { "$ref": "GoogleCloudVideointelligenceV1beta2_Entity", "description": "Entity to specify the object category that this track is labeled as." }, "frames": { "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_ObjectTrackingFrame" }, "type": "array", "description": "Information corresponding to all frames where this object track appears. Non-streaming batch mode: it may be one or multiple ObjectTrackingFrame messages in frames. Streaming mode: it can only be one ObjectTrackingFrame message in frames." }, "confidence": { "description": "Object category's labeling confidence of this track.", "format": "float", "type": "number" } }, "type": "object" }, "GoogleCloudVideointelligenceV1p2beta1_Track": { "type": "object", "description": "A track of an object instance.", "id": "GoogleCloudVideointelligenceV1p2beta1_Track", "properties": { "segment": { "description": "Video segment of a track.", "$ref": "GoogleCloudVideointelligenceV1p2beta1_VideoSegment" }, "confidence": { "type": "number", "format": "float", "description": "Optional. The confidence score of the tracked object." }, "timestampedObjects": { "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_TimestampedObject" }, "type": "array", "description": "The object with timestamp and attributes per frame in the track." }, "attributes": { "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_DetectedAttribute" }, "type": "array", "description": "Optional. Attributes in the track level." } } }, "GoogleCloudVideointelligenceV1p2beta1_DetectedLandmark": { "id": "GoogleCloudVideointelligenceV1p2beta1_DetectedLandmark", "properties": { "confidence": { "description": "The confidence score of the detected landmark. Range [0, 1].", "format": "float", "type": "number" }, "name": { "description": "The name of this landmark, for example, left_hand, right_shoulder.", "type": "string" }, "point": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_NormalizedVertex", "description": "The 2D point of the detected landmark using the normalized image coordindate system. The normalized coordinates have the range from 0 to 1." } }, "description": "A generic detected landmark represented by name in string format and a 2D location.", "type": "object" }, "GoogleCloudVideointelligenceV1p3beta1_PersonDetectionAnnotation": { "id": "GoogleCloudVideointelligenceV1p3beta1_PersonDetectionAnnotation", "type": "object", "properties": { "tracks": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_Track" }, "description": "The detected tracks of a person." }, "version": { "description": "Feature version.", "type": "string" } }, "description": "Person detection annotation per video." }, "GoogleCloudVideointelligenceV1_SpeechTranscription": { "description": "A speech recognition result corresponding to a portion of the audio.", "type": "object", "properties": { "alternatives": { "type": "array", "description": "May contain one or more recognition hypotheses (up to the maximum specified in `max_alternatives`). These alternatives are ordered in terms of accuracy, with the top (first) alternative being the most probable, as ranked by the recognizer.", "items": { "$ref": "GoogleCloudVideointelligenceV1_SpeechRecognitionAlternative" } }, "languageCode": { "type": "string", "description": "Output only. The [BCP-47](https://www.rfc-editor.org/rfc/bcp/bcp47.txt) language tag of the language in this result. This language code was detected to have the most likelihood of being spoken in the audio.", "readOnly": true } }, "id": "GoogleCloudVideointelligenceV1_SpeechTranscription" }, "GoogleCloudVideointelligenceV1p2beta1_FaceAnnotation": { "properties": { "thumbnail": { "format": "byte", "description": "Thumbnail of a representative face view (in JPEG format).", "type": "string" }, "frames": { "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_FaceFrame" }, "type": "array", "description": "All video frames where a face was detected." }, "segments": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_FaceSegment" }, "description": "All video segments where a face was detected." } }, "type": "object", "id": "GoogleCloudVideointelligenceV1p2beta1_FaceAnnotation", "description": "Deprecated. No effect." }, "GoogleCloudVideointelligenceV1p1beta1_LabelSegment": { "description": "Video segment level annotation results for label detection.", "id": "GoogleCloudVideointelligenceV1p1beta1_LabelSegment", "properties": { "confidence": { "type": "number", "description": "Confidence that the label is accurate. Range: [0, 1].", "format": "float" }, "segment": { "description": "Video segment where a label was detected.", "$ref": "GoogleCloudVideointelligenceV1p1beta1_VideoSegment" } }, "type": "object" }, "GoogleCloudVideointelligenceV1p3beta1_SpeechTranscriptionConfig": { "type": "object", "description": "Config for SPEECH_TRANSCRIPTION.", "id": "GoogleCloudVideointelligenceV1p3beta1_SpeechTranscriptionConfig", "properties": { "languageCode": { "type": "string", "description": "Required. *Required* The language of the supplied audio as a [BCP-47](https://www.rfc-editor.org/rfc/bcp/bcp47.txt) language tag. Example: \"en-US\". See [Language Support](https://cloud.google.com/speech/docs/languages) for a list of the currently supported language codes." }, "enableAutomaticPunctuation": { "type": "boolean", "description": "Optional. If 'true', adds punctuation to recognition result hypotheses. This feature is only available in select languages. Setting this for requests in other languages has no effect at all. The default 'false' value does not add punctuation to result hypotheses. NOTE: \"This is currently offered as an experimental service, complimentary to all users. In the future this may be exclusively available as a premium feature.\"" }, "enableWordConfidence": { "type": "boolean", "description": "Optional. If `true`, the top result includes a list of words and the confidence for those words. If `false`, no word-level confidence information is returned. The default is `false`." }, "audioTracks": { "type": "array", "items": { "type": "integer", "format": "int32" }, "description": "Optional. For file formats, such as MXF or MKV, supporting multiple audio tracks, specify up to two tracks. Default: track 0." }, "enableSpeakerDiarization": { "description": "Optional. If 'true', enables speaker detection for each recognized word in the top alternative of the recognition result using a speaker_tag provided in the WordInfo. Note: When this is true, we send all the words from the beginning of the audio for the top alternative in every consecutive response. This is done in order to improve our speaker tags as our models learn to identify the speakers in the conversation over time.", "type": "boolean" }, "filterProfanity": { "type": "boolean", "description": "Optional. If set to `true`, the server will attempt to filter out profanities, replacing all but the initial character in each filtered word with asterisks, e.g. \"f***\". If set to `false` or omitted, profanities won't be filtered out." }, "diarizationSpeakerCount": { "format": "int32", "description": "Optional. If set, specifies the estimated number of speakers in the conversation. If not set, defaults to '2'. Ignored unless enable_speaker_diarization is set to true.", "type": "integer" }, "maxAlternatives": { "format": "int32", "type": "integer", "description": "Optional. Maximum number of recognition hypotheses to be returned. Specifically, the maximum number of `SpeechRecognitionAlternative` messages within each `SpeechTranscription`. The server may return fewer than `max_alternatives`. Valid values are `0`-`30`. A value of `0` or `1` will return a maximum of one. If omitted, will return a maximum of one." }, "speechContexts": { "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_SpeechContext" }, "type": "array", "description": "Optional. A means to provide context to assist the speech recognition." } } }, "GoogleCloudVideointelligenceV1p1beta1_TimestampedObject": { "type": "object", "id": "GoogleCloudVideointelligenceV1p1beta1_TimestampedObject", "description": "For tracking related features. An object at time_offset with attributes, and located with normalized_bounding_box.", "properties": { "landmarks": { "type": "array", "description": "Optional. The detected landmarks.", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_DetectedLandmark" } }, "normalizedBoundingBox": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_NormalizedBoundingBox", "description": "Normalized Bounding box in a frame, where the object is located." }, "attributes": { "type": "array", "description": "Optional. The attributes of the object in the bounding box.", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_DetectedAttribute" } }, "timeOffset": { "description": "Time-offset, relative to the beginning of the video, corresponding to the video frame for this object.", "type": "string", "format": "google-duration" } } }, "GoogleLongrunning_Operation": { "properties": { "error": { "$ref": "GoogleRpc_Status", "description": "The error result of the operation in case of failure or cancellation." }, "done": { "description": "If the value is `false`, it means the operation is still in progress. If `true`, the operation is completed, and either `error` or `response` is available.", "type": "boolean" }, "response": { "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "type": "object", "description": "The normal response of the operation in case of success. If the original method returns no data on success, such as `Delete`, the response is `google.protobuf.Empty`. If the original method is standard `Get`/`Create`/`Update`, the response should be the resource. For other methods, the response should have the type `XxxResponse`, where `Xxx` is the original method name. For example, if the original method name is `TakeSnapshot()`, the inferred response type is `TakeSnapshotResponse`." }, "name": { "description": "The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the `name` should be a resource name ending with `operations/{unique_id}`.", "type": "string" }, "metadata": { "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "type": "object", "description": "Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any." } }, "type": "object", "description": "This resource represents a long-running operation that is the result of a network API call.", "id": "GoogleLongrunning_Operation" }, "GoogleCloudVideointelligenceV1p1beta1_VideoSegment": { "type": "object", "properties": { "startTimeOffset": { "type": "string", "format": "google-duration", "description": "Time-offset, relative to the beginning of the video, corresponding to the start of the segment (inclusive)." }, "endTimeOffset": { "description": "Time-offset, relative to the beginning of the video, corresponding to the end of the segment (inclusive).", "format": "google-duration", "type": "string" } }, "description": "Video segment.", "id": "GoogleCloudVideointelligenceV1p1beta1_VideoSegment" }, "GoogleCloudVideointelligenceV1beta2_DetectedLandmark": { "type": "object", "properties": { "name": { "description": "The name of this landmark, for example, left_hand, right_shoulder.", "type": "string" }, "point": { "$ref": "GoogleCloudVideointelligenceV1beta2_NormalizedVertex", "description": "The 2D point of the detected landmark using the normalized image coordindate system. The normalized coordinates have the range from 0 to 1." }, "confidence": { "type": "number", "format": "float", "description": "The confidence score of the detected landmark. Range [0, 1]." } }, "id": "GoogleCloudVideointelligenceV1beta2_DetectedLandmark", "description": "A generic detected landmark represented by name in string format and a 2D location." }, "GoogleCloudVideointelligenceV1p1beta1_TextSegment": { "properties": { "confidence": { "format": "float", "type": "number", "description": "Confidence for the track of detected text. It is calculated as the highest over all frames where OCR detected text appears." }, "segment": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_VideoSegment", "description": "Video segment where a text snippet was detected." }, "frames": { "type": "array", "description": "Information related to the frames where OCR detected text appears.", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_TextFrame" } } }, "id": "GoogleCloudVideointelligenceV1p1beta1_TextSegment", "type": "object", "description": "Video segment level annotation results for text detection." }, "GoogleCloudVideointelligenceV1beta2_NormalizedVertex": { "properties": { "y": { "format": "float", "description": "Y coordinate.", "type": "number" }, "x": { "type": "number", "format": "float", "description": "X coordinate." } }, "id": "GoogleCloudVideointelligenceV1beta2_NormalizedVertex", "description": "A vertex represents a 2D point in the image. NOTE: the normalized vertex coordinates are relative to the original image and range from 0 to 1.", "type": "object" }, "GoogleCloudVideointelligenceV1_WordInfo": { "id": "GoogleCloudVideointelligenceV1_WordInfo", "type": "object", "properties": { "confidence": { "format": "float", "description": "Output only. The confidence estimate between 0.0 and 1.0. A higher number indicates an estimated greater likelihood that the recognized words are correct. This field is set only for the top alternative. This field is not guaranteed to be accurate and users should not rely on it to be always provided. The default of 0.0 is a sentinel value indicating `confidence` was not set.", "readOnly": true, "type": "number" }, "startTime": { "format": "google-duration", "type": "string", "description": "Time offset relative to the beginning of the audio, and corresponding to the start of the spoken word. This field is only set if `enable_word_time_offsets=true` and only in the top hypothesis. This is an experimental feature and the accuracy of the time offset can vary." }, "endTime": { "format": "google-duration", "type": "string", "description": "Time offset relative to the beginning of the audio, and corresponding to the end of the spoken word. This field is only set if `enable_word_time_offsets=true` and only in the top hypothesis. This is an experimental feature and the accuracy of the time offset can vary." }, "speakerTag": { "readOnly": true, "description": "Output only. A distinct integer value is assigned for every speaker within the audio. This field specifies which one of those speakers was detected to have spoken this word. Value ranges from 1 up to diarization_speaker_count, and is only set if speaker diarization is enabled.", "type": "integer", "format": "int32" }, "word": { "type": "string", "description": "The word corresponding to this set of information." } }, "description": "Word-specific information for recognized words. Word information is only included in the response when certain request parameters are set, such as `enable_word_time_offsets`." }, "GoogleCloudVideointelligenceV1_Track": { "properties": { "segment": { "$ref": "GoogleCloudVideointelligenceV1_VideoSegment", "description": "Video segment of a track." }, "timestampedObjects": { "items": { "$ref": "GoogleCloudVideointelligenceV1_TimestampedObject" }, "type": "array", "description": "The object with timestamp and attributes per frame in the track." }, "confidence": { "description": "Optional. The confidence score of the tracked object.", "type": "number", "format": "float" }, "attributes": { "description": "Optional. Attributes in the track level.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1_DetectedAttribute" } } }, "description": "A track of an object instance.", "id": "GoogleCloudVideointelligenceV1_Track", "type": "object" }, "GoogleCloudVideointelligenceV1beta2_VideoAnnotationResults": { "properties": { "segmentLabelAnnotations": { "description": "Topical label annotations on video level or user-specified segment level. There is exactly one element for each unique label.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_LabelAnnotation" } }, "explicitAnnotation": { "$ref": "GoogleCloudVideointelligenceV1beta2_ExplicitContentAnnotation", "description": "Explicit content annotation." }, "segmentPresenceLabelAnnotations": { "type": "array", "description": "Presence label annotations on video level or user-specified segment level. There is exactly one element for each unique label. Compared to the existing topical `segment_label_annotations`, this field presents more fine-grained, segment-level labels detected in video content and is made available only when the client sets `LabelDetectionConfig.model` to \"builtin/latest\" in the request.", "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_LabelAnnotation" } }, "segment": { "description": "Video segment on which the annotation is run.", "$ref": "GoogleCloudVideointelligenceV1beta2_VideoSegment" }, "personDetectionAnnotations": { "description": "Person detection annotations.", "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_PersonDetectionAnnotation" }, "type": "array" }, "textAnnotations": { "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_TextAnnotation" }, "description": "OCR text detection and tracking. Annotations for list of detected text snippets. Each will have list of frame information associated with it.", "type": "array" }, "error": { "description": "If set, indicates an error. Note that for a single `AnnotateVideoRequest` some videos may succeed and some may fail.", "$ref": "GoogleRpc_Status" }, "faceDetectionAnnotations": { "description": "Face detection annotations.", "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_FaceDetectionAnnotation" }, "type": "array" }, "faceAnnotations": { "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_FaceAnnotation" }, "description": "Deprecated. Please use `face_detection_annotations` instead.", "type": "array" }, "speechTranscriptions": { "description": "Speech transcription.", "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_SpeechTranscription" }, "type": "array" }, "shotPresenceLabelAnnotations": { "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_LabelAnnotation" }, "description": "Presence label annotations on shot level. There is exactly one element for each unique label. Compared to the existing topical `shot_label_annotations`, this field presents more fine-grained, shot-level labels detected in video content and is made available only when the client sets `LabelDetectionConfig.model` to \"builtin/latest\" in the request.", "type": "array" }, "objectAnnotations": { "description": "Annotations for list of objects detected and tracked in video.", "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_ObjectTrackingAnnotation" }, "type": "array" }, "shotLabelAnnotations": { "description": "Topical label annotations on shot level. There is exactly one element for each unique label.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_LabelAnnotation" } }, "inputUri": { "description": "Video file location in [Cloud Storage](https://cloud.google.com/storage/).", "type": "string" }, "logoRecognitionAnnotations": { "description": "Annotations for list of logos detected, tracked and recognized in video.", "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_LogoRecognitionAnnotation" }, "type": "array" }, "shotAnnotations": { "description": "Shot annotations. Each shot is represented as a video segment.", "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_VideoSegment" }, "type": "array" }, "frameLabelAnnotations": { "type": "array", "description": "Label annotations on frame level. There is exactly one element for each unique label.", "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_LabelAnnotation" } } }, "description": "Annotation results for a single video.", "type": "object", "id": "GoogleCloudVideointelligenceV1beta2_VideoAnnotationResults" }, "GoogleCloudVideointelligenceV1_DetectedLandmark": { "type": "object", "properties": { "point": { "description": "The 2D point of the detected landmark using the normalized image coordindate system. The normalized coordinates have the range from 0 to 1.", "$ref": "GoogleCloudVideointelligenceV1_NormalizedVertex" }, "confidence": { "type": "number", "description": "The confidence score of the detected landmark. Range [0, 1].", "format": "float" }, "name": { "description": "The name of this landmark, for example, left_hand, right_shoulder.", "type": "string" } }, "description": "A generic detected landmark represented by name in string format and a 2D location.", "id": "GoogleCloudVideointelligenceV1_DetectedLandmark" }, "GoogleCloudVideointelligenceV1p3beta1_AnnotateVideoProgress": { "id": "GoogleCloudVideointelligenceV1p3beta1_AnnotateVideoProgress", "properties": { "annotationProgress": { "description": "Progress metadata for all videos specified in `AnnotateVideoRequest`.", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_VideoAnnotationProgress" }, "type": "array" } }, "description": "Video annotation progress. Included in the `metadata` field of the `Operation` returned by the `GetOperation` call of the `google::longrunning::Operations` service.", "type": "object" }, "GoogleCloudVideointelligenceV1p2beta1_ObjectTrackingFrame": { "type": "object", "description": "Video frame level annotations for object detection and tracking. This field stores per frame location, time offset, and confidence.", "properties": { "timeOffset": { "description": "The timestamp of the frame in microseconds.", "type": "string", "format": "google-duration" }, "normalizedBoundingBox": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_NormalizedBoundingBox", "description": "The normalized bounding box location of this object track for the frame." } }, "id": "GoogleCloudVideointelligenceV1p2beta1_ObjectTrackingFrame" }, "GoogleCloudVideointelligenceV1_FaceFrame": { "type": "object", "id": "GoogleCloudVideointelligenceV1_FaceFrame", "properties": { "normalizedBoundingBoxes": { "items": { "$ref": "GoogleCloudVideointelligenceV1_NormalizedBoundingBox" }, "type": "array", "description": "Normalized Bounding boxes in a frame. There can be more than one boxes if the same face is detected in multiple locations within the current frame." }, "timeOffset": { "type": "string", "description": "Time-offset, relative to the beginning of the video, corresponding to the video frame for this location.", "format": "google-duration" } }, "description": "Deprecated. No effect." }, "GoogleCloudVideointelligenceV1_AnnotateVideoResponse": { "id": "GoogleCloudVideointelligenceV1_AnnotateVideoResponse", "type": "object", "properties": { "annotationResults": { "type": "array", "description": "Annotation results for all videos specified in `AnnotateVideoRequest`.", "items": { "$ref": "GoogleCloudVideointelligenceV1_VideoAnnotationResults" } } }, "description": "Video annotation response. Included in the `response` field of the `Operation` returned by the `GetOperation` call of the `google::longrunning::Operations` service." }, "GoogleCloudVideointelligenceV1p2beta1_AnnotateVideoProgress": { "description": "Video annotation progress. Included in the `metadata` field of the `Operation` returned by the `GetOperation` call of the `google::longrunning::Operations` service.", "properties": { "annotationProgress": { "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_VideoAnnotationProgress" }, "type": "array", "description": "Progress metadata for all videos specified in `AnnotateVideoRequest`." } }, "id": "GoogleCloudVideointelligenceV1p2beta1_AnnotateVideoProgress", "type": "object" }, "GoogleCloudVideointelligenceV1p2beta1_VideoAnnotationResults": { "properties": { "shotAnnotations": { "description": "Shot annotations. Each shot is represented as a video segment.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_VideoSegment" } }, "segmentPresenceLabelAnnotations": { "description": "Presence label annotations on video level or user-specified segment level. There is exactly one element for each unique label. Compared to the existing topical `segment_label_annotations`, this field presents more fine-grained, segment-level labels detected in video content and is made available only when the client sets `LabelDetectionConfig.model` to \"builtin/latest\" in the request.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_LabelAnnotation" } }, "inputUri": { "description": "Video file location in [Cloud Storage](https://cloud.google.com/storage/).", "type": "string" }, "speechTranscriptions": { "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_SpeechTranscription" }, "description": "Speech transcription.", "type": "array" }, "frameLabelAnnotations": { "description": "Label annotations on frame level. There is exactly one element for each unique label.", "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_LabelAnnotation" }, "type": "array" }, "faceAnnotations": { "type": "array", "description": "Deprecated. Please use `face_detection_annotations` instead.", "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_FaceAnnotation" } }, "segment": { "description": "Video segment on which the annotation is run.", "$ref": "GoogleCloudVideointelligenceV1p2beta1_VideoSegment" }, "logoRecognitionAnnotations": { "description": "Annotations for list of logos detected, tracked and recognized in video.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_LogoRecognitionAnnotation" } }, "explicitAnnotation": { "description": "Explicit content annotation.", "$ref": "GoogleCloudVideointelligenceV1p2beta1_ExplicitContentAnnotation" }, "personDetectionAnnotations": { "type": "array", "description": "Person detection annotations.", "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_PersonDetectionAnnotation" } }, "shotLabelAnnotations": { "description": "Topical label annotations on shot level. There is exactly one element for each unique label.", "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_LabelAnnotation" }, "type": "array" }, "segmentLabelAnnotations": { "type": "array", "description": "Topical label annotations on video level or user-specified segment level. There is exactly one element for each unique label.", "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_LabelAnnotation" } }, "textAnnotations": { "description": "OCR text detection and tracking. Annotations for list of detected text snippets. Each will have list of frame information associated with it.", "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_TextAnnotation" }, "type": "array" }, "objectAnnotations": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_ObjectTrackingAnnotation" }, "description": "Annotations for list of objects detected and tracked in video." }, "error": { "$ref": "GoogleRpc_Status", "description": "If set, indicates an error. Note that for a single `AnnotateVideoRequest` some videos may succeed and some may fail." }, "faceDetectionAnnotations": { "description": "Face detection annotations.", "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_FaceDetectionAnnotation" }, "type": "array" }, "shotPresenceLabelAnnotations": { "description": "Presence label annotations on shot level. There is exactly one element for each unique label. Compared to the existing topical `shot_label_annotations`, this field presents more fine-grained, shot-level labels detected in video content and is made available only when the client sets `LabelDetectionConfig.model` to \"builtin/latest\" in the request.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_LabelAnnotation" } } }, "id": "GoogleCloudVideointelligenceV1p2beta1_VideoAnnotationResults", "type": "object", "description": "Annotation results for a single video." }, "GoogleCloudVideointelligenceV1p2beta1_AnnotateVideoResponse": { "properties": { "annotationResults": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_VideoAnnotationResults" }, "description": "Annotation results for all videos specified in `AnnotateVideoRequest`." } }, "id": "GoogleCloudVideointelligenceV1p2beta1_AnnotateVideoResponse", "type": "object", "description": "Video annotation response. Included in the `response` field of the `Operation` returned by the `GetOperation` call of the `google::longrunning::Operations` service." }, "GoogleCloudVideointelligenceV1p1beta1_TextFrame": { "properties": { "timeOffset": { "type": "string", "description": "Timestamp of this frame.", "format": "google-duration" }, "rotatedBoundingBox": { "description": "Bounding polygon of the detected text for this frame.", "$ref": "GoogleCloudVideointelligenceV1p1beta1_NormalizedBoundingPoly" } }, "id": "GoogleCloudVideointelligenceV1p1beta1_TextFrame", "type": "object", "description": "Video frame level annotation results for text annotation (OCR). Contains information regarding timestamp and bounding box locations for the frames containing detected OCR text snippets." }, "GoogleCloudVideointelligenceV1beta2_FaceFrame": { "id": "GoogleCloudVideointelligenceV1beta2_FaceFrame", "properties": { "normalizedBoundingBoxes": { "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_NormalizedBoundingBox" }, "type": "array", "description": "Normalized Bounding boxes in a frame. There can be more than one boxes if the same face is detected in multiple locations within the current frame." }, "timeOffset": { "type": "string", "description": "Time-offset, relative to the beginning of the video, corresponding to the video frame for this location.", "format": "google-duration" } }, "type": "object", "description": "Deprecated. No effect." }, "GoogleCloudVideointelligenceV1p2beta1_TextAnnotation": { "id": "GoogleCloudVideointelligenceV1p2beta1_TextAnnotation", "description": "Annotations related to one detected OCR text snippet. This will contain the corresponding text, confidence value, and frame level information for each detection.", "type": "object", "properties": { "segments": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_TextSegment" }, "description": "All video segments where OCR detected text appears." }, "text": { "type": "string", "description": "The detected text." }, "version": { "description": "Feature version.", "type": "string" } } }, "GoogleCloudVideointelligenceV1_AnnotateVideoProgress": { "id": "GoogleCloudVideointelligenceV1_AnnotateVideoProgress", "type": "object", "description": "Video annotation progress. Included in the `metadata` field of the `Operation` returned by the `GetOperation` call of the `google::longrunning::Operations` service.", "properties": { "annotationProgress": { "type": "array", "description": "Progress metadata for all videos specified in `AnnotateVideoRequest`.", "items": { "$ref": "GoogleCloudVideointelligenceV1_VideoAnnotationProgress" } } } }, "GoogleCloudVideointelligenceV1p3beta1_PersonDetectionConfig": { "type": "object", "id": "GoogleCloudVideointelligenceV1p3beta1_PersonDetectionConfig", "properties": { "includeBoundingBoxes": { "description": "Whether bounding boxes are included in the person detection annotation output.", "type": "boolean" }, "includePoseLandmarks": { "description": "Whether to enable pose landmarks detection. Ignored if 'include_bounding_boxes' is set to false.", "type": "boolean" }, "includeAttributes": { "description": "Whether to enable person attributes detection, such as cloth color (black, blue, etc), type (coat, dress, etc), pattern (plain, floral, etc), hair, etc. Ignored if 'include_bounding_boxes' is set to false.", "type": "boolean" } }, "description": "Config for PERSON_DETECTION." }, "GoogleCloudVideointelligenceV1p1beta1_FaceSegment": { "type": "object", "id": "GoogleCloudVideointelligenceV1p1beta1_FaceSegment", "properties": { "segment": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_VideoSegment", "description": "Video segment where a face was detected." } }, "description": "Video segment level annotation results for face detection." }, "GoogleCloudVideointelligenceV1p1beta1_FaceAnnotation": { "type": "object", "id": "GoogleCloudVideointelligenceV1p1beta1_FaceAnnotation", "description": "Deprecated. No effect.", "properties": { "frames": { "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_FaceFrame" }, "description": "All video frames where a face was detected.", "type": "array" }, "segments": { "type": "array", "description": "All video segments where a face was detected.", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_FaceSegment" } }, "thumbnail": { "format": "byte", "description": "Thumbnail of a representative face view (in JPEG format).", "type": "string" } } }, "GoogleCloudVideointelligenceV1_NormalizedBoundingBox": { "description": "Normalized bounding box. The normalized vertex coordinates are relative to the original image. Range: [0, 1].", "id": "GoogleCloudVideointelligenceV1_NormalizedBoundingBox", "properties": { "bottom": { "type": "number", "format": "float", "description": "Bottom Y coordinate." }, "top": { "type": "number", "format": "float", "description": "Top Y coordinate." }, "right": { "description": "Right X coordinate.", "format": "float", "type": "number" }, "left": { "description": "Left X coordinate.", "format": "float", "type": "number" } }, "type": "object" }, "GoogleCloudVideointelligenceV1p1beta1_FaceDetectionAnnotation": { "description": "Face detection annotation.", "id": "GoogleCloudVideointelligenceV1p1beta1_FaceDetectionAnnotation", "type": "object", "properties": { "version": { "type": "string", "description": "Feature version." }, "thumbnail": { "format": "byte", "type": "string", "description": "The thumbnail of a person's face." }, "tracks": { "type": "array", "description": "The face tracks with attributes.", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_Track" } } } }, "GoogleCloudVideointelligenceV1beta2_NormalizedBoundingPoly": { "properties": { "vertices": { "type": "array", "description": "Normalized vertices of the bounding polygon.", "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_NormalizedVertex" } } }, "id": "GoogleCloudVideointelligenceV1beta2_NormalizedBoundingPoly", "description": "Normalized bounding polygon for text (that might not be aligned with axis). Contains list of the corner points in clockwise order starting from top-left corner. For example, for a rectangular bounding box: When the text is horizontal it might look like: 0----1 | | 3----2 When it's clockwise rotated 180 degrees around the top-left corner it becomes: 2----3 | | 1----0 and the vertex order will still be (0, 1, 2, 3). Note that values can be less than 0, or greater than 1 due to trignometric calculations for location of the box.", "type": "object" }, "GoogleCloudVideointelligenceV1beta2_SpeechTranscription": { "type": "object", "description": "A speech recognition result corresponding to a portion of the audio.", "properties": { "alternatives": { "description": "May contain one or more recognition hypotheses (up to the maximum specified in `max_alternatives`). These alternatives are ordered in terms of accuracy, with the top (first) alternative being the most probable, as ranked by the recognizer.", "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_SpeechRecognitionAlternative" }, "type": "array" }, "languageCode": { "type": "string", "readOnly": true, "description": "Output only. The [BCP-47](https://www.rfc-editor.org/rfc/bcp/bcp47.txt) language tag of the language in this result. This language code was detected to have the most likelihood of being spoken in the audio." } }, "id": "GoogleCloudVideointelligenceV1beta2_SpeechTranscription" }, "GoogleCloudVideointelligenceV1p2beta1_VideoAnnotationProgress": { "properties": { "updateTime": { "format": "google-datetime", "type": "string", "description": "Time of the most recent update." }, "startTime": { "type": "string", "description": "Time when the request was received.", "format": "google-datetime" }, "segment": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_VideoSegment", "description": "Specifies which segment is being tracked if the request contains more than one segment." }, "inputUri": { "description": "Video file location in [Cloud Storage](https://cloud.google.com/storage/).", "type": "string" }, "progressPercent": { "format": "int32", "type": "integer", "description": "Approximate percentage processed thus far. Guaranteed to be 100 when fully processed." }, "feature": { "enum": [ "FEATURE_UNSPECIFIED", "LABEL_DETECTION", "SHOT_CHANGE_DETECTION", "EXPLICIT_CONTENT_DETECTION", "FACE_DETECTION", "SPEECH_TRANSCRIPTION", "TEXT_DETECTION", "OBJECT_TRACKING", "LOGO_RECOGNITION", "PERSON_DETECTION" ], "description": "Specifies which feature is being tracked if the request contains more than one feature.", "enumDescriptions": [ "Unspecified.", "Label detection. Detect objects, such as dog or flower.", "Shot change detection.", "Explicit content detection.", "Human face detection.", "Speech transcription.", "OCR text detection and tracking.", "Object detection and tracking.", "Logo detection, tracking, and recognition.", "Person detection." ], "type": "string" } }, "id": "GoogleCloudVideointelligenceV1p2beta1_VideoAnnotationProgress", "description": "Annotation progress for a single video.", "type": "object" }, "GoogleCloudVideointelligenceV1p3beta1_ExplicitContentAnnotation": { "properties": { "frames": { "type": "array", "description": "All video frames where explicit content was detected.", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_ExplicitContentFrame" } }, "version": { "description": "Feature version.", "type": "string" } }, "id": "GoogleCloudVideointelligenceV1p3beta1_ExplicitContentAnnotation", "type": "object", "description": "Explicit content annotation (based on per-frame visual signals only). If no explicit content has been detected in a frame, no annotations are present for that frame." }, "GoogleCloudVideointelligenceV1p2beta1_SpeechTranscription": { "type": "object", "description": "A speech recognition result corresponding to a portion of the audio.", "id": "GoogleCloudVideointelligenceV1p2beta1_SpeechTranscription", "properties": { "languageCode": { "readOnly": true, "description": "Output only. The [BCP-47](https://www.rfc-editor.org/rfc/bcp/bcp47.txt) language tag of the language in this result. This language code was detected to have the most likelihood of being spoken in the audio.", "type": "string" }, "alternatives": { "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_SpeechRecognitionAlternative" }, "type": "array", "description": "May contain one or more recognition hypotheses (up to the maximum specified in `max_alternatives`). These alternatives are ordered in terms of accuracy, with the top (first) alternative being the most probable, as ranked by the recognizer." } } }, "GoogleCloudVideointelligenceV1beta2_SpeechRecognitionAlternative": { "properties": { "confidence": { "readOnly": true, "format": "float", "description": "Output only. The confidence estimate between 0.0 and 1.0. A higher number indicates an estimated greater likelihood that the recognized words are correct. This field is set only for the top alternative. This field is not guaranteed to be accurate and users should not rely on it to be always provided. The default of 0.0 is a sentinel value indicating `confidence` was not set.", "type": "number" }, "transcript": { "description": "Transcript text representing the words that the user spoke.", "type": "string" }, "words": { "readOnly": true, "description": "Output only. A list of word-specific information for each recognized word. Note: When `enable_speaker_diarization` is set to true, you will see all the words from the beginning of the audio.", "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_WordInfo" }, "type": "array" } }, "description": "Alternative hypotheses (a.k.a. n-best list).", "id": "GoogleCloudVideointelligenceV1beta2_SpeechRecognitionAlternative", "type": "object" }, "GoogleCloudVideointelligenceV1p1beta1_SpeechRecognitionAlternative": { "type": "object", "properties": { "confidence": { "format": "float", "readOnly": true, "type": "number", "description": "Output only. The confidence estimate between 0.0 and 1.0. A higher number indicates an estimated greater likelihood that the recognized words are correct. This field is set only for the top alternative. This field is not guaranteed to be accurate and users should not rely on it to be always provided. The default of 0.0 is a sentinel value indicating `confidence` was not set." }, "transcript": { "description": "Transcript text representing the words that the user spoke.", "type": "string" }, "words": { "description": "Output only. A list of word-specific information for each recognized word. Note: When `enable_speaker_diarization` is set to true, you will see all the words from the beginning of the audio.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_WordInfo" }, "readOnly": true } }, "id": "GoogleCloudVideointelligenceV1p1beta1_SpeechRecognitionAlternative", "description": "Alternative hypotheses (a.k.a. n-best list)." }, "GoogleCloudVideointelligenceV1p3beta1_TextFrame": { "id": "GoogleCloudVideointelligenceV1p3beta1_TextFrame", "type": "object", "properties": { "rotatedBoundingBox": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_NormalizedBoundingPoly", "description": "Bounding polygon of the detected text for this frame." }, "timeOffset": { "format": "google-duration", "description": "Timestamp of this frame.", "type": "string" } }, "description": "Video frame level annotation results for text annotation (OCR). Contains information regarding timestamp and bounding box locations for the frames containing detected OCR text snippets." }, "GoogleCloudVideointelligenceV1p2beta1_SpeechRecognitionAlternative": { "description": "Alternative hypotheses (a.k.a. n-best list).", "properties": { "confidence": { "format": "float", "description": "Output only. The confidence estimate between 0.0 and 1.0. A higher number indicates an estimated greater likelihood that the recognized words are correct. This field is set only for the top alternative. This field is not guaranteed to be accurate and users should not rely on it to be always provided. The default of 0.0 is a sentinel value indicating `confidence` was not set.", "readOnly": true, "type": "number" }, "words": { "type": "array", "description": "Output only. A list of word-specific information for each recognized word. Note: When `enable_speaker_diarization` is set to true, you will see all the words from the beginning of the audio.", "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_WordInfo" }, "readOnly": true }, "transcript": { "description": "Transcript text representing the words that the user spoke.", "type": "string" } }, "id": "GoogleCloudVideointelligenceV1p2beta1_SpeechRecognitionAlternative", "type": "object" }, "GoogleCloudVideointelligenceV1p3beta1_VideoAnnotationProgress": { "properties": { "segment": { "description": "Specifies which segment is being tracked if the request contains more than one segment.", "$ref": "GoogleCloudVideointelligenceV1p3beta1_VideoSegment" }, "progressPercent": { "description": "Approximate percentage processed thus far. Guaranteed to be 100 when fully processed.", "type": "integer", "format": "int32" }, "feature": { "enumDescriptions": [ "Unspecified.", "Label detection. Detect objects, such as dog or flower.", "Shot change detection.", "Explicit content detection.", "Human face detection.", "Speech transcription.", "OCR text detection and tracking.", "Object detection and tracking.", "Logo detection, tracking, and recognition.", "Celebrity recognition.", "Person detection." ], "description": "Specifies which feature is being tracked if the request contains more than one feature.", "type": "string", "enum": [ "FEATURE_UNSPECIFIED", "LABEL_DETECTION", "SHOT_CHANGE_DETECTION", "EXPLICIT_CONTENT_DETECTION", "FACE_DETECTION", "SPEECH_TRANSCRIPTION", "TEXT_DETECTION", "OBJECT_TRACKING", "LOGO_RECOGNITION", "CELEBRITY_RECOGNITION", "PERSON_DETECTION" ] }, "inputUri": { "type": "string", "description": "Video file location in [Cloud Storage](https://cloud.google.com/storage/)." }, "updateTime": { "type": "string", "format": "google-datetime", "description": "Time of the most recent update." }, "startTime": { "type": "string", "description": "Time when the request was received.", "format": "google-datetime" } }, "description": "Annotation progress for a single video.", "id": "GoogleCloudVideointelligenceV1p3beta1_VideoAnnotationProgress", "type": "object" }, "GoogleCloudVideointelligenceV1p3beta1_ObjectTrackingAnnotation": { "id": "GoogleCloudVideointelligenceV1p3beta1_ObjectTrackingAnnotation", "type": "object", "description": "Annotations corresponding to one tracked object.", "properties": { "frames": { "description": "Information corresponding to all frames where this object track appears. Non-streaming batch mode: it may be one or multiple ObjectTrackingFrame messages in frames. Streaming mode: it can only be one ObjectTrackingFrame message in frames.", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_ObjectTrackingFrame" }, "type": "array" }, "confidence": { "type": "number", "format": "float", "description": "Object category's labeling confidence of this track." }, "entity": { "description": "Entity to specify the object category that this track is labeled as.", "$ref": "GoogleCloudVideointelligenceV1p3beta1_Entity" }, "version": { "type": "string", "description": "Feature version." }, "segment": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_VideoSegment", "description": "Non-streaming batch mode ONLY. Each object track corresponds to one video segment where it appears." }, "trackId": { "format": "int64", "type": "string", "description": "Streaming mode ONLY. In streaming mode, we do not know the end time of a tracked object before it is completed. Hence, there is no VideoSegment info returned. Instead, we provide a unique identifiable integer track_id so that the customers can correlate the results of the ongoing ObjectTrackAnnotation of the same track_id over time." } } }, "GoogleCloudVideointelligenceV1_SpeechRecognitionAlternative": { "properties": { "confidence": { "description": "Output only. The confidence estimate between 0.0 and 1.0. A higher number indicates an estimated greater likelihood that the recognized words are correct. This field is set only for the top alternative. This field is not guaranteed to be accurate and users should not rely on it to be always provided. The default of 0.0 is a sentinel value indicating `confidence` was not set.", "readOnly": true, "format": "float", "type": "number" }, "transcript": { "type": "string", "description": "Transcript text representing the words that the user spoke." }, "words": { "readOnly": true, "description": "Output only. A list of word-specific information for each recognized word. Note: When `enable_speaker_diarization` is set to true, you will see all the words from the beginning of the audio.", "items": { "$ref": "GoogleCloudVideointelligenceV1_WordInfo" }, "type": "array" } }, "description": "Alternative hypotheses (a.k.a. n-best list).", "type": "object", "id": "GoogleCloudVideointelligenceV1_SpeechRecognitionAlternative" }, "GoogleCloudVideointelligenceV1p3beta1_TextAnnotation": { "type": "object", "id": "GoogleCloudVideointelligenceV1p3beta1_TextAnnotation", "properties": { "text": { "description": "The detected text.", "type": "string" }, "segments": { "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_TextSegment" }, "description": "All video segments where OCR detected text appears.", "type": "array" }, "version": { "type": "string", "description": "Feature version." } }, "description": "Annotations related to one detected OCR text snippet. This will contain the corresponding text, confidence value, and frame level information for each detection." }, "GoogleCloudVideointelligenceV1p2beta1_TextFrame": { "properties": { "timeOffset": { "type": "string", "description": "Timestamp of this frame.", "format": "google-duration" }, "rotatedBoundingBox": { "description": "Bounding polygon of the detected text for this frame.", "$ref": "GoogleCloudVideointelligenceV1p2beta1_NormalizedBoundingPoly" } }, "description": "Video frame level annotation results for text annotation (OCR). Contains information regarding timestamp and bounding box locations for the frames containing detected OCR text snippets.", "id": "GoogleCloudVideointelligenceV1p2beta1_TextFrame", "type": "object" }, "GoogleCloudVideointelligenceV1beta2_ExplicitContentAnnotation": { "type": "object", "description": "Explicit content annotation (based on per-frame visual signals only). If no explicit content has been detected in a frame, no annotations are present for that frame.", "properties": { "frames": { "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_ExplicitContentFrame" }, "description": "All video frames where explicit content was detected.", "type": "array" }, "version": { "type": "string", "description": "Feature version." } }, "id": "GoogleCloudVideointelligenceV1beta2_ExplicitContentAnnotation" }, "GoogleCloudVideointelligenceV1p1beta1_PersonDetectionAnnotation": { "properties": { "tracks": { "type": "array", "description": "The detected tracks of a person.", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_Track" } }, "version": { "description": "Feature version.", "type": "string" } }, "type": "object", "id": "GoogleCloudVideointelligenceV1p1beta1_PersonDetectionAnnotation", "description": "Person detection annotation per video." }, "GoogleCloudVideointelligenceV1p3beta1_LabelDetectionConfig": { "id": "GoogleCloudVideointelligenceV1p3beta1_LabelDetectionConfig", "properties": { "labelDetectionMode": { "enumDescriptions": [ "Unspecified.", "Detect shot-level labels.", "Detect frame-level labels.", "Detect both shot-level and frame-level labels." ], "description": "What labels should be detected with LABEL_DETECTION, in addition to video-level labels or segment-level labels. If unspecified, defaults to `SHOT_MODE`.", "enum": [ "LABEL_DETECTION_MODE_UNSPECIFIED", "SHOT_MODE", "FRAME_MODE", "SHOT_AND_FRAME_MODE" ], "type": "string" }, "videoConfidenceThreshold": { "description": "The confidence threshold we perform filtering on the labels from video-level and shot-level detections. If not set, it's set to 0.3 by default. The valid range for this threshold is [0.1, 0.9]. Any value set outside of this range will be clipped. Note: For best results, follow the default threshold. We will update the default threshold everytime when we release a new model.", "format": "float", "type": "number" }, "stationaryCamera": { "type": "boolean", "description": "Whether the video has been shot from a stationary (i.e., non-moving) camera. When set to true, might improve detection accuracy for moving objects. Should be used with `SHOT_AND_FRAME_MODE` enabled." }, "model": { "description": "Model to use for label detection. Supported values: \"builtin/stable\" (the default if unset) and \"builtin/latest\".", "type": "string" }, "frameConfidenceThreshold": { "description": "The confidence threshold we perform filtering on the labels from frame-level detection. If not set, it is set to 0.4 by default. The valid range for this threshold is [0.1, 0.9]. Any value set outside of this range will be clipped. Note: For best results, follow the default threshold. We will update the default threshold everytime when we release a new model.", "format": "float", "type": "number" } }, "description": "Config for LABEL_DETECTION.", "type": "object" }, "GoogleCloudVideointelligenceV1_TimestampedObject": { "description": "For tracking related features. An object at time_offset with attributes, and located with normalized_bounding_box.", "id": "GoogleCloudVideointelligenceV1_TimestampedObject", "properties": { "landmarks": { "items": { "$ref": "GoogleCloudVideointelligenceV1_DetectedLandmark" }, "type": "array", "description": "Optional. The detected landmarks." }, "normalizedBoundingBox": { "$ref": "GoogleCloudVideointelligenceV1_NormalizedBoundingBox", "description": "Normalized Bounding box in a frame, where the object is located." }, "timeOffset": { "description": "Time-offset, relative to the beginning of the video, corresponding to the video frame for this object.", "type": "string", "format": "google-duration" }, "attributes": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1_DetectedAttribute" }, "description": "Optional. The attributes of the object in the bounding box." } }, "type": "object" }, "GoogleCloudVideointelligenceV1_FaceSegment": { "id": "GoogleCloudVideointelligenceV1_FaceSegment", "description": "Video segment level annotation results for face detection.", "properties": { "segment": { "description": "Video segment where a face was detected.", "$ref": "GoogleCloudVideointelligenceV1_VideoSegment" } }, "type": "object" }, "GoogleCloudVideointelligenceV1p3beta1_Track": { "id": "GoogleCloudVideointelligenceV1p3beta1_Track", "properties": { "segment": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_VideoSegment", "description": "Video segment of a track." }, "timestampedObjects": { "description": "The object with timestamp and attributes per frame in the track.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_TimestampedObject" } }, "attributes": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_DetectedAttribute" }, "description": "Optional. Attributes in the track level." }, "confidence": { "type": "number", "description": "Optional. The confidence score of the tracked object.", "format": "float" } }, "type": "object", "description": "A track of an object instance." }, "GoogleCloudVideointelligenceV1p1beta1_LogoRecognitionAnnotation": { "properties": { "tracks": { "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_Track" }, "description": "All logo tracks where the recognized logo appears. Each track corresponds to one logo instance appearing in consecutive frames.", "type": "array" }, "segments": { "description": "All video segments where the recognized logo appears. There might be multiple instances of the same logo class appearing in one VideoSegment.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_VideoSegment" } }, "entity": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_Entity", "description": "Entity category information to specify the logo class that all the logo tracks within this LogoRecognitionAnnotation are recognized as." } }, "id": "GoogleCloudVideointelligenceV1p1beta1_LogoRecognitionAnnotation", "description": "Annotation corresponding to one detected, tracked and recognized logo class.", "type": "object" }, "GoogleCloudVideointelligenceV1beta2_DetectedAttribute": { "type": "object", "properties": { "name": { "type": "string", "description": "The name of the attribute, for example, glasses, dark_glasses, mouth_open. A full list of supported type names will be provided in the document." }, "confidence": { "type": "number", "description": "Detected attribute confidence. Range [0, 1].", "format": "float" }, "value": { "description": "Text value of the detection result. For example, the value for \"HairColor\" can be \"black\", \"blonde\", etc.", "type": "string" } }, "description": "A generic detected attribute represented by name in string format.", "id": "GoogleCloudVideointelligenceV1beta2_DetectedAttribute" }, "GoogleCloudVideointelligenceV1beta2_TextSegment": { "type": "object", "id": "GoogleCloudVideointelligenceV1beta2_TextSegment", "description": "Video segment level annotation results for text detection.", "properties": { "confidence": { "type": "number", "description": "Confidence for the track of detected text. It is calculated as the highest over all frames where OCR detected text appears.", "format": "float" }, "segment": { "description": "Video segment where a text snippet was detected.", "$ref": "GoogleCloudVideointelligenceV1beta2_VideoSegment" }, "frames": { "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_TextFrame" }, "type": "array", "description": "Information related to the frames where OCR detected text appears." } } }, "GoogleCloudVideointelligenceV1_LabelSegment": { "properties": { "segment": { "description": "Video segment where a label was detected.", "$ref": "GoogleCloudVideointelligenceV1_VideoSegment" }, "confidence": { "type": "number", "description": "Confidence that the label is accurate. Range: [0, 1].", "format": "float" } }, "description": "Video segment level annotation results for label detection.", "id": "GoogleCloudVideointelligenceV1_LabelSegment", "type": "object" }, "GoogleCloudVideointelligenceV1beta2_WordInfo": { "id": "GoogleCloudVideointelligenceV1beta2_WordInfo", "type": "object", "description": "Word-specific information for recognized words. Word information is only included in the response when certain request parameters are set, such as `enable_word_time_offsets`.", "properties": { "startTime": { "type": "string", "description": "Time offset relative to the beginning of the audio, and corresponding to the start of the spoken word. This field is only set if `enable_word_time_offsets=true` and only in the top hypothesis. This is an experimental feature and the accuracy of the time offset can vary.", "format": "google-duration" }, "speakerTag": { "description": "Output only. A distinct integer value is assigned for every speaker within the audio. This field specifies which one of those speakers was detected to have spoken this word. Value ranges from 1 up to diarization_speaker_count, and is only set if speaker diarization is enabled.", "type": "integer", "readOnly": true, "format": "int32" }, "confidence": { "format": "float", "type": "number", "readOnly": true, "description": "Output only. The confidence estimate between 0.0 and 1.0. A higher number indicates an estimated greater likelihood that the recognized words are correct. This field is set only for the top alternative. This field is not guaranteed to be accurate and users should not rely on it to be always provided. The default of 0.0 is a sentinel value indicating `confidence` was not set." }, "endTime": { "format": "google-duration", "type": "string", "description": "Time offset relative to the beginning of the audio, and corresponding to the end of the spoken word. This field is only set if `enable_word_time_offsets=true` and only in the top hypothesis. This is an experimental feature and the accuracy of the time offset can vary." }, "word": { "description": "The word corresponding to this set of information.", "type": "string" } } }, "GoogleCloudVideointelligenceV1p2beta1_LabelFrame": { "properties": { "timeOffset": { "type": "string", "description": "Time-offset, relative to the beginning of the video, corresponding to the video frame for this location.", "format": "google-duration" }, "confidence": { "description": "Confidence that the label is accurate. Range: [0, 1].", "format": "float", "type": "number" } }, "description": "Video frame level annotation results for label detection.", "type": "object", "id": "GoogleCloudVideointelligenceV1p2beta1_LabelFrame" }, "GoogleCloudVideointelligenceV1_TextAnnotation": { "id": "GoogleCloudVideointelligenceV1_TextAnnotation", "description": "Annotations related to one detected OCR text snippet. This will contain the corresponding text, confidence value, and frame level information for each detection.", "type": "object", "properties": { "segments": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1_TextSegment" }, "description": "All video segments where OCR detected text appears." }, "text": { "description": "The detected text.", "type": "string" }, "version": { "type": "string", "description": "Feature version." } } }, "GoogleCloudVideointelligenceV1_VideoAnnotationProgress": { "id": "GoogleCloudVideointelligenceV1_VideoAnnotationProgress", "type": "object", "properties": { "feature": { "enum": [ "FEATURE_UNSPECIFIED", "LABEL_DETECTION", "SHOT_CHANGE_DETECTION", "EXPLICIT_CONTENT_DETECTION", "FACE_DETECTION", "SPEECH_TRANSCRIPTION", "TEXT_DETECTION", "OBJECT_TRACKING", "LOGO_RECOGNITION", "PERSON_DETECTION" ], "type": "string", "enumDescriptions": [ "Unspecified.", "Label detection. Detect objects, such as dog or flower.", "Shot change detection.", "Explicit content detection.", "Human face detection.", "Speech transcription.", "OCR text detection and tracking.", "Object detection and tracking.", "Logo detection, tracking, and recognition.", "Person detection." ], "description": "Specifies which feature is being tracked if the request contains more than one feature." }, "startTime": { "type": "string", "format": "google-datetime", "description": "Time when the request was received." }, "updateTime": { "type": "string", "description": "Time of the most recent update.", "format": "google-datetime" }, "inputUri": { "description": "Video file location in [Cloud Storage](https://cloud.google.com/storage/).", "type": "string" }, "segment": { "$ref": "GoogleCloudVideointelligenceV1_VideoSegment", "description": "Specifies which segment is being tracked if the request contains more than one segment." }, "progressPercent": { "format": "int32", "description": "Approximate percentage processed thus far. Guaranteed to be 100 when fully processed.", "type": "integer" } }, "description": "Annotation progress for a single video." }, "GoogleCloudVideointelligenceV1p1beta1_LabelAnnotation": { "id": "GoogleCloudVideointelligenceV1p1beta1_LabelAnnotation", "description": "Label annotation.", "type": "object", "properties": { "entity": { "description": "Detected entity.", "$ref": "GoogleCloudVideointelligenceV1p1beta1_Entity" }, "categoryEntities": { "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_Entity" }, "type": "array", "description": "Common categories for the detected entity. For example, when the label is `Terrier`, the category is likely `dog`. And in some cases there might be more than one categories e.g., `Terrier` could also be a `pet`." }, "segments": { "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_LabelSegment" }, "description": "All video segments where a label was detected.", "type": "array" }, "frames": { "description": "All video frames where a label was detected.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_LabelFrame" } }, "version": { "type": "string", "description": "Feature version." } } }, "GoogleCloudVideointelligenceV1p2beta1_NormalizedBoundingPoly": { "description": "Normalized bounding polygon for text (that might not be aligned with axis). Contains list of the corner points in clockwise order starting from top-left corner. For example, for a rectangular bounding box: When the text is horizontal it might look like: 0----1 | | 3----2 When it's clockwise rotated 180 degrees around the top-left corner it becomes: 2----3 | | 1----0 and the vertex order will still be (0, 1, 2, 3). Note that values can be less than 0, or greater than 1 due to trignometric calculations for location of the box.", "properties": { "vertices": { "type": "array", "description": "Normalized vertices of the bounding polygon.", "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_NormalizedVertex" } } }, "type": "object", "id": "GoogleCloudVideointelligenceV1p2beta1_NormalizedBoundingPoly" }, "GoogleRpc_Status": { "type": "object", "description": "The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors).", "id": "GoogleRpc_Status", "properties": { "code": { "type": "integer", "format": "int32", "description": "The status code, which should be an enum value of google.rpc.Code." }, "message": { "type": "string", "description": "A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client." }, "details": { "items": { "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "type": "object" }, "type": "array", "description": "A list of messages that carry the error details. There is a common set of message types for APIs to use." } } }, "GoogleCloudVideointelligenceV1p3beta1_CelebrityTrack": { "id": "GoogleCloudVideointelligenceV1p3beta1_CelebrityTrack", "description": "The annotation result of a celebrity face track. RecognizedCelebrity field could be empty if the face track does not have any matched celebrities.", "type": "object", "properties": { "celebrities": { "description": "Top N match of the celebrities for the face in this track.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_RecognizedCelebrity" } }, "faceTrack": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_Track", "description": "A track of a person's face." } } }, "GoogleCloudVideointelligenceV1p3beta1_StreamingVideoAnnotationResults": { "properties": { "explicitAnnotation": { "description": "Explicit content annotation results.", "$ref": "GoogleCloudVideointelligenceV1p3beta1_ExplicitContentAnnotation" }, "labelAnnotations": { "description": "Label annotation results.", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_LabelAnnotation" }, "type": "array" }, "shotAnnotations": { "description": "Shot annotation results. Each shot is represented as a video segment.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_VideoSegment" } }, "objectAnnotations": { "description": "Object tracking results.", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_ObjectTrackingAnnotation" }, "type": "array" }, "frameTimestamp": { "description": "Timestamp of the processed frame in microseconds.", "type": "string", "format": "google-duration" } }, "type": "object", "id": "GoogleCloudVideointelligenceV1p3beta1_StreamingVideoAnnotationResults", "description": "Streaming annotation results corresponding to a portion of the video that is currently being processed. Only ONE type of annotation will be specified in the response." }, "GoogleCloudVideointelligenceV1p3beta1_CelebrityRecognitionAnnotation": { "id": "GoogleCloudVideointelligenceV1p3beta1_CelebrityRecognitionAnnotation", "properties": { "celebrityTracks": { "type": "array", "description": "The tracks detected from the input video, including recognized celebrities and other detected faces in the video.", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_CelebrityTrack" } }, "version": { "description": "Feature version.", "type": "string" } }, "description": "Celebrity recognition annotation per video.", "type": "object" }, "GoogleCloudVideointelligenceV1_ExplicitContentAnnotation": { "type": "object", "description": "Explicit content annotation (based on per-frame visual signals only). If no explicit content has been detected in a frame, no annotations are present for that frame.", "properties": { "frames": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1_ExplicitContentFrame" }, "description": "All video frames where explicit content was detected." }, "version": { "type": "string", "description": "Feature version." } }, "id": "GoogleCloudVideointelligenceV1_ExplicitContentAnnotation" }, "GoogleCloudVideointelligenceV1p3beta1_FaceAnnotation": { "properties": { "frames": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_FaceFrame" }, "description": "All video frames where a face was detected." }, "thumbnail": { "format": "byte", "description": "Thumbnail of a representative face view (in JPEG format).", "type": "string" }, "segments": { "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_FaceSegment" }, "type": "array", "description": "All video segments where a face was detected." } }, "description": "Deprecated. No effect.", "id": "GoogleCloudVideointelligenceV1p3beta1_FaceAnnotation", "type": "object" }, "GoogleCloudVideointelligenceV1_VideoAnnotationResults": { "properties": { "shotAnnotations": { "items": { "$ref": "GoogleCloudVideointelligenceV1_VideoSegment" }, "type": "array", "description": "Shot annotations. Each shot is represented as a video segment." }, "shotLabelAnnotations": { "items": { "$ref": "GoogleCloudVideointelligenceV1_LabelAnnotation" }, "type": "array", "description": "Topical label annotations on shot level. There is exactly one element for each unique label." }, "faceDetectionAnnotations": { "description": "Face detection annotations.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1_FaceDetectionAnnotation" } }, "shotPresenceLabelAnnotations": { "items": { "$ref": "GoogleCloudVideointelligenceV1_LabelAnnotation" }, "type": "array", "description": "Presence label annotations on shot level. There is exactly one element for each unique label. Compared to the existing topical `shot_label_annotations`, this field presents more fine-grained, shot-level labels detected in video content and is made available only when the client sets `LabelDetectionConfig.model` to \"builtin/latest\" in the request." }, "textAnnotations": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1_TextAnnotation" }, "description": "OCR text detection and tracking. Annotations for list of detected text snippets. Each will have list of frame information associated with it." }, "inputUri": { "description": "Video file location in [Cloud Storage](https://cloud.google.com/storage/).", "type": "string" }, "frameLabelAnnotations": { "description": "Label annotations on frame level. There is exactly one element for each unique label.", "items": { "$ref": "GoogleCloudVideointelligenceV1_LabelAnnotation" }, "type": "array" }, "segment": { "$ref": "GoogleCloudVideointelligenceV1_VideoSegment", "description": "Video segment on which the annotation is run." }, "faceAnnotations": { "items": { "$ref": "GoogleCloudVideointelligenceV1_FaceAnnotation" }, "description": "Deprecated. Please use `face_detection_annotations` instead.", "type": "array" }, "personDetectionAnnotations": { "type": "array", "description": "Person detection annotations.", "items": { "$ref": "GoogleCloudVideointelligenceV1_PersonDetectionAnnotation" } }, "segmentLabelAnnotations": { "type": "array", "description": "Topical label annotations on video level or user-specified segment level. There is exactly one element for each unique label.", "items": { "$ref": "GoogleCloudVideointelligenceV1_LabelAnnotation" } }, "error": { "description": "If set, indicates an error. Note that for a single `AnnotateVideoRequest` some videos may succeed and some may fail.", "$ref": "GoogleRpc_Status" }, "speechTranscriptions": { "description": "Speech transcription.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1_SpeechTranscription" } }, "objectAnnotations": { "type": "array", "description": "Annotations for list of objects detected and tracked in video.", "items": { "$ref": "GoogleCloudVideointelligenceV1_ObjectTrackingAnnotation" } }, "segmentPresenceLabelAnnotations": { "items": { "$ref": "GoogleCloudVideointelligenceV1_LabelAnnotation" }, "type": "array", "description": "Presence label annotations on video level or user-specified segment level. There is exactly one element for each unique label. Compared to the existing topical `segment_label_annotations`, this field presents more fine-grained, segment-level labels detected in video content and is made available only when the client sets `LabelDetectionConfig.model` to \"builtin/latest\" in the request." }, "explicitAnnotation": { "description": "Explicit content annotation.", "$ref": "GoogleCloudVideointelligenceV1_ExplicitContentAnnotation" }, "logoRecognitionAnnotations": { "description": "Annotations for list of logos detected, tracked and recognized in video.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1_LogoRecognitionAnnotation" } } }, "description": "Annotation results for a single video.", "id": "GoogleCloudVideointelligenceV1_VideoAnnotationResults", "type": "object" }, "GoogleCloudVideointelligenceV1p3beta1_TimestampedObject": { "type": "object", "id": "GoogleCloudVideointelligenceV1p3beta1_TimestampedObject", "description": "For tracking related features. An object at time_offset with attributes, and located with normalized_bounding_box.", "properties": { "timeOffset": { "format": "google-duration", "type": "string", "description": "Time-offset, relative to the beginning of the video, corresponding to the video frame for this object." }, "landmarks": { "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_DetectedLandmark" }, "type": "array", "description": "Optional. The detected landmarks." }, "normalizedBoundingBox": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_NormalizedBoundingBox", "description": "Normalized Bounding box in a frame, where the object is located." }, "attributes": { "type": "array", "description": "Optional. The attributes of the object in the bounding box.", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_DetectedAttribute" } } } }, "GoogleCloudVideointelligenceV1_LabelFrame": { "type": "object", "properties": { "confidence": { "description": "Confidence that the label is accurate. Range: [0, 1].", "format": "float", "type": "number" }, "timeOffset": { "format": "google-duration", "description": "Time-offset, relative to the beginning of the video, corresponding to the video frame for this location.", "type": "string" } }, "id": "GoogleCloudVideointelligenceV1_LabelFrame", "description": "Video frame level annotation results for label detection." }, "GoogleCloudVideointelligenceV1p3beta1_NormalizedBoundingBox": { "properties": { "top": { "format": "float", "type": "number", "description": "Top Y coordinate." }, "bottom": { "type": "number", "description": "Bottom Y coordinate.", "format": "float" }, "right": { "type": "number", "description": "Right X coordinate.", "format": "float" }, "left": { "type": "number", "description": "Left X coordinate.", "format": "float" } }, "description": "Normalized bounding box. The normalized vertex coordinates are relative to the original image. Range: [0, 1].", "type": "object", "id": "GoogleCloudVideointelligenceV1p3beta1_NormalizedBoundingBox" }, "GoogleCloudVideointelligenceV1beta2_ExplicitContentFrame": { "id": "GoogleCloudVideointelligenceV1beta2_ExplicitContentFrame", "type": "object", "description": "Video frame level annotation results for explicit content.", "properties": { "pornographyLikelihood": { "enumDescriptions": [ "Unspecified likelihood.", "Very unlikely.", "Unlikely.", "Possible.", "Likely.", "Very likely." ], "description": "Likelihood of the pornography content..", "enum": [ "LIKELIHOOD_UNSPECIFIED", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ], "type": "string" }, "timeOffset": { "type": "string", "format": "google-duration", "description": "Time-offset, relative to the beginning of the video, corresponding to the video frame for this location." } } }, "GoogleCloudVideointelligenceV1p3beta1_DetectedAttribute": { "description": "A generic detected attribute represented by name in string format.", "type": "object", "properties": { "value": { "description": "Text value of the detection result. For example, the value for \"HairColor\" can be \"black\", \"blonde\", etc.", "type": "string" }, "name": { "description": "The name of the attribute, for example, glasses, dark_glasses, mouth_open. A full list of supported type names will be provided in the document.", "type": "string" }, "confidence": { "description": "Detected attribute confidence. Range [0, 1].", "type": "number", "format": "float" } }, "id": "GoogleCloudVideointelligenceV1p3beta1_DetectedAttribute" }, "GoogleCloudVideointelligenceV1p3beta1_FaceFrame": { "id": "GoogleCloudVideointelligenceV1p3beta1_FaceFrame", "type": "object", "description": "Deprecated. No effect.", "properties": { "timeOffset": { "description": "Time-offset, relative to the beginning of the video, corresponding to the video frame for this location.", "type": "string", "format": "google-duration" }, "normalizedBoundingBoxes": { "description": "Normalized Bounding boxes in a frame. There can be more than one boxes if the same face is detected in multiple locations within the current frame.", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_NormalizedBoundingBox" }, "type": "array" } } }, "GoogleCloudVideointelligenceV1p3beta1_ExplicitContentFrame": { "description": "Video frame level annotation results for explicit content.", "id": "GoogleCloudVideointelligenceV1p3beta1_ExplicitContentFrame", "properties": { "timeOffset": { "type": "string", "description": "Time-offset, relative to the beginning of the video, corresponding to the video frame for this location.", "format": "google-duration" }, "pornographyLikelihood": { "enumDescriptions": [ "Unspecified likelihood.", "Very unlikely.", "Unlikely.", "Possible.", "Likely.", "Very likely." ], "description": "Likelihood of the pornography content..", "enum": [ "LIKELIHOOD_UNSPECIFIED", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ], "type": "string" } }, "type": "object" }, "GoogleCloudVideointelligenceV1p2beta1_ObjectTrackingAnnotation": { "properties": { "version": { "type": "string", "description": "Feature version." }, "frames": { "description": "Information corresponding to all frames where this object track appears. Non-streaming batch mode: it may be one or multiple ObjectTrackingFrame messages in frames. Streaming mode: it can only be one ObjectTrackingFrame message in frames.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_ObjectTrackingFrame" } }, "entity": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_Entity", "description": "Entity to specify the object category that this track is labeled as." }, "segment": { "description": "Non-streaming batch mode ONLY. Each object track corresponds to one video segment where it appears.", "$ref": "GoogleCloudVideointelligenceV1p2beta1_VideoSegment" }, "trackId": { "format": "int64", "type": "string", "description": "Streaming mode ONLY. In streaming mode, we do not know the end time of a tracked object before it is completed. Hence, there is no VideoSegment info returned. Instead, we provide a unique identifiable integer track_id so that the customers can correlate the results of the ongoing ObjectTrackAnnotation of the same track_id over time." }, "confidence": { "type": "number", "format": "float", "description": "Object category's labeling confidence of this track." } }, "id": "GoogleCloudVideointelligenceV1p2beta1_ObjectTrackingAnnotation", "type": "object", "description": "Annotations corresponding to one tracked object." }, "GoogleCloudVideointelligenceV1beta2_ObjectTrackingFrame": { "description": "Video frame level annotations for object detection and tracking. This field stores per frame location, time offset, and confidence.", "id": "GoogleCloudVideointelligenceV1beta2_ObjectTrackingFrame", "type": "object", "properties": { "timeOffset": { "format": "google-duration", "type": "string", "description": "The timestamp of the frame in microseconds." }, "normalizedBoundingBox": { "description": "The normalized bounding box location of this object track for the frame.", "$ref": "GoogleCloudVideointelligenceV1beta2_NormalizedBoundingBox" } } }, "GoogleCloudVideointelligenceV1beta2_Track": { "description": "A track of an object instance.", "properties": { "timestampedObjects": { "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_TimestampedObject" }, "type": "array", "description": "The object with timestamp and attributes per frame in the track." }, "attributes": { "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_DetectedAttribute" }, "description": "Optional. Attributes in the track level.", "type": "array" }, "confidence": { "type": "number", "description": "Optional. The confidence score of the tracked object.", "format": "float" }, "segment": { "$ref": "GoogleCloudVideointelligenceV1beta2_VideoSegment", "description": "Video segment of a track." } }, "id": "GoogleCloudVideointelligenceV1beta2_Track", "type": "object" }, "GoogleCloudVideointelligenceV1p3beta1_SpeechTranscription": { "description": "A speech recognition result corresponding to a portion of the audio.", "properties": { "alternatives": { "type": "array", "description": "May contain one or more recognition hypotheses (up to the maximum specified in `max_alternatives`). These alternatives are ordered in terms of accuracy, with the top (first) alternative being the most probable, as ranked by the recognizer.", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_SpeechRecognitionAlternative" } }, "languageCode": { "description": "Output only. The [BCP-47](https://www.rfc-editor.org/rfc/bcp/bcp47.txt) language tag of the language in this result. This language code was detected to have the most likelihood of being spoken in the audio.", "type": "string", "readOnly": true } }, "type": "object", "id": "GoogleCloudVideointelligenceV1p3beta1_SpeechTranscription" }, "GoogleCloudVideointelligenceV1p2beta1_NormalizedBoundingBox": { "properties": { "top": { "format": "float", "description": "Top Y coordinate.", "type": "number" }, "right": { "type": "number", "description": "Right X coordinate.", "format": "float" }, "left": { "description": "Left X coordinate.", "type": "number", "format": "float" }, "bottom": { "format": "float", "description": "Bottom Y coordinate.", "type": "number" } }, "id": "GoogleCloudVideointelligenceV1p2beta1_NormalizedBoundingBox", "type": "object", "description": "Normalized bounding box. The normalized vertex coordinates are relative to the original image. Range: [0, 1]." }, "GoogleCloudVideointelligenceV1_TextSegment": { "id": "GoogleCloudVideointelligenceV1_TextSegment", "description": "Video segment level annotation results for text detection.", "type": "object", "properties": { "confidence": { "description": "Confidence for the track of detected text. It is calculated as the highest over all frames where OCR detected text appears.", "format": "float", "type": "number" }, "segment": { "$ref": "GoogleCloudVideointelligenceV1_VideoSegment", "description": "Video segment where a text snippet was detected." }, "frames": { "description": "Information related to the frames where OCR detected text appears.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1_TextFrame" } } } }, "GoogleCloudVideointelligenceV1p1beta1_TextAnnotation": { "properties": { "version": { "description": "Feature version.", "type": "string" }, "text": { "type": "string", "description": "The detected text." }, "segments": { "type": "array", "description": "All video segments where OCR detected text appears.", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_TextSegment" } } }, "type": "object", "description": "Annotations related to one detected OCR text snippet. This will contain the corresponding text, confidence value, and frame level information for each detection.", "id": "GoogleCloudVideointelligenceV1p1beta1_TextAnnotation" }, "GoogleCloudVideointelligenceV1p3beta1_TextDetectionConfig": { "properties": { "model": { "description": "Model to use for text detection. Supported values: \"builtin/stable\" (the default if unset) and \"builtin/latest\".", "type": "string" }, "languageHints": { "description": "Language hint can be specified if the language to be detected is known a priori. It can increase the accuracy of the detection. Language hint must be language code in BCP-47 format. Automatic language detection is performed if no hint is provided.", "items": { "type": "string" }, "type": "array" } }, "id": "GoogleCloudVideointelligenceV1p3beta1_TextDetectionConfig", "type": "object", "description": "Config for TEXT_DETECTION." }, "GoogleCloudVideointelligenceV1p1beta1_NormalizedBoundingPoly": { "type": "object", "properties": { "vertices": { "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_NormalizedVertex" }, "type": "array", "description": "Normalized vertices of the bounding polygon." } }, "id": "GoogleCloudVideointelligenceV1p1beta1_NormalizedBoundingPoly", "description": "Normalized bounding polygon for text (that might not be aligned with axis). Contains list of the corner points in clockwise order starting from top-left corner. For example, for a rectangular bounding box: When the text is horizontal it might look like: 0----1 | | 3----2 When it's clockwise rotated 180 degrees around the top-left corner it becomes: 2----3 | | 1----0 and the vertex order will still be (0, 1, 2, 3). Note that values can be less than 0, or greater than 1 due to trignometric calculations for location of the box." }, "GoogleCloudVideointelligenceV1p1beta1_ExplicitContentFrame": { "id": "GoogleCloudVideointelligenceV1p1beta1_ExplicitContentFrame", "type": "object", "description": "Video frame level annotation results for explicit content.", "properties": { "pornographyLikelihood": { "enum": [ "LIKELIHOOD_UNSPECIFIED", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ], "description": "Likelihood of the pornography content..", "type": "string", "enumDescriptions": [ "Unspecified likelihood.", "Very unlikely.", "Unlikely.", "Possible.", "Likely.", "Very likely." ] }, "timeOffset": { "type": "string", "description": "Time-offset, relative to the beginning of the video, corresponding to the video frame for this location.", "format": "google-duration" } } }, "GoogleCloudVideointelligenceV1p1beta1_VideoAnnotationResults": { "description": "Annotation results for a single video.", "id": "GoogleCloudVideointelligenceV1p1beta1_VideoAnnotationResults", "properties": { "personDetectionAnnotations": { "description": "Person detection annotations.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_PersonDetectionAnnotation" } }, "faceDetectionAnnotations": { "description": "Face detection annotations.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_FaceDetectionAnnotation" } }, "shotLabelAnnotations": { "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_LabelAnnotation" }, "type": "array", "description": "Topical label annotations on shot level. There is exactly one element for each unique label." }, "explicitAnnotation": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_ExplicitContentAnnotation", "description": "Explicit content annotation." }, "logoRecognitionAnnotations": { "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_LogoRecognitionAnnotation" }, "type": "array", "description": "Annotations for list of logos detected, tracked and recognized in video." }, "shotPresenceLabelAnnotations": { "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_LabelAnnotation" }, "description": "Presence label annotations on shot level. There is exactly one element for each unique label. Compared to the existing topical `shot_label_annotations`, this field presents more fine-grained, shot-level labels detected in video content and is made available only when the client sets `LabelDetectionConfig.model` to \"builtin/latest\" in the request.", "type": "array" }, "faceAnnotations": { "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_FaceAnnotation" }, "type": "array", "description": "Deprecated. Please use `face_detection_annotations` instead." }, "textAnnotations": { "type": "array", "description": "OCR text detection and tracking. Annotations for list of detected text snippets. Each will have list of frame information associated with it.", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_TextAnnotation" } }, "frameLabelAnnotations": { "type": "array", "description": "Label annotations on frame level. There is exactly one element for each unique label.", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_LabelAnnotation" } }, "inputUri": { "description": "Video file location in [Cloud Storage](https://cloud.google.com/storage/).", "type": "string" }, "shotAnnotations": { "type": "array", "description": "Shot annotations. Each shot is represented as a video segment.", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_VideoSegment" } }, "objectAnnotations": { "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_ObjectTrackingAnnotation" }, "description": "Annotations for list of objects detected and tracked in video.", "type": "array" }, "error": { "description": "If set, indicates an error. Note that for a single `AnnotateVideoRequest` some videos may succeed and some may fail.", "$ref": "GoogleRpc_Status" }, "segmentLabelAnnotations": { "description": "Topical label annotations on video level or user-specified segment level. There is exactly one element for each unique label.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_LabelAnnotation" } }, "speechTranscriptions": { "description": "Speech transcription.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_SpeechTranscription" } }, "segmentPresenceLabelAnnotations": { "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_LabelAnnotation" }, "description": "Presence label annotations on video level or user-specified segment level. There is exactly one element for each unique label. Compared to the existing topical `segment_label_annotations`, this field presents more fine-grained, segment-level labels detected in video content and is made available only when the client sets `LabelDetectionConfig.model` to \"builtin/latest\" in the request.", "type": "array" }, "segment": { "description": "Video segment on which the annotation is run.", "$ref": "GoogleCloudVideointelligenceV1p1beta1_VideoSegment" } }, "type": "object" }, "GoogleCloudVideointelligenceV1_PersonDetectionAnnotation": { "properties": { "version": { "type": "string", "description": "Feature version." }, "tracks": { "items": { "$ref": "GoogleCloudVideointelligenceV1_Track" }, "description": "The detected tracks of a person.", "type": "array" } }, "id": "GoogleCloudVideointelligenceV1_PersonDetectionAnnotation", "description": "Person detection annotation per video.", "type": "object" }, "GoogleCloudVideointelligenceV1p2beta1_DetectedAttribute": { "id": "GoogleCloudVideointelligenceV1p2beta1_DetectedAttribute", "description": "A generic detected attribute represented by name in string format.", "properties": { "name": { "type": "string", "description": "The name of the attribute, for example, glasses, dark_glasses, mouth_open. A full list of supported type names will be provided in the document." }, "value": { "type": "string", "description": "Text value of the detection result. For example, the value for \"HairColor\" can be \"black\", \"blonde\", etc." }, "confidence": { "format": "float", "description": "Detected attribute confidence. Range [0, 1].", "type": "number" } }, "type": "object" }, "GoogleCloudVideointelligenceV1beta2_AnnotateVideoProgress": { "type": "object", "id": "GoogleCloudVideointelligenceV1beta2_AnnotateVideoProgress", "description": "Video annotation progress. Included in the `metadata` field of the `Operation` returned by the `GetOperation` call of the `google::longrunning::Operations` service.", "properties": { "annotationProgress": { "type": "array", "description": "Progress metadata for all videos specified in `AnnotateVideoRequest`.", "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_VideoAnnotationProgress" } } } }, "GoogleCloudVideointelligenceV1beta2_AnnotateVideoResponse": { "id": "GoogleCloudVideointelligenceV1beta2_AnnotateVideoResponse", "properties": { "annotationResults": { "type": "array", "description": "Annotation results for all videos specified in `AnnotateVideoRequest`.", "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_VideoAnnotationResults" } } }, "description": "Video annotation response. Included in the `response` field of the `Operation` returned by the `GetOperation` call of the `google::longrunning::Operations` service.", "type": "object" }, "GoogleCloudVideointelligenceV1p1beta1_VideoAnnotationProgress": { "description": "Annotation progress for a single video.", "type": "object", "id": "GoogleCloudVideointelligenceV1p1beta1_VideoAnnotationProgress", "properties": { "segment": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_VideoSegment", "description": "Specifies which segment is being tracked if the request contains more than one segment." }, "startTime": { "description": "Time when the request was received.", "type": "string", "format": "google-datetime" }, "feature": { "enumDescriptions": [ "Unspecified.", "Label detection. Detect objects, such as dog or flower.", "Shot change detection.", "Explicit content detection.", "Human face detection.", "Speech transcription.", "OCR text detection and tracking.", "Object detection and tracking.", "Logo detection, tracking, and recognition.", "Person detection." ], "enum": [ "FEATURE_UNSPECIFIED", "LABEL_DETECTION", "SHOT_CHANGE_DETECTION", "EXPLICIT_CONTENT_DETECTION", "FACE_DETECTION", "SPEECH_TRANSCRIPTION", "TEXT_DETECTION", "OBJECT_TRACKING", "LOGO_RECOGNITION", "PERSON_DETECTION" ], "type": "string", "description": "Specifies which feature is being tracked if the request contains more than one feature." }, "inputUri": { "description": "Video file location in [Cloud Storage](https://cloud.google.com/storage/).", "type": "string" }, "updateTime": { "description": "Time of the most recent update.", "format": "google-datetime", "type": "string" }, "progressPercent": { "format": "int32", "description": "Approximate percentage processed thus far. Guaranteed to be 100 when fully processed.", "type": "integer" } } }, "GoogleCloudVideointelligenceV1p3beta1_Entity": { "id": "GoogleCloudVideointelligenceV1p3beta1_Entity", "properties": { "languageCode": { "description": "Language code for `description` in BCP-47 format.", "type": "string" }, "entityId": { "description": "Opaque entity ID. Some IDs may be available in [Google Knowledge Graph Search API](https://developers.google.com/knowledge-graph/).", "type": "string" }, "description": { "type": "string", "description": "Textual description, e.g., `Fixed-gear bicycle`." } }, "description": "Detected entity from video analysis.", "type": "object" }, "GoogleCloudVideointelligenceV1beta2_NormalizedBoundingBox": { "type": "object", "description": "Normalized bounding box. The normalized vertex coordinates are relative to the original image. Range: [0, 1].", "id": "GoogleCloudVideointelligenceV1beta2_NormalizedBoundingBox", "properties": { "left": { "description": "Left X coordinate.", "format": "float", "type": "number" }, "bottom": { "description": "Bottom Y coordinate.", "type": "number", "format": "float" }, "top": { "format": "float", "type": "number", "description": "Top Y coordinate." }, "right": { "format": "float", "type": "number", "description": "Right X coordinate." } } }, "GoogleCloudVideointelligenceV1p2beta1_NormalizedVertex": { "type": "object", "description": "A vertex represents a 2D point in the image. NOTE: the normalized vertex coordinates are relative to the original image and range from 0 to 1.", "properties": { "x": { "description": "X coordinate.", "type": "number", "format": "float" }, "y": { "format": "float", "description": "Y coordinate.", "type": "number" } }, "id": "GoogleCloudVideointelligenceV1p2beta1_NormalizedVertex" }, "GoogleCloudVideointelligenceV1p3beta1_ObjectTrackingFrame": { "id": "GoogleCloudVideointelligenceV1p3beta1_ObjectTrackingFrame", "properties": { "normalizedBoundingBox": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_NormalizedBoundingBox", "description": "The normalized bounding box location of this object track for the frame." }, "timeOffset": { "description": "The timestamp of the frame in microseconds.", "format": "google-duration", "type": "string" } }, "description": "Video frame level annotations for object detection and tracking. This field stores per frame location, time offset, and confidence.", "type": "object" }, "GoogleCloudVideointelligenceV1_VideoSegment": { "type": "object", "description": "Video segment.", "properties": { "startTimeOffset": { "format": "google-duration", "type": "string", "description": "Time-offset, relative to the beginning of the video, corresponding to the start of the segment (inclusive)." }, "endTimeOffset": { "description": "Time-offset, relative to the beginning of the video, corresponding to the end of the segment (inclusive).", "format": "google-duration", "type": "string" } }, "id": "GoogleCloudVideointelligenceV1_VideoSegment" }, "GoogleCloudVideointelligenceV1p3beta1_FaceDetectionConfig": { "properties": { "model": { "description": "Model to use for face detection. Supported values: \"builtin/stable\" (the default if unset) and \"builtin/latest\".", "type": "string" }, "includeAttributes": { "type": "boolean", "description": "Whether to enable face attributes detection, such as glasses, dark_glasses, mouth_open etc. Ignored if 'include_bounding_boxes' is set to false." }, "includeBoundingBoxes": { "type": "boolean", "description": "Whether bounding boxes are included in the face annotation output." } }, "id": "GoogleCloudVideointelligenceV1p3beta1_FaceDetectionConfig", "description": "Config for FACE_DETECTION.", "type": "object" }, "GoogleCloudVideointelligenceV1p3beta1_SpeechRecognitionAlternative": { "properties": { "confidence": { "type": "number", "readOnly": true, "description": "Output only. The confidence estimate between 0.0 and 1.0. A higher number indicates an estimated greater likelihood that the recognized words are correct. This field is set only for the top alternative. This field is not guaranteed to be accurate and users should not rely on it to be always provided. The default of 0.0 is a sentinel value indicating `confidence` was not set.", "format": "float" }, "words": { "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_WordInfo" }, "readOnly": true, "description": "Output only. A list of word-specific information for each recognized word. Note: When `enable_speaker_diarization` is set to true, you will see all the words from the beginning of the audio.", "type": "array" }, "transcript": { "type": "string", "description": "Transcript text representing the words that the user spoke." } }, "description": "Alternative hypotheses (a.k.a. n-best list).", "id": "GoogleCloudVideointelligenceV1p3beta1_SpeechRecognitionAlternative", "type": "object" }, "GoogleCloudVideointelligenceV1beta2_LabelSegment": { "properties": { "segment": { "$ref": "GoogleCloudVideointelligenceV1beta2_VideoSegment", "description": "Video segment where a label was detected." }, "confidence": { "format": "float", "description": "Confidence that the label is accurate. Range: [0, 1].", "type": "number" } }, "description": "Video segment level annotation results for label detection.", "id": "GoogleCloudVideointelligenceV1beta2_LabelSegment", "type": "object" }, "GoogleCloudVideointelligenceV1p1beta1_Entity": { "type": "object", "id": "GoogleCloudVideointelligenceV1p1beta1_Entity", "description": "Detected entity from video analysis.", "properties": { "description": { "type": "string", "description": "Textual description, e.g., `Fixed-gear bicycle`." }, "entityId": { "type": "string", "description": "Opaque entity ID. Some IDs may be available in [Google Knowledge Graph Search API](https://developers.google.com/knowledge-graph/)." }, "languageCode": { "type": "string", "description": "Language code for `description` in BCP-47 format." } } }, "GoogleCloudVideointelligenceV1beta2_LabelAnnotation": { "id": "GoogleCloudVideointelligenceV1beta2_LabelAnnotation", "description": "Label annotation.", "type": "object", "properties": { "categoryEntities": { "description": "Common categories for the detected entity. For example, when the label is `Terrier`, the category is likely `dog`. And in some cases there might be more than one categories e.g., `Terrier` could also be a `pet`.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_Entity" } }, "frames": { "description": "All video frames where a label was detected.", "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_LabelFrame" }, "type": "array" }, "version": { "description": "Feature version.", "type": "string" }, "segments": { "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_LabelSegment" }, "type": "array", "description": "All video segments where a label was detected." }, "entity": { "description": "Detected entity.", "$ref": "GoogleCloudVideointelligenceV1beta2_Entity" } } }, "GoogleCloudVideointelligenceV1beta2_FaceDetectionAnnotation": { "description": "Face detection annotation.", "properties": { "thumbnail": { "description": "The thumbnail of a person's face.", "type": "string", "format": "byte" }, "version": { "type": "string", "description": "Feature version." }, "tracks": { "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_Track" }, "description": "The face tracks with attributes.", "type": "array" } }, "id": "GoogleCloudVideointelligenceV1beta2_FaceDetectionAnnotation", "type": "object" }, "GoogleCloudVideointelligenceV1beta2_FaceSegment": { "type": "object", "description": "Video segment level annotation results for face detection.", "id": "GoogleCloudVideointelligenceV1beta2_FaceSegment", "properties": { "segment": { "$ref": "GoogleCloudVideointelligenceV1beta2_VideoSegment", "description": "Video segment where a face was detected." } } }, "GoogleCloudVideointelligenceV1beta2_VideoAnnotationProgress": { "properties": { "updateTime": { "description": "Time of the most recent update.", "type": "string", "format": "google-datetime" }, "startTime": { "format": "google-datetime", "type": "string", "description": "Time when the request was received." }, "feature": { "type": "string", "description": "Specifies which feature is being tracked if the request contains more than one feature.", "enumDescriptions": [ "Unspecified.", "Label detection. Detect objects, such as dog or flower.", "Shot change detection.", "Explicit content detection.", "Human face detection.", "Speech transcription.", "OCR text detection and tracking.", "Object detection and tracking.", "Logo detection, tracking, and recognition.", "Person detection." ], "enum": [ "FEATURE_UNSPECIFIED", "LABEL_DETECTION", "SHOT_CHANGE_DETECTION", "EXPLICIT_CONTENT_DETECTION", "FACE_DETECTION", "SPEECH_TRANSCRIPTION", "TEXT_DETECTION", "OBJECT_TRACKING", "LOGO_RECOGNITION", "PERSON_DETECTION" ] }, "progressPercent": { "type": "integer", "format": "int32", "description": "Approximate percentage processed thus far. Guaranteed to be 100 when fully processed." }, "inputUri": { "type": "string", "description": "Video file location in [Cloud Storage](https://cloud.google.com/storage/)." }, "segment": { "$ref": "GoogleCloudVideointelligenceV1beta2_VideoSegment", "description": "Specifies which segment is being tracked if the request contains more than one segment." } }, "id": "GoogleCloudVideointelligenceV1beta2_VideoAnnotationProgress", "description": "Annotation progress for a single video.", "type": "object" }, "GoogleCloudVideointelligenceV1p3beta1_ShotChangeDetectionConfig": { "properties": { "model": { "type": "string", "description": "Model to use for shot change detection. Supported values: \"builtin/stable\" (the default if unset), \"builtin/latest\", and \"builtin/legacy\"." } }, "type": "object", "description": "Config for SHOT_CHANGE_DETECTION.", "id": "GoogleCloudVideointelligenceV1p3beta1_ShotChangeDetectionConfig" }, "GoogleCloudVideointelligenceV1p3beta1_TextSegment": { "properties": { "segment": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_VideoSegment", "description": "Video segment where a text snippet was detected." }, "confidence": { "type": "number", "format": "float", "description": "Confidence for the track of detected text. It is calculated as the highest over all frames where OCR detected text appears." }, "frames": { "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_TextFrame" }, "description": "Information related to the frames where OCR detected text appears.", "type": "array" } }, "id": "GoogleCloudVideointelligenceV1p3beta1_TextSegment", "description": "Video segment level annotation results for text detection.", "type": "object" }, "GoogleCloudVideointelligenceV1p3beta1_LogoRecognitionAnnotation": { "type": "object", "properties": { "tracks": { "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_Track" }, "type": "array", "description": "All logo tracks where the recognized logo appears. Each track corresponds to one logo instance appearing in consecutive frames." }, "segments": { "description": "All video segments where the recognized logo appears. There might be multiple instances of the same logo class appearing in one VideoSegment.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_VideoSegment" } }, "entity": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_Entity", "description": "Entity category information to specify the logo class that all the logo tracks within this LogoRecognitionAnnotation are recognized as." } }, "description": "Annotation corresponding to one detected, tracked and recognized logo class.", "id": "GoogleCloudVideointelligenceV1p3beta1_LogoRecognitionAnnotation" }, "GoogleCloudVideointelligenceV1_LabelAnnotation": { "id": "GoogleCloudVideointelligenceV1_LabelAnnotation", "description": "Label annotation.", "type": "object", "properties": { "version": { "description": "Feature version.", "type": "string" }, "categoryEntities": { "description": "Common categories for the detected entity. For example, when the label is `Terrier`, the category is likely `dog`. And in some cases there might be more than one categories e.g., `Terrier` could also be a `pet`.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1_Entity" } }, "segments": { "description": "All video segments where a label was detected.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1_LabelSegment" } }, "entity": { "description": "Detected entity.", "$ref": "GoogleCloudVideointelligenceV1_Entity" }, "frames": { "type": "array", "description": "All video frames where a label was detected.", "items": { "$ref": "GoogleCloudVideointelligenceV1_LabelFrame" } } } }, "GoogleCloudVideointelligenceV1p2beta1_FaceDetectionAnnotation": { "properties": { "thumbnail": { "description": "The thumbnail of a person's face.", "format": "byte", "type": "string" }, "tracks": { "type": "array", "description": "The face tracks with attributes.", "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_Track" } }, "version": { "description": "Feature version.", "type": "string" } }, "id": "GoogleCloudVideointelligenceV1p2beta1_FaceDetectionAnnotation", "description": "Face detection annotation.", "type": "object" }, "GoogleCloudVideointelligenceV1p1beta1_ObjectTrackingAnnotation": { "id": "GoogleCloudVideointelligenceV1p1beta1_ObjectTrackingAnnotation", "description": "Annotations corresponding to one tracked object.", "properties": { "version": { "description": "Feature version.", "type": "string" }, "trackId": { "description": "Streaming mode ONLY. In streaming mode, we do not know the end time of a tracked object before it is completed. Hence, there is no VideoSegment info returned. Instead, we provide a unique identifiable integer track_id so that the customers can correlate the results of the ongoing ObjectTrackAnnotation of the same track_id over time.", "format": "int64", "type": "string" }, "frames": { "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_ObjectTrackingFrame" }, "description": "Information corresponding to all frames where this object track appears. Non-streaming batch mode: it may be one or multiple ObjectTrackingFrame messages in frames. Streaming mode: it can only be one ObjectTrackingFrame message in frames.", "type": "array" }, "segment": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_VideoSegment", "description": "Non-streaming batch mode ONLY. Each object track corresponds to one video segment where it appears." }, "confidence": { "description": "Object category's labeling confidence of this track.", "format": "float", "type": "number" }, "entity": { "description": "Entity to specify the object category that this track is labeled as.", "$ref": "GoogleCloudVideointelligenceV1p1beta1_Entity" } }, "type": "object" }, "GoogleCloudVideointelligenceV1p3beta1_VideoContext": { "description": "Video context and/or feature-specific parameters.", "properties": { "segments": { "description": "Video segments to annotate. The segments may overlap and are not required to be contiguous or span the whole video. If unspecified, each video is treated as a single segment.", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_VideoSegment" }, "type": "array" }, "objectTrackingConfig": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_ObjectTrackingConfig", "description": "Config for OBJECT_TRACKING." }, "textDetectionConfig": { "description": "Config for TEXT_DETECTION.", "$ref": "GoogleCloudVideointelligenceV1p3beta1_TextDetectionConfig" }, "shotChangeDetectionConfig": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_ShotChangeDetectionConfig", "description": "Config for SHOT_CHANGE_DETECTION." }, "speechTranscriptionConfig": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_SpeechTranscriptionConfig", "description": "Config for SPEECH_TRANSCRIPTION." }, "labelDetectionConfig": { "description": "Config for LABEL_DETECTION.", "$ref": "GoogleCloudVideointelligenceV1p3beta1_LabelDetectionConfig" }, "personDetectionConfig": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_PersonDetectionConfig", "description": "Config for PERSON_DETECTION." }, "faceDetectionConfig": { "description": "Config for FACE_DETECTION.", "$ref": "GoogleCloudVideointelligenceV1p3beta1_FaceDetectionConfig" }, "explicitContentDetectionConfig": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_ExplicitContentDetectionConfig", "description": "Config for EXPLICIT_CONTENT_DETECTION." } }, "id": "GoogleCloudVideointelligenceV1p3beta1_VideoContext", "type": "object" }, "GoogleCloudVideointelligenceV1p3beta1_FaceDetectionAnnotation": { "type": "object", "id": "GoogleCloudVideointelligenceV1p3beta1_FaceDetectionAnnotation", "description": "Face detection annotation.", "properties": { "version": { "type": "string", "description": "Feature version." }, "thumbnail": { "description": "The thumbnail of a person's face.", "format": "byte", "type": "string" }, "tracks": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_Track" }, "description": "The face tracks with attributes." } } }, "GoogleCloudVideointelligenceV1p2beta1_TimestampedObject": { "properties": { "timeOffset": { "type": "string", "format": "google-duration", "description": "Time-offset, relative to the beginning of the video, corresponding to the video frame for this object." }, "landmarks": { "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_DetectedLandmark" }, "description": "Optional. The detected landmarks.", "type": "array" }, "normalizedBoundingBox": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_NormalizedBoundingBox", "description": "Normalized Bounding box in a frame, where the object is located." }, "attributes": { "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_DetectedAttribute" }, "description": "Optional. The attributes of the object in the bounding box.", "type": "array" } }, "description": "For tracking related features. An object at time_offset with attributes, and located with normalized_bounding_box.", "id": "GoogleCloudVideointelligenceV1p2beta1_TimestampedObject", "type": "object" }, "GoogleCloudVideointelligenceV1p3beta1_VideoSegment": { "properties": { "endTimeOffset": { "format": "google-duration", "description": "Time-offset, relative to the beginning of the video, corresponding to the end of the segment (inclusive).", "type": "string" }, "startTimeOffset": { "format": "google-duration", "description": "Time-offset, relative to the beginning of the video, corresponding to the start of the segment (inclusive).", "type": "string" } }, "id": "GoogleCloudVideointelligenceV1p3beta1_VideoSegment", "type": "object", "description": "Video segment." }, "GoogleCloudVideointelligenceV1_FaceAnnotation": { "type": "object", "description": "Deprecated. No effect.", "properties": { "thumbnail": { "format": "byte", "type": "string", "description": "Thumbnail of a representative face view (in JPEG format)." }, "frames": { "items": { "$ref": "GoogleCloudVideointelligenceV1_FaceFrame" }, "description": "All video frames where a face was detected.", "type": "array" }, "segments": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1_FaceSegment" }, "description": "All video segments where a face was detected." } }, "id": "GoogleCloudVideointelligenceV1_FaceAnnotation" }, "GoogleCloudVideointelligenceV1_NormalizedBoundingPoly": { "properties": { "vertices": { "description": "Normalized vertices of the bounding polygon.", "items": { "$ref": "GoogleCloudVideointelligenceV1_NormalizedVertex" }, "type": "array" } }, "description": "Normalized bounding polygon for text (that might not be aligned with axis). Contains list of the corner points in clockwise order starting from top-left corner. For example, for a rectangular bounding box: When the text is horizontal it might look like: 0----1 | | 3----2 When it's clockwise rotated 180 degrees around the top-left corner it becomes: 2----3 | | 1----0 and the vertex order will still be (0, 1, 2, 3). Note that values can be less than 0, or greater than 1 due to trignometric calculations for location of the box.", "type": "object", "id": "GoogleCloudVideointelligenceV1_NormalizedBoundingPoly" }, "GoogleCloudVideointelligenceV1p1beta1_LabelFrame": { "type": "object", "id": "GoogleCloudVideointelligenceV1p1beta1_LabelFrame", "description": "Video frame level annotation results for label detection.", "properties": { "timeOffset": { "type": "string", "format": "google-duration", "description": "Time-offset, relative to the beginning of the video, corresponding to the video frame for this location." }, "confidence": { "type": "number", "format": "float", "description": "Confidence that the label is accurate. Range: [0, 1]." } } }, "GoogleCloudVideointelligenceV1p2beta1_ExplicitContentAnnotation": { "properties": { "frames": { "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_ExplicitContentFrame" }, "description": "All video frames where explicit content was detected.", "type": "array" }, "version": { "type": "string", "description": "Feature version." } }, "type": "object", "id": "GoogleCloudVideointelligenceV1p2beta1_ExplicitContentAnnotation", "description": "Explicit content annotation (based on per-frame visual signals only). If no explicit content has been detected in a frame, no annotations are present for that frame." }, "GoogleCloudVideointelligenceV1p2beta1_Entity": { "id": "GoogleCloudVideointelligenceV1p2beta1_Entity", "properties": { "description": { "type": "string", "description": "Textual description, e.g., `Fixed-gear bicycle`." }, "languageCode": { "type": "string", "description": "Language code for `description` in BCP-47 format." }, "entityId": { "description": "Opaque entity ID. Some IDs may be available in [Google Knowledge Graph Search API](https://developers.google.com/knowledge-graph/).", "type": "string" } }, "type": "object", "description": "Detected entity from video analysis." }, "GoogleCloudVideointelligenceV1p1beta1_SpeechTranscription": { "id": "GoogleCloudVideointelligenceV1p1beta1_SpeechTranscription", "description": "A speech recognition result corresponding to a portion of the audio.", "type": "object", "properties": { "alternatives": { "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_SpeechRecognitionAlternative" }, "type": "array", "description": "May contain one or more recognition hypotheses (up to the maximum specified in `max_alternatives`). These alternatives are ordered in terms of accuracy, with the top (first) alternative being the most probable, as ranked by the recognizer." }, "languageCode": { "description": "Output only. The [BCP-47](https://www.rfc-editor.org/rfc/bcp/bcp47.txt) language tag of the language in this result. This language code was detected to have the most likelihood of being spoken in the audio.", "readOnly": true, "type": "string" } } }, "GoogleCloudVideointelligenceV1beta2_FaceAnnotation": { "properties": { "thumbnail": { "type": "string", "description": "Thumbnail of a representative face view (in JPEG format).", "format": "byte" }, "segments": { "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_FaceSegment" }, "type": "array", "description": "All video segments where a face was detected." }, "frames": { "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_FaceFrame" }, "description": "All video frames where a face was detected.", "type": "array" } }, "id": "GoogleCloudVideointelligenceV1beta2_FaceAnnotation", "type": "object", "description": "Deprecated. No effect." }, "GoogleCloudVideointelligenceV1_FaceDetectionAnnotation": { "type": "object", "properties": { "thumbnail": { "format": "byte", "type": "string", "description": "The thumbnail of a person's face." }, "tracks": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1_Track" }, "description": "The face tracks with attributes." }, "version": { "type": "string", "description": "Feature version." } }, "id": "GoogleCloudVideointelligenceV1_FaceDetectionAnnotation", "description": "Face detection annotation." }, "GoogleCloudVideointelligenceV1_NormalizedVertex": { "properties": { "x": { "format": "float", "type": "number", "description": "X coordinate." }, "y": { "type": "number", "description": "Y coordinate.", "format": "float" } }, "type": "object", "description": "A vertex represents a 2D point in the image. NOTE: the normalized vertex coordinates are relative to the original image and range from 0 to 1.", "id": "GoogleCloudVideointelligenceV1_NormalizedVertex" }, "GoogleCloudVideointelligenceV1p3beta1_LabelSegment": { "description": "Video segment level annotation results for label detection.", "type": "object", "id": "GoogleCloudVideointelligenceV1p3beta1_LabelSegment", "properties": { "confidence": { "format": "float", "type": "number", "description": "Confidence that the label is accurate. Range: [0, 1]." }, "segment": { "description": "Video segment where a label was detected.", "$ref": "GoogleCloudVideointelligenceV1p3beta1_VideoSegment" } } }, "GoogleCloudVideointelligenceV1p3beta1_VideoAnnotationResults": { "type": "object", "id": "GoogleCloudVideointelligenceV1p3beta1_VideoAnnotationResults", "properties": { "segment": { "description": "Video segment on which the annotation is run.", "$ref": "GoogleCloudVideointelligenceV1p3beta1_VideoSegment" }, "objectAnnotations": { "type": "array", "description": "Annotations for list of objects detected and tracked in video.", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_ObjectTrackingAnnotation" } }, "frameLabelAnnotations": { "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_LabelAnnotation" }, "description": "Label annotations on frame level. There is exactly one element for each unique label.", "type": "array" }, "shotAnnotations": { "description": "Shot annotations. Each shot is represented as a video segment.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_VideoSegment" } }, "error": { "description": "If set, indicates an error. Note that for a single `AnnotateVideoRequest` some videos may succeed and some may fail.", "$ref": "GoogleRpc_Status" }, "textAnnotations": { "description": "OCR text detection and tracking. Annotations for list of detected text snippets. Each will have list of frame information associated with it.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_TextAnnotation" } }, "logoRecognitionAnnotations": { "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_LogoRecognitionAnnotation" }, "type": "array", "description": "Annotations for list of logos detected, tracked and recognized in video." }, "segmentLabelAnnotations": { "description": "Topical label annotations on video level or user-specified segment level. There is exactly one element for each unique label.", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_LabelAnnotation" }, "type": "array" }, "faceAnnotations": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_FaceAnnotation" }, "description": "Deprecated. Please use `face_detection_annotations` instead." }, "speechTranscriptions": { "description": "Speech transcription.", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_SpeechTranscription" }, "type": "array" }, "inputUri": { "description": "Video file location in [Cloud Storage](https://cloud.google.com/storage/).", "type": "string" }, "shotLabelAnnotations": { "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_LabelAnnotation" }, "description": "Topical label annotations on shot level. There is exactly one element for each unique label.", "type": "array" }, "explicitAnnotation": { "description": "Explicit content annotation.", "$ref": "GoogleCloudVideointelligenceV1p3beta1_ExplicitContentAnnotation" }, "shotPresenceLabelAnnotations": { "description": "Presence label annotations on shot level. There is exactly one element for each unique label. Compared to the existing topical `shot_label_annotations`, this field presents more fine-grained, shot-level labels detected in video content and is made available only when the client sets `LabelDetectionConfig.model` to \"builtin/latest\" in the request.", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_LabelAnnotation" }, "type": "array" }, "personDetectionAnnotations": { "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_PersonDetectionAnnotation" }, "type": "array", "description": "Person detection annotations." }, "segmentPresenceLabelAnnotations": { "description": "Presence label annotations on video level or user-specified segment level. There is exactly one element for each unique label. Compared to the existing topical `segment_label_annotations`, this field presents more fine-grained, segment-level labels detected in video content and is made available only when the client sets `LabelDetectionConfig.model` to \"builtin/latest\" in the request.", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_LabelAnnotation" }, "type": "array" }, "celebrityRecognitionAnnotations": { "description": "Celebrity recognition annotations.", "$ref": "GoogleCloudVideointelligenceV1p3beta1_CelebrityRecognitionAnnotation" }, "faceDetectionAnnotations": { "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_FaceDetectionAnnotation" }, "type": "array", "description": "Face detection annotations." } }, "description": "Annotation results for a single video." }, "GoogleCloudVideointelligenceV1p3beta1_RecognizedCelebrity": { "description": "The recognized celebrity with confidence score.", "id": "GoogleCloudVideointelligenceV1p3beta1_RecognizedCelebrity", "type": "object", "properties": { "celebrity": { "description": "The recognized celebrity.", "$ref": "GoogleCloudVideointelligenceV1p3beta1_Celebrity" }, "confidence": { "type": "number", "description": "Recognition confidence. Range [0, 1].", "format": "float" } } }, "GoogleCloudVideointelligenceV1p3beta1_ObjectTrackingConfig": { "id": "GoogleCloudVideointelligenceV1p3beta1_ObjectTrackingConfig", "properties": { "model": { "type": "string", "description": "Model to use for object tracking. Supported values: \"builtin/stable\" (the default if unset) and \"builtin/latest\"." } }, "description": "Config for OBJECT_TRACKING.", "type": "object" }, "GoogleCloudVideointelligenceV1_TextFrame": { "description": "Video frame level annotation results for text annotation (OCR). Contains information regarding timestamp and bounding box locations for the frames containing detected OCR text snippets.", "id": "GoogleCloudVideointelligenceV1_TextFrame", "type": "object", "properties": { "timeOffset": { "type": "string", "format": "google-duration", "description": "Timestamp of this frame." }, "rotatedBoundingBox": { "description": "Bounding polygon of the detected text for this frame.", "$ref": "GoogleCloudVideointelligenceV1_NormalizedBoundingPoly" } } }, "GoogleCloudVideointelligenceV1p2beta1_LabelAnnotation": { "id": "GoogleCloudVideointelligenceV1p2beta1_LabelAnnotation", "description": "Label annotation.", "properties": { "entity": { "description": "Detected entity.", "$ref": "GoogleCloudVideointelligenceV1p2beta1_Entity" }, "version": { "type": "string", "description": "Feature version." }, "frames": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_LabelFrame" }, "description": "All video frames where a label was detected." }, "segments": { "description": "All video segments where a label was detected.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_LabelSegment" } }, "categoryEntities": { "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_Entity" }, "description": "Common categories for the detected entity. For example, when the label is `Terrier`, the category is likely `dog`. And in some cases there might be more than one categories e.g., `Terrier` could also be a `pet`.", "type": "array" } }, "type": "object" }, "GoogleCloudVideointelligenceV1beta2_TextAnnotation": { "description": "Annotations related to one detected OCR text snippet. This will contain the corresponding text, confidence value, and frame level information for each detection.", "id": "GoogleCloudVideointelligenceV1beta2_TextAnnotation", "type": "object", "properties": { "segments": { "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_TextSegment" }, "type": "array", "description": "All video segments where OCR detected text appears." }, "version": { "type": "string", "description": "Feature version." }, "text": { "type": "string", "description": "The detected text." } } }, "GoogleCloudVideointelligenceV1p2beta1_PersonDetectionAnnotation": { "description": "Person detection annotation per video.", "properties": { "tracks": { "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_Track" }, "description": "The detected tracks of a person.", "type": "array" }, "version": { "description": "Feature version.", "type": "string" } }, "type": "object", "id": "GoogleCloudVideointelligenceV1p2beta1_PersonDetectionAnnotation" }, "GoogleCloudVideointelligenceV1beta2_VideoSegment": { "description": "Video segment.", "properties": { "endTimeOffset": { "type": "string", "description": "Time-offset, relative to the beginning of the video, corresponding to the end of the segment (inclusive).", "format": "google-duration" }, "startTimeOffset": { "description": "Time-offset, relative to the beginning of the video, corresponding to the start of the segment (inclusive).", "format": "google-duration", "type": "string" } }, "type": "object", "id": "GoogleCloudVideointelligenceV1beta2_VideoSegment" }, "GoogleCloudVideointelligenceV1p1beta1_AnnotateVideoResponse": { "type": "object", "description": "Video annotation response. Included in the `response` field of the `Operation` returned by the `GetOperation` call of the `google::longrunning::Operations` service.", "properties": { "annotationResults": { "description": "Annotation results for all videos specified in `AnnotateVideoRequest`.", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_VideoAnnotationResults" }, "type": "array" } }, "id": "GoogleCloudVideointelligenceV1p1beta1_AnnotateVideoResponse" }, "GoogleCloudVideointelligenceV1p1beta1_DetectedLandmark": { "type": "object", "id": "GoogleCloudVideointelligenceV1p1beta1_DetectedLandmark", "properties": { "confidence": { "description": "The confidence score of the detected landmark. Range [0, 1].", "format": "float", "type": "number" }, "point": { "description": "The 2D point of the detected landmark using the normalized image coordindate system. The normalized coordinates have the range from 0 to 1.", "$ref": "GoogleCloudVideointelligenceV1p1beta1_NormalizedVertex" }, "name": { "type": "string", "description": "The name of this landmark, for example, left_hand, right_shoulder." } }, "description": "A generic detected landmark represented by name in string format and a 2D location." }, "GoogleCloudVideointelligenceV1p3beta1_FaceSegment": { "id": "GoogleCloudVideointelligenceV1p3beta1_FaceSegment", "description": "Video segment level annotation results for face detection.", "properties": { "segment": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_VideoSegment", "description": "Video segment where a face was detected." } }, "type": "object" }, "GoogleCloudVideointelligenceV1_ObjectTrackingAnnotation": { "properties": { "confidence": { "type": "number", "description": "Object category's labeling confidence of this track.", "format": "float" }, "segment": { "description": "Non-streaming batch mode ONLY. Each object track corresponds to one video segment where it appears.", "$ref": "GoogleCloudVideointelligenceV1_VideoSegment" }, "frames": { "items": { "$ref": "GoogleCloudVideointelligenceV1_ObjectTrackingFrame" }, "description": "Information corresponding to all frames where this object track appears. Non-streaming batch mode: it may be one or multiple ObjectTrackingFrame messages in frames. Streaming mode: it can only be one ObjectTrackingFrame message in frames.", "type": "array" }, "trackId": { "format": "int64", "description": "Streaming mode ONLY. In streaming mode, we do not know the end time of a tracked object before it is completed. Hence, there is no VideoSegment info returned. Instead, we provide a unique identifiable integer track_id so that the customers can correlate the results of the ongoing ObjectTrackAnnotation of the same track_id over time.", "type": "string" }, "version": { "type": "string", "description": "Feature version." }, "entity": { "$ref": "GoogleCloudVideointelligenceV1_Entity", "description": "Entity to specify the object category that this track is labeled as." } }, "id": "GoogleCloudVideointelligenceV1_ObjectTrackingAnnotation", "type": "object", "description": "Annotations corresponding to one tracked object." }, "GoogleCloudVideointelligenceV1beta2_LabelFrame": { "description": "Video frame level annotation results for label detection.", "id": "GoogleCloudVideointelligenceV1beta2_LabelFrame", "type": "object", "properties": { "confidence": { "format": "float", "description": "Confidence that the label is accurate. Range: [0, 1].", "type": "number" }, "timeOffset": { "description": "Time-offset, relative to the beginning of the video, corresponding to the video frame for this location.", "format": "google-duration", "type": "string" } } }, "GoogleCloudVideointelligenceV1p1beta1_Track": { "id": "GoogleCloudVideointelligenceV1p1beta1_Track", "properties": { "timestampedObjects": { "type": "array", "description": "The object with timestamp and attributes per frame in the track.", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_TimestampedObject" } }, "attributes": { "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_DetectedAttribute" }, "type": "array", "description": "Optional. Attributes in the track level." }, "segment": { "description": "Video segment of a track.", "$ref": "GoogleCloudVideointelligenceV1p1beta1_VideoSegment" }, "confidence": { "type": "number", "description": "Optional. The confidence score of the tracked object.", "format": "float" } }, "type": "object", "description": "A track of an object instance." }, "GoogleCloudVideointelligenceV1p3beta1_StreamingAnnotateVideoResponse": { "type": "object", "description": "`StreamingAnnotateVideoResponse` is the only message returned to the client by `StreamingAnnotateVideo`. A series of zero or more `StreamingAnnotateVideoResponse` messages are streamed back to the client.", "properties": { "annotationResults": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_StreamingVideoAnnotationResults", "description": "Streaming annotation results." }, "annotationResultsUri": { "description": "Google Cloud Storage URI that stores annotation results of one streaming session in JSON format. It is the annotation_result_storage_directory from the request followed by '/cloud_project_number-session_id'.", "type": "string" }, "error": { "$ref": "GoogleRpc_Status", "description": "If set, returns a google.rpc.Status message that specifies the error for the operation." } }, "id": "GoogleCloudVideointelligenceV1p3beta1_StreamingAnnotateVideoResponse" }, "GoogleCloudVideointelligenceV1p2beta1_WordInfo": { "type": "object", "properties": { "confidence": { "description": "Output only. The confidence estimate between 0.0 and 1.0. A higher number indicates an estimated greater likelihood that the recognized words are correct. This field is set only for the top alternative. This field is not guaranteed to be accurate and users should not rely on it to be always provided. The default of 0.0 is a sentinel value indicating `confidence` was not set.", "type": "number", "readOnly": true, "format": "float" }, "endTime": { "type": "string", "description": "Time offset relative to the beginning of the audio, and corresponding to the end of the spoken word. This field is only set if `enable_word_time_offsets=true` and only in the top hypothesis. This is an experimental feature and the accuracy of the time offset can vary.", "format": "google-duration" }, "word": { "description": "The word corresponding to this set of information.", "type": "string" }, "speakerTag": { "format": "int32", "type": "integer", "readOnly": true, "description": "Output only. A distinct integer value is assigned for every speaker within the audio. This field specifies which one of those speakers was detected to have spoken this word. Value ranges from 1 up to diarization_speaker_count, and is only set if speaker diarization is enabled." }, "startTime": { "type": "string", "format": "google-duration", "description": "Time offset relative to the beginning of the audio, and corresponding to the start of the spoken word. This field is only set if `enable_word_time_offsets=true` and only in the top hypothesis. This is an experimental feature and the accuracy of the time offset can vary." } }, "id": "GoogleCloudVideointelligenceV1p2beta1_WordInfo", "description": "Word-specific information for recognized words. Word information is only included in the response when certain request parameters are set, such as `enable_word_time_offsets`." }, "GoogleCloudVideointelligenceV1p1beta1_DetectedAttribute": { "description": "A generic detected attribute represented by name in string format.", "type": "object", "id": "GoogleCloudVideointelligenceV1p1beta1_DetectedAttribute", "properties": { "name": { "type": "string", "description": "The name of the attribute, for example, glasses, dark_glasses, mouth_open. A full list of supported type names will be provided in the document." }, "value": { "description": "Text value of the detection result. For example, the value for \"HairColor\" can be \"black\", \"blonde\", etc.", "type": "string" }, "confidence": { "description": "Detected attribute confidence. Range [0, 1].", "format": "float", "type": "number" } } }, "GoogleCloudVideointelligenceV1beta2_Entity": { "id": "GoogleCloudVideointelligenceV1beta2_Entity", "properties": { "description": { "type": "string", "description": "Textual description, e.g., `Fixed-gear bicycle`." }, "languageCode": { "type": "string", "description": "Language code for `description` in BCP-47 format." }, "entityId": { "type": "string", "description": "Opaque entity ID. Some IDs may be available in [Google Knowledge Graph Search API](https://developers.google.com/knowledge-graph/)." } }, "description": "Detected entity from video analysis.", "type": "object" }, "GoogleCloudVideointelligenceV1p3beta1_WordInfo": { "id": "GoogleCloudVideointelligenceV1p3beta1_WordInfo", "description": "Word-specific information for recognized words. Word information is only included in the response when certain request parameters are set, such as `enable_word_time_offsets`.", "properties": { "word": { "description": "The word corresponding to this set of information.", "type": "string" }, "startTime": { "format": "google-duration", "description": "Time offset relative to the beginning of the audio, and corresponding to the start of the spoken word. This field is only set if `enable_word_time_offsets=true` and only in the top hypothesis. This is an experimental feature and the accuracy of the time offset can vary.", "type": "string" }, "speakerTag": { "readOnly": true, "description": "Output only. A distinct integer value is assigned for every speaker within the audio. This field specifies which one of those speakers was detected to have spoken this word. Value ranges from 1 up to diarization_speaker_count, and is only set if speaker diarization is enabled.", "type": "integer", "format": "int32" }, "confidence": { "description": "Output only. The confidence estimate between 0.0 and 1.0. A higher number indicates an estimated greater likelihood that the recognized words are correct. This field is set only for the top alternative. This field is not guaranteed to be accurate and users should not rely on it to be always provided. The default of 0.0 is a sentinel value indicating `confidence` was not set.", "readOnly": true, "format": "float", "type": "number" }, "endTime": { "type": "string", "description": "Time offset relative to the beginning of the audio, and corresponding to the end of the spoken word. This field is only set if `enable_word_time_offsets=true` and only in the top hypothesis. This is an experimental feature and the accuracy of the time offset can vary.", "format": "google-duration" } }, "type": "object" }, "GoogleCloudVideointelligenceV1p1beta1_NormalizedBoundingBox": { "id": "GoogleCloudVideointelligenceV1p1beta1_NormalizedBoundingBox", "type": "object", "description": "Normalized bounding box. The normalized vertex coordinates are relative to the original image. Range: [0, 1].", "properties": { "left": { "description": "Left X coordinate.", "format": "float", "type": "number" }, "bottom": { "type": "number", "description": "Bottom Y coordinate.", "format": "float" }, "top": { "type": "number", "format": "float", "description": "Top Y coordinate." }, "right": { "format": "float", "type": "number", "description": "Right X coordinate." } } }, "GoogleCloudVideointelligenceV1p3beta1_AnnotateVideoRequest": { "properties": { "outputUri": { "type": "string", "description": "Optional. Location where the output (in JSON format) should be stored. Currently, only [Cloud Storage](https://cloud.google.com/storage/) URIs are supported. These must be specified in the following format: `gs://bucket-id/object-id` (other URI formats return google.rpc.Code.INVALID_ARGUMENT). For more information, see [Request URIs](https://cloud.google.com/storage/docs/request-endpoints)." }, "videoContext": { "description": "Additional video context and/or feature-specific parameters.", "$ref": "GoogleCloudVideointelligenceV1p3beta1_VideoContext" }, "features": { "items": { "type": "string", "enum": [ "FEATURE_UNSPECIFIED", "LABEL_DETECTION", "SHOT_CHANGE_DETECTION", "EXPLICIT_CONTENT_DETECTION", "FACE_DETECTION", "SPEECH_TRANSCRIPTION", "TEXT_DETECTION", "OBJECT_TRACKING", "LOGO_RECOGNITION", "CELEBRITY_RECOGNITION", "PERSON_DETECTION" ], "enumDescriptions": [ "Unspecified.", "Label detection. Detect objects, such as dog or flower.", "Shot change detection.", "Explicit content detection.", "Human face detection.", "Speech transcription.", "OCR text detection and tracking.", "Object detection and tracking.", "Logo detection, tracking, and recognition.", "Celebrity recognition.", "Person detection." ] }, "type": "array", "description": "Required. Requested video annotation features." }, "locationId": { "description": "Optional. Cloud region where annotation should take place. Supported cloud regions are: `us-east1`, `us-west1`, `europe-west1`, `asia-east1`. If no region is specified, the region will be determined based on video file location.", "type": "string" }, "inputContent": { "format": "byte", "type": "string", "description": "The video data bytes. If unset, the input video(s) should be specified via the `input_uri`. If set, `input_uri` must be unset." }, "inputUri": { "type": "string", "description": "Input video location. Currently, only [Cloud Storage](https://cloud.google.com/storage/) URIs are supported. URIs must be specified in the following format: `gs://bucket-id/object-id` (other URI formats return google.rpc.Code.INVALID_ARGUMENT). For more information, see [Request URIs](https://cloud.google.com/storage/docs/request-endpoints). To identify multiple videos, a video URI may include wildcards in the `object-id`. Supported wildcards: '*' to match 0 or more characters; '?' to match 1 character. If unset, the input video should be embedded in the request as `input_content`. If set, `input_content` must be unset." } }, "type": "object", "description": "Video annotation request.", "id": "GoogleCloudVideointelligenceV1p3beta1_AnnotateVideoRequest" }, "GoogleCloudVideointelligenceV1p3beta1_LabelAnnotation": { "type": "object", "description": "Label annotation.", "properties": { "categoryEntities": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_Entity" }, "description": "Common categories for the detected entity. For example, when the label is `Terrier`, the category is likely `dog`. And in some cases there might be more than one categories e.g., `Terrier` could also be a `pet`." }, "segments": { "description": "All video segments where a label was detected.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_LabelSegment" } }, "frames": { "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_LabelFrame" }, "description": "All video frames where a label was detected.", "type": "array" }, "version": { "type": "string", "description": "Feature version." }, "entity": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_Entity", "description": "Detected entity." } }, "id": "GoogleCloudVideointelligenceV1p3beta1_LabelAnnotation" }, "GoogleCloudVideointelligenceV1p2beta1_LabelSegment": { "properties": { "segment": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_VideoSegment", "description": "Video segment where a label was detected." }, "confidence": { "description": "Confidence that the label is accurate. Range: [0, 1].", "format": "float", "type": "number" } }, "type": "object", "id": "GoogleCloudVideointelligenceV1p2beta1_LabelSegment", "description": "Video segment level annotation results for label detection." }, "GoogleCloudVideointelligenceV1p2beta1_ExplicitContentFrame": { "properties": { "pornographyLikelihood": { "type": "string", "description": "Likelihood of the pornography content..", "enum": [ "LIKELIHOOD_UNSPECIFIED", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ], "enumDescriptions": [ "Unspecified likelihood.", "Very unlikely.", "Unlikely.", "Possible.", "Likely.", "Very likely." ] }, "timeOffset": { "type": "string", "format": "google-duration", "description": "Time-offset, relative to the beginning of the video, corresponding to the video frame for this location." } }, "id": "GoogleCloudVideointelligenceV1p2beta1_ExplicitContentFrame", "description": "Video frame level annotation results for explicit content.", "type": "object" }, "GoogleCloudVideointelligenceV1beta2_TimestampedObject": { "id": "GoogleCloudVideointelligenceV1beta2_TimestampedObject", "description": "For tracking related features. An object at time_offset with attributes, and located with normalized_bounding_box.", "type": "object", "properties": { "attributes": { "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_DetectedAttribute" }, "type": "array", "description": "Optional. The attributes of the object in the bounding box." }, "normalizedBoundingBox": { "description": "Normalized Bounding box in a frame, where the object is located.", "$ref": "GoogleCloudVideointelligenceV1beta2_NormalizedBoundingBox" }, "landmarks": { "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_DetectedLandmark" }, "description": "Optional. The detected landmarks.", "type": "array" }, "timeOffset": { "type": "string", "description": "Time-offset, relative to the beginning of the video, corresponding to the video frame for this object.", "format": "google-duration" } } }, "GoogleCloudVideointelligenceV1_LogoRecognitionAnnotation": { "id": "GoogleCloudVideointelligenceV1_LogoRecognitionAnnotation", "properties": { "entity": { "description": "Entity category information to specify the logo class that all the logo tracks within this LogoRecognitionAnnotation are recognized as.", "$ref": "GoogleCloudVideointelligenceV1_Entity" }, "tracks": { "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1_Track" }, "description": "All logo tracks where the recognized logo appears. Each track corresponds to one logo instance appearing in consecutive frames." }, "segments": { "items": { "$ref": "GoogleCloudVideointelligenceV1_VideoSegment" }, "description": "All video segments where the recognized logo appears. There might be multiple instances of the same logo class appearing in one VideoSegment.", "type": "array" } }, "type": "object", "description": "Annotation corresponding to one detected, tracked and recognized logo class." }, "GoogleCloudVideointelligenceV1p2beta1_FaceFrame": { "properties": { "timeOffset": { "description": "Time-offset, relative to the beginning of the video, corresponding to the video frame for this location.", "format": "google-duration", "type": "string" }, "normalizedBoundingBoxes": { "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_NormalizedBoundingBox" }, "description": "Normalized Bounding boxes in a frame. There can be more than one boxes if the same face is detected in multiple locations within the current frame.", "type": "array" } }, "id": "GoogleCloudVideointelligenceV1p2beta1_FaceFrame", "description": "Deprecated. No effect.", "type": "object" }, "GoogleCloudVideointelligenceV1_ObjectTrackingFrame": { "description": "Video frame level annotations for object detection and tracking. This field stores per frame location, time offset, and confidence.", "properties": { "timeOffset": { "type": "string", "format": "google-duration", "description": "The timestamp of the frame in microseconds." }, "normalizedBoundingBox": { "$ref": "GoogleCloudVideointelligenceV1_NormalizedBoundingBox", "description": "The normalized bounding box location of this object track for the frame." } }, "id": "GoogleCloudVideointelligenceV1_ObjectTrackingFrame", "type": "object" }, "GoogleCloudVideointelligenceV1p3beta1_LabelFrame": { "description": "Video frame level annotation results for label detection.", "id": "GoogleCloudVideointelligenceV1p3beta1_LabelFrame", "properties": { "confidence": { "description": "Confidence that the label is accurate. Range: [0, 1].", "type": "number", "format": "float" }, "timeOffset": { "description": "Time-offset, relative to the beginning of the video, corresponding to the video frame for this location.", "type": "string", "format": "google-duration" } }, "type": "object" }, "GoogleCloudVideointelligenceV1beta2_TextFrame": { "id": "GoogleCloudVideointelligenceV1beta2_TextFrame", "description": "Video frame level annotation results for text annotation (OCR). Contains information regarding timestamp and bounding box locations for the frames containing detected OCR text snippets.", "properties": { "rotatedBoundingBox": { "description": "Bounding polygon of the detected text for this frame.", "$ref": "GoogleCloudVideointelligenceV1beta2_NormalizedBoundingPoly" }, "timeOffset": { "description": "Timestamp of this frame.", "format": "google-duration", "type": "string" } }, "type": "object" }, "GoogleCloudVideointelligenceV1p1beta1_WordInfo": { "description": "Word-specific information for recognized words. Word information is only included in the response when certain request parameters are set, such as `enable_word_time_offsets`.", "properties": { "word": { "description": "The word corresponding to this set of information.", "type": "string" }, "endTime": { "type": "string", "format": "google-duration", "description": "Time offset relative to the beginning of the audio, and corresponding to the end of the spoken word. This field is only set if `enable_word_time_offsets=true` and only in the top hypothesis. This is an experimental feature and the accuracy of the time offset can vary." }, "speakerTag": { "description": "Output only. A distinct integer value is assigned for every speaker within the audio. This field specifies which one of those speakers was detected to have spoken this word. Value ranges from 1 up to diarization_speaker_count, and is only set if speaker diarization is enabled.", "readOnly": true, "type": "integer", "format": "int32" }, "confidence": { "type": "number", "format": "float", "description": "Output only. The confidence estimate between 0.0 and 1.0. A higher number indicates an estimated greater likelihood that the recognized words are correct. This field is set only for the top alternative. This field is not guaranteed to be accurate and users should not rely on it to be always provided. The default of 0.0 is a sentinel value indicating `confidence` was not set.", "readOnly": true }, "startTime": { "format": "google-duration", "type": "string", "description": "Time offset relative to the beginning of the audio, and corresponding to the start of the spoken word. This field is only set if `enable_word_time_offsets=true` and only in the top hypothesis. This is an experimental feature and the accuracy of the time offset can vary." } }, "id": "GoogleCloudVideointelligenceV1p1beta1_WordInfo", "type": "object" }, "GoogleCloudVideointelligenceV1p1beta1_FaceFrame": { "properties": { "normalizedBoundingBoxes": { "type": "array", "description": "Normalized Bounding boxes in a frame. There can be more than one boxes if the same face is detected in multiple locations within the current frame.", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_NormalizedBoundingBox" } }, "timeOffset": { "type": "string", "description": "Time-offset, relative to the beginning of the video, corresponding to the video frame for this location.", "format": "google-duration" } }, "id": "GoogleCloudVideointelligenceV1p1beta1_FaceFrame", "description": "Deprecated. No effect.", "type": "object" }, "GoogleCloudVideointelligenceV1p1beta1_AnnotateVideoProgress": { "id": "GoogleCloudVideointelligenceV1p1beta1_AnnotateVideoProgress", "properties": { "annotationProgress": { "type": "array", "description": "Progress metadata for all videos specified in `AnnotateVideoRequest`.", "items": { "$ref": "GoogleCloudVideointelligenceV1p1beta1_VideoAnnotationProgress" } } }, "type": "object", "description": "Video annotation progress. Included in the `metadata` field of the `Operation` returned by the `GetOperation` call of the `google::longrunning::Operations` service." }, "GoogleCloudVideointelligenceV1p2beta1_FaceSegment": { "id": "GoogleCloudVideointelligenceV1p2beta1_FaceSegment", "type": "object", "properties": { "segment": { "description": "Video segment where a face was detected.", "$ref": "GoogleCloudVideointelligenceV1p2beta1_VideoSegment" } }, "description": "Video segment level annotation results for face detection." }, "GoogleCloudVideointelligenceV1p2beta1_VideoSegment": { "type": "object", "id": "GoogleCloudVideointelligenceV1p2beta1_VideoSegment", "description": "Video segment.", "properties": { "endTimeOffset": { "format": "google-duration", "description": "Time-offset, relative to the beginning of the video, corresponding to the end of the segment (inclusive).", "type": "string" }, "startTimeOffset": { "description": "Time-offset, relative to the beginning of the video, corresponding to the start of the segment (inclusive).", "format": "google-duration", "type": "string" } } }, "GoogleCloudVideointelligenceV1beta2_PersonDetectionAnnotation": { "id": "GoogleCloudVideointelligenceV1beta2_PersonDetectionAnnotation", "properties": { "tracks": { "description": "The detected tracks of a person.", "type": "array", "items": { "$ref": "GoogleCloudVideointelligenceV1beta2_Track" } }, "version": { "description": "Feature version.", "type": "string" } }, "type": "object", "description": "Person detection annotation per video." }, "GoogleCloudVideointelligenceV1p3beta1_Celebrity": { "properties": { "name": { "description": "The resource name of the celebrity. Have the format `video-intelligence/kg-mid` indicates a celebrity from preloaded gallery. kg-mid is the id in Google knowledge graph, which is unique for the celebrity.", "type": "string" }, "displayName": { "type": "string", "description": "The celebrity name." }, "description": { "type": "string", "description": "Textual description of additional information about the celebrity, if applicable." } }, "description": "Celebrity definition.", "id": "GoogleCloudVideointelligenceV1p3beta1_Celebrity", "type": "object" }, "GoogleCloudVideointelligenceV1p3beta1_SpeechContext": { "type": "object", "properties": { "phrases": { "description": "Optional. A list of strings containing words and phrases \"hints\" so that the speech recognition is more likely to recognize them. This can be used to improve the accuracy for specific words and phrases, for example, if specific commands are typically spoken by the user. This can also be used to add additional words to the vocabulary of the recognizer. See [usage limits](https://cloud.google.com/speech/limits#content).", "items": { "type": "string" }, "type": "array" } }, "id": "GoogleCloudVideointelligenceV1p3beta1_SpeechContext", "description": "Provides \"hints\" to the speech recognizer to favor specific words and phrases in the results." }, "GoogleCloudVideointelligenceV1p2beta1_TextSegment": { "description": "Video segment level annotation results for text detection.", "id": "GoogleCloudVideointelligenceV1p2beta1_TextSegment", "properties": { "frames": { "items": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_TextFrame" }, "description": "Information related to the frames where OCR detected text appears.", "type": "array" }, "confidence": { "description": "Confidence for the track of detected text. It is calculated as the highest over all frames where OCR detected text appears.", "format": "float", "type": "number" }, "segment": { "$ref": "GoogleCloudVideointelligenceV1p2beta1_VideoSegment", "description": "Video segment where a text snippet was detected." } }, "type": "object" }, "GoogleCloudVideointelligenceV1p3beta1_NormalizedBoundingPoly": { "description": "Normalized bounding polygon for text (that might not be aligned with axis). Contains list of the corner points in clockwise order starting from top-left corner. For example, for a rectangular bounding box: When the text is horizontal it might look like: 0----1 | | 3----2 When it's clockwise rotated 180 degrees around the top-left corner it becomes: 2----3 | | 1----0 and the vertex order will still be (0, 1, 2, 3). Note that values can be less than 0, or greater than 1 due to trignometric calculations for location of the box.", "id": "GoogleCloudVideointelligenceV1p3beta1_NormalizedBoundingPoly", "type": "object", "properties": { "vertices": { "items": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_NormalizedVertex" }, "description": "Normalized vertices of the bounding polygon.", "type": "array" } } }, "GoogleCloudVideointelligenceV1p1beta1_NormalizedVertex": { "type": "object", "id": "GoogleCloudVideointelligenceV1p1beta1_NormalizedVertex", "properties": { "x": { "description": "X coordinate.", "format": "float", "type": "number" }, "y": { "format": "float", "description": "Y coordinate.", "type": "number" } }, "description": "A vertex represents a 2D point in the image. NOTE: the normalized vertex coordinates are relative to the original image and range from 0 to 1." }, "GoogleCloudVideointelligenceV1p3beta1_DetectedLandmark": { "properties": { "confidence": { "description": "The confidence score of the detected landmark. Range [0, 1].", "format": "float", "type": "number" }, "name": { "description": "The name of this landmark, for example, left_hand, right_shoulder.", "type": "string" }, "point": { "description": "The 2D point of the detected landmark using the normalized image coordindate system. The normalized coordinates have the range from 0 to 1.", "$ref": "GoogleCloudVideointelligenceV1p3beta1_NormalizedVertex" } }, "type": "object", "description": "A generic detected landmark represented by name in string format and a 2D location.", "id": "GoogleCloudVideointelligenceV1p3beta1_DetectedLandmark" } }, "title": "Cloud Video Intelligence API", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." } } } }, "canonicalName": "Cloud Video Intelligence", "fullyEncodeReservedExpansion": true, "discoveryVersion": "v1", "resources": { "videos": { "methods": { "annotate": { "id": "videointelligence.videos.annotate", "httpMethod": "POST", "parameterOrder": [], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": {}, "response": { "$ref": "GoogleLongrunning_Operation" }, "flatPath": "v1p3beta1/videos:annotate", "description": "Performs asynchronous video annotation. Progress and results can be retrieved through the `google.longrunning.Operations` interface. `Operation.metadata` contains `AnnotateVideoProgress` (progress). `Operation.response` contains `AnnotateVideoResponse` (results).", "request": { "$ref": "GoogleCloudVideointelligenceV1p3beta1_AnnotateVideoRequest" }, "path": "v1p3beta1/videos:annotate" } } } }, "kind": "discovery#restDescription", "ownerName": "Google", "batchPath": "batch", "servicePath": "", "ownerDomain": "google.com", "documentationLink": "https://cloud.google.com/video-intelligence/docs/", "baseUrl": "https://videointelligence.googleapis.com/", "icons": { "x16": "http://www.google.com/images/icons/product/search-16.gif", "x32": "http://www.google.com/images/icons/product/search-32.gif" }, "version_module": true, "rootUrl": "https://videointelligence.googleapis.com/", "mtlsRootUrl": "https://videointelligence.mtls.googleapis.com/", "parameters": { "callback": { "location": "query", "type": "string", "description": "JSONP" }, "upload_protocol": { "location": "query", "type": "string", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\")." }, "key": { "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "type": "string", "location": "query" }, "fields": { "type": "string", "description": "Selector specifying which fields to include in a partial response.", "location": "query" }, "quotaUser": { "location": "query", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "type": "string" }, "alt": { "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "enum": [ "json", "media", "proto" ], "default": "json", "description": "Data format for response.", "location": "query", "type": "string" }, "access_token": { "type": "string", "location": "query", "description": "OAuth access token." }, "$.xgafv": { "location": "query", "description": "V1 error format.", "enum": [ "1", "2" ], "enumDescriptions": [ "v1 error format", "v2 error format" ], "type": "string" }, "uploadType": { "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "type": "string", "location": "query" }, "prettyPrint": { "location": "query", "default": "true", "type": "boolean", "description": "Returns response with indentations and line breaks." }, "oauth_token": { "description": "OAuth 2.0 token for the current user.", "location": "query", "type": "string" } }, "revision": "20220303", "name": "videointelligence", "version": "v1p3beta1" }
]===]))
