local decode = require("cjson").new().decode
return assert(decode([===[
{ "ownerName": "Google", "discoveryVersion": "v1", "ownerDomain": "google.com", "version": "v1", "revision": "20220624", "documentationLink": "https://cloud.google.com/vision/", "title": "Cloud Vision API", "fullyEncodeReservedExpansion": true, "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-vision": { "description": "Apply machine learning models to understand and label images" }, "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." } } } }, "mtlsRootUrl": "https://vision.mtls.googleapis.com/", "schemas": { "GoogleCloudVisionV1p4beta1GcsSource": { "description": "The Google Cloud Storage location where the input will be read from.", "id": "GoogleCloudVisionV1p4beta1GcsSource", "type": "object", "properties": { "uri": { "description": "Google Cloud Storage URI for the input file. This must only be a Google Cloud Storage object. Wildcards are not currently supported.", "type": "string" } } }, "GoogleCloudVisionV1p2beta1AsyncBatchAnnotateFilesResponse": { "description": "Response to an async batch file annotation request.", "type": "object", "properties": { "responses": { "description": "The list of file annotation responses, one for each request in AsyncBatchAnnotateFilesRequest.", "items": { "$ref": "GoogleCloudVisionV1p2beta1AsyncAnnotateFileResponse" }, "type": "array" } }, "id": "GoogleCloudVisionV1p2beta1AsyncBatchAnnotateFilesResponse" }, "GoogleCloudVisionV1p4beta1AnnotateImageResponse": { "type": "object", "description": "Response to an image annotation request.", "id": "GoogleCloudVisionV1p4beta1AnnotateImageResponse", "properties": { "labelAnnotations": { "items": { "$ref": "GoogleCloudVisionV1p4beta1EntityAnnotation" }, "type": "array", "description": "If present, label detection has completed successfully." }, "faceAnnotations": { "items": { "$ref": "GoogleCloudVisionV1p4beta1FaceAnnotation" }, "description": "If present, face detection has completed successfully.", "type": "array" }, "productSearchResults": { "description": "If present, product search has completed successfully.", "$ref": "GoogleCloudVisionV1p4beta1ProductSearchResults" }, "localizedObjectAnnotations": { "description": "If present, localized object detection has completed successfully. This will be sorted descending by confidence score.", "type": "array", "items": { "$ref": "GoogleCloudVisionV1p4beta1LocalizedObjectAnnotation" } }, "error": { "$ref": "Status", "description": "If set, represents the error message for the operation. Note that filled-in image annotations are guaranteed to be correct, even when `error` is set." }, "fullTextAnnotation": { "description": "If present, text (OCR) detection or document (OCR) text detection has completed successfully. This annotation provides the structural hierarchy for the OCR detected text.", "$ref": "GoogleCloudVisionV1p4beta1TextAnnotation" }, "landmarkAnnotations": { "type": "array", "items": { "$ref": "GoogleCloudVisionV1p4beta1EntityAnnotation" }, "description": "If present, landmark detection has completed successfully." }, "imagePropertiesAnnotation": { "$ref": "GoogleCloudVisionV1p4beta1ImageProperties", "description": "If present, image properties were extracted successfully." }, "logoAnnotations": { "items": { "$ref": "GoogleCloudVisionV1p4beta1EntityAnnotation" }, "description": "If present, logo detection has completed successfully.", "type": "array" }, "safeSearchAnnotation": { "$ref": "GoogleCloudVisionV1p4beta1SafeSearchAnnotation", "description": "If present, safe-search annotation has completed successfully." }, "context": { "$ref": "GoogleCloudVisionV1p4beta1ImageAnnotationContext", "description": "If present, contextual information is needed to understand where this image comes from." }, "cropHintsAnnotation": { "$ref": "GoogleCloudVisionV1p4beta1CropHintsAnnotation", "description": "If present, crop hints have completed successfully." }, "textAnnotations": { "description": "If present, text (OCR) detection has completed successfully.", "type": "array", "items": { "$ref": "GoogleCloudVisionV1p4beta1EntityAnnotation" } }, "webDetection": { "$ref": "GoogleCloudVisionV1p4beta1WebDetection", "description": "If present, web detection has completed successfully." } } }, "ImportProductSetsRequest": { "properties": { "inputConfig": { "$ref": "ImportProductSetsInputConfig", "description": "Required. The input content for the list of requests." } }, "description": "Request message for the `ImportProductSets` method.", "type": "object", "id": "ImportProductSetsRequest" }, "GoogleCloudVisionV1p2beta1Paragraph": { "type": "object", "id": "GoogleCloudVisionV1p2beta1Paragraph", "description": "Structural unit of text representing a number of words in certain order.", "properties": { "confidence": { "format": "float", "type": "number", "description": "Confidence of the OCR results for the paragraph. Range [0, 1]." }, "words": { "description": "List of all words in this paragraph.", "type": "array", "items": { "$ref": "GoogleCloudVisionV1p2beta1Word" } }, "boundingBox": { "description": "The bounding box for the paragraph. The vertices are in the order of top-left, top-right, bottom-right, bottom-left. When a rotation of the bounding box is detected the rotation is represented as around the top-left corner as defined when the text is read in the 'natural' orientation. For example: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh when the text is horizontal it might look like: 0----1 | | 3----2 LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh when it's rotated 180 degrees around the top-left corner it becomes: 2----3 | | 1----0 and the vertex order will still be (0, 1, 2, 3).", "$ref": "GoogleCloudVisionV1p2beta1BoundingPoly" }, "property": { "description": "Additional information detected for the paragraph.", "$ref": "GoogleCloudVisionV1p2beta1TextAnnotationTextProperty" } } }, "GoogleCloudVisionV1p2beta1AsyncAnnotateFileResponse": { "type": "object", "description": "The response for a single offline file annotation request.", "properties": { "outputConfig": { "$ref": "GoogleCloudVisionV1p2beta1OutputConfig", "description": "The output location and metadata from AsyncAnnotateFileRequest." } }, "id": "GoogleCloudVisionV1p2beta1AsyncAnnotateFileResponse" }, "GoogleCloudVisionV1p3beta1NormalizedVertex": { "id": "GoogleCloudVisionV1p3beta1NormalizedVertex", "type": "object", "description": "A vertex represents a 2D point in the image. NOTE: the normalized vertex coordinates are relative to the original image and range from 0 to 1.", "properties": { "y": { "format": "float", "description": "Y coordinate.", "type": "number" }, "x": { "description": "X coordinate.", "type": "number", "format": "float" } } }, "Status": { "type": "object", "description": "The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors).", "properties": { "code": { "format": "int32", "type": "integer", "description": "The status code, which should be an enum value of google.rpc.Code." }, "details": { "description": "A list of messages that carry the error details. There is a common set of message types for APIs to use.", "items": { "type": "object", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" } }, "type": "array" }, "message": { "description": "A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client.", "type": "string" } }, "id": "Status" }, "GoogleCloudVisionV1p1beta1Symbol": { "id": "GoogleCloudVisionV1p1beta1Symbol", "properties": { "property": { "description": "Additional information detected for the symbol.", "$ref": "GoogleCloudVisionV1p1beta1TextAnnotationTextProperty" }, "text": { "type": "string", "description": "The actual UTF-8 representation of the symbol." }, "confidence": { "description": "Confidence of the OCR results for the symbol. Range [0, 1].", "type": "number", "format": "float" }, "boundingBox": { "$ref": "GoogleCloudVisionV1p1beta1BoundingPoly", "description": "The bounding box for the symbol. The vertices are in the order of top-left, top-right, bottom-right, bottom-left. When a rotation of the bounding box is detected the rotation is represented as around the top-left corner as defined when the text is read in the 'natural' orientation. For example: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh when the text is horizontal it might look like: 0----1 | | 3----2 LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh when it's rotated 180 degrees around the top-left corner it becomes: 2----3 | | 1----0 and the vertex order will still be (0, 1, 2, 3)." } }, "description": "A single symbol representation.", "type": "object" }, "GoogleCloudVisionV1p3beta1BatchOperationMetadata": { "properties": { "endTime": { "format": "google-datetime", "description": "The time when the batch request is finished and google.longrunning.Operation.done is set to true.", "type": "string" }, "state": { "enumDescriptions": [ "Invalid.", "Request is actively being processed.", "The request is done and at least one item has been successfully processed.", "The request is done and no item has been successfully processed.", "The request is done after the longrunning.Operations.CancelOperation has been called by the user. Any records that were processed before the cancel command are output as specified in the request." ], "description": "The current state of the batch operation.", "enum": [ "STATE_UNSPECIFIED", "PROCESSING", "SUCCESSFUL", "FAILED", "CANCELLED" ], "type": "string" }, "submitTime": { "type": "string", "format": "google-datetime", "description": "The time when the batch request was submitted to the server." } }, "description": "Metadata for the batch operations such as the current state. This is included in the `metadata` field of the `Operation` returned by the `GetOperation` call of the `google::longrunning::Operations` service.", "id": "GoogleCloudVisionV1p3beta1BatchOperationMetadata", "type": "object" }, "Symbol": { "properties": { "property": { "description": "Additional information detected for the symbol.", "$ref": "TextProperty" }, "text": { "type": "string", "description": "The actual UTF-8 representation of the symbol." }, "confidence": { "format": "float", "description": "Confidence of the OCR results for the symbol. Range [0, 1].", "type": "number" }, "boundingBox": { "description": "The bounding box for the symbol. The vertices are in the order of top-left, top-right, bottom-right, bottom-left. When a rotation of the bounding box is detected the rotation is represented as around the top-left corner as defined when the text is read in the 'natural' orientation. For example: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh when the text is horizontal it might look like: 0----1 | | 3----2 LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh when it's rotated 180 degrees around the top-left corner it becomes: 2----3 | | 1----0 and the vertex order will still be (0, 1, 2, 3).", "$ref": "BoundingPoly" } }, "description": "A single symbol representation.", "id": "Symbol", "type": "object" }, "GoogleCloudVisionV1p1beta1ImageProperties": { "id": "GoogleCloudVisionV1p1beta1ImageProperties", "properties": { "dominantColors": { "description": "If present, dominant colors completed successfully.", "$ref": "GoogleCloudVisionV1p1beta1DominantColorsAnnotation" } }, "description": "Stores image properties, such as dominant colors.", "type": "object" }, "GoogleCloudVisionV1p1beta1CropHint": { "description": "Single crop hint that is used to generate a new crop when serving an image.", "properties": { "importanceFraction": { "format": "float", "type": "number", "description": "Fraction of importance of this salient region with respect to the original image." }, "boundingPoly": { "$ref": "GoogleCloudVisionV1p1beta1BoundingPoly", "description": "The bounding polygon for the crop region. The coordinates of the bounding box are in the original image's scale." }, "confidence": { "format": "float", "type": "number", "description": "Confidence of this being a salient region. Range [0, 1]." } }, "type": "object", "id": "GoogleCloudVisionV1p1beta1CropHint" }, "GoogleCloudVisionV1p1beta1GcsSource": { "type": "object", "properties": { "uri": { "type": "string", "description": "Google Cloud Storage URI for the input file. This must only be a Google Cloud Storage object. Wildcards are not currently supported." } }, "id": "GoogleCloudVisionV1p1beta1GcsSource", "description": "The Google Cloud Storage location where the input will be read from." }, "GoogleCloudVisionV1p4beta1TextAnnotationDetectedLanguage": { "id": "GoogleCloudVisionV1p4beta1TextAnnotationDetectedLanguage", "description": "Detected language for a structural component.", "type": "object", "properties": { "languageCode": { "type": "string", "description": "The BCP-47 language code, such as \"en-US\" or \"sr-Latn\". For more information, see http://www.unicode.org/reports/tr35/#Unicode_locale_identifier." }, "confidence": { "description": "Confidence of detected language. Range [0, 1].", "type": "number", "format": "float" } } }, "GoogleCloudVisionV1p4beta1BatchOperationMetadata": { "properties": { "endTime": { "description": "The time when the batch request is finished and google.longrunning.Operation.done is set to true.", "format": "google-datetime", "type": "string" }, "state": { "type": "string", "enumDescriptions": [ "Invalid.", "Request is actively being processed.", "The request is done and at least one item has been successfully processed.", "The request is done and no item has been successfully processed.", "The request is done after the longrunning.Operations.CancelOperation has been called by the user. Any records that were processed before the cancel command are output as specified in the request." ], "description": "The current state of the batch operation.", "enum": [ "STATE_UNSPECIFIED", "PROCESSING", "SUCCESSFUL", "FAILED", "CANCELLED" ] }, "submitTime": { "type": "string", "format": "google-datetime", "description": "The time when the batch request was submitted to the server." } }, "type": "object", "description": "Metadata for the batch operations such as the current state. This is included in the `metadata` field of the `Operation` returned by the `GetOperation` call of the `google::longrunning::Operations` service.", "id": "GoogleCloudVisionV1p4beta1BatchOperationMetadata" }, "TextAnnotation": { "properties": { "text": { "type": "string", "description": "UTF-8 text detected on the pages." }, "pages": { "items": { "$ref": "Page" }, "description": "List of pages detected by OCR.", "type": "array" } }, "description": "TextAnnotation contains a structured representation of OCR extracted text. The hierarchy of an OCR extracted text structure is like this: TextAnnotation -\u003e Page -\u003e Block -\u003e Paragraph -\u003e Word -\u003e Symbol Each structural component, starting from Page, may further have their own properties. Properties describe detected languages, breaks etc.. Please refer to the TextAnnotation.TextProperty message definition below for more detail.", "id": "TextAnnotation", "type": "object" }, "GoogleCloudVisionV1p3beta1Paragraph": { "properties": { "words": { "items": { "$ref": "GoogleCloudVisionV1p3beta1Word" }, "description": "List of all words in this paragraph.", "type": "array" }, "confidence": { "description": "Confidence of the OCR results for the paragraph. Range [0, 1].", "type": "number", "format": "float" }, "property": { "$ref": "GoogleCloudVisionV1p3beta1TextAnnotationTextProperty", "description": "Additional information detected for the paragraph." }, "boundingBox": { "description": "The bounding box for the paragraph. The vertices are in the order of top-left, top-right, bottom-right, bottom-left. When a rotation of the bounding box is detected the rotation is represented as around the top-left corner as defined when the text is read in the 'natural' orientation. For example: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh when the text is horizontal it might look like: 0----1 | | 3----2 LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh when it's rotated 180 degrees around the top-left corner it becomes: 2----3 | | 1----0 and the vertex order will still be (0, 1, 2, 3).", "$ref": "GoogleCloudVisionV1p3beta1BoundingPoly" } }, "id": "GoogleCloudVisionV1p3beta1Paragraph", "description": "Structural unit of text representing a number of words in certain order.", "type": "object" }, "GoogleCloudVisionV1p4beta1ImageAnnotationContext": { "id": "GoogleCloudVisionV1p4beta1ImageAnnotationContext", "description": "If an image was produced from a file (e.g. a PDF), this message gives information about the source of that image.", "type": "object", "properties": { "uri": { "type": "string", "description": "The URI of the file used to produce the image." }, "pageNumber": { "type": "integer", "format": "int32", "description": "If the file was a PDF or TIFF, this field gives the page number within the file used to produce the image." } } }, "GoogleCloudVisionV1p3beta1WebDetectionWebPage": { "type": "object", "properties": { "fullMatchingImages": { "description": "Fully matching images on the page. Can include resized copies of the query image.", "items": { "$ref": "GoogleCloudVisionV1p3beta1WebDetectionWebImage" }, "type": "array" }, "score": { "format": "float", "type": "number", "description": "(Deprecated) Overall relevancy score for the web page." }, "url": { "description": "The result web page URL.", "type": "string" }, "partialMatchingImages": { "items": { "$ref": "GoogleCloudVisionV1p3beta1WebDetectionWebImage" }, "description": "Partial matching images on the page. Those images are similar enough to share some key-point features. For example an original image will likely have partial matching for its crops.", "type": "array" }, "pageTitle": { "type": "string", "description": "Title for the web page, may contain HTML markups." } }, "id": "GoogleCloudVisionV1p3beta1WebDetectionWebPage", "description": "Metadata for web pages." }, "GoogleCloudVisionV1p3beta1AnnotateFileResponse": { "id": "GoogleCloudVisionV1p3beta1AnnotateFileResponse", "type": "object", "properties": { "error": { "description": "If set, represents the error message for the failed request. The `responses` field will not be set in this case.", "$ref": "Status" }, "totalPages": { "type": "integer", "format": "int32", "description": "This field gives the total number of pages in the file." }, "responses": { "items": { "$ref": "GoogleCloudVisionV1p3beta1AnnotateImageResponse" }, "type": "array", "description": "Individual responses to images found within the file. This field will be empty if the `error` field is set." }, "inputConfig": { "$ref": "GoogleCloudVisionV1p3beta1InputConfig", "description": "Information about the file for which this response is generated." } }, "description": "Response to a single file annotation request. A file may contain one or more images, which individually have their own responses." }, "GoogleCloudVisionV1p4beta1Property": { "id": "GoogleCloudVisionV1p4beta1Property", "type": "object", "description": "A `Property` consists of a user-supplied name/value pair.", "properties": { "name": { "type": "string", "description": "Name of the property." }, "uint64Value": { "description": "Value of numeric properties.", "format": "uint64", "type": "string" }, "value": { "description": "Value of the property.", "type": "string" } } }, "GoogleCloudVisionV1p1beta1Property": { "properties": { "value": { "description": "Value of the property.", "type": "string" }, "name": { "description": "Name of the property.", "type": "string" }, "uint64Value": { "description": "Value of numeric properties.", "type": "string", "format": "uint64" } }, "id": "GoogleCloudVisionV1p1beta1Property", "type": "object", "description": "A `Property` consists of a user-supplied name/value pair." }, "GoogleCloudVisionV1p3beta1WebDetection": { "properties": { "visuallySimilarImages": { "type": "array", "description": "The visually similar image results.", "items": { "$ref": "GoogleCloudVisionV1p3beta1WebDetectionWebImage" } }, "partialMatchingImages": { "items": { "$ref": "GoogleCloudVisionV1p3beta1WebDetectionWebImage" }, "description": "Partial matching images from the Internet. Those images are similar enough to share some key-point features. For example an original image will likely have partial matching for its crops.", "type": "array" }, "webEntities": { "type": "array", "items": { "$ref": "GoogleCloudVisionV1p3beta1WebDetectionWebEntity" }, "description": "Deduced entities from similar images on the Internet." }, "fullMatchingImages": { "type": "array", "items": { "$ref": "GoogleCloudVisionV1p3beta1WebDetectionWebImage" }, "description": "Fully matching images from the Internet. Can include resized copies of the query image." }, "pagesWithMatchingImages": { "description": "Web pages containing the matching images from the Internet.", "items": { "$ref": "GoogleCloudVisionV1p3beta1WebDetectionWebPage" }, "type": "array" }, "bestGuessLabels": { "description": "The service's best guess as to the topic of the request image. Inferred from similar images on the open web.", "type": "array", "items": { "$ref": "GoogleCloudVisionV1p3beta1WebDetectionWebLabel" } } }, "description": "Relevant information for the image from the Internet.", "id": "GoogleCloudVisionV1p3beta1WebDetection", "type": "object" }, "GoogleCloudVisionV1p2beta1Product": { "type": "object", "description": "A Product contains ReferenceImages.", "id": "GoogleCloudVisionV1p2beta1Product", "properties": { "displayName": { "type": "string", "description": "The user-provided name for this Product. Must not be empty. Must be at most 4096 characters long." }, "productLabels": { "items": { "$ref": "GoogleCloudVisionV1p2beta1ProductKeyValue" }, "description": "Key-value pairs that can be attached to a product. At query time, constraints can be specified based on the product_labels. Note that integer values can be provided as strings, e.g. \"1199\". Only strings with integer values can match a range-based restriction which is to be supported soon. Multiple values can be assigned to the same key. One product may have up to 500 product_labels. Notice that the total number of distinct product_labels over all products in one ProductSet cannot exceed 1M, otherwise the product search pipeline will refuse to work for that ProductSet.", "type": "array" }, "productCategory": { "description": "Immutable. The category for the product identified by the reference image. This should be one of \"homegoods-v2\", \"apparel-v2\", \"toys-v2\", \"packagedgoods-v1\" or \"general-v1\". The legacy categories \"homegoods\", \"apparel\", and \"toys\" are still supported, but these should not be used for new products.", "type": "string" }, "name": { "type": "string", "description": "The resource name of the product. Format is: `projects/PROJECT_ID/locations/LOC_ID/products/PRODUCT_ID`. This field is ignored when creating a product." }, "description": { "description": "User-provided metadata to be stored with this product. Must be at most 4096 characters long.", "type": "string" } } }, "BoundingPoly": { "properties": { "vertices": { "type": "array", "description": "The bounding polygon vertices.", "items": { "$ref": "Vertex" } }, "normalizedVertices": { "items": { "$ref": "NormalizedVertex" }, "description": "The bounding polygon normalized vertices.", "type": "array" } }, "description": "A bounding polygon for the detected image annotation.", "type": "object", "id": "BoundingPoly" }, "GoogleCloudVisionV1p3beta1LocationInfo": { "type": "object", "properties": { "latLng": { "$ref": "LatLng", "description": "lat/long location coordinates." } }, "id": "GoogleCloudVisionV1p3beta1LocationInfo", "description": "Detected entity location information." }, "GoogleCloudVisionV1p3beta1ColorInfo": { "type": "object", "id": "GoogleCloudVisionV1p3beta1ColorInfo", "description": "Color information consists of RGB channels, score, and the fraction of the image that the color occupies in the image.", "properties": { "score": { "type": "number", "format": "float", "description": "Image-specific score for this color. Value in range [0, 1]." }, "color": { "description": "RGB components of the color.", "$ref": "Color" }, "pixelFraction": { "format": "float", "type": "number", "description": "The fraction of pixels the color occupies in the image. Value in range [0, 1]." } } }, "CropHintsAnnotation": { "properties": { "cropHints": { "description": "Crop hint results.", "type": "array", "items": { "$ref": "CropHint" } } }, "type": "object", "id": "CropHintsAnnotation", "description": "Set of crop hints that are used to generate new crops when serving images." }, "ProductSearchResults": { "type": "object", "id": "ProductSearchResults", "properties": { "productGroupedResults": { "description": "List of results grouped by products detected in the query image. Each entry corresponds to one bounding polygon in the query image, and contains the matching products specific to that region. There may be duplicate product matches in the union of all the per-product results.", "type": "array", "items": { "$ref": "GroupedResult" } }, "indexTime": { "type": "string", "description": "Timestamp of the index which provided these results. Products added to the product set and products removed from the product set after this time are not reflected in the current results.", "format": "google-datetime" }, "results": { "description": "List of results, one for each product match.", "items": { "$ref": "Result" }, "type": "array" } }, "description": "Results for a product search request." }, "GoogleCloudVisionV1p3beta1ImageProperties": { "description": "Stores image properties, such as dominant colors.", "properties": { "dominantColors": { "$ref": "GoogleCloudVisionV1p3beta1DominantColorsAnnotation", "description": "If present, dominant colors completed successfully." } }, "id": "GoogleCloudVisionV1p3beta1ImageProperties", "type": "object" }, "GoogleCloudVisionV1p2beta1BoundingPoly": { "description": "A bounding polygon for the detected image annotation.", "id": "GoogleCloudVisionV1p2beta1BoundingPoly", "type": "object", "properties": { "normalizedVertices": { "type": "array", "items": { "$ref": "GoogleCloudVisionV1p2beta1NormalizedVertex" }, "description": "The bounding polygon normalized vertices." }, "vertices": { "type": "array", "description": "The bounding polygon vertices.", "items": { "$ref": "GoogleCloudVisionV1p2beta1Vertex" } } } }, "GoogleCloudVisionV1p2beta1OutputConfig": { "id": "GoogleCloudVisionV1p2beta1OutputConfig", "description": "The desired output location and metadata.", "properties": { "batchSize": { "description": "The max number of response protos to put into each output JSON file on Google Cloud Storage. The valid range is [1, 100]. If not specified, the default value is 20. For example, for one pdf file with 100 pages, 100 response protos will be generated. If `batch_size` = 20, then 5 json files each containing 20 response protos will be written under the prefix `gcs_destination`.`uri`. Currently, batch_size only applies to GcsDestination, with potential future support for other output configurations.", "format": "int32", "type": "integer" }, "gcsDestination": { "$ref": "GoogleCloudVisionV1p2beta1GcsDestination", "description": "The Google Cloud Storage location to write the output(s) to." } }, "type": "object" }, "GoogleCloudVisionV1p3beta1ProductSearchResultsResult": { "type": "object", "properties": { "image": { "description": "The resource name of the image from the product that is the closest match to the query.", "type": "string" }, "score": { "format": "float", "type": "number", "description": "A confidence level on the match, ranging from 0 (no confidence) to 1 (full confidence)." }, "product": { "$ref": "GoogleCloudVisionV1p3beta1Product", "description": "The Product." } }, "description": "Information about a product.", "id": "GoogleCloudVisionV1p3beta1ProductSearchResultsResult" }, "ImageProperties": { "properties": { "dominantColors": { "description": "If present, dominant colors completed successfully.", "$ref": "DominantColorsAnnotation" } }, "id": "ImageProperties", "type": "object", "description": "Stores image properties, such as dominant colors." }, "LocationInfo": { "properties": { "latLng": { "$ref": "LatLng", "description": "lat/long location coordinates." } }, "id": "LocationInfo", "type": "object", "description": "Detected entity location information." }, "GoogleCloudVisionV1p3beta1TextAnnotationDetectedBreak": { "description": "Detected start or end of a structural component.", "type": "object", "properties": { "isPrefix": { "type": "boolean", "description": "True if break prepends the element." }, "type": { "type": "string", "description": "Detected break type.", "enumDescriptions": [ "Unknown break label type.", "Regular space.", "Sure space (very wide).", "Line-wrapping break.", "End-line hyphen that is not present in text; does not co-occur with `SPACE`, `LEADER_SPACE`, or `LINE_BREAK`.", "Line break that ends a paragraph." ], "enum": [ "UNKNOWN", "SPACE", "SURE_SPACE", "EOL_SURE_SPACE", "HYPHEN", "LINE_BREAK" ] } }, "id": "GoogleCloudVisionV1p3beta1TextAnnotationDetectedBreak" }, "LatLng": { "properties": { "latitude": { "type": "number", "description": "The latitude in degrees. It must be in the range [-90.0, +90.0].", "format": "double" }, "longitude": { "format": "double", "type": "number", "description": "The longitude in degrees. It must be in the range [-180.0, +180.0]." } }, "type": "object", "id": "LatLng", "description": "An object that represents a latitude/longitude pair. This is expressed as a pair of doubles to represent degrees latitude and degrees longitude. Unless specified otherwise, this object must conform to the WGS84 standard. Values must be within normalized ranges." }, "Product": { "description": "A Product contains ReferenceImages.", "properties": { "productLabels": { "type": "array", "description": "Key-value pairs that can be attached to a product. At query time, constraints can be specified based on the product_labels. Note that integer values can be provided as strings, e.g. \"1199\". Only strings with integer values can match a range-based restriction which is to be supported soon. Multiple values can be assigned to the same key. One product may have up to 500 product_labels. Notice that the total number of distinct product_labels over all products in one ProductSet cannot exceed 1M, otherwise the product search pipeline will refuse to work for that ProductSet.", "items": { "$ref": "KeyValue" } }, "displayName": { "type": "string", "description": "The user-provided name for this Product. Must not be empty. Must be at most 4096 characters long." }, "name": { "description": "The resource name of the product. Format is: `projects/PROJECT_ID/locations/LOC_ID/products/PRODUCT_ID`. This field is ignored when creating a product.", "type": "string" }, "description": { "description": "User-provided metadata to be stored with this product. Must be at most 4096 characters long.", "type": "string" }, "productCategory": { "description": "Immutable. The category for the product identified by the reference image. This should be one of \"homegoods-v2\", \"apparel-v2\", \"toys-v2\", \"packagedgoods-v1\" or \"general-v1\". The legacy categories \"homegoods\", \"apparel\", and \"toys\" are still supported, but these should not be used for new products.", "type": "string" } }, "type": "object", "id": "Product" }, "GoogleCloudVisionV1p1beta1NormalizedVertex": { "type": "object", "id": "GoogleCloudVisionV1p1beta1NormalizedVertex", "description": "A vertex represents a 2D point in the image. NOTE: the normalized vertex coordinates are relative to the original image and range from 0 to 1.", "properties": { "x": { "description": "X coordinate.", "format": "float", "type": "number" }, "y": { "description": "Y coordinate.", "type": "number", "format": "float" } } }, "FaceAnnotation": { "type": "object", "properties": { "blurredLikelihood": { "enum": [ "UNKNOWN", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ], "type": "string", "description": "Blurred likelihood.", "enumDescriptions": [ "Unknown likelihood.", "It is very unlikely.", "It is unlikely.", "It is possible.", "It is likely.", "It is very likely." ] }, "surpriseLikelihood": { "enumDescriptions": [ "Unknown likelihood.", "It is very unlikely.", "It is unlikely.", "It is possible.", "It is likely.", "It is very likely." ], "enum": [ "UNKNOWN", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ], "description": "Surprise likelihood.", "type": "string" }, "joyLikelihood": { "enum": [ "UNKNOWN", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ], "enumDescriptions": [ "Unknown likelihood.", "It is very unlikely.", "It is unlikely.", "It is possible.", "It is likely.", "It is very likely." ], "type": "string", "description": "Joy likelihood." }, "boundingPoly": { "description": "The bounding polygon around the face. The coordinates of the bounding box are in the original image's scale. The bounding box is computed to \"frame\" the face in accordance with human expectations. It is based on the landmarker results. Note that one or more x and/or y coordinates may not be generated in the `BoundingPoly` (the polygon will be unbounded) if only a partial face appears in the image to be annotated.", "$ref": "BoundingPoly" }, "landmarkingConfidence": { "format": "float", "description": "Face landmarking confidence. Range [0, 1].", "type": "number" }, "panAngle": { "description": "Yaw angle, which indicates the leftward/rightward angle that the face is pointing relative to the vertical plane perpendicular to the image. Range [-180,180].", "format": "float", "type": "number" }, "rollAngle": { "description": "Roll angle, which indicates the amount of clockwise/anti-clockwise rotation of the face relative to the image vertical about the axis perpendicular to the face. Range [-180,180].", "format": "float", "type": "number" }, "sorrowLikelihood": { "enumDescriptions": [ "Unknown likelihood.", "It is very unlikely.", "It is unlikely.", "It is possible.", "It is likely.", "It is very likely." ], "description": "Sorrow likelihood.", "enum": [ "UNKNOWN", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ], "type": "string" }, "fdBoundingPoly": { "description": "The `fd_bounding_poly` bounding polygon is tighter than the `boundingPoly`, and encloses only the skin part of the face. Typically, it is used to eliminate the face from any image analysis that detects the \"amount of skin\" visible in an image. It is not based on the landmarker results, only on the initial face detection, hence the fd (face detection) prefix.", "$ref": "BoundingPoly" }, "headwearLikelihood": { "description": "Headwear likelihood.", "enum": [ "UNKNOWN", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ], "type": "string", "enumDescriptions": [ "Unknown likelihood.", "It is very unlikely.", "It is unlikely.", "It is possible.", "It is likely.", "It is very likely." ] }, "tiltAngle": { "type": "number", "format": "float", "description": "Pitch angle, which indicates the upwards/downwards angle that the face is pointing relative to the image's horizontal plane. Range [-180,180]." }, "angerLikelihood": { "enumDescriptions": [ "Unknown likelihood.", "It is very unlikely.", "It is unlikely.", "It is possible.", "It is likely.", "It is very likely." ], "enum": [ "UNKNOWN", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ], "type": "string", "description": "Anger likelihood." }, "landmarks": { "type": "array", "description": "Detected face landmarks.", "items": { "$ref": "Landmark" } }, "detectionConfidence": { "format": "float", "type": "number", "description": "Detection confidence. Range [0, 1]." }, "underExposedLikelihood": { "type": "string", "enumDescriptions": [ "Unknown likelihood.", "It is very unlikely.", "It is unlikely.", "It is possible.", "It is likely.", "It is very likely." ], "description": "Under-exposed likelihood.", "enum": [ "UNKNOWN", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ] } }, "description": "A face annotation object contains the results of face detection.", "id": "FaceAnnotation" }, "GoogleCloudVisionV1p2beta1FaceAnnotationLandmark": { "id": "GoogleCloudVisionV1p2beta1FaceAnnotationLandmark", "properties": { "type": { "type": "string", "enum": [ "UNKNOWN_LANDMARK", "LEFT_EYE", "RIGHT_EYE", "LEFT_OF_LEFT_EYEBROW", "RIGHT_OF_LEFT_EYEBROW", "LEFT_OF_RIGHT_EYEBROW", "RIGHT_OF_RIGHT_EYEBROW", "MIDPOINT_BETWEEN_EYES", "NOSE_TIP", "UPPER_LIP", "LOWER_LIP", "MOUTH_LEFT", "MOUTH_RIGHT", "MOUTH_CENTER", "NOSE_BOTTOM_RIGHT", "NOSE_BOTTOM_LEFT", "NOSE_BOTTOM_CENTER", "LEFT_EYE_TOP_BOUNDARY", "LEFT_EYE_RIGHT_CORNER", "LEFT_EYE_BOTTOM_BOUNDARY", "LEFT_EYE_LEFT_CORNER", "RIGHT_EYE_TOP_BOUNDARY", "RIGHT_EYE_RIGHT_CORNER", "RIGHT_EYE_BOTTOM_BOUNDARY", "RIGHT_EYE_LEFT_CORNER", "LEFT_EYEBROW_UPPER_MIDPOINT", "RIGHT_EYEBROW_UPPER_MIDPOINT", "LEFT_EAR_TRAGION", "RIGHT_EAR_TRAGION", "LEFT_EYE_PUPIL", "RIGHT_EYE_PUPIL", "FOREHEAD_GLABELLA", "CHIN_GNATHION", "CHIN_LEFT_GONION", "CHIN_RIGHT_GONION", "LEFT_CHEEK_CENTER", "RIGHT_CHEEK_CENTER" ], "description": "Face landmark type.", "enumDescriptions": [ "Unknown face landmark detected. Should not be filled.", "Left eye.", "Right eye.", "Left of left eyebrow.", "Right of left eyebrow.", "Left of right eyebrow.", "Right of right eyebrow.", "Midpoint between eyes.", "Nose tip.", "Upper lip.", "Lower lip.", "Mouth left.", "Mouth right.", "Mouth center.", "Nose, bottom right.", "Nose, bottom left.", "Nose, bottom center.", "Left eye, top boundary.", "Left eye, right corner.", "Left eye, bottom boundary.", "Left eye, left corner.", "Right eye, top boundary.", "Right eye, right corner.", "Right eye, bottom boundary.", "Right eye, left corner.", "Left eyebrow, upper midpoint.", "Right eyebrow, upper midpoint.", "Left ear tragion.", "Right ear tragion.", "Left eye pupil.", "Right eye pupil.", "Forehead glabella.", "Chin gnathion.", "Chin left gonion.", "Chin right gonion.", "Left cheek center.", "Right cheek center." ] }, "position": { "description": "Face landmark position.", "$ref": "GoogleCloudVisionV1p2beta1Position" } }, "description": "A face-specific landmark (for example, a face feature).", "type": "object" }, "GoogleCloudVisionV1p2beta1InputConfig": { "properties": { "mimeType": { "type": "string", "description": "The type of the file. Currently only \"application/pdf\", \"image/tiff\" and \"image/gif\" are supported. Wildcards are not supported." }, "content": { "type": "string", "description": "File content, represented as a stream of bytes. Note: As with all `bytes` fields, protobuffers use a pure binary representation, whereas JSON representations use base64. Currently, this field only works for BatchAnnotateFiles requests. It does not work for AsyncBatchAnnotateFiles requests.", "format": "byte" }, "gcsSource": { "$ref": "GoogleCloudVisionV1p2beta1GcsSource", "description": "The Google Cloud Storage location to read the input from." } }, "type": "object", "id": "GoogleCloudVisionV1p2beta1InputConfig", "description": "The desired input location and metadata." }, "GoogleCloudVisionV1p1beta1AnnotateImageResponse": { "properties": { "safeSearchAnnotation": { "description": "If present, safe-search annotation has completed successfully.", "$ref": "GoogleCloudVisionV1p1beta1SafeSearchAnnotation" }, "fullTextAnnotation": { "description": "If present, text (OCR) detection or document (OCR) text detection has completed successfully. This annotation provides the structural hierarchy for the OCR detected text.", "$ref": "GoogleCloudVisionV1p1beta1TextAnnotation" }, "logoAnnotations": { "type": "array", "items": { "$ref": "GoogleCloudVisionV1p1beta1EntityAnnotation" }, "description": "If present, logo detection has completed successfully." }, "labelAnnotations": { "description": "If present, label detection has completed successfully.", "items": { "$ref": "GoogleCloudVisionV1p1beta1EntityAnnotation" }, "type": "array" }, "landmarkAnnotations": { "description": "If present, landmark detection has completed successfully.", "items": { "$ref": "GoogleCloudVisionV1p1beta1EntityAnnotation" }, "type": "array" }, "textAnnotations": { "type": "array", "items": { "$ref": "GoogleCloudVisionV1p1beta1EntityAnnotation" }, "description": "If present, text (OCR) detection has completed successfully." }, "imagePropertiesAnnotation": { "$ref": "GoogleCloudVisionV1p1beta1ImageProperties", "description": "If present, image properties were extracted successfully." }, "localizedObjectAnnotations": { "description": "If present, localized object detection has completed successfully. This will be sorted descending by confidence score.", "items": { "$ref": "GoogleCloudVisionV1p1beta1LocalizedObjectAnnotation" }, "type": "array" }, "context": { "$ref": "GoogleCloudVisionV1p1beta1ImageAnnotationContext", "description": "If present, contextual information is needed to understand where this image comes from." }, "cropHintsAnnotation": { "$ref": "GoogleCloudVisionV1p1beta1CropHintsAnnotation", "description": "If present, crop hints have completed successfully." }, "error": { "description": "If set, represents the error message for the operation. Note that filled-in image annotations are guaranteed to be correct, even when `error` is set.", "$ref": "Status" }, "webDetection": { "description": "If present, web detection has completed successfully.", "$ref": "GoogleCloudVisionV1p1beta1WebDetection" }, "productSearchResults": { "$ref": "GoogleCloudVisionV1p1beta1ProductSearchResults", "description": "If present, product search has completed successfully." }, "faceAnnotations": { "type": "array", "items": { "$ref": "GoogleCloudVisionV1p1beta1FaceAnnotation" }, "description": "If present, face detection has completed successfully." } }, "description": "Response to an image annotation request.", "id": "GoogleCloudVisionV1p1beta1AnnotateImageResponse", "type": "object" }, "GoogleCloudVisionV1p1beta1CropHintsAnnotation": { "description": "Set of crop hints that are used to generate new crops when serving images.", "properties": { "cropHints": { "type": "array", "description": "Crop hint results.", "items": { "$ref": "GoogleCloudVisionV1p1beta1CropHint" } } }, "type": "object", "id": "GoogleCloudVisionV1p1beta1CropHintsAnnotation" }, "GoogleCloudVisionV1p1beta1Page": { "id": "GoogleCloudVisionV1p1beta1Page", "description": "Detected page from OCR.", "properties": { "property": { "description": "Additional information detected on the page.", "$ref": "GoogleCloudVisionV1p1beta1TextAnnotationTextProperty" }, "blocks": { "items": { "$ref": "GoogleCloudVisionV1p1beta1Block" }, "type": "array", "description": "List of blocks of text, images etc on this page." }, "width": { "format": "int32", "description": "Page width. For PDFs the unit is points. For images (including TIFFs) the unit is pixels.", "type": "integer" }, "confidence": { "description": "Confidence of the OCR results on the page. Range [0, 1].", "format": "float", "type": "number" }, "height": { "type": "integer", "format": "int32", "description": "Page height. For PDFs the unit is points. For images (including TIFFs) the unit is pixels." } }, "type": "object" }, "GoogleCloudVisionV1p4beta1AnnotateFileResponse": { "type": "object", "id": "GoogleCloudVisionV1p4beta1AnnotateFileResponse", "description": "Response to a single file annotation request. A file may contain one or more images, which individually have their own responses.", "properties": { "responses": { "type": "array", "items": { "$ref": "GoogleCloudVisionV1p4beta1AnnotateImageResponse" }, "description": "Individual responses to images found within the file. This field will be empty if the `error` field is set." }, "error": { "description": "If set, represents the error message for the failed request. The `responses` field will not be set in this case.", "$ref": "Status" }, "inputConfig": { "$ref": "GoogleCloudVisionV1p4beta1InputConfig", "description": "Information about the file for which this response is generated." }, "totalPages": { "description": "This field gives the total number of pages in the file.", "type": "integer", "format": "int32" } } }, "GoogleCloudVisionV1p4beta1ImportProductSetsResponse": { "description": "Response message for the `ImportProductSets` method. This message is returned by the google.longrunning.Operations.GetOperation method in the returned google.longrunning.Operation.response field.", "id": "GoogleCloudVisionV1p4beta1ImportProductSetsResponse", "properties": { "statuses": { "type": "array", "description": "The rpc status for each ImportProductSet request, including both successes and errors. The number of statuses here matches the number of lines in the csv file, and statuses[i] stores the success or failure status of processing the i-th line of the csv, starting from line 0.", "items": { "$ref": "Status" } }, "referenceImages": { "items": { "$ref": "GoogleCloudVisionV1p4beta1ReferenceImage" }, "type": "array", "description": "The list of reference_images that are imported successfully." } }, "type": "object" }, "ImportProductSetsInputConfig": { "type": "object", "description": "The input content for the `ImportProductSets` method.", "id": "ImportProductSetsInputConfig", "properties": { "gcsSource": { "$ref": "ImportProductSetsGcsSource", "description": "The Google Cloud Storage location for a csv file which preserves a list of ImportProductSetRequests in each line." } } }, "GoogleCloudVisionV1p4beta1Word": { "id": "GoogleCloudVisionV1p4beta1Word", "description": "A word representation.", "properties": { "property": { "$ref": "GoogleCloudVisionV1p4beta1TextAnnotationTextProperty", "description": "Additional information detected for the word." }, "confidence": { "type": "number", "description": "Confidence of the OCR results for the word. Range [0, 1].", "format": "float" }, "boundingBox": { "$ref": "GoogleCloudVisionV1p4beta1BoundingPoly", "description": "The bounding box for the word. The vertices are in the order of top-left, top-right, bottom-right, bottom-left. When a rotation of the bounding box is detected the rotation is represented as around the top-left corner as defined when the text is read in the 'natural' orientation. For example: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh when the text is horizontal it might look like: 0----1 | | 3----2 LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh when it's rotated 180 degrees around the top-left corner it becomes: 2----3 | | 1----0 and the vertex order will still be (0, 1, 2, 3)." }, "symbols": { "items": { "$ref": "GoogleCloudVisionV1p4beta1Symbol" }, "description": "List of symbols in the word. The order of the symbols follows the natural reading order.", "type": "array" } }, "type": "object" }, "GoogleCloudVisionV1p2beta1ProductKeyValue": { "type": "object", "properties": { "value": { "description": "The value of the label attached to the product. Cannot be empty and cannot exceed 128 bytes.", "type": "string" }, "key": { "type": "string", "description": "The key of the label attached to the product. Cannot be empty and cannot exceed 128 bytes." } }, "description": "A product label represented as a key-value pair.", "id": "GoogleCloudVisionV1p2beta1ProductKeyValue" }, "DominantColorsAnnotation": { "type": "object", "id": "DominantColorsAnnotation", "description": "Set of dominant colors and their corresponding scores.", "properties": { "colors": { "description": "RGB color values with their score and pixel fraction.", "type": "array", "items": { "$ref": "ColorInfo" } } } }, "GoogleCloudVisionV1p2beta1ProductSearchResultsGroupedResult": { "id": "GoogleCloudVisionV1p2beta1ProductSearchResultsGroupedResult", "type": "object", "properties": { "boundingPoly": { "description": "The bounding polygon around the product detected in the query image.", "$ref": "GoogleCloudVisionV1p2beta1BoundingPoly" }, "objectAnnotations": { "items": { "$ref": "GoogleCloudVisionV1p2beta1ProductSearchResultsObjectAnnotation" }, "type": "array", "description": "List of generic predictions for the object in the bounding box." }, "results": { "type": "array", "items": { "$ref": "GoogleCloudVisionV1p2beta1ProductSearchResultsResult" }, "description": "List of results, one for each product match." } }, "description": "Information about the products similar to a single product in a query image." }, "Image": { "type": "object", "properties": { "source": { "$ref": "ImageSource", "description": "Google Cloud Storage image location, or publicly-accessible image URL. If both `content` and `source` are provided for an image, `content` takes precedence and is used to perform the image annotation request." }, "content": { "type": "string", "format": "byte", "description": "Image content, represented as a stream of bytes. Note: As with all `bytes` fields, protobuffers use a pure binary representation, whereas JSON representations use base64. Currently, this field only works for BatchAnnotateImages requests. It does not work for AsyncBatchAnnotateImages requests." } }, "description": "Client image to perform Google Cloud Vision API tasks over.", "id": "Image" }, "GoogleCloudVisionV1p3beta1WebDetectionWebEntity": { "properties": { "entityId": { "type": "string", "description": "Opaque entity ID." }, "description": { "description": "Canonical description of the entity, in English.", "type": "string" }, "score": { "format": "float", "description": "Overall relevancy score for the entity. Not normalized and not comparable across different image queries.", "type": "number" } }, "description": "Entity deduced from similar images on the Internet.", "id": "GoogleCloudVisionV1p3beta1WebDetectionWebEntity", "type": "object" }, "ImportProductSetsGcsSource": { "type": "object", "properties": { "csvFileUri": { "description": "The Google Cloud Storage URI of the input csv file. The URI must start with `gs://`. The format of the input csv file should be one image per line. In each line, there are 8 columns. 1. image-uri 2. image-id 3. product-set-id 4. product-id 5. product-category 6. product-display-name 7. labels 8. bounding-poly The `image-uri`, `product-set-id`, `product-id`, and `product-category` columns are required. All other columns are optional. If the `ProductSet` or `Product` specified by the `product-set-id` and `product-id` values does not exist, then the system will create a new `ProductSet` or `Product` for the image. In this case, the `product-display-name` column refers to display_name, the `product-category` column refers to product_category, and the `labels` column refers to product_labels. The `image-id` column is optional but must be unique if provided. If it is empty, the system will automatically assign a unique id to the image. The `product-display-name` column is optional. If it is empty, the system sets the display_name field for the product to a space (\" \"). You can update the `display_name` later by using the API. If a `Product` with the specified `product-id` already exists, then the system ignores the `product-display-name`, `product-category`, and `labels` columns. The `labels` column (optional) is a line containing a list of comma-separated key-value pairs, in the following format: \"key_1=value_1,key_2=value_2,...,key_n=value_n\" The `bounding-poly` column (optional) identifies one region of interest from the image in the same manner as `CreateReferenceImage`. If you do not specify the `bounding-poly` column, then the system will try to detect regions of interest automatically. At most one `bounding-poly` column is allowed per line. If the image contains multiple regions of interest, add a line to the CSV file that includes the same product information, and the `bounding-poly` values for each region of interest. The `bounding-poly` column must contain an even number of comma-separated numbers, in the format \"p1_x,p1_y,p2_x,p2_y,...,pn_x,pn_y\". Use non-negative integers for absolute bounding polygons, and float values in [0, 1] for normalized bounding polygons. The system will resize the image if the image resolution is too large to process (larger than 20MP).", "type": "string" } }, "id": "ImportProductSetsGcsSource", "description": "The Google Cloud Storage location for a csv file which preserves a list of ImportProductSetRequests in each line." }, "GoogleCloudVisionV1p2beta1CropHint": { "id": "GoogleCloudVisionV1p2beta1CropHint", "description": "Single crop hint that is used to generate a new crop when serving an image.", "properties": { "boundingPoly": { "description": "The bounding polygon for the crop region. The coordinates of the bounding box are in the original image's scale.", "$ref": "GoogleCloudVisionV1p2beta1BoundingPoly" }, "importanceFraction": { "format": "float", "description": "Fraction of importance of this salient region with respect to the original image.", "type": "number" }, "confidence": { "type": "number", "description": "Confidence of this being a salient region. Range [0, 1].", "format": "float" } }, "type": "object" }, "GoogleCloudVisionV1p3beta1ImageAnnotationContext": { "type": "object", "description": "If an image was produced from a file (e.g. a PDF), this message gives information about the source of that image.", "id": "GoogleCloudVisionV1p3beta1ImageAnnotationContext", "properties": { "uri": { "description": "The URI of the file used to produce the image.", "type": "string" }, "pageNumber": { "description": "If the file was a PDF or TIFF, this field gives the page number within the file used to produce the image.", "format": "int32", "type": "integer" } } }, "ListProductSetsResponse": { "type": "object", "description": "Response message for the `ListProductSets` method.", "id": "ListProductSetsResponse", "properties": { "productSets": { "description": "List of ProductSets.", "items": { "$ref": "ProductSet" }, "type": "array" }, "nextPageToken": { "description": "Token to retrieve the next page of results, or empty if there are no more results in the list.", "type": "string" } } }, "GoogleCloudVisionV1p4beta1Symbol": { "id": "GoogleCloudVisionV1p4beta1Symbol", "description": "A single symbol representation.", "type": "object", "properties": { "confidence": { "type": "number", "description": "Confidence of the OCR results for the symbol. Range [0, 1].", "format": "float" }, "boundingBox": { "description": "The bounding box for the symbol. The vertices are in the order of top-left, top-right, bottom-right, bottom-left. When a rotation of the bounding box is detected the rotation is represented as around the top-left corner as defined when the text is read in the 'natural' orientation. For example: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh when the text is horizontal it might look like: 0----1 | | 3----2 LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh when it's rotated 180 degrees around the top-left corner it becomes: 2----3 | | 1----0 and the vertex order will still be (0, 1, 2, 3).", "$ref": "GoogleCloudVisionV1p4beta1BoundingPoly" }, "text": { "type": "string", "description": "The actual UTF-8 representation of the symbol." }, "property": { "$ref": "GoogleCloudVisionV1p4beta1TextAnnotationTextProperty", "description": "Additional information detected for the symbol." } } }, "Feature": { "id": "Feature", "properties": { "model": { "description": "Model to use for the feature. Supported values: \"builtin/stable\" (the default if unset) and \"builtin/latest\".", "type": "string" }, "type": { "description": "The feature type.", "enum": [ "TYPE_UNSPECIFIED", "FACE_DETECTION", "LANDMARK_DETECTION", "LOGO_DETECTION", "LABEL_DETECTION", "TEXT_DETECTION", "DOCUMENT_TEXT_DETECTION", "SAFE_SEARCH_DETECTION", "IMAGE_PROPERTIES", "CROP_HINTS", "WEB_DETECTION", "PRODUCT_SEARCH", "OBJECT_LOCALIZATION" ], "enumDescriptions": [ "Unspecified feature type.", "Run face detection.", "Run landmark detection.", "Run logo detection.", "Run label detection.", "Run text detection / optical character recognition (OCR). Text detection is optimized for areas of text within a larger image; if the image is a document, use `DOCUMENT_TEXT_DETECTION` instead.", "Run dense text document OCR. Takes precedence when both `DOCUMENT_TEXT_DETECTION` and `TEXT_DETECTION` are present.", "Run Safe Search to detect potentially unsafe or undesirable content.", "Compute a set of image properties, such as the image's dominant colors.", "Run crop hints.", "Run web detection.", "Run Product Search.", "Run localizer for object detection." ], "type": "string" }, "maxResults": { "type": "integer", "format": "int32", "description": "Maximum number of results of this type. Does not apply to `TEXT_DETECTION`, `DOCUMENT_TEXT_DETECTION`, or `CROP_HINTS`." } }, "type": "object", "description": "The type of Google Cloud Vision API detection to perform, and the maximum number of results to return for that type. Multiple `Feature` objects can be specified in the `features` list." }, "GoogleCloudVisionV1p1beta1TextAnnotation": { "id": "GoogleCloudVisionV1p1beta1TextAnnotation", "description": "TextAnnotation contains a structured representation of OCR extracted text. The hierarchy of an OCR extracted text structure is like this: TextAnnotation -\u003e Page -\u003e Block -\u003e Paragraph -\u003e Word -\u003e Symbol Each structural component, starting from Page, may further have their own properties. Properties describe detected languages, breaks etc.. Please refer to the TextAnnotation.TextProperty message definition below for more detail.", "properties": { "text": { "type": "string", "description": "UTF-8 text detected on the pages." }, "pages": { "items": { "$ref": "GoogleCloudVisionV1p1beta1Page" }, "type": "array", "description": "List of pages detected by OCR." } }, "type": "object" }, "GoogleCloudVisionV1p2beta1WebDetectionWebPage": { "id": "GoogleCloudVisionV1p2beta1WebDetectionWebPage", "type": "object", "properties": { "url": { "type": "string", "description": "The result web page URL." }, "pageTitle": { "description": "Title for the web page, may contain HTML markups.", "type": "string" }, "score": { "description": "(Deprecated) Overall relevancy score for the web page.", "format": "float", "type": "number" }, "fullMatchingImages": { "description": "Fully matching images on the page. Can include resized copies of the query image.", "items": { "$ref": "GoogleCloudVisionV1p2beta1WebDetectionWebImage" }, "type": "array" }, "partialMatchingImages": { "items": { "$ref": "GoogleCloudVisionV1p2beta1WebDetectionWebImage" }, "description": "Partial matching images on the page. Those images are similar enough to share some key-point features. For example an original image will likely have partial matching for its crops.", "type": "array" } }, "description": "Metadata for web pages." }, "GoogleCloudVisionV1p1beta1InputConfig": { "description": "The desired input location and metadata.", "properties": { "content": { "format": "byte", "description": "File content, represented as a stream of bytes. Note: As with all `bytes` fields, protobuffers use a pure binary representation, whereas JSON representations use base64. Currently, this field only works for BatchAnnotateFiles requests. It does not work for AsyncBatchAnnotateFiles requests.", "type": "string" }, "gcsSource": { "description": "The Google Cloud Storage location to read the input from.", "$ref": "GoogleCloudVisionV1p1beta1GcsSource" }, "mimeType": { "type": "string", "description": "The type of the file. Currently only \"application/pdf\", \"image/tiff\" and \"image/gif\" are supported. Wildcards are not supported." } }, "type": "object", "id": "GoogleCloudVisionV1p1beta1InputConfig" }, "GoogleCloudVisionV1p3beta1ProductSearchResults": { "id": "GoogleCloudVisionV1p3beta1ProductSearchResults", "description": "Results for a product search request.", "type": "object", "properties": { "productGroupedResults": { "items": { "$ref": "GoogleCloudVisionV1p3beta1ProductSearchResultsGroupedResult" }, "type": "array", "description": "List of results grouped by products detected in the query image. Each entry corresponds to one bounding polygon in the query image, and contains the matching products specific to that region. There may be duplicate product matches in the union of all the per-product results." }, "indexTime": { "description": "Timestamp of the index which provided these results. Products added to the product set and products removed from the product set after this time are not reflected in the current results.", "format": "google-datetime", "type": "string" }, "results": { "items": { "$ref": "GoogleCloudVisionV1p3beta1ProductSearchResultsResult" }, "description": "List of results, one for each product match.", "type": "array" } } }, "GoogleCloudVisionV1p3beta1ProductKeyValue": { "description": "A product label represented as a key-value pair.", "properties": { "value": { "type": "string", "description": "The value of the label attached to the product. Cannot be empty and cannot exceed 128 bytes." }, "key": { "description": "The key of the label attached to the product. Cannot be empty and cannot exceed 128 bytes.", "type": "string" } }, "id": "GoogleCloudVisionV1p3beta1ProductKeyValue", "type": "object" }, "GoogleCloudVisionV1p2beta1TextAnnotationTextProperty": { "description": "Additional information detected on the structural component.", "type": "object", "properties": { "detectedLanguages": { "items": { "$ref": "GoogleCloudVisionV1p2beta1TextAnnotationDetectedLanguage" }, "type": "array", "description": "A list of detected languages together with confidence." }, "detectedBreak": { "$ref": "GoogleCloudVisionV1p2beta1TextAnnotationDetectedBreak", "description": "Detected start or end of a text segment." } }, "id": "GoogleCloudVisionV1p2beta1TextAnnotationTextProperty" }, "GoogleCloudVisionV1p2beta1NormalizedVertex": { "id": "GoogleCloudVisionV1p2beta1NormalizedVertex", "description": "A vertex represents a 2D point in the image. NOTE: the normalized vertex coordinates are relative to the original image and range from 0 to 1.", "properties": { "x": { "type": "number", "description": "X coordinate.", "format": "float" }, "y": { "format": "float", "description": "Y coordinate.", "type": "number" } }, "type": "object" }, "GoogleCloudVisionV1p2beta1AnnotateFileResponse": { "type": "object", "description": "Response to a single file annotation request. A file may contain one or more images, which individually have their own responses.", "id": "GoogleCloudVisionV1p2beta1AnnotateFileResponse", "properties": { "responses": { "items": { "$ref": "GoogleCloudVisionV1p2beta1AnnotateImageResponse" }, "type": "array", "description": "Individual responses to images found within the file. This field will be empty if the `error` field is set." }, "inputConfig": { "$ref": "GoogleCloudVisionV1p2beta1InputConfig", "description": "Information about the file for which this response is generated." }, "totalPages": { "description": "This field gives the total number of pages in the file.", "format": "int32", "type": "integer" }, "error": { "$ref": "Status", "description": "If set, represents the error message for the failed request. The `responses` field will not be set in this case." } } }, "GoogleCloudVisionV1p1beta1DominantColorsAnnotation": { "properties": { "colors": { "description": "RGB color values with their score and pixel fraction.", "items": { "$ref": "GoogleCloudVisionV1p1beta1ColorInfo" }, "type": "array" } }, "type": "object", "id": "GoogleCloudVisionV1p1beta1DominantColorsAnnotation", "description": "Set of dominant colors and their corresponding scores." }, "ImageSource": { "properties": { "gcsImageUri": { "type": "string", "description": "**Use `image_uri` instead.** The Google Cloud Storage URI of the form `gs://bucket_name/object_name`. Object versioning is not supported. See [Google Cloud Storage Request URIs](https://cloud.google.com/storage/docs/reference-uris) for more info." }, "imageUri": { "description": "The URI of the source image. Can be either: 1. A Google Cloud Storage URI of the form `gs://bucket_name/object_name`. Object versioning is not supported. See [Google Cloud Storage Request URIs](https://cloud.google.com/storage/docs/reference-uris) for more info. 2. A publicly-accessible image HTTP/HTTPS URL. When fetching images from HTTP/HTTPS URLs, Google cannot guarantee that the request will be completed. Your request may fail if the specified host denies the request (e.g. due to request throttling or DOS prevention), or if Google throttles requests to the site for abuse prevention. You should not depend on externally-hosted images for production applications. When both `gcs_image_uri` and `image_uri` are specified, `image_uri` takes precedence.", "type": "string" } }, "description": "External image source (Google Cloud Storage or web URL image location).", "type": "object", "id": "ImageSource" }, "RemoveProductFromProductSetRequest": { "properties": { "product": { "type": "string", "description": "Required. The resource name for the Product to be removed from this ProductSet. Format is: `projects/PROJECT_ID/locations/LOC_ID/products/PRODUCT_ID`" } }, "description": "Request message for the `RemoveProductFromProductSet` method.", "type": "object", "id": "RemoveProductFromProductSetRequest" }, "GoogleCloudVisionV1p3beta1FaceAnnotationLandmark": { "description": "A face-specific landmark (for example, a face feature).", "type": "object", "properties": { "position": { "$ref": "GoogleCloudVisionV1p3beta1Position", "description": "Face landmark position." }, "type": { "description": "Face landmark type.", "enum": [ "UNKNOWN_LANDMARK", "LEFT_EYE", "RIGHT_EYE", "LEFT_OF_LEFT_EYEBROW", "RIGHT_OF_LEFT_EYEBROW", "LEFT_OF_RIGHT_EYEBROW", "RIGHT_OF_RIGHT_EYEBROW", "MIDPOINT_BETWEEN_EYES", "NOSE_TIP", "UPPER_LIP", "LOWER_LIP", "MOUTH_LEFT", "MOUTH_RIGHT", "MOUTH_CENTER", "NOSE_BOTTOM_RIGHT", "NOSE_BOTTOM_LEFT", "NOSE_BOTTOM_CENTER", "LEFT_EYE_TOP_BOUNDARY", "LEFT_EYE_RIGHT_CORNER", "LEFT_EYE_BOTTOM_BOUNDARY", "LEFT_EYE_LEFT_CORNER", "RIGHT_EYE_TOP_BOUNDARY", "RIGHT_EYE_RIGHT_CORNER", "RIGHT_EYE_BOTTOM_BOUNDARY", "RIGHT_EYE_LEFT_CORNER", "LEFT_EYEBROW_UPPER_MIDPOINT", "RIGHT_EYEBROW_UPPER_MIDPOINT", "LEFT_EAR_TRAGION", "RIGHT_EAR_TRAGION", "LEFT_EYE_PUPIL", "RIGHT_EYE_PUPIL", "FOREHEAD_GLABELLA", "CHIN_GNATHION", "CHIN_LEFT_GONION", "CHIN_RIGHT_GONION", "LEFT_CHEEK_CENTER", "RIGHT_CHEEK_CENTER" ], "enumDescriptions": [ "Unknown face landmark detected. Should not be filled.", "Left eye.", "Right eye.", "Left of left eyebrow.", "Right of left eyebrow.", "Left of right eyebrow.", "Right of right eyebrow.", "Midpoint between eyes.", "Nose tip.", "Upper lip.", "Lower lip.", "Mouth left.", "Mouth right.", "Mouth center.", "Nose, bottom right.", "Nose, bottom left.", "Nose, bottom center.", "Left eye, top boundary.", "Left eye, right corner.", "Left eye, bottom boundary.", "Left eye, left corner.", "Right eye, top boundary.", "Right eye, right corner.", "Right eye, bottom boundary.", "Right eye, left corner.", "Left eyebrow, upper midpoint.", "Right eyebrow, upper midpoint.", "Left ear tragion.", "Right ear tragion.", "Left eye pupil.", "Right eye pupil.", "Forehead glabella.", "Chin gnathion.", "Chin left gonion.", "Chin right gonion.", "Left cheek center.", "Right cheek center." ], "type": "string" } }, "id": "GoogleCloudVisionV1p3beta1FaceAnnotationLandmark" }, "GoogleCloudVisionV1p1beta1ProductSearchResultsGroupedResult": { "type": "object", "description": "Information about the products similar to a single product in a query image.", "properties": { "boundingPoly": { "$ref": "GoogleCloudVisionV1p1beta1BoundingPoly", "description": "The bounding polygon around the product detected in the query image." }, "objectAnnotations": { "type": "array", "items": { "$ref": "GoogleCloudVisionV1p1beta1ProductSearchResultsObjectAnnotation" }, "description": "List of generic predictions for the object in the bounding box." }, "results": { "type": "array", "items": { "$ref": "GoogleCloudVisionV1p1beta1ProductSearchResultsResult" }, "description": "List of results, one for each product match." } }, "id": "GoogleCloudVisionV1p1beta1ProductSearchResultsGroupedResult" }, "GoogleCloudVisionV1p2beta1ProductSearchResultsObjectAnnotation": { "properties": { "score": { "type": "number", "description": "Score of the result. Range [0, 1].", "format": "float" }, "mid": { "description": "Object ID that should align with EntityAnnotation mid.", "type": "string" }, "languageCode": { "type": "string", "description": "The BCP-47 language code, such as \"en-US\" or \"sr-Latn\". For more information, see http://www.unicode.org/reports/tr35/#Unicode_locale_identifier." }, "name": { "description": "Object name, expressed in its `language_code` language.", "type": "string" } }, "description": "Prediction for what the object in the bounding box is.", "id": "GoogleCloudVisionV1p2beta1ProductSearchResultsObjectAnnotation", "type": "object" }, "GoogleCloudVisionV1p2beta1Page": { "id": "GoogleCloudVisionV1p2beta1Page", "description": "Detected page from OCR.", "type": "object", "properties": { "confidence": { "description": "Confidence of the OCR results on the page. Range [0, 1].", "format": "float", "type": "number" }, "width": { "description": "Page width. For PDFs the unit is points. For images (including TIFFs) the unit is pixels.", "type": "integer", "format": "int32" }, "height": { "type": "integer", "description": "Page height. For PDFs the unit is points. For images (including TIFFs) the unit is pixels.", "format": "int32" }, "blocks": { "type": "array", "description": "List of blocks of text, images etc on this page.", "items": { "$ref": "GoogleCloudVisionV1p2beta1Block" } }, "property": { "$ref": "GoogleCloudVisionV1p2beta1TextAnnotationTextProperty", "description": "Additional information detected on the page." } } }, "SafeSearchAnnotation": { "type": "object", "description": "Set of features pertaining to the image, computed by computer vision methods over safe-search verticals (for example, adult, spoof, medical, violence).", "properties": { "medical": { "description": "Likelihood that this is a medical image.", "enum": [ "UNKNOWN", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ], "enumDescriptions": [ "Unknown likelihood.", "It is very unlikely.", "It is unlikely.", "It is possible.", "It is likely.", "It is very likely." ], "type": "string" }, "spoof": { "description": "Spoof likelihood. The likelihood that an modification was made to the image's canonical version to make it appear funny or offensive.", "type": "string", "enum": [ "UNKNOWN", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ], "enumDescriptions": [ "Unknown likelihood.", "It is very unlikely.", "It is unlikely.", "It is possible.", "It is likely.", "It is very likely." ] }, "violence": { "enum": [ "UNKNOWN", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ], "enumDescriptions": [ "Unknown likelihood.", "It is very unlikely.", "It is unlikely.", "It is possible.", "It is likely.", "It is very likely." ], "description": "Likelihood that this image contains violent content.", "type": "string" }, "racy": { "enumDescriptions": [ "Unknown likelihood.", "It is very unlikely.", "It is unlikely.", "It is possible.", "It is likely.", "It is very likely." ], "type": "string", "description": "Likelihood that the request image contains racy content. Racy content may include (but is not limited to) skimpy or sheer clothing, strategically covered nudity, lewd or provocative poses, or close-ups of sensitive body areas.", "enum": [ "UNKNOWN", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ] }, "adult": { "type": "string", "enum": [ "UNKNOWN", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ], "description": "Represents the adult content likelihood for the image. Adult content may contain elements such as nudity, pornographic images or cartoons, or sexual activities.", "enumDescriptions": [ "Unknown likelihood.", "It is very unlikely.", "It is unlikely.", "It is possible.", "It is likely.", "It is very likely." ] } }, "id": "SafeSearchAnnotation" }, "GcsDestination": { "type": "object", "description": "The Google Cloud Storage location where the output will be written to.", "properties": { "uri": { "type": "string", "description": "Google Cloud Storage URI prefix where the results will be stored. Results will be in JSON format and preceded by its corresponding input URI prefix. This field can either represent a gcs file prefix or gcs directory. In either case, the uri should be unique because in order to get all of the output files, you will need to do a wildcard gcs search on the uri prefix you provide. Examples: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh File Prefix: gs://bucket-name/here/filenameprefix The output files will be created in gs://bucket-name/here/ and the names of the output files will begin with \"filenameprefix\". LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Directory Prefix: gs://bucket-name/some/location/ The output files will be created in gs://bucket-name/some/location/ and the names of the output files could be anything because there was no filename prefix specified. If multiple outputs, each response is still AnnotateFileResponse, each of which contains some subset of the full list of AnnotateImageResponse. Multiple outputs can happen if, for example, the output JSON is too large and overflows into multiple sharded files." } }, "id": "GcsDestination" }, "GoogleCloudVisionV1p3beta1InputConfig": { "type": "object", "properties": { "mimeType": { "type": "string", "description": "The type of the file. Currently only \"application/pdf\", \"image/tiff\" and \"image/gif\" are supported. Wildcards are not supported." }, "content": { "format": "byte", "type": "string", "description": "File content, represented as a stream of bytes. Note: As with all `bytes` fields, protobuffers use a pure binary representation, whereas JSON representations use base64. Currently, this field only works for BatchAnnotateFiles requests. It does not work for AsyncBatchAnnotateFiles requests." }, "gcsSource": { "description": "The Google Cloud Storage location to read the input from.", "$ref": "GoogleCloudVisionV1p3beta1GcsSource" } }, "id": "GoogleCloudVisionV1p3beta1InputConfig", "description": "The desired input location and metadata." }, "GoogleCloudVisionV1p2beta1TextAnnotationDetectedBreak": { "description": "Detected start or end of a structural component.", "type": "object", "id": "GoogleCloudVisionV1p2beta1TextAnnotationDetectedBreak", "properties": { "type": { "type": "string", "enumDescriptions": [ "Unknown break label type.", "Regular space.", "Sure space (very wide).", "Line-wrapping break.", "End-line hyphen that is not present in text; does not co-occur with `SPACE`, `LEADER_SPACE`, or `LINE_BREAK`.", "Line break that ends a paragraph." ], "description": "Detected break type.", "enum": [ "UNKNOWN", "SPACE", "SURE_SPACE", "EOL_SURE_SPACE", "HYPHEN", "LINE_BREAK" ] }, "isPrefix": { "description": "True if break prepends the element.", "type": "boolean" } } }, "GoogleCloudVisionV1p4beta1BoundingPoly": { "description": "A bounding polygon for the detected image annotation.", "id": "GoogleCloudVisionV1p4beta1BoundingPoly", "properties": { "vertices": { "description": "The bounding polygon vertices.", "items": { "$ref": "GoogleCloudVisionV1p4beta1Vertex" }, "type": "array" }, "normalizedVertices": { "items": { "$ref": "GoogleCloudVisionV1p4beta1NormalizedVertex" }, "type": "array", "description": "The bounding polygon normalized vertices." } }, "type": "object" }, "GoogleCloudVisionV1p4beta1CropHintsAnnotation": { "description": "Set of crop hints that are used to generate new crops when serving images.", "properties": { "cropHints": { "description": "Crop hint results.", "type": "array", "items": { "$ref": "GoogleCloudVisionV1p4beta1CropHint" } } }, "id": "GoogleCloudVisionV1p4beta1CropHintsAnnotation", "type": "object" }, "GoogleCloudVisionV1p3beta1OutputConfig": { "id": "GoogleCloudVisionV1p3beta1OutputConfig", "type": "object", "description": "The desired output location and metadata.", "properties": { "batchSize": { "type": "integer", "description": "The max number of response protos to put into each output JSON file on Google Cloud Storage. The valid range is [1, 100]. If not specified, the default value is 20. For example, for one pdf file with 100 pages, 100 response protos will be generated. If `batch_size` = 20, then 5 json files each containing 20 response protos will be written under the prefix `gcs_destination`.`uri`. Currently, batch_size only applies to GcsDestination, with potential future support for other output configurations.", "format": "int32" }, "gcsDestination": { "$ref": "GoogleCloudVisionV1p3beta1GcsDestination", "description": "The Google Cloud Storage location to write the output(s) to." } } }, "ObjectAnnotation": { "properties": { "languageCode": { "description": "The BCP-47 language code, such as \"en-US\" or \"sr-Latn\". For more information, see http://www.unicode.org/reports/tr35/#Unicode_locale_identifier.", "type": "string" }, "name": { "type": "string", "description": "Object name, expressed in its `language_code` language." }, "mid": { "type": "string", "description": "Object ID that should align with EntityAnnotation mid." }, "score": { "type": "number", "description": "Score of the result. Range [0, 1].", "format": "float" } }, "id": "ObjectAnnotation", "description": "Prediction for what the object in the bounding box is.", "type": "object" }, "KeyValue": { "description": "A product label represented as a key-value pair.", "type": "object", "properties": { "value": { "type": "string", "description": "The value of the label attached to the product. Cannot be empty and cannot exceed 128 bytes." }, "key": { "type": "string", "description": "The key of the label attached to the product. Cannot be empty and cannot exceed 128 bytes." } }, "id": "KeyValue" }, "GoogleCloudVisionV1p1beta1LocationInfo": { "type": "object", "properties": { "latLng": { "description": "lat/long location coordinates.", "$ref": "LatLng" } }, "id": "GoogleCloudVisionV1p1beta1LocationInfo", "description": "Detected entity location information." }, "GoogleCloudVisionV1p4beta1FaceAnnotationLandmark": { "id": "GoogleCloudVisionV1p4beta1FaceAnnotationLandmark", "type": "object", "properties": { "type": { "enumDescriptions": [ "Unknown face landmark detected. Should not be filled.", "Left eye.", "Right eye.", "Left of left eyebrow.", "Right of left eyebrow.", "Left of right eyebrow.", "Right of right eyebrow.", "Midpoint between eyes.", "Nose tip.", "Upper lip.", "Lower lip.", "Mouth left.", "Mouth right.", "Mouth center.", "Nose, bottom right.", "Nose, bottom left.", "Nose, bottom center.", "Left eye, top boundary.", "Left eye, right corner.", "Left eye, bottom boundary.", "Left eye, left corner.", "Right eye, top boundary.", "Right eye, right corner.", "Right eye, bottom boundary.", "Right eye, left corner.", "Left eyebrow, upper midpoint.", "Right eyebrow, upper midpoint.", "Left ear tragion.", "Right ear tragion.", "Left eye pupil.", "Right eye pupil.", "Forehead glabella.", "Chin gnathion.", "Chin left gonion.", "Chin right gonion.", "Left cheek center.", "Right cheek center." ], "type": "string", "description": "Face landmark type.", "enum": [ "UNKNOWN_LANDMARK", "LEFT_EYE", "RIGHT_EYE", "LEFT_OF_LEFT_EYEBROW", "RIGHT_OF_LEFT_EYEBROW", "LEFT_OF_RIGHT_EYEBROW", "RIGHT_OF_RIGHT_EYEBROW", "MIDPOINT_BETWEEN_EYES", "NOSE_TIP", "UPPER_LIP", "LOWER_LIP", "MOUTH_LEFT", "MOUTH_RIGHT", "MOUTH_CENTER", "NOSE_BOTTOM_RIGHT", "NOSE_BOTTOM_LEFT", "NOSE_BOTTOM_CENTER", "LEFT_EYE_TOP_BOUNDARY", "LEFT_EYE_RIGHT_CORNER", "LEFT_EYE_BOTTOM_BOUNDARY", "LEFT_EYE_LEFT_CORNER", "RIGHT_EYE_TOP_BOUNDARY", "RIGHT_EYE_RIGHT_CORNER", "RIGHT_EYE_BOTTOM_BOUNDARY", "RIGHT_EYE_LEFT_CORNER", "LEFT_EYEBROW_UPPER_MIDPOINT", "RIGHT_EYEBROW_UPPER_MIDPOINT", "LEFT_EAR_TRAGION", "RIGHT_EAR_TRAGION", "LEFT_EYE_PUPIL", "RIGHT_EYE_PUPIL", "FOREHEAD_GLABELLA", "CHIN_GNATHION", "CHIN_LEFT_GONION", "CHIN_RIGHT_GONION", "LEFT_CHEEK_CENTER", "RIGHT_CHEEK_CENTER" ] }, "position": { "$ref": "GoogleCloudVisionV1p4beta1Position", "description": "Face landmark position." } }, "description": "A face-specific landmark (for example, a face feature)." }, "GoogleCloudVisionV1p2beta1Vertex": { "description": "A vertex represents a 2D point in the image. NOTE: the vertex coordinates are in the same scale as the original image.", "properties": { "x": { "type": "integer", "format": "int32", "description": "X coordinate." }, "y": { "description": "Y coordinate.", "type": "integer", "format": "int32" } }, "type": "object", "id": "GoogleCloudVisionV1p2beta1Vertex" }, "GoogleCloudVisionV1p2beta1LocalizedObjectAnnotation": { "properties": { "score": { "type": "number", "format": "float", "description": "Score of the result. Range [0, 1]." }, "mid": { "description": "Object ID that should align with EntityAnnotation mid.", "type": "string" }, "languageCode": { "description": "The BCP-47 language code, such as \"en-US\" or \"sr-Latn\". For more information, see http://www.unicode.org/reports/tr35/#Unicode_locale_identifier.", "type": "string" }, "boundingPoly": { "description": "Image region to which this object belongs. This must be populated.", "$ref": "GoogleCloudVisionV1p2beta1BoundingPoly" }, "name": { "type": "string", "description": "Object name, expressed in its `language_code` language." } }, "description": "Set of detected objects with bounding boxes.", "type": "object", "id": "GoogleCloudVisionV1p2beta1LocalizedObjectAnnotation" }, "GoogleCloudVisionV1p2beta1Position": { "description": "A 3D position in the image, used primarily for Face detection landmarks. A valid Position must have both x and y coordinates. The position coordinates are in the same scale as the original image.", "type": "object", "id": "GoogleCloudVisionV1p2beta1Position", "properties": { "y": { "description": "Y coordinate.", "format": "float", "type": "number" }, "x": { "format": "float", "type": "number", "description": "X coordinate." }, "z": { "type": "number", "description": "Z coordinate (or depth).", "format": "float" } } }, "Landmark": { "properties": { "type": { "enumDescriptions": [ "Unknown face landmark detected. Should not be filled.", "Left eye.", "Right eye.", "Left of left eyebrow.", "Right of left eyebrow.", "Left of right eyebrow.", "Right of right eyebrow.", "Midpoint between eyes.", "Nose tip.", "Upper lip.", "Lower lip.", "Mouth left.", "Mouth right.", "Mouth center.", "Nose, bottom right.", "Nose, bottom left.", "Nose, bottom center.", "Left eye, top boundary.", "Left eye, right corner.", "Left eye, bottom boundary.", "Left eye, left corner.", "Right eye, top boundary.", "Right eye, right corner.", "Right eye, bottom boundary.", "Right eye, left corner.", "Left eyebrow, upper midpoint.", "Right eyebrow, upper midpoint.", "Left ear tragion.", "Right ear tragion.", "Left eye pupil.", "Right eye pupil.", "Forehead glabella.", "Chin gnathion.", "Chin left gonion.", "Chin right gonion.", "Left cheek center.", "Right cheek center." ], "description": "Face landmark type.", "enum": [ "UNKNOWN_LANDMARK", "LEFT_EYE", "RIGHT_EYE", "LEFT_OF_LEFT_EYEBROW", "RIGHT_OF_LEFT_EYEBROW", "LEFT_OF_RIGHT_EYEBROW", "RIGHT_OF_RIGHT_EYEBROW", "MIDPOINT_BETWEEN_EYES", "NOSE_TIP", "UPPER_LIP", "LOWER_LIP", "MOUTH_LEFT", "MOUTH_RIGHT", "MOUTH_CENTER", "NOSE_BOTTOM_RIGHT", "NOSE_BOTTOM_LEFT", "NOSE_BOTTOM_CENTER", "LEFT_EYE_TOP_BOUNDARY", "LEFT_EYE_RIGHT_CORNER", "LEFT_EYE_BOTTOM_BOUNDARY", "LEFT_EYE_LEFT_CORNER", "RIGHT_EYE_TOP_BOUNDARY", "RIGHT_EYE_RIGHT_CORNER", "RIGHT_EYE_BOTTOM_BOUNDARY", "RIGHT_EYE_LEFT_CORNER", "LEFT_EYEBROW_UPPER_MIDPOINT", "RIGHT_EYEBROW_UPPER_MIDPOINT", "LEFT_EAR_TRAGION", "RIGHT_EAR_TRAGION", "LEFT_EYE_PUPIL", "RIGHT_EYE_PUPIL", "FOREHEAD_GLABELLA", "CHIN_GNATHION", "CHIN_LEFT_GONION", "CHIN_RIGHT_GONION", "LEFT_CHEEK_CENTER", "RIGHT_CHEEK_CENTER" ], "type": "string" }, "position": { "$ref": "Position", "description": "Face landmark position." } }, "description": "A face-specific landmark (for example, a face feature).", "type": "object", "id": "Landmark" }, "GoogleCloudVisionV1p3beta1TextAnnotation": { "properties": { "pages": { "type": "array", "items": { "$ref": "GoogleCloudVisionV1p3beta1Page" }, "description": "List of pages detected by OCR." }, "text": { "type": "string", "description": "UTF-8 text detected on the pages." } }, "description": "TextAnnotation contains a structured representation of OCR extracted text. The hierarchy of an OCR extracted text structure is like this: TextAnnotation -\u003e Page -\u003e Block -\u003e Paragraph -\u003e Word -\u003e Symbol Each structural component, starting from Page, may further have their own properties. Properties describe detected languages, breaks etc.. Please refer to the TextAnnotation.TextProperty message definition below for more detail.", "type": "object", "id": "GoogleCloudVisionV1p3beta1TextAnnotation" }, "GoogleCloudVisionV1p1beta1TextAnnotationDetectedLanguage": { "type": "object", "description": "Detected language for a structural component.", "id": "GoogleCloudVisionV1p1beta1TextAnnotationDetectedLanguage", "properties": { "languageCode": { "type": "string", "description": "The BCP-47 language code, such as \"en-US\" or \"sr-Latn\". For more information, see http://www.unicode.org/reports/tr35/#Unicode_locale_identifier." }, "confidence": { "description": "Confidence of detected language. Range [0, 1].", "type": "number", "format": "float" } } }, "GoogleCloudVisionV1p1beta1Position": { "id": "GoogleCloudVisionV1p1beta1Position", "type": "object", "description": "A 3D position in the image, used primarily for Face detection landmarks. A valid Position must have both x and y coordinates. The position coordinates are in the same scale as the original image.", "properties": { "x": { "description": "X coordinate.", "format": "float", "type": "number" }, "y": { "description": "Y coordinate.", "format": "float", "type": "number" }, "z": { "type": "number", "format": "float", "description": "Z coordinate (or depth)." } } }, "GoogleCloudVisionV1p3beta1GcsSource": { "type": "object", "properties": { "uri": { "type": "string", "description": "Google Cloud Storage URI for the input file. This must only be a Google Cloud Storage object. Wildcards are not currently supported." } }, "description": "The Google Cloud Storage location where the input will be read from.", "id": "GoogleCloudVisionV1p3beta1GcsSource" }, "GoogleCloudVisionV1p3beta1Page": { "properties": { "blocks": { "description": "List of blocks of text, images etc on this page.", "items": { "$ref": "GoogleCloudVisionV1p3beta1Block" }, "type": "array" }, "height": { "description": "Page height. For PDFs the unit is points. For images (including TIFFs) the unit is pixels.", "type": "integer", "format": "int32" }, "confidence": { "description": "Confidence of the OCR results on the page. Range [0, 1].", "format": "float", "type": "number" }, "width": { "description": "Page width. For PDFs the unit is points. For images (including TIFFs) the unit is pixels.", "type": "integer", "format": "int32" }, "property": { "description": "Additional information detected on the page.", "$ref": "GoogleCloudVisionV1p3beta1TextAnnotationTextProperty" } }, "id": "GoogleCloudVisionV1p3beta1Page", "type": "object", "description": "Detected page from OCR." }, "GoogleCloudVisionV1p3beta1CropHintsAnnotation": { "id": "GoogleCloudVisionV1p3beta1CropHintsAnnotation", "properties": { "cropHints": { "type": "array", "items": { "$ref": "GoogleCloudVisionV1p3beta1CropHint" }, "description": "Crop hint results." } }, "type": "object", "description": "Set of crop hints that are used to generate new crops when serving images." }, "GoogleCloudVisionV1p3beta1LocalizedObjectAnnotation": { "type": "object", "description": "Set of detected objects with bounding boxes.", "properties": { "name": { "description": "Object name, expressed in its `language_code` language.", "type": "string" }, "languageCode": { "description": "The BCP-47 language code, such as \"en-US\" or \"sr-Latn\". For more information, see http://www.unicode.org/reports/tr35/#Unicode_locale_identifier.", "type": "string" }, "mid": { "type": "string", "description": "Object ID that should align with EntityAnnotation mid." }, "score": { "format": "float", "type": "number", "description": "Score of the result. Range [0, 1]." }, "boundingPoly": { "description": "Image region to which this object belongs. This must be populated.", "$ref": "GoogleCloudVisionV1p3beta1BoundingPoly" } }, "id": "GoogleCloudVisionV1p3beta1LocalizedObjectAnnotation" }, "AnnotateImageResponse": { "description": "Response to an image annotation request.", "id": "AnnotateImageResponse", "properties": { "fullTextAnnotation": { "description": "If present, text (OCR) detection or document (OCR) text detection has completed successfully. This annotation provides the structural hierarchy for the OCR detected text.", "$ref": "TextAnnotation" }, "webDetection": { "description": "If present, web detection has completed successfully.", "$ref": "WebDetection" }, "labelAnnotations": { "type": "array", "description": "If present, label detection has completed successfully.", "items": { "$ref": "EntityAnnotation" } }, "localizedObjectAnnotations": { "items": { "$ref": "LocalizedObjectAnnotation" }, "description": "If present, localized object detection has completed successfully. This will be sorted descending by confidence score.", "type": "array" }, "imagePropertiesAnnotation": { "$ref": "ImageProperties", "description": "If present, image properties were extracted successfully." }, "cropHintsAnnotation": { "description": "If present, crop hints have completed successfully.", "$ref": "CropHintsAnnotation" }, "faceAnnotations": { "description": "If present, face detection has completed successfully.", "items": { "$ref": "FaceAnnotation" }, "type": "array" }, "safeSearchAnnotation": { "description": "If present, safe-search annotation has completed successfully.", "$ref": "SafeSearchAnnotation" }, "productSearchResults": { "$ref": "ProductSearchResults", "description": "If present, product search has completed successfully." }, "textAnnotations": { "items": { "$ref": "EntityAnnotation" }, "description": "If present, text (OCR) detection has completed successfully.", "type": "array" }, "context": { "description": "If present, contextual information is needed to understand where this image comes from.", "$ref": "ImageAnnotationContext" }, "logoAnnotations": { "items": { "$ref": "EntityAnnotation" }, "type": "array", "description": "If present, logo detection has completed successfully." }, "landmarkAnnotations": { "items": { "$ref": "EntityAnnotation" }, "type": "array", "description": "If present, landmark detection has completed successfully." }, "error": { "description": "If set, represents the error message for the operation. Note that filled-in image annotations are guaranteed to be correct, even when `error` is set.", "$ref": "Status" } }, "type": "object" }, "BatchAnnotateImagesResponse": { "id": "BatchAnnotateImagesResponse", "type": "object", "description": "Response to a batch image annotation request.", "properties": { "responses": { "items": { "$ref": "AnnotateImageResponse" }, "type": "array", "description": "Individual responses to image annotation requests within the batch." } } }, "GroupedResult": { "description": "Information about the products similar to a single product in a query image.", "properties": { "boundingPoly": { "description": "The bounding polygon around the product detected in the query image.", "$ref": "BoundingPoly" }, "objectAnnotations": { "type": "array", "items": { "$ref": "ObjectAnnotation" }, "description": "List of generic predictions for the object in the bounding box." }, "results": { "description": "List of results, one for each product match.", "items": { "$ref": "Result" }, "type": "array" } }, "id": "GroupedResult", "type": "object" }, "GoogleCloudVisionV1p3beta1OperationMetadata": { "id": "GoogleCloudVisionV1p3beta1OperationMetadata", "type": "object", "properties": { "createTime": { "description": "The time when the batch request was received.", "type": "string", "format": "google-datetime" }, "state": { "type": "string", "enum": [ "STATE_UNSPECIFIED", "CREATED", "RUNNING", "DONE", "CANCELLED" ], "description": "Current state of the batch operation.", "enumDescriptions": [ "Invalid.", "Request is received.", "Request is actively being processed.", "The batch processing is done.", "The batch processing was cancelled." ] }, "updateTime": { "description": "The time when the operation result was last updated.", "type": "string", "format": "google-datetime" } }, "description": "Contains metadata for the BatchAnnotateImages operation." }, "GoogleCloudVisionV1p4beta1AsyncBatchAnnotateImagesResponse": { "properties": { "outputConfig": { "$ref": "GoogleCloudVisionV1p4beta1OutputConfig", "description": "The output location and metadata from AsyncBatchAnnotateImagesRequest." } }, "type": "object", "description": "Response to an async batch image annotation request.", "id": "GoogleCloudVisionV1p4beta1AsyncBatchAnnotateImagesResponse" }, "GoogleCloudVisionV1p4beta1DominantColorsAnnotation": { "id": "GoogleCloudVisionV1p4beta1DominantColorsAnnotation", "type": "object", "description": "Set of dominant colors and their corresponding scores.", "properties": { "colors": { "description": "RGB color values with their score and pixel fraction.", "type": "array", "items": { "$ref": "GoogleCloudVisionV1p4beta1ColorInfo" } } } }, "GoogleCloudVisionV1p2beta1ProductSearchResults": { "description": "Results for a product search request.", "properties": { "results": { "items": { "$ref": "GoogleCloudVisionV1p2beta1ProductSearchResultsResult" }, "description": "List of results, one for each product match.", "type": "array" }, "indexTime": { "type": "string", "description": "Timestamp of the index which provided these results. Products added to the product set and products removed from the product set after this time are not reflected in the current results.", "format": "google-datetime" }, "productGroupedResults": { "items": { "$ref": "GoogleCloudVisionV1p2beta1ProductSearchResultsGroupedResult" }, "description": "List of results grouped by products detected in the query image. Each entry corresponds to one bounding polygon in the query image, and contains the matching products specific to that region. There may be duplicate product matches in the union of all the per-product results.", "type": "array" } }, "id": "GoogleCloudVisionV1p2beta1ProductSearchResults", "type": "object" }, "GoogleCloudVisionV1p2beta1Property": { "properties": { "name": { "type": "string", "description": "Name of the property." }, "uint64Value": { "type": "string", "format": "uint64", "description": "Value of numeric properties." }, "value": { "type": "string", "description": "Value of the property." } }, "type": "object", "description": "A `Property` consists of a user-supplied name/value pair.", "id": "GoogleCloudVisionV1p2beta1Property" }, "AsyncBatchAnnotateImagesRequest": { "description": "Request for async image annotation for a list of images.", "id": "AsyncBatchAnnotateImagesRequest", "properties": { "requests": { "description": "Required. Individual image annotation requests for this batch.", "type": "array", "items": { "$ref": "AnnotateImageRequest" } }, "outputConfig": { "$ref": "OutputConfig", "description": "Required. The desired output location and metadata (e.g. format)." }, "parent": { "description": "Optional. Target project and location to make a call. Format: `projects/{project-id}/locations/{location-id}`. If no parent is specified, a region will be chosen automatically. Supported location-ids: `us`: USA country only, `asia`: East asia areas, like Japan, Taiwan, `eu`: The European Union. Example: `projects/project-A/locations/eu`.", "type": "string" } }, "type": "object" }, "GoogleCloudVisionV1p1beta1AsyncBatchAnnotateFilesResponse": { "id": "GoogleCloudVisionV1p1beta1AsyncBatchAnnotateFilesResponse", "type": "object", "properties": { "responses": { "items": { "$ref": "GoogleCloudVisionV1p1beta1AsyncAnnotateFileResponse" }, "description": "The list of file annotation responses, one for each request in AsyncBatchAnnotateFilesRequest.", "type": "array" } }, "description": "Response to an async batch file annotation request." }, "AsyncAnnotateFileRequest": { "description": "An offline file annotation request.", "type": "object", "properties": { "inputConfig": { "description": "Required. Information about the input file.", "$ref": "InputConfig" }, "imageContext": { "$ref": "ImageContext", "description": "Additional context that may accompany the image(s) in the file." }, "outputConfig": { "description": "Required. The desired output location and metadata (e.g. format).", "$ref": "OutputConfig" }, "features": { "description": "Required. Requested features.", "items": { "$ref": "Feature" }, "type": "array" } }, "id": "AsyncAnnotateFileRequest" }, "ImageAnnotationContext": { "type": "object", "description": "If an image was produced from a file (e.g. a PDF), this message gives information about the source of that image.", "id": "ImageAnnotationContext", "properties": { "pageNumber": { "type": "integer", "format": "int32", "description": "If the file was a PDF or TIFF, this field gives the page number within the file used to produce the image." }, "uri": { "description": "The URI of the file used to produce the image.", "type": "string" } } }, "LatLongRect": { "type": "object", "description": "Rectangle determined by min and max `LatLng` pairs.", "id": "LatLongRect", "properties": { "minLatLng": { "description": "Min lat/long pair.", "$ref": "LatLng" }, "maxLatLng": { "$ref": "LatLng", "description": "Max lat/long pair." } } }, "DetectedBreak": { "type": "object", "description": "Detected start or end of a structural component.", "properties": { "isPrefix": { "description": "True if break prepends the element.", "type": "boolean" }, "type": { "enumDescriptions": [ "Unknown break label type.", "Regular space.", "Sure space (very wide).", "Line-wrapping break.", "End-line hyphen that is not present in text; does not co-occur with `SPACE`, `LEADER_SPACE`, or `LINE_BREAK`.", "Line break that ends a paragraph." ], "enum": [ "UNKNOWN", "SPACE", "SURE_SPACE", "EOL_SURE_SPACE", "HYPHEN", "LINE_BREAK" ], "type": "string", "description": "Detected break type." } }, "id": "DetectedBreak" }, "GoogleCloudVisionV1p3beta1Position": { "id": "GoogleCloudVisionV1p3beta1Position", "type": "object", "properties": { "z": { "type": "number", "format": "float", "description": "Z coordinate (or depth)." }, "x": { "description": "X coordinate.", "type": "number", "format": "float" }, "y": { "description": "Y coordinate.", "type": "number", "format": "float" } }, "description": "A 3D position in the image, used primarily for Face detection landmarks. A valid Position must have both x and y coordinates. The position coordinates are in the same scale as the original image." }, "AnnotateImageRequest": { "properties": { "image": { "$ref": "Image", "description": "The image to be processed." }, "features": { "type": "array", "items": { "$ref": "Feature" }, "description": "Requested features." }, "imageContext": { "$ref": "ImageContext", "description": "Additional context that may accompany the image." } }, "id": "AnnotateImageRequest", "description": "Request for performing Google Cloud Vision API tasks over a user-provided image, with user-requested features, and with context information.", "type": "object" }, "Word": { "type": "object", "description": "A word representation.", "id": "Word", "properties": { "boundingBox": { "$ref": "BoundingPoly", "description": "The bounding box for the word. The vertices are in the order of top-left, top-right, bottom-right, bottom-left. When a rotation of the bounding box is detected the rotation is represented as around the top-left corner as defined when the text is read in the 'natural' orientation. For example: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh when the text is horizontal it might look like: 0----1 | | 3----2 LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh when it's rotated 180 degrees around the top-left corner it becomes: 2----3 | | 1----0 and the vertex order will still be (0, 1, 2, 3)." }, "property": { "$ref": "TextProperty", "description": "Additional information detected for the word." }, "symbols": { "description": "List of symbols in the word. The order of the symbols follows the natural reading order.", "items": { "$ref": "Symbol" }, "type": "array" }, "confidence": { "type": "number", "format": "float", "description": "Confidence of the OCR results for the word. Range [0, 1]." } } }, "GoogleCloudVisionV1p4beta1ReferenceImage": { "properties": { "name": { "description": "The resource name of the reference image. Format is: `projects/PROJECT_ID/locations/LOC_ID/products/PRODUCT_ID/referenceImages/IMAGE_ID`. This field is ignored when creating a reference image.", "type": "string" }, "uri": { "type": "string", "description": "Required. The Google Cloud Storage URI of the reference image. The URI must start with `gs://`." }, "boundingPolys": { "description": "Optional. Bounding polygons around the areas of interest in the reference image. If this field is empty, the system will try to detect regions of interest. At most 10 bounding polygons will be used. The provided shape is converted into a non-rotated rectangle. Once converted, the small edge of the rectangle must be greater than or equal to 300 pixels. The aspect ratio must be 1:4 or less (i.e. 1:3 is ok; 1:5 is not).", "type": "array", "items": { "$ref": "GoogleCloudVisionV1p4beta1BoundingPoly" } } }, "description": "A `ReferenceImage` represents a product image and its associated metadata, such as bounding boxes.", "id": "GoogleCloudVisionV1p4beta1ReferenceImage", "type": "object" }, "AsyncBatchAnnotateFilesResponse": { "id": "AsyncBatchAnnotateFilesResponse", "properties": { "responses": { "type": "array", "description": "The list of file annotation responses, one for each request in AsyncBatchAnnotateFilesRequest.", "items": { "$ref": "AsyncAnnotateFileResponse" } } }, "type": "object", "description": "Response to an async batch file annotation request." }, "ReferenceImage": { "properties": { "boundingPolys": { "items": { "$ref": "BoundingPoly" }, "type": "array", "description": "Optional. Bounding polygons around the areas of interest in the reference image. If this field is empty, the system will try to detect regions of interest. At most 10 bounding polygons will be used. The provided shape is converted into a non-rotated rectangle. Once converted, the small edge of the rectangle must be greater than or equal to 300 pixels. The aspect ratio must be 1:4 or less (i.e. 1:3 is ok; 1:5 is not)." }, "name": { "description": "The resource name of the reference image. Format is: `projects/PROJECT_ID/locations/LOC_ID/products/PRODUCT_ID/referenceImages/IMAGE_ID`. This field is ignored when creating a reference image.", "type": "string" }, "uri": { "type": "string", "description": "Required. The Google Cloud Storage URI of the reference image. The URI must start with `gs://`." } }, "type": "object", "id": "ReferenceImage", "description": "A `ReferenceImage` represents a product image and its associated metadata, such as bounding boxes." }, "Paragraph": { "description": "Structural unit of text representing a number of words in certain order.", "id": "Paragraph", "properties": { "boundingBox": { "$ref": "BoundingPoly", "description": "The bounding box for the paragraph. The vertices are in the order of top-left, top-right, bottom-right, bottom-left. When a rotation of the bounding box is detected the rotation is represented as around the top-left corner as defined when the text is read in the 'natural' orientation. For example: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh when the text is horizontal it might look like: 0----1 | | 3----2 LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh when it's rotated 180 degrees around the top-left corner it becomes: 2----3 | | 1----0 and the vertex order will still be (0, 1, 2, 3)." }, "confidence": { "type": "number", "format": "float", "description": "Confidence of the OCR results for the paragraph. Range [0, 1]." }, "words": { "description": "List of all words in this paragraph.", "type": "array", "items": { "$ref": "Word" } }, "property": { "description": "Additional information detected for the paragraph.", "$ref": "TextProperty" } }, "type": "object" }, "GoogleCloudVisionV1p1beta1TextAnnotationTextProperty": { "id": "GoogleCloudVisionV1p1beta1TextAnnotationTextProperty", "properties": { "detectedLanguages": { "type": "array", "items": { "$ref": "GoogleCloudVisionV1p1beta1TextAnnotationDetectedLanguage" }, "description": "A list of detected languages together with confidence." }, "detectedBreak": { "description": "Detected start or end of a text segment.", "$ref": "GoogleCloudVisionV1p1beta1TextAnnotationDetectedBreak" } }, "type": "object", "description": "Additional information detected on the structural component." }, "NormalizedVertex": { "type": "object", "properties": { "x": { "description": "X coordinate.", "type": "number", "format": "float" }, "y": { "type": "number", "format": "float", "description": "Y coordinate." } }, "id": "NormalizedVertex", "description": "A vertex represents a 2D point in the image. NOTE: the normalized vertex coordinates are relative to the original image and range from 0 to 1." }, "WebEntity": { "type": "object", "description": "Entity deduced from similar images on the Internet.", "id": "WebEntity", "properties": { "description": { "type": "string", "description": "Canonical description of the entity, in English." }, "entityId": { "type": "string", "description": "Opaque entity ID." }, "score": { "format": "float", "type": "number", "description": "Overall relevancy score for the entity. Not normalized and not comparable across different image queries." } } }, "GoogleCloudVisionV1p2beta1SafeSearchAnnotation": { "properties": { "violence": { "enum": [ "UNKNOWN", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ], "description": "Likelihood that this image contains violent content.", "enumDescriptions": [ "Unknown likelihood.", "It is very unlikely.", "It is unlikely.", "It is possible.", "It is likely.", "It is very likely." ], "type": "string" }, "adult": { "type": "string", "description": "Represents the adult content likelihood for the image. Adult content may contain elements such as nudity, pornographic images or cartoons, or sexual activities.", "enum": [ "UNKNOWN", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ], "enumDescriptions": [ "Unknown likelihood.", "It is very unlikely.", "It is unlikely.", "It is possible.", "It is likely.", "It is very likely." ] }, "spoof": { "enumDescriptions": [ "Unknown likelihood.", "It is very unlikely.", "It is unlikely.", "It is possible.", "It is likely.", "It is very likely." ], "enum": [ "UNKNOWN", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ], "description": "Spoof likelihood. The likelihood that an modification was made to the image's canonical version to make it appear funny or offensive.", "type": "string" }, "racy": { "enumDescriptions": [ "Unknown likelihood.", "It is very unlikely.", "It is unlikely.", "It is possible.", "It is likely.", "It is very likely." ], "type": "string", "enum": [ "UNKNOWN", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ], "description": "Likelihood that the request image contains racy content. Racy content may include (but is not limited to) skimpy or sheer clothing, strategically covered nudity, lewd or provocative poses, or close-ups of sensitive body areas." }, "medical": { "enum": [ "UNKNOWN", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ], "description": "Likelihood that this is a medical image.", "type": "string", "enumDescriptions": [ "Unknown likelihood.", "It is very unlikely.", "It is unlikely.", "It is possible.", "It is likely.", "It is very likely." ] } }, "type": "object", "id": "GoogleCloudVisionV1p2beta1SafeSearchAnnotation", "description": "Set of features pertaining to the image, computed by computer vision methods over safe-search verticals (for example, adult, spoof, medical, violence)." }, "PurgeProductsRequest": { "properties": { "deleteOrphanProducts": { "type": "boolean", "description": "If delete_orphan_products is true, all Products that are not in any ProductSet will be deleted." }, "force": { "type": "boolean", "description": "The default value is false. Override this value to true to actually perform the purge." }, "productSetPurgeConfig": { "description": "Specify which ProductSet contains the Products to be deleted.", "$ref": "ProductSetPurgeConfig" } }, "description": "Request message for the `PurgeProducts` method.", "type": "object", "id": "PurgeProductsRequest" }, "GoogleCloudVisionV1p1beta1WebDetectionWebLabel": { "properties": { "label": { "type": "string", "description": "Label for extra metadata." }, "languageCode": { "type": "string", "description": "The BCP-47 language code for `label`, such as \"en-US\" or \"sr-Latn\". For more information, see http://www.unicode.org/reports/tr35/#Unicode_locale_identifier." } }, "id": "GoogleCloudVisionV1p1beta1WebDetectionWebLabel", "description": "Label to provide extra metadata for the web detection.", "type": "object" }, "GoogleCloudVisionV1p3beta1Block": { "properties": { "paragraphs": { "description": "List of paragraphs in this block (if this blocks is of type text).", "type": "array", "items": { "$ref": "GoogleCloudVisionV1p3beta1Paragraph" } }, "confidence": { "type": "number", "format": "float", "description": "Confidence of the OCR results on the block. Range [0, 1]." }, "boundingBox": { "description": "The bounding box for the block. The vertices are in the order of top-left, top-right, bottom-right, bottom-left. When a rotation of the bounding box is detected the rotation is represented as around the top-left corner as defined when the text is read in the 'natural' orientation. For example: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh when the text is horizontal it might look like: 0----1 | | 3----2 LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh when it's rotated 180 degrees around the top-left corner it becomes: 2----3 | | 1----0 and the vertex order will still be (0, 1, 2, 3).", "$ref": "GoogleCloudVisionV1p3beta1BoundingPoly" }, "blockType": { "enum": [ "UNKNOWN", "TEXT", "TABLE", "PICTURE", "RULER", "BARCODE" ], "enumDescriptions": [ "Unknown block type.", "Regular text block.", "Table block.", "Image block.", "Horizontal/vertical line box.", "Barcode block." ], "type": "string", "description": "Detected block type (text, image etc) for this block." }, "property": { "description": "Additional information detected for the block.", "$ref": "GoogleCloudVisionV1p3beta1TextAnnotationTextProperty" } }, "type": "object", "description": "Logical element on the page.", "id": "GoogleCloudVisionV1p3beta1Block" }, "ListReferenceImagesResponse": { "id": "ListReferenceImagesResponse", "type": "object", "properties": { "pageSize": { "description": "The maximum number of items to return. Default 10, maximum 100.", "type": "integer", "format": "int32" }, "nextPageToken": { "description": "The next_page_token returned from a previous List request, if any.", "type": "string" }, "referenceImages": { "type": "array", "description": "The list of reference images.", "items": { "$ref": "ReferenceImage" } } }, "description": "Response message for the `ListReferenceImages` method." }, "GoogleCloudVisionV1p4beta1WebDetectionWebImage": { "description": "Metadata for online images.", "properties": { "url": { "description": "The result image URL.", "type": "string" }, "score": { "description": "(Deprecated) Overall relevancy score for the image.", "format": "float", "type": "number" } }, "id": "GoogleCloudVisionV1p4beta1WebDetectionWebImage", "type": "object" }, "GoogleCloudVisionV1p4beta1BatchAnnotateFilesResponse": { "type": "object", "id": "GoogleCloudVisionV1p4beta1BatchAnnotateFilesResponse", "properties": { "responses": { "type": "array", "items": { "$ref": "GoogleCloudVisionV1p4beta1AnnotateFileResponse" }, "description": "The list of file annotation responses, each response corresponding to each AnnotateFileRequest in BatchAnnotateFilesRequest." } }, "description": "A list of file annotation responses." }, "GoogleCloudVisionV1p1beta1WebDetectionWebPage": { "type": "object", "properties": { "url": { "type": "string", "description": "The result web page URL." }, "partialMatchingImages": { "type": "array", "description": "Partial matching images on the page. Those images are similar enough to share some key-point features. For example an original image will likely have partial matching for its crops.", "items": { "$ref": "GoogleCloudVisionV1p1beta1WebDetectionWebImage" } }, "fullMatchingImages": { "items": { "$ref": "GoogleCloudVisionV1p1beta1WebDetectionWebImage" }, "type": "array", "description": "Fully matching images on the page. Can include resized copies of the query image." }, "pageTitle": { "description": "Title for the web page, may contain HTML markups.", "type": "string" }, "score": { "type": "number", "format": "float", "description": "(Deprecated) Overall relevancy score for the web page." } }, "description": "Metadata for web pages.", "id": "GoogleCloudVisionV1p1beta1WebDetectionWebPage" }, "Position": { "type": "object", "properties": { "z": { "description": "Z coordinate (or depth).", "format": "float", "type": "number" }, "x": { "format": "float", "description": "X coordinate.", "type": "number" }, "y": { "type": "number", "description": "Y coordinate.", "format": "float" } }, "id": "Position", "description": "A 3D position in the image, used primarily for Face detection landmarks. A valid Position must have both x and y coordinates. The position coordinates are in the same scale as the original image." }, "GcsSource": { "type": "object", "description": "The Google Cloud Storage location where the input will be read from.", "properties": { "uri": { "description": "Google Cloud Storage URI for the input file. This must only be a Google Cloud Storage object. Wildcards are not currently supported.", "type": "string" } }, "id": "GcsSource" }, "GoogleCloudVisionV1p2beta1Symbol": { "id": "GoogleCloudVisionV1p2beta1Symbol", "type": "object", "properties": { "boundingBox": { "description": "The bounding box for the symbol. The vertices are in the order of top-left, top-right, bottom-right, bottom-left. When a rotation of the bounding box is detected the rotation is represented as around the top-left corner as defined when the text is read in the 'natural' orientation. For example: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh when the text is horizontal it might look like: 0----1 | | 3----2 LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh when it's rotated 180 degrees around the top-left corner it becomes: 2----3 | | 1----0 and the vertex order will still be (0, 1, 2, 3).", "$ref": "GoogleCloudVisionV1p2beta1BoundingPoly" }, "property": { "description": "Additional information detected for the symbol.", "$ref": "GoogleCloudVisionV1p2beta1TextAnnotationTextProperty" }, "text": { "description": "The actual UTF-8 representation of the symbol.", "type": "string" }, "confidence": { "description": "Confidence of the OCR results for the symbol. Range [0, 1].", "type": "number", "format": "float" } }, "description": "A single symbol representation." }, "GoogleCloudVisionV1p2beta1TextAnnotationDetectedLanguage": { "type": "object", "description": "Detected language for a structural component.", "id": "GoogleCloudVisionV1p2beta1TextAnnotationDetectedLanguage", "properties": { "confidence": { "format": "float", "type": "number", "description": "Confidence of detected language. Range [0, 1]." }, "languageCode": { "type": "string", "description": "The BCP-47 language code, such as \"en-US\" or \"sr-Latn\". For more information, see http://www.unicode.org/reports/tr35/#Unicode_locale_identifier." } } }, "GoogleCloudVisionV1p3beta1WebDetectionWebLabel": { "id": "GoogleCloudVisionV1p3beta1WebDetectionWebLabel", "properties": { "languageCode": { "description": "The BCP-47 language code for `label`, such as \"en-US\" or \"sr-Latn\". For more information, see http://www.unicode.org/reports/tr35/#Unicode_locale_identifier.", "type": "string" }, "label": { "type": "string", "description": "Label for extra metadata." } }, "description": "Label to provide extra metadata for the web detection.", "type": "object" }, "GoogleCloudVisionV1p4beta1Celebrity": { "type": "object", "description": "A Celebrity is a group of Faces with an identity.", "properties": { "description": { "type": "string", "description": "The Celebrity's description." }, "name": { "description": "The resource name of the preloaded Celebrity. Has the format `builtin/{mid}`.", "type": "string" }, "displayName": { "description": "The Celebrity's display name.", "type": "string" } }, "id": "GoogleCloudVisionV1p4beta1Celebrity" }, "GoogleCloudVisionV1p1beta1FaceAnnotationLandmark": { "type": "object", "id": "GoogleCloudVisionV1p1beta1FaceAnnotationLandmark", "description": "A face-specific landmark (for example, a face feature).", "properties": { "type": { "enum": [ "UNKNOWN_LANDMARK", "LEFT_EYE", "RIGHT_EYE", "LEFT_OF_LEFT_EYEBROW", "RIGHT_OF_LEFT_EYEBROW", "LEFT_OF_RIGHT_EYEBROW", "RIGHT_OF_RIGHT_EYEBROW", "MIDPOINT_BETWEEN_EYES", "NOSE_TIP", "UPPER_LIP", "LOWER_LIP", "MOUTH_LEFT", "MOUTH_RIGHT", "MOUTH_CENTER", "NOSE_BOTTOM_RIGHT", "NOSE_BOTTOM_LEFT", "NOSE_BOTTOM_CENTER", "LEFT_EYE_TOP_BOUNDARY", "LEFT_EYE_RIGHT_CORNER", "LEFT_EYE_BOTTOM_BOUNDARY", "LEFT_EYE_LEFT_CORNER", "RIGHT_EYE_TOP_BOUNDARY", "RIGHT_EYE_RIGHT_CORNER", "RIGHT_EYE_BOTTOM_BOUNDARY", "RIGHT_EYE_LEFT_CORNER", "LEFT_EYEBROW_UPPER_MIDPOINT", "RIGHT_EYEBROW_UPPER_MIDPOINT", "LEFT_EAR_TRAGION", "RIGHT_EAR_TRAGION", "LEFT_EYE_PUPIL", "RIGHT_EYE_PUPIL", "FOREHEAD_GLABELLA", "CHIN_GNATHION", "CHIN_LEFT_GONION", "CHIN_RIGHT_GONION", "LEFT_CHEEK_CENTER", "RIGHT_CHEEK_CENTER" ], "description": "Face landmark type.", "type": "string", "enumDescriptions": [ "Unknown face landmark detected. Should not be filled.", "Left eye.", "Right eye.", "Left of left eyebrow.", "Right of left eyebrow.", "Left of right eyebrow.", "Right of right eyebrow.", "Midpoint between eyes.", "Nose tip.", "Upper lip.", "Lower lip.", "Mouth left.", "Mouth right.", "Mouth center.", "Nose, bottom right.", "Nose, bottom left.", "Nose, bottom center.", "Left eye, top boundary.", "Left eye, right corner.", "Left eye, bottom boundary.", "Left eye, left corner.", "Right eye, top boundary.", "Right eye, right corner.", "Right eye, bottom boundary.", "Right eye, left corner.", "Left eyebrow, upper midpoint.", "Right eyebrow, upper midpoint.", "Left ear tragion.", "Right ear tragion.", "Left eye pupil.", "Right eye pupil.", "Forehead glabella.", "Chin gnathion.", "Chin left gonion.", "Chin right gonion.", "Left cheek center.", "Right cheek center." ] }, "position": { "$ref": "GoogleCloudVisionV1p1beta1Position", "description": "Face landmark position." } } }, "GoogleCloudVisionV1p4beta1ProductSearchResults": { "properties": { "indexTime": { "type": "string", "format": "google-datetime", "description": "Timestamp of the index which provided these results. Products added to the product set and products removed from the product set after this time are not reflected in the current results." }, "productGroupedResults": { "description": "List of results grouped by products detected in the query image. Each entry corresponds to one bounding polygon in the query image, and contains the matching products specific to that region. There may be duplicate product matches in the union of all the per-product results.", "type": "array", "items": { "$ref": "GoogleCloudVisionV1p4beta1ProductSearchResultsGroupedResult" } }, "results": { "items": { "$ref": "GoogleCloudVisionV1p4beta1ProductSearchResultsResult" }, "type": "array", "description": "List of results, one for each product match." } }, "description": "Results for a product search request.", "id": "GoogleCloudVisionV1p4beta1ProductSearchResults", "type": "object" }, "GoogleCloudVisionV1p1beta1WebDetection": { "properties": { "bestGuessLabels": { "items": { "$ref": "GoogleCloudVisionV1p1beta1WebDetectionWebLabel" }, "description": "The service's best guess as to the topic of the request image. Inferred from similar images on the open web.", "type": "array" }, "visuallySimilarImages": { "items": { "$ref": "GoogleCloudVisionV1p1beta1WebDetectionWebImage" }, "type": "array", "description": "The visually similar image results." }, "fullMatchingImages": { "type": "array", "description": "Fully matching images from the Internet. Can include resized copies of the query image.", "items": { "$ref": "GoogleCloudVisionV1p1beta1WebDetectionWebImage" } }, "partialMatchingImages": { "items": { "$ref": "GoogleCloudVisionV1p1beta1WebDetectionWebImage" }, "description": "Partial matching images from the Internet. Those images are similar enough to share some key-point features. For example an original image will likely have partial matching for its crops.", "type": "array" }, "webEntities": { "description": "Deduced entities from similar images on the Internet.", "type": "array", "items": { "$ref": "GoogleCloudVisionV1p1beta1WebDetectionWebEntity" } }, "pagesWithMatchingImages": { "items": { "$ref": "GoogleCloudVisionV1p1beta1WebDetectionWebPage" }, "type": "array", "description": "Web pages containing the matching images from the Internet." } }, "description": "Relevant information for the image from the Internet.", "id": "GoogleCloudVisionV1p1beta1WebDetection", "type": "object" }, "ProductSet": { "properties": { "indexError": { "$ref": "Status", "readOnly": true, "description": "Output only. If there was an error with indexing the product set, the field is populated. This field is ignored when creating a ProductSet." }, "name": { "type": "string", "description": "The resource name of the ProductSet. Format is: `projects/PROJECT_ID/locations/LOC_ID/productSets/PRODUCT_SET_ID`. This field is ignored when creating a ProductSet." }, "indexTime": { "description": "Output only. The time at which this ProductSet was last indexed. Query results will reflect all updates before this time. If this ProductSet has never been indexed, this timestamp is the default value \"1970-01-01T00:00:00Z\". This field is ignored when creating a ProductSet.", "readOnly": true, "format": "google-datetime", "type": "string" }, "displayName": { "type": "string", "description": "The user-provided name for this ProductSet. Must not be empty. Must be at most 4096 characters long." } }, "id": "ProductSet", "description": "A ProductSet contains Products. A ProductSet can contain a maximum of 1 million reference images. If the limit is exceeded, periodic indexing will fail.", "type": "object" }, "GoogleCloudVisionV1p3beta1Property": { "properties": { "name": { "type": "string", "description": "Name of the property." }, "uint64Value": { "description": "Value of numeric properties.", "type": "string", "format": "uint64" }, "value": { "type": "string", "description": "Value of the property." } }, "id": "GoogleCloudVisionV1p3beta1Property", "type": "object", "description": "A `Property` consists of a user-supplied name/value pair." }, "GoogleCloudVisionV1p2beta1Block": { "type": "object", "description": "Logical element on the page.", "properties": { "property": { "description": "Additional information detected for the block.", "$ref": "GoogleCloudVisionV1p2beta1TextAnnotationTextProperty" }, "blockType": { "enum": [ "UNKNOWN", "TEXT", "TABLE", "PICTURE", "RULER", "BARCODE" ], "description": "Detected block type (text, image etc) for this block.", "enumDescriptions": [ "Unknown block type.", "Regular text block.", "Table block.", "Image block.", "Horizontal/vertical line box.", "Barcode block." ], "type": "string" }, "confidence": { "format": "float", "description": "Confidence of the OCR results on the block. Range [0, 1].", "type": "number" }, "paragraphs": { "items": { "$ref": "GoogleCloudVisionV1p2beta1Paragraph" }, "description": "List of paragraphs in this block (if this blocks is of type text).", "type": "array" }, "boundingBox": { "description": "The bounding box for the block. The vertices are in the order of top-left, top-right, bottom-right, bottom-left. When a rotation of the bounding box is detected the rotation is represented as around the top-left corner as defined when the text is read in the 'natural' orientation. For example: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh when the text is horizontal it might look like: 0----1 | | 3----2 LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh when it's rotated 180 degrees around the top-left corner it becomes: 2----3 | | 1----0 and the vertex order will still be (0, 1, 2, 3).", "$ref": "GoogleCloudVisionV1p2beta1BoundingPoly" } }, "id": "GoogleCloudVisionV1p2beta1Block" }, "GoogleCloudVisionV1p4beta1OperationMetadata": { "description": "Contains metadata for the BatchAnnotateImages operation.", "type": "object", "properties": { "updateTime": { "format": "google-datetime", "description": "The time when the operation result was last updated.", "type": "string" }, "createTime": { "type": "string", "format": "google-datetime", "description": "The time when the batch request was received." }, "state": { "description": "Current state of the batch operation.", "type": "string", "enumDescriptions": [ "Invalid.", "Request is received.", "Request is actively being processed.", "The batch processing is done.", "The batch processing was cancelled." ], "enum": [ "STATE_UNSPECIFIED", "CREATED", "RUNNING", "DONE", "CANCELLED" ] } }, "id": "GoogleCloudVisionV1p4beta1OperationMetadata" }, "GoogleCloudVisionV1p3beta1ProductSearchResultsGroupedResult": { "description": "Information about the products similar to a single product in a query image.", "type": "object", "properties": { "results": { "items": { "$ref": "GoogleCloudVisionV1p3beta1ProductSearchResultsResult" }, "description": "List of results, one for each product match.", "type": "array" }, "boundingPoly": { "description": "The bounding polygon around the product detected in the query image.", "$ref": "GoogleCloudVisionV1p3beta1BoundingPoly" }, "objectAnnotations": { "description": "List of generic predictions for the object in the bounding box.", "items": { "$ref": "GoogleCloudVisionV1p3beta1ProductSearchResultsObjectAnnotation" }, "type": "array" } }, "id": "GoogleCloudVisionV1p3beta1ProductSearchResultsGroupedResult" }, "GoogleCloudVisionV1p1beta1Block": { "type": "object", "id": "GoogleCloudVisionV1p1beta1Block", "description": "Logical element on the page.", "properties": { "paragraphs": { "type": "array", "description": "List of paragraphs in this block (if this blocks is of type text).", "items": { "$ref": "GoogleCloudVisionV1p1beta1Paragraph" } }, "boundingBox": { "description": "The bounding box for the block. The vertices are in the order of top-left, top-right, bottom-right, bottom-left. When a rotation of the bounding box is detected the rotation is represented as around the top-left corner as defined when the text is read in the 'natural' orientation. For example: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh when the text is horizontal it might look like: 0----1 | | 3----2 LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh when it's rotated 180 degrees around the top-left corner it becomes: 2----3 | | 1----0 and the vertex order will still be (0, 1, 2, 3).", "$ref": "GoogleCloudVisionV1p1beta1BoundingPoly" }, "blockType": { "enumDescriptions": [ "Unknown block type.", "Regular text block.", "Table block.", "Image block.", "Horizontal/vertical line box.", "Barcode block." ], "enum": [ "UNKNOWN", "TEXT", "TABLE", "PICTURE", "RULER", "BARCODE" ], "description": "Detected block type (text, image etc) for this block.", "type": "string" }, "property": { "description": "Additional information detected for the block.", "$ref": "GoogleCloudVisionV1p1beta1TextAnnotationTextProperty" }, "confidence": { "type": "number", "format": "float", "description": "Confidence of the OCR results on the block. Range [0, 1]." } } }, "GoogleCloudVisionV1p1beta1WebDetectionWebEntity": { "id": "GoogleCloudVisionV1p1beta1WebDetectionWebEntity", "description": "Entity deduced from similar images on the Internet.", "type": "object", "properties": { "entityId": { "type": "string", "description": "Opaque entity ID." }, "description": { "description": "Canonical description of the entity, in English.", "type": "string" }, "score": { "type": "number", "format": "float", "description": "Overall relevancy score for the entity. Not normalized and not comparable across different image queries." } } }, "ListOperationsResponse": { "properties": { "nextPageToken": { "type": "string", "description": "The standard List next-page token." }, "operations": { "type": "array", "items": { "$ref": "Operation" }, "description": "A list of operations that matches the specified filter in the request." } }, "type": "object", "id": "ListOperationsResponse", "description": "The response message for Operations.ListOperations." }, "GoogleCloudVisionV1p3beta1ReferenceImage": { "id": "GoogleCloudVisionV1p3beta1ReferenceImage", "description": "A `ReferenceImage` represents a product image and its associated metadata, such as bounding boxes.", "properties": { "boundingPolys": { "items": { "$ref": "GoogleCloudVisionV1p3beta1BoundingPoly" }, "description": "Optional. Bounding polygons around the areas of interest in the reference image. If this field is empty, the system will try to detect regions of interest. At most 10 bounding polygons will be used. The provided shape is converted into a non-rotated rectangle. Once converted, the small edge of the rectangle must be greater than or equal to 300 pixels. The aspect ratio must be 1:4 or less (i.e. 1:3 is ok; 1:5 is not).", "type": "array" }, "uri": { "description": "Required. The Google Cloud Storage URI of the reference image. The URI must start with `gs://`.", "type": "string" }, "name": { "description": "The resource name of the reference image. Format is: `projects/PROJECT_ID/locations/LOC_ID/products/PRODUCT_ID/referenceImages/IMAGE_ID`. This field is ignored when creating a reference image.", "type": "string" } }, "type": "object" }, "ColorInfo": { "description": "Color information consists of RGB channels, score, and the fraction of the image that the color occupies in the image.", "id": "ColorInfo", "properties": { "pixelFraction": { "type": "number", "format": "float", "description": "The fraction of pixels the color occupies in the image. Value in range [0, 1]." }, "color": { "description": "RGB components of the color.", "$ref": "Color" }, "score": { "format": "float", "description": "Image-specific score for this color. Value in range [0, 1].", "type": "number" } }, "type": "object" }, "GoogleCloudVisionV1p1beta1TextAnnotationDetectedBreak": { "properties": { "isPrefix": { "type": "boolean", "description": "True if break prepends the element." }, "type": { "enumDescriptions": [ "Unknown break label type.", "Regular space.", "Sure space (very wide).", "Line-wrapping break.", "End-line hyphen that is not present in text; does not co-occur with `SPACE`, `LEADER_SPACE`, or `LINE_BREAK`.", "Line break that ends a paragraph." ], "enum": [ "UNKNOWN", "SPACE", "SURE_SPACE", "EOL_SURE_SPACE", "HYPHEN", "LINE_BREAK" ], "description": "Detected break type.", "type": "string" } }, "type": "object", "id": "GoogleCloudVisionV1p1beta1TextAnnotationDetectedBreak", "description": "Detected start or end of a structural component." }, "Block": { "id": "Block", "description": "Logical element on the page.", "properties": { "boundingBox": { "$ref": "BoundingPoly", "description": "The bounding box for the block. The vertices are in the order of top-left, top-right, bottom-right, bottom-left. When a rotation of the bounding box is detected the rotation is represented as around the top-left corner as defined when the text is read in the 'natural' orientation. For example: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh when the text is horizontal it might look like: 0----1 | | 3----2 LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh when it's rotated 180 degrees around the top-left corner it becomes: 2----3 | | 1----0 and the vertex order will still be (0, 1, 2, 3)." }, "blockType": { "type": "string", "enumDescriptions": [ "Unknown block type.", "Regular text block.", "Table block.", "Image block.", "Horizontal/vertical line box.", "Barcode block." ], "enum": [ "UNKNOWN", "TEXT", "TABLE", "PICTURE", "RULER", "BARCODE" ], "description": "Detected block type (text, image etc) for this block." }, "paragraphs": { "description": "List of paragraphs in this block (if this blocks is of type text).", "items": { "$ref": "Paragraph" }, "type": "array" }, "property": { "description": "Additional information detected for the block.", "$ref": "TextProperty" }, "confidence": { "format": "float", "description": "Confidence of the OCR results on the block. Range [0, 1].", "type": "number" } }, "type": "object" }, "GoogleCloudVisionV1p2beta1DominantColorsAnnotation": { "properties": { "colors": { "items": { "$ref": "GoogleCloudVisionV1p2beta1ColorInfo" }, "description": "RGB color values with their score and pixel fraction.", "type": "array" } }, "id": "GoogleCloudVisionV1p2beta1DominantColorsAnnotation", "description": "Set of dominant colors and their corresponding scores.", "type": "object" }, "GoogleCloudVisionV1p2beta1CropHintsAnnotation": { "id": "GoogleCloudVisionV1p2beta1CropHintsAnnotation", "type": "object", "properties": { "cropHints": { "description": "Crop hint results.", "type": "array", "items": { "$ref": "GoogleCloudVisionV1p2beta1CropHint" } } }, "description": "Set of crop hints that are used to generate new crops when serving images." }, "GoogleCloudVisionV1p2beta1WebDetectionWebLabel": { "properties": { "languageCode": { "type": "string", "description": "The BCP-47 language code for `label`, such as \"en-US\" or \"sr-Latn\". For more information, see http://www.unicode.org/reports/tr35/#Unicode_locale_identifier." }, "label": { "type": "string", "description": "Label for extra metadata." } }, "type": "object", "id": "GoogleCloudVisionV1p2beta1WebDetectionWebLabel", "description": "Label to provide extra metadata for the web detection." }, "GoogleCloudVisionV1p4beta1WebDetectionWebPage": { "description": "Metadata for web pages.", "properties": { "url": { "description": "The result web page URL.", "type": "string" }, "fullMatchingImages": { "type": "array", "description": "Fully matching images on the page. Can include resized copies of the query image.", "items": { "$ref": "GoogleCloudVisionV1p4beta1WebDetectionWebImage" } }, "score": { "format": "float", "description": "(Deprecated) Overall relevancy score for the web page.", "type": "number" }, "pageTitle": { "description": "Title for the web page, may contain HTML markups.", "type": "string" }, "partialMatchingImages": { "type": "array", "items": { "$ref": "GoogleCloudVisionV1p4beta1WebDetectionWebImage" }, "description": "Partial matching images on the page. Those images are similar enough to share some key-point features. For example an original image will likely have partial matching for its crops." } }, "type": "object", "id": "GoogleCloudVisionV1p4beta1WebDetectionWebPage" }, "GoogleCloudVisionV1p1beta1ProductSearchResultsResult": { "description": "Information about a product.", "type": "object", "properties": { "score": { "type": "number", "format": "float", "description": "A confidence level on the match, ranging from 0 (no confidence) to 1 (full confidence)." }, "product": { "$ref": "GoogleCloudVisionV1p1beta1Product", "description": "The Product." }, "image": { "description": "The resource name of the image from the product that is the closest match to the query.", "type": "string" } }, "id": "GoogleCloudVisionV1p1beta1ProductSearchResultsResult" }, "GoogleCloudVisionV1p1beta1OutputConfig": { "type": "object", "properties": { "batchSize": { "format": "int32", "type": "integer", "description": "The max number of response protos to put into each output JSON file on Google Cloud Storage. The valid range is [1, 100]. If not specified, the default value is 20. For example, for one pdf file with 100 pages, 100 response protos will be generated. If `batch_size` = 20, then 5 json files each containing 20 response protos will be written under the prefix `gcs_destination`.`uri`. Currently, batch_size only applies to GcsDestination, with potential future support for other output configurations." }, "gcsDestination": { "$ref": "GoogleCloudVisionV1p1beta1GcsDestination", "description": "The Google Cloud Storage location to write the output(s) to." } }, "id": "GoogleCloudVisionV1p1beta1OutputConfig", "description": "The desired output location and metadata." }, "CancelOperationRequest": { "id": "CancelOperationRequest", "properties": {}, "description": "The request message for Operations.CancelOperation.", "type": "object" }, "GoogleCloudVisionV1p4beta1OutputConfig": { "id": "GoogleCloudVisionV1p4beta1OutputConfig", "type": "object", "description": "The desired output location and metadata.", "properties": { "batchSize": { "format": "int32", "type": "integer", "description": "The max number of response protos to put into each output JSON file on Google Cloud Storage. The valid range is [1, 100]. If not specified, the default value is 20. For example, for one pdf file with 100 pages, 100 response protos will be generated. If `batch_size` = 20, then 5 json files each containing 20 response protos will be written under the prefix `gcs_destination`.`uri`. Currently, batch_size only applies to GcsDestination, with potential future support for other output configurations." }, "gcsDestination": { "$ref": "GoogleCloudVisionV1p4beta1GcsDestination", "description": "The Google Cloud Storage location to write the output(s) to." } } }, "GoogleCloudVisionV1p1beta1AnnotateFileResponse": { "properties": { "totalPages": { "type": "integer", "description": "This field gives the total number of pages in the file.", "format": "int32" }, "error": { "description": "If set, represents the error message for the failed request. The `responses` field will not be set in this case.", "$ref": "Status" }, "responses": { "items": { "$ref": "GoogleCloudVisionV1p1beta1AnnotateImageResponse" }, "type": "array", "description": "Individual responses to images found within the file. This field will be empty if the `error` field is set." }, "inputConfig": { "description": "Information about the file for which this response is generated.", "$ref": "GoogleCloudVisionV1p1beta1InputConfig" } }, "type": "object", "id": "GoogleCloudVisionV1p1beta1AnnotateFileResponse", "description": "Response to a single file annotation request. A file may contain one or more images, which individually have their own responses." }, "GoogleCloudVisionV1p4beta1FaceAnnotation": { "description": "A face annotation object contains the results of face detection.", "id": "GoogleCloudVisionV1p4beta1FaceAnnotation", "properties": { "fdBoundingPoly": { "description": "The `fd_bounding_poly` bounding polygon is tighter than the `boundingPoly`, and encloses only the skin part of the face. Typically, it is used to eliminate the face from any image analysis that detects the \"amount of skin\" visible in an image. It is not based on the landmarker results, only on the initial face detection, hence the fd (face detection) prefix.", "$ref": "GoogleCloudVisionV1p4beta1BoundingPoly" }, "rollAngle": { "description": "Roll angle, which indicates the amount of clockwise/anti-clockwise rotation of the face relative to the image vertical about the axis perpendicular to the face. Range [-180,180].", "type": "number", "format": "float" }, "angerLikelihood": { "enum": [ "UNKNOWN", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ], "type": "string", "enumDescriptions": [ "Unknown likelihood.", "It is very unlikely.", "It is unlikely.", "It is possible.", "It is likely.", "It is very likely." ], "description": "Anger likelihood." }, "landmarkingConfidence": { "type": "number", "description": "Face landmarking confidence. Range [0, 1].", "format": "float" }, "sorrowLikelihood": { "description": "Sorrow likelihood.", "type": "string", "enum": [ "UNKNOWN", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ], "enumDescriptions": [ "Unknown likelihood.", "It is very unlikely.", "It is unlikely.", "It is possible.", "It is likely.", "It is very likely." ] }, "underExposedLikelihood": { "enum": [ "UNKNOWN", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ], "description": "Under-exposed likelihood.", "type": "string", "enumDescriptions": [ "Unknown likelihood.", "It is very unlikely.", "It is unlikely.", "It is possible.", "It is likely.", "It is very likely." ] }, "tiltAngle": { "type": "number", "description": "Pitch angle, which indicates the upwards/downwards angle that the face is pointing relative to the image's horizontal plane. Range [-180,180].", "format": "float" }, "surpriseLikelihood": { "enumDescriptions": [ "Unknown likelihood.", "It is very unlikely.", "It is unlikely.", "It is possible.", "It is likely.", "It is very likely." ], "enum": [ "UNKNOWN", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ], "type": "string", "description": "Surprise likelihood." }, "recognitionResult": { "type": "array", "items": { "$ref": "GoogleCloudVisionV1p4beta1FaceRecognitionResult" }, "description": "Additional recognition information. Only computed if image_context.face_recognition_params is provided, **and** a match is found to a Celebrity in the input CelebritySet. This field is sorted in order of decreasing confidence values." }, "panAngle": { "description": "Yaw angle, which indicates the leftward/rightward angle that the face is pointing relative to the vertical plane perpendicular to the image. Range [-180,180].", "type": "number", "format": "float" }, "boundingPoly": { "description": "The bounding polygon around the face. The coordinates of the bounding box are in the original image's scale. The bounding box is computed to \"frame\" the face in accordance with human expectations. It is based on the landmarker results. Note that one or more x and/or y coordinates may not be generated in the `BoundingPoly` (the polygon will be unbounded) if only a partial face appears in the image to be annotated.", "$ref": "GoogleCloudVisionV1p4beta1BoundingPoly" }, "headwearLikelihood": { "description": "Headwear likelihood.", "enumDescriptions": [ "Unknown likelihood.", "It is very unlikely.", "It is unlikely.", "It is possible.", "It is likely.", "It is very likely." ], "enum": [ "UNKNOWN", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ], "type": "string" }, "detectionConfidence": { "description": "Detection confidence. Range [0, 1].", "format": "float", "type": "number" }, "joyLikelihood": { "description": "Joy likelihood.", "type": "string", "enumDescriptions": [ "Unknown likelihood.", "It is very unlikely.", "It is unlikely.", "It is possible.", "It is likely.", "It is very likely." ], "enum": [ "UNKNOWN", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ] }, "landmarks": { "type": "array", "description": "Detected face landmarks.", "items": { "$ref": "GoogleCloudVisionV1p4beta1FaceAnnotationLandmark" } }, "blurredLikelihood": { "description": "Blurred likelihood.", "type": "string", "enum": [ "UNKNOWN", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ], "enumDescriptions": [ "Unknown likelihood.", "It is very unlikely.", "It is unlikely.", "It is possible.", "It is likely.", "It is very likely." ] } }, "type": "object" }, "GoogleCloudVisionV1p2beta1EntityAnnotation": { "type": "object", "id": "GoogleCloudVisionV1p2beta1EntityAnnotation", "description": "Set of detected entity features.", "properties": { "boundingPoly": { "$ref": "GoogleCloudVisionV1p2beta1BoundingPoly", "description": "Image region to which this entity belongs. Not produced for `LABEL_DETECTION` features." }, "score": { "description": "Overall score of the result. Range [0, 1].", "type": "number", "format": "float" }, "properties": { "type": "array", "items": { "$ref": "GoogleCloudVisionV1p2beta1Property" }, "description": "Some entities may have optional user-supplied `Property` (name/value) fields, such a score or string that qualifies the entity." }, "locations": { "type": "array", "items": { "$ref": "GoogleCloudVisionV1p2beta1LocationInfo" }, "description": "The location information for the detected entity. Multiple `LocationInfo` elements can be present because one location may indicate the location of the scene in the image, and another location may indicate the location of the place where the image was taken. Location information is usually present for landmarks." }, "confidence": { "description": "**Deprecated. Use `score` instead.** The accuracy of the entity detection in an image. For example, for an image in which the \"Eiffel Tower\" entity is detected, this field represents the confidence that there is a tower in the query image. Range [0, 1].", "type": "number", "format": "float" }, "topicality": { "type": "number", "description": "The relevancy of the ICA (Image Content Annotation) label to the image. For example, the relevancy of \"tower\" is likely higher to an image containing the detected \"Eiffel Tower\" than to an image containing a detected distant towering building, even though the confidence that there is a tower in each image may be the same. Range [0, 1].", "format": "float" }, "locale": { "description": "The language code for the locale in which the entity textual `description` is expressed.", "type": "string" }, "mid": { "description": "Opaque entity ID. Some IDs may be available in [Google Knowledge Graph Search API](https://developers.google.com/knowledge-graph/).", "type": "string" }, "description": { "type": "string", "description": "Entity textual description, expressed in its `locale` language." } } }, "GoogleCloudVisionV1p2beta1Word": { "type": "object", "description": "A word representation.", "id": "GoogleCloudVisionV1p2beta1Word", "properties": { "property": { "$ref": "GoogleCloudVisionV1p2beta1TextAnnotationTextProperty", "description": "Additional information detected for the word." }, "boundingBox": { "description": "The bounding box for the word. The vertices are in the order of top-left, top-right, bottom-right, bottom-left. When a rotation of the bounding box is detected the rotation is represented as around the top-left corner as defined when the text is read in the 'natural' orientation. For example: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh when the text is horizontal it might look like: 0----1 | | 3----2 LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh when it's rotated 180 degrees around the top-left corner it becomes: 2----3 | | 1----0 and the vertex order will still be (0, 1, 2, 3).", "$ref": "GoogleCloudVisionV1p2beta1BoundingPoly" }, "symbols": { "items": { "$ref": "GoogleCloudVisionV1p2beta1Symbol" }, "description": "List of symbols in the word. The order of the symbols follows the natural reading order.", "type": "array" }, "confidence": { "description": "Confidence of the OCR results for the word. Range [0, 1].", "format": "float", "type": "number" } } }, "GoogleCloudVisionV1p1beta1GcsDestination": { "description": "The Google Cloud Storage location where the output will be written to.", "id": "GoogleCloudVisionV1p1beta1GcsDestination", "properties": { "uri": { "type": "string", "description": "Google Cloud Storage URI prefix where the results will be stored. Results will be in JSON format and preceded by its corresponding input URI prefix. This field can either represent a gcs file prefix or gcs directory. In either case, the uri should be unique because in order to get all of the output files, you will need to do a wildcard gcs search on the uri prefix you provide. Examples: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh File Prefix: gs://bucket-name/here/filenameprefix The output files will be created in gs://bucket-name/here/ and the names of the output files will begin with \"filenameprefix\". LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Directory Prefix: gs://bucket-name/some/location/ The output files will be created in gs://bucket-name/some/location/ and the names of the output files could be anything because there was no filename prefix specified. If multiple outputs, each response is still AnnotateFileResponse, each of which contains some subset of the full list of AnnotateImageResponse. Multiple outputs can happen if, for example, the output JSON is too large and overflows into multiple sharded files." } }, "type": "object" }, "GoogleCloudVisionV1p4beta1Paragraph": { "properties": { "words": { "description": "List of all words in this paragraph.", "type": "array", "items": { "$ref": "GoogleCloudVisionV1p4beta1Word" } }, "property": { "description": "Additional information detected for the paragraph.", "$ref": "GoogleCloudVisionV1p4beta1TextAnnotationTextProperty" }, "boundingBox": { "$ref": "GoogleCloudVisionV1p4beta1BoundingPoly", "description": "The bounding box for the paragraph. The vertices are in the order of top-left, top-right, bottom-right, bottom-left. When a rotation of the bounding box is detected the rotation is represented as around the top-left corner as defined when the text is read in the 'natural' orientation. For example: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh when the text is horizontal it might look like: 0----1 | | 3----2 LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh when it's rotated 180 degrees around the top-left corner it becomes: 2----3 | | 1----0 and the vertex order will still be (0, 1, 2, 3)." }, "confidence": { "description": "Confidence of the OCR results for the paragraph. Range [0, 1].", "format": "float", "type": "number" } }, "id": "GoogleCloudVisionV1p4beta1Paragraph", "description": "Structural unit of text representing a number of words in certain order.", "type": "object" }, "AsyncAnnotateFileResponse": { "description": "The response for a single offline file annotation request.", "id": "AsyncAnnotateFileResponse", "properties": { "outputConfig": { "description": "The output location and metadata from AsyncAnnotateFileRequest.", "$ref": "OutputConfig" } }, "type": "object" }, "GoogleCloudVisionV1p4beta1WebDetectionWebLabel": { "description": "Label to provide extra metadata for the web detection.", "properties": { "languageCode": { "type": "string", "description": "The BCP-47 language code for `label`, such as \"en-US\" or \"sr-Latn\". For more information, see http://www.unicode.org/reports/tr35/#Unicode_locale_identifier." }, "label": { "description": "Label for extra metadata.", "type": "string" } }, "id": "GoogleCloudVisionV1p4beta1WebDetectionWebLabel", "type": "object" }, "GoogleCloudVisionV1p1beta1BoundingPoly": { "type": "object", "description": "A bounding polygon for the detected image annotation.", "id": "GoogleCloudVisionV1p1beta1BoundingPoly", "properties": { "vertices": { "type": "array", "description": "The bounding polygon vertices.", "items": { "$ref": "GoogleCloudVisionV1p1beta1Vertex" } }, "normalizedVertices": { "description": "The bounding polygon normalized vertices.", "type": "array", "items": { "$ref": "GoogleCloudVisionV1p1beta1NormalizedVertex" } } } }, "Color": { "id": "Color", "properties": { "green": { "format": "float", "type": "number", "description": "The amount of green in the color as a value in the interval [0, 1]." }, "alpha": { "description": "The fraction of this color that should be applied to the pixel. That is, the final pixel color is defined by the equation: `pixel color = alpha LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh (this color) + (1.0 - alpha) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh (background color)` This means that a value of 1.0 corresponds to a solid color, whereas a value of 0.0 corresponds to a completely transparent color. This uses a wrapper message rather than a simple float scalar so that it is possible to distinguish between a default value and the value being unset. If omitted, this color object is rendered as a solid color (as if the alpha value had been explicitly given a value of 1.0).", "type": "number", "format": "float" }, "blue": { "type": "number", "format": "float", "description": "The amount of blue in the color as a value in the interval [0, 1]." }, "red": { "type": "number", "format": "float", "description": "The amount of red in the color as a value in the interval [0, 1]." } }, "type": "object", "description": "Represents a color in the RGBA color space. This representation is designed for simplicity of conversion to/from color representations in various languages over compactness. For example, the fields of this representation can be trivially provided to the constructor of `java.awt.Color` in Java; it can also be trivially provided to UIColor's `+colorWithRed:green:blue:alpha` method in iOS; and, with just a little work, it can be easily formatted into a CSS `rgba()` string in JavaScript. This reference page doesn't carry information about the absolute color space that should be used to interpret the RGB value (e.g. sRGB, Adobe RGB, DCI-P3, BT.2020, etc.). By default, applications should assume the sRGB color space. When color equality needs to be decided, implementations, unless documented otherwise, treat two colors as equal if all their red, green, blue, and alpha values each differ by at most 1e-5. Example (Java): import com.google.type.Color; // ... public static java.awt.Color fromProto(Color protocolor) { float alpha = protocolor.hasAlpha() ? protocolor.getAlpha().getValue() : 1.0; return new java.awt.Color( protocolor.getRed(), protocolor.getGreen(), protocolor.getBlue(), alpha); } public static Color toProto(java.awt.Color color) { float red = (float) color.getRed(); float green = (float) color.getGreen(); float blue = (float) color.getBlue(); float denominator = 255.0; Color.Builder resultBuilder = Color .newBuilder() .setRed(red / denominator) .setGreen(green / denominator) .setBlue(blue / denominator); int alpha = color.getAlpha(); if (alpha != 255) { result.setAlpha( FloatValue .newBuilder() .setValue(((float) alpha) / denominator) .build()); } return resultBuilder.build(); } // ... Example (iOS / Obj-C): // ... static UIColor* fromProto(Color* protocolor) { float red = [protocolor red]; float green = [protocolor green]; float blue = [protocolor blue]; FloatValue* alpha_wrapper = [protocolor alpha]; float alpha = 1.0; if (alpha_wrapper != nil) { alpha = [alpha_wrapper value]; } return [UIColor colorWithRed:red green:green blue:blue alpha:alpha]; } static Color* toProto(UIColor* color) { CGFloat red, green, blue, alpha; if (![color getRed:&red green:&green blue:&blue alpha:&alpha]) { return nil; } Color* result = [[Color alloc] init]; [result setRed:red]; [result setGreen:green]; [result setBlue:blue]; if (alpha \u003c= 0.9999) { [result setAlpha:floatWrapperWithValue(alpha)]; } [result autorelease]; return result; } // ... Example (JavaScript): // ... var protoToCssColor = function(rgb_color) { var redFrac = rgb_color.red || 0.0; var greenFrac = rgb_color.green || 0.0; var blueFrac = rgb_color.blue || 0.0; var red = Math.floor(redFrac LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh 255); var green = Math.floor(greenFrac LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh 255); var blue = Math.floor(blueFrac LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh 255); if (!('alpha' in rgb_color)) { return rgbToCssColor(red, green, blue); } var alphaFrac = rgb_color.alpha.value || 0.0; var rgbParams = [red, green, blue].join(','); return ['rgba(', rgbParams, ',', alphaFrac, ')'].join(''); }; var rgbToCssColor = function(red, green, blue) { var rgbNumber = new Number((red \u003c\u003c 16) | (green \u003c\u003c 8) | blue); var hexString = rgbNumber.toString(16); var missingZeros = 6 - hexString.length; var resultBuilder = ['#']; for (var i = 0; i \u003c missingZeros; i++) { resultBuilder.push('0'); } resultBuilder.push(hexString); return resultBuilder.join(''); }; // ..." }, "GoogleCloudVisionV1p3beta1WebDetectionWebImage": { "type": "object", "id": "GoogleCloudVisionV1p3beta1WebDetectionWebImage", "properties": { "url": { "type": "string", "description": "The result image URL." }, "score": { "type": "number", "format": "float", "description": "(Deprecated) Overall relevancy score for the image." } }, "description": "Metadata for online images." }, "GoogleCloudVisionV1p4beta1ProductSearchResultsGroupedResult": { "type": "object", "properties": { "objectAnnotations": { "items": { "$ref": "GoogleCloudVisionV1p4beta1ProductSearchResultsObjectAnnotation" }, "description": "List of generic predictions for the object in the bounding box.", "type": "array" }, "results": { "description": "List of results, one for each product match.", "items": { "$ref": "GoogleCloudVisionV1p4beta1ProductSearchResultsResult" }, "type": "array" }, "boundingPoly": { "description": "The bounding polygon around the product detected in the query image.", "$ref": "GoogleCloudVisionV1p4beta1BoundingPoly" } }, "description": "Information about the products similar to a single product in a query image.", "id": "GoogleCloudVisionV1p4beta1ProductSearchResultsGroupedResult" }, "GoogleCloudVisionV1p3beta1GcsDestination": { "description": "The Google Cloud Storage location where the output will be written to.", "properties": { "uri": { "description": "Google Cloud Storage URI prefix where the results will be stored. Results will be in JSON format and preceded by its corresponding input URI prefix. This field can either represent a gcs file prefix or gcs directory. In either case, the uri should be unique because in order to get all of the output files, you will need to do a wildcard gcs search on the uri prefix you provide. Examples: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh File Prefix: gs://bucket-name/here/filenameprefix The output files will be created in gs://bucket-name/here/ and the names of the output files will begin with \"filenameprefix\". LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Directory Prefix: gs://bucket-name/some/location/ The output files will be created in gs://bucket-name/some/location/ and the names of the output files could be anything because there was no filename prefix specified. If multiple outputs, each response is still AnnotateFileResponse, each of which contains some subset of the full list of AnnotateImageResponse. Multiple outputs can happen if, for example, the output JSON is too large and overflows into multiple sharded files.", "type": "string" } }, "type": "object", "id": "GoogleCloudVisionV1p3beta1GcsDestination" }, "Page": { "description": "Detected page from OCR.", "properties": { "height": { "type": "integer", "description": "Page height. For PDFs the unit is points. For images (including TIFFs) the unit is pixels.", "format": "int32" }, "blocks": { "items": { "$ref": "Block" }, "type": "array", "description": "List of blocks of text, images etc on this page." }, "property": { "description": "Additional information detected on the page.", "$ref": "TextProperty" }, "confidence": { "description": "Confidence of the OCR results on the page. Range [0, 1].", "format": "float", "type": "number" }, "width": { "format": "int32", "type": "integer", "description": "Page width. For PDFs the unit is points. For images (including TIFFs) the unit is pixels." } }, "id": "Page", "type": "object" }, "GoogleCloudVisionV1p1beta1Word": { "description": "A word representation.", "id": "GoogleCloudVisionV1p1beta1Word", "properties": { "symbols": { "description": "List of symbols in the word. The order of the symbols follows the natural reading order.", "type": "array", "items": { "$ref": "GoogleCloudVisionV1p1beta1Symbol" } }, "confidence": { "format": "float", "description": "Confidence of the OCR results for the word. Range [0, 1].", "type": "number" }, "property": { "description": "Additional information detected for the word.", "$ref": "GoogleCloudVisionV1p1beta1TextAnnotationTextProperty" }, "boundingBox": { "$ref": "GoogleCloudVisionV1p1beta1BoundingPoly", "description": "The bounding box for the word. The vertices are in the order of top-left, top-right, bottom-right, bottom-left. When a rotation of the bounding box is detected the rotation is represented as around the top-left corner as defined when the text is read in the 'natural' orientation. For example: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh when the text is horizontal it might look like: 0----1 | | 3----2 LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh when it's rotated 180 degrees around the top-left corner it becomes: 2----3 | | 1----0 and the vertex order will still be (0, 1, 2, 3)." } }, "type": "object" }, "GoogleCloudVisionV1p3beta1TextAnnotationTextProperty": { "description": "Additional information detected on the structural component.", "type": "object", "properties": { "detectedBreak": { "description": "Detected start or end of a text segment.", "$ref": "GoogleCloudVisionV1p3beta1TextAnnotationDetectedBreak" }, "detectedLanguages": { "type": "array", "description": "A list of detected languages together with confidence.", "items": { "$ref": "GoogleCloudVisionV1p3beta1TextAnnotationDetectedLanguage" } } }, "id": "GoogleCloudVisionV1p3beta1TextAnnotationTextProperty" }, "Property": { "type": "object", "properties": { "value": { "description": "Value of the property.", "type": "string" }, "name": { "type": "string", "description": "Name of the property." }, "uint64Value": { "type": "string", "description": "Value of numeric properties.", "format": "uint64" } }, "description": "A `Property` consists of a user-supplied name/value pair.", "id": "Property" }, "GoogleCloudVisionV1p1beta1FaceAnnotation": { "id": "GoogleCloudVisionV1p1beta1FaceAnnotation", "properties": { "detectionConfidence": { "format": "float", "description": "Detection confidence. Range [0, 1].", "type": "number" }, "panAngle": { "format": "float", "type": "number", "description": "Yaw angle, which indicates the leftward/rightward angle that the face is pointing relative to the vertical plane perpendicular to the image. Range [-180,180]." }, "underExposedLikelihood": { "enumDescriptions": [ "Unknown likelihood.", "It is very unlikely.", "It is unlikely.", "It is possible.", "It is likely.", "It is very likely." ], "enum": [ "UNKNOWN", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ], "description": "Under-exposed likelihood.", "type": "string" }, "rollAngle": { "description": "Roll angle, which indicates the amount of clockwise/anti-clockwise rotation of the face relative to the image vertical about the axis perpendicular to the face. Range [-180,180].", "format": "float", "type": "number" }, "tiltAngle": { "type": "number", "format": "float", "description": "Pitch angle, which indicates the upwards/downwards angle that the face is pointing relative to the image's horizontal plane. Range [-180,180]." }, "landmarkingConfidence": { "format": "float", "description": "Face landmarking confidence. Range [0, 1].", "type": "number" }, "sorrowLikelihood": { "enum": [ "UNKNOWN", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ], "enumDescriptions": [ "Unknown likelihood.", "It is very unlikely.", "It is unlikely.", "It is possible.", "It is likely.", "It is very likely." ], "type": "string", "description": "Sorrow likelihood." }, "landmarks": { "type": "array", "items": { "$ref": "GoogleCloudVisionV1p1beta1FaceAnnotationLandmark" }, "description": "Detected face landmarks." }, "headwearLikelihood": { "description": "Headwear likelihood.", "enum": [ "UNKNOWN", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ], "enumDescriptions": [ "Unknown likelihood.", "It is very unlikely.", "It is unlikely.", "It is possible.", "It is likely.", "It is very likely." ], "type": "string" }, "surpriseLikelihood": { "enumDescriptions": [ "Unknown likelihood.", "It is very unlikely.", "It is unlikely.", "It is possible.", "It is likely.", "It is very likely." ], "type": "string", "enum": [ "UNKNOWN", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ], "description": "Surprise likelihood." }, "fdBoundingPoly": { "$ref": "GoogleCloudVisionV1p1beta1BoundingPoly", "description": "The `fd_bounding_poly` bounding polygon is tighter than the `boundingPoly`, and encloses only the skin part of the face. Typically, it is used to eliminate the face from any image analysis that detects the \"amount of skin\" visible in an image. It is not based on the landmarker results, only on the initial face detection, hence the fd (face detection) prefix." }, "boundingPoly": { "$ref": "GoogleCloudVisionV1p1beta1BoundingPoly", "description": "The bounding polygon around the face. The coordinates of the bounding box are in the original image's scale. The bounding box is computed to \"frame\" the face in accordance with human expectations. It is based on the landmarker results. Note that one or more x and/or y coordinates may not be generated in the `BoundingPoly` (the polygon will be unbounded) if only a partial face appears in the image to be annotated." }, "blurredLikelihood": { "description": "Blurred likelihood.", "type": "string", "enumDescriptions": [ "Unknown likelihood.", "It is very unlikely.", "It is unlikely.", "It is possible.", "It is likely.", "It is very likely." ], "enum": [ "UNKNOWN", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ] }, "joyLikelihood": { "enum": [ "UNKNOWN", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ], "enumDescriptions": [ "Unknown likelihood.", "It is very unlikely.", "It is unlikely.", "It is possible.", "It is likely.", "It is very likely." ], "type": "string", "description": "Joy likelihood." }, "angerLikelihood": { "enumDescriptions": [ "Unknown likelihood.", "It is very unlikely.", "It is unlikely.", "It is possible.", "It is likely.", "It is very likely." ], "enum": [ "UNKNOWN", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ], "type": "string", "description": "Anger likelihood." } }, "type": "object", "description": "A face annotation object contains the results of face detection." }, "GoogleCloudVisionV1p4beta1LocalizedObjectAnnotation": { "description": "Set of detected objects with bounding boxes.", "properties": { "languageCode": { "type": "string", "description": "The BCP-47 language code, such as \"en-US\" or \"sr-Latn\". For more information, see http://www.unicode.org/reports/tr35/#Unicode_locale_identifier." }, "score": { "format": "float", "type": "number", "description": "Score of the result. Range [0, 1]." }, "mid": { "type": "string", "description": "Object ID that should align with EntityAnnotation mid." }, "boundingPoly": { "description": "Image region to which this object belongs. This must be populated.", "$ref": "GoogleCloudVisionV1p4beta1BoundingPoly" }, "name": { "description": "Object name, expressed in its `language_code` language.", "type": "string" } }, "type": "object", "id": "GoogleCloudVisionV1p4beta1LocalizedObjectAnnotation" }, "GoogleCloudVisionV1p4beta1Page": { "type": "object", "id": "GoogleCloudVisionV1p4beta1Page", "properties": { "blocks": { "description": "List of blocks of text, images etc on this page.", "type": "array", "items": { "$ref": "GoogleCloudVisionV1p4beta1Block" } }, "confidence": { "format": "float", "type": "number", "description": "Confidence of the OCR results on the page. Range [0, 1]." }, "property": { "description": "Additional information detected on the page.", "$ref": "GoogleCloudVisionV1p4beta1TextAnnotationTextProperty" }, "height": { "type": "integer", "description": "Page height. For PDFs the unit is points. For images (including TIFFs) the unit is pixels.", "format": "int32" }, "width": { "type": "integer", "format": "int32", "description": "Page width. For PDFs the unit is points. For images (including TIFFs) the unit is pixels." } }, "description": "Detected page from OCR." }, "GoogleCloudVisionV1p4beta1TextAnnotationDetectedBreak": { "type": "object", "id": "GoogleCloudVisionV1p4beta1TextAnnotationDetectedBreak", "properties": { "type": { "type": "string", "enum": [ "UNKNOWN", "SPACE", "SURE_SPACE", "EOL_SURE_SPACE", "HYPHEN", "LINE_BREAK" ], "enumDescriptions": [ "Unknown break label type.", "Regular space.", "Sure space (very wide).", "Line-wrapping break.", "End-line hyphen that is not present in text; does not co-occur with `SPACE`, `LEADER_SPACE`, or `LINE_BREAK`.", "Line break that ends a paragraph." ], "description": "Detected break type." }, "isPrefix": { "description": "True if break prepends the element.", "type": "boolean" } }, "description": "Detected start or end of a structural component." }, "GoogleCloudVisionV1p1beta1ProductSearchResultsObjectAnnotation": { "type": "object", "description": "Prediction for what the object in the bounding box is.", "properties": { "name": { "description": "Object name, expressed in its `language_code` language.", "type": "string" }, "score": { "type": "number", "format": "float", "description": "Score of the result. Range [0, 1]." }, "languageCode": { "type": "string", "description": "The BCP-47 language code, such as \"en-US\" or \"sr-Latn\". For more information, see http://www.unicode.org/reports/tr35/#Unicode_locale_identifier." }, "mid": { "type": "string", "description": "Object ID that should align with EntityAnnotation mid." } }, "id": "GoogleCloudVisionV1p1beta1ProductSearchResultsObjectAnnotation" }, "GoogleCloudVisionV1p2beta1WebDetection": { "properties": { "fullMatchingImages": { "description": "Fully matching images from the Internet. Can include resized copies of the query image.", "items": { "$ref": "GoogleCloudVisionV1p2beta1WebDetectionWebImage" }, "type": "array" }, "bestGuessLabels": { "type": "array", "description": "The service's best guess as to the topic of the request image. Inferred from similar images on the open web.", "items": { "$ref": "GoogleCloudVisionV1p2beta1WebDetectionWebLabel" } }, "partialMatchingImages": { "items": { "$ref": "GoogleCloudVisionV1p2beta1WebDetectionWebImage" }, "description": "Partial matching images from the Internet. Those images are similar enough to share some key-point features. For example an original image will likely have partial matching for its crops.", "type": "array" }, "visuallySimilarImages": { "type": "array", "items": { "$ref": "GoogleCloudVisionV1p2beta1WebDetectionWebImage" }, "description": "The visually similar image results." }, "pagesWithMatchingImages": { "type": "array", "items": { "$ref": "GoogleCloudVisionV1p2beta1WebDetectionWebPage" }, "description": "Web pages containing the matching images from the Internet." }, "webEntities": { "type": "array", "items": { "$ref": "GoogleCloudVisionV1p2beta1WebDetectionWebEntity" }, "description": "Deduced entities from similar images on the Internet." } }, "id": "GoogleCloudVisionV1p2beta1WebDetection", "description": "Relevant information for the image from the Internet.", "type": "object" }, "GoogleCloudVisionV1p2beta1ImageAnnotationContext": { "type": "object", "id": "GoogleCloudVisionV1p2beta1ImageAnnotationContext", "description": "If an image was produced from a file (e.g. a PDF), this message gives information about the source of that image.", "properties": { "uri": { "description": "The URI of the file used to produce the image.", "type": "string" }, "pageNumber": { "type": "integer", "format": "int32", "description": "If the file was a PDF or TIFF, this field gives the page number within the file used to produce the image." } } }, "GoogleCloudVisionV1p3beta1SafeSearchAnnotation": { "id": "GoogleCloudVisionV1p3beta1SafeSearchAnnotation", "properties": { "racy": { "enumDescriptions": [ "Unknown likelihood.", "It is very unlikely.", "It is unlikely.", "It is possible.", "It is likely.", "It is very likely." ], "description": "Likelihood that the request image contains racy content. Racy content may include (but is not limited to) skimpy or sheer clothing, strategically covered nudity, lewd or provocative poses, or close-ups of sensitive body areas.", "type": "string", "enum": [ "UNKNOWN", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ] }, "adult": { "type": "string", "enumDescriptions": [ "Unknown likelihood.", "It is very unlikely.", "It is unlikely.", "It is possible.", "It is likely.", "It is very likely." ], "description": "Represents the adult content likelihood for the image. Adult content may contain elements such as nudity, pornographic images or cartoons, or sexual activities.", "enum": [ "UNKNOWN", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ] }, "medical": { "enumDescriptions": [ "Unknown likelihood.", "It is very unlikely.", "It is unlikely.", "It is possible.", "It is likely.", "It is very likely." ], "description": "Likelihood that this is a medical image.", "enum": [ "UNKNOWN", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ], "type": "string" }, "violence": { "type": "string", "description": "Likelihood that this image contains violent content.", "enum": [ "UNKNOWN", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ], "enumDescriptions": [ "Unknown likelihood.", "It is very unlikely.", "It is unlikely.", "It is possible.", "It is likely.", "It is very likely." ] }, "spoof": { "type": "string", "description": "Spoof likelihood. The likelihood that an modification was made to the image's canonical version to make it appear funny or offensive.", "enumDescriptions": [ "Unknown likelihood.", "It is very unlikely.", "It is unlikely.", "It is possible.", "It is likely.", "It is very likely." ], "enum": [ "UNKNOWN", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ] } }, "description": "Set of features pertaining to the image, computed by computer vision methods over safe-search verticals (for example, adult, spoof, medical, violence).", "type": "object" }, "AddProductToProductSetRequest": { "description": "Request message for the `AddProductToProductSet` method.", "properties": { "product": { "type": "string", "description": "Required. The resource name for the Product to be added to this ProductSet. Format is: `projects/PROJECT_ID/locations/LOC_ID/products/PRODUCT_ID`" } }, "id": "AddProductToProductSetRequest", "type": "object" }, "GoogleCloudVisionV1p2beta1FaceAnnotation": { "id": "GoogleCloudVisionV1p2beta1FaceAnnotation", "description": "A face annotation object contains the results of face detection.", "type": "object", "properties": { "landmarks": { "items": { "$ref": "GoogleCloudVisionV1p2beta1FaceAnnotationLandmark" }, "description": "Detected face landmarks.", "type": "array" }, "detectionConfidence": { "description": "Detection confidence. Range [0, 1].", "format": "float", "type": "number" }, "rollAngle": { "type": "number", "description": "Roll angle, which indicates the amount of clockwise/anti-clockwise rotation of the face relative to the image vertical about the axis perpendicular to the face. Range [-180,180].", "format": "float" }, "blurredLikelihood": { "type": "string", "description": "Blurred likelihood.", "enumDescriptions": [ "Unknown likelihood.", "It is very unlikely.", "It is unlikely.", "It is possible.", "It is likely.", "It is very likely." ], "enum": [ "UNKNOWN", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ] }, "panAngle": { "description": "Yaw angle, which indicates the leftward/rightward angle that the face is pointing relative to the vertical plane perpendicular to the image. Range [-180,180].", "type": "number", "format": "float" }, "tiltAngle": { "type": "number", "format": "float", "description": "Pitch angle, which indicates the upwards/downwards angle that the face is pointing relative to the image's horizontal plane. Range [-180,180]." }, "landmarkingConfidence": { "type": "number", "format": "float", "description": "Face landmarking confidence. Range [0, 1]." }, "headwearLikelihood": { "type": "string", "enum": [ "UNKNOWN", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ], "enumDescriptions": [ "Unknown likelihood.", "It is very unlikely.", "It is unlikely.", "It is possible.", "It is likely.", "It is very likely." ], "description": "Headwear likelihood." }, "fdBoundingPoly": { "$ref": "GoogleCloudVisionV1p2beta1BoundingPoly", "description": "The `fd_bounding_poly` bounding polygon is tighter than the `boundingPoly`, and encloses only the skin part of the face. Typically, it is used to eliminate the face from any image analysis that detects the \"amount of skin\" visible in an image. It is not based on the landmarker results, only on the initial face detection, hence the fd (face detection) prefix." }, "boundingPoly": { "$ref": "GoogleCloudVisionV1p2beta1BoundingPoly", "description": "The bounding polygon around the face. The coordinates of the bounding box are in the original image's scale. The bounding box is computed to \"frame\" the face in accordance with human expectations. It is based on the landmarker results. Note that one or more x and/or y coordinates may not be generated in the `BoundingPoly` (the polygon will be unbounded) if only a partial face appears in the image to be annotated." }, "sorrowLikelihood": { "description": "Sorrow likelihood.", "enum": [ "UNKNOWN", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ], "type": "string", "enumDescriptions": [ "Unknown likelihood.", "It is very unlikely.", "It is unlikely.", "It is possible.", "It is likely.", "It is very likely." ] }, "joyLikelihood": { "description": "Joy likelihood.", "type": "string", "enum": [ "UNKNOWN", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ], "enumDescriptions": [ "Unknown likelihood.", "It is very unlikely.", "It is unlikely.", "It is possible.", "It is likely.", "It is very likely." ] }, "surpriseLikelihood": { "enum": [ "UNKNOWN", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ], "description": "Surprise likelihood.", "enumDescriptions": [ "Unknown likelihood.", "It is very unlikely.", "It is unlikely.", "It is possible.", "It is likely.", "It is very likely." ], "type": "string" }, "angerLikelihood": { "description": "Anger likelihood.", "enum": [ "UNKNOWN", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ], "type": "string", "enumDescriptions": [ "Unknown likelihood.", "It is very unlikely.", "It is unlikely.", "It is possible.", "It is likely.", "It is very likely." ] }, "underExposedLikelihood": { "enumDescriptions": [ "Unknown likelihood.", "It is very unlikely.", "It is unlikely.", "It is possible.", "It is likely.", "It is very likely." ], "type": "string", "description": "Under-exposed likelihood.", "enum": [ "UNKNOWN", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ] } } }, "BatchOperationMetadata": { "id": "BatchOperationMetadata", "type": "object", "properties": { "endTime": { "format": "google-datetime", "description": "The time when the batch request is finished and google.longrunning.Operation.done is set to true.", "type": "string" }, "state": { "description": "The current state of the batch operation.", "type": "string", "enumDescriptions": [ "Invalid.", "Request is actively being processed.", "The request is done and at least one item has been successfully processed.", "The request is done and no item has been successfully processed.", "The request is done after the longrunning.Operations.CancelOperation has been called by the user. Any records that were processed before the cancel command are output as specified in the request." ], "enum": [ "STATE_UNSPECIFIED", "PROCESSING", "SUCCESSFUL", "FAILED", "CANCELLED" ] }, "submitTime": { "format": "google-datetime", "description": "The time when the batch request was submitted to the server.", "type": "string" } }, "description": "Metadata for the batch operations such as the current state. This is included in the `metadata` field of the `Operation` returned by the `GetOperation` call of the `google::longrunning::Operations` service." }, "GoogleCloudVisionV1p4beta1GcsDestination": { "type": "object", "description": "The Google Cloud Storage location where the output will be written to.", "properties": { "uri": { "type": "string", "description": "Google Cloud Storage URI prefix where the results will be stored. Results will be in JSON format and preceded by its corresponding input URI prefix. This field can either represent a gcs file prefix or gcs directory. In either case, the uri should be unique because in order to get all of the output files, you will need to do a wildcard gcs search on the uri prefix you provide. Examples: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh File Prefix: gs://bucket-name/here/filenameprefix The output files will be created in gs://bucket-name/here/ and the names of the output files will begin with \"filenameprefix\". LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Directory Prefix: gs://bucket-name/some/location/ The output files will be created in gs://bucket-name/some/location/ and the names of the output files could be anything because there was no filename prefix specified. If multiple outputs, each response is still AnnotateFileResponse, each of which contains some subset of the full list of AnnotateImageResponse. Multiple outputs can happen if, for example, the output JSON is too large and overflows into multiple sharded files." } }, "id": "GoogleCloudVisionV1p4beta1GcsDestination" }, "Result": { "description": "Information about a product.", "type": "object", "id": "Result", "properties": { "product": { "$ref": "Product", "description": "The Product." }, "score": { "description": "A confidence level on the match, ranging from 0 (no confidence) to 1 (full confidence).", "type": "number", "format": "float" }, "image": { "description": "The resource name of the image from the product that is the closest match to the query.", "type": "string" } } }, "GoogleCloudVisionV1p1beta1EntityAnnotation": { "properties": { "locale": { "description": "The language code for the locale in which the entity textual `description` is expressed.", "type": "string" }, "confidence": { "format": "float", "description": "**Deprecated. Use `score` instead.** The accuracy of the entity detection in an image. For example, for an image in which the \"Eiffel Tower\" entity is detected, this field represents the confidence that there is a tower in the query image. Range [0, 1].", "type": "number" }, "topicality": { "description": "The relevancy of the ICA (Image Content Annotation) label to the image. For example, the relevancy of \"tower\" is likely higher to an image containing the detected \"Eiffel Tower\" than to an image containing a detected distant towering building, even though the confidence that there is a tower in each image may be the same. Range [0, 1].", "format": "float", "type": "number" }, "mid": { "type": "string", "description": "Opaque entity ID. Some IDs may be available in [Google Knowledge Graph Search API](https://developers.google.com/knowledge-graph/)." }, "locations": { "description": "The location information for the detected entity. Multiple `LocationInfo` elements can be present because one location may indicate the location of the scene in the image, and another location may indicate the location of the place where the image was taken. Location information is usually present for landmarks.", "type": "array", "items": { "$ref": "GoogleCloudVisionV1p1beta1LocationInfo" } }, "boundingPoly": { "description": "Image region to which this entity belongs. Not produced for `LABEL_DETECTION` features.", "$ref": "GoogleCloudVisionV1p1beta1BoundingPoly" }, "properties": { "items": { "$ref": "GoogleCloudVisionV1p1beta1Property" }, "type": "array", "description": "Some entities may have optional user-supplied `Property` (name/value) fields, such a score or string that qualifies the entity." }, "description": { "type": "string", "description": "Entity textual description, expressed in its `locale` language." }, "score": { "format": "float", "type": "number", "description": "Overall score of the result. Range [0, 1]." } }, "description": "Set of detected entity features.", "type": "object", "id": "GoogleCloudVisionV1p1beta1EntityAnnotation" }, "GoogleCloudVisionV1p3beta1Symbol": { "description": "A single symbol representation.", "id": "GoogleCloudVisionV1p3beta1Symbol", "type": "object", "properties": { "text": { "type": "string", "description": "The actual UTF-8 representation of the symbol." }, "boundingBox": { "$ref": "GoogleCloudVisionV1p3beta1BoundingPoly", "description": "The bounding box for the symbol. The vertices are in the order of top-left, top-right, bottom-right, bottom-left. When a rotation of the bounding box is detected the rotation is represented as around the top-left corner as defined when the text is read in the 'natural' orientation. For example: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh when the text is horizontal it might look like: 0----1 | | 3----2 LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh when it's rotated 180 degrees around the top-left corner it becomes: 2----3 | | 1----0 and the vertex order will still be (0, 1, 2, 3)." }, "property": { "$ref": "GoogleCloudVisionV1p3beta1TextAnnotationTextProperty", "description": "Additional information detected for the symbol." }, "confidence": { "description": "Confidence of the OCR results for the symbol. Range [0, 1].", "type": "number", "format": "float" } } }, "GoogleCloudVisionV1p4beta1AsyncAnnotateFileResponse": { "type": "object", "id": "GoogleCloudVisionV1p4beta1AsyncAnnotateFileResponse", "description": "The response for a single offline file annotation request.", "properties": { "outputConfig": { "description": "The output location and metadata from AsyncAnnotateFileRequest.", "$ref": "GoogleCloudVisionV1p4beta1OutputConfig" } } }, "AnnotateFileRequest": { "properties": { "pages": { "type": "array", "description": "Pages of the file to perform image annotation. Pages starts from 1, we assume the first page of the file is page 1. At most 5 pages are supported per request. Pages can be negative. Page 1 means the first page. Page 2 means the second page. Page -1 means the last page. Page -2 means the second to the last page. If the file is GIF instead of PDF or TIFF, page refers to GIF frames. If this field is empty, by default the service performs image annotation for the first 5 pages of the file.", "items": { "format": "int32", "type": "integer" } }, "features": { "items": { "$ref": "Feature" }, "description": "Required. Requested features.", "type": "array" }, "imageContext": { "$ref": "ImageContext", "description": "Additional context that may accompany the image(s) in the file." }, "inputConfig": { "description": "Required. Information about the input file.", "$ref": "InputConfig" } }, "type": "object", "id": "AnnotateFileRequest", "description": "A request to annotate one single file, e.g. a PDF, TIFF or GIF file." }, "Empty": { "type": "object", "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }", "properties": {}, "id": "Empty" }, "GoogleCloudVisionV1p2beta1ProductSearchResultsResult": { "properties": { "product": { "description": "The Product.", "$ref": "GoogleCloudVisionV1p2beta1Product" }, "image": { "type": "string", "description": "The resource name of the image from the product that is the closest match to the query." }, "score": { "format": "float", "type": "number", "description": "A confidence level on the match, ranging from 0 (no confidence) to 1 (full confidence)." } }, "description": "Information about a product.", "type": "object", "id": "GoogleCloudVisionV1p2beta1ProductSearchResultsResult" }, "GoogleCloudVisionV1p3beta1BoundingPoly": { "id": "GoogleCloudVisionV1p3beta1BoundingPoly", "description": "A bounding polygon for the detected image annotation.", "type": "object", "properties": { "normalizedVertices": { "type": "array", "items": { "$ref": "GoogleCloudVisionV1p3beta1NormalizedVertex" }, "description": "The bounding polygon normalized vertices." }, "vertices": { "items": { "$ref": "GoogleCloudVisionV1p3beta1Vertex" }, "type": "array", "description": "The bounding polygon vertices." } } }, "GoogleCloudVisionV1p4beta1ImageProperties": { "id": "GoogleCloudVisionV1p4beta1ImageProperties", "description": "Stores image properties, such as dominant colors.", "properties": { "dominantColors": { "description": "If present, dominant colors completed successfully.", "$ref": "GoogleCloudVisionV1p4beta1DominantColorsAnnotation" } }, "type": "object" }, "GoogleCloudVisionV1p4beta1WebDetectionWebEntity": { "properties": { "entityId": { "description": "Opaque entity ID.", "type": "string" }, "description": { "description": "Canonical description of the entity, in English.", "type": "string" }, "score": { "description": "Overall relevancy score for the entity. Not normalized and not comparable across different image queries.", "format": "float", "type": "number" } }, "description": "Entity deduced from similar images on the Internet.", "id": "GoogleCloudVisionV1p4beta1WebDetectionWebEntity", "type": "object" }, "GoogleCloudVisionV1p2beta1LocationInfo": { "properties": { "latLng": { "description": "lat/long location coordinates.", "$ref": "LatLng" } }, "description": "Detected entity location information.", "id": "GoogleCloudVisionV1p2beta1LocationInfo", "type": "object" }, "AsyncBatchAnnotateFilesRequest": { "properties": { "parent": { "description": "Optional. Target project and location to make a call. Format: `projects/{project-id}/locations/{location-id}`. If no parent is specified, a region will be chosen automatically. Supported location-ids: `us`: USA country only, `asia`: East asia areas, like Japan, Taiwan, `eu`: The European Union. Example: `projects/project-A/locations/eu`.", "type": "string" }, "requests": { "type": "array", "description": "Required. Individual async file annotation requests for this batch.", "items": { "$ref": "AsyncAnnotateFileRequest" } } }, "id": "AsyncBatchAnnotateFilesRequest", "description": "Multiple async file annotation requests are batched into a single service call.", "type": "object" }, "ImportProductSetsResponse": { "properties": { "referenceImages": { "items": { "$ref": "ReferenceImage" }, "type": "array", "description": "The list of reference_images that are imported successfully." }, "statuses": { "type": "array", "items": { "$ref": "Status" }, "description": "The rpc status for each ImportProductSet request, including both successes and errors. The number of statuses here matches the number of lines in the csv file, and statuses[i] stores the success or failure status of processing the i-th line of the csv, starting from line 0." } }, "id": "ImportProductSetsResponse", "type": "object", "description": "Response message for the `ImportProductSets` method. This message is returned by the google.longrunning.Operations.GetOperation method in the returned google.longrunning.Operation.response field." }, "GoogleCloudVisionV1p2beta1TextAnnotation": { "description": "TextAnnotation contains a structured representation of OCR extracted text. The hierarchy of an OCR extracted text structure is like this: TextAnnotation -\u003e Page -\u003e Block -\u003e Paragraph -\u003e Word -\u003e Symbol Each structural component, starting from Page, may further have their own properties. Properties describe detected languages, breaks etc.. Please refer to the TextAnnotation.TextProperty message definition below for more detail.", "properties": { "text": { "description": "UTF-8 text detected on the pages.", "type": "string" }, "pages": { "type": "array", "items": { "$ref": "GoogleCloudVisionV1p2beta1Page" }, "description": "List of pages detected by OCR." } }, "type": "object", "id": "GoogleCloudVisionV1p2beta1TextAnnotation" }, "GoogleCloudVisionV1p4beta1TextAnnotationTextProperty": { "properties": { "detectedBreak": { "$ref": "GoogleCloudVisionV1p4beta1TextAnnotationDetectedBreak", "description": "Detected start or end of a text segment." }, "detectedLanguages": { "items": { "$ref": "GoogleCloudVisionV1p4beta1TextAnnotationDetectedLanguage" }, "description": "A list of detected languages together with confidence.", "type": "array" } }, "id": "GoogleCloudVisionV1p4beta1TextAnnotationTextProperty", "type": "object", "description": "Additional information detected on the structural component." }, "GoogleCloudVisionV1p4beta1CropHint": { "id": "GoogleCloudVisionV1p4beta1CropHint", "properties": { "confidence": { "type": "number", "format": "float", "description": "Confidence of this being a salient region. Range [0, 1]." }, "importanceFraction": { "format": "float", "description": "Fraction of importance of this salient region with respect to the original image.", "type": "number" }, "boundingPoly": { "$ref": "GoogleCloudVisionV1p4beta1BoundingPoly", "description": "The bounding polygon for the crop region. The coordinates of the bounding box are in the original image's scale." } }, "type": "object", "description": "Single crop hint that is used to generate a new crop when serving an image." }, "GoogleCloudVisionV1p3beta1Product": { "properties": { "displayName": { "type": "string", "description": "The user-provided name for this Product. Must not be empty. Must be at most 4096 characters long." }, "productCategory": { "type": "string", "description": "Immutable. The category for the product identified by the reference image. This should be one of \"homegoods-v2\", \"apparel-v2\", \"toys-v2\", \"packagedgoods-v1\" or \"general-v1\". The legacy categories \"homegoods\", \"apparel\", and \"toys\" are still supported, but these should not be used for new products." }, "name": { "type": "string", "description": "The resource name of the product. Format is: `projects/PROJECT_ID/locations/LOC_ID/products/PRODUCT_ID`. This field is ignored when creating a product." }, "description": { "type": "string", "description": "User-provided metadata to be stored with this product. Must be at most 4096 characters long." }, "productLabels": { "items": { "$ref": "GoogleCloudVisionV1p3beta1ProductKeyValue" }, "description": "Key-value pairs that can be attached to a product. At query time, constraints can be specified based on the product_labels. Note that integer values can be provided as strings, e.g. \"1199\". Only strings with integer values can match a range-based restriction which is to be supported soon. Multiple values can be assigned to the same key. One product may have up to 500 product_labels. Notice that the total number of distinct product_labels over all products in one ProductSet cannot exceed 1M, otherwise the product search pipeline will refuse to work for that ProductSet.", "type": "array" } }, "type": "object", "id": "GoogleCloudVisionV1p3beta1Product", "description": "A Product contains ReferenceImages." }, "CropHintsParams": { "id": "CropHintsParams", "description": "Parameters for crop hints annotation request.", "properties": { "aspectRatios": { "description": "Aspect ratios in floats, representing the ratio of the width to the height of the image. For example, if the desired aspect ratio is 4/3, the corresponding float value should be 1.33333. If not specified, the best possible crop is returned. The number of provided aspect ratios is limited to a maximum of 16; any aspect ratios provided after the 16th are ignored.", "items": { "format": "float", "type": "number" }, "type": "array" } }, "type": "object" }, "GoogleCloudVisionV1p4beta1ProductSearchResultsObjectAnnotation": { "type": "object", "description": "Prediction for what the object in the bounding box is.", "properties": { "languageCode": { "description": "The BCP-47 language code, such as \"en-US\" or \"sr-Latn\". For more information, see http://www.unicode.org/reports/tr35/#Unicode_locale_identifier.", "type": "string" }, "mid": { "type": "string", "description": "Object ID that should align with EntityAnnotation mid." }, "name": { "description": "Object name, expressed in its `language_code` language.", "type": "string" }, "score": { "type": "number", "format": "float", "description": "Score of the result. Range [0, 1]." } }, "id": "GoogleCloudVisionV1p4beta1ProductSearchResultsObjectAnnotation" }, "GoogleCloudVisionV1p4beta1TextAnnotation": { "properties": { "pages": { "items": { "$ref": "GoogleCloudVisionV1p4beta1Page" }, "description": "List of pages detected by OCR.", "type": "array" }, "text": { "type": "string", "description": "UTF-8 text detected on the pages." } }, "type": "object", "id": "GoogleCloudVisionV1p4beta1TextAnnotation", "description": "TextAnnotation contains a structured representation of OCR extracted text. The hierarchy of an OCR extracted text structure is like this: TextAnnotation -\u003e Page -\u003e Block -\u003e Paragraph -\u003e Word -\u003e Symbol Each structural component, starting from Page, may further have their own properties. Properties describe detected languages, breaks etc.. Please refer to the TextAnnotation.TextProperty message definition below for more detail." }, "GoogleCloudVisionV1p4beta1Product": { "type": "object", "properties": { "displayName": { "type": "string", "description": "The user-provided name for this Product. Must not be empty. Must be at most 4096 characters long." }, "description": { "type": "string", "description": "User-provided metadata to be stored with this product. Must be at most 4096 characters long." }, "name": { "description": "The resource name of the product. Format is: `projects/PROJECT_ID/locations/LOC_ID/products/PRODUCT_ID`. This field is ignored when creating a product.", "type": "string" }, "productCategory": { "type": "string", "description": "Immutable. The category for the product identified by the reference image. This should be one of \"homegoods-v2\", \"apparel-v2\", \"toys-v2\", \"packagedgoods-v1\" or \"general-v1\". The legacy categories \"homegoods\", \"apparel\", and \"toys\" are still supported, but these should not be used for new products." }, "productLabels": { "type": "array", "items": { "$ref": "GoogleCloudVisionV1p4beta1ProductKeyValue" }, "description": "Key-value pairs that can be attached to a product. At query time, constraints can be specified based on the product_labels. Note that integer values can be provided as strings, e.g. \"1199\". Only strings with integer values can match a range-based restriction which is to be supported soon. Multiple values can be assigned to the same key. One product may have up to 500 product_labels. Notice that the total number of distinct product_labels over all products in one ProductSet cannot exceed 1M, otherwise the product search pipeline will refuse to work for that ProductSet." } }, "description": "A Product contains ReferenceImages.", "id": "GoogleCloudVisionV1p4beta1Product" }, "GoogleCloudVisionV1p3beta1AsyncAnnotateFileResponse": { "properties": { "outputConfig": { "description": "The output location and metadata from AsyncAnnotateFileRequest.", "$ref": "GoogleCloudVisionV1p3beta1OutputConfig" } }, "id": "GoogleCloudVisionV1p3beta1AsyncAnnotateFileResponse", "description": "The response for a single offline file annotation request.", "type": "object" }, "GoogleCloudVisionV1p2beta1ColorInfo": { "id": "GoogleCloudVisionV1p2beta1ColorInfo", "properties": { "score": { "type": "number", "format": "float", "description": "Image-specific score for this color. Value in range [0, 1]." }, "color": { "description": "RGB components of the color.", "$ref": "Color" }, "pixelFraction": { "format": "float", "type": "number", "description": "The fraction of pixels the color occupies in the image. Value in range [0, 1]." } }, "type": "object", "description": "Color information consists of RGB channels, score, and the fraction of the image that the color occupies in the image." }, "EntityAnnotation": { "type": "object", "id": "EntityAnnotation", "description": "Set of detected entity features.", "properties": { "locale": { "description": "The language code for the locale in which the entity textual `description` is expressed.", "type": "string" }, "boundingPoly": { "$ref": "BoundingPoly", "description": "Image region to which this entity belongs. Not produced for `LABEL_DETECTION` features." }, "confidence": { "type": "number", "format": "float", "description": "**Deprecated. Use `score` instead.** The accuracy of the entity detection in an image. For example, for an image in which the \"Eiffel Tower\" entity is detected, this field represents the confidence that there is a tower in the query image. Range [0, 1]." }, "properties": { "type": "array", "description": "Some entities may have optional user-supplied `Property` (name/value) fields, such a score or string that qualifies the entity.", "items": { "$ref": "Property" } }, "mid": { "type": "string", "description": "Opaque entity ID. Some IDs may be available in [Google Knowledge Graph Search API](https://developers.google.com/knowledge-graph/)." }, "score": { "description": "Overall score of the result. Range [0, 1].", "type": "number", "format": "float" }, "description": { "description": "Entity textual description, expressed in its `locale` language.", "type": "string" }, "topicality": { "type": "number", "format": "float", "description": "The relevancy of the ICA (Image Content Annotation) label to the image. For example, the relevancy of \"tower\" is likely higher to an image containing the detected \"Eiffel Tower\" than to an image containing a detected distant towering building, even though the confidence that there is a tower in each image may be the same. Range [0, 1]." }, "locations": { "type": "array", "description": "The location information for the detected entity. Multiple `LocationInfo` elements can be present because one location may indicate the location of the scene in the image, and another location may indicate the location of the place where the image was taken. Location information is usually present for landmarks.", "items": { "$ref": "LocationInfo" } } } }, "GoogleCloudVisionV1p4beta1ColorInfo": { "properties": { "pixelFraction": { "format": "float", "type": "number", "description": "The fraction of pixels the color occupies in the image. Value in range [0, 1]." }, "score": { "type": "number", "format": "float", "description": "Image-specific score for this color. Value in range [0, 1]." }, "color": { "$ref": "Color", "description": "RGB components of the color." } }, "id": "GoogleCloudVisionV1p4beta1ColorInfo", "type": "object", "description": "Color information consists of RGB channels, score, and the fraction of the image that the color occupies in the image." }, "GoogleCloudVisionV1p3beta1FaceAnnotation": { "description": "A face annotation object contains the results of face detection.", "type": "object", "id": "GoogleCloudVisionV1p3beta1FaceAnnotation", "properties": { "landmarks": { "items": { "$ref": "GoogleCloudVisionV1p3beta1FaceAnnotationLandmark" }, "type": "array", "description": "Detected face landmarks." }, "rollAngle": { "type": "number", "format": "float", "description": "Roll angle, which indicates the amount of clockwise/anti-clockwise rotation of the face relative to the image vertical about the axis perpendicular to the face. Range [-180,180]." }, "detectionConfidence": { "format": "float", "type": "number", "description": "Detection confidence. Range [0, 1]." }, "underExposedLikelihood": { "enum": [ "UNKNOWN", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ], "description": "Under-exposed likelihood.", "enumDescriptions": [ "Unknown likelihood.", "It is very unlikely.", "It is unlikely.", "It is possible.", "It is likely.", "It is very likely." ], "type": "string" }, "tiltAngle": { "description": "Pitch angle, which indicates the upwards/downwards angle that the face is pointing relative to the image's horizontal plane. Range [-180,180].", "type": "number", "format": "float" }, "landmarkingConfidence": { "description": "Face landmarking confidence. Range [0, 1].", "type": "number", "format": "float" }, "surpriseLikelihood": { "enum": [ "UNKNOWN", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ], "type": "string", "description": "Surprise likelihood.", "enumDescriptions": [ "Unknown likelihood.", "It is very unlikely.", "It is unlikely.", "It is possible.", "It is likely.", "It is very likely." ] }, "boundingPoly": { "$ref": "GoogleCloudVisionV1p3beta1BoundingPoly", "description": "The bounding polygon around the face. The coordinates of the bounding box are in the original image's scale. The bounding box is computed to \"frame\" the face in accordance with human expectations. It is based on the landmarker results. Note that one or more x and/or y coordinates may not be generated in the `BoundingPoly` (the polygon will be unbounded) if only a partial face appears in the image to be annotated." }, "blurredLikelihood": { "enumDescriptions": [ "Unknown likelihood.", "It is very unlikely.", "It is unlikely.", "It is possible.", "It is likely.", "It is very likely." ], "type": "string", "enum": [ "UNKNOWN", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ], "description": "Blurred likelihood." }, "joyLikelihood": { "description": "Joy likelihood.", "enum": [ "UNKNOWN", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ], "type": "string", "enumDescriptions": [ "Unknown likelihood.", "It is very unlikely.", "It is unlikely.", "It is possible.", "It is likely.", "It is very likely." ] }, "headwearLikelihood": { "type": "string", "description": "Headwear likelihood.", "enum": [ "UNKNOWN", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ], "enumDescriptions": [ "Unknown likelihood.", "It is very unlikely.", "It is unlikely.", "It is possible.", "It is likely.", "It is very likely." ] }, "panAngle": { "description": "Yaw angle, which indicates the leftward/rightward angle that the face is pointing relative to the vertical plane perpendicular to the image. Range [-180,180].", "type": "number", "format": "float" }, "angerLikelihood": { "enumDescriptions": [ "Unknown likelihood.", "It is very unlikely.", "It is unlikely.", "It is possible.", "It is likely.", "It is very likely." ], "enum": [ "UNKNOWN", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ], "type": "string", "description": "Anger likelihood." }, "sorrowLikelihood": { "type": "string", "description": "Sorrow likelihood.", "enum": [ "UNKNOWN", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ], "enumDescriptions": [ "Unknown likelihood.", "It is very unlikely.", "It is unlikely.", "It is possible.", "It is likely.", "It is very likely." ] }, "fdBoundingPoly": { "description": "The `fd_bounding_poly` bounding polygon is tighter than the `boundingPoly`, and encloses only the skin part of the face. Typically, it is used to eliminate the face from any image analysis that detects the \"amount of skin\" visible in an image. It is not based on the landmarker results, only on the initial face detection, hence the fd (face detection) prefix.", "$ref": "GoogleCloudVisionV1p3beta1BoundingPoly" } } }, "GoogleCloudVisionV1p1beta1Product": { "id": "GoogleCloudVisionV1p1beta1Product", "type": "object", "properties": { "displayName": { "type": "string", "description": "The user-provided name for this Product. Must not be empty. Must be at most 4096 characters long." }, "productCategory": { "description": "Immutable. The category for the product identified by the reference image. This should be one of \"homegoods-v2\", \"apparel-v2\", \"toys-v2\", \"packagedgoods-v1\" or \"general-v1\". The legacy categories \"homegoods\", \"apparel\", and \"toys\" are still supported, but these should not be used for new products.", "type": "string" }, "productLabels": { "description": "Key-value pairs that can be attached to a product. At query time, constraints can be specified based on the product_labels. Note that integer values can be provided as strings, e.g. \"1199\". Only strings with integer values can match a range-based restriction which is to be supported soon. Multiple values can be assigned to the same key. One product may have up to 500 product_labels. Notice that the total number of distinct product_labels over all products in one ProductSet cannot exceed 1M, otherwise the product search pipeline will refuse to work for that ProductSet.", "type": "array", "items": { "$ref": "GoogleCloudVisionV1p1beta1ProductKeyValue" } }, "name": { "type": "string", "description": "The resource name of the product. Format is: `projects/PROJECT_ID/locations/LOC_ID/products/PRODUCT_ID`. This field is ignored when creating a product." }, "description": { "description": "User-provided metadata to be stored with this product. Must be at most 4096 characters long.", "type": "string" } }, "description": "A Product contains ReferenceImages." }, "GoogleCloudVisionV1p3beta1AsyncBatchAnnotateFilesResponse": { "properties": { "responses": { "type": "array", "description": "The list of file annotation responses, one for each request in AsyncBatchAnnotateFilesRequest.", "items": { "$ref": "GoogleCloudVisionV1p3beta1AsyncAnnotateFileResponse" } } }, "description": "Response to an async batch file annotation request.", "id": "GoogleCloudVisionV1p3beta1AsyncBatchAnnotateFilesResponse", "type": "object" }, "GoogleCloudVisionV1p1beta1ColorInfo": { "type": "object", "properties": { "pixelFraction": { "type": "number", "format": "float", "description": "The fraction of pixels the color occupies in the image. Value in range [0, 1]." }, "score": { "type": "number", "description": "Image-specific score for this color. Value in range [0, 1].", "format": "float" }, "color": { "description": "RGB components of the color.", "$ref": "Color" } }, "description": "Color information consists of RGB channels, score, and the fraction of the image that the color occupies in the image.", "id": "GoogleCloudVisionV1p1beta1ColorInfo" }, "GoogleCloudVisionV1p4beta1ProductKeyValue": { "type": "object", "properties": { "value": { "type": "string", "description": "The value of the label attached to the product. Cannot be empty and cannot exceed 128 bytes." }, "key": { "type": "string", "description": "The key of the label attached to the product. Cannot be empty and cannot exceed 128 bytes." } }, "id": "GoogleCloudVisionV1p4beta1ProductKeyValue", "description": "A product label represented as a key-value pair." }, "GoogleCloudVisionV1p4beta1WebDetection": { "id": "GoogleCloudVisionV1p4beta1WebDetection", "type": "object", "description": "Relevant information for the image from the Internet.", "properties": { "visuallySimilarImages": { "items": { "$ref": "GoogleCloudVisionV1p4beta1WebDetectionWebImage" }, "type": "array", "description": "The visually similar image results." }, "pagesWithMatchingImages": { "items": { "$ref": "GoogleCloudVisionV1p4beta1WebDetectionWebPage" }, "description": "Web pages containing the matching images from the Internet.", "type": "array" }, "webEntities": { "items": { "$ref": "GoogleCloudVisionV1p4beta1WebDetectionWebEntity" }, "type": "array", "description": "Deduced entities from similar images on the Internet." }, "bestGuessLabels": { "type": "array", "description": "The service's best guess as to the topic of the request image. Inferred from similar images on the open web.", "items": { "$ref": "GoogleCloudVisionV1p4beta1WebDetectionWebLabel" } }, "partialMatchingImages": { "items": { "$ref": "GoogleCloudVisionV1p4beta1WebDetectionWebImage" }, "type": "array", "description": "Partial matching images from the Internet. Those images are similar enough to share some key-point features. For example an original image will likely have partial matching for its crops." }, "fullMatchingImages": { "description": "Fully matching images from the Internet. Can include resized copies of the query image.", "items": { "$ref": "GoogleCloudVisionV1p4beta1WebDetectionWebImage" }, "type": "array" } } }, "GoogleCloudVisionV1p2beta1ImageProperties": { "id": "GoogleCloudVisionV1p2beta1ImageProperties", "properties": { "dominantColors": { "description": "If present, dominant colors completed successfully.", "$ref": "GoogleCloudVisionV1p2beta1DominantColorsAnnotation" } }, "type": "object", "description": "Stores image properties, such as dominant colors." }, "GoogleCloudVisionV1p1beta1Paragraph": { "properties": { "property": { "$ref": "GoogleCloudVisionV1p1beta1TextAnnotationTextProperty", "description": "Additional information detected for the paragraph." }, "words": { "description": "List of all words in this paragraph.", "items": { "$ref": "GoogleCloudVisionV1p1beta1Word" }, "type": "array" }, "confidence": { "description": "Confidence of the OCR results for the paragraph. Range [0, 1].", "format": "float", "type": "number" }, "boundingBox": { "$ref": "GoogleCloudVisionV1p1beta1BoundingPoly", "description": "The bounding box for the paragraph. The vertices are in the order of top-left, top-right, bottom-right, bottom-left. When a rotation of the bounding box is detected the rotation is represented as around the top-left corner as defined when the text is read in the 'natural' orientation. For example: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh when the text is horizontal it might look like: 0----1 | | 3----2 LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh when it's rotated 180 degrees around the top-left corner it becomes: 2----3 | | 1----0 and the vertex order will still be (0, 1, 2, 3)." } }, "type": "object", "description": "Structural unit of text representing a number of words in certain order.", "id": "GoogleCloudVisionV1p1beta1Paragraph" }, "Operation": { "description": "This resource represents a long-running operation that is the result of a network API call.", "id": "Operation", "type": "object", "properties": { "done": { "type": "boolean", "description": "If the value is `false`, it means the operation is still in progress. If `true`, the operation is completed, and either `error` or `response` is available." }, "name": { "description": "The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the `name` should be a resource name ending with `operations/{unique_id}`.", "type": "string" }, "error": { "description": "The error result of the operation in case of failure or cancellation.", "$ref": "Status" }, "metadata": { "type": "object", "description": "Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any.", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" } }, "response": { "description": "The normal response of the operation in case of success. If the original method returns no data on success, such as `Delete`, the response is `google.protobuf.Empty`. If the original method is standard `Get`/`Create`/`Update`, the response should be the resource. For other methods, the response should have the type `XxxResponse`, where `Xxx` is the original method name. For example, if the original method name is `TakeSnapshot()`, the inferred response type is `TakeSnapshotResponse`.", "type": "object", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." } } } }, "ListProductsInProductSetResponse": { "id": "ListProductsInProductSetResponse", "properties": { "nextPageToken": { "description": "Token to retrieve the next page of results, or empty if there are no more results in the list.", "type": "string" }, "products": { "items": { "$ref": "Product" }, "type": "array", "description": "The list of Products." } }, "description": "Response message for the `ListProductsInProductSet` method.", "type": "object" }, "InputConfig": { "properties": { "mimeType": { "description": "The type of the file. Currently only \"application/pdf\", \"image/tiff\" and \"image/gif\" are supported. Wildcards are not supported.", "type": "string" }, "content": { "format": "byte", "type": "string", "description": "File content, represented as a stream of bytes. Note: As with all `bytes` fields, protobuffers use a pure binary representation, whereas JSON representations use base64. Currently, this field only works for BatchAnnotateFiles requests. It does not work for AsyncBatchAnnotateFiles requests." }, "gcsSource": { "description": "The Google Cloud Storage location to read the input from.", "$ref": "GcsSource" } }, "type": "object", "id": "InputConfig", "description": "The desired input location and metadata." }, "GoogleCloudVisionV1p2beta1GcsSource": { "properties": { "uri": { "type": "string", "description": "Google Cloud Storage URI for the input file. This must only be a Google Cloud Storage object. Wildcards are not currently supported." } }, "type": "object", "id": "GoogleCloudVisionV1p2beta1GcsSource", "description": "The Google Cloud Storage location where the input will be read from." }, "GoogleCloudVisionV1p4beta1LocationInfo": { "id": "GoogleCloudVisionV1p4beta1LocationInfo", "properties": { "latLng": { "description": "lat/long location coordinates.", "$ref": "LatLng" } }, "type": "object", "description": "Detected entity location information." }, "GoogleCloudVisionV1p2beta1OperationMetadata": { "properties": { "createTime": { "description": "The time when the batch request was received.", "type": "string", "format": "google-datetime" }, "updateTime": { "description": "The time when the operation result was last updated.", "type": "string", "format": "google-datetime" }, "state": { "type": "string", "description": "Current state of the batch operation.", "enumDescriptions": [ "Invalid.", "Request is received.", "Request is actively being processed.", "The batch processing is done.", "The batch processing was cancelled." ], "enum": [ "STATE_UNSPECIFIED", "CREATED", "RUNNING", "DONE", "CANCELLED" ] } }, "description": "Contains metadata for the BatchAnnotateImages operation.", "type": "object", "id": "GoogleCloudVisionV1p2beta1OperationMetadata" }, "GoogleCloudVisionV1p1beta1SafeSearchAnnotation": { "properties": { "violence": { "type": "string", "description": "Likelihood that this image contains violent content.", "enum": [ "UNKNOWN", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ], "enumDescriptions": [ "Unknown likelihood.", "It is very unlikely.", "It is unlikely.", "It is possible.", "It is likely.", "It is very likely." ] }, "medical": { "description": "Likelihood that this is a medical image.", "type": "string", "enumDescriptions": [ "Unknown likelihood.", "It is very unlikely.", "It is unlikely.", "It is possible.", "It is likely.", "It is very likely." ], "enum": [ "UNKNOWN", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ] }, "racy": { "enumDescriptions": [ "Unknown likelihood.", "It is very unlikely.", "It is unlikely.", "It is possible.", "It is likely.", "It is very likely." ], "enum": [ "UNKNOWN", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ], "type": "string", "description": "Likelihood that the request image contains racy content. Racy content may include (but is not limited to) skimpy or sheer clothing, strategically covered nudity, lewd or provocative poses, or close-ups of sensitive body areas." }, "adult": { "enumDescriptions": [ "Unknown likelihood.", "It is very unlikely.", "It is unlikely.", "It is possible.", "It is likely.", "It is very likely." ], "enum": [ "UNKNOWN", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ], "description": "Represents the adult content likelihood for the image. Adult content may contain elements such as nudity, pornographic images or cartoons, or sexual activities.", "type": "string" }, "spoof": { "enumDescriptions": [ "Unknown likelihood.", "It is very unlikely.", "It is unlikely.", "It is possible.", "It is likely.", "It is very likely." ], "description": "Spoof likelihood. The likelihood that an modification was made to the image's canonical version to make it appear funny or offensive.", "type": "string", "enum": [ "UNKNOWN", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ] } }, "description": "Set of features pertaining to the image, computed by computer vision methods over safe-search verticals (for example, adult, spoof, medical, violence).", "id": "GoogleCloudVisionV1p1beta1SafeSearchAnnotation", "type": "object" }, "GoogleCloudVisionV1p2beta1AnnotateImageResponse": { "type": "object", "description": "Response to an image annotation request.", "id": "GoogleCloudVisionV1p2beta1AnnotateImageResponse", "properties": { "error": { "description": "If set, represents the error message for the operation. Note that filled-in image annotations are guaranteed to be correct, even when `error` is set.", "$ref": "Status" }, "localizedObjectAnnotations": { "items": { "$ref": "GoogleCloudVisionV1p2beta1LocalizedObjectAnnotation" }, "description": "If present, localized object detection has completed successfully. This will be sorted descending by confidence score.", "type": "array" }, "faceAnnotations": { "type": "array", "description": "If present, face detection has completed successfully.", "items": { "$ref": "GoogleCloudVisionV1p2beta1FaceAnnotation" } }, "productSearchResults": { "$ref": "GoogleCloudVisionV1p2beta1ProductSearchResults", "description": "If present, product search has completed successfully." }, "fullTextAnnotation": { "description": "If present, text (OCR) detection or document (OCR) text detection has completed successfully. This annotation provides the structural hierarchy for the OCR detected text.", "$ref": "GoogleCloudVisionV1p2beta1TextAnnotation" }, "landmarkAnnotations": { "description": "If present, landmark detection has completed successfully.", "type": "array", "items": { "$ref": "GoogleCloudVisionV1p2beta1EntityAnnotation" } }, "context": { "$ref": "GoogleCloudVisionV1p2beta1ImageAnnotationContext", "description": "If present, contextual information is needed to understand where this image comes from." }, "safeSearchAnnotation": { "$ref": "GoogleCloudVisionV1p2beta1SafeSearchAnnotation", "description": "If present, safe-search annotation has completed successfully." }, "imagePropertiesAnnotation": { "description": "If present, image properties were extracted successfully.", "$ref": "GoogleCloudVisionV1p2beta1ImageProperties" }, "logoAnnotations": { "items": { "$ref": "GoogleCloudVisionV1p2beta1EntityAnnotation" }, "description": "If present, logo detection has completed successfully.", "type": "array" }, "cropHintsAnnotation": { "$ref": "GoogleCloudVisionV1p2beta1CropHintsAnnotation", "description": "If present, crop hints have completed successfully." }, "labelAnnotations": { "description": "If present, label detection has completed successfully.", "type": "array", "items": { "$ref": "GoogleCloudVisionV1p2beta1EntityAnnotation" } }, "textAnnotations": { "type": "array", "description": "If present, text (OCR) detection has completed successfully.", "items": { "$ref": "GoogleCloudVisionV1p2beta1EntityAnnotation" } }, "webDetection": { "description": "If present, web detection has completed successfully.", "$ref": "GoogleCloudVisionV1p2beta1WebDetection" } } }, "GoogleCloudVisionV1p3beta1DominantColorsAnnotation": { "description": "Set of dominant colors and their corresponding scores.", "properties": { "colors": { "description": "RGB color values with their score and pixel fraction.", "type": "array", "items": { "$ref": "GoogleCloudVisionV1p3beta1ColorInfo" } } }, "id": "GoogleCloudVisionV1p3beta1DominantColorsAnnotation", "type": "object" }, "GoogleCloudVisionV1p1beta1ProductSearchResults": { "properties": { "results": { "items": { "$ref": "GoogleCloudVisionV1p1beta1ProductSearchResultsResult" }, "type": "array", "description": "List of results, one for each product match." }, "indexTime": { "type": "string", "description": "Timestamp of the index which provided these results. Products added to the product set and products removed from the product set after this time are not reflected in the current results.", "format": "google-datetime" }, "productGroupedResults": { "items": { "$ref": "GoogleCloudVisionV1p1beta1ProductSearchResultsGroupedResult" }, "description": "List of results grouped by products detected in the query image. Each entry corresponds to one bounding polygon in the query image, and contains the matching products specific to that region. There may be duplicate product matches in the union of all the per-product results.", "type": "array" } }, "description": "Results for a product search request.", "type": "object", "id": "GoogleCloudVisionV1p1beta1ProductSearchResults" }, "GoogleCloudVisionV1p1beta1AsyncAnnotateFileResponse": { "properties": { "outputConfig": { "description": "The output location and metadata from AsyncAnnotateFileRequest.", "$ref": "GoogleCloudVisionV1p1beta1OutputConfig" } }, "id": "GoogleCloudVisionV1p1beta1AsyncAnnotateFileResponse", "type": "object", "description": "The response for a single offline file annotation request." }, "ProductSearchParams": { "properties": { "boundingPoly": { "$ref": "BoundingPoly", "description": "The bounding polygon around the area of interest in the image. If it is not specified, system discretion will be applied." }, "productSet": { "description": "The resource name of a ProductSet to be searched for similar images. Format is: `projects/PROJECT_ID/locations/LOC_ID/productSets/PRODUCT_SET_ID`.", "type": "string" }, "filter": { "type": "string", "description": "The filtering expression. This can be used to restrict search results based on Product labels. We currently support an AND of OR of key-value expressions, where each expression within an OR must have the same key. An '=' should be used to connect the key and value. For example, \"(color = red OR color = blue) AND brand = Google\" is acceptable, but \"(color = red OR brand = Google)\" is not acceptable. \"color: red\" is not acceptable because it uses a ':' instead of an '='." }, "productCategories": { "description": "The list of product categories to search in. Currently, we only consider the first category, and either \"homegoods-v2\", \"apparel-v2\", \"toys-v2\", \"packagedgoods-v1\", or \"general-v1\" should be specified. The legacy categories \"homegoods\", \"apparel\", and \"toys\" are still supported but will be deprecated. For new products, please use \"homegoods-v2\", \"apparel-v2\", or \"toys-v2\" for better product search accuracy. It is recommended to migrate existing products to these categories as well.", "items": { "type": "string" }, "type": "array" } }, "description": "Parameters for a product search request.", "type": "object", "id": "ProductSearchParams" }, "GoogleCloudVisionV1p3beta1TextAnnotationDetectedLanguage": { "type": "object", "description": "Detected language for a structural component.", "properties": { "languageCode": { "description": "The BCP-47 language code, such as \"en-US\" or \"sr-Latn\". For more information, see http://www.unicode.org/reports/tr35/#Unicode_locale_identifier.", "type": "string" }, "confidence": { "type": "number", "format": "float", "description": "Confidence of detected language. Range [0, 1]." } }, "id": "GoogleCloudVisionV1p3beta1TextAnnotationDetectedLanguage" }, "GoogleCloudVisionV1p4beta1NormalizedVertex": { "description": "A vertex represents a 2D point in the image. NOTE: the normalized vertex coordinates are relative to the original image and range from 0 to 1.", "properties": { "y": { "description": "Y coordinate.", "format": "float", "type": "number" }, "x": { "description": "X coordinate.", "type": "number", "format": "float" } }, "type": "object", "id": "GoogleCloudVisionV1p4beta1NormalizedVertex" }, "GoogleCloudVisionV1p1beta1LocalizedObjectAnnotation": { "properties": { "name": { "type": "string", "description": "Object name, expressed in its `language_code` language." }, "languageCode": { "description": "The BCP-47 language code, such as \"en-US\" or \"sr-Latn\". For more information, see http://www.unicode.org/reports/tr35/#Unicode_locale_identifier.", "type": "string" }, "score": { "description": "Score of the result. Range [0, 1].", "format": "float", "type": "number" }, "boundingPoly": { "description": "Image region to which this object belongs. This must be populated.", "$ref": "GoogleCloudVisionV1p1beta1BoundingPoly" }, "mid": { "type": "string", "description": "Object ID that should align with EntityAnnotation mid." } }, "id": "GoogleCloudVisionV1p1beta1LocalizedObjectAnnotation", "type": "object", "description": "Set of detected objects with bounding boxes." }, "GoogleCloudVisionV1p3beta1ProductSearchResultsObjectAnnotation": { "type": "object", "id": "GoogleCloudVisionV1p3beta1ProductSearchResultsObjectAnnotation", "properties": { "score": { "description": "Score of the result. Range [0, 1].", "type": "number", "format": "float" }, "name": { "description": "Object name, expressed in its `language_code` language.", "type": "string" }, "mid": { "description": "Object ID that should align with EntityAnnotation mid.", "type": "string" }, "languageCode": { "type": "string", "description": "The BCP-47 language code, such as \"en-US\" or \"sr-Latn\". For more information, see http://www.unicode.org/reports/tr35/#Unicode_locale_identifier." } }, "description": "Prediction for what the object in the bounding box is." }, "GoogleCloudVisionV1p4beta1EntityAnnotation": { "type": "object", "id": "GoogleCloudVisionV1p4beta1EntityAnnotation", "properties": { "boundingPoly": { "$ref": "GoogleCloudVisionV1p4beta1BoundingPoly", "description": "Image region to which this entity belongs. Not produced for `LABEL_DETECTION` features." }, "locale": { "type": "string", "description": "The language code for the locale in which the entity textual `description` is expressed." }, "score": { "description": "Overall score of the result. Range [0, 1].", "type": "number", "format": "float" }, "mid": { "type": "string", "description": "Opaque entity ID. Some IDs may be available in [Google Knowledge Graph Search API](https://developers.google.com/knowledge-graph/)." }, "locations": { "type": "array", "description": "The location information for the detected entity. Multiple `LocationInfo` elements can be present because one location may indicate the location of the scene in the image, and another location may indicate the location of the place where the image was taken. Location information is usually present for landmarks.", "items": { "$ref": "GoogleCloudVisionV1p4beta1LocationInfo" } }, "confidence": { "type": "number", "description": "**Deprecated. Use `score` instead.** The accuracy of the entity detection in an image. For example, for an image in which the \"Eiffel Tower\" entity is detected, this field represents the confidence that there is a tower in the query image. Range [0, 1].", "format": "float" }, "properties": { "items": { "$ref": "GoogleCloudVisionV1p4beta1Property" }, "description": "Some entities may have optional user-supplied `Property` (name/value) fields, such a score or string that qualifies the entity.", "type": "array" }, "description": { "description": "Entity textual description, expressed in its `locale` language.", "type": "string" }, "topicality": { "description": "The relevancy of the ICA (Image Content Annotation) label to the image. For example, the relevancy of \"tower\" is likely higher to an image containing the detected \"Eiffel Tower\" than to an image containing a detected distant towering building, even though the confidence that there is a tower in each image may be the same. Range [0, 1].", "format": "float", "type": "number" } }, "description": "Set of detected entity features." }, "CropHint": { "type": "object", "description": "Single crop hint that is used to generate a new crop when serving an image.", "id": "CropHint", "properties": { "confidence": { "format": "float", "type": "number", "description": "Confidence of this being a salient region. Range [0, 1]." }, "boundingPoly": { "description": "The bounding polygon for the crop region. The coordinates of the bounding box are in the original image's scale.", "$ref": "BoundingPoly" }, "importanceFraction": { "format": "float", "description": "Fraction of importance of this salient region with respect to the original image.", "type": "number" } } }, "ImageContext": { "id": "ImageContext", "type": "object", "description": "Image context and/or feature-specific parameters.", "properties": { "textDetectionParams": { "description": "Parameters for text detection and document text detection.", "$ref": "TextDetectionParams" }, "languageHints": { "type": "array", "description": "List of languages to use for TEXT_DETECTION. In most cases, an empty value yields the best results since it enables automatic language detection. For languages based on the Latin alphabet, setting `language_hints` is not needed. In rare cases, when the language of the text in the image is known, setting a hint will help get better results (although it will be a significant hindrance if the hint is wrong). Text detection returns an error if one or more of the specified languages is not one of the [supported languages](https://cloud.google.com/vision/docs/languages).", "items": { "type": "string" } }, "productSearchParams": { "$ref": "ProductSearchParams", "description": "Parameters for product search." }, "cropHintsParams": { "description": "Parameters for crop hints annotation request.", "$ref": "CropHintsParams" }, "latLongRect": { "description": "Not used.", "$ref": "LatLongRect" }, "webDetectionParams": { "description": "Parameters for web detection.", "$ref": "WebDetectionParams" } } }, "WebDetectionParams": { "properties": { "includeGeoResults": { "description": "Whether to include results derived from the geo information in the image.", "type": "boolean" } }, "id": "WebDetectionParams", "description": "Parameters for web detection request.", "type": "object" }, "GoogleCloudVisionV1p1beta1Vertex": { "description": "A vertex represents a 2D point in the image. NOTE: the vertex coordinates are in the same scale as the original image.", "id": "GoogleCloudVisionV1p1beta1Vertex", "properties": { "y": { "format": "int32", "description": "Y coordinate.", "type": "integer" }, "x": { "description": "X coordinate.", "format": "int32", "type": "integer" } }, "type": "object" }, "WebDetection": { "properties": { "webEntities": { "type": "array", "items": { "$ref": "WebEntity" }, "description": "Deduced entities from similar images on the Internet." }, "partialMatchingImages": { "type": "array", "description": "Partial matching images from the Internet. Those images are similar enough to share some key-point features. For example an original image will likely have partial matching for its crops.", "items": { "$ref": "WebImage" } }, "visuallySimilarImages": { "type": "array", "items": { "$ref": "WebImage" }, "description": "The visually similar image results." }, "pagesWithMatchingImages": { "type": "array", "description": "Web pages containing the matching images from the Internet.", "items": { "$ref": "WebPage" } }, "bestGuessLabels": { "type": "array", "description": "The service's best guess as to the topic of the request image. Inferred from similar images on the open web.", "items": { "$ref": "WebLabel" } }, "fullMatchingImages": { "items": { "$ref": "WebImage" }, "type": "array", "description": "Fully matching images from the Internet. Can include resized copies of the query image." } }, "type": "object", "description": "Relevant information for the image from the Internet.", "id": "WebDetection" }, "GoogleCloudVisionV1p4beta1InputConfig": { "type": "object", "description": "The desired input location and metadata.", "id": "GoogleCloudVisionV1p4beta1InputConfig", "properties": { "mimeType": { "type": "string", "description": "The type of the file. Currently only \"application/pdf\", \"image/tiff\" and \"image/gif\" are supported. Wildcards are not supported." }, "gcsSource": { "description": "The Google Cloud Storage location to read the input from.", "$ref": "GoogleCloudVisionV1p4beta1GcsSource" }, "content": { "format": "byte", "description": "File content, represented as a stream of bytes. Note: As with all `bytes` fields, protobuffers use a pure binary representation, whereas JSON representations use base64. Currently, this field only works for BatchAnnotateFiles requests. It does not work for AsyncBatchAnnotateFiles requests.", "type": "string" } } }, "BatchAnnotateFilesResponse": { "id": "BatchAnnotateFilesResponse", "properties": { "responses": { "items": { "$ref": "AnnotateFileResponse" }, "type": "array", "description": "The list of file annotation responses, each response corresponding to each AnnotateFileRequest in BatchAnnotateFilesRequest." } }, "type": "object", "description": "A list of file annotation responses." }, "AsyncBatchAnnotateImagesResponse": { "description": "Response to an async batch image annotation request.", "id": "AsyncBatchAnnotateImagesResponse", "type": "object", "properties": { "outputConfig": { "description": "The output location and metadata from AsyncBatchAnnotateImagesRequest.", "$ref": "OutputConfig" } } }, "BatchAnnotateFilesRequest": { "id": "BatchAnnotateFilesRequest", "properties": { "requests": { "type": "array", "items": { "$ref": "AnnotateFileRequest" }, "description": "Required. The list of file annotation requests. Right now we support only one AnnotateFileRequest in BatchAnnotateFilesRequest." }, "parent": { "type": "string", "description": "Optional. Target project and location to make a call. Format: `projects/{project-id}/locations/{location-id}`. If no parent is specified, a region will be chosen automatically. Supported location-ids: `us`: USA country only, `asia`: East asia areas, like Japan, Taiwan, `eu`: The European Union. Example: `projects/project-A/locations/eu`." } }, "type": "object", "description": "A list of requests to annotate files using the BatchAnnotateFiles API." }, "GoogleCloudVisionV1p4beta1Vertex": { "properties": { "x": { "type": "integer", "format": "int32", "description": "X coordinate." }, "y": { "description": "Y coordinate.", "format": "int32", "type": "integer" } }, "id": "GoogleCloudVisionV1p4beta1Vertex", "description": "A vertex represents a 2D point in the image. NOTE: the vertex coordinates are in the same scale as the original image.", "type": "object" }, "GoogleCloudVisionV1p1beta1WebDetectionWebImage": { "type": "object", "properties": { "url": { "description": "The result image URL.", "type": "string" }, "score": { "type": "number", "description": "(Deprecated) Overall relevancy score for the image.", "format": "float" } }, "description": "Metadata for online images.", "id": "GoogleCloudVisionV1p1beta1WebDetectionWebImage" }, "GoogleCloudVisionV1p4beta1FaceRecognitionResult": { "properties": { "confidence": { "format": "float", "description": "Recognition confidence. Range [0, 1].", "type": "number" }, "celebrity": { "$ref": "GoogleCloudVisionV1p4beta1Celebrity", "description": "The Celebrity that this face was matched to." } }, "description": "Information about a face's identity.", "id": "GoogleCloudVisionV1p4beta1FaceRecognitionResult", "type": "object" }, "WebPage": { "properties": { "url": { "type": "string", "description": "The result web page URL." }, "pageTitle": { "description": "Title for the web page, may contain HTML markups.", "type": "string" }, "score": { "description": "(Deprecated) Overall relevancy score for the web page.", "type": "number", "format": "float" }, "fullMatchingImages": { "type": "array", "description": "Fully matching images on the page. Can include resized copies of the query image.", "items": { "$ref": "WebImage" } }, "partialMatchingImages": { "type": "array", "items": { "$ref": "WebImage" }, "description": "Partial matching images on the page. Those images are similar enough to share some key-point features. For example an original image will likely have partial matching for its crops." } }, "description": "Metadata for web pages.", "id": "WebPage", "type": "object" }, "GoogleCloudVisionV1p4beta1ProductSearchResultsResult": { "description": "Information about a product.", "type": "object", "id": "GoogleCloudVisionV1p4beta1ProductSearchResultsResult", "properties": { "image": { "type": "string", "description": "The resource name of the image from the product that is the closest match to the query." }, "score": { "type": "number", "format": "float", "description": "A confidence level on the match, ranging from 0 (no confidence) to 1 (full confidence)." }, "product": { "description": "The Product.", "$ref": "GoogleCloudVisionV1p4beta1Product" } } }, "GoogleCloudVisionV1p2beta1WebDetectionWebImage": { "properties": { "score": { "description": "(Deprecated) Overall relevancy score for the image.", "format": "float", "type": "number" }, "url": { "description": "The result image URL.", "type": "string" } }, "type": "object", "description": "Metadata for online images.", "id": "GoogleCloudVisionV1p2beta1WebDetectionWebImage" }, "TextProperty": { "type": "object", "id": "TextProperty", "properties": { "detectedLanguages": { "description": "A list of detected languages together with confidence.", "type": "array", "items": { "$ref": "DetectedLanguage" } }, "detectedBreak": { "$ref": "DetectedBreak", "description": "Detected start or end of a text segment." } }, "description": "Additional information detected on the structural component." }, "OutputConfig": { "id": "OutputConfig", "type": "object", "description": "The desired output location and metadata.", "properties": { "gcsDestination": { "$ref": "GcsDestination", "description": "The Google Cloud Storage location to write the output(s) to." }, "batchSize": { "description": "The max number of response protos to put into each output JSON file on Google Cloud Storage. The valid range is [1, 100]. If not specified, the default value is 20. For example, for one pdf file with 100 pages, 100 response protos will be generated. If `batch_size` = 20, then 5 json files each containing 20 response protos will be written under the prefix `gcs_destination`.`uri`. Currently, batch_size only applies to GcsDestination, with potential future support for other output configurations.", "format": "int32", "type": "integer" } } }, "GoogleCloudVisionV1p4beta1SafeSearchAnnotation": { "type": "object", "id": "GoogleCloudVisionV1p4beta1SafeSearchAnnotation", "description": "Set of features pertaining to the image, computed by computer vision methods over safe-search verticals (for example, adult, spoof, medical, violence).", "properties": { "racy": { "description": "Likelihood that the request image contains racy content. Racy content may include (but is not limited to) skimpy or sheer clothing, strategically covered nudity, lewd or provocative poses, or close-ups of sensitive body areas.", "type": "string", "enum": [ "UNKNOWN", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ], "enumDescriptions": [ "Unknown likelihood.", "It is very unlikely.", "It is unlikely.", "It is possible.", "It is likely.", "It is very likely." ] }, "medical": { "type": "string", "description": "Likelihood that this is a medical image.", "enumDescriptions": [ "Unknown likelihood.", "It is very unlikely.", "It is unlikely.", "It is possible.", "It is likely.", "It is very likely." ], "enum": [ "UNKNOWN", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ] }, "adult": { "type": "string", "enum": [ "UNKNOWN", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ], "description": "Represents the adult content likelihood for the image. Adult content may contain elements such as nudity, pornographic images or cartoons, or sexual activities.", "enumDescriptions": [ "Unknown likelihood.", "It is very unlikely.", "It is unlikely.", "It is possible.", "It is likely.", "It is very likely." ] }, "violence": { "type": "string", "enum": [ "UNKNOWN", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ], "enumDescriptions": [ "Unknown likelihood.", "It is very unlikely.", "It is unlikely.", "It is possible.", "It is likely.", "It is very likely." ], "description": "Likelihood that this image contains violent content." }, "spoof": { "type": "string", "enum": [ "UNKNOWN", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ], "enumDescriptions": [ "Unknown likelihood.", "It is very unlikely.", "It is unlikely.", "It is possible.", "It is likely.", "It is very likely." ], "description": "Spoof likelihood. The likelihood that an modification was made to the image's canonical version to make it appear funny or offensive." } } }, "GoogleCloudVisionV1p3beta1Vertex": { "description": "A vertex represents a 2D point in the image. NOTE: the vertex coordinates are in the same scale as the original image.", "properties": { "x": { "format": "int32", "description": "X coordinate.", "type": "integer" }, "y": { "format": "int32", "description": "Y coordinate.", "type": "integer" } }, "id": "GoogleCloudVisionV1p3beta1Vertex", "type": "object" }, "GoogleCloudVisionV1p4beta1AsyncBatchAnnotateFilesResponse": { "type": "object", "description": "Response to an async batch file annotation request.", "id": "GoogleCloudVisionV1p4beta1AsyncBatchAnnotateFilesResponse", "properties": { "responses": { "type": "array", "description": "The list of file annotation responses, one for each request in AsyncBatchAnnotateFilesRequest.", "items": { "$ref": "GoogleCloudVisionV1p4beta1AsyncAnnotateFileResponse" } } } }, "GoogleCloudVisionV1p3beta1EntityAnnotation": { "description": "Set of detected entity features.", "id": "GoogleCloudVisionV1p3beta1EntityAnnotation", "properties": { "locations": { "items": { "$ref": "GoogleCloudVisionV1p3beta1LocationInfo" }, "description": "The location information for the detected entity. Multiple `LocationInfo` elements can be present because one location may indicate the location of the scene in the image, and another location may indicate the location of the place where the image was taken. Location information is usually present for landmarks.", "type": "array" }, "confidence": { "format": "float", "description": "**Deprecated. Use `score` instead.** The accuracy of the entity detection in an image. For example, for an image in which the \"Eiffel Tower\" entity is detected, this field represents the confidence that there is a tower in the query image. Range [0, 1].", "type": "number" }, "locale": { "description": "The language code for the locale in which the entity textual `description` is expressed.", "type": "string" }, "description": { "description": "Entity textual description, expressed in its `locale` language.", "type": "string" }, "mid": { "type": "string", "description": "Opaque entity ID. Some IDs may be available in [Google Knowledge Graph Search API](https://developers.google.com/knowledge-graph/)." }, "properties": { "items": { "$ref": "GoogleCloudVisionV1p3beta1Property" }, "type": "array", "description": "Some entities may have optional user-supplied `Property` (name/value) fields, such a score or string that qualifies the entity." }, "score": { "type": "number", "format": "float", "description": "Overall score of the result. Range [0, 1]." }, "topicality": { "description": "The relevancy of the ICA (Image Content Annotation) label to the image. For example, the relevancy of \"tower\" is likely higher to an image containing the detected \"Eiffel Tower\" than to an image containing a detected distant towering building, even though the confidence that there is a tower in each image may be the same. Range [0, 1].", "format": "float", "type": "number" }, "boundingPoly": { "$ref": "GoogleCloudVisionV1p3beta1BoundingPoly", "description": "Image region to which this entity belongs. Not produced for `LABEL_DETECTION` features." } }, "type": "object" }, "GoogleCloudVisionV1p4beta1Position": { "id": "GoogleCloudVisionV1p4beta1Position", "description": "A 3D position in the image, used primarily for Face detection landmarks. A valid Position must have both x and y coordinates. The position coordinates are in the same scale as the original image.", "properties": { "x": { "description": "X coordinate.", "type": "number", "format": "float" }, "y": { "type": "number", "format": "float", "description": "Y coordinate." }, "z": { "description": "Z coordinate (or depth).", "format": "float", "type": "number" } }, "type": "object" }, "GoogleCloudVisionV1p3beta1Word": { "description": "A word representation.", "type": "object", "properties": { "property": { "description": "Additional information detected for the word.", "$ref": "GoogleCloudVisionV1p3beta1TextAnnotationTextProperty" }, "symbols": { "items": { "$ref": "GoogleCloudVisionV1p3beta1Symbol" }, "type": "array", "description": "List of symbols in the word. The order of the symbols follows the natural reading order." }, "boundingBox": { "description": "The bounding box for the word. The vertices are in the order of top-left, top-right, bottom-right, bottom-left. When a rotation of the bounding box is detected the rotation is represented as around the top-left corner as defined when the text is read in the 'natural' orientation. For example: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh when the text is horizontal it might look like: 0----1 | | 3----2 LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh when it's rotated 180 degrees around the top-left corner it becomes: 2----3 | | 1----0 and the vertex order will still be (0, 1, 2, 3).", "$ref": "GoogleCloudVisionV1p3beta1BoundingPoly" }, "confidence": { "description": "Confidence of the OCR results for the word. Range [0, 1].", "format": "float", "type": "number" } }, "id": "GoogleCloudVisionV1p3beta1Word" }, "OperationMetadata": { "type": "object", "properties": { "state": { "description": "Current state of the batch operation.", "enum": [ "STATE_UNSPECIFIED", "CREATED", "RUNNING", "DONE", "CANCELLED" ], "enumDescriptions": [ "Invalid.", "Request is received.", "Request is actively being processed.", "The batch processing is done.", "The batch processing was cancelled." ], "type": "string" }, "createTime": { "description": "The time when the batch request was received.", "type": "string", "format": "google-datetime" }, "updateTime": { "format": "google-datetime", "description": "The time when the operation result was last updated.", "type": "string" } }, "id": "OperationMetadata", "description": "Contains metadata for the BatchAnnotateImages operation." }, "AnnotateFileResponse": { "id": "AnnotateFileResponse", "properties": { "responses": { "description": "Individual responses to images found within the file. This field will be empty if the `error` field is set.", "type": "array", "items": { "$ref": "AnnotateImageResponse" } }, "inputConfig": { "description": "Information about the file for which this response is generated.", "$ref": "InputConfig" }, "totalPages": { "format": "int32", "description": "This field gives the total number of pages in the file.", "type": "integer" }, "error": { "description": "If set, represents the error message for the failed request. The `responses` field will not be set in this case.", "$ref": "Status" } }, "description": "Response to a single file annotation request. A file may contain one or more images, which individually have their own responses.", "type": "object" }, "GoogleCloudVisionV1p2beta1WebDetectionWebEntity": { "id": "GoogleCloudVisionV1p2beta1WebDetectionWebEntity", "properties": { "score": { "type": "number", "description": "Overall relevancy score for the entity. Not normalized and not comparable across different image queries.", "format": "float" }, "entityId": { "type": "string", "description": "Opaque entity ID." }, "description": { "description": "Canonical description of the entity, in English.", "type": "string" } }, "description": "Entity deduced from similar images on the Internet.", "type": "object" }, "GoogleCloudVisionV1p1beta1ImageAnnotationContext": { "properties": { "pageNumber": { "format": "int32", "type": "integer", "description": "If the file was a PDF or TIFF, this field gives the page number within the file used to produce the image." }, "uri": { "type": "string", "description": "The URI of the file used to produce the image." } }, "type": "object", "description": "If an image was produced from a file (e.g. a PDF), this message gives information about the source of that image.", "id": "GoogleCloudVisionV1p1beta1ImageAnnotationContext" }, "GoogleCloudVisionV1p1beta1ProductKeyValue": { "properties": { "key": { "description": "The key of the label attached to the product. Cannot be empty and cannot exceed 128 bytes.", "type": "string" }, "value": { "description": "The value of the label attached to the product. Cannot be empty and cannot exceed 128 bytes.", "type": "string" } }, "type": "object", "id": "GoogleCloudVisionV1p1beta1ProductKeyValue", "description": "A product label represented as a key-value pair." }, "ListProductsResponse": { "properties": { "nextPageToken": { "type": "string", "description": "Token to retrieve the next page of results, or empty if there are no more results in the list." }, "products": { "items": { "$ref": "Product" }, "description": "List of products.", "type": "array" } }, "id": "ListProductsResponse", "type": "object", "description": "Response message for the `ListProducts` method." }, "TextDetectionParams": { "type": "object", "properties": { "enableTextDetectionConfidenceScore": { "type": "boolean", "description": "By default, Cloud Vision API only includes confidence score for DOCUMENT_TEXT_DETECTION result. Set the flag to true to include confidence score for TEXT_DETECTION as well." } }, "id": "TextDetectionParams", "description": "Parameters for text detections. This is used to control TEXT_DETECTION and DOCUMENT_TEXT_DETECTION features." }, "WebImage": { "id": "WebImage", "description": "Metadata for online images.", "type": "object", "properties": { "score": { "description": "(Deprecated) Overall relevancy score for the image.", "format": "float", "type": "number" }, "url": { "type": "string", "description": "The result image URL." } } }, "LocalizedObjectAnnotation": { "properties": { "boundingPoly": { "description": "Image region to which this object belongs. This must be populated.", "$ref": "BoundingPoly" }, "mid": { "description": "Object ID that should align with EntityAnnotation mid.", "type": "string" }, "score": { "description": "Score of the result. Range [0, 1].", "type": "number", "format": "float" }, "languageCode": { "type": "string", "description": "The BCP-47 language code, such as \"en-US\" or \"sr-Latn\". For more information, see http://www.unicode.org/reports/tr35/#Unicode_locale_identifier." }, "name": { "type": "string", "description": "Object name, expressed in its `language_code` language." } }, "type": "object", "id": "LocalizedObjectAnnotation", "description": "Set of detected objects with bounding boxes." }, "BatchAnnotateImagesRequest": { "id": "BatchAnnotateImagesRequest", "type": "object", "description": "Multiple image annotation requests are batched into a single service call.", "properties": { "parent": { "type": "string", "description": "Optional. Target project and location to make a call. Format: `projects/{project-id}/locations/{location-id}`. If no parent is specified, a region will be chosen automatically. Supported location-ids: `us`: USA country only, `asia`: East asia areas, like Japan, Taiwan, `eu`: The European Union. Example: `projects/project-A/locations/eu`." }, "requests": { "description": "Required. Individual image annotation requests for this batch.", "type": "array", "items": { "$ref": "AnnotateImageRequest" } } } }, "ProductSetPurgeConfig": { "id": "ProductSetPurgeConfig", "description": "Config to control which ProductSet contains the Products to be deleted.", "properties": { "productSetId": { "description": "The ProductSet that contains the Products to delete. If a Product is a member of product_set_id in addition to other ProductSets, the Product will still be deleted.", "type": "string" } }, "type": "object" }, "Vertex": { "properties": { "x": { "description": "X coordinate.", "type": "integer", "format": "int32" }, "y": { "description": "Y coordinate.", "type": "integer", "format": "int32" } }, "type": "object", "description": "A vertex represents a 2D point in the image. NOTE: the vertex coordinates are in the same scale as the original image.", "id": "Vertex" }, "GoogleCloudVisionV1p3beta1AnnotateImageResponse": { "id": "GoogleCloudVisionV1p3beta1AnnotateImageResponse", "type": "object", "description": "Response to an image annotation request.", "properties": { "logoAnnotations": { "description": "If present, logo detection has completed successfully.", "items": { "$ref": "GoogleCloudVisionV1p3beta1EntityAnnotation" }, "type": "array" }, "textAnnotations": { "items": { "$ref": "GoogleCloudVisionV1p3beta1EntityAnnotation" }, "type": "array", "description": "If present, text (OCR) detection has completed successfully." }, "labelAnnotations": { "items": { "$ref": "GoogleCloudVisionV1p3beta1EntityAnnotation" }, "description": "If present, label detection has completed successfully.", "type": "array" }, "safeSearchAnnotation": { "$ref": "GoogleCloudVisionV1p3beta1SafeSearchAnnotation", "description": "If present, safe-search annotation has completed successfully." }, "landmarkAnnotations": { "type": "array", "description": "If present, landmark detection has completed successfully.", "items": { "$ref": "GoogleCloudVisionV1p3beta1EntityAnnotation" } }, "faceAnnotations": { "items": { "$ref": "GoogleCloudVisionV1p3beta1FaceAnnotation" }, "type": "array", "description": "If present, face detection has completed successfully." }, "cropHintsAnnotation": { "$ref": "GoogleCloudVisionV1p3beta1CropHintsAnnotation", "description": "If present, crop hints have completed successfully." }, "localizedObjectAnnotations": { "description": "If present, localized object detection has completed successfully. This will be sorted descending by confidence score.", "type": "array", "items": { "$ref": "GoogleCloudVisionV1p3beta1LocalizedObjectAnnotation" } }, "context": { "$ref": "GoogleCloudVisionV1p3beta1ImageAnnotationContext", "description": "If present, contextual information is needed to understand where this image comes from." }, "productSearchResults": { "description": "If present, product search has completed successfully.", "$ref": "GoogleCloudVisionV1p3beta1ProductSearchResults" }, "fullTextAnnotation": { "$ref": "GoogleCloudVisionV1p3beta1TextAnnotation", "description": "If present, text (OCR) detection or document (OCR) text detection has completed successfully. This annotation provides the structural hierarchy for the OCR detected text." }, "imagePropertiesAnnotation": { "$ref": "GoogleCloudVisionV1p3beta1ImageProperties", "description": "If present, image properties were extracted successfully." }, "webDetection": { "description": "If present, web detection has completed successfully.", "$ref": "GoogleCloudVisionV1p3beta1WebDetection" }, "error": { "description": "If set, represents the error message for the operation. Note that filled-in image annotations are guaranteed to be correct, even when `error` is set.", "$ref": "Status" } } }, "GoogleCloudVisionV1p3beta1CropHint": { "type": "object", "id": "GoogleCloudVisionV1p3beta1CropHint", "properties": { "confidence": { "format": "float", "type": "number", "description": "Confidence of this being a salient region. Range [0, 1]." }, "importanceFraction": { "type": "number", "description": "Fraction of importance of this salient region with respect to the original image.", "format": "float" }, "boundingPoly": { "description": "The bounding polygon for the crop region. The coordinates of the bounding box are in the original image's scale.", "$ref": "GoogleCloudVisionV1p3beta1BoundingPoly" } }, "description": "Single crop hint that is used to generate a new crop when serving an image." }, "GoogleCloudVisionV1p1beta1OperationMetadata": { "description": "Contains metadata for the BatchAnnotateImages operation.", "id": "GoogleCloudVisionV1p1beta1OperationMetadata", "properties": { "updateTime": { "type": "string", "format": "google-datetime", "description": "The time when the operation result was last updated." }, "createTime": { "format": "google-datetime", "description": "The time when the batch request was received.", "type": "string" }, "state": { "enum": [ "STATE_UNSPECIFIED", "CREATED", "RUNNING", "DONE", "CANCELLED" ], "type": "string", "description": "Current state of the batch operation.", "enumDescriptions": [ "Invalid.", "Request is received.", "Request is actively being processed.", "The batch processing is done.", "The batch processing was cancelled." ] } }, "type": "object" }, "GoogleCloudVisionV1p3beta1ImportProductSetsResponse": { "description": "Response message for the `ImportProductSets` method. This message is returned by the google.longrunning.Operations.GetOperation method in the returned google.longrunning.Operation.response field.", "properties": { "referenceImages": { "type": "array", "items": { "$ref": "GoogleCloudVisionV1p3beta1ReferenceImage" }, "description": "The list of reference_images that are imported successfully." }, "statuses": { "description": "The rpc status for each ImportProductSet request, including both successes and errors. The number of statuses here matches the number of lines in the csv file, and statuses[i] stores the success or failure status of processing the i-th line of the csv, starting from line 0.", "type": "array", "items": { "$ref": "Status" } } }, "type": "object", "id": "GoogleCloudVisionV1p3beta1ImportProductSetsResponse" }, "GoogleCloudVisionV1p4beta1Block": { "properties": { "boundingBox": { "$ref": "GoogleCloudVisionV1p4beta1BoundingPoly", "description": "The bounding box for the block. The vertices are in the order of top-left, top-right, bottom-right, bottom-left. When a rotation of the bounding box is detected the rotation is represented as around the top-left corner as defined when the text is read in the 'natural' orientation. For example: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh when the text is horizontal it might look like: 0----1 | | 3----2 LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh when it's rotated 180 degrees around the top-left corner it becomes: 2----3 | | 1----0 and the vertex order will still be (0, 1, 2, 3)." }, "property": { "description": "Additional information detected for the block.", "$ref": "GoogleCloudVisionV1p4beta1TextAnnotationTextProperty" }, "blockType": { "type": "string", "enumDescriptions": [ "Unknown block type.", "Regular text block.", "Table block.", "Image block.", "Horizontal/vertical line box.", "Barcode block." ], "enum": [ "UNKNOWN", "TEXT", "TABLE", "PICTURE", "RULER", "BARCODE" ], "description": "Detected block type (text, image etc) for this block." }, "confidence": { "description": "Confidence of the OCR results on the block. Range [0, 1].", "type": "number", "format": "float" }, "paragraphs": { "description": "List of paragraphs in this block (if this blocks is of type text).", "type": "array", "items": { "$ref": "GoogleCloudVisionV1p4beta1Paragraph" } } }, "id": "GoogleCloudVisionV1p4beta1Block", "type": "object", "description": "Logical element on the page." }, "DetectedLanguage": { "description": "Detected language for a structural component.", "properties": { "languageCode": { "description": "The BCP-47 language code, such as \"en-US\" or \"sr-Latn\". For more information, see http://www.unicode.org/reports/tr35/#Unicode_locale_identifier.", "type": "string" }, "confidence": { "format": "float", "type": "number", "description": "Confidence of detected language. Range [0, 1]." } }, "type": "object", "id": "DetectedLanguage" }, "WebLabel": { "id": "WebLabel", "properties": { "languageCode": { "type": "string", "description": "The BCP-47 language code for `label`, such as \"en-US\" or \"sr-Latn\". For more information, see http://www.unicode.org/reports/tr35/#Unicode_locale_identifier." }, "label": { "type": "string", "description": "Label for extra metadata." } }, "type": "object", "description": "Label to provide extra metadata for the web detection." }, "GoogleCloudVisionV1p2beta1GcsDestination": { "description": "The Google Cloud Storage location where the output will be written to.", "properties": { "uri": { "description": "Google Cloud Storage URI prefix where the results will be stored. Results will be in JSON format and preceded by its corresponding input URI prefix. This field can either represent a gcs file prefix or gcs directory. In either case, the uri should be unique because in order to get all of the output files, you will need to do a wildcard gcs search on the uri prefix you provide. Examples: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh File Prefix: gs://bucket-name/here/filenameprefix The output files will be created in gs://bucket-name/here/ and the names of the output files will begin with \"filenameprefix\". LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Directory Prefix: gs://bucket-name/some/location/ The output files will be created in gs://bucket-name/some/location/ and the names of the output files could be anything because there was no filename prefix specified. If multiple outputs, each response is still AnnotateFileResponse, each of which contains some subset of the full list of AnnotateImageResponse. Multiple outputs can happen if, for example, the output JSON is too large and overflows into multiple sharded files.", "type": "string" } }, "type": "object", "id": "GoogleCloudVisionV1p2beta1GcsDestination" } }, "resources": { "locations": { "resources": { "operations": { "methods": { "get": { "parameterOrder": [ "name" ], "parameters": { "name": { "location": "path", "description": "The name of the operation resource.", "type": "string", "pattern": "^locations/[^/]+/operations/[^/]+$", "required": true } }, "id": "vision.locations.operations.get", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-vision" ], "httpMethod": "GET", "flatPath": "v1/locations/{locationsId}/operations/{operationsId}", "description": "Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service.", "path": "v1/{+name}", "response": { "$ref": "Operation" } } } } } }, "projects": { "resources": { "images": { "methods": { "annotate": { "parameterOrder": [ "parent" ], "response": { "$ref": "BatchAnnotateImagesResponse" }, "request": { "$ref": "BatchAnnotateImagesRequest" }, "path": "v1/{+parent}/images:annotate", "description": "Run image detection and annotation for a batch of images.", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-vision" ], "parameters": { "parent": { "required": true, "location": "path", "pattern": "^projects/[^/]+$", "description": "Optional. Target project and location to make a call. Format: `projects/{project-id}/locations/{location-id}`. If no parent is specified, a region will be chosen automatically. Supported location-ids: `us`: USA country only, `asia`: East asia areas, like Japan, Taiwan, `eu`: The European Union. Example: `projects/project-A/locations/eu`.", "type": "string" } }, "id": "vision.projects.images.annotate", "flatPath": "v1/projects/{projectsId}/images:annotate" }, "asyncBatchAnnotate": { "path": "v1/{+parent}/images:asyncBatchAnnotate", "parameters": { "parent": { "location": "path", "description": "Optional. Target project and location to make a call. Format: `projects/{project-id}/locations/{location-id}`. If no parent is specified, a region will be chosen automatically. Supported location-ids: `us`: USA country only, `asia`: East asia areas, like Japan, Taiwan, `eu`: The European Union. Example: `projects/project-A/locations/eu`.", "type": "string", "required": true, "pattern": "^projects/[^/]+$" } }, "id": "vision.projects.images.asyncBatchAnnotate", "httpMethod": "POST", "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-vision" ], "description": "Run asynchronous image detection and annotation for a list of images. Progress and results can be retrieved through the `google.longrunning.Operations` interface. `Operation.metadata` contains `OperationMetadata` (metadata). `Operation.response` contains `AsyncBatchAnnotateImagesResponse` (results). This service will write image annotation outputs to json files in customer GCS bucket, each json file containing BatchAnnotateImagesResponse proto.", "request": { "$ref": "AsyncBatchAnnotateImagesRequest" }, "response": { "$ref": "Operation" }, "flatPath": "v1/projects/{projectsId}/images:asyncBatchAnnotate" } } }, "locations": { "resources": { "productSets": { "resources": { "products": { "methods": { "list": { "parameterOrder": [ "name" ], "description": "Lists the Products in a ProductSet, in an unspecified order. If the ProductSet does not exist, the products field of the response will be empty. Possible errors: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Returns INVALID_ARGUMENT if page_size is greater than 100 or less than 1.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-vision" ], "httpMethod": "GET", "parameters": { "name": { "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/productSets/[^/]+$", "location": "path", "description": "Required. The ProductSet resource for which to retrieve Products. Format is: `projects/PROJECT_ID/locations/LOC_ID/productSets/PRODUCT_SET_ID`", "required": true }, "pageSize": { "type": "integer", "description": "The maximum number of items to return. Default 10, maximum 100.", "format": "int32", "location": "query" }, "pageToken": { "description": "The next_page_token returned from a previous List request, if any.", "type": "string", "location": "query" } }, "response": { "$ref": "ListProductsInProductSetResponse" }, "path": "v1/{+name}/products", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/productSets/{productSetsId}/products", "id": "vision.projects.locations.productSets.products.list" } } } }, "methods": { "delete": { "response": { "$ref": "Empty" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-vision" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/productSets/{productSetsId}", "parameterOrder": [ "name" ], "id": "vision.projects.locations.productSets.delete", "path": "v1/{+name}", "description": "Permanently deletes a ProductSet. Products and ReferenceImages in the ProductSet are not deleted. The actual image files are not deleted from Google Cloud Storage.", "httpMethod": "DELETE", "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/productSets/[^/]+$", "type": "string", "location": "path", "description": "Required. Resource name of the ProductSet to delete. Format is: `projects/PROJECT_ID/locations/LOC_ID/productSets/PRODUCT_SET_ID`", "required": true } } }, "patch": { "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/productSets/{productSetsId}", "parameterOrder": [ "name" ], "request": { "$ref": "ProductSet" }, "response": { "$ref": "ProductSet" }, "id": "vision.projects.locations.productSets.patch", "path": "v1/{+name}", "description": "Makes changes to a ProductSet resource. Only display_name can be updated currently. Possible errors: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Returns NOT_FOUND if the ProductSet does not exist. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Returns INVALID_ARGUMENT if display_name is present in update_mask but missing from the request or longer than 4096 characters.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-vision" ], "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/productSets/[^/]+$", "location": "path", "type": "string", "description": "The resource name of the ProductSet. Format is: `projects/PROJECT_ID/locations/LOC_ID/productSets/PRODUCT_SET_ID`. This field is ignored when creating a ProductSet.", "required": true }, "updateMask": { "type": "string", "format": "google-fieldmask", "location": "query", "description": "The FieldMask that specifies which fields to update. If update_mask isn't specified, all mutable fields are to be updated. Valid mask path is `display_name`." } }, "httpMethod": "PATCH" }, "list": { "path": "v1/{+parent}/productSets", "parameters": { "parent": { "required": true, "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+$", "description": "Required. The project from which ProductSets should be listed. Format is `projects/PROJECT_ID/locations/LOC_ID`." }, "pageToken": { "location": "query", "description": "The next_page_token returned from a previous List request, if any.", "type": "string" }, "pageSize": { "description": "The maximum number of items to return. Default 10, maximum 100.", "type": "integer", "location": "query", "format": "int32" } }, "httpMethod": "GET", "description": "Lists ProductSets in an unspecified order. Possible errors: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Returns INVALID_ARGUMENT if page_size is greater than 100, or less than 1.", "parameterOrder": [ "parent" ], "response": { "$ref": "ListProductSetsResponse" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/productSets", "id": "vision.projects.locations.productSets.list", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-vision" ] }, "removeProduct": { "response": { "$ref": "Empty" }, "parameters": { "name": { "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/productSets/[^/]+$", "description": "Required. The resource name for the ProductSet to modify. Format is: `projects/PROJECT_ID/locations/LOC_ID/productSets/PRODUCT_SET_ID`", "required": true, "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-vision" ], "description": "Removes a Product from the specified ProductSet.", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/productSets/{productSetsId}:removeProduct", "request": { "$ref": "RemoveProductFromProductSetRequest" }, "parameterOrder": [ "name" ], "httpMethod": "POST", "path": "v1/{+name}:removeProduct", "id": "vision.projects.locations.productSets.removeProduct" }, "create": { "parameters": { "parent": { "description": "Required. The project in which the ProductSet should be created. Format is `projects/PROJECT_ID/locations/LOC_ID`.", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+$", "required": true, "type": "string" }, "productSetId": { "description": "A user-supplied resource id for this ProductSet. If set, the server will attempt to use this value as the resource id. If it is already in use, an error is returned with code ALREADY_EXISTS. Must be at most 128 characters long. It cannot contain the character `/`.", "type": "string", "location": "query" } }, "response": { "$ref": "ProductSet" }, "request": { "$ref": "ProductSet" }, "path": "v1/{+parent}/productSets", "parameterOrder": [ "parent" ], "httpMethod": "POST", "id": "vision.projects.locations.productSets.create", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/productSets", "description": "Creates and returns a new ProductSet resource. Possible errors: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Returns INVALID_ARGUMENT if display_name is missing, or is longer than 4096 characters.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-vision" ] }, "get": { "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/productSets/{productSetsId}", "response": { "$ref": "ProductSet" }, "id": "vision.projects.locations.productSets.get", "path": "v1/{+name}", "description": "Gets information associated with a ProductSet. Possible errors: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Returns NOT_FOUND if the ProductSet does not exist.", "httpMethod": "GET", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-vision" ], "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/productSets/[^/]+$", "required": true, "location": "path", "description": "Required. Resource name of the ProductSet to get. Format is: `projects/PROJECT_ID/locations/LOC_ID/productSets/PRODUCT_SET_ID`", "type": "string" } } }, "addProduct": { "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/productSets/{productSetsId}:addProduct", "description": "Adds a Product to the specified ProductSet. If the Product is already present, no change is made. One Product can be added to at most 100 ProductSets. Possible errors: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Returns NOT_FOUND if the Product or the ProductSet doesn't exist.", "parameters": { "name": { "type": "string", "description": "Required. The resource name for the ProductSet to modify. Format is: `projects/PROJECT_ID/locations/LOC_ID/productSets/PRODUCT_SET_ID`", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/productSets/[^/]+$", "location": "path" } }, "path": "v1/{+name}:addProduct", "request": { "$ref": "AddProductToProductSetRequest" }, "response": { "$ref": "Empty" }, "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-vision" ], "parameterOrder": [ "name" ], "id": "vision.projects.locations.productSets.addProduct" }, "import": { "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/productSets:import", "path": "v1/{+parent}/productSets:import", "description": "Asynchronous API that imports a list of reference images to specified product sets based on a list of image information. The google.longrunning.Operation API can be used to keep track of the progress and results of the request. `Operation.metadata` contains `BatchOperationMetadata`. (progress) `Operation.response` contains `ImportProductSetsResponse`. (results) The input source of this method is a csv file on Google Cloud Storage. For the format of the csv file please see ImportProductSetsGcsSource.csv_file_uri.", "parameterOrder": [ "parent" ], "response": { "$ref": "Operation" }, "httpMethod": "POST", "parameters": { "parent": { "location": "path", "type": "string", "required": true, "description": "Required. The project in which the ProductSets should be imported. Format is `projects/PROJECT_ID/locations/LOC_ID`.", "pattern": "^projects/[^/]+/locations/[^/]+$" } }, "request": { "$ref": "ImportProductSetsRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-vision" ], "id": "vision.projects.locations.productSets.import" } } }, "operations": { "methods": { "get": { "response": { "$ref": "Operation" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}", "httpMethod": "GET", "parameterOrder": [ "name" ], "description": "Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-vision" ], "parameters": { "name": { "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "description": "The name of the operation resource.", "location": "path", "required": true } }, "id": "vision.projects.locations.operations.get", "path": "v1/{+name}" } } }, "files": { "methods": { "annotate": { "path": "v1/{+parent}/files:annotate", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/files:annotate", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-vision" ], "httpMethod": "POST", "id": "vision.projects.locations.files.annotate", "parameterOrder": [ "parent" ], "description": "Service that performs image detection and annotation for a batch of files. Now only \"application/pdf\", \"image/tiff\" and \"image/gif\" are supported. This service will extract at most 5 (customers can specify which 5 in AnnotateFileRequest.pages) frames (gif) or pages (pdf or tiff) from each file provided and perform detection and annotation for each image extracted.", "response": { "$ref": "BatchAnnotateFilesResponse" }, "parameters": { "parent": { "description": "Optional. Target project and location to make a call. Format: `projects/{project-id}/locations/{location-id}`. If no parent is specified, a region will be chosen automatically. Supported location-ids: `us`: USA country only, `asia`: East asia areas, like Japan, Taiwan, `eu`: The European Union. Example: `projects/project-A/locations/eu`.", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+$", "required": true, "location": "path" } }, "request": { "$ref": "BatchAnnotateFilesRequest" } }, "asyncBatchAnnotate": { "description": "Run asynchronous image detection and annotation for a list of generic files, such as PDF files, which may contain multiple pages and multiple images per page. Progress and results can be retrieved through the `google.longrunning.Operations` interface. `Operation.metadata` contains `OperationMetadata` (metadata). `Operation.response` contains `AsyncBatchAnnotateFilesResponse` (results).", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-vision" ], "response": { "$ref": "Operation" }, "id": "vision.projects.locations.files.asyncBatchAnnotate", "request": { "$ref": "AsyncBatchAnnotateFilesRequest" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/files:asyncBatchAnnotate", "httpMethod": "POST", "parameterOrder": [ "parent" ], "path": "v1/{+parent}/files:asyncBatchAnnotate", "parameters": { "parent": { "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+$", "description": "Optional. Target project and location to make a call. Format: `projects/{project-id}/locations/{location-id}`. If no parent is specified, a region will be chosen automatically. Supported location-ids: `us`: USA country only, `asia`: East asia areas, like Japan, Taiwan, `eu`: The European Union. Example: `projects/project-A/locations/eu`.", "type": "string" } } } } }, "products": { "methods": { "delete": { "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/products/{productsId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-vision" ], "parameters": { "name": { "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/products/[^/]+$", "type": "string", "description": "Required. Resource name of product to delete. Format is: `projects/PROJECT_ID/locations/LOC_ID/products/PRODUCT_ID`" } }, "path": "v1/{+name}", "response": { "$ref": "Empty" }, "httpMethod": "DELETE", "id": "vision.projects.locations.products.delete", "description": "Permanently deletes a product and its reference images. Metadata of the product and all its images will be deleted right away, but search queries against ProductSets containing the product may still work until all related caches are refreshed.", "parameterOrder": [ "name" ] }, "purge": { "parameters": { "parent": { "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+$", "location": "path", "description": "Required. The project and location in which the Products should be deleted. Format is `projects/PROJECT_ID/locations/LOC_ID`.", "required": true } }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/products:purge", "description": "Asynchronous API to delete all Products in a ProductSet or all Products that are in no ProductSet. If a Product is a member of the specified ProductSet in addition to other ProductSets, the Product will still be deleted. It is recommended to not delete the specified ProductSet until after this operation has completed. It is also recommended to not add any of the Products involved in the batch delete to a new ProductSet while this operation is running because those Products may still end up deleted. It's not possible to undo the PurgeProducts operation. Therefore, it is recommended to keep the csv files used in ImportProductSets (if that was how you originally built the Product Set) before starting PurgeProducts, in case you need to re-import the data after deletion. If the plan is to purge all of the Products from a ProductSet and then re-use the empty ProductSet to re-import new Products into the empty ProductSet, you must wait until the PurgeProducts operation has finished for that ProductSet. The google.longrunning.Operation API can be used to keep track of the progress and results of the request. `Operation.metadata` contains `BatchOperationMetadata`. (progress)", "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-vision" ], "request": { "$ref": "PurgeProductsRequest" }, "response": { "$ref": "Operation" }, "httpMethod": "POST", "id": "vision.projects.locations.products.purge", "path": "v1/{+parent}/products:purge" }, "get": { "httpMethod": "GET", "id": "vision.projects.locations.products.get", "description": "Gets information associated with a Product. Possible errors: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Returns NOT_FOUND if the Product does not exist.", "parameterOrder": [ "name" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/products/{productsId}", "parameters": { "name": { "description": "Required. Resource name of the Product to get. Format is: `projects/PROJECT_ID/locations/LOC_ID/products/PRODUCT_ID`", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/products/[^/]+$", "type": "string", "required": true } }, "response": { "$ref": "Product" }, "path": "v1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-vision" ] }, "create": { "response": { "$ref": "Product" }, "parameters": { "parent": { "pattern": "^projects/[^/]+/locations/[^/]+$", "description": "Required. The project in which the Product should be created. Format is `projects/PROJECT_ID/locations/LOC_ID`.", "type": "string", "required": true, "location": "path" }, "productId": { "description": "A user-supplied resource id for this Product. If set, the server will attempt to use this value as the resource id. If it is already in use, an error is returned with code ALREADY_EXISTS. Must be at most 128 characters long. It cannot contain the character `/`.", "type": "string", "location": "query" } }, "description": "Creates and returns a new product resource. Possible errors: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Returns INVALID_ARGUMENT if display_name is missing or longer than 4096 characters. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Returns INVALID_ARGUMENT if description is longer than 4096 characters. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Returns INVALID_ARGUMENT if product_category is missing or invalid.", "httpMethod": "POST", "parameterOrder": [ "parent" ], "request": { "$ref": "Product" }, "id": "vision.projects.locations.products.create", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/products", "path": "v1/{+parent}/products", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-vision" ] }, "patch": { "id": "vision.projects.locations.products.patch", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/products/{productsId}", "httpMethod": "PATCH", "response": { "$ref": "Product" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-vision" ], "parameters": { "updateMask": { "location": "query", "description": "The FieldMask that specifies which fields to update. If update_mask isn't specified, all mutable fields are to be updated. Valid mask paths include `product_labels`, `display_name`, and `description`.", "type": "string", "format": "google-fieldmask" }, "name": { "description": "The resource name of the product. Format is: `projects/PROJECT_ID/locations/LOC_ID/products/PRODUCT_ID`. This field is ignored when creating a product.", "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/products/[^/]+$", "required": true } }, "request": { "$ref": "Product" }, "path": "v1/{+name}", "description": "Makes changes to a Product resource. Only the `display_name`, `description`, and `labels` fields can be updated right now. If labels are updated, the change will not be reflected in queries until the next index time. Possible errors: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Returns NOT_FOUND if the Product does not exist. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Returns INVALID_ARGUMENT if display_name is present in update_mask but is missing from the request or longer than 4096 characters. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Returns INVALID_ARGUMENT if description is present in update_mask but is longer than 4096 characters. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Returns INVALID_ARGUMENT if product_category is present in update_mask.", "parameterOrder": [ "name" ] }, "list": { "parameterOrder": [ "parent" ], "path": "v1/{+parent}/products", "parameters": { "pageToken": { "location": "query", "type": "string", "description": "The next_page_token returned from a previous List request, if any." }, "pageSize": { "type": "integer", "format": "int32", "description": "The maximum number of items to return. Default 10, maximum 100.", "location": "query" }, "parent": { "description": "Required. The project OR ProductSet from which Products should be listed. Format: `projects/PROJECT_ID/locations/LOC_ID`", "required": true, "location": "path", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+$" } }, "response": { "$ref": "ListProductsResponse" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/products", "httpMethod": "GET", "description": "Lists products in an unspecified order. Possible errors: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Returns INVALID_ARGUMENT if page_size is greater than 100 or less than 1.", "id": "vision.projects.locations.products.list", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-vision" ] } }, "resources": { "referenceImages": { "methods": { "create": { "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/products/{productsId}/referenceImages", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-vision" ], "id": "vision.projects.locations.products.referenceImages.create", "response": { "$ref": "ReferenceImage" }, "parameters": { "referenceImageId": { "description": "A user-supplied resource id for the ReferenceImage to be added. If set, the server will attempt to use this value as the resource id. If it is already in use, an error is returned with code ALREADY_EXISTS. Must be at most 128 characters long. It cannot contain the character `/`.", "type": "string", "location": "query" }, "parent": { "pattern": "^projects/[^/]+/locations/[^/]+/products/[^/]+$", "location": "path", "type": "string", "required": true, "description": "Required. Resource name of the product in which to create the reference image. Format is `projects/PROJECT_ID/locations/LOC_ID/products/PRODUCT_ID`." } }, "path": "v1/{+parent}/referenceImages", "request": { "$ref": "ReferenceImage" }, "httpMethod": "POST", "parameterOrder": [ "parent" ], "description": "Creates and returns a new ReferenceImage resource. The `bounding_poly` field is optional. If `bounding_poly` is not specified, the system will try to detect regions of interest in the image that are compatible with the product_category on the parent product. If it is specified, detection is ALWAYS skipped. The system converts polygons into non-rotated rectangles. Note that the pipeline will resize the image if the image resolution is too large to process (above 50MP). Possible errors: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Returns INVALID_ARGUMENT if the image_uri is missing or longer than 4096 characters. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Returns INVALID_ARGUMENT if the product does not exist. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Returns INVALID_ARGUMENT if bounding_poly is not provided, and nothing compatible with the parent product's product_category is detected. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Returns INVALID_ARGUMENT if bounding_poly contains more than 10 polygons." }, "get": { "parameterOrder": [ "name" ], "response": { "$ref": "ReferenceImage" }, "path": "v1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-vision" ], "httpMethod": "GET", "parameters": { "name": { "description": "Required. The resource name of the ReferenceImage to get. Format is: `projects/PROJECT_ID/locations/LOC_ID/products/PRODUCT_ID/referenceImages/IMAGE_ID`.", "required": true, "location": "path", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/products/[^/]+/referenceImages/[^/]+$" } }, "id": "vision.projects.locations.products.referenceImages.get", "description": "Gets information associated with a ReferenceImage. Possible errors: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Returns NOT_FOUND if the specified image does not exist.", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/products/{productsId}/referenceImages/{referenceImagesId}" }, "delete": { "path": "v1/{+name}", "httpMethod": "DELETE", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-vision" ], "id": "vision.projects.locations.products.referenceImages.delete", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/products/{productsId}/referenceImages/{referenceImagesId}", "parameterOrder": [ "name" ], "description": "Permanently deletes a reference image. The image metadata will be deleted right away, but search queries against ProductSets containing the image may still work until all related caches are refreshed. The actual image files are not deleted from Google Cloud Storage.", "response": { "$ref": "Empty" }, "parameters": { "name": { "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/products/[^/]+/referenceImages/[^/]+$", "description": "Required. The resource name of the reference image to delete. Format is: `projects/PROJECT_ID/locations/LOC_ID/products/PRODUCT_ID/referenceImages/IMAGE_ID`", "location": "path", "required": true } } }, "list": { "response": { "$ref": "ListReferenceImagesResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-vision" ], "parameterOrder": [ "parent" ], "httpMethod": "GET", "parameters": { "parent": { "description": "Required. Resource name of the product containing the reference images. Format is `projects/PROJECT_ID/locations/LOC_ID/products/PRODUCT_ID`.", "pattern": "^projects/[^/]+/locations/[^/]+/products/[^/]+$", "type": "string", "required": true, "location": "path" }, "pageToken": { "location": "query", "type": "string", "description": "A token identifying a page of results to be returned. This is the value of `nextPageToken` returned in a previous reference image list request. Defaults to the first page if not specified." }, "pageSize": { "format": "int32", "location": "query", "type": "integer", "description": "The maximum number of items to return. Default 10, maximum 100." } }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/products/{productsId}/referenceImages", "path": "v1/{+parent}/referenceImages", "id": "vision.projects.locations.products.referenceImages.list", "description": "Lists reference images. Possible errors: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Returns NOT_FOUND if the parent product does not exist. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Returns INVALID_ARGUMENT if the page_size is greater than 100, or less than 1." } } } } }, "images": { "methods": { "annotate": { "request": { "$ref": "BatchAnnotateImagesRequest" }, "httpMethod": "POST", "parameters": { "parent": { "location": "path", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+$", "description": "Optional. Target project and location to make a call. Format: `projects/{project-id}/locations/{location-id}`. If no parent is specified, a region will be chosen automatically. Supported location-ids: `us`: USA country only, `asia`: East asia areas, like Japan, Taiwan, `eu`: The European Union. Example: `projects/project-A/locations/eu`." } }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/images:annotate", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-vision" ], "id": "vision.projects.locations.images.annotate", "parameterOrder": [ "parent" ], "description": "Run image detection and annotation for a batch of images.", "response": { "$ref": "BatchAnnotateImagesResponse" }, "path": "v1/{+parent}/images:annotate" }, "asyncBatchAnnotate": { "path": "v1/{+parent}/images:asyncBatchAnnotate", "request": { "$ref": "AsyncBatchAnnotateImagesRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-vision" ], "parameters": { "parent": { "location": "path", "required": true, "description": "Optional. Target project and location to make a call. Format: `projects/{project-id}/locations/{location-id}`. If no parent is specified, a region will be chosen automatically. Supported location-ids: `us`: USA country only, `asia`: East asia areas, like Japan, Taiwan, `eu`: The European Union. Example: `projects/project-A/locations/eu`.", "pattern": "^projects/[^/]+/locations/[^/]+$", "type": "string" } }, "httpMethod": "POST", "description": "Run asynchronous image detection and annotation for a list of images. Progress and results can be retrieved through the `google.longrunning.Operations` interface. `Operation.metadata` contains `OperationMetadata` (metadata). `Operation.response` contains `AsyncBatchAnnotateImagesResponse` (results). This service will write image annotation outputs to json files in customer GCS bucket, each json file containing BatchAnnotateImagesResponse proto.", "parameterOrder": [ "parent" ], "response": { "$ref": "Operation" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/images:asyncBatchAnnotate", "id": "vision.projects.locations.images.asyncBatchAnnotate" } } } } }, "operations": { "methods": { "get": { "flatPath": "v1/projects/{projectsId}/operations/{operationsId}", "path": "v1/{+name}", "id": "vision.projects.operations.get", "parameters": { "name": { "pattern": "^projects/[^/]+/operations/[^/]+$", "description": "The name of the operation resource.", "required": true, "type": "string", "location": "path" } }, "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-vision" ], "httpMethod": "GET", "response": { "$ref": "Operation" }, "description": "Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service." } } }, "files": { "methods": { "annotate": { "parameters": { "parent": { "location": "path", "pattern": "^projects/[^/]+$", "required": true, "type": "string", "description": "Optional. Target project and location to make a call. Format: `projects/{project-id}/locations/{location-id}`. If no parent is specified, a region will be chosen automatically. Supported location-ids: `us`: USA country only, `asia`: East asia areas, like Japan, Taiwan, `eu`: The European Union. Example: `projects/project-A/locations/eu`." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-vision" ], "path": "v1/{+parent}/files:annotate", "description": "Service that performs image detection and annotation for a batch of files. Now only \"application/pdf\", \"image/tiff\" and \"image/gif\" are supported. This service will extract at most 5 (customers can specify which 5 in AnnotateFileRequest.pages) frames (gif) or pages (pdf or tiff) from each file provided and perform detection and annotation for each image extracted.", "request": { "$ref": "BatchAnnotateFilesRequest" }, "flatPath": "v1/projects/{projectsId}/files:annotate", "id": "vision.projects.files.annotate", "httpMethod": "POST", "response": { "$ref": "BatchAnnotateFilesResponse" }, "parameterOrder": [ "parent" ] }, "asyncBatchAnnotate": { "id": "vision.projects.files.asyncBatchAnnotate", "parameterOrder": [ "parent" ], "path": "v1/{+parent}/files:asyncBatchAnnotate", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-vision" ], "httpMethod": "POST", "parameters": { "parent": { "description": "Optional. Target project and location to make a call. Format: `projects/{project-id}/locations/{location-id}`. If no parent is specified, a region will be chosen automatically. Supported location-ids: `us`: USA country only, `asia`: East asia areas, like Japan, Taiwan, `eu`: The European Union. Example: `projects/project-A/locations/eu`.", "required": true, "pattern": "^projects/[^/]+$", "type": "string", "location": "path" } }, "flatPath": "v1/projects/{projectsId}/files:asyncBatchAnnotate", "request": { "$ref": "AsyncBatchAnnotateFilesRequest" }, "response": { "$ref": "Operation" }, "description": "Run asynchronous image detection and annotation for a list of generic files, such as PDF files, which may contain multiple pages and multiple images per page. Progress and results can be retrieved through the `google.longrunning.Operations` interface. `Operation.metadata` contains `OperationMetadata` (metadata). `Operation.response` contains `AsyncBatchAnnotateFilesResponse` (results)." } } } } }, "operations": { "methods": { "cancel": { "request": { "$ref": "CancelOperationRequest" }, "path": "v1/{+name}:cancel", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-vision" ], "parameters": { "name": { "pattern": "^operations/.*$", "type": "string", "description": "The name of the operation resource to be cancelled.", "location": "path", "required": true } }, "response": { "$ref": "Empty" }, "httpMethod": "POST", "id": "vision.operations.cancel", "description": "Starts asynchronous cancellation on a long-running operation. The server makes a best effort to cancel the operation, but success is not guaranteed. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`. Clients can use Operations.GetOperation or other methods to check whether the cancellation succeeded or whether the operation completed despite cancellation. On successful cancellation, the operation is not deleted; instead, it becomes an operation with an Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`.", "parameterOrder": [ "name" ], "flatPath": "v1/operations/{operationsId}:cancel" }, "get": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-vision" ], "flatPath": "v1/operations/{operationsId}", "path": "v1/{+name}", "httpMethod": "GET", "description": "Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service.", "parameterOrder": [ "name" ], "response": { "$ref": "Operation" }, "parameters": { "name": { "pattern": "^operations/[^/]+$", "type": "string", "required": true, "description": "The name of the operation resource.", "location": "path" } }, "id": "vision.operations.get" }, "delete": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-vision" ], "parameters": { "name": { "location": "path", "required": true, "type": "string", "pattern": "^operations/.*$", "description": "The name of the operation resource to be deleted." } }, "httpMethod": "DELETE", "description": "Deletes a long-running operation. This method indicates that the client is no longer interested in the operation result. It does not cancel the operation. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`.", "path": "v1/{+name}", "response": { "$ref": "Empty" }, "parameterOrder": [ "name" ], "flatPath": "v1/operations/{operationsId}", "id": "vision.operations.delete" }, "list": { "path": "v1/{+name}", "response": { "$ref": "ListOperationsResponse" }, "parameterOrder": [ "name" ], "description": "Lists operations that match the specified filter in the request. If the server doesn't support this method, it returns `UNIMPLEMENTED`. NOTE: the `name` binding allows API services to override the binding to use different resource name schemes, such as `users/*/operations`. To override the binding, API services can add a binding such as `\"/v1/{name=users/*}/operations\"` to their service configuration. For backwards compatibility, the default name includes the operations collection id, however overriding users must ensure the name binding is the parent resource, without the operations collection id.", "flatPath": "v1/operations", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-vision" ], "httpMethod": "GET", "id": "vision.operations.list", "parameters": { "pageSize": { "type": "integer", "format": "int32", "location": "query", "description": "The standard list page size." }, "pageToken": { "type": "string", "description": "The standard list page token.", "location": "query" }, "name": { "description": "The name of the operation's parent resource.", "pattern": "^operations$", "location": "path", "required": true, "type": "string" }, "filter": { "type": "string", "description": "The standard list filter.", "location": "query" } } } } }, "images": { "methods": { "annotate": { "parameterOrder": [], "path": "v1/images:annotate", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-vision" ], "id": "vision.images.annotate", "request": { "$ref": "BatchAnnotateImagesRequest" }, "parameters": {}, "response": { "$ref": "BatchAnnotateImagesResponse" }, "flatPath": "v1/images:annotate", "description": "Run image detection and annotation for a batch of images." }, "asyncBatchAnnotate": { "httpMethod": "POST", "parameterOrder": [], "path": "v1/images:asyncBatchAnnotate", "id": "vision.images.asyncBatchAnnotate", "parameters": {}, "flatPath": "v1/images:asyncBatchAnnotate", "request": { "$ref": "AsyncBatchAnnotateImagesRequest" }, "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-vision" ], "description": "Run asynchronous image detection and annotation for a list of images. Progress and results can be retrieved through the `google.longrunning.Operations` interface. `Operation.metadata` contains `OperationMetadata` (metadata). `Operation.response` contains `AsyncBatchAnnotateImagesResponse` (results). This service will write image annotation outputs to json files in customer GCS bucket, each json file containing BatchAnnotateImagesResponse proto." } } }, "files": { "methods": { "asyncBatchAnnotate": { "id": "vision.files.asyncBatchAnnotate", "description": "Run asynchronous image detection and annotation for a list of generic files, such as PDF files, which may contain multiple pages and multiple images per page. Progress and results can be retrieved through the `google.longrunning.Operations` interface. `Operation.metadata` contains `OperationMetadata` (metadata). `Operation.response` contains `AsyncBatchAnnotateFilesResponse` (results).", "path": "v1/files:asyncBatchAnnotate", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-vision" ], "httpMethod": "POST", "flatPath": "v1/files:asyncBatchAnnotate", "parameters": {}, "parameterOrder": [], "request": { "$ref": "AsyncBatchAnnotateFilesRequest" } }, "annotate": { "parameters": {}, "response": { "$ref": "BatchAnnotateFilesResponse" }, "flatPath": "v1/files:annotate", "id": "vision.files.annotate", "path": "v1/files:annotate", "parameterOrder": [], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-vision" ], "request": { "$ref": "BatchAnnotateFilesRequest" }, "description": "Service that performs image detection and annotation for a batch of files. Now only \"application/pdf\", \"image/tiff\" and \"image/gif\" are supported. This service will extract at most 5 (customers can specify which 5 in AnnotateFileRequest.pages) frames (gif) or pages (pdf or tiff) from each file provided and perform detection and annotation for each image extracted.", "httpMethod": "POST" } } } }, "id": "vision:v1", "name": "vision", "description": "Integrates Google Vision features, including image labeling, face, logo, and landmark detection, optical character recognition (OCR), and detection of explicit content, into applications.", "icons": { "x16": "http://www.google.com/images/icons/product/search-16.gif", "x32": "http://www.google.com/images/icons/product/search-32.gif" }, "servicePath": "", "version_module": true, "batchPath": "batch", "protocol": "rest", "parameters": { "oauth_token": { "type": "string", "description": "OAuth 2.0 token for the current user.", "location": "query" }, "$.xgafv": { "type": "string", "enum": [ "1", "2" ], "enumDescriptions": [ "v1 error format", "v2 error format" ], "description": "V1 error format.", "location": "query" }, "key": { "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "type": "string", "location": "query" }, "prettyPrint": { "type": "boolean", "default": "true", "description": "Returns response with indentations and line breaks.", "location": "query" }, "quotaUser": { "location": "query", "type": "string", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters." }, "upload_protocol": { "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "type": "string", "location": "query" }, "access_token": { "type": "string", "description": "OAuth access token.", "location": "query" }, "callback": { "description": "JSONP", "location": "query", "type": "string" }, "uploadType": { "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "type": "string", "location": "query" }, "fields": { "type": "string", "location": "query", "description": "Selector specifying which fields to include in a partial response." }, "alt": { "location": "query", "default": "json", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "description": "Data format for response.", "type": "string", "enum": [ "json", "media", "proto" ] } }, "baseUrl": "https://vision.googleapis.com/", "rootUrl": "https://vision.googleapis.com/", "kind": "discovery#restDescription", "basePath": "", "canonicalName": "Vision" }
]===]))
