local decode = require("cjson").new().decode
return assert(decode([===[
{ "resources": { "files": { "methods": { "asyncBatchAnnotate": { "flatPath": "v1p2beta1/files:asyncBatchAnnotate", "path": "v1p2beta1/files:asyncBatchAnnotate", "request": { "$ref": "GoogleCloudVisionV1p2beta1AsyncBatchAnnotateFilesRequest" }, "description": "Run asynchronous image detection and annotation for a list of generic files, such as PDF files, which may contain multiple pages and multiple images per page. Progress and results can be retrieved through the `google.longrunning.Operations` interface. `Operation.metadata` contains `OperationMetadata` (metadata). `Operation.response` contains `AsyncBatchAnnotateFilesResponse` (results).", "id": "vision.files.asyncBatchAnnotate", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-vision" ], "parameters": {}, "response": { "$ref": "Operation" }, "httpMethod": "POST", "parameterOrder": [] }, "annotate": { "path": "v1p2beta1/files:annotate", "parameterOrder": [], "response": { "$ref": "GoogleCloudVisionV1p2beta1BatchAnnotateFilesResponse" }, "description": "Service that performs image detection and annotation for a batch of files. Now only \"application/pdf\", \"image/tiff\" and \"image/gif\" are supported. This service will extract at most 5 (customers can specify which 5 in AnnotateFileRequest.pages) frames (gif) or pages (pdf or tiff) from each file provided and perform detection and annotation for each image extracted.", "flatPath": "v1p2beta1/files:annotate", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-vision" ], "id": "vision.files.annotate", "parameters": {}, "request": { "$ref": "GoogleCloudVisionV1p2beta1BatchAnnotateFilesRequest" } } } }, "images": { "methods": { "asyncBatchAnnotate": { "parameters": {}, "description": "Run asynchronous image detection and annotation for a list of images. Progress and results can be retrieved through the `google.longrunning.Operations` interface. `Operation.metadata` contains `OperationMetadata` (metadata). `Operation.response` contains `AsyncBatchAnnotateImagesResponse` (results). This service will write image annotation outputs to json files in customer GCS bucket, each json file containing BatchAnnotateImagesResponse proto.", "id": "vision.images.asyncBatchAnnotate", "path": "v1p2beta1/images:asyncBatchAnnotate", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-vision" ], "flatPath": "v1p2beta1/images:asyncBatchAnnotate", "request": { "$ref": "GoogleCloudVisionV1p2beta1AsyncBatchAnnotateImagesRequest" }, "httpMethod": "POST", "parameterOrder": [] }, "annotate": { "description": "Run image detection and annotation for a batch of images.", "path": "v1p2beta1/images:annotate", "id": "vision.images.annotate", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-vision" ], "flatPath": "v1p2beta1/images:annotate", "request": { "$ref": "GoogleCloudVisionV1p2beta1BatchAnnotateImagesRequest" }, "parameters": {}, "parameterOrder": [], "httpMethod": "POST", "response": { "$ref": "GoogleCloudVisionV1p2beta1BatchAnnotateImagesResponse" } } } }, "projects": { "resources": { "images": { "methods": { "asyncBatchAnnotate": { "flatPath": "v1p2beta1/projects/{projectsId}/images:asyncBatchAnnotate", "description": "Run asynchronous image detection and annotation for a list of images. Progress and results can be retrieved through the `google.longrunning.Operations` interface. `Operation.metadata` contains `OperationMetadata` (metadata). `Operation.response` contains `AsyncBatchAnnotateImagesResponse` (results). This service will write image annotation outputs to json files in customer GCS bucket, each json file containing BatchAnnotateImagesResponse proto.", "request": { "$ref": "GoogleCloudVisionV1p2beta1AsyncBatchAnnotateImagesRequest" }, "parameterOrder": [ "parent" ], "id": "vision.projects.images.asyncBatchAnnotate", "httpMethod": "POST", "response": { "$ref": "Operation" }, "path": "v1p2beta1/{+parent}/images:asyncBatchAnnotate", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-vision" ], "parameters": { "parent": { "description": "Optional. Target project and location to make a call. Format: `projects/{project-id}/locations/{location-id}`. If no parent is specified, a region will be chosen automatically. Supported location-ids: `us`: USA country only, `asia`: East asia areas, like Japan, Taiwan, `eu`: The European Union. Example: `projects/project-A/locations/eu`.", "pattern": "^projects/[^/]+$", "location": "path", "required": true, "type": "string" } } }, "annotate": { "response": { "$ref": "GoogleCloudVisionV1p2beta1BatchAnnotateImagesResponse" }, "flatPath": "v1p2beta1/projects/{projectsId}/images:annotate", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-vision" ], "id": "vision.projects.images.annotate", "path": "v1p2beta1/{+parent}/images:annotate", "parameterOrder": [ "parent" ], "request": { "$ref": "GoogleCloudVisionV1p2beta1BatchAnnotateImagesRequest" }, "description": "Run image detection and annotation for a batch of images.", "parameters": { "parent": { "description": "Optional. Target project and location to make a call. Format: `projects/{project-id}/locations/{location-id}`. If no parent is specified, a region will be chosen automatically. Supported location-ids: `us`: USA country only, `asia`: East asia areas, like Japan, Taiwan, `eu`: The European Union. Example: `projects/project-A/locations/eu`.", "required": true, "pattern": "^projects/[^/]+$", "type": "string", "location": "path" } }, "httpMethod": "POST" } } }, "locations": { "resources": { "images": { "methods": { "asyncBatchAnnotate": { "parameterOrder": [ "parent" ], "flatPath": "v1p2beta1/projects/{projectsId}/locations/{locationsId}/images:asyncBatchAnnotate", "httpMethod": "POST", "id": "vision.projects.locations.images.asyncBatchAnnotate", "request": { "$ref": "GoogleCloudVisionV1p2beta1AsyncBatchAnnotateImagesRequest" }, "parameters": { "parent": { "location": "path", "description": "Optional. Target project and location to make a call. Format: `projects/{project-id}/locations/{location-id}`. If no parent is specified, a region will be chosen automatically. Supported location-ids: `us`: USA country only, `asia`: East asia areas, like Japan, Taiwan, `eu`: The European Union. Example: `projects/project-A/locations/eu`.", "pattern": "^projects/[^/]+/locations/[^/]+$", "required": true, "type": "string" } }, "response": { "$ref": "Operation" }, "description": "Run asynchronous image detection and annotation for a list of images. Progress and results can be retrieved through the `google.longrunning.Operations` interface. `Operation.metadata` contains `OperationMetadata` (metadata). `Operation.response` contains `AsyncBatchAnnotateImagesResponse` (results). This service will write image annotation outputs to json files in customer GCS bucket, each json file containing BatchAnnotateImagesResponse proto.", "path": "v1p2beta1/{+parent}/images:asyncBatchAnnotate", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-vision" ] }, "annotate": { "parameterOrder": [ "parent" ], "httpMethod": "POST", "path": "v1p2beta1/{+parent}/images:annotate", "request": { "$ref": "GoogleCloudVisionV1p2beta1BatchAnnotateImagesRequest" }, "parameters": { "parent": { "pattern": "^projects/[^/]+/locations/[^/]+$", "location": "path", "description": "Optional. Target project and location to make a call. Format: `projects/{project-id}/locations/{location-id}`. If no parent is specified, a region will be chosen automatically. Supported location-ids: `us`: USA country only, `asia`: East asia areas, like Japan, Taiwan, `eu`: The European Union. Example: `projects/project-A/locations/eu`.", "type": "string", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-vision" ], "id": "vision.projects.locations.images.annotate", "description": "Run image detection and annotation for a batch of images.", "response": { "$ref": "GoogleCloudVisionV1p2beta1BatchAnnotateImagesResponse" }, "flatPath": "v1p2beta1/projects/{projectsId}/locations/{locationsId}/images:annotate" } } }, "files": { "methods": { "annotate": { "response": { "$ref": "GoogleCloudVisionV1p2beta1BatchAnnotateFilesResponse" }, "flatPath": "v1p2beta1/projects/{projectsId}/locations/{locationsId}/files:annotate", "path": "v1p2beta1/{+parent}/files:annotate", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-vision" ], "id": "vision.projects.locations.files.annotate", "description": "Service that performs image detection and annotation for a batch of files. Now only \"application/pdf\", \"image/tiff\" and \"image/gif\" are supported. This service will extract at most 5 (customers can specify which 5 in AnnotateFileRequest.pages) frames (gif) or pages (pdf or tiff) from each file provided and perform detection and annotation for each image extracted.", "parameterOrder": [ "parent" ], "request": { "$ref": "GoogleCloudVisionV1p2beta1BatchAnnotateFilesRequest" }, "parameters": { "parent": { "description": "Optional. Target project and location to make a call. Format: `projects/{project-id}/locations/{location-id}`. If no parent is specified, a region will be chosen automatically. Supported location-ids: `us`: USA country only, `asia`: East asia areas, like Japan, Taiwan, `eu`: The European Union. Example: `projects/project-A/locations/eu`.", "pattern": "^projects/[^/]+/locations/[^/]+$", "location": "path", "type": "string", "required": true } } }, "asyncBatchAnnotate": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-vision" ], "httpMethod": "POST", "response": { "$ref": "Operation" }, "id": "vision.projects.locations.files.asyncBatchAnnotate", "flatPath": "v1p2beta1/projects/{projectsId}/locations/{locationsId}/files:asyncBatchAnnotate", "parameters": { "parent": { "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+$", "description": "Optional. Target project and location to make a call. Format: `projects/{project-id}/locations/{location-id}`. If no parent is specified, a region will be chosen automatically. Supported location-ids: `us`: USA country only, `asia`: East asia areas, like Japan, Taiwan, `eu`: The European Union. Example: `projects/project-A/locations/eu`.", "location": "path", "required": true } }, "description": "Run asynchronous image detection and annotation for a list of generic files, such as PDF files, which may contain multiple pages and multiple images per page. Progress and results can be retrieved through the `google.longrunning.Operations` interface. `Operation.metadata` contains `OperationMetadata` (metadata). `Operation.response` contains `AsyncBatchAnnotateFilesResponse` (results).", "parameterOrder": [ "parent" ], "request": { "$ref": "GoogleCloudVisionV1p2beta1AsyncBatchAnnotateFilesRequest" }, "path": "v1p2beta1/{+parent}/files:asyncBatchAnnotate" } } } } }, "files": { "methods": { "annotate": { "parameterOrder": [ "parent" ], "description": "Service that performs image detection and annotation for a batch of files. Now only \"application/pdf\", \"image/tiff\" and \"image/gif\" are supported. This service will extract at most 5 (customers can specify which 5 in AnnotateFileRequest.pages) frames (gif) or pages (pdf or tiff) from each file provided and perform detection and annotation for each image extracted.", "parameters": { "parent": { "pattern": "^projects/[^/]+$", "type": "string", "description": "Optional. Target project and location to make a call. Format: `projects/{project-id}/locations/{location-id}`. If no parent is specified, a region will be chosen automatically. Supported location-ids: `us`: USA country only, `asia`: East asia areas, like Japan, Taiwan, `eu`: The European Union. Example: `projects/project-A/locations/eu`.", "required": true, "location": "path" } }, "response": { "$ref": "GoogleCloudVisionV1p2beta1BatchAnnotateFilesResponse" }, "request": { "$ref": "GoogleCloudVisionV1p2beta1BatchAnnotateFilesRequest" }, "flatPath": "v1p2beta1/projects/{projectsId}/files:annotate", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-vision" ], "path": "v1p2beta1/{+parent}/files:annotate", "id": "vision.projects.files.annotate" }, "asyncBatchAnnotate": { "id": "vision.projects.files.asyncBatchAnnotate", "path": "v1p2beta1/{+parent}/files:asyncBatchAnnotate", "description": "Run asynchronous image detection and annotation for a list of generic files, such as PDF files, which may contain multiple pages and multiple images per page. Progress and results can be retrieved through the `google.longrunning.Operations` interface. `Operation.metadata` contains `OperationMetadata` (metadata). `Operation.response` contains `AsyncBatchAnnotateFilesResponse` (results).", "request": { "$ref": "GoogleCloudVisionV1p2beta1AsyncBatchAnnotateFilesRequest" }, "response": { "$ref": "Operation" }, "flatPath": "v1p2beta1/projects/{projectsId}/files:asyncBatchAnnotate", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-vision" ], "parameters": { "parent": { "description": "Optional. Target project and location to make a call. Format: `projects/{project-id}/locations/{location-id}`. If no parent is specified, a region will be chosen automatically. Supported location-ids: `us`: USA country only, `asia`: East asia areas, like Japan, Taiwan, `eu`: The European Union. Example: `projects/project-A/locations/eu`.", "pattern": "^projects/[^/]+$", "required": true, "type": "string", "location": "path" } }, "httpMethod": "POST", "parameterOrder": [ "parent" ] } } } } } }, "version": "v1p2beta1", "id": "vision:v1p2beta1", "revision": "20220624", "icons": { "x16": "http://www.google.com/images/icons/product/search-16.gif", "x32": "http://www.google.com/images/icons/product/search-32.gif" }, "parameters": { "oauth_token": { "description": "OAuth 2.0 token for the current user.", "location": "query", "type": "string" }, "quotaUser": { "type": "string", "location": "query", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters." }, "access_token": { "description": "OAuth access token.", "type": "string", "location": "query" }, "prettyPrint": { "type": "boolean", "description": "Returns response with indentations and line breaks.", "location": "query", "default": "true" }, "key": { "location": "query", "type": "string", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token." }, "callback": { "location": "query", "description": "JSONP", "type": "string" }, "alt": { "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "enum": [ "json", "media", "proto" ], "description": "Data format for response.", "default": "json", "location": "query", "type": "string" }, "uploadType": { "type": "string", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "location": "query" }, "$.xgafv": { "description": "V1 error format.", "type": "string", "enumDescriptions": [ "v1 error format", "v2 error format" ], "location": "query", "enum": [ "1", "2" ] }, "upload_protocol": { "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "location": "query", "type": "string" }, "fields": { "type": "string", "description": "Selector specifying which fields to include in a partial response.", "location": "query" } }, "kind": "discovery#restDescription", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." }, "https://www.googleapis.com/auth/cloud-vision": { "description": "Apply machine learning models to understand and label images" } } } }, "basePath": "", "servicePath": "", "description": "Integrates Google Vision features, including image labeling, face, logo, and landmark detection, optical character recognition (OCR), and detection of explicit content, into applications.", "version_module": true, "fullyEncodeReservedExpansion": true, "ownerDomain": "google.com", "baseUrl": "https://vision.googleapis.com/", "rootUrl": "https://vision.googleapis.com/", "schemas": { "GoogleCloudVisionV1p1beta1LocationInfo": { "type": "object", "id": "GoogleCloudVisionV1p1beta1LocationInfo", "properties": { "latLng": { "description": "lat/long location coordinates.", "$ref": "LatLng" } }, "description": "Detected entity location information." }, "GoogleCloudVisionV1p3beta1ProductSearchResults": { "type": "object", "description": "Results for a product search request.", "id": "GoogleCloudVisionV1p3beta1ProductSearchResults", "properties": { "results": { "description": "List of results, one for each product match.", "items": { "$ref": "GoogleCloudVisionV1p3beta1ProductSearchResultsResult" }, "type": "array" }, "productGroupedResults": { "description": "List of results grouped by products detected in the query image. Each entry corresponds to one bounding polygon in the query image, and contains the matching products specific to that region. There may be duplicate product matches in the union of all the per-product results.", "type": "array", "items": { "$ref": "GoogleCloudVisionV1p3beta1ProductSearchResultsGroupedResult" } }, "indexTime": { "description": "Timestamp of the index which provided these results. Products added to the product set and products removed from the product set after this time are not reflected in the current results.", "format": "google-datetime", "type": "string" } } }, "GoogleCloudVisionV1p2beta1GcsSource": { "type": "object", "id": "GoogleCloudVisionV1p2beta1GcsSource", "description": "The Google Cloud Storage location where the input will be read from.", "properties": { "uri": { "description": "Google Cloud Storage URI for the input file. This must only be a Google Cloud Storage object. Wildcards are not currently supported.", "type": "string" } } }, "TextAnnotation": { "type": "object", "description": "TextAnnotation contains a structured representation of OCR extracted text. The hierarchy of an OCR extracted text structure is like this: TextAnnotation -\u003e Page -\u003e Block -\u003e Paragraph -\u003e Word -\u003e Symbol Each structural component, starting from Page, may further have their own properties. Properties describe detected languages, breaks etc.. Please refer to the TextAnnotation.TextProperty message definition below for more detail.", "properties": { "text": { "description": "UTF-8 text detected on the pages.", "type": "string" }, "pages": { "type": "array", "items": { "$ref": "Page" }, "description": "List of pages detected by OCR." } }, "id": "TextAnnotation" }, "GoogleCloudVisionV1p3beta1Paragraph": { "properties": { "confidence": { "description": "Confidence of the OCR results for the paragraph. Range [0, 1].", "format": "float", "type": "number" }, "boundingBox": { "description": "The bounding box for the paragraph. The vertices are in the order of top-left, top-right, bottom-right, bottom-left. When a rotation of the bounding box is detected the rotation is represented as around the top-left corner as defined when the text is read in the 'natural' orientation. For example: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh when the text is horizontal it might look like: 0----1 | | 3----2 LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh when it's rotated 180 degrees around the top-left corner it becomes: 2----3 | | 1----0 and the vertex order will still be (0, 1, 2, 3).", "$ref": "GoogleCloudVisionV1p3beta1BoundingPoly" }, "property": { "description": "Additional information detected for the paragraph.", "$ref": "GoogleCloudVisionV1p3beta1TextAnnotationTextProperty" }, "words": { "description": "List of all words in this paragraph.", "items": { "$ref": "GoogleCloudVisionV1p3beta1Word" }, "type": "array" } }, "id": "GoogleCloudVisionV1p3beta1Paragraph", "type": "object", "description": "Structural unit of text representing a number of words in certain order." }, "GoogleCloudVisionV1p3beta1ProductSearchResultsObjectAnnotation": { "id": "GoogleCloudVisionV1p3beta1ProductSearchResultsObjectAnnotation", "properties": { "mid": { "description": "Object ID that should align with EntityAnnotation mid.", "type": "string" }, "name": { "description": "Object name, expressed in its `language_code` language.", "type": "string" }, "score": { "type": "number", "format": "float", "description": "Score of the result. Range [0, 1]." }, "languageCode": { "type": "string", "description": "The BCP-47 language code, such as \"en-US\" or \"sr-Latn\". For more information, see http://www.unicode.org/reports/tr35/#Unicode_locale_identifier." } }, "type": "object", "description": "Prediction for what the object in the bounding box is." }, "GoogleCloudVisionV1p1beta1Page": { "properties": { "height": { "description": "Page height. For PDFs the unit is points. For images (including TIFFs) the unit is pixels.", "format": "int32", "type": "integer" }, "confidence": { "description": "Confidence of the OCR results on the page. Range [0, 1].", "type": "number", "format": "float" }, "width": { "format": "int32", "type": "integer", "description": "Page width. For PDFs the unit is points. For images (including TIFFs) the unit is pixels." }, "blocks": { "items": { "$ref": "GoogleCloudVisionV1p1beta1Block" }, "type": "array", "description": "List of blocks of text, images etc on this page." }, "property": { "$ref": "GoogleCloudVisionV1p1beta1TextAnnotationTextProperty", "description": "Additional information detected on the page." } }, "id": "GoogleCloudVisionV1p1beta1Page", "description": "Detected page from OCR.", "type": "object" }, "GoogleCloudVisionV1p2beta1TextDetectionParams": { "id": "GoogleCloudVisionV1p2beta1TextDetectionParams", "properties": { "enableTextDetectionConfidenceScore": { "type": "boolean", "description": "By default, Cloud Vision API only includes confidence score for DOCUMENT_TEXT_DETECTION result. Set the flag to true to include confidence score for TEXT_DETECTION as well." } }, "type": "object", "description": "Parameters for text detections. This is used to control TEXT_DETECTION and DOCUMENT_TEXT_DETECTION features." }, "GoogleCloudVisionV1p2beta1AnnotateImageResponse": { "type": "object", "properties": { "localizedObjectAnnotations": { "description": "If present, localized object detection has completed successfully. This will be sorted descending by confidence score.", "items": { "$ref": "GoogleCloudVisionV1p2beta1LocalizedObjectAnnotation" }, "type": "array" }, "faceAnnotations": { "items": { "$ref": "GoogleCloudVisionV1p2beta1FaceAnnotation" }, "type": "array", "description": "If present, face detection has completed successfully." }, "landmarkAnnotations": { "description": "If present, landmark detection has completed successfully.", "type": "array", "items": { "$ref": "GoogleCloudVisionV1p2beta1EntityAnnotation" } }, "imagePropertiesAnnotation": { "description": "If present, image properties were extracted successfully.", "$ref": "GoogleCloudVisionV1p2beta1ImageProperties" }, "textAnnotations": { "items": { "$ref": "GoogleCloudVisionV1p2beta1EntityAnnotation" }, "description": "If present, text (OCR) detection has completed successfully.", "type": "array" }, "logoAnnotations": { "type": "array", "items": { "$ref": "GoogleCloudVisionV1p2beta1EntityAnnotation" }, "description": "If present, logo detection has completed successfully." }, "labelAnnotations": { "type": "array", "items": { "$ref": "GoogleCloudVisionV1p2beta1EntityAnnotation" }, "description": "If present, label detection has completed successfully." }, "productSearchResults": { "$ref": "GoogleCloudVisionV1p2beta1ProductSearchResults", "description": "If present, product search has completed successfully." }, "fullTextAnnotation": { "$ref": "GoogleCloudVisionV1p2beta1TextAnnotation", "description": "If present, text (OCR) detection or document (OCR) text detection has completed successfully. This annotation provides the structural hierarchy for the OCR detected text." }, "error": { "description": "If set, represents the error message for the operation. Note that filled-in image annotations are guaranteed to be correct, even when `error` is set.", "$ref": "Status" }, "safeSearchAnnotation": { "description": "If present, safe-search annotation has completed successfully.", "$ref": "GoogleCloudVisionV1p2beta1SafeSearchAnnotation" }, "webDetection": { "$ref": "GoogleCloudVisionV1p2beta1WebDetection", "description": "If present, web detection has completed successfully." }, "cropHintsAnnotation": { "description": "If present, crop hints have completed successfully.", "$ref": "GoogleCloudVisionV1p2beta1CropHintsAnnotation" }, "context": { "$ref": "GoogleCloudVisionV1p2beta1ImageAnnotationContext", "description": "If present, contextual information is needed to understand where this image comes from." } }, "description": "Response to an image annotation request.", "id": "GoogleCloudVisionV1p2beta1AnnotateImageResponse" }, "GoogleCloudVisionV1p2beta1ColorInfo": { "properties": { "color": { "$ref": "Color", "description": "RGB components of the color." }, "pixelFraction": { "type": "number", "format": "float", "description": "The fraction of pixels the color occupies in the image. Value in range [0, 1]." }, "score": { "description": "Image-specific score for this color. Value in range [0, 1].", "type": "number", "format": "float" } }, "type": "object", "id": "GoogleCloudVisionV1p2beta1ColorInfo", "description": "Color information consists of RGB channels, score, and the fraction of the image that the color occupies in the image." }, "GoogleCloudVisionV1p1beta1ImageAnnotationContext": { "description": "If an image was produced from a file (e.g. a PDF), this message gives information about the source of that image.", "id": "GoogleCloudVisionV1p1beta1ImageAnnotationContext", "type": "object", "properties": { "uri": { "description": "The URI of the file used to produce the image.", "type": "string" }, "pageNumber": { "description": "If the file was a PDF or TIFF, this field gives the page number within the file used to produce the image.", "format": "int32", "type": "integer" } } }, "GoogleCloudVisionV1p2beta1ProductKeyValue": { "id": "GoogleCloudVisionV1p2beta1ProductKeyValue", "properties": { "value": { "type": "string", "description": "The value of the label attached to the product. Cannot be empty and cannot exceed 128 bytes." }, "key": { "description": "The key of the label attached to the product. Cannot be empty and cannot exceed 128 bytes.", "type": "string" } }, "description": "A product label represented as a key-value pair.", "type": "object" }, "GoogleCloudVisionV1p4beta1LocalizedObjectAnnotation": { "type": "object", "id": "GoogleCloudVisionV1p4beta1LocalizedObjectAnnotation", "properties": { "score": { "format": "float", "description": "Score of the result. Range [0, 1].", "type": "number" }, "boundingPoly": { "description": "Image region to which this object belongs. This must be populated.", "$ref": "GoogleCloudVisionV1p4beta1BoundingPoly" }, "mid": { "description": "Object ID that should align with EntityAnnotation mid.", "type": "string" }, "name": { "type": "string", "description": "Object name, expressed in its `language_code` language." }, "languageCode": { "description": "The BCP-47 language code, such as \"en-US\" or \"sr-Latn\". For more information, see http://www.unicode.org/reports/tr35/#Unicode_locale_identifier.", "type": "string" } }, "description": "Set of detected objects with bounding boxes." }, "GoogleCloudVisionV1p3beta1AnnotateFileResponse": { "type": "object", "description": "Response to a single file annotation request. A file may contain one or more images, which individually have their own responses.", "properties": { "inputConfig": { "$ref": "GoogleCloudVisionV1p3beta1InputConfig", "description": "Information about the file for which this response is generated." }, "error": { "description": "If set, represents the error message for the failed request. The `responses` field will not be set in this case.", "$ref": "Status" }, "responses": { "type": "array", "items": { "$ref": "GoogleCloudVisionV1p3beta1AnnotateImageResponse" }, "description": "Individual responses to images found within the file. This field will be empty if the `error` field is set." }, "totalPages": { "type": "integer", "format": "int32", "description": "This field gives the total number of pages in the file." } }, "id": "GoogleCloudVisionV1p3beta1AnnotateFileResponse" }, "AnnotateImageResponse": { "type": "object", "description": "Response to an image annotation request.", "properties": { "faceAnnotations": { "items": { "$ref": "FaceAnnotation" }, "type": "array", "description": "If present, face detection has completed successfully." }, "labelAnnotations": { "description": "If present, label detection has completed successfully.", "items": { "$ref": "EntityAnnotation" }, "type": "array" }, "fullTextAnnotation": { "$ref": "TextAnnotation", "description": "If present, text (OCR) detection or document (OCR) text detection has completed successfully. This annotation provides the structural hierarchy for the OCR detected text." }, "safeSearchAnnotation": { "$ref": "SafeSearchAnnotation", "description": "If present, safe-search annotation has completed successfully." }, "landmarkAnnotations": { "items": { "$ref": "EntityAnnotation" }, "type": "array", "description": "If present, landmark detection has completed successfully." }, "error": { "description": "If set, represents the error message for the operation. Note that filled-in image annotations are guaranteed to be correct, even when `error` is set.", "$ref": "Status" }, "context": { "$ref": "ImageAnnotationContext", "description": "If present, contextual information is needed to understand where this image comes from." }, "logoAnnotations": { "type": "array", "description": "If present, logo detection has completed successfully.", "items": { "$ref": "EntityAnnotation" } }, "cropHintsAnnotation": { "description": "If present, crop hints have completed successfully.", "$ref": "CropHintsAnnotation" }, "textAnnotations": { "items": { "$ref": "EntityAnnotation" }, "type": "array", "description": "If present, text (OCR) detection has completed successfully." }, "imagePropertiesAnnotation": { "$ref": "ImageProperties", "description": "If present, image properties were extracted successfully." }, "productSearchResults": { "description": "If present, product search has completed successfully.", "$ref": "ProductSearchResults" }, "localizedObjectAnnotations": { "type": "array", "description": "If present, localized object detection has completed successfully. This will be sorted descending by confidence score.", "items": { "$ref": "LocalizedObjectAnnotation" } }, "webDetection": { "$ref": "WebDetection", "description": "If present, web detection has completed successfully." } }, "id": "AnnotateImageResponse" }, "GoogleCloudVisionV1p3beta1InputConfig": { "id": "GoogleCloudVisionV1p3beta1InputConfig", "description": "The desired input location and metadata.", "type": "object", "properties": { "mimeType": { "type": "string", "description": "The type of the file. Currently only \"application/pdf\", \"image/tiff\" and \"image/gif\" are supported. Wildcards are not supported." }, "content": { "format": "byte", "type": "string", "description": "File content, represented as a stream of bytes. Note: As with all `bytes` fields, protobuffers use a pure binary representation, whereas JSON representations use base64. Currently, this field only works for BatchAnnotateFiles requests. It does not work for AsyncBatchAnnotateFiles requests." }, "gcsSource": { "$ref": "GoogleCloudVisionV1p3beta1GcsSource", "description": "The Google Cloud Storage location to read the input from." } } }, "GoogleCloudVisionV1p4beta1Paragraph": { "description": "Structural unit of text representing a number of words in certain order.", "properties": { "property": { "description": "Additional information detected for the paragraph.", "$ref": "GoogleCloudVisionV1p4beta1TextAnnotationTextProperty" }, "confidence": { "description": "Confidence of the OCR results for the paragraph. Range [0, 1].", "type": "number", "format": "float" }, "boundingBox": { "$ref": "GoogleCloudVisionV1p4beta1BoundingPoly", "description": "The bounding box for the paragraph. The vertices are in the order of top-left, top-right, bottom-right, bottom-left. When a rotation of the bounding box is detected the rotation is represented as around the top-left corner as defined when the text is read in the 'natural' orientation. For example: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh when the text is horizontal it might look like: 0----1 | | 3----2 LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh when it's rotated 180 degrees around the top-left corner it becomes: 2----3 | | 1----0 and the vertex order will still be (0, 1, 2, 3)." }, "words": { "items": { "$ref": "GoogleCloudVisionV1p4beta1Word" }, "type": "array", "description": "List of all words in this paragraph." } }, "type": "object", "id": "GoogleCloudVisionV1p4beta1Paragraph" }, "GoogleCloudVisionV1p2beta1ImageContext": { "type": "object", "id": "GoogleCloudVisionV1p2beta1ImageContext", "description": "Image context and/or feature-specific parameters.", "properties": { "languageHints": { "description": "List of languages to use for TEXT_DETECTION. In most cases, an empty value yields the best results since it enables automatic language detection. For languages based on the Latin alphabet, setting `language_hints` is not needed. In rare cases, when the language of the text in the image is known, setting a hint will help get better results (although it will be a significant hindrance if the hint is wrong). Text detection returns an error if one or more of the specified languages is not one of the [supported languages](https://cloud.google.com/vision/docs/languages).", "items": { "type": "string" }, "type": "array" }, "textDetectionParams": { "$ref": "GoogleCloudVisionV1p2beta1TextDetectionParams", "description": "Parameters for text detection and document text detection." }, "latLongRect": { "$ref": "GoogleCloudVisionV1p2beta1LatLongRect", "description": "Not used." }, "productSearchParams": { "$ref": "GoogleCloudVisionV1p2beta1ProductSearchParams", "description": "Parameters for product search." }, "cropHintsParams": { "description": "Parameters for crop hints annotation request.", "$ref": "GoogleCloudVisionV1p2beta1CropHintsParams" }, "webDetectionParams": { "$ref": "GoogleCloudVisionV1p2beta1WebDetectionParams", "description": "Parameters for web detection." } } }, "GoogleCloudVisionV1p2beta1Feature": { "id": "GoogleCloudVisionV1p2beta1Feature", "properties": { "type": { "description": "The feature type.", "enum": [ "TYPE_UNSPECIFIED", "FACE_DETECTION", "LANDMARK_DETECTION", "LOGO_DETECTION", "LABEL_DETECTION", "TEXT_DETECTION", "DOCUMENT_TEXT_DETECTION", "SAFE_SEARCH_DETECTION", "IMAGE_PROPERTIES", "CROP_HINTS", "WEB_DETECTION", "PRODUCT_SEARCH", "OBJECT_LOCALIZATION" ], "enumDescriptions": [ "Unspecified feature type.", "Run face detection.", "Run landmark detection.", "Run logo detection.", "Run label detection.", "Run text detection / optical character recognition (OCR). Text detection is optimized for areas of text within a larger image; if the image is a document, use `DOCUMENT_TEXT_DETECTION` instead.", "Run dense text document OCR. Takes precedence when both `DOCUMENT_TEXT_DETECTION` and `TEXT_DETECTION` are present.", "Run Safe Search to detect potentially unsafe or undesirable content.", "Compute a set of image properties, such as the image's dominant colors.", "Run crop hints.", "Run web detection.", "Run Product Search.", "Run localizer for object detection." ], "type": "string" }, "maxResults": { "format": "int32", "description": "Maximum number of results of this type. Does not apply to `TEXT_DETECTION`, `DOCUMENT_TEXT_DETECTION`, or `CROP_HINTS`.", "type": "integer" }, "model": { "description": "Model to use for the feature. Supported values: \"builtin/stable\" (the default if unset) and \"builtin/latest\".", "type": "string" } }, "type": "object", "description": "The type of Google Cloud Vision API detection to perform, and the maximum number of results to return for that type. Multiple `Feature` objects can be specified in the `features` list." }, "GoogleCloudVisionV1p4beta1EntityAnnotation": { "description": "Set of detected entity features.", "properties": { "properties": { "description": "Some entities may have optional user-supplied `Property` (name/value) fields, such a score or string that qualifies the entity.", "type": "array", "items": { "$ref": "GoogleCloudVisionV1p4beta1Property" } }, "locale": { "type": "string", "description": "The language code for the locale in which the entity textual `description` is expressed." }, "score": { "description": "Overall score of the result. Range [0, 1].", "format": "float", "type": "number" }, "description": { "type": "string", "description": "Entity textual description, expressed in its `locale` language." }, "topicality": { "description": "The relevancy of the ICA (Image Content Annotation) label to the image. For example, the relevancy of \"tower\" is likely higher to an image containing the detected \"Eiffel Tower\" than to an image containing a detected distant towering building, even though the confidence that there is a tower in each image may be the same. Range [0, 1].", "type": "number", "format": "float" }, "confidence": { "format": "float", "description": "**Deprecated. Use `score` instead.** The accuracy of the entity detection in an image. For example, for an image in which the \"Eiffel Tower\" entity is detected, this field represents the confidence that there is a tower in the query image. Range [0, 1].", "type": "number" }, "boundingPoly": { "description": "Image region to which this entity belongs. Not produced for `LABEL_DETECTION` features.", "$ref": "GoogleCloudVisionV1p4beta1BoundingPoly" }, "mid": { "description": "Opaque entity ID. Some IDs may be available in [Google Knowledge Graph Search API](https://developers.google.com/knowledge-graph/).", "type": "string" }, "locations": { "type": "array", "items": { "$ref": "GoogleCloudVisionV1p4beta1LocationInfo" }, "description": "The location information for the detected entity. Multiple `LocationInfo` elements can be present because one location may indicate the location of the scene in the image, and another location may indicate the location of the place where the image was taken. Location information is usually present for landmarks." } }, "type": "object", "id": "GoogleCloudVisionV1p4beta1EntityAnnotation" }, "GoogleCloudVisionV1p2beta1Position": { "type": "object", "description": "A 3D position in the image, used primarily for Face detection landmarks. A valid Position must have both x and y coordinates. The position coordinates are in the same scale as the original image.", "properties": { "z": { "format": "float", "type": "number", "description": "Z coordinate (or depth)." }, "y": { "format": "float", "description": "Y coordinate.", "type": "number" }, "x": { "description": "X coordinate.", "type": "number", "format": "float" } }, "id": "GoogleCloudVisionV1p2beta1Position" }, "GoogleCloudVisionV1p1beta1InputConfig": { "properties": { "gcsSource": { "description": "The Google Cloud Storage location to read the input from.", "$ref": "GoogleCloudVisionV1p1beta1GcsSource" }, "content": { "format": "byte", "type": "string", "description": "File content, represented as a stream of bytes. Note: As with all `bytes` fields, protobuffers use a pure binary representation, whereas JSON representations use base64. Currently, this field only works for BatchAnnotateFiles requests. It does not work for AsyncBatchAnnotateFiles requests." }, "mimeType": { "type": "string", "description": "The type of the file. Currently only \"application/pdf\", \"image/tiff\" and \"image/gif\" are supported. Wildcards are not supported." } }, "type": "object", "id": "GoogleCloudVisionV1p1beta1InputConfig", "description": "The desired input location and metadata." }, "GoogleCloudVisionV1p4beta1FaceAnnotation": { "id": "GoogleCloudVisionV1p4beta1FaceAnnotation", "properties": { "sorrowLikelihood": { "type": "string", "enumDescriptions": [ "Unknown likelihood.", "It is very unlikely.", "It is unlikely.", "It is possible.", "It is likely.", "It is very likely." ], "enum": [ "UNKNOWN", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ], "description": "Sorrow likelihood." }, "detectionConfidence": { "type": "number", "format": "float", "description": "Detection confidence. Range [0, 1]." }, "joyLikelihood": { "enum": [ "UNKNOWN", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ], "enumDescriptions": [ "Unknown likelihood.", "It is very unlikely.", "It is unlikely.", "It is possible.", "It is likely.", "It is very likely." ], "description": "Joy likelihood.", "type": "string" }, "landmarkingConfidence": { "format": "float", "type": "number", "description": "Face landmarking confidence. Range [0, 1]." }, "fdBoundingPoly": { "description": "The `fd_bounding_poly` bounding polygon is tighter than the `boundingPoly`, and encloses only the skin part of the face. Typically, it is used to eliminate the face from any image analysis that detects the \"amount of skin\" visible in an image. It is not based on the landmarker results, only on the initial face detection, hence the fd (face detection) prefix.", "$ref": "GoogleCloudVisionV1p4beta1BoundingPoly" }, "underExposedLikelihood": { "type": "string", "enumDescriptions": [ "Unknown likelihood.", "It is very unlikely.", "It is unlikely.", "It is possible.", "It is likely.", "It is very likely." ], "enum": [ "UNKNOWN", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ], "description": "Under-exposed likelihood." }, "landmarks": { "items": { "$ref": "GoogleCloudVisionV1p4beta1FaceAnnotationLandmark" }, "description": "Detected face landmarks.", "type": "array" }, "panAngle": { "type": "number", "format": "float", "description": "Yaw angle, which indicates the leftward/rightward angle that the face is pointing relative to the vertical plane perpendicular to the image. Range [-180,180]." }, "tiltAngle": { "format": "float", "type": "number", "description": "Pitch angle, which indicates the upwards/downwards angle that the face is pointing relative to the image's horizontal plane. Range [-180,180]." }, "rollAngle": { "description": "Roll angle, which indicates the amount of clockwise/anti-clockwise rotation of the face relative to the image vertical about the axis perpendicular to the face. Range [-180,180].", "format": "float", "type": "number" }, "blurredLikelihood": { "enumDescriptions": [ "Unknown likelihood.", "It is very unlikely.", "It is unlikely.", "It is possible.", "It is likely.", "It is very likely." ], "description": "Blurred likelihood.", "enum": [ "UNKNOWN", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ], "type": "string" }, "angerLikelihood": { "enum": [ "UNKNOWN", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ], "description": "Anger likelihood.", "enumDescriptions": [ "Unknown likelihood.", "It is very unlikely.", "It is unlikely.", "It is possible.", "It is likely.", "It is very likely." ], "type": "string" }, "recognitionResult": { "type": "array", "items": { "$ref": "GoogleCloudVisionV1p4beta1FaceRecognitionResult" }, "description": "Additional recognition information. Only computed if image_context.face_recognition_params is provided, **and** a match is found to a Celebrity in the input CelebritySet. This field is sorted in order of decreasing confidence values." }, "surpriseLikelihood": { "enumDescriptions": [ "Unknown likelihood.", "It is very unlikely.", "It is unlikely.", "It is possible.", "It is likely.", "It is very likely." ], "enum": [ "UNKNOWN", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ], "description": "Surprise likelihood.", "type": "string" }, "headwearLikelihood": { "type": "string", "description": "Headwear likelihood.", "enumDescriptions": [ "Unknown likelihood.", "It is very unlikely.", "It is unlikely.", "It is possible.", "It is likely.", "It is very likely." ], "enum": [ "UNKNOWN", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ] }, "boundingPoly": { "description": "The bounding polygon around the face. The coordinates of the bounding box are in the original image's scale. The bounding box is computed to \"frame\" the face in accordance with human expectations. It is based on the landmarker results. Note that one or more x and/or y coordinates may not be generated in the `BoundingPoly` (the polygon will be unbounded) if only a partial face appears in the image to be annotated.", "$ref": "GoogleCloudVisionV1p4beta1BoundingPoly" } }, "description": "A face annotation object contains the results of face detection.", "type": "object" }, "GoogleCloudVisionV1p1beta1ProductSearchResultsGroupedResult": { "properties": { "objectAnnotations": { "items": { "$ref": "GoogleCloudVisionV1p1beta1ProductSearchResultsObjectAnnotation" }, "type": "array", "description": "List of generic predictions for the object in the bounding box." }, "boundingPoly": { "description": "The bounding polygon around the product detected in the query image.", "$ref": "GoogleCloudVisionV1p1beta1BoundingPoly" }, "results": { "items": { "$ref": "GoogleCloudVisionV1p1beta1ProductSearchResultsResult" }, "type": "array", "description": "List of results, one for each product match." } }, "description": "Information about the products similar to a single product in a query image.", "id": "GoogleCloudVisionV1p1beta1ProductSearchResultsGroupedResult", "type": "object" }, "GoogleCloudVisionV1p4beta1ProductSearchResultsGroupedResult": { "type": "object", "description": "Information about the products similar to a single product in a query image.", "id": "GoogleCloudVisionV1p4beta1ProductSearchResultsGroupedResult", "properties": { "results": { "description": "List of results, one for each product match.", "items": { "$ref": "GoogleCloudVisionV1p4beta1ProductSearchResultsResult" }, "type": "array" }, "boundingPoly": { "$ref": "GoogleCloudVisionV1p4beta1BoundingPoly", "description": "The bounding polygon around the product detected in the query image." }, "objectAnnotations": { "description": "List of generic predictions for the object in the bounding box.", "type": "array", "items": { "$ref": "GoogleCloudVisionV1p4beta1ProductSearchResultsObjectAnnotation" } } } }, "GoogleCloudVisionV1p1beta1AnnotateFileResponse": { "properties": { "totalPages": { "type": "integer", "description": "This field gives the total number of pages in the file.", "format": "int32" }, "error": { "$ref": "Status", "description": "If set, represents the error message for the failed request. The `responses` field will not be set in this case." }, "responses": { "items": { "$ref": "GoogleCloudVisionV1p1beta1AnnotateImageResponse" }, "type": "array", "description": "Individual responses to images found within the file. This field will be empty if the `error` field is set." }, "inputConfig": { "$ref": "GoogleCloudVisionV1p1beta1InputConfig", "description": "Information about the file for which this response is generated." } }, "description": "Response to a single file annotation request. A file may contain one or more images, which individually have their own responses.", "type": "object", "id": "GoogleCloudVisionV1p1beta1AnnotateFileResponse" }, "GoogleCloudVisionV1p2beta1Image": { "description": "Client image to perform Google Cloud Vision API tasks over.", "type": "object", "id": "GoogleCloudVisionV1p2beta1Image", "properties": { "content": { "type": "string", "format": "byte", "description": "Image content, represented as a stream of bytes. Note: As with all `bytes` fields, protobuffers use a pure binary representation, whereas JSON representations use base64. Currently, this field only works for BatchAnnotateImages requests. It does not work for AsyncBatchAnnotateImages requests." }, "source": { "description": "Google Cloud Storage image location, or publicly-accessible image URL. If both `content` and `source` are provided for an image, `content` takes precedence and is used to perform the image annotation request.", "$ref": "GoogleCloudVisionV1p2beta1ImageSource" } } }, "EntityAnnotation": { "description": "Set of detected entity features.", "type": "object", "id": "EntityAnnotation", "properties": { "topicality": { "type": "number", "description": "The relevancy of the ICA (Image Content Annotation) label to the image. For example, the relevancy of \"tower\" is likely higher to an image containing the detected \"Eiffel Tower\" than to an image containing a detected distant towering building, even though the confidence that there is a tower in each image may be the same. Range [0, 1].", "format": "float" }, "mid": { "description": "Opaque entity ID. Some IDs may be available in [Google Knowledge Graph Search API](https://developers.google.com/knowledge-graph/).", "type": "string" }, "description": { "description": "Entity textual description, expressed in its `locale` language.", "type": "string" }, "score": { "type": "number", "description": "Overall score of the result. Range [0, 1].", "format": "float" }, "properties": { "type": "array", "items": { "$ref": "Property" }, "description": "Some entities may have optional user-supplied `Property` (name/value) fields, such a score or string that qualifies the entity." }, "boundingPoly": { "$ref": "BoundingPoly", "description": "Image region to which this entity belongs. Not produced for `LABEL_DETECTION` features." }, "locations": { "type": "array", "items": { "$ref": "LocationInfo" }, "description": "The location information for the detected entity. Multiple `LocationInfo` elements can be present because one location may indicate the location of the scene in the image, and another location may indicate the location of the place where the image was taken. Location information is usually present for landmarks." }, "locale": { "type": "string", "description": "The language code for the locale in which the entity textual `description` is expressed." }, "confidence": { "type": "number", "description": "**Deprecated. Use `score` instead.** The accuracy of the entity detection in an image. For example, for an image in which the \"Eiffel Tower\" entity is detected, this field represents the confidence that there is a tower in the query image. Range [0, 1].", "format": "float" } } }, "GoogleCloudVisionV1p4beta1NormalizedVertex": { "properties": { "x": { "type": "number", "format": "float", "description": "X coordinate." }, "y": { "description": "Y coordinate.", "type": "number", "format": "float" } }, "id": "GoogleCloudVisionV1p4beta1NormalizedVertex", "description": "A vertex represents a 2D point in the image. NOTE: the normalized vertex coordinates are relative to the original image and range from 0 to 1.", "type": "object" }, "OutputConfig": { "id": "OutputConfig", "description": "The desired output location and metadata.", "properties": { "batchSize": { "description": "The max number of response protos to put into each output JSON file on Google Cloud Storage. The valid range is [1, 100]. If not specified, the default value is 20. For example, for one pdf file with 100 pages, 100 response protos will be generated. If `batch_size` = 20, then 5 json files each containing 20 response protos will be written under the prefix `gcs_destination`.`uri`. Currently, batch_size only applies to GcsDestination, with potential future support for other output configurations.", "type": "integer", "format": "int32" }, "gcsDestination": { "$ref": "GcsDestination", "description": "The Google Cloud Storage location to write the output(s) to." } }, "type": "object" }, "GoogleCloudVisionV1p2beta1AnnotateFileRequest": { "id": "GoogleCloudVisionV1p2beta1AnnotateFileRequest", "type": "object", "properties": { "features": { "items": { "$ref": "GoogleCloudVisionV1p2beta1Feature" }, "description": "Required. Requested features.", "type": "array" }, "inputConfig": { "description": "Required. Information about the input file.", "$ref": "GoogleCloudVisionV1p2beta1InputConfig" }, "imageContext": { "description": "Additional context that may accompany the image(s) in the file.", "$ref": "GoogleCloudVisionV1p2beta1ImageContext" }, "pages": { "type": "array", "description": "Pages of the file to perform image annotation. Pages starts from 1, we assume the first page of the file is page 1. At most 5 pages are supported per request. Pages can be negative. Page 1 means the first page. Page 2 means the second page. Page -1 means the last page. Page -2 means the second to the last page. If the file is GIF instead of PDF or TIFF, page refers to GIF frames. If this field is empty, by default the service performs image annotation for the first 5 pages of the file.", "items": { "format": "int32", "type": "integer" } } }, "description": "A request to annotate one single file, e.g. a PDF, TIFF or GIF file." }, "GoogleCloudVisionV1p3beta1WebDetectionWebImage": { "type": "object", "description": "Metadata for online images.", "id": "GoogleCloudVisionV1p3beta1WebDetectionWebImage", "properties": { "score": { "type": "number", "format": "float", "description": "(Deprecated) Overall relevancy score for the image." }, "url": { "description": "The result image URL.", "type": "string" } } }, "GoogleCloudVisionV1p4beta1AsyncBatchAnnotateFilesResponse": { "description": "Response to an async batch file annotation request.", "properties": { "responses": { "description": "The list of file annotation responses, one for each request in AsyncBatchAnnotateFilesRequest.", "type": "array", "items": { "$ref": "GoogleCloudVisionV1p4beta1AsyncAnnotateFileResponse" } } }, "id": "GoogleCloudVisionV1p4beta1AsyncBatchAnnotateFilesResponse", "type": "object" }, "GoogleCloudVisionV1p4beta1GcsDestination": { "description": "The Google Cloud Storage location where the output will be written to.", "type": "object", "properties": { "uri": { "type": "string", "description": "Google Cloud Storage URI prefix where the results will be stored. Results will be in JSON format and preceded by its corresponding input URI prefix. This field can either represent a gcs file prefix or gcs directory. In either case, the uri should be unique because in order to get all of the output files, you will need to do a wildcard gcs search on the uri prefix you provide. Examples: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh File Prefix: gs://bucket-name/here/filenameprefix The output files will be created in gs://bucket-name/here/ and the names of the output files will begin with \"filenameprefix\". LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Directory Prefix: gs://bucket-name/some/location/ The output files will be created in gs://bucket-name/some/location/ and the names of the output files could be anything because there was no filename prefix specified. If multiple outputs, each response is still AnnotateFileResponse, each of which contains some subset of the full list of AnnotateImageResponse. Multiple outputs can happen if, for example, the output JSON is too large and overflows into multiple sharded files." } }, "id": "GoogleCloudVisionV1p4beta1GcsDestination" }, "Landmark": { "id": "Landmark", "type": "object", "properties": { "type": { "description": "Face landmark type.", "enumDescriptions": [ "Unknown face landmark detected. Should not be filled.", "Left eye.", "Right eye.", "Left of left eyebrow.", "Right of left eyebrow.", "Left of right eyebrow.", "Right of right eyebrow.", "Midpoint between eyes.", "Nose tip.", "Upper lip.", "Lower lip.", "Mouth left.", "Mouth right.", "Mouth center.", "Nose, bottom right.", "Nose, bottom left.", "Nose, bottom center.", "Left eye, top boundary.", "Left eye, right corner.", "Left eye, bottom boundary.", "Left eye, left corner.", "Right eye, top boundary.", "Right eye, right corner.", "Right eye, bottom boundary.", "Right eye, left corner.", "Left eyebrow, upper midpoint.", "Right eyebrow, upper midpoint.", "Left ear tragion.", "Right ear tragion.", "Left eye pupil.", "Right eye pupil.", "Forehead glabella.", "Chin gnathion.", "Chin left gonion.", "Chin right gonion.", "Left cheek center.", "Right cheek center." ], "enum": [ "UNKNOWN_LANDMARK", "LEFT_EYE", "RIGHT_EYE", "LEFT_OF_LEFT_EYEBROW", "RIGHT_OF_LEFT_EYEBROW", "LEFT_OF_RIGHT_EYEBROW", "RIGHT_OF_RIGHT_EYEBROW", "MIDPOINT_BETWEEN_EYES", "NOSE_TIP", "UPPER_LIP", "LOWER_LIP", "MOUTH_LEFT", "MOUTH_RIGHT", "MOUTH_CENTER", "NOSE_BOTTOM_RIGHT", "NOSE_BOTTOM_LEFT", "NOSE_BOTTOM_CENTER", "LEFT_EYE_TOP_BOUNDARY", "LEFT_EYE_RIGHT_CORNER", "LEFT_EYE_BOTTOM_BOUNDARY", "LEFT_EYE_LEFT_CORNER", "RIGHT_EYE_TOP_BOUNDARY", "RIGHT_EYE_RIGHT_CORNER", "RIGHT_EYE_BOTTOM_BOUNDARY", "RIGHT_EYE_LEFT_CORNER", "LEFT_EYEBROW_UPPER_MIDPOINT", "RIGHT_EYEBROW_UPPER_MIDPOINT", "LEFT_EAR_TRAGION", "RIGHT_EAR_TRAGION", "LEFT_EYE_PUPIL", "RIGHT_EYE_PUPIL", "FOREHEAD_GLABELLA", "CHIN_GNATHION", "CHIN_LEFT_GONION", "CHIN_RIGHT_GONION", "LEFT_CHEEK_CENTER", "RIGHT_CHEEK_CENTER" ], "type": "string" }, "position": { "description": "Face landmark position.", "$ref": "Position" } }, "description": "A face-specific landmark (for example, a face feature)." }, "Status": { "id": "Status", "properties": { "code": { "description": "The status code, which should be an enum value of google.rpc.Code.", "format": "int32", "type": "integer" }, "details": { "description": "A list of messages that carry the error details. There is a common set of message types for APIs to use.", "items": { "type": "object", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" } }, "type": "array" }, "message": { "type": "string", "description": "A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client." } }, "description": "The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors).", "type": "object" }, "GoogleCloudVisionV1p2beta1InputConfig": { "properties": { "content": { "type": "string", "description": "File content, represented as a stream of bytes. Note: As with all `bytes` fields, protobuffers use a pure binary representation, whereas JSON representations use base64. Currently, this field only works for BatchAnnotateFiles requests. It does not work for AsyncBatchAnnotateFiles requests.", "format": "byte" }, "gcsSource": { "description": "The Google Cloud Storage location to read the input from.", "$ref": "GoogleCloudVisionV1p2beta1GcsSource" }, "mimeType": { "type": "string", "description": "The type of the file. Currently only \"application/pdf\", \"image/tiff\" and \"image/gif\" are supported. Wildcards are not supported." } }, "type": "object", "description": "The desired input location and metadata.", "id": "GoogleCloudVisionV1p2beta1InputConfig" }, "GoogleCloudVisionV1p3beta1Property": { "description": "A `Property` consists of a user-supplied name/value pair.", "type": "object", "properties": { "value": { "type": "string", "description": "Value of the property." }, "name": { "type": "string", "description": "Name of the property." }, "uint64Value": { "format": "uint64", "type": "string", "description": "Value of numeric properties." } }, "id": "GoogleCloudVisionV1p3beta1Property" }, "GoogleCloudVisionV1p2beta1EntityAnnotation": { "id": "GoogleCloudVisionV1p2beta1EntityAnnotation", "type": "object", "properties": { "properties": { "description": "Some entities may have optional user-supplied `Property` (name/value) fields, such a score or string that qualifies the entity.", "items": { "$ref": "GoogleCloudVisionV1p2beta1Property" }, "type": "array" }, "topicality": { "format": "float", "type": "number", "description": "The relevancy of the ICA (Image Content Annotation) label to the image. For example, the relevancy of \"tower\" is likely higher to an image containing the detected \"Eiffel Tower\" than to an image containing a detected distant towering building, even though the confidence that there is a tower in each image may be the same. Range [0, 1]." }, "boundingPoly": { "description": "Image region to which this entity belongs. Not produced for `LABEL_DETECTION` features.", "$ref": "GoogleCloudVisionV1p2beta1BoundingPoly" }, "locale": { "type": "string", "description": "The language code for the locale in which the entity textual `description` is expressed." }, "locations": { "description": "The location information for the detected entity. Multiple `LocationInfo` elements can be present because one location may indicate the location of the scene in the image, and another location may indicate the location of the place where the image was taken. Location information is usually present for landmarks.", "type": "array", "items": { "$ref": "GoogleCloudVisionV1p2beta1LocationInfo" } }, "confidence": { "format": "float", "description": "**Deprecated. Use `score` instead.** The accuracy of the entity detection in an image. For example, for an image in which the \"Eiffel Tower\" entity is detected, this field represents the confidence that there is a tower in the query image. Range [0, 1].", "type": "number" }, "description": { "type": "string", "description": "Entity textual description, expressed in its `locale` language." }, "mid": { "description": "Opaque entity ID. Some IDs may be available in [Google Knowledge Graph Search API](https://developers.google.com/knowledge-graph/).", "type": "string" }, "score": { "type": "number", "description": "Overall score of the result. Range [0, 1].", "format": "float" } }, "description": "Set of detected entity features." }, "GoogleCloudVisionV1p1beta1AnnotateImageResponse": { "id": "GoogleCloudVisionV1p1beta1AnnotateImageResponse", "description": "Response to an image annotation request.", "type": "object", "properties": { "landmarkAnnotations": { "items": { "$ref": "GoogleCloudVisionV1p1beta1EntityAnnotation" }, "type": "array", "description": "If present, landmark detection has completed successfully." }, "localizedObjectAnnotations": { "type": "array", "description": "If present, localized object detection has completed successfully. This will be sorted descending by confidence score.", "items": { "$ref": "GoogleCloudVisionV1p1beta1LocalizedObjectAnnotation" } }, "webDetection": { "description": "If present, web detection has completed successfully.", "$ref": "GoogleCloudVisionV1p1beta1WebDetection" }, "labelAnnotations": { "items": { "$ref": "GoogleCloudVisionV1p1beta1EntityAnnotation" }, "description": "If present, label detection has completed successfully.", "type": "array" }, "fullTextAnnotation": { "description": "If present, text (OCR) detection or document (OCR) text detection has completed successfully. This annotation provides the structural hierarchy for the OCR detected text.", "$ref": "GoogleCloudVisionV1p1beta1TextAnnotation" }, "error": { "description": "If set, represents the error message for the operation. Note that filled-in image annotations are guaranteed to be correct, even when `error` is set.", "$ref": "Status" }, "cropHintsAnnotation": { "description": "If present, crop hints have completed successfully.", "$ref": "GoogleCloudVisionV1p1beta1CropHintsAnnotation" }, "safeSearchAnnotation": { "$ref": "GoogleCloudVisionV1p1beta1SafeSearchAnnotation", "description": "If present, safe-search annotation has completed successfully." }, "imagePropertiesAnnotation": { "$ref": "GoogleCloudVisionV1p1beta1ImageProperties", "description": "If present, image properties were extracted successfully." }, "productSearchResults": { "description": "If present, product search has completed successfully.", "$ref": "GoogleCloudVisionV1p1beta1ProductSearchResults" }, "faceAnnotations": { "items": { "$ref": "GoogleCloudVisionV1p1beta1FaceAnnotation" }, "description": "If present, face detection has completed successfully.", "type": "array" }, "logoAnnotations": { "items": { "$ref": "GoogleCloudVisionV1p1beta1EntityAnnotation" }, "type": "array", "description": "If present, logo detection has completed successfully." }, "context": { "description": "If present, contextual information is needed to understand where this image comes from.", "$ref": "GoogleCloudVisionV1p1beta1ImageAnnotationContext" }, "textAnnotations": { "type": "array", "items": { "$ref": "GoogleCloudVisionV1p1beta1EntityAnnotation" }, "description": "If present, text (OCR) detection has completed successfully." } } }, "GoogleCloudVisionV1p4beta1FaceAnnotationLandmark": { "id": "GoogleCloudVisionV1p4beta1FaceAnnotationLandmark", "description": "A face-specific landmark (for example, a face feature).", "properties": { "position": { "$ref": "GoogleCloudVisionV1p4beta1Position", "description": "Face landmark position." }, "type": { "type": "string", "enum": [ "UNKNOWN_LANDMARK", "LEFT_EYE", "RIGHT_EYE", "LEFT_OF_LEFT_EYEBROW", "RIGHT_OF_LEFT_EYEBROW", "LEFT_OF_RIGHT_EYEBROW", "RIGHT_OF_RIGHT_EYEBROW", "MIDPOINT_BETWEEN_EYES", "NOSE_TIP", "UPPER_LIP", "LOWER_LIP", "MOUTH_LEFT", "MOUTH_RIGHT", "MOUTH_CENTER", "NOSE_BOTTOM_RIGHT", "NOSE_BOTTOM_LEFT", "NOSE_BOTTOM_CENTER", "LEFT_EYE_TOP_BOUNDARY", "LEFT_EYE_RIGHT_CORNER", "LEFT_EYE_BOTTOM_BOUNDARY", "LEFT_EYE_LEFT_CORNER", "RIGHT_EYE_TOP_BOUNDARY", "RIGHT_EYE_RIGHT_CORNER", "RIGHT_EYE_BOTTOM_BOUNDARY", "RIGHT_EYE_LEFT_CORNER", "LEFT_EYEBROW_UPPER_MIDPOINT", "RIGHT_EYEBROW_UPPER_MIDPOINT", "LEFT_EAR_TRAGION", "RIGHT_EAR_TRAGION", "LEFT_EYE_PUPIL", "RIGHT_EYE_PUPIL", "FOREHEAD_GLABELLA", "CHIN_GNATHION", "CHIN_LEFT_GONION", "CHIN_RIGHT_GONION", "LEFT_CHEEK_CENTER", "RIGHT_CHEEK_CENTER" ], "description": "Face landmark type.", "enumDescriptions": [ "Unknown face landmark detected. Should not be filled.", "Left eye.", "Right eye.", "Left of left eyebrow.", "Right of left eyebrow.", "Left of right eyebrow.", "Right of right eyebrow.", "Midpoint between eyes.", "Nose tip.", "Upper lip.", "Lower lip.", "Mouth left.", "Mouth right.", "Mouth center.", "Nose, bottom right.", "Nose, bottom left.", "Nose, bottom center.", "Left eye, top boundary.", "Left eye, right corner.", "Left eye, bottom boundary.", "Left eye, left corner.", "Right eye, top boundary.", "Right eye, right corner.", "Right eye, bottom boundary.", "Right eye, left corner.", "Left eyebrow, upper midpoint.", "Right eyebrow, upper midpoint.", "Left ear tragion.", "Right ear tragion.", "Left eye pupil.", "Right eye pupil.", "Forehead glabella.", "Chin gnathion.", "Chin left gonion.", "Chin right gonion.", "Left cheek center.", "Right cheek center." ] } }, "type": "object" }, "Vertex": { "id": "Vertex", "properties": { "y": { "description": "Y coordinate.", "format": "int32", "type": "integer" }, "x": { "description": "X coordinate.", "type": "integer", "format": "int32" } }, "description": "A vertex represents a 2D point in the image. NOTE: the vertex coordinates are in the same scale as the original image.", "type": "object" }, "GoogleCloudVisionV1p3beta1DominantColorsAnnotation": { "id": "GoogleCloudVisionV1p3beta1DominantColorsAnnotation", "properties": { "colors": { "type": "array", "items": { "$ref": "GoogleCloudVisionV1p3beta1ColorInfo" }, "description": "RGB color values with their score and pixel fraction." } }, "type": "object", "description": "Set of dominant colors and their corresponding scores." }, "GoogleCloudVisionV1p2beta1WebDetectionWebEntity": { "id": "GoogleCloudVisionV1p2beta1WebDetectionWebEntity", "type": "object", "description": "Entity deduced from similar images on the Internet.", "properties": { "entityId": { "type": "string", "description": "Opaque entity ID." }, "description": { "description": "Canonical description of the entity, in English.", "type": "string" }, "score": { "format": "float", "description": "Overall relevancy score for the entity. Not normalized and not comparable across different image queries.", "type": "number" } } }, "GoogleCloudVisionV1p3beta1Product": { "id": "GoogleCloudVisionV1p3beta1Product", "description": "A Product contains ReferenceImages.", "properties": { "productLabels": { "items": { "$ref": "GoogleCloudVisionV1p3beta1ProductKeyValue" }, "type": "array", "description": "Key-value pairs that can be attached to a product. At query time, constraints can be specified based on the product_labels. Note that integer values can be provided as strings, e.g. \"1199\". Only strings with integer values can match a range-based restriction which is to be supported soon. Multiple values can be assigned to the same key. One product may have up to 500 product_labels. Notice that the total number of distinct product_labels over all products in one ProductSet cannot exceed 1M, otherwise the product search pipeline will refuse to work for that ProductSet." }, "displayName": { "type": "string", "description": "The user-provided name for this Product. Must not be empty. Must be at most 4096 characters long." }, "productCategory": { "description": "Immutable. The category for the product identified by the reference image. This should be one of \"homegoods-v2\", \"apparel-v2\", \"toys-v2\", \"packagedgoods-v1\" or \"general-v1\". The legacy categories \"homegoods\", \"apparel\", and \"toys\" are still supported, but these should not be used for new products.", "type": "string" }, "name": { "type": "string", "description": "The resource name of the product. Format is: `projects/PROJECT_ID/locations/LOC_ID/products/PRODUCT_ID`. This field is ignored when creating a product." }, "description": { "type": "string", "description": "User-provided metadata to be stored with this product. Must be at most 4096 characters long." } }, "type": "object" }, "GoogleCloudVisionV1p4beta1Vertex": { "description": "A vertex represents a 2D point in the image. NOTE: the vertex coordinates are in the same scale as the original image.", "properties": { "x": { "format": "int32", "description": "X coordinate.", "type": "integer" }, "y": { "format": "int32", "type": "integer", "description": "Y coordinate." } }, "id": "GoogleCloudVisionV1p4beta1Vertex", "type": "object" }, "GroupedResult": { "id": "GroupedResult", "description": "Information about the products similar to a single product in a query image.", "type": "object", "properties": { "objectAnnotations": { "description": "List of generic predictions for the object in the bounding box.", "items": { "$ref": "ObjectAnnotation" }, "type": "array" }, "results": { "type": "array", "description": "List of results, one for each product match.", "items": { "$ref": "Result" } }, "boundingPoly": { "$ref": "BoundingPoly", "description": "The bounding polygon around the product detected in the query image." } } }, "DetectedBreak": { "type": "object", "properties": { "isPrefix": { "description": "True if break prepends the element.", "type": "boolean" }, "type": { "type": "string", "enum": [ "UNKNOWN", "SPACE", "SURE_SPACE", "EOL_SURE_SPACE", "HYPHEN", "LINE_BREAK" ], "description": "Detected break type.", "enumDescriptions": [ "Unknown break label type.", "Regular space.", "Sure space (very wide).", "Line-wrapping break.", "End-line hyphen that is not present in text; does not co-occur with `SPACE`, `LEADER_SPACE`, or `LINE_BREAK`.", "Line break that ends a paragraph." ] } }, "description": "Detected start or end of a structural component.", "id": "DetectedBreak" }, "GoogleCloudVisionV1p2beta1AnnotateImageRequest": { "id": "GoogleCloudVisionV1p2beta1AnnotateImageRequest", "type": "object", "description": "Request for performing Google Cloud Vision API tasks over a user-provided image, with user-requested features, and with context information.", "properties": { "image": { "description": "The image to be processed.", "$ref": "GoogleCloudVisionV1p2beta1Image" }, "features": { "type": "array", "items": { "$ref": "GoogleCloudVisionV1p2beta1Feature" }, "description": "Requested features." }, "imageContext": { "$ref": "GoogleCloudVisionV1p2beta1ImageContext", "description": "Additional context that may accompany the image." } } }, "GoogleCloudVisionV1p4beta1ImageProperties": { "description": "Stores image properties, such as dominant colors.", "properties": { "dominantColors": { "$ref": "GoogleCloudVisionV1p4beta1DominantColorsAnnotation", "description": "If present, dominant colors completed successfully." } }, "type": "object", "id": "GoogleCloudVisionV1p4beta1ImageProperties" }, "GoogleCloudVisionV1p4beta1WebDetection": { "type": "object", "properties": { "visuallySimilarImages": { "items": { "$ref": "GoogleCloudVisionV1p4beta1WebDetectionWebImage" }, "type": "array", "description": "The visually similar image results." }, "partialMatchingImages": { "type": "array", "items": { "$ref": "GoogleCloudVisionV1p4beta1WebDetectionWebImage" }, "description": "Partial matching images from the Internet. Those images are similar enough to share some key-point features. For example an original image will likely have partial matching for its crops." }, "fullMatchingImages": { "items": { "$ref": "GoogleCloudVisionV1p4beta1WebDetectionWebImage" }, "type": "array", "description": "Fully matching images from the Internet. Can include resized copies of the query image." }, "pagesWithMatchingImages": { "description": "Web pages containing the matching images from the Internet.", "items": { "$ref": "GoogleCloudVisionV1p4beta1WebDetectionWebPage" }, "type": "array" }, "bestGuessLabels": { "items": { "$ref": "GoogleCloudVisionV1p4beta1WebDetectionWebLabel" }, "type": "array", "description": "The service's best guess as to the topic of the request image. Inferred from similar images on the open web." }, "webEntities": { "items": { "$ref": "GoogleCloudVisionV1p4beta1WebDetectionWebEntity" }, "type": "array", "description": "Deduced entities from similar images on the Internet." } }, "id": "GoogleCloudVisionV1p4beta1WebDetection", "description": "Relevant information for the image from the Internet." }, "GoogleCloudVisionV1p2beta1SafeSearchAnnotation": { "type": "object", "id": "GoogleCloudVisionV1p2beta1SafeSearchAnnotation", "properties": { "racy": { "type": "string", "enum": [ "UNKNOWN", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ], "description": "Likelihood that the request image contains racy content. Racy content may include (but is not limited to) skimpy or sheer clothing, strategically covered nudity, lewd or provocative poses, or close-ups of sensitive body areas.", "enumDescriptions": [ "Unknown likelihood.", "It is very unlikely.", "It is unlikely.", "It is possible.", "It is likely.", "It is very likely." ] }, "adult": { "enum": [ "UNKNOWN", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ], "enumDescriptions": [ "Unknown likelihood.", "It is very unlikely.", "It is unlikely.", "It is possible.", "It is likely.", "It is very likely." ], "description": "Represents the adult content likelihood for the image. Adult content may contain elements such as nudity, pornographic images or cartoons, or sexual activities.", "type": "string" }, "medical": { "enum": [ "UNKNOWN", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ], "type": "string", "description": "Likelihood that this is a medical image.", "enumDescriptions": [ "Unknown likelihood.", "It is very unlikely.", "It is unlikely.", "It is possible.", "It is likely.", "It is very likely." ] }, "spoof": { "enum": [ "UNKNOWN", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ], "description": "Spoof likelihood. The likelihood that an modification was made to the image's canonical version to make it appear funny or offensive.", "type": "string", "enumDescriptions": [ "Unknown likelihood.", "It is very unlikely.", "It is unlikely.", "It is possible.", "It is likely.", "It is very likely." ] }, "violence": { "description": "Likelihood that this image contains violent content.", "enumDescriptions": [ "Unknown likelihood.", "It is very unlikely.", "It is unlikely.", "It is possible.", "It is likely.", "It is very likely." ], "type": "string", "enum": [ "UNKNOWN", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ] } }, "description": "Set of features pertaining to the image, computed by computer vision methods over safe-search verticals (for example, adult, spoof, medical, violence)." }, "GoogleCloudVisionV1p4beta1Property": { "type": "object", "description": "A `Property` consists of a user-supplied name/value pair.", "id": "GoogleCloudVisionV1p4beta1Property", "properties": { "name": { "type": "string", "description": "Name of the property." }, "value": { "type": "string", "description": "Value of the property." }, "uint64Value": { "description": "Value of numeric properties.", "format": "uint64", "type": "string" } } }, "GoogleCloudVisionV1p1beta1AsyncBatchAnnotateFilesResponse": { "id": "GoogleCloudVisionV1p1beta1AsyncBatchAnnotateFilesResponse", "properties": { "responses": { "type": "array", "description": "The list of file annotation responses, one for each request in AsyncBatchAnnotateFilesRequest.", "items": { "$ref": "GoogleCloudVisionV1p1beta1AsyncAnnotateFileResponse" } } }, "type": "object", "description": "Response to an async batch file annotation request." }, "GoogleCloudVisionV1p3beta1WebDetectionWebPage": { "id": "GoogleCloudVisionV1p3beta1WebDetectionWebPage", "properties": { "pageTitle": { "type": "string", "description": "Title for the web page, may contain HTML markups." }, "score": { "description": "(Deprecated) Overall relevancy score for the web page.", "type": "number", "format": "float" }, "partialMatchingImages": { "type": "array", "items": { "$ref": "GoogleCloudVisionV1p3beta1WebDetectionWebImage" }, "description": "Partial matching images on the page. Those images are similar enough to share some key-point features. For example an original image will likely have partial matching for its crops." }, "url": { "description": "The result web page URL.", "type": "string" }, "fullMatchingImages": { "items": { "$ref": "GoogleCloudVisionV1p3beta1WebDetectionWebImage" }, "description": "Fully matching images on the page. Can include resized copies of the query image.", "type": "array" } }, "description": "Metadata for web pages.", "type": "object" }, "Result": { "description": "Information about a product.", "properties": { "score": { "type": "number", "description": "A confidence level on the match, ranging from 0 (no confidence) to 1 (full confidence).", "format": "float" }, "image": { "description": "The resource name of the image from the product that is the closest match to the query.", "type": "string" }, "product": { "description": "The Product.", "$ref": "Product" } }, "type": "object", "id": "Result" }, "GoogleCloudVisionV1p1beta1WebDetectionWebPage": { "type": "object", "id": "GoogleCloudVisionV1p1beta1WebDetectionWebPage", "description": "Metadata for web pages.", "properties": { "partialMatchingImages": { "items": { "$ref": "GoogleCloudVisionV1p1beta1WebDetectionWebImage" }, "description": "Partial matching images on the page. Those images are similar enough to share some key-point features. For example an original image will likely have partial matching for its crops.", "type": "array" }, "url": { "description": "The result web page URL.", "type": "string" }, "pageTitle": { "description": "Title for the web page, may contain HTML markups.", "type": "string" }, "score": { "type": "number", "format": "float", "description": "(Deprecated) Overall relevancy score for the web page." }, "fullMatchingImages": { "type": "array", "items": { "$ref": "GoogleCloudVisionV1p1beta1WebDetectionWebImage" }, "description": "Fully matching images on the page. Can include resized copies of the query image." } } }, "GoogleCloudVisionV1p3beta1Vertex": { "type": "object", "id": "GoogleCloudVisionV1p3beta1Vertex", "description": "A vertex represents a 2D point in the image. NOTE: the vertex coordinates are in the same scale as the original image.", "properties": { "y": { "type": "integer", "format": "int32", "description": "Y coordinate." }, "x": { "format": "int32", "type": "integer", "description": "X coordinate." } } }, "GoogleCloudVisionV1p2beta1ProductSearchResultsObjectAnnotation": { "id": "GoogleCloudVisionV1p2beta1ProductSearchResultsObjectAnnotation", "properties": { "score": { "description": "Score of the result. Range [0, 1].", "type": "number", "format": "float" }, "languageCode": { "description": "The BCP-47 language code, such as \"en-US\" or \"sr-Latn\". For more information, see http://www.unicode.org/reports/tr35/#Unicode_locale_identifier.", "type": "string" }, "mid": { "type": "string", "description": "Object ID that should align with EntityAnnotation mid." }, "name": { "type": "string", "description": "Object name, expressed in its `language_code` language." } }, "type": "object", "description": "Prediction for what the object in the bounding box is." }, "GoogleCloudVisionV1p1beta1Block": { "properties": { "property": { "description": "Additional information detected for the block.", "$ref": "GoogleCloudVisionV1p1beta1TextAnnotationTextProperty" }, "boundingBox": { "description": "The bounding box for the block. The vertices are in the order of top-left, top-right, bottom-right, bottom-left. When a rotation of the bounding box is detected the rotation is represented as around the top-left corner as defined when the text is read in the 'natural' orientation. For example: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh when the text is horizontal it might look like: 0----1 | | 3----2 LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh when it's rotated 180 degrees around the top-left corner it becomes: 2----3 | | 1----0 and the vertex order will still be (0, 1, 2, 3).", "$ref": "GoogleCloudVisionV1p1beta1BoundingPoly" }, "confidence": { "format": "float", "type": "number", "description": "Confidence of the OCR results on the block. Range [0, 1]." }, "paragraphs": { "description": "List of paragraphs in this block (if this blocks is of type text).", "type": "array", "items": { "$ref": "GoogleCloudVisionV1p1beta1Paragraph" } }, "blockType": { "type": "string", "enum": [ "UNKNOWN", "TEXT", "TABLE", "PICTURE", "RULER", "BARCODE" ], "description": "Detected block type (text, image etc) for this block.", "enumDescriptions": [ "Unknown block type.", "Regular text block.", "Table block.", "Image block.", "Horizontal/vertical line box.", "Barcode block." ] } }, "id": "GoogleCloudVisionV1p1beta1Block", "type": "object", "description": "Logical element on the page." }, "GoogleCloudVisionV1p2beta1DominantColorsAnnotation": { "id": "GoogleCloudVisionV1p2beta1DominantColorsAnnotation", "type": "object", "description": "Set of dominant colors and their corresponding scores.", "properties": { "colors": { "type": "array", "description": "RGB color values with their score and pixel fraction.", "items": { "$ref": "GoogleCloudVisionV1p2beta1ColorInfo" } } } }, "GoogleCloudVisionV1p4beta1WebDetectionWebImage": { "description": "Metadata for online images.", "type": "object", "id": "GoogleCloudVisionV1p4beta1WebDetectionWebImage", "properties": { "score": { "type": "number", "format": "float", "description": "(Deprecated) Overall relevancy score for the image." }, "url": { "description": "The result image URL.", "type": "string" } } }, "GoogleCloudVisionV1p3beta1TextAnnotation": { "description": "TextAnnotation contains a structured representation of OCR extracted text. The hierarchy of an OCR extracted text structure is like this: TextAnnotation -\u003e Page -\u003e Block -\u003e Paragraph -\u003e Word -\u003e Symbol Each structural component, starting from Page, may further have their own properties. Properties describe detected languages, breaks etc.. Please refer to the TextAnnotation.TextProperty message definition below for more detail.", "properties": { "text": { "description": "UTF-8 text detected on the pages.", "type": "string" }, "pages": { "type": "array", "description": "List of pages detected by OCR.", "items": { "$ref": "GoogleCloudVisionV1p3beta1Page" } } }, "id": "GoogleCloudVisionV1p3beta1TextAnnotation", "type": "object" }, "GoogleCloudVisionV1p2beta1ProductSearchResultsGroupedResult": { "id": "GoogleCloudVisionV1p2beta1ProductSearchResultsGroupedResult", "type": "object", "description": "Information about the products similar to a single product in a query image.", "properties": { "objectAnnotations": { "type": "array", "description": "List of generic predictions for the object in the bounding box.", "items": { "$ref": "GoogleCloudVisionV1p2beta1ProductSearchResultsObjectAnnotation" } }, "results": { "items": { "$ref": "GoogleCloudVisionV1p2beta1ProductSearchResultsResult" }, "description": "List of results, one for each product match.", "type": "array" }, "boundingPoly": { "$ref": "GoogleCloudVisionV1p2beta1BoundingPoly", "description": "The bounding polygon around the product detected in the query image." } } }, "GoogleCloudVisionV1p1beta1NormalizedVertex": { "description": "A vertex represents a 2D point in the image. NOTE: the normalized vertex coordinates are relative to the original image and range from 0 to 1.", "properties": { "x": { "type": "number", "format": "float", "description": "X coordinate." }, "y": { "format": "float", "description": "Y coordinate.", "type": "number" } }, "type": "object", "id": "GoogleCloudVisionV1p1beta1NormalizedVertex" }, "GoogleCloudVisionV1p2beta1WebDetectionWebPage": { "type": "object", "id": "GoogleCloudVisionV1p2beta1WebDetectionWebPage", "properties": { "pageTitle": { "description": "Title for the web page, may contain HTML markups.", "type": "string" }, "url": { "type": "string", "description": "The result web page URL." }, "fullMatchingImages": { "items": { "$ref": "GoogleCloudVisionV1p2beta1WebDetectionWebImage" }, "type": "array", "description": "Fully matching images on the page. Can include resized copies of the query image." }, "score": { "description": "(Deprecated) Overall relevancy score for the web page.", "format": "float", "type": "number" }, "partialMatchingImages": { "type": "array", "description": "Partial matching images on the page. Those images are similar enough to share some key-point features. For example an original image will likely have partial matching for its crops.", "items": { "$ref": "GoogleCloudVisionV1p2beta1WebDetectionWebImage" } } }, "description": "Metadata for web pages." }, "GoogleCloudVisionV1p2beta1FaceAnnotation": { "type": "object", "properties": { "panAngle": { "format": "float", "description": "Yaw angle, which indicates the leftward/rightward angle that the face is pointing relative to the vertical plane perpendicular to the image. Range [-180,180].", "type": "number" }, "landmarks": { "items": { "$ref": "GoogleCloudVisionV1p2beta1FaceAnnotationLandmark" }, "description": "Detected face landmarks.", "type": "array" }, "angerLikelihood": { "enum": [ "UNKNOWN", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ], "description": "Anger likelihood.", "type": "string", "enumDescriptions": [ "Unknown likelihood.", "It is very unlikely.", "It is unlikely.", "It is possible.", "It is likely.", "It is very likely." ] }, "detectionConfidence": { "type": "number", "format": "float", "description": "Detection confidence. Range [0, 1]." }, "tiltAngle": { "format": "float", "type": "number", "description": "Pitch angle, which indicates the upwards/downwards angle that the face is pointing relative to the image's horizontal plane. Range [-180,180]." }, "joyLikelihood": { "enumDescriptions": [ "Unknown likelihood.", "It is very unlikely.", "It is unlikely.", "It is possible.", "It is likely.", "It is very likely." ], "type": "string", "description": "Joy likelihood.", "enum": [ "UNKNOWN", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ] }, "surpriseLikelihood": { "enum": [ "UNKNOWN", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ], "enumDescriptions": [ "Unknown likelihood.", "It is very unlikely.", "It is unlikely.", "It is possible.", "It is likely.", "It is very likely." ], "type": "string", "description": "Surprise likelihood." }, "fdBoundingPoly": { "description": "The `fd_bounding_poly` bounding polygon is tighter than the `boundingPoly`, and encloses only the skin part of the face. Typically, it is used to eliminate the face from any image analysis that detects the \"amount of skin\" visible in an image. It is not based on the landmarker results, only on the initial face detection, hence the fd (face detection) prefix.", "$ref": "GoogleCloudVisionV1p2beta1BoundingPoly" }, "headwearLikelihood": { "enumDescriptions": [ "Unknown likelihood.", "It is very unlikely.", "It is unlikely.", "It is possible.", "It is likely.", "It is very likely." ], "type": "string", "enum": [ "UNKNOWN", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ], "description": "Headwear likelihood." }, "sorrowLikelihood": { "description": "Sorrow likelihood.", "enum": [ "UNKNOWN", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ], "type": "string", "enumDescriptions": [ "Unknown likelihood.", "It is very unlikely.", "It is unlikely.", "It is possible.", "It is likely.", "It is very likely." ] }, "boundingPoly": { "$ref": "GoogleCloudVisionV1p2beta1BoundingPoly", "description": "The bounding polygon around the face. The coordinates of the bounding box are in the original image's scale. The bounding box is computed to \"frame\" the face in accordance with human expectations. It is based on the landmarker results. Note that one or more x and/or y coordinates may not be generated in the `BoundingPoly` (the polygon will be unbounded) if only a partial face appears in the image to be annotated." }, "rollAngle": { "format": "float", "type": "number", "description": "Roll angle, which indicates the amount of clockwise/anti-clockwise rotation of the face relative to the image vertical about the axis perpendicular to the face. Range [-180,180]." }, "blurredLikelihood": { "type": "string", "enumDescriptions": [ "Unknown likelihood.", "It is very unlikely.", "It is unlikely.", "It is possible.", "It is likely.", "It is very likely." ], "description": "Blurred likelihood.", "enum": [ "UNKNOWN", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ] }, "underExposedLikelihood": { "description": "Under-exposed likelihood.", "type": "string", "enum": [ "UNKNOWN", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ], "enumDescriptions": [ "Unknown likelihood.", "It is very unlikely.", "It is unlikely.", "It is possible.", "It is likely.", "It is very likely." ] }, "landmarkingConfidence": { "type": "number", "format": "float", "description": "Face landmarking confidence. Range [0, 1]." } }, "description": "A face annotation object contains the results of face detection.", "id": "GoogleCloudVisionV1p2beta1FaceAnnotation" }, "GoogleCloudVisionV1p1beta1WebDetectionWebLabel": { "type": "object", "description": "Label to provide extra metadata for the web detection.", "id": "GoogleCloudVisionV1p1beta1WebDetectionWebLabel", "properties": { "label": { "type": "string", "description": "Label for extra metadata." }, "languageCode": { "type": "string", "description": "The BCP-47 language code for `label`, such as \"en-US\" or \"sr-Latn\". For more information, see http://www.unicode.org/reports/tr35/#Unicode_locale_identifier." } } }, "ReferenceImage": { "properties": { "uri": { "type": "string", "description": "Required. The Google Cloud Storage URI of the reference image. The URI must start with `gs://`." }, "boundingPolys": { "items": { "$ref": "BoundingPoly" }, "description": "Optional. Bounding polygons around the areas of interest in the reference image. If this field is empty, the system will try to detect regions of interest. At most 10 bounding polygons will be used. The provided shape is converted into a non-rotated rectangle. Once converted, the small edge of the rectangle must be greater than or equal to 300 pixels. The aspect ratio must be 1:4 or less (i.e. 1:3 is ok; 1:5 is not).", "type": "array" }, "name": { "description": "The resource name of the reference image. Format is: `projects/PROJECT_ID/locations/LOC_ID/products/PRODUCT_ID/referenceImages/IMAGE_ID`. This field is ignored when creating a reference image.", "type": "string" } }, "description": "A `ReferenceImage` represents a product image and its associated metadata, such as bounding boxes.", "type": "object", "id": "ReferenceImage" }, "GoogleCloudVisionV1p3beta1AsyncAnnotateFileResponse": { "id": "GoogleCloudVisionV1p3beta1AsyncAnnotateFileResponse", "description": "The response for a single offline file annotation request.", "properties": { "outputConfig": { "description": "The output location and metadata from AsyncAnnotateFileRequest.", "$ref": "GoogleCloudVisionV1p3beta1OutputConfig" } }, "type": "object" }, "GoogleCloudVisionV1p2beta1AsyncBatchAnnotateFilesResponse": { "id": "GoogleCloudVisionV1p2beta1AsyncBatchAnnotateFilesResponse", "type": "object", "properties": { "responses": { "items": { "$ref": "GoogleCloudVisionV1p2beta1AsyncAnnotateFileResponse" }, "type": "array", "description": "The list of file annotation responses, one for each request in AsyncBatchAnnotateFilesRequest." } }, "description": "Response to an async batch file annotation request." }, "AsyncAnnotateFileResponse": { "properties": { "outputConfig": { "$ref": "OutputConfig", "description": "The output location and metadata from AsyncAnnotateFileRequest." } }, "description": "The response for a single offline file annotation request.", "type": "object", "id": "AsyncAnnotateFileResponse" }, "SafeSearchAnnotation": { "type": "object", "id": "SafeSearchAnnotation", "properties": { "racy": { "enumDescriptions": [ "Unknown likelihood.", "It is very unlikely.", "It is unlikely.", "It is possible.", "It is likely.", "It is very likely." ], "enum": [ "UNKNOWN", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ], "type": "string", "description": "Likelihood that the request image contains racy content. Racy content may include (but is not limited to) skimpy or sheer clothing, strategically covered nudity, lewd or provocative poses, or close-ups of sensitive body areas." }, "spoof": { "enumDescriptions": [ "Unknown likelihood.", "It is very unlikely.", "It is unlikely.", "It is possible.", "It is likely.", "It is very likely." ], "enum": [ "UNKNOWN", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ], "type": "string", "description": "Spoof likelihood. The likelihood that an modification was made to the image's canonical version to make it appear funny or offensive." }, "violence": { "type": "string", "enum": [ "UNKNOWN", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ], "enumDescriptions": [ "Unknown likelihood.", "It is very unlikely.", "It is unlikely.", "It is possible.", "It is likely.", "It is very likely." ], "description": "Likelihood that this image contains violent content." }, "adult": { "type": "string", "description": "Represents the adult content likelihood for the image. Adult content may contain elements such as nudity, pornographic images or cartoons, or sexual activities.", "enum": [ "UNKNOWN", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ], "enumDescriptions": [ "Unknown likelihood.", "It is very unlikely.", "It is unlikely.", "It is possible.", "It is likely.", "It is very likely." ] }, "medical": { "description": "Likelihood that this is a medical image.", "type": "string", "enum": [ "UNKNOWN", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ], "enumDescriptions": [ "Unknown likelihood.", "It is very unlikely.", "It is unlikely.", "It is possible.", "It is likely.", "It is very likely." ] } }, "description": "Set of features pertaining to the image, computed by computer vision methods over safe-search verticals (for example, adult, spoof, medical, violence)." }, "GoogleCloudVisionV1p4beta1CropHintsAnnotation": { "properties": { "cropHints": { "description": "Crop hint results.", "items": { "$ref": "GoogleCloudVisionV1p4beta1CropHint" }, "type": "array" } }, "description": "Set of crop hints that are used to generate new crops when serving images.", "type": "object", "id": "GoogleCloudVisionV1p4beta1CropHintsAnnotation" }, "KeyValue": { "description": "A product label represented as a key-value pair.", "properties": { "key": { "type": "string", "description": "The key of the label attached to the product. Cannot be empty and cannot exceed 128 bytes." }, "value": { "type": "string", "description": "The value of the label attached to the product. Cannot be empty and cannot exceed 128 bytes." } }, "type": "object", "id": "KeyValue" }, "GoogleCloudVisionV1p1beta1Paragraph": { "type": "object", "properties": { "words": { "type": "array", "description": "List of all words in this paragraph.", "items": { "$ref": "GoogleCloudVisionV1p1beta1Word" } }, "property": { "description": "Additional information detected for the paragraph.", "$ref": "GoogleCloudVisionV1p1beta1TextAnnotationTextProperty" }, "confidence": { "format": "float", "type": "number", "description": "Confidence of the OCR results for the paragraph. Range [0, 1]." }, "boundingBox": { "description": "The bounding box for the paragraph. The vertices are in the order of top-left, top-right, bottom-right, bottom-left. When a rotation of the bounding box is detected the rotation is represented as around the top-left corner as defined when the text is read in the 'natural' orientation. For example: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh when the text is horizontal it might look like: 0----1 | | 3----2 LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh when it's rotated 180 degrees around the top-left corner it becomes: 2----3 | | 1----0 and the vertex order will still be (0, 1, 2, 3).", "$ref": "GoogleCloudVisionV1p1beta1BoundingPoly" } }, "description": "Structural unit of text representing a number of words in certain order.", "id": "GoogleCloudVisionV1p1beta1Paragraph" }, "GoogleCloudVisionV1p4beta1ImportProductSetsResponse": { "properties": { "referenceImages": { "description": "The list of reference_images that are imported successfully.", "type": "array", "items": { "$ref": "GoogleCloudVisionV1p4beta1ReferenceImage" } }, "statuses": { "items": { "$ref": "Status" }, "description": "The rpc status for each ImportProductSet request, including both successes and errors. The number of statuses here matches the number of lines in the csv file, and statuses[i] stores the success or failure status of processing the i-th line of the csv, starting from line 0.", "type": "array" } }, "description": "Response message for the `ImportProductSets` method. This message is returned by the google.longrunning.Operations.GetOperation method in the returned google.longrunning.Operation.response field.", "type": "object", "id": "GoogleCloudVisionV1p4beta1ImportProductSetsResponse" }, "GoogleCloudVisionV1p1beta1GcsDestination": { "properties": { "uri": { "description": "Google Cloud Storage URI prefix where the results will be stored. Results will be in JSON format and preceded by its corresponding input URI prefix. This field can either represent a gcs file prefix or gcs directory. In either case, the uri should be unique because in order to get all of the output files, you will need to do a wildcard gcs search on the uri prefix you provide. Examples: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh File Prefix: gs://bucket-name/here/filenameprefix The output files will be created in gs://bucket-name/here/ and the names of the output files will begin with \"filenameprefix\". LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Directory Prefix: gs://bucket-name/some/location/ The output files will be created in gs://bucket-name/some/location/ and the names of the output files could be anything because there was no filename prefix specified. If multiple outputs, each response is still AnnotateFileResponse, each of which contains some subset of the full list of AnnotateImageResponse. Multiple outputs can happen if, for example, the output JSON is too large and overflows into multiple sharded files.", "type": "string" } }, "description": "The Google Cloud Storage location where the output will be written to.", "type": "object", "id": "GoogleCloudVisionV1p1beta1GcsDestination" }, "GoogleCloudVisionV1p3beta1TextAnnotationDetectedBreak": { "properties": { "isPrefix": { "type": "boolean", "description": "True if break prepends the element." }, "type": { "enum": [ "UNKNOWN", "SPACE", "SURE_SPACE", "EOL_SURE_SPACE", "HYPHEN", "LINE_BREAK" ], "enumDescriptions": [ "Unknown break label type.", "Regular space.", "Sure space (very wide).", "Line-wrapping break.", "End-line hyphen that is not present in text; does not co-occur with `SPACE`, `LEADER_SPACE`, or `LINE_BREAK`.", "Line break that ends a paragraph." ], "description": "Detected break type.", "type": "string" } }, "type": "object", "description": "Detected start or end of a structural component.", "id": "GoogleCloudVisionV1p3beta1TextAnnotationDetectedBreak" }, "Page": { "description": "Detected page from OCR.", "id": "Page", "properties": { "height": { "format": "int32", "description": "Page height. For PDFs the unit is points. For images (including TIFFs) the unit is pixels.", "type": "integer" }, "confidence": { "format": "float", "type": "number", "description": "Confidence of the OCR results on the page. Range [0, 1]." }, "width": { "description": "Page width. For PDFs the unit is points. For images (including TIFFs) the unit is pixels.", "type": "integer", "format": "int32" }, "property": { "description": "Additional information detected on the page.", "$ref": "TextProperty" }, "blocks": { "description": "List of blocks of text, images etc on this page.", "items": { "$ref": "Block" }, "type": "array" } }, "type": "object" }, "GoogleCloudVisionV1p2beta1CropHintsParams": { "type": "object", "id": "GoogleCloudVisionV1p2beta1CropHintsParams", "description": "Parameters for crop hints annotation request.", "properties": { "aspectRatios": { "description": "Aspect ratios in floats, representing the ratio of the width to the height of the image. For example, if the desired aspect ratio is 4/3, the corresponding float value should be 1.33333. If not specified, the best possible crop is returned. The number of provided aspect ratios is limited to a maximum of 16; any aspect ratios provided after the 16th are ignored.", "type": "array", "items": { "type": "number", "format": "float" } } } }, "TextProperty": { "description": "Additional information detected on the structural component.", "id": "TextProperty", "type": "object", "properties": { "detectedBreak": { "$ref": "DetectedBreak", "description": "Detected start or end of a text segment." }, "detectedLanguages": { "items": { "$ref": "DetectedLanguage" }, "description": "A list of detected languages together with confidence.", "type": "array" } } }, "GoogleCloudVisionV1p2beta1AsyncBatchAnnotateFilesRequest": { "type": "object", "id": "GoogleCloudVisionV1p2beta1AsyncBatchAnnotateFilesRequest", "description": "Multiple async file annotation requests are batched into a single service call.", "properties": { "requests": { "description": "Required. Individual async file annotation requests for this batch.", "type": "array", "items": { "$ref": "GoogleCloudVisionV1p2beta1AsyncAnnotateFileRequest" } }, "parent": { "description": "Optional. Target project and location to make a call. Format: `projects/{project-id}/locations/{location-id}`. If no parent is specified, a region will be chosen automatically. Supported location-ids: `us`: USA country only, `asia`: East asia areas, like Japan, Taiwan, `eu`: The European Union. Example: `projects/project-A/locations/eu`.", "type": "string" } } }, "GoogleCloudVisionV1p2beta1LocationInfo": { "type": "object", "properties": { "latLng": { "$ref": "LatLng", "description": "lat/long location coordinates." } }, "id": "GoogleCloudVisionV1p2beta1LocationInfo", "description": "Detected entity location information." }, "GoogleCloudVisionV1p4beta1AsyncBatchAnnotateImagesResponse": { "type": "object", "id": "GoogleCloudVisionV1p4beta1AsyncBatchAnnotateImagesResponse", "description": "Response to an async batch image annotation request.", "properties": { "outputConfig": { "description": "The output location and metadata from AsyncBatchAnnotateImagesRequest.", "$ref": "GoogleCloudVisionV1p4beta1OutputConfig" } } }, "GoogleCloudVisionV1p1beta1EntityAnnotation": { "type": "object", "properties": { "mid": { "description": "Opaque entity ID. Some IDs may be available in [Google Knowledge Graph Search API](https://developers.google.com/knowledge-graph/).", "type": "string" }, "boundingPoly": { "description": "Image region to which this entity belongs. Not produced for `LABEL_DETECTION` features.", "$ref": "GoogleCloudVisionV1p1beta1BoundingPoly" }, "locations": { "type": "array", "description": "The location information for the detected entity. Multiple `LocationInfo` elements can be present because one location may indicate the location of the scene in the image, and another location may indicate the location of the place where the image was taken. Location information is usually present for landmarks.", "items": { "$ref": "GoogleCloudVisionV1p1beta1LocationInfo" } }, "description": { "description": "Entity textual description, expressed in its `locale` language.", "type": "string" }, "confidence": { "type": "number", "description": "**Deprecated. Use `score` instead.** The accuracy of the entity detection in an image. For example, for an image in which the \"Eiffel Tower\" entity is detected, this field represents the confidence that there is a tower in the query image. Range [0, 1].", "format": "float" }, "locale": { "description": "The language code for the locale in which the entity textual `description` is expressed.", "type": "string" }, "topicality": { "type": "number", "format": "float", "description": "The relevancy of the ICA (Image Content Annotation) label to the image. For example, the relevancy of \"tower\" is likely higher to an image containing the detected \"Eiffel Tower\" than to an image containing a detected distant towering building, even though the confidence that there is a tower in each image may be the same. Range [0, 1]." }, "score": { "type": "number", "description": "Overall score of the result. Range [0, 1].", "format": "float" }, "properties": { "type": "array", "description": "Some entities may have optional user-supplied `Property` (name/value) fields, such a score or string that qualifies the entity.", "items": { "$ref": "GoogleCloudVisionV1p1beta1Property" } } }, "description": "Set of detected entity features.", "id": "GoogleCloudVisionV1p1beta1EntityAnnotation" }, "GoogleCloudVisionV1p1beta1CropHintsAnnotation": { "description": "Set of crop hints that are used to generate new crops when serving images.", "type": "object", "id": "GoogleCloudVisionV1p1beta1CropHintsAnnotation", "properties": { "cropHints": { "type": "array", "items": { "$ref": "GoogleCloudVisionV1p1beta1CropHint" }, "description": "Crop hint results." } } }, "GoogleCloudVisionV1p4beta1WebDetectionWebEntity": { "properties": { "description": { "type": "string", "description": "Canonical description of the entity, in English." }, "score": { "description": "Overall relevancy score for the entity. Not normalized and not comparable across different image queries.", "type": "number", "format": "float" }, "entityId": { "description": "Opaque entity ID.", "type": "string" } }, "id": "GoogleCloudVisionV1p4beta1WebDetectionWebEntity", "type": "object", "description": "Entity deduced from similar images on the Internet." }, "GoogleCloudVisionV1p1beta1OperationMetadata": { "description": "Contains metadata for the BatchAnnotateImages operation.", "type": "object", "properties": { "updateTime": { "description": "The time when the operation result was last updated.", "type": "string", "format": "google-datetime" }, "createTime": { "type": "string", "format": "google-datetime", "description": "The time when the batch request was received." }, "state": { "enum": [ "STATE_UNSPECIFIED", "CREATED", "RUNNING", "DONE", "CANCELLED" ], "description": "Current state of the batch operation.", "enumDescriptions": [ "Invalid.", "Request is received.", "Request is actively being processed.", "The batch processing is done.", "The batch processing was cancelled." ], "type": "string" } }, "id": "GoogleCloudVisionV1p1beta1OperationMetadata" }, "GoogleCloudVisionV1p1beta1WebDetectionWebEntity": { "description": "Entity deduced from similar images on the Internet.", "properties": { "description": { "type": "string", "description": "Canonical description of the entity, in English." }, "entityId": { "description": "Opaque entity ID.", "type": "string" }, "score": { "type": "number", "format": "float", "description": "Overall relevancy score for the entity. Not normalized and not comparable across different image queries." } }, "type": "object", "id": "GoogleCloudVisionV1p1beta1WebDetectionWebEntity" }, "GoogleCloudVisionV1p3beta1WebDetectionWebEntity": { "id": "GoogleCloudVisionV1p3beta1WebDetectionWebEntity", "type": "object", "description": "Entity deduced from similar images on the Internet.", "properties": { "entityId": { "type": "string", "description": "Opaque entity ID." }, "description": { "type": "string", "description": "Canonical description of the entity, in English." }, "score": { "description": "Overall relevancy score for the entity. Not normalized and not comparable across different image queries.", "format": "float", "type": "number" } } }, "GoogleCloudVisionV1p2beta1FaceAnnotationLandmark": { "properties": { "position": { "description": "Face landmark position.", "$ref": "GoogleCloudVisionV1p2beta1Position" }, "type": { "type": "string", "enumDescriptions": [ "Unknown face landmark detected. Should not be filled.", "Left eye.", "Right eye.", "Left of left eyebrow.", "Right of left eyebrow.", "Left of right eyebrow.", "Right of right eyebrow.", "Midpoint between eyes.", "Nose tip.", "Upper lip.", "Lower lip.", "Mouth left.", "Mouth right.", "Mouth center.", "Nose, bottom right.", "Nose, bottom left.", "Nose, bottom center.", "Left eye, top boundary.", "Left eye, right corner.", "Left eye, bottom boundary.", "Left eye, left corner.", "Right eye, top boundary.", "Right eye, right corner.", "Right eye, bottom boundary.", "Right eye, left corner.", "Left eyebrow, upper midpoint.", "Right eyebrow, upper midpoint.", "Left ear tragion.", "Right ear tragion.", "Left eye pupil.", "Right eye pupil.", "Forehead glabella.", "Chin gnathion.", "Chin left gonion.", "Chin right gonion.", "Left cheek center.", "Right cheek center." ], "description": "Face landmark type.", "enum": [ "UNKNOWN_LANDMARK", "LEFT_EYE", "RIGHT_EYE", "LEFT_OF_LEFT_EYEBROW", "RIGHT_OF_LEFT_EYEBROW", "LEFT_OF_RIGHT_EYEBROW", "RIGHT_OF_RIGHT_EYEBROW", "MIDPOINT_BETWEEN_EYES", "NOSE_TIP", "UPPER_LIP", "LOWER_LIP", "MOUTH_LEFT", "MOUTH_RIGHT", "MOUTH_CENTER", "NOSE_BOTTOM_RIGHT", "NOSE_BOTTOM_LEFT", "NOSE_BOTTOM_CENTER", "LEFT_EYE_TOP_BOUNDARY", "LEFT_EYE_RIGHT_CORNER", "LEFT_EYE_BOTTOM_BOUNDARY", "LEFT_EYE_LEFT_CORNER", "RIGHT_EYE_TOP_BOUNDARY", "RIGHT_EYE_RIGHT_CORNER", "RIGHT_EYE_BOTTOM_BOUNDARY", "RIGHT_EYE_LEFT_CORNER", "LEFT_EYEBROW_UPPER_MIDPOINT", "RIGHT_EYEBROW_UPPER_MIDPOINT", "LEFT_EAR_TRAGION", "RIGHT_EAR_TRAGION", "LEFT_EYE_PUPIL", "RIGHT_EYE_PUPIL", "FOREHEAD_GLABELLA", "CHIN_GNATHION", "CHIN_LEFT_GONION", "CHIN_RIGHT_GONION", "LEFT_CHEEK_CENTER", "RIGHT_CHEEK_CENTER" ] } }, "id": "GoogleCloudVisionV1p2beta1FaceAnnotationLandmark", "type": "object", "description": "A face-specific landmark (for example, a face feature)." }, "GoogleCloudVisionV1p4beta1ColorInfo": { "type": "object", "id": "GoogleCloudVisionV1p4beta1ColorInfo", "properties": { "color": { "$ref": "Color", "description": "RGB components of the color." }, "score": { "format": "float", "type": "number", "description": "Image-specific score for this color. Value in range [0, 1]." }, "pixelFraction": { "type": "number", "description": "The fraction of pixels the color occupies in the image. Value in range [0, 1].", "format": "float" } }, "description": "Color information consists of RGB channels, score, and the fraction of the image that the color occupies in the image." }, "GoogleCloudVisionV1p4beta1ProductSearchResultsResult": { "properties": { "product": { "description": "The Product.", "$ref": "GoogleCloudVisionV1p4beta1Product" }, "image": { "description": "The resource name of the image from the product that is the closest match to the query.", "type": "string" }, "score": { "description": "A confidence level on the match, ranging from 0 (no confidence) to 1 (full confidence).", "type": "number", "format": "float" } }, "description": "Information about a product.", "type": "object", "id": "GoogleCloudVisionV1p4beta1ProductSearchResultsResult" }, "OperationMetadata": { "type": "object", "id": "OperationMetadata", "properties": { "createTime": { "type": "string", "format": "google-datetime", "description": "The time when the batch request was received." }, "updateTime": { "format": "google-datetime", "type": "string", "description": "The time when the operation result was last updated." }, "state": { "type": "string", "enum": [ "STATE_UNSPECIFIED", "CREATED", "RUNNING", "DONE", "CANCELLED" ], "description": "Current state of the batch operation.", "enumDescriptions": [ "Invalid.", "Request is received.", "Request is actively being processed.", "The batch processing is done.", "The batch processing was cancelled." ] } }, "description": "Contains metadata for the BatchAnnotateImages operation." }, "GoogleCloudVisionV1p2beta1LatLongRect": { "type": "object", "id": "GoogleCloudVisionV1p2beta1LatLongRect", "properties": { "maxLatLng": { "$ref": "LatLng", "description": "Max lat/long pair." }, "minLatLng": { "description": "Min lat/long pair.", "$ref": "LatLng" } }, "description": "Rectangle determined by min and max `LatLng` pairs." }, "GcsDestination": { "id": "GcsDestination", "description": "The Google Cloud Storage location where the output will be written to.", "type": "object", "properties": { "uri": { "type": "string", "description": "Google Cloud Storage URI prefix where the results will be stored. Results will be in JSON format and preceded by its corresponding input URI prefix. This field can either represent a gcs file prefix or gcs directory. In either case, the uri should be unique because in order to get all of the output files, you will need to do a wildcard gcs search on the uri prefix you provide. Examples: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh File Prefix: gs://bucket-name/here/filenameprefix The output files will be created in gs://bucket-name/here/ and the names of the output files will begin with \"filenameprefix\". LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Directory Prefix: gs://bucket-name/some/location/ The output files will be created in gs://bucket-name/some/location/ and the names of the output files could be anything because there was no filename prefix specified. If multiple outputs, each response is still AnnotateFileResponse, each of which contains some subset of the full list of AnnotateImageResponse. Multiple outputs can happen if, for example, the output JSON is too large and overflows into multiple sharded files." } } }, "GoogleCloudVisionV1p3beta1FaceAnnotationLandmark": { "properties": { "position": { "description": "Face landmark position.", "$ref": "GoogleCloudVisionV1p3beta1Position" }, "type": { "enumDescriptions": [ "Unknown face landmark detected. Should not be filled.", "Left eye.", "Right eye.", "Left of left eyebrow.", "Right of left eyebrow.", "Left of right eyebrow.", "Right of right eyebrow.", "Midpoint between eyes.", "Nose tip.", "Upper lip.", "Lower lip.", "Mouth left.", "Mouth right.", "Mouth center.", "Nose, bottom right.", "Nose, bottom left.", "Nose, bottom center.", "Left eye, top boundary.", "Left eye, right corner.", "Left eye, bottom boundary.", "Left eye, left corner.", "Right eye, top boundary.", "Right eye, right corner.", "Right eye, bottom boundary.", "Right eye, left corner.", "Left eyebrow, upper midpoint.", "Right eyebrow, upper midpoint.", "Left ear tragion.", "Right ear tragion.", "Left eye pupil.", "Right eye pupil.", "Forehead glabella.", "Chin gnathion.", "Chin left gonion.", "Chin right gonion.", "Left cheek center.", "Right cheek center." ], "enum": [ "UNKNOWN_LANDMARK", "LEFT_EYE", "RIGHT_EYE", "LEFT_OF_LEFT_EYEBROW", "RIGHT_OF_LEFT_EYEBROW", "LEFT_OF_RIGHT_EYEBROW", "RIGHT_OF_RIGHT_EYEBROW", "MIDPOINT_BETWEEN_EYES", "NOSE_TIP", "UPPER_LIP", "LOWER_LIP", "MOUTH_LEFT", "MOUTH_RIGHT", "MOUTH_CENTER", "NOSE_BOTTOM_RIGHT", "NOSE_BOTTOM_LEFT", "NOSE_BOTTOM_CENTER", "LEFT_EYE_TOP_BOUNDARY", "LEFT_EYE_RIGHT_CORNER", "LEFT_EYE_BOTTOM_BOUNDARY", "LEFT_EYE_LEFT_CORNER", "RIGHT_EYE_TOP_BOUNDARY", "RIGHT_EYE_RIGHT_CORNER", "RIGHT_EYE_BOTTOM_BOUNDARY", "RIGHT_EYE_LEFT_CORNER", "LEFT_EYEBROW_UPPER_MIDPOINT", "RIGHT_EYEBROW_UPPER_MIDPOINT", "LEFT_EAR_TRAGION", "RIGHT_EAR_TRAGION", "LEFT_EYE_PUPIL", "RIGHT_EYE_PUPIL", "FOREHEAD_GLABELLA", "CHIN_GNATHION", "CHIN_LEFT_GONION", "CHIN_RIGHT_GONION", "LEFT_CHEEK_CENTER", "RIGHT_CHEEK_CENTER" ], "description": "Face landmark type.", "type": "string" } }, "type": "object", "description": "A face-specific landmark (for example, a face feature).", "id": "GoogleCloudVisionV1p3beta1FaceAnnotationLandmark" }, "GoogleCloudVisionV1p2beta1CropHintsAnnotation": { "properties": { "cropHints": { "type": "array", "description": "Crop hint results.", "items": { "$ref": "GoogleCloudVisionV1p2beta1CropHint" } } }, "description": "Set of crop hints that are used to generate new crops when serving images.", "type": "object", "id": "GoogleCloudVisionV1p2beta1CropHintsAnnotation" }, "GoogleCloudVisionV1p1beta1TextAnnotationDetectedLanguage": { "type": "object", "description": "Detected language for a structural component.", "id": "GoogleCloudVisionV1p1beta1TextAnnotationDetectedLanguage", "properties": { "confidence": { "description": "Confidence of detected language. Range [0, 1].", "format": "float", "type": "number" }, "languageCode": { "type": "string", "description": "The BCP-47 language code, such as \"en-US\" or \"sr-Latn\". For more information, see http://www.unicode.org/reports/tr35/#Unicode_locale_identifier." } } }, "GoogleCloudVisionV1p4beta1LocationInfo": { "description": "Detected entity location information.", "type": "object", "id": "GoogleCloudVisionV1p4beta1LocationInfo", "properties": { "latLng": { "$ref": "LatLng", "description": "lat/long location coordinates." } } }, "GoogleCloudVisionV1p3beta1OperationMetadata": { "description": "Contains metadata for the BatchAnnotateImages operation.", "id": "GoogleCloudVisionV1p3beta1OperationMetadata", "properties": { "updateTime": { "type": "string", "format": "google-datetime", "description": "The time when the operation result was last updated." }, "state": { "type": "string", "enum": [ "STATE_UNSPECIFIED", "CREATED", "RUNNING", "DONE", "CANCELLED" ], "description": "Current state of the batch operation.", "enumDescriptions": [ "Invalid.", "Request is received.", "Request is actively being processed.", "The batch processing is done.", "The batch processing was cancelled." ] }, "createTime": { "description": "The time when the batch request was received.", "type": "string", "format": "google-datetime" } }, "type": "object" }, "GoogleCloudVisionV1p4beta1InputConfig": { "id": "GoogleCloudVisionV1p4beta1InputConfig", "description": "The desired input location and metadata.", "type": "object", "properties": { "content": { "type": "string", "description": "File content, represented as a stream of bytes. Note: As with all `bytes` fields, protobuffers use a pure binary representation, whereas JSON representations use base64. Currently, this field only works for BatchAnnotateFiles requests. It does not work for AsyncBatchAnnotateFiles requests.", "format": "byte" }, "mimeType": { "description": "The type of the file. Currently only \"application/pdf\", \"image/tiff\" and \"image/gif\" are supported. Wildcards are not supported.", "type": "string" }, "gcsSource": { "$ref": "GoogleCloudVisionV1p4beta1GcsSource", "description": "The Google Cloud Storage location to read the input from." } } }, "GoogleCloudVisionV1p2beta1WebDetectionWebLabel": { "description": "Label to provide extra metadata for the web detection.", "id": "GoogleCloudVisionV1p2beta1WebDetectionWebLabel", "properties": { "languageCode": { "type": "string", "description": "The BCP-47 language code for `label`, such as \"en-US\" or \"sr-Latn\". For more information, see http://www.unicode.org/reports/tr35/#Unicode_locale_identifier." }, "label": { "description": "Label for extra metadata.", "type": "string" } }, "type": "object" }, "GoogleCloudVisionV1p4beta1BoundingPoly": { "description": "A bounding polygon for the detected image annotation.", "properties": { "normalizedVertices": { "description": "The bounding polygon normalized vertices.", "items": { "$ref": "GoogleCloudVisionV1p4beta1NormalizedVertex" }, "type": "array" }, "vertices": { "description": "The bounding polygon vertices.", "items": { "$ref": "GoogleCloudVisionV1p4beta1Vertex" }, "type": "array" } }, "type": "object", "id": "GoogleCloudVisionV1p4beta1BoundingPoly" }, "LocationInfo": { "type": "object", "description": "Detected entity location information.", "properties": { "latLng": { "$ref": "LatLng", "description": "lat/long location coordinates." } }, "id": "LocationInfo" }, "GoogleCloudVisionV1p1beta1WebDetectionWebImage": { "description": "Metadata for online images.", "properties": { "score": { "type": "number", "description": "(Deprecated) Overall relevancy score for the image.", "format": "float" }, "url": { "type": "string", "description": "The result image URL." } }, "id": "GoogleCloudVisionV1p1beta1WebDetectionWebImage", "type": "object" }, "GoogleCloudVisionV1p3beta1SafeSearchAnnotation": { "description": "Set of features pertaining to the image, computed by computer vision methods over safe-search verticals (for example, adult, spoof, medical, violence).", "type": "object", "properties": { "racy": { "enumDescriptions": [ "Unknown likelihood.", "It is very unlikely.", "It is unlikely.", "It is possible.", "It is likely.", "It is very likely." ], "type": "string", "enum": [ "UNKNOWN", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ], "description": "Likelihood that the request image contains racy content. Racy content may include (but is not limited to) skimpy or sheer clothing, strategically covered nudity, lewd or provocative poses, or close-ups of sensitive body areas." }, "medical": { "type": "string", "description": "Likelihood that this is a medical image.", "enum": [ "UNKNOWN", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ], "enumDescriptions": [ "Unknown likelihood.", "It is very unlikely.", "It is unlikely.", "It is possible.", "It is likely.", "It is very likely." ] }, "adult": { "description": "Represents the adult content likelihood for the image. Adult content may contain elements such as nudity, pornographic images or cartoons, or sexual activities.", "enum": [ "UNKNOWN", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ], "type": "string", "enumDescriptions": [ "Unknown likelihood.", "It is very unlikely.", "It is unlikely.", "It is possible.", "It is likely.", "It is very likely." ] }, "violence": { "description": "Likelihood that this image contains violent content.", "enum": [ "UNKNOWN", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ], "type": "string", "enumDescriptions": [ "Unknown likelihood.", "It is very unlikely.", "It is unlikely.", "It is possible.", "It is likely.", "It is very likely." ] }, "spoof": { "enum": [ "UNKNOWN", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ], "enumDescriptions": [ "Unknown likelihood.", "It is very unlikely.", "It is unlikely.", "It is possible.", "It is likely.", "It is very likely." ], "description": "Spoof likelihood. The likelihood that an modification was made to the image's canonical version to make it appear funny or offensive.", "type": "string" } }, "id": "GoogleCloudVisionV1p3beta1SafeSearchAnnotation" }, "GoogleCloudVisionV1p1beta1GcsSource": { "properties": { "uri": { "description": "Google Cloud Storage URI for the input file. This must only be a Google Cloud Storage object. Wildcards are not currently supported.", "type": "string" } }, "id": "GoogleCloudVisionV1p1beta1GcsSource", "description": "The Google Cloud Storage location where the input will be read from.", "type": "object" }, "GoogleCloudVisionV1p3beta1LocalizedObjectAnnotation": { "description": "Set of detected objects with bounding boxes.", "type": "object", "properties": { "languageCode": { "type": "string", "description": "The BCP-47 language code, such as \"en-US\" or \"sr-Latn\". For more information, see http://www.unicode.org/reports/tr35/#Unicode_locale_identifier." }, "mid": { "description": "Object ID that should align with EntityAnnotation mid.", "type": "string" }, "name": { "description": "Object name, expressed in its `language_code` language.", "type": "string" }, "boundingPoly": { "$ref": "GoogleCloudVisionV1p3beta1BoundingPoly", "description": "Image region to which this object belongs. This must be populated." }, "score": { "format": "float", "description": "Score of the result. Range [0, 1].", "type": "number" } }, "id": "GoogleCloudVisionV1p3beta1LocalizedObjectAnnotation" }, "GoogleCloudVisionV1p2beta1AsyncAnnotateFileRequest": { "id": "GoogleCloudVisionV1p2beta1AsyncAnnotateFileRequest", "properties": { "imageContext": { "description": "Additional context that may accompany the image(s) in the file.", "$ref": "GoogleCloudVisionV1p2beta1ImageContext" }, "outputConfig": { "$ref": "GoogleCloudVisionV1p2beta1OutputConfig", "description": "Required. The desired output location and metadata (e.g. format)." }, "inputConfig": { "$ref": "GoogleCloudVisionV1p2beta1InputConfig", "description": "Required. Information about the input file." }, "features": { "description": "Required. Requested features.", "items": { "$ref": "GoogleCloudVisionV1p2beta1Feature" }, "type": "array" } }, "type": "object", "description": "An offline file annotation request." }, "GoogleCloudVisionV1p1beta1AsyncAnnotateFileResponse": { "type": "object", "id": "GoogleCloudVisionV1p1beta1AsyncAnnotateFileResponse", "properties": { "outputConfig": { "description": "The output location and metadata from AsyncAnnotateFileRequest.", "$ref": "GoogleCloudVisionV1p1beta1OutputConfig" } }, "description": "The response for a single offline file annotation request." }, "GoogleCloudVisionV1p4beta1FaceRecognitionResult": { "description": "Information about a face's identity.", "properties": { "celebrity": { "$ref": "GoogleCloudVisionV1p4beta1Celebrity", "description": "The Celebrity that this face was matched to." }, "confidence": { "format": "float", "description": "Recognition confidence. Range [0, 1].", "type": "number" } }, "id": "GoogleCloudVisionV1p4beta1FaceRecognitionResult", "type": "object" }, "GoogleCloudVisionV1p1beta1ColorInfo": { "type": "object", "description": "Color information consists of RGB channels, score, and the fraction of the image that the color occupies in the image.", "properties": { "pixelFraction": { "description": "The fraction of pixels the color occupies in the image. Value in range [0, 1].", "type": "number", "format": "float" }, "score": { "type": "number", "description": "Image-specific score for this color. Value in range [0, 1].", "format": "float" }, "color": { "$ref": "Color", "description": "RGB components of the color." } }, "id": "GoogleCloudVisionV1p1beta1ColorInfo" }, "GoogleCloudVisionV1p3beta1Page": { "id": "GoogleCloudVisionV1p3beta1Page", "properties": { "height": { "type": "integer", "format": "int32", "description": "Page height. For PDFs the unit is points. For images (including TIFFs) the unit is pixels." }, "property": { "$ref": "GoogleCloudVisionV1p3beta1TextAnnotationTextProperty", "description": "Additional information detected on the page." }, "blocks": { "items": { "$ref": "GoogleCloudVisionV1p3beta1Block" }, "description": "List of blocks of text, images etc on this page.", "type": "array" }, "confidence": { "format": "float", "description": "Confidence of the OCR results on the page. Range [0, 1].", "type": "number" }, "width": { "type": "integer", "description": "Page width. For PDFs the unit is points. For images (including TIFFs) the unit is pixels.", "format": "int32" } }, "type": "object", "description": "Detected page from OCR." }, "GoogleCloudVisionV1p4beta1Celebrity": { "properties": { "displayName": { "description": "The Celebrity's display name.", "type": "string" }, "description": { "description": "The Celebrity's description.", "type": "string" }, "name": { "type": "string", "description": "The resource name of the preloaded Celebrity. Has the format `builtin/{mid}`." } }, "description": "A Celebrity is a group of Faces with an identity.", "type": "object", "id": "GoogleCloudVisionV1p4beta1Celebrity" }, "GoogleCloudVisionV1p2beta1LocalizedObjectAnnotation": { "type": "object", "properties": { "boundingPoly": { "description": "Image region to which this object belongs. This must be populated.", "$ref": "GoogleCloudVisionV1p2beta1BoundingPoly" }, "languageCode": { "type": "string", "description": "The BCP-47 language code, such as \"en-US\" or \"sr-Latn\". For more information, see http://www.unicode.org/reports/tr35/#Unicode_locale_identifier." }, "name": { "description": "Object name, expressed in its `language_code` language.", "type": "string" }, "score": { "description": "Score of the result. Range [0, 1].", "type": "number", "format": "float" }, "mid": { "description": "Object ID that should align with EntityAnnotation mid.", "type": "string" } }, "description": "Set of detected objects with bounding boxes.", "id": "GoogleCloudVisionV1p2beta1LocalizedObjectAnnotation" }, "GoogleCloudVisionV1p2beta1Property": { "type": "object", "description": "A `Property` consists of a user-supplied name/value pair.", "properties": { "value": { "type": "string", "description": "Value of the property." }, "name": { "description": "Name of the property.", "type": "string" }, "uint64Value": { "type": "string", "format": "uint64", "description": "Value of numeric properties." } }, "id": "GoogleCloudVisionV1p2beta1Property" }, "BatchOperationMetadata": { "type": "object", "description": "Metadata for the batch operations such as the current state. This is included in the `metadata` field of the `Operation` returned by the `GetOperation` call of the `google::longrunning::Operations` service.", "id": "BatchOperationMetadata", "properties": { "submitTime": { "format": "google-datetime", "type": "string", "description": "The time when the batch request was submitted to the server." }, "state": { "enumDescriptions": [ "Invalid.", "Request is actively being processed.", "The request is done and at least one item has been successfully processed.", "The request is done and no item has been successfully processed.", "The request is done after the longrunning.Operations.CancelOperation has been called by the user. Any records that were processed before the cancel command are output as specified in the request." ], "enum": [ "STATE_UNSPECIFIED", "PROCESSING", "SUCCESSFUL", "FAILED", "CANCELLED" ], "description": "The current state of the batch operation.", "type": "string" }, "endTime": { "description": "The time when the batch request is finished and google.longrunning.Operation.done is set to true.", "format": "google-datetime", "type": "string" } } }, "DetectedLanguage": { "description": "Detected language for a structural component.", "type": "object", "properties": { "confidence": { "format": "float", "description": "Confidence of detected language. Range [0, 1].", "type": "number" }, "languageCode": { "description": "The BCP-47 language code, such as \"en-US\" or \"sr-Latn\". For more information, see http://www.unicode.org/reports/tr35/#Unicode_locale_identifier.", "type": "string" } }, "id": "DetectedLanguage" }, "ImageProperties": { "type": "object", "properties": { "dominantColors": { "description": "If present, dominant colors completed successfully.", "$ref": "DominantColorsAnnotation" } }, "id": "ImageProperties", "description": "Stores image properties, such as dominant colors." }, "GoogleCloudVisionV1p3beta1ColorInfo": { "id": "GoogleCloudVisionV1p3beta1ColorInfo", "properties": { "score": { "format": "float", "description": "Image-specific score for this color. Value in range [0, 1].", "type": "number" }, "pixelFraction": { "description": "The fraction of pixels the color occupies in the image. Value in range [0, 1].", "format": "float", "type": "number" }, "color": { "description": "RGB components of the color.", "$ref": "Color" } }, "description": "Color information consists of RGB channels, score, and the fraction of the image that the color occupies in the image.", "type": "object" }, "GoogleCloudVisionV1p4beta1ReferenceImage": { "description": "A `ReferenceImage` represents a product image and its associated metadata, such as bounding boxes.", "id": "GoogleCloudVisionV1p4beta1ReferenceImage", "properties": { "boundingPolys": { "type": "array", "items": { "$ref": "GoogleCloudVisionV1p4beta1BoundingPoly" }, "description": "Optional. Bounding polygons around the areas of interest in the reference image. If this field is empty, the system will try to detect regions of interest. At most 10 bounding polygons will be used. The provided shape is converted into a non-rotated rectangle. Once converted, the small edge of the rectangle must be greater than or equal to 300 pixels. The aspect ratio must be 1:4 or less (i.e. 1:3 is ok; 1:5 is not)." }, "name": { "type": "string", "description": "The resource name of the reference image. Format is: `projects/PROJECT_ID/locations/LOC_ID/products/PRODUCT_ID/referenceImages/IMAGE_ID`. This field is ignored when creating a reference image." }, "uri": { "description": "Required. The Google Cloud Storage URI of the reference image. The URI must start with `gs://`.", "type": "string" } }, "type": "object" }, "GoogleCloudVisionV1p3beta1ReferenceImage": { "type": "object", "id": "GoogleCloudVisionV1p3beta1ReferenceImage", "properties": { "boundingPolys": { "description": "Optional. Bounding polygons around the areas of interest in the reference image. If this field is empty, the system will try to detect regions of interest. At most 10 bounding polygons will be used. The provided shape is converted into a non-rotated rectangle. Once converted, the small edge of the rectangle must be greater than or equal to 300 pixels. The aspect ratio must be 1:4 or less (i.e. 1:3 is ok; 1:5 is not).", "type": "array", "items": { "$ref": "GoogleCloudVisionV1p3beta1BoundingPoly" } }, "name": { "description": "The resource name of the reference image. Format is: `projects/PROJECT_ID/locations/LOC_ID/products/PRODUCT_ID/referenceImages/IMAGE_ID`. This field is ignored when creating a reference image.", "type": "string" }, "uri": { "type": "string", "description": "Required. The Google Cloud Storage URI of the reference image. The URI must start with `gs://`." } }, "description": "A `ReferenceImage` represents a product image and its associated metadata, such as bounding boxes." }, "GoogleCloudVisionV1p1beta1TextAnnotationTextProperty": { "properties": { "detectedLanguages": { "description": "A list of detected languages together with confidence.", "type": "array", "items": { "$ref": "GoogleCloudVisionV1p1beta1TextAnnotationDetectedLanguage" } }, "detectedBreak": { "$ref": "GoogleCloudVisionV1p1beta1TextAnnotationDetectedBreak", "description": "Detected start or end of a text segment." } }, "type": "object", "id": "GoogleCloudVisionV1p1beta1TextAnnotationTextProperty", "description": "Additional information detected on the structural component." }, "Word": { "properties": { "symbols": { "items": { "$ref": "Symbol" }, "type": "array", "description": "List of symbols in the word. The order of the symbols follows the natural reading order." }, "boundingBox": { "$ref": "BoundingPoly", "description": "The bounding box for the word. The vertices are in the order of top-left, top-right, bottom-right, bottom-left. When a rotation of the bounding box is detected the rotation is represented as around the top-left corner as defined when the text is read in the 'natural' orientation. For example: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh when the text is horizontal it might look like: 0----1 | | 3----2 LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh when it's rotated 180 degrees around the top-left corner it becomes: 2----3 | | 1----0 and the vertex order will still be (0, 1, 2, 3)." }, "confidence": { "description": "Confidence of the OCR results for the word. Range [0, 1].", "type": "number", "format": "float" }, "property": { "$ref": "TextProperty", "description": "Additional information detected for the word." } }, "type": "object", "description": "A word representation.", "id": "Word" }, "GoogleCloudVisionV1p3beta1WebDetectionWebLabel": { "id": "GoogleCloudVisionV1p3beta1WebDetectionWebLabel", "description": "Label to provide extra metadata for the web detection.", "properties": { "languageCode": { "type": "string", "description": "The BCP-47 language code for `label`, such as \"en-US\" or \"sr-Latn\". For more information, see http://www.unicode.org/reports/tr35/#Unicode_locale_identifier." }, "label": { "description": "Label for extra metadata.", "type": "string" } }, "type": "object" }, "GoogleCloudVisionV1p3beta1GcsDestination": { "id": "GoogleCloudVisionV1p3beta1GcsDestination", "description": "The Google Cloud Storage location where the output will be written to.", "properties": { "uri": { "type": "string", "description": "Google Cloud Storage URI prefix where the results will be stored. Results will be in JSON format and preceded by its corresponding input URI prefix. This field can either represent a gcs file prefix or gcs directory. In either case, the uri should be unique because in order to get all of the output files, you will need to do a wildcard gcs search on the uri prefix you provide. Examples: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh File Prefix: gs://bucket-name/here/filenameprefix The output files will be created in gs://bucket-name/here/ and the names of the output files will begin with \"filenameprefix\". LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Directory Prefix: gs://bucket-name/some/location/ The output files will be created in gs://bucket-name/some/location/ and the names of the output files could be anything because there was no filename prefix specified. If multiple outputs, each response is still AnnotateFileResponse, each of which contains some subset of the full list of AnnotateImageResponse. Multiple outputs can happen if, for example, the output JSON is too large and overflows into multiple sharded files." } }, "type": "object" }, "GoogleCloudVisionV1p2beta1WebDetectionParams": { "description": "Parameters for web detection request.", "id": "GoogleCloudVisionV1p2beta1WebDetectionParams", "type": "object", "properties": { "includeGeoResults": { "description": "Whether to include results derived from the geo information in the image.", "type": "boolean" } } }, "WebImage": { "description": "Metadata for online images.", "type": "object", "properties": { "url": { "type": "string", "description": "The result image URL." }, "score": { "type": "number", "description": "(Deprecated) Overall relevancy score for the image.", "format": "float" } }, "id": "WebImage" }, "GoogleCloudVisionV1p2beta1AsyncBatchAnnotateImagesRequest": { "description": "Request for async image annotation for a list of images.", "id": "GoogleCloudVisionV1p2beta1AsyncBatchAnnotateImagesRequest", "type": "object", "properties": { "outputConfig": { "$ref": "GoogleCloudVisionV1p2beta1OutputConfig", "description": "Required. The desired output location and metadata (e.g. format)." }, "parent": { "description": "Optional. Target project and location to make a call. Format: `projects/{project-id}/locations/{location-id}`. If no parent is specified, a region will be chosen automatically. Supported location-ids: `us`: USA country only, `asia`: East asia areas, like Japan, Taiwan, `eu`: The European Union. Example: `projects/project-A/locations/eu`.", "type": "string" }, "requests": { "type": "array", "items": { "$ref": "GoogleCloudVisionV1p2beta1AnnotateImageRequest" }, "description": "Required. Individual image annotation requests for this batch." } } }, "GoogleCloudVisionV1p2beta1BoundingPoly": { "properties": { "vertices": { "type": "array", "description": "The bounding polygon vertices.", "items": { "$ref": "GoogleCloudVisionV1p2beta1Vertex" } }, "normalizedVertices": { "type": "array", "items": { "$ref": "GoogleCloudVisionV1p2beta1NormalizedVertex" }, "description": "The bounding polygon normalized vertices." } }, "description": "A bounding polygon for the detected image annotation.", "type": "object", "id": "GoogleCloudVisionV1p2beta1BoundingPoly" }, "GoogleCloudVisionV1p1beta1ProductSearchResults": { "properties": { "productGroupedResults": { "description": "List of results grouped by products detected in the query image. Each entry corresponds to one bounding polygon in the query image, and contains the matching products specific to that region. There may be duplicate product matches in the union of all the per-product results.", "items": { "$ref": "GoogleCloudVisionV1p1beta1ProductSearchResultsGroupedResult" }, "type": "array" }, "indexTime": { "format": "google-datetime", "description": "Timestamp of the index which provided these results. Products added to the product set and products removed from the product set after this time are not reflected in the current results.", "type": "string" }, "results": { "items": { "$ref": "GoogleCloudVisionV1p1beta1ProductSearchResultsResult" }, "description": "List of results, one for each product match.", "type": "array" } }, "id": "GoogleCloudVisionV1p1beta1ProductSearchResults", "type": "object", "description": "Results for a product search request." }, "GoogleCloudVisionV1p2beta1ProductSearchResultsResult": { "description": "Information about a product.", "properties": { "score": { "type": "number", "description": "A confidence level on the match, ranging from 0 (no confidence) to 1 (full confidence).", "format": "float" }, "image": { "description": "The resource name of the image from the product that is the closest match to the query.", "type": "string" }, "product": { "description": "The Product.", "$ref": "GoogleCloudVisionV1p2beta1Product" } }, "type": "object", "id": "GoogleCloudVisionV1p2beta1ProductSearchResultsResult" }, "GoogleCloudVisionV1p1beta1OutputConfig": { "description": "The desired output location and metadata.", "id": "GoogleCloudVisionV1p1beta1OutputConfig", "type": "object", "properties": { "gcsDestination": { "$ref": "GoogleCloudVisionV1p1beta1GcsDestination", "description": "The Google Cloud Storage location to write the output(s) to." }, "batchSize": { "description": "The max number of response protos to put into each output JSON file on Google Cloud Storage. The valid range is [1, 100]. If not specified, the default value is 20. For example, for one pdf file with 100 pages, 100 response protos will be generated. If `batch_size` = 20, then 5 json files each containing 20 response protos will be written under the prefix `gcs_destination`.`uri`. Currently, batch_size only applies to GcsDestination, with potential future support for other output configurations.", "type": "integer", "format": "int32" } } }, "NormalizedVertex": { "description": "A vertex represents a 2D point in the image. NOTE: the normalized vertex coordinates are relative to the original image and range from 0 to 1.", "id": "NormalizedVertex", "properties": { "y": { "description": "Y coordinate.", "type": "number", "format": "float" }, "x": { "format": "float", "type": "number", "description": "X coordinate." } }, "type": "object" }, "GoogleCloudVisionV1p1beta1Product": { "description": "A Product contains ReferenceImages.", "id": "GoogleCloudVisionV1p1beta1Product", "type": "object", "properties": { "productCategory": { "type": "string", "description": "Immutable. The category for the product identified by the reference image. This should be one of \"homegoods-v2\", \"apparel-v2\", \"toys-v2\", \"packagedgoods-v1\" or \"general-v1\". The legacy categories \"homegoods\", \"apparel\", and \"toys\" are still supported, but these should not be used for new products." }, "displayName": { "description": "The user-provided name for this Product. Must not be empty. Must be at most 4096 characters long.", "type": "string" }, "productLabels": { "type": "array", "items": { "$ref": "GoogleCloudVisionV1p1beta1ProductKeyValue" }, "description": "Key-value pairs that can be attached to a product. At query time, constraints can be specified based on the product_labels. Note that integer values can be provided as strings, e.g. \"1199\". Only strings with integer values can match a range-based restriction which is to be supported soon. Multiple values can be assigned to the same key. One product may have up to 500 product_labels. Notice that the total number of distinct product_labels over all products in one ProductSet cannot exceed 1M, otherwise the product search pipeline will refuse to work for that ProductSet." }, "name": { "type": "string", "description": "The resource name of the product. Format is: `projects/PROJECT_ID/locations/LOC_ID/products/PRODUCT_ID`. This field is ignored when creating a product." }, "description": { "description": "User-provided metadata to be stored with this product. Must be at most 4096 characters long.", "type": "string" } } }, "ObjectAnnotation": { "id": "ObjectAnnotation", "type": "object", "properties": { "languageCode": { "type": "string", "description": "The BCP-47 language code, such as \"en-US\" or \"sr-Latn\". For more information, see http://www.unicode.org/reports/tr35/#Unicode_locale_identifier." }, "name": { "type": "string", "description": "Object name, expressed in its `language_code` language." }, "mid": { "type": "string", "description": "Object ID that should align with EntityAnnotation mid." }, "score": { "description": "Score of the result. Range [0, 1].", "format": "float", "type": "number" } }, "description": "Prediction for what the object in the bounding box is." }, "GoogleCloudVisionV1p2beta1Paragraph": { "type": "object", "properties": { "confidence": { "format": "float", "description": "Confidence of the OCR results for the paragraph. Range [0, 1].", "type": "number" }, "boundingBox": { "description": "The bounding box for the paragraph. The vertices are in the order of top-left, top-right, bottom-right, bottom-left. When a rotation of the bounding box is detected the rotation is represented as around the top-left corner as defined when the text is read in the 'natural' orientation. For example: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh when the text is horizontal it might look like: 0----1 | | 3----2 LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh when it's rotated 180 degrees around the top-left corner it becomes: 2----3 | | 1----0 and the vertex order will still be (0, 1, 2, 3).", "$ref": "GoogleCloudVisionV1p2beta1BoundingPoly" }, "words": { "description": "List of all words in this paragraph.", "type": "array", "items": { "$ref": "GoogleCloudVisionV1p2beta1Word" } }, "property": { "$ref": "GoogleCloudVisionV1p2beta1TextAnnotationTextProperty", "description": "Additional information detected for the paragraph." } }, "id": "GoogleCloudVisionV1p2beta1Paragraph", "description": "Structural unit of text representing a number of words in certain order." }, "GoogleCloudVisionV1p4beta1Block": { "id": "GoogleCloudVisionV1p4beta1Block", "description": "Logical element on the page.", "properties": { "paragraphs": { "items": { "$ref": "GoogleCloudVisionV1p4beta1Paragraph" }, "type": "array", "description": "List of paragraphs in this block (if this blocks is of type text)." }, "boundingBox": { "description": "The bounding box for the block. The vertices are in the order of top-left, top-right, bottom-right, bottom-left. When a rotation of the bounding box is detected the rotation is represented as around the top-left corner as defined when the text is read in the 'natural' orientation. For example: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh when the text is horizontal it might look like: 0----1 | | 3----2 LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh when it's rotated 180 degrees around the top-left corner it becomes: 2----3 | | 1----0 and the vertex order will still be (0, 1, 2, 3).", "$ref": "GoogleCloudVisionV1p4beta1BoundingPoly" }, "blockType": { "enum": [ "UNKNOWN", "TEXT", "TABLE", "PICTURE", "RULER", "BARCODE" ], "type": "string", "enumDescriptions": [ "Unknown block type.", "Regular text block.", "Table block.", "Image block.", "Horizontal/vertical line box.", "Barcode block." ], "description": "Detected block type (text, image etc) for this block." }, "property": { "description": "Additional information detected for the block.", "$ref": "GoogleCloudVisionV1p4beta1TextAnnotationTextProperty" }, "confidence": { "type": "number", "description": "Confidence of the OCR results on the block. Range [0, 1].", "format": "float" } }, "type": "object" }, "GoogleCloudVisionV1p2beta1AsyncAnnotateFileResponse": { "id": "GoogleCloudVisionV1p2beta1AsyncAnnotateFileResponse", "type": "object", "description": "The response for a single offline file annotation request.", "properties": { "outputConfig": { "description": "The output location and metadata from AsyncAnnotateFileRequest.", "$ref": "GoogleCloudVisionV1p2beta1OutputConfig" } } }, "GoogleCloudVisionV1p3beta1Word": { "properties": { "confidence": { "description": "Confidence of the OCR results for the word. Range [0, 1].", "type": "number", "format": "float" }, "boundingBox": { "description": "The bounding box for the word. The vertices are in the order of top-left, top-right, bottom-right, bottom-left. When a rotation of the bounding box is detected the rotation is represented as around the top-left corner as defined when the text is read in the 'natural' orientation. For example: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh when the text is horizontal it might look like: 0----1 | | 3----2 LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh when it's rotated 180 degrees around the top-left corner it becomes: 2----3 | | 1----0 and the vertex order will still be (0, 1, 2, 3).", "$ref": "GoogleCloudVisionV1p3beta1BoundingPoly" }, "property": { "description": "Additional information detected for the word.", "$ref": "GoogleCloudVisionV1p3beta1TextAnnotationTextProperty" }, "symbols": { "items": { "$ref": "GoogleCloudVisionV1p3beta1Symbol" }, "type": "array", "description": "List of symbols in the word. The order of the symbols follows the natural reading order." } }, "description": "A word representation.", "type": "object", "id": "GoogleCloudVisionV1p3beta1Word" }, "GoogleCloudVisionV1p3beta1Block": { "description": "Logical element on the page.", "type": "object", "id": "GoogleCloudVisionV1p3beta1Block", "properties": { "confidence": { "type": "number", "description": "Confidence of the OCR results on the block. Range [0, 1].", "format": "float" }, "boundingBox": { "$ref": "GoogleCloudVisionV1p3beta1BoundingPoly", "description": "The bounding box for the block. The vertices are in the order of top-left, top-right, bottom-right, bottom-left. When a rotation of the bounding box is detected the rotation is represented as around the top-left corner as defined when the text is read in the 'natural' orientation. For example: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh when the text is horizontal it might look like: 0----1 | | 3----2 LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh when it's rotated 180 degrees around the top-left corner it becomes: 2----3 | | 1----0 and the vertex order will still be (0, 1, 2, 3)." }, "paragraphs": { "type": "array", "items": { "$ref": "GoogleCloudVisionV1p3beta1Paragraph" }, "description": "List of paragraphs in this block (if this blocks is of type text)." }, "blockType": { "enum": [ "UNKNOWN", "TEXT", "TABLE", "PICTURE", "RULER", "BARCODE" ], "enumDescriptions": [ "Unknown block type.", "Regular text block.", "Table block.", "Image block.", "Horizontal/vertical line box.", "Barcode block." ], "type": "string", "description": "Detected block type (text, image etc) for this block." }, "property": { "$ref": "GoogleCloudVisionV1p3beta1TextAnnotationTextProperty", "description": "Additional information detected for the block." } } }, "CropHint": { "properties": { "boundingPoly": { "$ref": "BoundingPoly", "description": "The bounding polygon for the crop region. The coordinates of the bounding box are in the original image's scale." }, "importanceFraction": { "description": "Fraction of importance of this salient region with respect to the original image.", "type": "number", "format": "float" }, "confidence": { "format": "float", "type": "number", "description": "Confidence of this being a salient region. Range [0, 1]." } }, "type": "object", "id": "CropHint", "description": "Single crop hint that is used to generate a new crop when serving an image." }, "GoogleCloudVisionV1p3beta1GcsSource": { "id": "GoogleCloudVisionV1p3beta1GcsSource", "type": "object", "description": "The Google Cloud Storage location where the input will be read from.", "properties": { "uri": { "description": "Google Cloud Storage URI for the input file. This must only be a Google Cloud Storage object. Wildcards are not currently supported.", "type": "string" } } }, "GoogleCloudVisionV1p1beta1TextAnnotationDetectedBreak": { "properties": { "isPrefix": { "description": "True if break prepends the element.", "type": "boolean" }, "type": { "enum": [ "UNKNOWN", "SPACE", "SURE_SPACE", "EOL_SURE_SPACE", "HYPHEN", "LINE_BREAK" ], "type": "string", "description": "Detected break type.", "enumDescriptions": [ "Unknown break label type.", "Regular space.", "Sure space (very wide).", "Line-wrapping break.", "End-line hyphen that is not present in text; does not co-occur with `SPACE`, `LEADER_SPACE`, or `LINE_BREAK`.", "Line break that ends a paragraph." ] } }, "type": "object", "description": "Detected start or end of a structural component.", "id": "GoogleCloudVisionV1p1beta1TextAnnotationDetectedBreak" }, "GoogleCloudVisionV1p2beta1Word": { "id": "GoogleCloudVisionV1p2beta1Word", "properties": { "confidence": { "type": "number", "format": "float", "description": "Confidence of the OCR results for the word. Range [0, 1]." }, "symbols": { "description": "List of symbols in the word. The order of the symbols follows the natural reading order.", "type": "array", "items": { "$ref": "GoogleCloudVisionV1p2beta1Symbol" } }, "property": { "$ref": "GoogleCloudVisionV1p2beta1TextAnnotationTextProperty", "description": "Additional information detected for the word." }, "boundingBox": { "$ref": "GoogleCloudVisionV1p2beta1BoundingPoly", "description": "The bounding box for the word. The vertices are in the order of top-left, top-right, bottom-right, bottom-left. When a rotation of the bounding box is detected the rotation is represented as around the top-left corner as defined when the text is read in the 'natural' orientation. For example: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh when the text is horizontal it might look like: 0----1 | | 3----2 LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh when it's rotated 180 degrees around the top-left corner it becomes: 2----3 | | 1----0 and the vertex order will still be (0, 1, 2, 3)." } }, "type": "object", "description": "A word representation." }, "AsyncBatchAnnotateImagesResponse": { "type": "object", "id": "AsyncBatchAnnotateImagesResponse", "description": "Response to an async batch image annotation request.", "properties": { "outputConfig": { "description": "The output location and metadata from AsyncBatchAnnotateImagesRequest.", "$ref": "OutputConfig" } } }, "LocalizedObjectAnnotation": { "id": "LocalizedObjectAnnotation", "type": "object", "properties": { "languageCode": { "description": "The BCP-47 language code, such as \"en-US\" or \"sr-Latn\". For more information, see http://www.unicode.org/reports/tr35/#Unicode_locale_identifier.", "type": "string" }, "name": { "description": "Object name, expressed in its `language_code` language.", "type": "string" }, "score": { "type": "number", "description": "Score of the result. Range [0, 1].", "format": "float" }, "boundingPoly": { "$ref": "BoundingPoly", "description": "Image region to which this object belongs. This must be populated." }, "mid": { "description": "Object ID that should align with EntityAnnotation mid.", "type": "string" } }, "description": "Set of detected objects with bounding boxes." }, "GoogleCloudVisionV1p2beta1Symbol": { "type": "object", "description": "A single symbol representation.", "id": "GoogleCloudVisionV1p2beta1Symbol", "properties": { "property": { "$ref": "GoogleCloudVisionV1p2beta1TextAnnotationTextProperty", "description": "Additional information detected for the symbol." }, "confidence": { "type": "number", "format": "float", "description": "Confidence of the OCR results for the symbol. Range [0, 1]." }, "text": { "type": "string", "description": "The actual UTF-8 representation of the symbol." }, "boundingBox": { "description": "The bounding box for the symbol. The vertices are in the order of top-left, top-right, bottom-right, bottom-left. When a rotation of the bounding box is detected the rotation is represented as around the top-left corner as defined when the text is read in the 'natural' orientation. For example: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh when the text is horizontal it might look like: 0----1 | | 3----2 LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh when it's rotated 180 degrees around the top-left corner it becomes: 2----3 | | 1----0 and the vertex order will still be (0, 1, 2, 3).", "$ref": "GoogleCloudVisionV1p2beta1BoundingPoly" } } }, "GoogleCloudVisionV1p4beta1AnnotateImageResponse": { "description": "Response to an image annotation request.", "type": "object", "id": "GoogleCloudVisionV1p4beta1AnnotateImageResponse", "properties": { "labelAnnotations": { "items": { "$ref": "GoogleCloudVisionV1p4beta1EntityAnnotation" }, "description": "If present, label detection has completed successfully.", "type": "array" }, "safeSearchAnnotation": { "$ref": "GoogleCloudVisionV1p4beta1SafeSearchAnnotation", "description": "If present, safe-search annotation has completed successfully." }, "error": { "$ref": "Status", "description": "If set, represents the error message for the operation. Note that filled-in image annotations are guaranteed to be correct, even when `error` is set." }, "landmarkAnnotations": { "description": "If present, landmark detection has completed successfully.", "items": { "$ref": "GoogleCloudVisionV1p4beta1EntityAnnotation" }, "type": "array" }, "faceAnnotations": { "items": { "$ref": "GoogleCloudVisionV1p4beta1FaceAnnotation" }, "type": "array", "description": "If present, face detection has completed successfully." }, "cropHintsAnnotation": { "description": "If present, crop hints have completed successfully.", "$ref": "GoogleCloudVisionV1p4beta1CropHintsAnnotation" }, "productSearchResults": { "$ref": "GoogleCloudVisionV1p4beta1ProductSearchResults", "description": "If present, product search has completed successfully." }, "fullTextAnnotation": { "description": "If present, text (OCR) detection or document (OCR) text detection has completed successfully. This annotation provides the structural hierarchy for the OCR detected text.", "$ref": "GoogleCloudVisionV1p4beta1TextAnnotation" }, "logoAnnotations": { "description": "If present, logo detection has completed successfully.", "items": { "$ref": "GoogleCloudVisionV1p4beta1EntityAnnotation" }, "type": "array" }, "textAnnotations": { "description": "If present, text (OCR) detection has completed successfully.", "items": { "$ref": "GoogleCloudVisionV1p4beta1EntityAnnotation" }, "type": "array" }, "context": { "description": "If present, contextual information is needed to understand where this image comes from.", "$ref": "GoogleCloudVisionV1p4beta1ImageAnnotationContext" }, "webDetection": { "$ref": "GoogleCloudVisionV1p4beta1WebDetection", "description": "If present, web detection has completed successfully." }, "localizedObjectAnnotations": { "items": { "$ref": "GoogleCloudVisionV1p4beta1LocalizedObjectAnnotation" }, "description": "If present, localized object detection has completed successfully. This will be sorted descending by confidence score.", "type": "array" }, "imagePropertiesAnnotation": { "$ref": "GoogleCloudVisionV1p4beta1ImageProperties", "description": "If present, image properties were extracted successfully." } } }, "Color": { "description": "Represents a color in the RGBA color space. This representation is designed for simplicity of conversion to/from color representations in various languages over compactness. For example, the fields of this representation can be trivially provided to the constructor of `java.awt.Color` in Java; it can also be trivially provided to UIColor's `+colorWithRed:green:blue:alpha` method in iOS; and, with just a little work, it can be easily formatted into a CSS `rgba()` string in JavaScript. This reference page doesn't carry information about the absolute color space that should be used to interpret the RGB value (e.g. sRGB, Adobe RGB, DCI-P3, BT.2020, etc.). By default, applications should assume the sRGB color space. When color equality needs to be decided, implementations, unless documented otherwise, treat two colors as equal if all their red, green, blue, and alpha values each differ by at most 1e-5. Example (Java): import com.google.type.Color; // ... public static java.awt.Color fromProto(Color protocolor) { float alpha = protocolor.hasAlpha() ? protocolor.getAlpha().getValue() : 1.0; return new java.awt.Color( protocolor.getRed(), protocolor.getGreen(), protocolor.getBlue(), alpha); } public static Color toProto(java.awt.Color color) { float red = (float) color.getRed(); float green = (float) color.getGreen(); float blue = (float) color.getBlue(); float denominator = 255.0; Color.Builder resultBuilder = Color .newBuilder() .setRed(red / denominator) .setGreen(green / denominator) .setBlue(blue / denominator); int alpha = color.getAlpha(); if (alpha != 255) { result.setAlpha( FloatValue .newBuilder() .setValue(((float) alpha) / denominator) .build()); } return resultBuilder.build(); } // ... Example (iOS / Obj-C): // ... static UIColor* fromProto(Color* protocolor) { float red = [protocolor red]; float green = [protocolor green]; float blue = [protocolor blue]; FloatValue* alpha_wrapper = [protocolor alpha]; float alpha = 1.0; if (alpha_wrapper != nil) { alpha = [alpha_wrapper value]; } return [UIColor colorWithRed:red green:green blue:blue alpha:alpha]; } static Color* toProto(UIColor* color) { CGFloat red, green, blue, alpha; if (![color getRed:&red green:&green blue:&blue alpha:&alpha]) { return nil; } Color* result = [[Color alloc] init]; [result setRed:red]; [result setGreen:green]; [result setBlue:blue]; if (alpha \u003c= 0.9999) { [result setAlpha:floatWrapperWithValue(alpha)]; } [result autorelease]; return result; } // ... Example (JavaScript): // ... var protoToCssColor = function(rgb_color) { var redFrac = rgb_color.red || 0.0; var greenFrac = rgb_color.green || 0.0; var blueFrac = rgb_color.blue || 0.0; var red = Math.floor(redFrac LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh 255); var green = Math.floor(greenFrac LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh 255); var blue = Math.floor(blueFrac LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh 255); if (!('alpha' in rgb_color)) { return rgbToCssColor(red, green, blue); } var alphaFrac = rgb_color.alpha.value || 0.0; var rgbParams = [red, green, blue].join(','); return ['rgba(', rgbParams, ',', alphaFrac, ')'].join(''); }; var rgbToCssColor = function(red, green, blue) { var rgbNumber = new Number((red \u003c\u003c 16) | (green \u003c\u003c 8) | blue); var hexString = rgbNumber.toString(16); var missingZeros = 6 - hexString.length; var resultBuilder = ['#']; for (var i = 0; i \u003c missingZeros; i++) { resultBuilder.push('0'); } resultBuilder.push(hexString); return resultBuilder.join(''); }; // ...", "id": "Color", "properties": { "red": { "description": "The amount of red in the color as a value in the interval [0, 1].", "type": "number", "format": "float" }, "green": { "type": "number", "description": "The amount of green in the color as a value in the interval [0, 1].", "format": "float" }, "alpha": { "type": "number", "format": "float", "description": "The fraction of this color that should be applied to the pixel. That is, the final pixel color is defined by the equation: `pixel color = alpha LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh (this color) + (1.0 - alpha) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh (background color)` This means that a value of 1.0 corresponds to a solid color, whereas a value of 0.0 corresponds to a completely transparent color. This uses a wrapper message rather than a simple float scalar so that it is possible to distinguish between a default value and the value being unset. If omitted, this color object is rendered as a solid color (as if the alpha value had been explicitly given a value of 1.0)." }, "blue": { "type": "number", "format": "float", "description": "The amount of blue in the color as a value in the interval [0, 1]." } }, "type": "object" }, "GoogleCloudVisionV1p3beta1AsyncBatchAnnotateFilesResponse": { "type": "object", "description": "Response to an async batch file annotation request.", "properties": { "responses": { "items": { "$ref": "GoogleCloudVisionV1p3beta1AsyncAnnotateFileResponse" }, "type": "array", "description": "The list of file annotation responses, one for each request in AsyncBatchAnnotateFilesRequest." } }, "id": "GoogleCloudVisionV1p3beta1AsyncBatchAnnotateFilesResponse" }, "GoogleCloudVisionV1p2beta1GcsDestination": { "type": "object", "id": "GoogleCloudVisionV1p2beta1GcsDestination", "properties": { "uri": { "description": "Google Cloud Storage URI prefix where the results will be stored. Results will be in JSON format and preceded by its corresponding input URI prefix. This field can either represent a gcs file prefix or gcs directory. In either case, the uri should be unique because in order to get all of the output files, you will need to do a wildcard gcs search on the uri prefix you provide. Examples: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh File Prefix: gs://bucket-name/here/filenameprefix The output files will be created in gs://bucket-name/here/ and the names of the output files will begin with \"filenameprefix\". LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Directory Prefix: gs://bucket-name/some/location/ The output files will be created in gs://bucket-name/some/location/ and the names of the output files could be anything because there was no filename prefix specified. If multiple outputs, each response is still AnnotateFileResponse, each of which contains some subset of the full list of AnnotateImageResponse. Multiple outputs can happen if, for example, the output JSON is too large and overflows into multiple sharded files.", "type": "string" } }, "description": "The Google Cloud Storage location where the output will be written to." }, "GoogleCloudVisionV1p1beta1CropHint": { "description": "Single crop hint that is used to generate a new crop when serving an image.", "id": "GoogleCloudVisionV1p1beta1CropHint", "type": "object", "properties": { "boundingPoly": { "$ref": "GoogleCloudVisionV1p1beta1BoundingPoly", "description": "The bounding polygon for the crop region. The coordinates of the bounding box are in the original image's scale." }, "importanceFraction": { "format": "float", "type": "number", "description": "Fraction of importance of this salient region with respect to the original image." }, "confidence": { "description": "Confidence of this being a salient region. Range [0, 1].", "type": "number", "format": "float" } } }, "GoogleCloudVisionV1p1beta1WebDetection": { "id": "GoogleCloudVisionV1p1beta1WebDetection", "description": "Relevant information for the image from the Internet.", "properties": { "fullMatchingImages": { "items": { "$ref": "GoogleCloudVisionV1p1beta1WebDetectionWebImage" }, "type": "array", "description": "Fully matching images from the Internet. Can include resized copies of the query image." }, "webEntities": { "items": { "$ref": "GoogleCloudVisionV1p1beta1WebDetectionWebEntity" }, "type": "array", "description": "Deduced entities from similar images on the Internet." }, "bestGuessLabels": { "items": { "$ref": "GoogleCloudVisionV1p1beta1WebDetectionWebLabel" }, "description": "The service's best guess as to the topic of the request image. Inferred from similar images on the open web.", "type": "array" }, "pagesWithMatchingImages": { "type": "array", "description": "Web pages containing the matching images from the Internet.", "items": { "$ref": "GoogleCloudVisionV1p1beta1WebDetectionWebPage" } }, "visuallySimilarImages": { "description": "The visually similar image results.", "items": { "$ref": "GoogleCloudVisionV1p1beta1WebDetectionWebImage" }, "type": "array" }, "partialMatchingImages": { "type": "array", "items": { "$ref": "GoogleCloudVisionV1p1beta1WebDetectionWebImage" }, "description": "Partial matching images from the Internet. Those images are similar enough to share some key-point features. For example an original image will likely have partial matching for its crops." } }, "type": "object" }, "ImageAnnotationContext": { "type": "object", "description": "If an image was produced from a file (e.g. a PDF), this message gives information about the source of that image.", "id": "ImageAnnotationContext", "properties": { "pageNumber": { "description": "If the file was a PDF or TIFF, this field gives the page number within the file used to produce the image.", "type": "integer", "format": "int32" }, "uri": { "type": "string", "description": "The URI of the file used to produce the image." } } }, "GoogleCloudVisionV1p1beta1FaceAnnotationLandmark": { "type": "object", "id": "GoogleCloudVisionV1p1beta1FaceAnnotationLandmark", "properties": { "type": { "description": "Face landmark type.", "enumDescriptions": [ "Unknown face landmark detected. Should not be filled.", "Left eye.", "Right eye.", "Left of left eyebrow.", "Right of left eyebrow.", "Left of right eyebrow.", "Right of right eyebrow.", "Midpoint between eyes.", "Nose tip.", "Upper lip.", "Lower lip.", "Mouth left.", "Mouth right.", "Mouth center.", "Nose, bottom right.", "Nose, bottom left.", "Nose, bottom center.", "Left eye, top boundary.", "Left eye, right corner.", "Left eye, bottom boundary.", "Left eye, left corner.", "Right eye, top boundary.", "Right eye, right corner.", "Right eye, bottom boundary.", "Right eye, left corner.", "Left eyebrow, upper midpoint.", "Right eyebrow, upper midpoint.", "Left ear tragion.", "Right ear tragion.", "Left eye pupil.", "Right eye pupil.", "Forehead glabella.", "Chin gnathion.", "Chin left gonion.", "Chin right gonion.", "Left cheek center.", "Right cheek center." ], "type": "string", "enum": [ "UNKNOWN_LANDMARK", "LEFT_EYE", "RIGHT_EYE", "LEFT_OF_LEFT_EYEBROW", "RIGHT_OF_LEFT_EYEBROW", "LEFT_OF_RIGHT_EYEBROW", "RIGHT_OF_RIGHT_EYEBROW", "MIDPOINT_BETWEEN_EYES", "NOSE_TIP", "UPPER_LIP", "LOWER_LIP", "MOUTH_LEFT", "MOUTH_RIGHT", "MOUTH_CENTER", "NOSE_BOTTOM_RIGHT", "NOSE_BOTTOM_LEFT", "NOSE_BOTTOM_CENTER", "LEFT_EYE_TOP_BOUNDARY", "LEFT_EYE_RIGHT_CORNER", "LEFT_EYE_BOTTOM_BOUNDARY", "LEFT_EYE_LEFT_CORNER", "RIGHT_EYE_TOP_BOUNDARY", "RIGHT_EYE_RIGHT_CORNER", "RIGHT_EYE_BOTTOM_BOUNDARY", "RIGHT_EYE_LEFT_CORNER", "LEFT_EYEBROW_UPPER_MIDPOINT", "RIGHT_EYEBROW_UPPER_MIDPOINT", "LEFT_EAR_TRAGION", "RIGHT_EAR_TRAGION", "LEFT_EYE_PUPIL", "RIGHT_EYE_PUPIL", "FOREHEAD_GLABELLA", "CHIN_GNATHION", "CHIN_LEFT_GONION", "CHIN_RIGHT_GONION", "LEFT_CHEEK_CENTER", "RIGHT_CHEEK_CENTER" ] }, "position": { "$ref": "GoogleCloudVisionV1p1beta1Position", "description": "Face landmark position." } }, "description": "A face-specific landmark (for example, a face feature)." }, "ImportProductSetsResponse": { "description": "Response message for the `ImportProductSets` method. This message is returned by the google.longrunning.Operations.GetOperation method in the returned google.longrunning.Operation.response field.", "type": "object", "id": "ImportProductSetsResponse", "properties": { "referenceImages": { "description": "The list of reference_images that are imported successfully.", "type": "array", "items": { "$ref": "ReferenceImage" } }, "statuses": { "type": "array", "items": { "$ref": "Status" }, "description": "The rpc status for each ImportProductSet request, including both successes and errors. The number of statuses here matches the number of lines in the csv file, and statuses[i] stores the success or failure status of processing the i-th line of the csv, starting from line 0." } } }, "GoogleCloudVisionV1p1beta1ImageProperties": { "type": "object", "properties": { "dominantColors": { "$ref": "GoogleCloudVisionV1p1beta1DominantColorsAnnotation", "description": "If present, dominant colors completed successfully." } }, "id": "GoogleCloudVisionV1p1beta1ImageProperties", "description": "Stores image properties, such as dominant colors." }, "GoogleCloudVisionV1p4beta1OperationMetadata": { "description": "Contains metadata for the BatchAnnotateImages operation.", "properties": { "state": { "enum": [ "STATE_UNSPECIFIED", "CREATED", "RUNNING", "DONE", "CANCELLED" ], "type": "string", "enumDescriptions": [ "Invalid.", "Request is received.", "Request is actively being processed.", "The batch processing is done.", "The batch processing was cancelled." ], "description": "Current state of the batch operation." }, "createTime": { "type": "string", "description": "The time when the batch request was received.", "format": "google-datetime" }, "updateTime": { "format": "google-datetime", "type": "string", "description": "The time when the operation result was last updated." } }, "id": "GoogleCloudVisionV1p4beta1OperationMetadata", "type": "object" }, "GoogleCloudVisionV1p3beta1AnnotateImageResponse": { "description": "Response to an image annotation request.", "id": "GoogleCloudVisionV1p3beta1AnnotateImageResponse", "properties": { "faceAnnotations": { "items": { "$ref": "GoogleCloudVisionV1p3beta1FaceAnnotation" }, "type": "array", "description": "If present, face detection has completed successfully." }, "localizedObjectAnnotations": { "items": { "$ref": "GoogleCloudVisionV1p3beta1LocalizedObjectAnnotation" }, "type": "array", "description": "If present, localized object detection has completed successfully. This will be sorted descending by confidence score." }, "textAnnotations": { "items": { "$ref": "GoogleCloudVisionV1p3beta1EntityAnnotation" }, "description": "If present, text (OCR) detection has completed successfully.", "type": "array" }, "logoAnnotations": { "type": "array", "items": { "$ref": "GoogleCloudVisionV1p3beta1EntityAnnotation" }, "description": "If present, logo detection has completed successfully." }, "context": { "description": "If present, contextual information is needed to understand where this image comes from.", "$ref": "GoogleCloudVisionV1p3beta1ImageAnnotationContext" }, "imagePropertiesAnnotation": { "$ref": "GoogleCloudVisionV1p3beta1ImageProperties", "description": "If present, image properties were extracted successfully." }, "safeSearchAnnotation": { "$ref": "GoogleCloudVisionV1p3beta1SafeSearchAnnotation", "description": "If present, safe-search annotation has completed successfully." }, "landmarkAnnotations": { "type": "array", "items": { "$ref": "GoogleCloudVisionV1p3beta1EntityAnnotation" }, "description": "If present, landmark detection has completed successfully." }, "productSearchResults": { "description": "If present, product search has completed successfully.", "$ref": "GoogleCloudVisionV1p3beta1ProductSearchResults" }, "labelAnnotations": { "type": "array", "description": "If present, label detection has completed successfully.", "items": { "$ref": "GoogleCloudVisionV1p3beta1EntityAnnotation" } }, "webDetection": { "description": "If present, web detection has completed successfully.", "$ref": "GoogleCloudVisionV1p3beta1WebDetection" }, "cropHintsAnnotation": { "description": "If present, crop hints have completed successfully.", "$ref": "GoogleCloudVisionV1p3beta1CropHintsAnnotation" }, "fullTextAnnotation": { "description": "If present, text (OCR) detection or document (OCR) text detection has completed successfully. This annotation provides the structural hierarchy for the OCR detected text.", "$ref": "GoogleCloudVisionV1p3beta1TextAnnotation" }, "error": { "description": "If set, represents the error message for the operation. Note that filled-in image annotations are guaranteed to be correct, even when `error` is set.", "$ref": "Status" } }, "type": "object" }, "GoogleCloudVisionV1p3beta1ImportProductSetsResponse": { "properties": { "statuses": { "type": "array", "description": "The rpc status for each ImportProductSet request, including both successes and errors. The number of statuses here matches the number of lines in the csv file, and statuses[i] stores the success or failure status of processing the i-th line of the csv, starting from line 0.", "items": { "$ref": "Status" } }, "referenceImages": { "type": "array", "items": { "$ref": "GoogleCloudVisionV1p3beta1ReferenceImage" }, "description": "The list of reference_images that are imported successfully." } }, "type": "object", "description": "Response message for the `ImportProductSets` method. This message is returned by the google.longrunning.Operations.GetOperation method in the returned google.longrunning.Operation.response field.", "id": "GoogleCloudVisionV1p3beta1ImportProductSetsResponse" }, "GoogleCloudVisionV1p4beta1SafeSearchAnnotation": { "properties": { "adult": { "description": "Represents the adult content likelihood for the image. Adult content may contain elements such as nudity, pornographic images or cartoons, or sexual activities.", "type": "string", "enumDescriptions": [ "Unknown likelihood.", "It is very unlikely.", "It is unlikely.", "It is possible.", "It is likely.", "It is very likely." ], "enum": [ "UNKNOWN", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ] }, "racy": { "description": "Likelihood that the request image contains racy content. Racy content may include (but is not limited to) skimpy or sheer clothing, strategically covered nudity, lewd or provocative poses, or close-ups of sensitive body areas.", "enum": [ "UNKNOWN", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ], "type": "string", "enumDescriptions": [ "Unknown likelihood.", "It is very unlikely.", "It is unlikely.", "It is possible.", "It is likely.", "It is very likely." ] }, "medical": { "enumDescriptions": [ "Unknown likelihood.", "It is very unlikely.", "It is unlikely.", "It is possible.", "It is likely.", "It is very likely." ], "description": "Likelihood that this is a medical image.", "enum": [ "UNKNOWN", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ], "type": "string" }, "spoof": { "type": "string", "description": "Spoof likelihood. The likelihood that an modification was made to the image's canonical version to make it appear funny or offensive.", "enum": [ "UNKNOWN", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ], "enumDescriptions": [ "Unknown likelihood.", "It is very unlikely.", "It is unlikely.", "It is possible.", "It is likely.", "It is very likely." ] }, "violence": { "enumDescriptions": [ "Unknown likelihood.", "It is very unlikely.", "It is unlikely.", "It is possible.", "It is likely.", "It is very likely." ], "enum": [ "UNKNOWN", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ], "description": "Likelihood that this image contains violent content.", "type": "string" } }, "description": "Set of features pertaining to the image, computed by computer vision methods over safe-search verticals (for example, adult, spoof, medical, violence).", "type": "object", "id": "GoogleCloudVisionV1p4beta1SafeSearchAnnotation" }, "GoogleCloudVisionV1p3beta1TextAnnotationTextProperty": { "id": "GoogleCloudVisionV1p3beta1TextAnnotationTextProperty", "properties": { "detectedBreak": { "description": "Detected start or end of a text segment.", "$ref": "GoogleCloudVisionV1p3beta1TextAnnotationDetectedBreak" }, "detectedLanguages": { "description": "A list of detected languages together with confidence.", "items": { "$ref": "GoogleCloudVisionV1p3beta1TextAnnotationDetectedLanguage" }, "type": "array" } }, "type": "object", "description": "Additional information detected on the structural component." }, "GoogleCloudVisionV1p2beta1ImageAnnotationContext": { "description": "If an image was produced from a file (e.g. a PDF), this message gives information about the source of that image.", "type": "object", "id": "GoogleCloudVisionV1p2beta1ImageAnnotationContext", "properties": { "uri": { "description": "The URI of the file used to produce the image.", "type": "string" }, "pageNumber": { "description": "If the file was a PDF or TIFF, this field gives the page number within the file used to produce the image.", "type": "integer", "format": "int32" } } }, "GoogleCloudVisionV1p1beta1Symbol": { "type": "object", "properties": { "property": { "$ref": "GoogleCloudVisionV1p1beta1TextAnnotationTextProperty", "description": "Additional information detected for the symbol." }, "boundingBox": { "description": "The bounding box for the symbol. The vertices are in the order of top-left, top-right, bottom-right, bottom-left. When a rotation of the bounding box is detected the rotation is represented as around the top-left corner as defined when the text is read in the 'natural' orientation. For example: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh when the text is horizontal it might look like: 0----1 | | 3----2 LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh when it's rotated 180 degrees around the top-left corner it becomes: 2----3 | | 1----0 and the vertex order will still be (0, 1, 2, 3).", "$ref": "GoogleCloudVisionV1p1beta1BoundingPoly" }, "confidence": { "type": "number", "description": "Confidence of the OCR results for the symbol. Range [0, 1].", "format": "float" }, "text": { "description": "The actual UTF-8 representation of the symbol.", "type": "string" } }, "id": "GoogleCloudVisionV1p1beta1Symbol", "description": "A single symbol representation." }, "GoogleCloudVisionV1p4beta1DominantColorsAnnotation": { "description": "Set of dominant colors and their corresponding scores.", "type": "object", "id": "GoogleCloudVisionV1p4beta1DominantColorsAnnotation", "properties": { "colors": { "description": "RGB color values with their score and pixel fraction.", "type": "array", "items": { "$ref": "GoogleCloudVisionV1p4beta1ColorInfo" } } } }, "GoogleCloudVisionV1p4beta1AnnotateFileResponse": { "id": "GoogleCloudVisionV1p4beta1AnnotateFileResponse", "description": "Response to a single file annotation request. A file may contain one or more images, which individually have their own responses.", "type": "object", "properties": { "totalPages": { "type": "integer", "format": "int32", "description": "This field gives the total number of pages in the file." }, "inputConfig": { "$ref": "GoogleCloudVisionV1p4beta1InputConfig", "description": "Information about the file for which this response is generated." }, "responses": { "type": "array", "description": "Individual responses to images found within the file. This field will be empty if the `error` field is set.", "items": { "$ref": "GoogleCloudVisionV1p4beta1AnnotateImageResponse" } }, "error": { "$ref": "Status", "description": "If set, represents the error message for the failed request. The `responses` field will not be set in this case." } } }, "GoogleCloudVisionV1p2beta1TextAnnotation": { "type": "object", "properties": { "text": { "type": "string", "description": "UTF-8 text detected on the pages." }, "pages": { "type": "array", "items": { "$ref": "GoogleCloudVisionV1p2beta1Page" }, "description": "List of pages detected by OCR." } }, "description": "TextAnnotation contains a structured representation of OCR extracted text. The hierarchy of an OCR extracted text structure is like this: TextAnnotation -\u003e Page -\u003e Block -\u003e Paragraph -\u003e Word -\u003e Symbol Each structural component, starting from Page, may further have their own properties. Properties describe detected languages, breaks etc.. Please refer to the TextAnnotation.TextProperty message definition below for more detail.", "id": "GoogleCloudVisionV1p2beta1TextAnnotation" }, "Paragraph": { "properties": { "confidence": { "format": "float", "description": "Confidence of the OCR results for the paragraph. Range [0, 1].", "type": "number" }, "boundingBox": { "$ref": "BoundingPoly", "description": "The bounding box for the paragraph. The vertices are in the order of top-left, top-right, bottom-right, bottom-left. When a rotation of the bounding box is detected the rotation is represented as around the top-left corner as defined when the text is read in the 'natural' orientation. For example: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh when the text is horizontal it might look like: 0----1 | | 3----2 LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh when it's rotated 180 degrees around the top-left corner it becomes: 2----3 | | 1----0 and the vertex order will still be (0, 1, 2, 3)." }, "words": { "type": "array", "description": "List of all words in this paragraph.", "items": { "$ref": "Word" } }, "property": { "$ref": "TextProperty", "description": "Additional information detected for the paragraph." } }, "id": "Paragraph", "description": "Structural unit of text representing a number of words in certain order.", "type": "object" }, "BoundingPoly": { "id": "BoundingPoly", "description": "A bounding polygon for the detected image annotation.", "properties": { "vertices": { "description": "The bounding polygon vertices.", "items": { "$ref": "Vertex" }, "type": "array" }, "normalizedVertices": { "type": "array", "items": { "$ref": "NormalizedVertex" }, "description": "The bounding polygon normalized vertices." } }, "type": "object" }, "GoogleCloudVisionV1p4beta1WebDetectionWebLabel": { "description": "Label to provide extra metadata for the web detection.", "type": "object", "id": "GoogleCloudVisionV1p4beta1WebDetectionWebLabel", "properties": { "label": { "type": "string", "description": "Label for extra metadata." }, "languageCode": { "type": "string", "description": "The BCP-47 language code for `label`, such as \"en-US\" or \"sr-Latn\". For more information, see http://www.unicode.org/reports/tr35/#Unicode_locale_identifier." } } }, "GcsSource": { "properties": { "uri": { "description": "Google Cloud Storage URI for the input file. This must only be a Google Cloud Storage object. Wildcards are not currently supported.", "type": "string" } }, "type": "object", "id": "GcsSource", "description": "The Google Cloud Storage location where the input will be read from." }, "GoogleCloudVisionV1p3beta1CropHintsAnnotation": { "id": "GoogleCloudVisionV1p3beta1CropHintsAnnotation", "properties": { "cropHints": { "description": "Crop hint results.", "items": { "$ref": "GoogleCloudVisionV1p3beta1CropHint" }, "type": "array" } }, "description": "Set of crop hints that are used to generate new crops when serving images.", "type": "object" }, "Position": { "properties": { "z": { "format": "float", "description": "Z coordinate (or depth).", "type": "number" }, "x": { "description": "X coordinate.", "type": "number", "format": "float" }, "y": { "format": "float", "type": "number", "description": "Y coordinate." } }, "id": "Position", "description": "A 3D position in the image, used primarily for Face detection landmarks. A valid Position must have both x and y coordinates. The position coordinates are in the same scale as the original image.", "type": "object" }, "GoogleCloudVisionV1p2beta1ImageSource": { "description": "External image source (Google Cloud Storage or web URL image location).", "id": "GoogleCloudVisionV1p2beta1ImageSource", "properties": { "gcsImageUri": { "description": "**Use `image_uri` instead.** The Google Cloud Storage URI of the form `gs://bucket_name/object_name`. Object versioning is not supported. See [Google Cloud Storage Request URIs](https://cloud.google.com/storage/docs/reference-uris) for more info.", "type": "string" }, "imageUri": { "description": "The URI of the source image. Can be either: 1. A Google Cloud Storage URI of the form `gs://bucket_name/object_name`. Object versioning is not supported. See [Google Cloud Storage Request URIs](https://cloud.google.com/storage/docs/reference-uris) for more info. 2. A publicly-accessible image HTTP/HTTPS URL. When fetching images from HTTP/HTTPS URLs, Google cannot guarantee that the request will be completed. Your request may fail if the specified host denies the request (e.g. due to request throttling or DOS prevention), or if Google throttles requests to the site for abuse prevention. You should not depend on externally-hosted images for production applications. When both `gcs_image_uri` and `image_uri` are specified, `image_uri` takes precedence.", "type": "string" } }, "type": "object" }, "ColorInfo": { "description": "Color information consists of RGB channels, score, and the fraction of the image that the color occupies in the image.", "type": "object", "properties": { "score": { "format": "float", "description": "Image-specific score for this color. Value in range [0, 1].", "type": "number" }, "color": { "description": "RGB components of the color.", "$ref": "Color" }, "pixelFraction": { "format": "float", "type": "number", "description": "The fraction of pixels the color occupies in the image. Value in range [0, 1]." } }, "id": "ColorInfo" }, "GoogleCloudVisionV1p4beta1CropHint": { "description": "Single crop hint that is used to generate a new crop when serving an image.", "id": "GoogleCloudVisionV1p4beta1CropHint", "type": "object", "properties": { "importanceFraction": { "description": "Fraction of importance of this salient region with respect to the original image.", "type": "number", "format": "float" }, "boundingPoly": { "description": "The bounding polygon for the crop region. The coordinates of the bounding box are in the original image's scale.", "$ref": "GoogleCloudVisionV1p4beta1BoundingPoly" }, "confidence": { "format": "float", "description": "Confidence of this being a salient region. Range [0, 1].", "type": "number" } } }, "DominantColorsAnnotation": { "properties": { "colors": { "items": { "$ref": "ColorInfo" }, "description": "RGB color values with their score and pixel fraction.", "type": "array" } }, "id": "DominantColorsAnnotation", "description": "Set of dominant colors and their corresponding scores.", "type": "object" }, "InputConfig": { "type": "object", "properties": { "gcsSource": { "description": "The Google Cloud Storage location to read the input from.", "$ref": "GcsSource" }, "mimeType": { "description": "The type of the file. Currently only \"application/pdf\", \"image/tiff\" and \"image/gif\" are supported. Wildcards are not supported.", "type": "string" }, "content": { "type": "string", "description": "File content, represented as a stream of bytes. Note: As with all `bytes` fields, protobuffers use a pure binary representation, whereas JSON representations use base64. Currently, this field only works for BatchAnnotateFiles requests. It does not work for AsyncBatchAnnotateFiles requests.", "format": "byte" } }, "id": "InputConfig", "description": "The desired input location and metadata." }, "GoogleCloudVisionV1p2beta1ImageProperties": { "type": "object", "id": "GoogleCloudVisionV1p2beta1ImageProperties", "properties": { "dominantColors": { "$ref": "GoogleCloudVisionV1p2beta1DominantColorsAnnotation", "description": "If present, dominant colors completed successfully." } }, "description": "Stores image properties, such as dominant colors." }, "GoogleCloudVisionV1p2beta1BatchAnnotateImagesRequest": { "properties": { "parent": { "description": "Optional. Target project and location to make a call. Format: `projects/{project-id}/locations/{location-id}`. If no parent is specified, a region will be chosen automatically. Supported location-ids: `us`: USA country only, `asia`: East asia areas, like Japan, Taiwan, `eu`: The European Union. Example: `projects/project-A/locations/eu`.", "type": "string" }, "requests": { "type": "array", "description": "Required. Individual image annotation requests for this batch.", "items": { "$ref": "GoogleCloudVisionV1p2beta1AnnotateImageRequest" } } }, "id": "GoogleCloudVisionV1p2beta1BatchAnnotateImagesRequest", "type": "object", "description": "Multiple image annotation requests are batched into a single service call." }, "GoogleCloudVisionV1p2beta1BatchAnnotateFilesResponse": { "properties": { "responses": { "type": "array", "description": "The list of file annotation responses, each response corresponding to each AnnotateFileRequest in BatchAnnotateFilesRequest.", "items": { "$ref": "GoogleCloudVisionV1p2beta1AnnotateFileResponse" } } }, "description": "A list of file annotation responses.", "type": "object", "id": "GoogleCloudVisionV1p2beta1BatchAnnotateFilesResponse" }, "GoogleCloudVisionV1p2beta1NormalizedVertex": { "type": "object", "description": "A vertex represents a 2D point in the image. NOTE: the normalized vertex coordinates are relative to the original image and range from 0 to 1.", "properties": { "y": { "format": "float", "description": "Y coordinate.", "type": "number" }, "x": { "format": "float", "description": "X coordinate.", "type": "number" } }, "id": "GoogleCloudVisionV1p2beta1NormalizedVertex" }, "GoogleCloudVisionV1p1beta1SafeSearchAnnotation": { "description": "Set of features pertaining to the image, computed by computer vision methods over safe-search verticals (for example, adult, spoof, medical, violence).", "id": "GoogleCloudVisionV1p1beta1SafeSearchAnnotation", "properties": { "violence": { "enum": [ "UNKNOWN", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ], "type": "string", "description": "Likelihood that this image contains violent content.", "enumDescriptions": [ "Unknown likelihood.", "It is very unlikely.", "It is unlikely.", "It is possible.", "It is likely.", "It is very likely." ] }, "adult": { "type": "string", "enumDescriptions": [ "Unknown likelihood.", "It is very unlikely.", "It is unlikely.", "It is possible.", "It is likely.", "It is very likely." ], "description": "Represents the adult content likelihood for the image. Adult content may contain elements such as nudity, pornographic images or cartoons, or sexual activities.", "enum": [ "UNKNOWN", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ] }, "racy": { "enumDescriptions": [ "Unknown likelihood.", "It is very unlikely.", "It is unlikely.", "It is possible.", "It is likely.", "It is very likely." ], "enum": [ "UNKNOWN", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ], "type": "string", "description": "Likelihood that the request image contains racy content. Racy content may include (but is not limited to) skimpy or sheer clothing, strategically covered nudity, lewd or provocative poses, or close-ups of sensitive body areas." }, "medical": { "description": "Likelihood that this is a medical image.", "enum": [ "UNKNOWN", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ], "type": "string", "enumDescriptions": [ "Unknown likelihood.", "It is very unlikely.", "It is unlikely.", "It is possible.", "It is likely.", "It is very likely." ] }, "spoof": { "type": "string", "description": "Spoof likelihood. The likelihood that an modification was made to the image's canonical version to make it appear funny or offensive.", "enum": [ "UNKNOWN", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ], "enumDescriptions": [ "Unknown likelihood.", "It is very unlikely.", "It is unlikely.", "It is possible.", "It is likely.", "It is very likely." ] } }, "type": "object" }, "WebEntity": { "id": "WebEntity", "type": "object", "properties": { "score": { "type": "number", "description": "Overall relevancy score for the entity. Not normalized and not comparable across different image queries.", "format": "float" }, "description": { "type": "string", "description": "Canonical description of the entity, in English." }, "entityId": { "description": "Opaque entity ID.", "type": "string" } }, "description": "Entity deduced from similar images on the Internet." }, "GoogleCloudVisionV1p3beta1ProductSearchResultsResult": { "type": "object", "properties": { "product": { "description": "The Product.", "$ref": "GoogleCloudVisionV1p3beta1Product" }, "image": { "type": "string", "description": "The resource name of the image from the product that is the closest match to the query." }, "score": { "type": "number", "format": "float", "description": "A confidence level on the match, ranging from 0 (no confidence) to 1 (full confidence)." } }, "description": "Information about a product.", "id": "GoogleCloudVisionV1p3beta1ProductSearchResultsResult" }, "GoogleCloudVisionV1p4beta1ProductKeyValue": { "properties": { "key": { "type": "string", "description": "The key of the label attached to the product. Cannot be empty and cannot exceed 128 bytes." }, "value": { "type": "string", "description": "The value of the label attached to the product. Cannot be empty and cannot exceed 128 bytes." } }, "id": "GoogleCloudVisionV1p4beta1ProductKeyValue", "type": "object", "description": "A product label represented as a key-value pair." }, "GoogleCloudVisionV1p3beta1LocationInfo": { "id": "GoogleCloudVisionV1p3beta1LocationInfo", "type": "object", "properties": { "latLng": { "$ref": "LatLng", "description": "lat/long location coordinates." } }, "description": "Detected entity location information." }, "GoogleCloudVisionV1p3beta1TextAnnotationDetectedLanguage": { "type": "object", "description": "Detected language for a structural component.", "id": "GoogleCloudVisionV1p3beta1TextAnnotationDetectedLanguage", "properties": { "languageCode": { "type": "string", "description": "The BCP-47 language code, such as \"en-US\" or \"sr-Latn\". For more information, see http://www.unicode.org/reports/tr35/#Unicode_locale_identifier." }, "confidence": { "format": "float", "description": "Confidence of detected language. Range [0, 1].", "type": "number" } } }, "GoogleCloudVisionV1p2beta1ProductSearchResults": { "description": "Results for a product search request.", "id": "GoogleCloudVisionV1p2beta1ProductSearchResults", "properties": { "results": { "type": "array", "description": "List of results, one for each product match.", "items": { "$ref": "GoogleCloudVisionV1p2beta1ProductSearchResultsResult" } }, "productGroupedResults": { "items": { "$ref": "GoogleCloudVisionV1p2beta1ProductSearchResultsGroupedResult" }, "description": "List of results grouped by products detected in the query image. Each entry corresponds to one bounding polygon in the query image, and contains the matching products specific to that region. There may be duplicate product matches in the union of all the per-product results.", "type": "array" }, "indexTime": { "description": "Timestamp of the index which provided these results. Products added to the product set and products removed from the product set after this time are not reflected in the current results.", "format": "google-datetime", "type": "string" } }, "type": "object" }, "WebLabel": { "id": "WebLabel", "description": "Label to provide extra metadata for the web detection.", "type": "object", "properties": { "label": { "description": "Label for extra metadata.", "type": "string" }, "languageCode": { "description": "The BCP-47 language code for `label`, such as \"en-US\" or \"sr-Latn\". For more information, see http://www.unicode.org/reports/tr35/#Unicode_locale_identifier.", "type": "string" } } }, "AsyncBatchAnnotateFilesResponse": { "description": "Response to an async batch file annotation request.", "properties": { "responses": { "type": "array", "description": "The list of file annotation responses, one for each request in AsyncBatchAnnotateFilesRequest.", "items": { "$ref": "AsyncAnnotateFileResponse" } } }, "type": "object", "id": "AsyncBatchAnnotateFilesResponse" }, "GoogleCloudVisionV1p4beta1ImageAnnotationContext": { "type": "object", "id": "GoogleCloudVisionV1p4beta1ImageAnnotationContext", "description": "If an image was produced from a file (e.g. a PDF), this message gives information about the source of that image.", "properties": { "uri": { "type": "string", "description": "The URI of the file used to produce the image." }, "pageNumber": { "description": "If the file was a PDF or TIFF, this field gives the page number within the file used to produce the image.", "type": "integer", "format": "int32" } } }, "Block": { "description": "Logical element on the page.", "id": "Block", "type": "object", "properties": { "boundingBox": { "$ref": "BoundingPoly", "description": "The bounding box for the block. The vertices are in the order of top-left, top-right, bottom-right, bottom-left. When a rotation of the bounding box is detected the rotation is represented as around the top-left corner as defined when the text is read in the 'natural' orientation. For example: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh when the text is horizontal it might look like: 0----1 | | 3----2 LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh when it's rotated 180 degrees around the top-left corner it becomes: 2----3 | | 1----0 and the vertex order will still be (0, 1, 2, 3)." }, "property": { "description": "Additional information detected for the block.", "$ref": "TextProperty" }, "confidence": { "description": "Confidence of the OCR results on the block. Range [0, 1].", "format": "float", "type": "number" }, "blockType": { "description": "Detected block type (text, image etc) for this block.", "type": "string", "enum": [ "UNKNOWN", "TEXT", "TABLE", "PICTURE", "RULER", "BARCODE" ], "enumDescriptions": [ "Unknown block type.", "Regular text block.", "Table block.", "Image block.", "Horizontal/vertical line box.", "Barcode block." ] }, "paragraphs": { "description": "List of paragraphs in this block (if this blocks is of type text).", "items": { "$ref": "Paragraph" }, "type": "array" } } }, "Symbol": { "description": "A single symbol representation.", "id": "Symbol", "properties": { "text": { "description": "The actual UTF-8 representation of the symbol.", "type": "string" }, "boundingBox": { "description": "The bounding box for the symbol. The vertices are in the order of top-left, top-right, bottom-right, bottom-left. When a rotation of the bounding box is detected the rotation is represented as around the top-left corner as defined when the text is read in the 'natural' orientation. For example: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh when the text is horizontal it might look like: 0----1 | | 3----2 LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh when it's rotated 180 degrees around the top-left corner it becomes: 2----3 | | 1----0 and the vertex order will still be (0, 1, 2, 3).", "$ref": "BoundingPoly" }, "confidence": { "description": "Confidence of the OCR results for the symbol. Range [0, 1].", "type": "number", "format": "float" }, "property": { "$ref": "TextProperty", "description": "Additional information detected for the symbol." } }, "type": "object" }, "GoogleCloudVisionV1p4beta1Symbol": { "properties": { "text": { "description": "The actual UTF-8 representation of the symbol.", "type": "string" }, "boundingBox": { "description": "The bounding box for the symbol. The vertices are in the order of top-left, top-right, bottom-right, bottom-left. When a rotation of the bounding box is detected the rotation is represented as around the top-left corner as defined when the text is read in the 'natural' orientation. For example: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh when the text is horizontal it might look like: 0----1 | | 3----2 LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh when it's rotated 180 degrees around the top-left corner it becomes: 2----3 | | 1----0 and the vertex order will still be (0, 1, 2, 3).", "$ref": "GoogleCloudVisionV1p4beta1BoundingPoly" }, "confidence": { "format": "float", "type": "number", "description": "Confidence of the OCR results for the symbol. Range [0, 1]." }, "property": { "description": "Additional information detected for the symbol.", "$ref": "GoogleCloudVisionV1p4beta1TextAnnotationTextProperty" } }, "description": "A single symbol representation.", "id": "GoogleCloudVisionV1p4beta1Symbol", "type": "object" }, "FaceAnnotation": { "description": "A face annotation object contains the results of face detection.", "type": "object", "properties": { "joyLikelihood": { "enumDescriptions": [ "Unknown likelihood.", "It is very unlikely.", "It is unlikely.", "It is possible.", "It is likely.", "It is very likely." ], "type": "string", "description": "Joy likelihood.", "enum": [ "UNKNOWN", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ] }, "panAngle": { "format": "float", "description": "Yaw angle, which indicates the leftward/rightward angle that the face is pointing relative to the vertical plane perpendicular to the image. Range [-180,180].", "type": "number" }, "blurredLikelihood": { "description": "Blurred likelihood.", "type": "string", "enumDescriptions": [ "Unknown likelihood.", "It is very unlikely.", "It is unlikely.", "It is possible.", "It is likely.", "It is very likely." ], "enum": [ "UNKNOWN", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ] }, "tiltAngle": { "type": "number", "description": "Pitch angle, which indicates the upwards/downwards angle that the face is pointing relative to the image's horizontal plane. Range [-180,180].", "format": "float" }, "surpriseLikelihood": { "type": "string", "enum": [ "UNKNOWN", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ], "description": "Surprise likelihood.", "enumDescriptions": [ "Unknown likelihood.", "It is very unlikely.", "It is unlikely.", "It is possible.", "It is likely.", "It is very likely." ] }, "fdBoundingPoly": { "description": "The `fd_bounding_poly` bounding polygon is tighter than the `boundingPoly`, and encloses only the skin part of the face. Typically, it is used to eliminate the face from any image analysis that detects the \"amount of skin\" visible in an image. It is not based on the landmarker results, only on the initial face detection, hence the fd (face detection) prefix.", "$ref": "BoundingPoly" }, "headwearLikelihood": { "enum": [ "UNKNOWN", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ], "enumDescriptions": [ "Unknown likelihood.", "It is very unlikely.", "It is unlikely.", "It is possible.", "It is likely.", "It is very likely." ], "description": "Headwear likelihood.", "type": "string" }, "angerLikelihood": { "description": "Anger likelihood.", "type": "string", "enumDescriptions": [ "Unknown likelihood.", "It is very unlikely.", "It is unlikely.", "It is possible.", "It is likely.", "It is very likely." ], "enum": [ "UNKNOWN", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ] }, "sorrowLikelihood": { "type": "string", "description": "Sorrow likelihood.", "enumDescriptions": [ "Unknown likelihood.", "It is very unlikely.", "It is unlikely.", "It is possible.", "It is likely.", "It is very likely." ], "enum": [ "UNKNOWN", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ] }, "underExposedLikelihood": { "type": "string", "description": "Under-exposed likelihood.", "enumDescriptions": [ "Unknown likelihood.", "It is very unlikely.", "It is unlikely.", "It is possible.", "It is likely.", "It is very likely." ], "enum": [ "UNKNOWN", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ] }, "detectionConfidence": { "format": "float", "description": "Detection confidence. Range [0, 1].", "type": "number" }, "rollAngle": { "type": "number", "description": "Roll angle, which indicates the amount of clockwise/anti-clockwise rotation of the face relative to the image vertical about the axis perpendicular to the face. Range [-180,180].", "format": "float" }, "landmarkingConfidence": { "type": "number", "format": "float", "description": "Face landmarking confidence. Range [0, 1]." }, "landmarks": { "description": "Detected face landmarks.", "items": { "$ref": "Landmark" }, "type": "array" }, "boundingPoly": { "description": "The bounding polygon around the face. The coordinates of the bounding box are in the original image's scale. The bounding box is computed to \"frame\" the face in accordance with human expectations. It is based on the landmarker results. Note that one or more x and/or y coordinates may not be generated in the `BoundingPoly` (the polygon will be unbounded) if only a partial face appears in the image to be annotated.", "$ref": "BoundingPoly" } }, "id": "FaceAnnotation" }, "WebDetection": { "properties": { "pagesWithMatchingImages": { "type": "array", "items": { "$ref": "WebPage" }, "description": "Web pages containing the matching images from the Internet." }, "webEntities": { "items": { "$ref": "WebEntity" }, "type": "array", "description": "Deduced entities from similar images on the Internet." }, "partialMatchingImages": { "description": "Partial matching images from the Internet. Those images are similar enough to share some key-point features. For example an original image will likely have partial matching for its crops.", "items": { "$ref": "WebImage" }, "type": "array" }, "bestGuessLabels": { "description": "The service's best guess as to the topic of the request image. Inferred from similar images on the open web.", "type": "array", "items": { "$ref": "WebLabel" } }, "visuallySimilarImages": { "type": "array", "description": "The visually similar image results.", "items": { "$ref": "WebImage" } }, "fullMatchingImages": { "description": "Fully matching images from the Internet. Can include resized copies of the query image.", "items": { "$ref": "WebImage" }, "type": "array" } }, "description": "Relevant information for the image from the Internet.", "id": "WebDetection", "type": "object" }, "GoogleCloudVisionV1p1beta1ProductSearchResultsObjectAnnotation": { "type": "object", "properties": { "score": { "description": "Score of the result. Range [0, 1].", "type": "number", "format": "float" }, "languageCode": { "type": "string", "description": "The BCP-47 language code, such as \"en-US\" or \"sr-Latn\". For more information, see http://www.unicode.org/reports/tr35/#Unicode_locale_identifier." }, "name": { "type": "string", "description": "Object name, expressed in its `language_code` language." }, "mid": { "description": "Object ID that should align with EntityAnnotation mid.", "type": "string" } }, "id": "GoogleCloudVisionV1p1beta1ProductSearchResultsObjectAnnotation", "description": "Prediction for what the object in the bounding box is." }, "GoogleCloudVisionV1p3beta1BatchOperationMetadata": { "type": "object", "properties": { "submitTime": { "type": "string", "description": "The time when the batch request was submitted to the server.", "format": "google-datetime" }, "endTime": { "type": "string", "format": "google-datetime", "description": "The time when the batch request is finished and google.longrunning.Operation.done is set to true." }, "state": { "enum": [ "STATE_UNSPECIFIED", "PROCESSING", "SUCCESSFUL", "FAILED", "CANCELLED" ], "type": "string", "enumDescriptions": [ "Invalid.", "Request is actively being processed.", "The request is done and at least one item has been successfully processed.", "The request is done and no item has been successfully processed.", "The request is done after the longrunning.Operations.CancelOperation has been called by the user. Any records that were processed before the cancel command are output as specified in the request." ], "description": "The current state of the batch operation." } }, "id": "GoogleCloudVisionV1p3beta1BatchOperationMetadata", "description": "Metadata for the batch operations such as the current state. This is included in the `metadata` field of the `Operation` returned by the `GetOperation` call of the `google::longrunning::Operations` service." }, "GoogleCloudVisionV1p1beta1TextAnnotation": { "id": "GoogleCloudVisionV1p1beta1TextAnnotation", "type": "object", "properties": { "text": { "description": "UTF-8 text detected on the pages.", "type": "string" }, "pages": { "type": "array", "description": "List of pages detected by OCR.", "items": { "$ref": "GoogleCloudVisionV1p1beta1Page" } } }, "description": "TextAnnotation contains a structured representation of OCR extracted text. The hierarchy of an OCR extracted text structure is like this: TextAnnotation -\u003e Page -\u003e Block -\u003e Paragraph -\u003e Word -\u003e Symbol Each structural component, starting from Page, may further have their own properties. Properties describe detected languages, breaks etc.. Please refer to the TextAnnotation.TextProperty message definition below for more detail." }, "ProductSearchResults": { "description": "Results for a product search request.", "id": "ProductSearchResults", "properties": { "indexTime": { "format": "google-datetime", "type": "string", "description": "Timestamp of the index which provided these results. Products added to the product set and products removed from the product set after this time are not reflected in the current results." }, "productGroupedResults": { "items": { "$ref": "GroupedResult" }, "description": "List of results grouped by products detected in the query image. Each entry corresponds to one bounding polygon in the query image, and contains the matching products specific to that region. There may be duplicate product matches in the union of all the per-product results.", "type": "array" }, "results": { "description": "List of results, one for each product match.", "type": "array", "items": { "$ref": "Result" } } }, "type": "object" }, "GoogleCloudVisionV1p2beta1BatchAnnotateFilesRequest": { "type": "object", "id": "GoogleCloudVisionV1p2beta1BatchAnnotateFilesRequest", "properties": { "requests": { "description": "Required. The list of file annotation requests. Right now we support only one AnnotateFileRequest in BatchAnnotateFilesRequest.", "items": { "$ref": "GoogleCloudVisionV1p2beta1AnnotateFileRequest" }, "type": "array" }, "parent": { "type": "string", "description": "Optional. Target project and location to make a call. Format: `projects/{project-id}/locations/{location-id}`. If no parent is specified, a region will be chosen automatically. Supported location-ids: `us`: USA country only, `asia`: East asia areas, like Japan, Taiwan, `eu`: The European Union. Example: `projects/project-A/locations/eu`." } }, "description": "A list of requests to annotate files using the BatchAnnotateFiles API." }, "GoogleCloudVisionV1p3beta1ProductSearchResultsGroupedResult": { "properties": { "objectAnnotations": { "items": { "$ref": "GoogleCloudVisionV1p3beta1ProductSearchResultsObjectAnnotation" }, "type": "array", "description": "List of generic predictions for the object in the bounding box." }, "results": { "description": "List of results, one for each product match.", "items": { "$ref": "GoogleCloudVisionV1p3beta1ProductSearchResultsResult" }, "type": "array" }, "boundingPoly": { "$ref": "GoogleCloudVisionV1p3beta1BoundingPoly", "description": "The bounding polygon around the product detected in the query image." } }, "description": "Information about the products similar to a single product in a query image.", "id": "GoogleCloudVisionV1p3beta1ProductSearchResultsGroupedResult", "type": "object" }, "GoogleCloudVisionV1p3beta1ImageProperties": { "id": "GoogleCloudVisionV1p3beta1ImageProperties", "properties": { "dominantColors": { "description": "If present, dominant colors completed successfully.", "$ref": "GoogleCloudVisionV1p3beta1DominantColorsAnnotation" } }, "description": "Stores image properties, such as dominant colors.", "type": "object" }, "GoogleCloudVisionV1p4beta1Word": { "type": "object", "id": "GoogleCloudVisionV1p4beta1Word", "description": "A word representation.", "properties": { "symbols": { "description": "List of symbols in the word. The order of the symbols follows the natural reading order.", "items": { "$ref": "GoogleCloudVisionV1p4beta1Symbol" }, "type": "array" }, "boundingBox": { "description": "The bounding box for the word. The vertices are in the order of top-left, top-right, bottom-right, bottom-left. When a rotation of the bounding box is detected the rotation is represented as around the top-left corner as defined when the text is read in the 'natural' orientation. For example: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh when the text is horizontal it might look like: 0----1 | | 3----2 LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh when it's rotated 180 degrees around the top-left corner it becomes: 2----3 | | 1----0 and the vertex order will still be (0, 1, 2, 3).", "$ref": "GoogleCloudVisionV1p4beta1BoundingPoly" }, "property": { "description": "Additional information detected for the word.", "$ref": "GoogleCloudVisionV1p4beta1TextAnnotationTextProperty" }, "confidence": { "format": "float", "description": "Confidence of the OCR results for the word. Range [0, 1].", "type": "number" } } }, "GoogleCloudVisionV1p4beta1TextAnnotationDetectedLanguage": { "type": "object", "properties": { "confidence": { "format": "float", "type": "number", "description": "Confidence of detected language. Range [0, 1]." }, "languageCode": { "description": "The BCP-47 language code, such as \"en-US\" or \"sr-Latn\". For more information, see http://www.unicode.org/reports/tr35/#Unicode_locale_identifier.", "type": "string" } }, "id": "GoogleCloudVisionV1p4beta1TextAnnotationDetectedLanguage", "description": "Detected language for a structural component." }, "GoogleCloudVisionV1p2beta1Page": { "description": "Detected page from OCR.", "properties": { "height": { "format": "int32", "description": "Page height. For PDFs the unit is points. For images (including TIFFs) the unit is pixels.", "type": "integer" }, "property": { "$ref": "GoogleCloudVisionV1p2beta1TextAnnotationTextProperty", "description": "Additional information detected on the page." }, "confidence": { "type": "number", "format": "float", "description": "Confidence of the OCR results on the page. Range [0, 1]." }, "width": { "type": "integer", "description": "Page width. For PDFs the unit is points. For images (including TIFFs) the unit is pixels.", "format": "int32" }, "blocks": { "items": { "$ref": "GoogleCloudVisionV1p2beta1Block" }, "description": "List of blocks of text, images etc on this page.", "type": "array" } }, "type": "object", "id": "GoogleCloudVisionV1p2beta1Page" }, "GoogleCloudVisionV1p3beta1EntityAnnotation": { "description": "Set of detected entity features.", "properties": { "locale": { "type": "string", "description": "The language code for the locale in which the entity textual `description` is expressed." }, "description": { "description": "Entity textual description, expressed in its `locale` language.", "type": "string" }, "locations": { "items": { "$ref": "GoogleCloudVisionV1p3beta1LocationInfo" }, "description": "The location information for the detected entity. Multiple `LocationInfo` elements can be present because one location may indicate the location of the scene in the image, and another location may indicate the location of the place where the image was taken. Location information is usually present for landmarks.", "type": "array" }, "properties": { "description": "Some entities may have optional user-supplied `Property` (name/value) fields, such a score or string that qualifies the entity.", "type": "array", "items": { "$ref": "GoogleCloudVisionV1p3beta1Property" } }, "topicality": { "format": "float", "description": "The relevancy of the ICA (Image Content Annotation) label to the image. For example, the relevancy of \"tower\" is likely higher to an image containing the detected \"Eiffel Tower\" than to an image containing a detected distant towering building, even though the confidence that there is a tower in each image may be the same. Range [0, 1].", "type": "number" }, "confidence": { "description": "**Deprecated. Use `score` instead.** The accuracy of the entity detection in an image. For example, for an image in which the \"Eiffel Tower\" entity is detected, this field represents the confidence that there is a tower in the query image. Range [0, 1].", "type": "number", "format": "float" }, "score": { "format": "float", "type": "number", "description": "Overall score of the result. Range [0, 1]." }, "mid": { "type": "string", "description": "Opaque entity ID. Some IDs may be available in [Google Knowledge Graph Search API](https://developers.google.com/knowledge-graph/)." }, "boundingPoly": { "description": "Image region to which this entity belongs. Not produced for `LABEL_DETECTION` features.", "$ref": "GoogleCloudVisionV1p3beta1BoundingPoly" } }, "id": "GoogleCloudVisionV1p3beta1EntityAnnotation", "type": "object" }, "GoogleCloudVisionV1p1beta1Property": { "id": "GoogleCloudVisionV1p1beta1Property", "type": "object", "properties": { "value": { "description": "Value of the property.", "type": "string" }, "uint64Value": { "type": "string", "description": "Value of numeric properties.", "format": "uint64" }, "name": { "description": "Name of the property.", "type": "string" } }, "description": "A `Property` consists of a user-supplied name/value pair." }, "GoogleCloudVisionV1p2beta1BatchAnnotateImagesResponse": { "id": "GoogleCloudVisionV1p2beta1BatchAnnotateImagesResponse", "type": "object", "description": "Response to a batch image annotation request.", "properties": { "responses": { "type": "array", "items": { "$ref": "GoogleCloudVisionV1p2beta1AnnotateImageResponse" }, "description": "Individual responses to image annotation requests within the batch." } } }, "GoogleCloudVisionV1p4beta1Page": { "type": "object", "description": "Detected page from OCR.", "properties": { "confidence": { "description": "Confidence of the OCR results on the page. Range [0, 1].", "type": "number", "format": "float" }, "property": { "$ref": "GoogleCloudVisionV1p4beta1TextAnnotationTextProperty", "description": "Additional information detected on the page." }, "width": { "description": "Page width. For PDFs the unit is points. For images (including TIFFs) the unit is pixels.", "type": "integer", "format": "int32" }, "blocks": { "type": "array", "description": "List of blocks of text, images etc on this page.", "items": { "$ref": "GoogleCloudVisionV1p4beta1Block" } }, "height": { "type": "integer", "description": "Page height. For PDFs the unit is points. For images (including TIFFs) the unit is pixels.", "format": "int32" } }, "id": "GoogleCloudVisionV1p4beta1Page" }, "GoogleCloudVisionV1p4beta1Position": { "id": "GoogleCloudVisionV1p4beta1Position", "type": "object", "description": "A 3D position in the image, used primarily for Face detection landmarks. A valid Position must have both x and y coordinates. The position coordinates are in the same scale as the original image.", "properties": { "y": { "description": "Y coordinate.", "format": "float", "type": "number" }, "z": { "type": "number", "format": "float", "description": "Z coordinate (or depth)." }, "x": { "description": "X coordinate.", "type": "number", "format": "float" } } }, "GoogleCloudVisionV1p3beta1CropHint": { "type": "object", "properties": { "confidence": { "type": "number", "description": "Confidence of this being a salient region. Range [0, 1].", "format": "float" }, "importanceFraction": { "format": "float", "type": "number", "description": "Fraction of importance of this salient region with respect to the original image." }, "boundingPoly": { "description": "The bounding polygon for the crop region. The coordinates of the bounding box are in the original image's scale.", "$ref": "GoogleCloudVisionV1p3beta1BoundingPoly" } }, "description": "Single crop hint that is used to generate a new crop when serving an image.", "id": "GoogleCloudVisionV1p3beta1CropHint" }, "GoogleCloudVisionV1p2beta1AnnotateFileResponse": { "description": "Response to a single file annotation request. A file may contain one or more images, which individually have their own responses.", "properties": { "responses": { "items": { "$ref": "GoogleCloudVisionV1p2beta1AnnotateImageResponse" }, "description": "Individual responses to images found within the file. This field will be empty if the `error` field is set.", "type": "array" }, "error": { "description": "If set, represents the error message for the failed request. The `responses` field will not be set in this case.", "$ref": "Status" }, "inputConfig": { "$ref": "GoogleCloudVisionV1p2beta1InputConfig", "description": "Information about the file for which this response is generated." }, "totalPages": { "type": "integer", "format": "int32", "description": "This field gives the total number of pages in the file." } }, "type": "object", "id": "GoogleCloudVisionV1p2beta1AnnotateFileResponse" }, "GoogleCloudVisionV1p4beta1OutputConfig": { "description": "The desired output location and metadata.", "id": "GoogleCloudVisionV1p4beta1OutputConfig", "type": "object", "properties": { "gcsDestination": { "$ref": "GoogleCloudVisionV1p4beta1GcsDestination", "description": "The Google Cloud Storage location to write the output(s) to." }, "batchSize": { "type": "integer", "description": "The max number of response protos to put into each output JSON file on Google Cloud Storage. The valid range is [1, 100]. If not specified, the default value is 20. For example, for one pdf file with 100 pages, 100 response protos will be generated. If `batch_size` = 20, then 5 json files each containing 20 response protos will be written under the prefix `gcs_destination`.`uri`. Currently, batch_size only applies to GcsDestination, with potential future support for other output configurations.", "format": "int32" } } }, "GoogleCloudVisionV1p4beta1BatchOperationMetadata": { "type": "object", "description": "Metadata for the batch operations such as the current state. This is included in the `metadata` field of the `Operation` returned by the `GetOperation` call of the `google::longrunning::Operations` service.", "properties": { "state": { "enum": [ "STATE_UNSPECIFIED", "PROCESSING", "SUCCESSFUL", "FAILED", "CANCELLED" ], "description": "The current state of the batch operation.", "enumDescriptions": [ "Invalid.", "Request is actively being processed.", "The request is done and at least one item has been successfully processed.", "The request is done and no item has been successfully processed.", "The request is done after the longrunning.Operations.CancelOperation has been called by the user. Any records that were processed before the cancel command are output as specified in the request." ], "type": "string" }, "submitTime": { "description": "The time when the batch request was submitted to the server.", "type": "string", "format": "google-datetime" }, "endTime": { "format": "google-datetime", "description": "The time when the batch request is finished and google.longrunning.Operation.done is set to true.", "type": "string" } }, "id": "GoogleCloudVisionV1p4beta1BatchOperationMetadata" }, "Product": { "properties": { "name": { "type": "string", "description": "The resource name of the product. Format is: `projects/PROJECT_ID/locations/LOC_ID/products/PRODUCT_ID`. This field is ignored when creating a product." }, "productLabels": { "description": "Key-value pairs that can be attached to a product. At query time, constraints can be specified based on the product_labels. Note that integer values can be provided as strings, e.g. \"1199\". Only strings with integer values can match a range-based restriction which is to be supported soon. Multiple values can be assigned to the same key. One product may have up to 500 product_labels. Notice that the total number of distinct product_labels over all products in one ProductSet cannot exceed 1M, otherwise the product search pipeline will refuse to work for that ProductSet.", "items": { "$ref": "KeyValue" }, "type": "array" }, "productCategory": { "description": "Immutable. The category for the product identified by the reference image. This should be one of \"homegoods-v2\", \"apparel-v2\", \"toys-v2\", \"packagedgoods-v1\" or \"general-v1\". The legacy categories \"homegoods\", \"apparel\", and \"toys\" are still supported, but these should not be used for new products.", "type": "string" }, "displayName": { "description": "The user-provided name for this Product. Must not be empty. Must be at most 4096 characters long.", "type": "string" }, "description": { "description": "User-provided metadata to be stored with this product. Must be at most 4096 characters long.", "type": "string" } }, "description": "A Product contains ReferenceImages.", "type": "object", "id": "Product" }, "GoogleCloudVisionV1p2beta1Vertex": { "properties": { "x": { "description": "X coordinate.", "format": "int32", "type": "integer" }, "y": { "description": "Y coordinate.", "format": "int32", "type": "integer" } }, "id": "GoogleCloudVisionV1p2beta1Vertex", "description": "A vertex represents a 2D point in the image. NOTE: the vertex coordinates are in the same scale as the original image.", "type": "object" }, "GoogleCloudVisionV1p3beta1Position": { "id": "GoogleCloudVisionV1p3beta1Position", "properties": { "z": { "description": "Z coordinate (or depth).", "format": "float", "type": "number" }, "y": { "type": "number", "format": "float", "description": "Y coordinate." }, "x": { "description": "X coordinate.", "type": "number", "format": "float" } }, "type": "object", "description": "A 3D position in the image, used primarily for Face detection landmarks. A valid Position must have both x and y coordinates. The position coordinates are in the same scale as the original image." }, "GoogleCloudVisionV1p2beta1OutputConfig": { "type": "object", "properties": { "gcsDestination": { "$ref": "GoogleCloudVisionV1p2beta1GcsDestination", "description": "The Google Cloud Storage location to write the output(s) to." }, "batchSize": { "description": "The max number of response protos to put into each output JSON file on Google Cloud Storage. The valid range is [1, 100]. If not specified, the default value is 20. For example, for one pdf file with 100 pages, 100 response protos will be generated. If `batch_size` = 20, then 5 json files each containing 20 response protos will be written under the prefix `gcs_destination`.`uri`. Currently, batch_size only applies to GcsDestination, with potential future support for other output configurations.", "format": "int32", "type": "integer" } }, "description": "The desired output location and metadata.", "id": "GoogleCloudVisionV1p2beta1OutputConfig" }, "GoogleCloudVisionV1p4beta1TextAnnotationDetectedBreak": { "type": "object", "id": "GoogleCloudVisionV1p4beta1TextAnnotationDetectedBreak", "description": "Detected start or end of a structural component.", "properties": { "type": { "enum": [ "UNKNOWN", "SPACE", "SURE_SPACE", "EOL_SURE_SPACE", "HYPHEN", "LINE_BREAK" ], "enumDescriptions": [ "Unknown break label type.", "Regular space.", "Sure space (very wide).", "Line-wrapping break.", "End-line hyphen that is not present in text; does not co-occur with `SPACE`, `LEADER_SPACE`, or `LINE_BREAK`.", "Line break that ends a paragraph." ], "type": "string", "description": "Detected break type." }, "isPrefix": { "description": "True if break prepends the element.", "type": "boolean" } } }, "WebPage": { "description": "Metadata for web pages.", "properties": { "pageTitle": { "description": "Title for the web page, may contain HTML markups.", "type": "string" }, "fullMatchingImages": { "type": "array", "items": { "$ref": "WebImage" }, "description": "Fully matching images on the page. Can include resized copies of the query image." }, "url": { "type": "string", "description": "The result web page URL." }, "score": { "description": "(Deprecated) Overall relevancy score for the web page.", "type": "number", "format": "float" }, "partialMatchingImages": { "type": "array", "items": { "$ref": "WebImage" }, "description": "Partial matching images on the page. Those images are similar enough to share some key-point features. For example an original image will likely have partial matching for its crops." } }, "type": "object", "id": "WebPage" }, "LatLng": { "type": "object", "description": "An object that represents a latitude/longitude pair. This is expressed as a pair of doubles to represent degrees latitude and degrees longitude. Unless specified otherwise, this object must conform to the WGS84 standard. Values must be within normalized ranges.", "properties": { "longitude": { "type": "number", "description": "The longitude in degrees. It must be in the range [-180.0, +180.0].", "format": "double" }, "latitude": { "type": "number", "format": "double", "description": "The latitude in degrees. It must be in the range [-90.0, +90.0]." } }, "id": "LatLng" }, "AnnotateFileResponse": { "type": "object", "id": "AnnotateFileResponse", "properties": { "totalPages": { "type": "integer", "format": "int32", "description": "This field gives the total number of pages in the file." }, "responses": { "type": "array", "items": { "$ref": "AnnotateImageResponse" }, "description": "Individual responses to images found within the file. This field will be empty if the `error` field is set." }, "error": { "$ref": "Status", "description": "If set, represents the error message for the failed request. The `responses` field will not be set in this case." }, "inputConfig": { "$ref": "InputConfig", "description": "Information about the file for which this response is generated." } }, "description": "Response to a single file annotation request. A file may contain one or more images, which individually have their own responses." }, "GoogleCloudVisionV1p4beta1WebDetectionWebPage": { "properties": { "fullMatchingImages": { "type": "array", "items": { "$ref": "GoogleCloudVisionV1p4beta1WebDetectionWebImage" }, "description": "Fully matching images on the page. Can include resized copies of the query image." }, "url": { "type": "string", "description": "The result web page URL." }, "score": { "description": "(Deprecated) Overall relevancy score for the web page.", "type": "number", "format": "float" }, "pageTitle": { "type": "string", "description": "Title for the web page, may contain HTML markups." }, "partialMatchingImages": { "type": "array", "description": "Partial matching images on the page. Those images are similar enough to share some key-point features. For example an original image will likely have partial matching for its crops.", "items": { "$ref": "GoogleCloudVisionV1p4beta1WebDetectionWebImage" } } }, "id": "GoogleCloudVisionV1p4beta1WebDetectionWebPage", "description": "Metadata for web pages.", "type": "object" }, "GoogleCloudVisionV1p4beta1TextAnnotation": { "id": "GoogleCloudVisionV1p4beta1TextAnnotation", "properties": { "pages": { "type": "array", "items": { "$ref": "GoogleCloudVisionV1p4beta1Page" }, "description": "List of pages detected by OCR." }, "text": { "description": "UTF-8 text detected on the pages.", "type": "string" } }, "description": "TextAnnotation contains a structured representation of OCR extracted text. The hierarchy of an OCR extracted text structure is like this: TextAnnotation -\u003e Page -\u003e Block -\u003e Paragraph -\u003e Word -\u003e Symbol Each structural component, starting from Page, may further have their own properties. Properties describe detected languages, breaks etc.. Please refer to the TextAnnotation.TextProperty message definition below for more detail.", "type": "object" }, "GoogleCloudVisionV1p3beta1ImageAnnotationContext": { "type": "object", "properties": { "uri": { "description": "The URI of the file used to produce the image.", "type": "string" }, "pageNumber": { "description": "If the file was a PDF or TIFF, this field gives the page number within the file used to produce the image.", "type": "integer", "format": "int32" } }, "description": "If an image was produced from a file (e.g. a PDF), this message gives information about the source of that image.", "id": "GoogleCloudVisionV1p3beta1ImageAnnotationContext" }, "GoogleCloudVisionV1p1beta1FaceAnnotation": { "properties": { "panAngle": { "type": "number", "format": "float", "description": "Yaw angle, which indicates the leftward/rightward angle that the face is pointing relative to the vertical plane perpendicular to the image. Range [-180,180]." }, "underExposedLikelihood": { "description": "Under-exposed likelihood.", "enum": [ "UNKNOWN", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ], "type": "string", "enumDescriptions": [ "Unknown likelihood.", "It is very unlikely.", "It is unlikely.", "It is possible.", "It is likely.", "It is very likely." ] }, "rollAngle": { "type": "number", "format": "float", "description": "Roll angle, which indicates the amount of clockwise/anti-clockwise rotation of the face relative to the image vertical about the axis perpendicular to the face. Range [-180,180]." }, "blurredLikelihood": { "enumDescriptions": [ "Unknown likelihood.", "It is very unlikely.", "It is unlikely.", "It is possible.", "It is likely.", "It is very likely." ], "enum": [ "UNKNOWN", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ], "type": "string", "description": "Blurred likelihood." }, "tiltAngle": { "description": "Pitch angle, which indicates the upwards/downwards angle that the face is pointing relative to the image's horizontal plane. Range [-180,180].", "format": "float", "type": "number" }, "landmarkingConfidence": { "format": "float", "type": "number", "description": "Face landmarking confidence. Range [0, 1]." }, "headwearLikelihood": { "enum": [ "UNKNOWN", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ], "description": "Headwear likelihood.", "type": "string", "enumDescriptions": [ "Unknown likelihood.", "It is very unlikely.", "It is unlikely.", "It is possible.", "It is likely.", "It is very likely." ] }, "joyLikelihood": { "description": "Joy likelihood.", "type": "string", "enum": [ "UNKNOWN", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ], "enumDescriptions": [ "Unknown likelihood.", "It is very unlikely.", "It is unlikely.", "It is possible.", "It is likely.", "It is very likely." ] }, "detectionConfidence": { "format": "float", "description": "Detection confidence. Range [0, 1].", "type": "number" }, "landmarks": { "type": "array", "items": { "$ref": "GoogleCloudVisionV1p1beta1FaceAnnotationLandmark" }, "description": "Detected face landmarks." }, "angerLikelihood": { "enumDescriptions": [ "Unknown likelihood.", "It is very unlikely.", "It is unlikely.", "It is possible.", "It is likely.", "It is very likely." ], "description": "Anger likelihood.", "enum": [ "UNKNOWN", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ], "type": "string" }, "surpriseLikelihood": { "enum": [ "UNKNOWN", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ], "description": "Surprise likelihood.", "enumDescriptions": [ "Unknown likelihood.", "It is very unlikely.", "It is unlikely.", "It is possible.", "It is likely.", "It is very likely." ], "type": "string" }, "fdBoundingPoly": { "description": "The `fd_bounding_poly` bounding polygon is tighter than the `boundingPoly`, and encloses only the skin part of the face. Typically, it is used to eliminate the face from any image analysis that detects the \"amount of skin\" visible in an image. It is not based on the landmarker results, only on the initial face detection, hence the fd (face detection) prefix.", "$ref": "GoogleCloudVisionV1p1beta1BoundingPoly" }, "boundingPoly": { "description": "The bounding polygon around the face. The coordinates of the bounding box are in the original image's scale. The bounding box is computed to \"frame\" the face in accordance with human expectations. It is based on the landmarker results. Note that one or more x and/or y coordinates may not be generated in the `BoundingPoly` (the polygon will be unbounded) if only a partial face appears in the image to be annotated.", "$ref": "GoogleCloudVisionV1p1beta1BoundingPoly" }, "sorrowLikelihood": { "description": "Sorrow likelihood.", "type": "string", "enumDescriptions": [ "Unknown likelihood.", "It is very unlikely.", "It is unlikely.", "It is possible.", "It is likely.", "It is very likely." ], "enum": [ "UNKNOWN", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ] } }, "id": "GoogleCloudVisionV1p1beta1FaceAnnotation", "description": "A face annotation object contains the results of face detection.", "type": "object" }, "BatchAnnotateFilesResponse": { "id": "BatchAnnotateFilesResponse", "properties": { "responses": { "items": { "$ref": "AnnotateFileResponse" }, "description": "The list of file annotation responses, each response corresponding to each AnnotateFileRequest in BatchAnnotateFilesRequest.", "type": "array" } }, "type": "object", "description": "A list of file annotation responses." }, "GoogleCloudVisionV1p3beta1OutputConfig": { "type": "object", "id": "GoogleCloudVisionV1p3beta1OutputConfig", "properties": { "gcsDestination": { "description": "The Google Cloud Storage location to write the output(s) to.", "$ref": "GoogleCloudVisionV1p3beta1GcsDestination" }, "batchSize": { "type": "integer", "description": "The max number of response protos to put into each output JSON file on Google Cloud Storage. The valid range is [1, 100]. If not specified, the default value is 20. For example, for one pdf file with 100 pages, 100 response protos will be generated. If `batch_size` = 20, then 5 json files each containing 20 response protos will be written under the prefix `gcs_destination`.`uri`. Currently, batch_size only applies to GcsDestination, with potential future support for other output configurations.", "format": "int32" } }, "description": "The desired output location and metadata." }, "GoogleCloudVisionV1p3beta1ProductKeyValue": { "description": "A product label represented as a key-value pair.", "properties": { "key": { "description": "The key of the label attached to the product. Cannot be empty and cannot exceed 128 bytes.", "type": "string" }, "value": { "description": "The value of the label attached to the product. Cannot be empty and cannot exceed 128 bytes.", "type": "string" } }, "id": "GoogleCloudVisionV1p3beta1ProductKeyValue", "type": "object" }, "GoogleCloudVisionV1p2beta1CropHint": { "type": "object", "id": "GoogleCloudVisionV1p2beta1CropHint", "description": "Single crop hint that is used to generate a new crop when serving an image.", "properties": { "importanceFraction": { "format": "float", "description": "Fraction of importance of this salient region with respect to the original image.", "type": "number" }, "boundingPoly": { "description": "The bounding polygon for the crop region. The coordinates of the bounding box are in the original image's scale.", "$ref": "GoogleCloudVisionV1p2beta1BoundingPoly" }, "confidence": { "format": "float", "type": "number", "description": "Confidence of this being a salient region. Range [0, 1]." } } }, "GoogleCloudVisionV1p4beta1AsyncAnnotateFileResponse": { "properties": { "outputConfig": { "description": "The output location and metadata from AsyncAnnotateFileRequest.", "$ref": "GoogleCloudVisionV1p4beta1OutputConfig" } }, "id": "GoogleCloudVisionV1p4beta1AsyncAnnotateFileResponse", "type": "object", "description": "The response for a single offline file annotation request." }, "GoogleCloudVisionV1p4beta1BatchAnnotateFilesResponse": { "properties": { "responses": { "description": "The list of file annotation responses, each response corresponding to each AnnotateFileRequest in BatchAnnotateFilesRequest.", "type": "array", "items": { "$ref": "GoogleCloudVisionV1p4beta1AnnotateFileResponse" } } }, "type": "object", "description": "A list of file annotation responses.", "id": "GoogleCloudVisionV1p4beta1BatchAnnotateFilesResponse" }, "GoogleCloudVisionV1p2beta1WebDetectionWebImage": { "properties": { "score": { "description": "(Deprecated) Overall relevancy score for the image.", "type": "number", "format": "float" }, "url": { "type": "string", "description": "The result image URL." } }, "id": "GoogleCloudVisionV1p2beta1WebDetectionWebImage", "type": "object", "description": "Metadata for online images." }, "GoogleCloudVisionV1p1beta1DominantColorsAnnotation": { "type": "object", "id": "GoogleCloudVisionV1p1beta1DominantColorsAnnotation", "description": "Set of dominant colors and their corresponding scores.", "properties": { "colors": { "items": { "$ref": "GoogleCloudVisionV1p1beta1ColorInfo" }, "type": "array", "description": "RGB color values with their score and pixel fraction." } } }, "CropHintsAnnotation": { "description": "Set of crop hints that are used to generate new crops when serving images.", "properties": { "cropHints": { "description": "Crop hint results.", "items": { "$ref": "CropHint" }, "type": "array" } }, "type": "object", "id": "CropHintsAnnotation" }, "GoogleCloudVisionV1p1beta1ProductKeyValue": { "id": "GoogleCloudVisionV1p1beta1ProductKeyValue", "type": "object", "description": "A product label represented as a key-value pair.", "properties": { "key": { "type": "string", "description": "The key of the label attached to the product. Cannot be empty and cannot exceed 128 bytes." }, "value": { "type": "string", "description": "The value of the label attached to the product. Cannot be empty and cannot exceed 128 bytes." } } }, "GoogleCloudVisionV1p2beta1TextAnnotationTextProperty": { "id": "GoogleCloudVisionV1p2beta1TextAnnotationTextProperty", "type": "object", "description": "Additional information detected on the structural component.", "properties": { "detectedLanguages": { "type": "array", "description": "A list of detected languages together with confidence.", "items": { "$ref": "GoogleCloudVisionV1p2beta1TextAnnotationDetectedLanguage" } }, "detectedBreak": { "$ref": "GoogleCloudVisionV1p2beta1TextAnnotationDetectedBreak", "description": "Detected start or end of a text segment." } } }, "GoogleCloudVisionV1p3beta1NormalizedVertex": { "type": "object", "properties": { "x": { "description": "X coordinate.", "type": "number", "format": "float" }, "y": { "description": "Y coordinate.", "type": "number", "format": "float" } }, "description": "A vertex represents a 2D point in the image. NOTE: the normalized vertex coordinates are relative to the original image and range from 0 to 1.", "id": "GoogleCloudVisionV1p3beta1NormalizedVertex" }, "GoogleCloudVisionV1p4beta1ProductSearchResultsObjectAnnotation": { "id": "GoogleCloudVisionV1p4beta1ProductSearchResultsObjectAnnotation", "properties": { "score": { "description": "Score of the result. Range [0, 1].", "format": "float", "type": "number" }, "languageCode": { "type": "string", "description": "The BCP-47 language code, such as \"en-US\" or \"sr-Latn\". For more information, see http://www.unicode.org/reports/tr35/#Unicode_locale_identifier." }, "name": { "description": "Object name, expressed in its `language_code` language.", "type": "string" }, "mid": { "description": "Object ID that should align with EntityAnnotation mid.", "type": "string" } }, "description": "Prediction for what the object in the bounding box is.", "type": "object" }, "GoogleCloudVisionV1p3beta1FaceAnnotation": { "id": "GoogleCloudVisionV1p3beta1FaceAnnotation", "description": "A face annotation object contains the results of face detection.", "properties": { "tiltAngle": { "type": "number", "description": "Pitch angle, which indicates the upwards/downwards angle that the face is pointing relative to the image's horizontal plane. Range [-180,180].", "format": "float" }, "fdBoundingPoly": { "description": "The `fd_bounding_poly` bounding polygon is tighter than the `boundingPoly`, and encloses only the skin part of the face. Typically, it is used to eliminate the face from any image analysis that detects the \"amount of skin\" visible in an image. It is not based on the landmarker results, only on the initial face detection, hence the fd (face detection) prefix.", "$ref": "GoogleCloudVisionV1p3beta1BoundingPoly" }, "panAngle": { "type": "number", "description": "Yaw angle, which indicates the leftward/rightward angle that the face is pointing relative to the vertical plane perpendicular to the image. Range [-180,180].", "format": "float" }, "headwearLikelihood": { "enumDescriptions": [ "Unknown likelihood.", "It is very unlikely.", "It is unlikely.", "It is possible.", "It is likely.", "It is very likely." ], "enum": [ "UNKNOWN", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ], "description": "Headwear likelihood.", "type": "string" }, "landmarks": { "type": "array", "items": { "$ref": "GoogleCloudVisionV1p3beta1FaceAnnotationLandmark" }, "description": "Detected face landmarks." }, "blurredLikelihood": { "description": "Blurred likelihood.", "type": "string", "enum": [ "UNKNOWN", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ], "enumDescriptions": [ "Unknown likelihood.", "It is very unlikely.", "It is unlikely.", "It is possible.", "It is likely.", "It is very likely." ] }, "boundingPoly": { "description": "The bounding polygon around the face. The coordinates of the bounding box are in the original image's scale. The bounding box is computed to \"frame\" the face in accordance with human expectations. It is based on the landmarker results. Note that one or more x and/or y coordinates may not be generated in the `BoundingPoly` (the polygon will be unbounded) if only a partial face appears in the image to be annotated.", "$ref": "GoogleCloudVisionV1p3beta1BoundingPoly" }, "joyLikelihood": { "enum": [ "UNKNOWN", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ], "description": "Joy likelihood.", "type": "string", "enumDescriptions": [ "Unknown likelihood.", "It is very unlikely.", "It is unlikely.", "It is possible.", "It is likely.", "It is very likely." ] }, "underExposedLikelihood": { "enum": [ "UNKNOWN", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ], "description": "Under-exposed likelihood.", "type": "string", "enumDescriptions": [ "Unknown likelihood.", "It is very unlikely.", "It is unlikely.", "It is possible.", "It is likely.", "It is very likely." ] }, "rollAngle": { "format": "float", "type": "number", "description": "Roll angle, which indicates the amount of clockwise/anti-clockwise rotation of the face relative to the image vertical about the axis perpendicular to the face. Range [-180,180]." }, "angerLikelihood": { "enum": [ "UNKNOWN", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ], "description": "Anger likelihood.", "type": "string", "enumDescriptions": [ "Unknown likelihood.", "It is very unlikely.", "It is unlikely.", "It is possible.", "It is likely.", "It is very likely." ] }, "detectionConfidence": { "format": "float", "type": "number", "description": "Detection confidence. Range [0, 1]." }, "sorrowLikelihood": { "enumDescriptions": [ "Unknown likelihood.", "It is very unlikely.", "It is unlikely.", "It is possible.", "It is likely.", "It is very likely." ], "type": "string", "description": "Sorrow likelihood.", "enum": [ "UNKNOWN", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ] }, "landmarkingConfidence": { "description": "Face landmarking confidence. Range [0, 1].", "type": "number", "format": "float" }, "surpriseLikelihood": { "type": "string", "enumDescriptions": [ "Unknown likelihood.", "It is very unlikely.", "It is unlikely.", "It is possible.", "It is likely.", "It is very likely." ], "enum": [ "UNKNOWN", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ], "description": "Surprise likelihood." } }, "type": "object" }, "GoogleCloudVisionV1p3beta1WebDetection": { "properties": { "pagesWithMatchingImages": { "description": "Web pages containing the matching images from the Internet.", "items": { "$ref": "GoogleCloudVisionV1p3beta1WebDetectionWebPage" }, "type": "array" }, "visuallySimilarImages": { "type": "array", "items": { "$ref": "GoogleCloudVisionV1p3beta1WebDetectionWebImage" }, "description": "The visually similar image results." }, "webEntities": { "type": "array", "items": { "$ref": "GoogleCloudVisionV1p3beta1WebDetectionWebEntity" }, "description": "Deduced entities from similar images on the Internet." }, "partialMatchingImages": { "type": "array", "items": { "$ref": "GoogleCloudVisionV1p3beta1WebDetectionWebImage" }, "description": "Partial matching images from the Internet. Those images are similar enough to share some key-point features. For example an original image will likely have partial matching for its crops." }, "bestGuessLabels": { "type": "array", "items": { "$ref": "GoogleCloudVisionV1p3beta1WebDetectionWebLabel" }, "description": "The service's best guess as to the topic of the request image. Inferred from similar images on the open web." }, "fullMatchingImages": { "description": "Fully matching images from the Internet. Can include resized copies of the query image.", "items": { "$ref": "GoogleCloudVisionV1p3beta1WebDetectionWebImage" }, "type": "array" } }, "type": "object", "description": "Relevant information for the image from the Internet.", "id": "GoogleCloudVisionV1p3beta1WebDetection" }, "GoogleCloudVisionV1p1beta1LocalizedObjectAnnotation": { "properties": { "name": { "type": "string", "description": "Object name, expressed in its `language_code` language." }, "boundingPoly": { "description": "Image region to which this object belongs. This must be populated.", "$ref": "GoogleCloudVisionV1p1beta1BoundingPoly" }, "mid": { "type": "string", "description": "Object ID that should align with EntityAnnotation mid." }, "languageCode": { "description": "The BCP-47 language code, such as \"en-US\" or \"sr-Latn\". For more information, see http://www.unicode.org/reports/tr35/#Unicode_locale_identifier.", "type": "string" }, "score": { "type": "number", "description": "Score of the result. Range [0, 1].", "format": "float" } }, "type": "object", "id": "GoogleCloudVisionV1p1beta1LocalizedObjectAnnotation", "description": "Set of detected objects with bounding boxes." }, "GoogleCloudVisionV1p1beta1BoundingPoly": { "description": "A bounding polygon for the detected image annotation.", "type": "object", "properties": { "vertices": { "items": { "$ref": "GoogleCloudVisionV1p1beta1Vertex" }, "type": "array", "description": "The bounding polygon vertices." }, "normalizedVertices": { "items": { "$ref": "GoogleCloudVisionV1p1beta1NormalizedVertex" }, "type": "array", "description": "The bounding polygon normalized vertices." } }, "id": "GoogleCloudVisionV1p1beta1BoundingPoly" }, "GoogleCloudVisionV1p2beta1Product": { "type": "object", "properties": { "productCategory": { "type": "string", "description": "Immutable. The category for the product identified by the reference image. This should be one of \"homegoods-v2\", \"apparel-v2\", \"toys-v2\", \"packagedgoods-v1\" or \"general-v1\". The legacy categories \"homegoods\", \"apparel\", and \"toys\" are still supported, but these should not be used for new products." }, "productLabels": { "type": "array", "description": "Key-value pairs that can be attached to a product. At query time, constraints can be specified based on the product_labels. Note that integer values can be provided as strings, e.g. \"1199\". Only strings with integer values can match a range-based restriction which is to be supported soon. Multiple values can be assigned to the same key. One product may have up to 500 product_labels. Notice that the total number of distinct product_labels over all products in one ProductSet cannot exceed 1M, otherwise the product search pipeline will refuse to work for that ProductSet.", "items": { "$ref": "GoogleCloudVisionV1p2beta1ProductKeyValue" } }, "name": { "description": "The resource name of the product. Format is: `projects/PROJECT_ID/locations/LOC_ID/products/PRODUCT_ID`. This field is ignored when creating a product.", "type": "string" }, "displayName": { "type": "string", "description": "The user-provided name for this Product. Must not be empty. Must be at most 4096 characters long." }, "description": { "description": "User-provided metadata to be stored with this product. Must be at most 4096 characters long.", "type": "string" } }, "description": "A Product contains ReferenceImages.", "id": "GoogleCloudVisionV1p2beta1Product" }, "GoogleCloudVisionV1p2beta1TextAnnotationDetectedLanguage": { "description": "Detected language for a structural component.", "id": "GoogleCloudVisionV1p2beta1TextAnnotationDetectedLanguage", "properties": { "languageCode": { "type": "string", "description": "The BCP-47 language code, such as \"en-US\" or \"sr-Latn\". For more information, see http://www.unicode.org/reports/tr35/#Unicode_locale_identifier." }, "confidence": { "format": "float", "type": "number", "description": "Confidence of detected language. Range [0, 1]." } }, "type": "object" }, "GoogleCloudVisionV1p2beta1TextAnnotationDetectedBreak": { "id": "GoogleCloudVisionV1p2beta1TextAnnotationDetectedBreak", "type": "object", "description": "Detected start or end of a structural component.", "properties": { "isPrefix": { "type": "boolean", "description": "True if break prepends the element." }, "type": { "description": "Detected break type.", "enum": [ "UNKNOWN", "SPACE", "SURE_SPACE", "EOL_SURE_SPACE", "HYPHEN", "LINE_BREAK" ], "type": "string", "enumDescriptions": [ "Unknown break label type.", "Regular space.", "Sure space (very wide).", "Line-wrapping break.", "End-line hyphen that is not present in text; does not co-occur with `SPACE`, `LEADER_SPACE`, or `LINE_BREAK`.", "Line break that ends a paragraph." ] } } }, "Operation": { "description": "This resource represents a long-running operation that is the result of a network API call.", "type": "object", "id": "Operation", "properties": { "metadata": { "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "description": "Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any.", "type": "object" }, "error": { "$ref": "Status", "description": "The error result of the operation in case of failure or cancellation." }, "response": { "type": "object", "description": "The normal response of the operation in case of success. If the original method returns no data on success, such as `Delete`, the response is `google.protobuf.Empty`. If the original method is standard `Get`/`Create`/`Update`, the response should be the resource. For other methods, the response should have the type `XxxResponse`, where `Xxx` is the original method name. For example, if the original method name is `TakeSnapshot()`, the inferred response type is `TakeSnapshotResponse`.", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" } }, "done": { "description": "If the value is `false`, it means the operation is still in progress. If `true`, the operation is completed, and either `error` or `response` is available.", "type": "boolean" }, "name": { "description": "The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the `name` should be a resource name ending with `operations/{unique_id}`.", "type": "string" } } }, "GoogleCloudVisionV1p2beta1OperationMetadata": { "description": "Contains metadata for the BatchAnnotateImages operation.", "properties": { "createTime": { "type": "string", "description": "The time when the batch request was received.", "format": "google-datetime" }, "updateTime": { "description": "The time when the operation result was last updated.", "type": "string", "format": "google-datetime" }, "state": { "description": "Current state of the batch operation.", "enum": [ "STATE_UNSPECIFIED", "CREATED", "RUNNING", "DONE", "CANCELLED" ], "type": "string", "enumDescriptions": [ "Invalid.", "Request is received.", "Request is actively being processed.", "The batch processing is done.", "The batch processing was cancelled." ] } }, "type": "object", "id": "GoogleCloudVisionV1p2beta1OperationMetadata" }, "GoogleCloudVisionV1p2beta1Block": { "properties": { "boundingBox": { "description": "The bounding box for the block. The vertices are in the order of top-left, top-right, bottom-right, bottom-left. When a rotation of the bounding box is detected the rotation is represented as around the top-left corner as defined when the text is read in the 'natural' orientation. For example: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh when the text is horizontal it might look like: 0----1 | | 3----2 LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh when it's rotated 180 degrees around the top-left corner it becomes: 2----3 | | 1----0 and the vertex order will still be (0, 1, 2, 3).", "$ref": "GoogleCloudVisionV1p2beta1BoundingPoly" }, "blockType": { "type": "string", "description": "Detected block type (text, image etc) for this block.", "enum": [ "UNKNOWN", "TEXT", "TABLE", "PICTURE", "RULER", "BARCODE" ], "enumDescriptions": [ "Unknown block type.", "Regular text block.", "Table block.", "Image block.", "Horizontal/vertical line box.", "Barcode block." ] }, "property": { "$ref": "GoogleCloudVisionV1p2beta1TextAnnotationTextProperty", "description": "Additional information detected for the block." }, "confidence": { "format": "float", "type": "number", "description": "Confidence of the OCR results on the block. Range [0, 1]." }, "paragraphs": { "type": "array", "items": { "$ref": "GoogleCloudVisionV1p2beta1Paragraph" }, "description": "List of paragraphs in this block (if this blocks is of type text)." } }, "type": "object", "id": "GoogleCloudVisionV1p2beta1Block", "description": "Logical element on the page." }, "GoogleCloudVisionV1p2beta1ProductSearchParams": { "properties": { "filter": { "description": "The filtering expression. This can be used to restrict search results based on Product labels. We currently support an AND of OR of key-value expressions, where each expression within an OR must have the same key. An '=' should be used to connect the key and value. For example, \"(color = red OR color = blue) AND brand = Google\" is acceptable, but \"(color = red OR brand = Google)\" is not acceptable. \"color: red\" is not acceptable because it uses a ':' instead of an '='.", "type": "string" }, "boundingPoly": { "$ref": "GoogleCloudVisionV1p2beta1BoundingPoly", "description": "The bounding polygon around the area of interest in the image. If it is not specified, system discretion will be applied." }, "productCategories": { "description": "The list of product categories to search in. Currently, we only consider the first category, and either \"homegoods-v2\", \"apparel-v2\", \"toys-v2\", \"packagedgoods-v1\", or \"general-v1\" should be specified. The legacy categories \"homegoods\", \"apparel\", and \"toys\" are still supported but will be deprecated. For new products, please use \"homegoods-v2\", \"apparel-v2\", or \"toys-v2\" for better product search accuracy. It is recommended to migrate existing products to these categories as well.", "type": "array", "items": { "type": "string" } }, "productSet": { "description": "The resource name of a ProductSet to be searched for similar images. Format is: `projects/PROJECT_ID/locations/LOC_ID/productSets/PRODUCT_SET_ID`.", "type": "string" } }, "description": "Parameters for a product search request.", "id": "GoogleCloudVisionV1p2beta1ProductSearchParams", "type": "object" }, "GoogleCloudVisionV1p1beta1ProductSearchResultsResult": { "properties": { "product": { "$ref": "GoogleCloudVisionV1p1beta1Product", "description": "The Product." }, "score": { "type": "number", "format": "float", "description": "A confidence level on the match, ranging from 0 (no confidence) to 1 (full confidence)." }, "image": { "type": "string", "description": "The resource name of the image from the product that is the closest match to the query." } }, "type": "object", "id": "GoogleCloudVisionV1p1beta1ProductSearchResultsResult", "description": "Information about a product." }, "GoogleCloudVisionV1p3beta1Symbol": { "type": "object", "description": "A single symbol representation.", "id": "GoogleCloudVisionV1p3beta1Symbol", "properties": { "confidence": { "format": "float", "description": "Confidence of the OCR results for the symbol. Range [0, 1].", "type": "number" }, "boundingBox": { "description": "The bounding box for the symbol. The vertices are in the order of top-left, top-right, bottom-right, bottom-left. When a rotation of the bounding box is detected the rotation is represented as around the top-left corner as defined when the text is read in the 'natural' orientation. For example: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh when the text is horizontal it might look like: 0----1 | | 3----2 LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh when it's rotated 180 degrees around the top-left corner it becomes: 2----3 | | 1----0 and the vertex order will still be (0, 1, 2, 3).", "$ref": "GoogleCloudVisionV1p3beta1BoundingPoly" }, "text": { "description": "The actual UTF-8 representation of the symbol.", "type": "string" }, "property": { "$ref": "GoogleCloudVisionV1p3beta1TextAnnotationTextProperty", "description": "Additional information detected for the symbol." } } }, "GoogleCloudVisionV1p1beta1Vertex": { "description": "A vertex represents a 2D point in the image. NOTE: the vertex coordinates are in the same scale as the original image.", "type": "object", "properties": { "y": { "description": "Y coordinate.", "format": "int32", "type": "integer" }, "x": { "description": "X coordinate.", "type": "integer", "format": "int32" } }, "id": "GoogleCloudVisionV1p1beta1Vertex" }, "GoogleCloudVisionV1p4beta1GcsSource": { "properties": { "uri": { "description": "Google Cloud Storage URI for the input file. This must only be a Google Cloud Storage object. Wildcards are not currently supported.", "type": "string" } }, "type": "object", "description": "The Google Cloud Storage location where the input will be read from.", "id": "GoogleCloudVisionV1p4beta1GcsSource" }, "GoogleCloudVisionV1p2beta1WebDetection": { "properties": { "webEntities": { "items": { "$ref": "GoogleCloudVisionV1p2beta1WebDetectionWebEntity" }, "type": "array", "description": "Deduced entities from similar images on the Internet." }, "visuallySimilarImages": { "type": "array", "description": "The visually similar image results.", "items": { "$ref": "GoogleCloudVisionV1p2beta1WebDetectionWebImage" } }, "bestGuessLabels": { "description": "The service's best guess as to the topic of the request image. Inferred from similar images on the open web.", "type": "array", "items": { "$ref": "GoogleCloudVisionV1p2beta1WebDetectionWebLabel" } }, "fullMatchingImages": { "description": "Fully matching images from the Internet. Can include resized copies of the query image.", "items": { "$ref": "GoogleCloudVisionV1p2beta1WebDetectionWebImage" }, "type": "array" }, "partialMatchingImages": { "description": "Partial matching images from the Internet. Those images are similar enough to share some key-point features. For example an original image will likely have partial matching for its crops.", "type": "array", "items": { "$ref": "GoogleCloudVisionV1p2beta1WebDetectionWebImage" } }, "pagesWithMatchingImages": { "type": "array", "description": "Web pages containing the matching images from the Internet.", "items": { "$ref": "GoogleCloudVisionV1p2beta1WebDetectionWebPage" } } }, "description": "Relevant information for the image from the Internet.", "id": "GoogleCloudVisionV1p2beta1WebDetection", "type": "object" }, "GoogleCloudVisionV1p1beta1Word": { "type": "object", "id": "GoogleCloudVisionV1p1beta1Word", "description": "A word representation.", "properties": { "property": { "$ref": "GoogleCloudVisionV1p1beta1TextAnnotationTextProperty", "description": "Additional information detected for the word." }, "symbols": { "items": { "$ref": "GoogleCloudVisionV1p1beta1Symbol" }, "type": "array", "description": "List of symbols in the word. The order of the symbols follows the natural reading order." }, "boundingBox": { "$ref": "GoogleCloudVisionV1p1beta1BoundingPoly", "description": "The bounding box for the word. The vertices are in the order of top-left, top-right, bottom-right, bottom-left. When a rotation of the bounding box is detected the rotation is represented as around the top-left corner as defined when the text is read in the 'natural' orientation. For example: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh when the text is horizontal it might look like: 0----1 | | 3----2 LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh when it's rotated 180 degrees around the top-left corner it becomes: 2----3 | | 1----0 and the vertex order will still be (0, 1, 2, 3)." }, "confidence": { "type": "number", "description": "Confidence of the OCR results for the word. Range [0, 1].", "format": "float" } } }, "GoogleCloudVisionV1p1beta1Position": { "properties": { "y": { "format": "float", "description": "Y coordinate.", "type": "number" }, "z": { "description": "Z coordinate (or depth).", "type": "number", "format": "float" }, "x": { "type": "number", "format": "float", "description": "X coordinate." } }, "type": "object", "description": "A 3D position in the image, used primarily for Face detection landmarks. A valid Position must have both x and y coordinates. The position coordinates are in the same scale as the original image.", "id": "GoogleCloudVisionV1p1beta1Position" }, "GoogleCloudVisionV1p4beta1Product": { "id": "GoogleCloudVisionV1p4beta1Product", "properties": { "displayName": { "description": "The user-provided name for this Product. Must not be empty. Must be at most 4096 characters long.", "type": "string" }, "description": { "type": "string", "description": "User-provided metadata to be stored with this product. Must be at most 4096 characters long." }, "productLabels": { "items": { "$ref": "GoogleCloudVisionV1p4beta1ProductKeyValue" }, "type": "array", "description": "Key-value pairs that can be attached to a product. At query time, constraints can be specified based on the product_labels. Note that integer values can be provided as strings, e.g. \"1199\". Only strings with integer values can match a range-based restriction which is to be supported soon. Multiple values can be assigned to the same key. One product may have up to 500 product_labels. Notice that the total number of distinct product_labels over all products in one ProductSet cannot exceed 1M, otherwise the product search pipeline will refuse to work for that ProductSet." }, "productCategory": { "description": "Immutable. The category for the product identified by the reference image. This should be one of \"homegoods-v2\", \"apparel-v2\", \"toys-v2\", \"packagedgoods-v1\" or \"general-v1\". The legacy categories \"homegoods\", \"apparel\", and \"toys\" are still supported, but these should not be used for new products.", "type": "string" }, "name": { "type": "string", "description": "The resource name of the product. Format is: `projects/PROJECT_ID/locations/LOC_ID/products/PRODUCT_ID`. This field is ignored when creating a product." } }, "type": "object", "description": "A Product contains ReferenceImages." }, "Property": { "id": "Property", "description": "A `Property` consists of a user-supplied name/value pair.", "properties": { "name": { "description": "Name of the property.", "type": "string" }, "uint64Value": { "description": "Value of numeric properties.", "type": "string", "format": "uint64" }, "value": { "type": "string", "description": "Value of the property." } }, "type": "object" }, "GoogleCloudVisionV1p4beta1TextAnnotationTextProperty": { "type": "object", "id": "GoogleCloudVisionV1p4beta1TextAnnotationTextProperty", "description": "Additional information detected on the structural component.", "properties": { "detectedBreak": { "$ref": "GoogleCloudVisionV1p4beta1TextAnnotationDetectedBreak", "description": "Detected start or end of a text segment." }, "detectedLanguages": { "type": "array", "items": { "$ref": "GoogleCloudVisionV1p4beta1TextAnnotationDetectedLanguage" }, "description": "A list of detected languages together with confidence." } } }, "GoogleCloudVisionV1p3beta1BoundingPoly": { "id": "GoogleCloudVisionV1p3beta1BoundingPoly", "description": "A bounding polygon for the detected image annotation.", "properties": { "normalizedVertices": { "type": "array", "description": "The bounding polygon normalized vertices.", "items": { "$ref": "GoogleCloudVisionV1p3beta1NormalizedVertex" } }, "vertices": { "type": "array", "description": "The bounding polygon vertices.", "items": { "$ref": "GoogleCloudVisionV1p3beta1Vertex" } } }, "type": "object" }, "GoogleCloudVisionV1p4beta1ProductSearchResults": { "id": "GoogleCloudVisionV1p4beta1ProductSearchResults", "type": "object", "description": "Results for a product search request.", "properties": { "results": { "items": { "$ref": "GoogleCloudVisionV1p4beta1ProductSearchResultsResult" }, "description": "List of results, one for each product match.", "type": "array" }, "productGroupedResults": { "items": { "$ref": "GoogleCloudVisionV1p4beta1ProductSearchResultsGroupedResult" }, "description": "List of results grouped by products detected in the query image. Each entry corresponds to one bounding polygon in the query image, and contains the matching products specific to that region. There may be duplicate product matches in the union of all the per-product results.", "type": "array" }, "indexTime": { "description": "Timestamp of the index which provided these results. Products added to the product set and products removed from the product set after this time are not reflected in the current results.", "type": "string", "format": "google-datetime" } } } }, "discoveryVersion": "v1", "protocol": "rest", "mtlsRootUrl": "https://vision.mtls.googleapis.com/", "name": "vision", "canonicalName": "Vision", "title": "Cloud Vision API", "documentationLink": "https://cloud.google.com/vision/", "ownerName": "Google", "batchPath": "batch" }
]===]))
