local decode = require("cjson").new().decode
return assert(decode([===[
{ "protocol": "rest", "title": "VM Migration API", "description": "Use the Migrate for Compute Engine API to programmatically migrate workloads. ", "discoveryVersion": "v1", "documentationLink": "https://cloud.google.com/migrate/compute-engine", "version": "v1", "icons": { "x32": "http://www.google.com/images/icons/product/search-32.gif", "x16": "http://www.google.com/images/icons/product/search-16.gif" }, "canonicalName": "VM Migration Service", "batchPath": "batch", "parameters": { "key": { "type": "string", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "location": "query" }, "alt": { "location": "query", "description": "Data format for response.", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "type": "string", "enum": [ "json", "media", "proto" ], "default": "json" }, "uploadType": { "location": "query", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "type": "string" }, "prettyPrint": { "type": "boolean", "default": "true", "description": "Returns response with indentations and line breaks.", "location": "query" }, "access_token": { "type": "string", "location": "query", "description": "OAuth access token." }, "$.xgafv": { "description": "V1 error format.", "enumDescriptions": [ "v1 error format", "v2 error format" ], "enum": [ "1", "2" ], "location": "query", "type": "string" }, "callback": { "location": "query", "description": "JSONP", "type": "string" }, "upload_protocol": { "type": "string", "location": "query", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\")." }, "quotaUser": { "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "type": "string", "location": "query" }, "oauth_token": { "type": "string", "location": "query", "description": "OAuth 2.0 token for the current user." }, "fields": { "type": "string", "description": "Selector specifying which fields to include in a partial response.", "location": "query" } }, "rootUrl": "https://vmmigration.googleapis.com/", "basePath": "", "baseUrl": "https://vmmigration.googleapis.com/", "kind": "discovery#restDescription", "resources": { "projects": { "resources": { "locations": { "resources": { "targetProjects": { "methods": { "get": { "description": "Gets details of a single TargetProject. NOTE: TargetProject is a global resource; hence the only supported value for location is `global`.", "parameters": { "name": { "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/targetProjects/[^/]+$", "location": "path", "description": "Required. The TargetProject name.", "required": true } }, "parameterOrder": [ "name" ], "path": "v1/{+name}", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/targetProjects/{targetProjectsId}", "id": "vmmigration.projects.locations.targetProjects.get", "response": { "$ref": "TargetProject" }, "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "delete": { "parameters": { "name": { "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/targetProjects/[^/]+$", "description": "Required. The TargetProject name.", "location": "path" }, "requestId": { "description": "Optional. A request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes after the first request. For example, consider a situation where you make an initial request and t he request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" } }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/targetProjects/{targetProjectsId}", "response": { "$ref": "Operation" }, "path": "v1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "httpMethod": "DELETE", "description": "Deletes a single TargetProject. NOTE: TargetProject is a global resource; hence the only supported value for location is `global`.", "id": "vmmigration.projects.locations.targetProjects.delete" }, "patch": { "parameterOrder": [ "name" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/targetProjects/{targetProjectsId}", "description": "Updates the parameters of a single TargetProject. NOTE: TargetProject is a global resource; hence the only supported value for location is `global`.", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "PATCH", "path": "v1/{+name}", "id": "vmmigration.projects.locations.targetProjects.patch", "parameters": { "requestId": { "description": "A request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes since the first request. For example, consider a situation where you make an initial request and t he request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "updateMask": { "format": "google-fieldmask", "description": "Field mask is used to specify the fields to be overwritten in the TargetProject resource by the update. The fields specified in the update_mask are relative to the resource, not the full request. A field will be overwritten if it is in the mask. If the user does not provide a mask then all fields will be overwritten.", "location": "query", "type": "string" }, "name": { "pattern": "^projects/[^/]+/locations/[^/]+/targetProjects/[^/]+$", "type": "string", "required": true, "location": "path", "description": "Output only. The name of the target project." } }, "request": { "$ref": "TargetProject" } }, "list": { "parameters": { "pageToken": { "description": "Required. A page token, received from a previous `ListTargets` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListTargets` must match the call that provided the page token.", "location": "query", "type": "string" }, "pageSize": { "type": "integer", "description": "Optional. The maximum number of targets to return. The service may return fewer than this value. If unspecified, at most 500 targets will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.", "location": "query", "format": "int32" }, "filter": { "location": "query", "description": "Optional. The filter request.", "type": "string" }, "parent": { "location": "path", "description": "Required. The parent, which owns this collection of targets.", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+$", "type": "string" }, "orderBy": { "type": "string", "location": "query", "description": "Optional. the order by fields for the result." } }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/targetProjects", "response": { "$ref": "ListTargetProjectsResponse" }, "id": "vmmigration.projects.locations.targetProjects.list", "description": "Lists TargetProjects in a given project. NOTE: TargetProject is a global resource; hence the only supported value for location is `global`.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+parent}/targetProjects", "httpMethod": "GET", "parameterOrder": [ "parent" ] }, "create": { "parameterOrder": [ "parent" ], "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Creates a new TargetProject in a given project. NOTE: TargetProject is a global resource; hence the only supported value for location is `global`.", "request": { "$ref": "TargetProject" }, "parameters": { "parent": { "location": "path", "required": true, "description": "Required. The TargetProject's parent.", "pattern": "^projects/[^/]+/locations/[^/]+$", "type": "string" }, "targetProjectId": { "description": "Required. The target_project identifier.", "location": "query", "type": "string" }, "requestId": { "location": "query", "description": "A request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes since the first request. For example, consider a situation where you make an initial request and t he request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).", "type": "string" } }, "path": "v1/{+parent}/targetProjects", "id": "vmmigration.projects.locations.targetProjects.create", "httpMethod": "POST", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/targetProjects" } } }, "groups": { "methods": { "get": { "response": { "$ref": "Group" }, "description": "Gets details of a single Group.", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+name}", "parameters": { "name": { "required": true, "description": "Required. The group name.", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/groups/[^/]+$", "type": "string" } }, "id": "vmmigration.projects.locations.groups.get", "httpMethod": "GET", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/groups/{groupsId}" }, "patch": { "httpMethod": "PATCH", "response": { "$ref": "Operation" }, "description": "Updates the parameters of a single Group.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/groups/{groupsId}", "path": "v1/{+name}", "parameters": { "requestId": { "type": "string", "description": "A request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes since the first request. For example, consider a situation where you make an initial request and t he request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).", "location": "query" }, "name": { "pattern": "^projects/[^/]+/locations/[^/]+/groups/[^/]+$", "required": true, "type": "string", "location": "path", "description": "Output only. The Group name." }, "updateMask": { "format": "google-fieldmask", "description": "Field mask is used to specify the fields to be overwritten in the Group resource by the update. The fields specified in the update_mask are relative to the resource, not the full request. A field will be overwritten if it is in the mask. If the user does not provide a mask then all fields will be overwritten.", "type": "string", "location": "query" } }, "request": { "$ref": "Group" }, "id": "vmmigration.projects.locations.groups.patch" }, "delete": { "parameters": { "name": { "type": "string", "description": "Required. The Group name.", "pattern": "^projects/[^/]+/locations/[^/]+/groups/[^/]+$", "required": true, "location": "path" }, "requestId": { "type": "string", "location": "query", "description": "Optional. A request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes after the first request. For example, consider a situation where you make an initial request and t he request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000)." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+name}", "description": "Deletes a single Group.", "id": "vmmigration.projects.locations.groups.delete", "response": { "$ref": "Operation" }, "httpMethod": "DELETE", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/groups/{groupsId}", "parameterOrder": [ "name" ] }, "addGroupMigration": { "request": { "$ref": "AddGroupMigrationRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST", "parameterOrder": [ "group" ], "path": "v1/{+group}:addGroupMigration", "parameters": { "group": { "pattern": "^projects/[^/]+/locations/[^/]+/groups/[^/]+$", "location": "path", "description": "Required. The full path name of the Group to add to.", "required": true, "type": "string" } }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/groups/{groupsId}:addGroupMigration", "description": "Adds a MigratingVm to a Group.", "id": "vmmigration.projects.locations.groups.addGroupMigration", "response": { "$ref": "Operation" } }, "removeGroupMigration": { "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/groups/{groupsId}:removeGroupMigration", "parameters": { "group": { "pattern": "^projects/[^/]+/locations/[^/]+/groups/[^/]+$", "type": "string", "required": true, "description": "Required. The name of the Group.", "location": "path" } }, "id": "vmmigration.projects.locations.groups.removeGroupMigration", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Removes a MigratingVm from a Group.", "path": "v1/{+group}:removeGroupMigration", "httpMethod": "POST", "parameterOrder": [ "group" ], "request": { "$ref": "RemoveGroupMigrationRequest" } }, "list": { "description": "Lists Groups in a given project and location.", "parameterOrder": [ "parent" ], "httpMethod": "GET", "id": "vmmigration.projects.locations.groups.list", "path": "v1/{+parent}/groups", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "ListGroupsResponse" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/groups", "parameters": { "parent": { "location": "path", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+$", "required": true, "description": "Required. The parent, which owns this collection of groups." }, "pageSize": { "type": "integer", "format": "int32", "description": "Optional. The maximum number of groups to return. The service may return fewer than this value. If unspecified, at most 500 groups will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.", "location": "query" }, "filter": { "description": "Optional. The filter request.", "type": "string", "location": "query" }, "pageToken": { "location": "query", "description": "Required. A page token, received from a previous `ListGroups` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListGroups` must match the call that provided the page token.", "type": "string" }, "orderBy": { "type": "string", "location": "query", "description": "Optional. the order by fields for the result." } } }, "create": { "description": "Creates a new Group in a given project and location.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "Group" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/groups", "httpMethod": "POST", "parameterOrder": [ "parent" ], "parameters": { "parent": { "type": "string", "required": true, "description": "Required. The Group's parent.", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+$" }, "requestId": { "type": "string", "location": "query", "description": "A request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes since the first request. For example, consider a situation where you make an initial request and t he request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000)." }, "groupId": { "location": "query", "type": "string", "description": "Required. The group identifier." } }, "id": "vmmigration.projects.locations.groups.create", "response": { "$ref": "Operation" }, "path": "v1/{+parent}/groups" } } }, "operations": { "methods": { "get": { "path": "v1/{+name}", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}", "parameters": { "name": { "type": "string", "description": "The name of the operation resource.", "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "location": "path", "required": true } }, "description": "Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service.", "response": { "$ref": "Operation" }, "id": "vmmigration.projects.locations.operations.get", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "parameterOrder": [ "name" ] }, "cancel": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "id": "vmmigration.projects.locations.operations.cancel", "path": "v1/{+name}:cancel", "response": { "$ref": "Empty" }, "parameters": { "name": { "location": "path", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "required": true, "description": "The name of the operation resource to be cancelled." } }, "httpMethod": "POST", "description": "Starts asynchronous cancellation on a long-running operation. The server makes a best effort to cancel the operation, but success is not guaranteed. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`. Clients can use Operations.GetOperation or other methods to check whether the cancellation succeeded or whether the operation completed despite cancellation. On successful cancellation, the operation is not deleted; instead, it becomes an operation with an Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`.", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}:cancel", "request": { "$ref": "CancelOperationRequest" } }, "list": { "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/operations", "response": { "$ref": "ListOperationsResponse" }, "parameters": { "name": { "type": "string", "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+$", "description": "The name of the operation's parent resource." }, "filter": { "type": "string", "description": "The standard list filter.", "location": "query" }, "pageSize": { "format": "int32", "location": "query", "description": "The standard list page size.", "type": "integer" }, "pageToken": { "location": "query", "description": "The standard list page token.", "type": "string" } }, "httpMethod": "GET", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "vmmigration.projects.locations.operations.list", "path": "v1/{+name}/operations", "description": "Lists operations that match the specified filter in the request. If the server doesn't support this method, it returns `UNIMPLEMENTED`. NOTE: the `name` binding allows API services to override the binding to use different resource name schemes, such as `users/*/operations`. To override the binding, API services can add a binding such as `\"/v1/{name=users/*}/operations\"` to their service configuration. For backwards compatibility, the default name includes the operations collection id, however overriding users must ensure the name binding is the parent resource, without the operations collection id." }, "delete": { "httpMethod": "DELETE", "description": "Deletes a long-running operation. This method indicates that the client is no longer interested in the operation result. It does not cancel the operation. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`.", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}", "response": { "$ref": "Empty" }, "id": "vmmigration.projects.locations.operations.delete", "parameters": { "name": { "required": true, "description": "The name of the operation resource to be deleted.", "location": "path", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "path": "v1/{+name}" } } }, "sources": { "resources": { "migratingVms": { "methods": { "create": { "parameterOrder": [ "parent" ], "response": { "$ref": "Operation" }, "id": "vmmigration.projects.locations.sources.migratingVms.create", "description": "Creates a new MigratingVm in a given Source.", "request": { "$ref": "MigratingVm" }, "parameters": { "requestId": { "location": "query", "description": "A request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes since the first request. For example, consider a situation where you make an initial request and t he request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).", "type": "string" }, "parent": { "description": "Required. The MigratingVm's parent.", "location": "path", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/sources/[^/]+$" }, "migratingVmId": { "description": "Required. The migratingVm identifier.", "type": "string", "location": "query" } }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/sources/{sourcesId}/migratingVms", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST", "path": "v1/{+parent}/migratingVms" }, "patch": { "id": "vmmigration.projects.locations.sources.migratingVms.patch", "request": { "$ref": "MigratingVm" }, "path": "v1/{+name}", "description": "Updates the parameters of a single MigratingVm.", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/sources/{sourcesId}/migratingVms/{migratingVmsId}", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "PATCH", "response": { "$ref": "Operation" }, "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/sources/[^/]+/migratingVms/[^/]+$", "type": "string", "description": "Output only. The identifier of the MigratingVm.", "required": true, "location": "path" }, "updateMask": { "type": "string", "description": "Field mask is used to specify the fields to be overwritten in the MigratingVm resource by the update. The fields specified in the update_mask are relative to the resource, not the full request. A field will be overwritten if it is in the mask. If the user does not provide a mask then all fields will be overwritten.", "location": "query", "format": "google-fieldmask" }, "requestId": { "description": "A request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes since the first request. For example, consider a situation where you make an initial request and t he request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" } } }, "finalizeMigration": { "path": "v1/{+migratingVm}:finalizeMigration", "httpMethod": "POST", "request": { "$ref": "FinalizeMigrationRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Marks a migration as completed, deleting migration resources that are no longer being used. Only applicable after cutover is done.", "response": { "$ref": "Operation" }, "id": "vmmigration.projects.locations.sources.migratingVms.finalizeMigration", "parameterOrder": [ "migratingVm" ], "parameters": { "migratingVm": { "pattern": "^projects/[^/]+/locations/[^/]+/sources/[^/]+/migratingVms/[^/]+$", "description": "Required. The name of the MigratingVm.", "type": "string", "location": "path", "required": true } }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/sources/{sourcesId}/migratingVms/{migratingVmsId}:finalizeMigration" }, "startMigration": { "description": "Starts migration for a VM. Starts the process of uploading data and creating snapshots, in replication cycles scheduled by the policy.", "parameterOrder": [ "migratingVm" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "StartMigrationRequest" }, "parameters": { "migratingVm": { "pattern": "^projects/[^/]+/locations/[^/]+/sources/[^/]+/migratingVms/[^/]+$", "type": "string", "description": "Required. The name of the MigratingVm.", "required": true, "location": "path" } }, "id": "vmmigration.projects.locations.sources.migratingVms.startMigration", "response": { "$ref": "Operation" }, "path": "v1/{+migratingVm}:startMigration", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/sources/{sourcesId}/migratingVms/{migratingVmsId}:startMigration", "httpMethod": "POST" }, "get": { "id": "vmmigration.projects.locations.sources.migratingVms.get", "response": { "$ref": "MigratingVm" }, "parameterOrder": [ "name" ], "parameters": { "name": { "description": "Required. The name of the MigratingVm.", "type": "string", "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/sources/[^/]+/migratingVms/[^/]+$" }, "view": { "description": "Optional. The level of details of the migrating VM.", "location": "query", "type": "string", "enum": [ "MIGRATING_VM_VIEW_UNSPECIFIED", "MIGRATING_VM_VIEW_BASIC", "MIGRATING_VM_VIEW_FULL" ], "enumDescriptions": [ "View is unspecified. The API will fallback to the default value.", "Get the migrating VM basic details. The basic details do not include the recent clone jobs and recent cutover jobs lists.", "Include everything." ] } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+name}", "httpMethod": "GET", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/sources/{sourcesId}/migratingVms/{migratingVmsId}", "description": "Gets details of a single MigratingVm." }, "pauseMigration": { "parameterOrder": [ "migratingVm" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/sources/{sourcesId}/migratingVms/{migratingVmsId}:pauseMigration", "httpMethod": "POST", "path": "v1/{+migratingVm}:pauseMigration", "parameters": { "migratingVm": { "required": true, "description": "Required. The name of the MigratingVm.", "location": "path", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/sources/[^/]+/migratingVms/[^/]+$" } }, "response": { "$ref": "Operation" }, "id": "vmmigration.projects.locations.sources.migratingVms.pauseMigration", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "PauseMigrationRequest" }, "description": "Pauses a migration for a VM. If cycle tasks are running they will be cancelled, preserving source task data. Further replication cycles will not be triggered while the VM is paused." }, "list": { "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/sources/{sourcesId}/migratingVms", "id": "vmmigration.projects.locations.sources.migratingVms.list", "response": { "$ref": "ListMigratingVmsResponse" }, "parameterOrder": [ "parent" ], "description": "Lists MigratingVms in a given Source.", "path": "v1/{+parent}/migratingVms", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "orderBy": { "description": "Optional. the order by fields for the result.", "type": "string", "location": "query" }, "pageToken": { "description": "Required. A page token, received from a previous `ListMigratingVms` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListMigratingVms` must match the call that provided the page token.", "type": "string", "location": "query" }, "view": { "enumDescriptions": [ "View is unspecified. The API will fallback to the default value.", "Get the migrating VM basic details. The basic details do not include the recent clone jobs and recent cutover jobs lists.", "Include everything." ], "enum": [ "MIGRATING_VM_VIEW_UNSPECIFIED", "MIGRATING_VM_VIEW_BASIC", "MIGRATING_VM_VIEW_FULL" ], "location": "query", "description": "Optional. The level of details of each migrating VM.", "type": "string" }, "filter": { "description": "Optional. The filter request.", "type": "string", "location": "query" }, "parent": { "required": true, "description": "Required. The parent, which owns this collection of MigratingVms.", "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/sources/[^/]+$" }, "pageSize": { "description": "Optional. The maximum number of migrating VMs to return. The service may return fewer than this value. If unspecified, at most 500 migrating VMs will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.", "type": "integer", "format": "int32", "location": "query" } } }, "delete": { "httpMethod": "DELETE", "id": "vmmigration.projects.locations.sources.migratingVms.delete", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/sources/[^/]+/migratingVms/[^/]+$", "type": "string", "description": "Required. The name of the MigratingVm.", "location": "path" } }, "response": { "$ref": "Operation" }, "path": "v1/{+name}", "description": "Deletes a single MigratingVm.", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/sources/{sourcesId}/migratingVms/{migratingVmsId}" }, "resumeMigration": { "httpMethod": "POST", "description": "Resumes a migration for a VM. When called on a paused migration, will start the process of uploading data and creating snapshots; when called on a completed cut-over migration, will update the migration to active state and start the process of uploading data and creating snapshots.", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/sources/{sourcesId}/migratingVms/{migratingVmsId}:resumeMigration", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Operation" }, "parameterOrder": [ "migratingVm" ], "path": "v1/{+migratingVm}:resumeMigration", "parameters": { "migratingVm": { "required": true, "location": "path", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/sources/[^/]+/migratingVms/[^/]+$", "description": "Required. The name of the MigratingVm." } }, "request": { "$ref": "ResumeMigrationRequest" }, "id": "vmmigration.projects.locations.sources.migratingVms.resumeMigration" } }, "resources": { "replicationCycles": { "methods": { "get": { "parameterOrder": [ "name" ], "parameters": { "name": { "description": "Required. The name of the ReplicationCycle.", "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/sources/[^/]+/migratingVms/[^/]+/replicationCycles/[^/]+$", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+name}", "response": { "$ref": "ReplicationCycle" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/sources/{sourcesId}/migratingVms/{migratingVmsId}/replicationCycles/{replicationCyclesId}", "id": "vmmigration.projects.locations.sources.migratingVms.replicationCycles.get", "description": "Gets details of a single ReplicationCycle.", "httpMethod": "GET" }, "list": { "parameterOrder": [ "parent" ], "path": "v1/{+parent}/replicationCycles", "parameters": { "parent": { "pattern": "^projects/[^/]+/locations/[^/]+/sources/[^/]+/migratingVms/[^/]+$", "location": "path", "type": "string", "required": true, "description": "Required. The parent, which owns this collection of ReplicationCycles." }, "filter": { "type": "string", "location": "query", "description": "Optional. The filter request." }, "pageToken": { "location": "query", "description": "Required. A page token, received from a previous `ListReplicationCycles` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListReplicationCycles` must match the call that provided the page token.", "type": "string" }, "pageSize": { "description": "Optional. The maximum number of replication cycles to return. The service may return fewer than this value. If unspecified, at most 100 migrating VMs will be returned. The maximum value is 100; values above 100 will be coerced to 100.", "location": "query", "format": "int32", "type": "integer" }, "orderBy": { "type": "string", "location": "query", "description": "Optional. the order by fields for the result." } }, "httpMethod": "GET", "response": { "$ref": "ListReplicationCyclesResponse" }, "description": "Lists ReplicationCycles in a given MigratingVM.", "id": "vmmigration.projects.locations.sources.migratingVms.replicationCycles.list", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/sources/{sourcesId}/migratingVms/{migratingVmsId}/replicationCycles" } } }, "cutoverJobs": { "methods": { "list": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "vmmigration.projects.locations.sources.migratingVms.cutoverJobs.list", "parameterOrder": [ "parent" ], "description": "Lists CutoverJobs of a given migrating VM.", "path": "v1/{+parent}/cutoverJobs", "httpMethod": "GET", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/sources/{sourcesId}/migratingVms/{migratingVmsId}/cutoverJobs", "response": { "$ref": "ListCutoverJobsResponse" }, "parameters": { "pageSize": { "type": "integer", "description": "Optional. The maximum number of cutover jobs to return. The service may return fewer than this value. If unspecified, at most 500 cutover jobs will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.", "format": "int32", "location": "query" }, "pageToken": { "description": "Required. A page token, received from a previous `ListCutoverJobs` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListCutoverJobs` must match the call that provided the page token.", "type": "string", "location": "query" }, "filter": { "description": "Optional. The filter request.", "type": "string", "location": "query" }, "orderBy": { "type": "string", "description": "Optional. the order by fields for the result.", "location": "query" }, "parent": { "location": "path", "description": "Required. The parent, which owns this collection of migrating VMs.", "pattern": "^projects/[^/]+/locations/[^/]+/sources/[^/]+/migratingVms/[^/]+$", "type": "string", "required": true } } }, "create": { "id": "vmmigration.projects.locations.sources.migratingVms.cutoverJobs.create", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/sources/{sourcesId}/migratingVms/{migratingVmsId}/cutoverJobs", "httpMethod": "POST", "parameterOrder": [ "parent" ], "description": "Initiates a Cutover of a specific migrating VM. The returned LRO is completed when the cutover job resource is created and the job is initiated.", "request": { "$ref": "CutoverJob" }, "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+parent}/cutoverJobs", "parameters": { "requestId": { "description": "A request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes since the first request. For example, consider a situation where you make an initial request and t he request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "parent": { "description": "Required. The Cutover's parent.", "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/sources/[^/]+/migratingVms/[^/]+$", "location": "path" }, "cutoverJobId": { "location": "query", "type": "string", "description": "Required. The cutover job identifier." } } }, "get": { "response": { "$ref": "CutoverJob" }, "id": "vmmigration.projects.locations.sources.migratingVms.cutoverJobs.get", "parameters": { "name": { "required": true, "description": "Required. The name of the CutoverJob.", "pattern": "^projects/[^/]+/locations/[^/]+/sources/[^/]+/migratingVms/[^/]+/cutoverJobs/[^/]+$", "location": "path", "type": "string" } }, "description": "Gets details of a single CutoverJob.", "httpMethod": "GET", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+name}", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/sources/{sourcesId}/migratingVms/{migratingVmsId}/cutoverJobs/{cutoverJobsId}" }, "cancel": { "description": "Initiates the cancellation of a running cutover job.", "id": "vmmigration.projects.locations.sources.migratingVms.cutoverJobs.cancel", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/sources/{sourcesId}/migratingVms/{migratingVmsId}/cutoverJobs/{cutoverJobsId}:cancel", "response": { "$ref": "Operation" }, "parameterOrder": [ "name" ], "path": "v1/{+name}:cancel", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST", "request": { "$ref": "CancelCutoverJobRequest" }, "parameters": { "name": { "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/sources/[^/]+/migratingVms/[^/]+/cutoverJobs/[^/]+$", "required": true, "description": "Required. The cutover job id" } } } } }, "cloneJobs": { "methods": { "create": { "id": "vmmigration.projects.locations.sources.migratingVms.cloneJobs.create", "description": "Initiates a Clone of a specific migrating VM.", "httpMethod": "POST", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/sources/{sourcesId}/migratingVms/{migratingVmsId}/cloneJobs", "response": { "$ref": "Operation" }, "path": "v1/{+parent}/cloneJobs", "parameters": { "parent": { "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/sources/[^/]+/migratingVms/[^/]+$", "required": true, "description": "Required. The Clone's parent." }, "requestId": { "type": "string", "description": "A request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes since the first request. For example, consider a situation where you make an initial request and t he request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).", "location": "query" }, "cloneJobId": { "type": "string", "description": "Required. The clone job identifier.", "location": "query" } }, "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "CloneJob" } }, "get": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "required": true, "location": "path", "type": "string", "description": "Required. The name of the CloneJob.", "pattern": "^projects/[^/]+/locations/[^/]+/sources/[^/]+/migratingVms/[^/]+/cloneJobs/[^/]+$" } }, "parameterOrder": [ "name" ], "id": "vmmigration.projects.locations.sources.migratingVms.cloneJobs.get", "response": { "$ref": "CloneJob" }, "path": "v1/{+name}", "description": "Gets details of a single CloneJob.", "httpMethod": "GET", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/sources/{sourcesId}/migratingVms/{migratingVmsId}/cloneJobs/{cloneJobsId}" }, "cancel": { "parameterOrder": [ "name" ], "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Operation" }, "request": { "$ref": "CancelCloneJobRequest" }, "parameters": { "name": { "location": "path", "type": "string", "required": true, "description": "Required. The clone job id", "pattern": "^projects/[^/]+/locations/[^/]+/sources/[^/]+/migratingVms/[^/]+/cloneJobs/[^/]+$" } }, "id": "vmmigration.projects.locations.sources.migratingVms.cloneJobs.cancel", "description": "Initiates the cancellation of a running clone job.", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/sources/{sourcesId}/migratingVms/{migratingVmsId}/cloneJobs/{cloneJobsId}:cancel", "path": "v1/{+name}:cancel" }, "list": { "id": "vmmigration.projects.locations.sources.migratingVms.cloneJobs.list", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Lists CloneJobs of a given migrating VM.", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/sources/{sourcesId}/migratingVms/{migratingVmsId}/cloneJobs", "parameterOrder": [ "parent" ], "response": { "$ref": "ListCloneJobsResponse" }, "parameters": { "pageToken": { "description": "Required. A page token, received from a previous `ListCloneJobs` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListCloneJobs` must match the call that provided the page token.", "type": "string", "location": "query" }, "orderBy": { "description": "Optional. the order by fields for the result.", "location": "query", "type": "string" }, "parent": { "pattern": "^projects/[^/]+/locations/[^/]+/sources/[^/]+/migratingVms/[^/]+$", "description": "Required. The parent, which owns this collection of source VMs.", "location": "path", "type": "string", "required": true }, "filter": { "description": "Optional. The filter request.", "type": "string", "location": "query" }, "pageSize": { "format": "int32", "description": "Optional. The maximum number of clone jobs to return. The service may return fewer than this value. If unspecified, at most 500 clone jobs will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.", "location": "query", "type": "integer" } }, "httpMethod": "GET", "path": "v1/{+parent}/cloneJobs" } } } } }, "datacenterConnectors": { "methods": { "get": { "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/sources/{sourcesId}/datacenterConnectors/{datacenterConnectorsId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "vmmigration.projects.locations.sources.datacenterConnectors.get", "path": "v1/{+name}", "parameters": { "name": { "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/sources/[^/]+/datacenterConnectors/[^/]+$", "required": true, "description": "Required. The name of the DatacenterConnector.", "type": "string" } }, "response": { "$ref": "DatacenterConnector" }, "description": "Gets details of a single DatacenterConnector.", "parameterOrder": [ "name" ], "httpMethod": "GET" }, "list": { "httpMethod": "GET", "id": "vmmigration.projects.locations.sources.datacenterConnectors.list", "response": { "$ref": "ListDatacenterConnectorsResponse" }, "description": "Lists DatacenterConnectors in a given Source.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "orderBy": { "description": "Optional. the order by fields for the result.", "type": "string", "location": "query" }, "parent": { "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/sources/[^/]+$", "type": "string", "description": "Required. The parent, which owns this collection of connectors." }, "filter": { "location": "query", "description": "Optional. The filter request.", "type": "string" }, "pageSize": { "type": "integer", "format": "int32", "location": "query", "description": "Optional. The maximum number of connectors to return. The service may return fewer than this value. If unspecified, at most 500 sources will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000." }, "pageToken": { "location": "query", "type": "string", "description": "Required. A page token, received from a previous `ListDatacenterConnectors` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListDatacenterConnectors` must match the call that provided the page token." } }, "parameterOrder": [ "parent" ], "path": "v1/{+parent}/datacenterConnectors", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/sources/{sourcesId}/datacenterConnectors" }, "upgradeAppliance": { "id": "vmmigration.projects.locations.sources.datacenterConnectors.upgradeAppliance", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/sources/{sourcesId}/datacenterConnectors/{datacenterConnectorsId}:upgradeAppliance", "response": { "$ref": "Operation" }, "description": "Upgrades the appliance relate to this DatacenterConnector to the in-place updateable version.", "httpMethod": "POST", "request": { "$ref": "UpgradeApplianceRequest" }, "parameters": { "datacenterConnector": { "type": "string", "description": "Required. The DatacenterConnector name.", "pattern": "^projects/[^/]+/locations/[^/]+/sources/[^/]+/datacenterConnectors/[^/]+$", "required": true, "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+datacenterConnector}:upgradeAppliance", "parameterOrder": [ "datacenterConnector" ] }, "create": { "description": "Creates a new DatacenterConnector in a given Source.", "request": { "$ref": "DatacenterConnector" }, "parameters": { "datacenterConnectorId": { "description": "Required. The datacenterConnector identifier.", "location": "query", "type": "string" }, "requestId": { "type": "string", "description": "A request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes since the first request. For example, consider a situation where you make an initial request and t he request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).", "location": "query" }, "parent": { "pattern": "^projects/[^/]+/locations/[^/]+/sources/[^/]+$", "required": true, "type": "string", "location": "path", "description": "Required. The DatacenterConnector's parent. Required. The Source in where the new DatacenterConnector will be created. For example: `projects/my-project/locations/us-central1/sources/my-source`" } }, "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "parent" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/sources/{sourcesId}/datacenterConnectors", "response": { "$ref": "Operation" }, "id": "vmmigration.projects.locations.sources.datacenterConnectors.create", "path": "v1/{+parent}/datacenterConnectors" }, "delete": { "parameters": { "name": { "location": "path", "type": "string", "required": true, "description": "Required. The DatacenterConnector name.", "pattern": "^projects/[^/]+/locations/[^/]+/sources/[^/]+/datacenterConnectors/[^/]+$" }, "requestId": { "location": "query", "description": "A request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes after the first request. For example, consider a situation where you make an initial request and t he request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).", "type": "string" } }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/sources/{sourcesId}/datacenterConnectors/{datacenterConnectorsId}", "httpMethod": "DELETE", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "description": "Deletes a single DatacenterConnector.", "id": "vmmigration.projects.locations.sources.datacenterConnectors.delete", "response": { "$ref": "Operation" }, "path": "v1/{+name}" } } }, "utilizationReports": { "methods": { "create": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "UtilizationReport" }, "path": "v1/{+parent}/utilizationReports", "parameterOrder": [ "parent" ], "httpMethod": "POST", "description": "Creates a new UtilizationReport.", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/sources/{sourcesId}/utilizationReports", "id": "vmmigration.projects.locations.sources.utilizationReports.create", "response": { "$ref": "Operation" }, "parameters": { "utilizationReportId": { "location": "query", "type": "string", "description": "Required. The ID to use for the report, which will become the final component of the reports's resource name. This value maximum length is 63 characters, and valid characters are /a-z-/. It must start with an english letter and must not end with a hyphen." }, "parent": { "type": "string", "description": "Required. The Utilization Report's parent.", "pattern": "^projects/[^/]+/locations/[^/]+/sources/[^/]+$", "required": true, "location": "path" }, "requestId": { "location": "query", "type": "string", "description": "A request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes since the first request. For example, consider a situation where you make an initial request and t he request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000)." } } }, "list": { "response": { "$ref": "ListUtilizationReportsResponse" }, "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/sources/{sourcesId}/utilizationReports", "description": "Lists Utilization Reports of the given Source.", "path": "v1/{+parent}/utilizationReports", "parameters": { "pageSize": { "format": "int32", "location": "query", "type": "integer", "description": "Optional. The maximum number of reports to return. The service may return fewer than this value. If unspecified, at most 500 reports will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000." }, "filter": { "description": "Optional. The filter request.", "location": "query", "type": "string" }, "pageToken": { "description": "Required. A page token, received from a previous `ListUtilizationReports` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListUtilizationReports` must match the call that provided the page token.", "location": "query", "type": "string" }, "parent": { "pattern": "^projects/[^/]+/locations/[^/]+/sources/[^/]+$", "required": true, "description": "Required. The Utilization Reports parent.", "type": "string", "location": "path" }, "orderBy": { "description": "Optional. the order by fields for the result.", "location": "query", "type": "string" }, "view": { "enumDescriptions": [ "The default / unset value. The API will default to FULL on single report request and BASIC for multiple reports request.", "Get the report metadata, without the list of VMs and their utilization info.", "Include everything." ], "enum": [ "UTILIZATION_REPORT_VIEW_UNSPECIFIED", "BASIC", "FULL" ], "type": "string", "description": "Optional. The level of details of each report. Defaults to BASIC.", "location": "query" } }, "id": "vmmigration.projects.locations.sources.utilizationReports.list" }, "delete": { "response": { "$ref": "Operation" }, "description": "Deletes a single Utilization Report.", "path": "v1/{+name}", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/sources/{sourcesId}/utilizationReports/{utilizationReportsId}", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "requestId": { "type": "string", "location": "query", "description": "Optional. A request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes after the first request. For example, consider a situation where you make an initial request and t he request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000)." }, "name": { "type": "string", "description": "Required. The Utilization Report name.", "pattern": "^projects/[^/]+/locations/[^/]+/sources/[^/]+/utilizationReports/[^/]+$", "required": true, "location": "path" } }, "id": "vmmigration.projects.locations.sources.utilizationReports.delete", "httpMethod": "DELETE" }, "get": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "view": { "location": "query", "enum": [ "UTILIZATION_REPORT_VIEW_UNSPECIFIED", "BASIC", "FULL" ], "enumDescriptions": [ "The default / unset value. The API will default to FULL on single report request and BASIC for multiple reports request.", "Get the report metadata, without the list of VMs and their utilization info.", "Include everything." ], "type": "string", "description": "Optional. The level of details of the report. Defaults to FULL" }, "name": { "pattern": "^projects/[^/]+/locations/[^/]+/sources/[^/]+/utilizationReports/[^/]+$", "type": "string", "description": "Required. The Utilization Report name.", "required": true, "location": "path" } }, "description": "Gets a single Utilization Report.", "id": "vmmigration.projects.locations.sources.utilizationReports.get", "response": { "$ref": "UtilizationReport" }, "parameterOrder": [ "name" ], "path": "v1/{+name}", "httpMethod": "GET", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/sources/{sourcesId}/utilizationReports/{utilizationReportsId}" } } } }, "methods": { "list": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "ListSourcesResponse" }, "path": "v1/{+parent}/sources", "parameterOrder": [ "parent" ], "description": "Lists Sources in a given project and location.", "httpMethod": "GET", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/sources", "id": "vmmigration.projects.locations.sources.list", "parameters": { "filter": { "location": "query", "type": "string", "description": "Optional. The filter request." }, "pageToken": { "description": "Required. A page token, received from a previous `ListSources` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListSources` must match the call that provided the page token.", "type": "string", "location": "query" }, "pageSize": { "description": "Optional. The maximum number of sources to return. The service may return fewer than this value. If unspecified, at most 500 sources will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.", "type": "integer", "format": "int32", "location": "query" }, "orderBy": { "description": "Optional. the order by fields for the result.", "type": "string", "location": "query" }, "parent": { "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+$", "description": "Required. The parent, which owns this collection of sources.", "location": "path", "required": true } } }, "get": { "parameterOrder": [ "name" ], "response": { "$ref": "Source" }, "description": "Gets details of a single Source.", "path": "v1/{+name}", "id": "vmmigration.projects.locations.sources.get", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/sources/{sourcesId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "description": "Required. The Source name.", "type": "string", "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/sources/[^/]+$" } }, "httpMethod": "GET" }, "fetchInventory": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "vmmigration.projects.locations.sources.fetchInventory", "description": "List remote source's inventory of VMs. The remote source is the onprem vCenter (remote in the sense it's not in Compute Engine). The inventory describes the list of existing VMs in that source. Note that this operation lists the VMs on the remote source, as opposed to listing the MigratingVms resources in the vmmigration service.", "parameters": { "forceRefresh": { "type": "boolean", "description": "If this flag is set to true, the source will be queried instead of using cached results. Using this flag will make the call slower.", "location": "query" }, "source": { "pattern": "^projects/[^/]+/locations/[^/]+/sources/[^/]+$", "required": true, "location": "path", "type": "string", "description": "Required. The name of the Source." }, "pageSize": { "description": "The maximum number of VMs to return. The service may return fewer than this value. For AWS source: If unspecified, at most 500 VMs will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000. For VMWare source: If unspecified, all VMs will be returned. There is no limit for maximum value.", "format": "int32", "type": "integer", "location": "query" }, "pageToken": { "description": "A page token, received from a previous `FetchInventory` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `FetchInventory` must match the call that provided the page token.", "location": "query", "type": "string" } }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/sources/{sourcesId}:fetchInventory", "path": "v1/{+source}:fetchInventory", "parameterOrder": [ "source" ], "httpMethod": "GET", "response": { "$ref": "FetchInventoryResponse" } }, "create": { "description": "Creates a new Source in a given project and location.", "id": "vmmigration.projects.locations.sources.create", "request": { "$ref": "Source" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST", "parameterOrder": [ "parent" ], "response": { "$ref": "Operation" }, "parameters": { "requestId": { "location": "query", "description": "A request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes since the first request. For example, consider a situation where you make an initial request and t he request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).", "type": "string" }, "sourceId": { "location": "query", "type": "string", "description": "Required. The source identifier." }, "parent": { "location": "path", "description": "Required. The Source's parent.", "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+$" } }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/sources", "path": "v1/{+parent}/sources" }, "delete": { "response": { "$ref": "Operation" }, "httpMethod": "DELETE", "parameterOrder": [ "name" ], "parameters": { "name": { "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/sources/[^/]+$", "type": "string", "required": true, "description": "Required. The Source name." }, "requestId": { "location": "query", "description": "Optional. A request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes after the first request. For example, consider a situation where you make an initial request and t he request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/sources/{sourcesId}", "id": "vmmigration.projects.locations.sources.delete", "path": "v1/{+name}", "description": "Deletes a single Source." }, "patch": { "parameters": { "requestId": { "type": "string", "description": "A request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes since the first request. For example, consider a situation where you make an initial request and t he request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).", "location": "query" }, "updateMask": { "location": "query", "format": "google-fieldmask", "type": "string", "description": "Field mask is used to specify the fields to be overwritten in the Source resource by the update. The fields specified in the update_mask are relative to the resource, not the full request. A field will be overwritten if it is in the mask. If the user does not provide a mask then all fields will be overwritten." }, "name": { "required": true, "description": "Output only. The Source name.", "pattern": "^projects/[^/]+/locations/[^/]+/sources/[^/]+$", "type": "string", "location": "path" } }, "parameterOrder": [ "name" ], "id": "vmmigration.projects.locations.sources.patch", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+name}", "request": { "$ref": "Source" }, "description": "Updates the parameters of a single Source.", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/sources/{sourcesId}", "response": { "$ref": "Operation" }, "httpMethod": "PATCH" } } } }, "methods": { "list": { "httpMethod": "GET", "parameterOrder": [ "name" ], "id": "vmmigration.projects.locations.list", "path": "v1/{+name}/locations", "description": "Lists information about the supported locations for this service.", "parameters": { "pageToken": { "description": "A page token received from the `next_page_token` field in the response. Send that page token to receive the subsequent page.", "location": "query", "type": "string" }, "name": { "pattern": "^projects/[^/]+$", "location": "path", "description": "The resource that owns the locations collection, if applicable.", "type": "string", "required": true }, "filter": { "location": "query", "type": "string", "description": "A filter to narrow down results to a preferred subset. The filtering language accepts strings like `\"displayName=tokyo\"`, and is documented in more detail in [AIP-160](https://google.aip.dev/160)." }, "pageSize": { "location": "query", "type": "integer", "description": "The maximum number of results to return. If not set, the service selects a default.", "format": "int32" } }, "flatPath": "v1/projects/{projectsId}/locations", "response": { "$ref": "ListLocationsResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "get": { "parameters": { "name": { "type": "string", "description": "Resource name for the location.", "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+$" } }, "path": "v1/{+name}", "response": { "$ref": "Location" }, "description": "Gets information about a location.", "id": "vmmigration.projects.locations.get", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}" } } } } } }, "fullyEncodeReservedExpansion": true, "version_module": true, "mtlsRootUrl": "https://vmmigration.mtls.googleapis.com/", "schemas": { "ListDatacenterConnectorsResponse": { "description": "Response message for 'ListDatacenterConnectors' request.", "properties": { "unreachable": { "readOnly": true, "type": "array", "items": { "type": "string" }, "description": "Output only. Locations that could not be reached." }, "datacenterConnectors": { "readOnly": true, "items": { "$ref": "DatacenterConnector" }, "type": "array", "description": "Output only. The list of sources response." }, "nextPageToken": { "type": "string", "description": "Output only. A token, which can be sent as `page_token` to retrieve the next page. If this field is omitted, there are no subsequent pages.", "readOnly": true } }, "type": "object", "id": "ListDatacenterConnectorsResponse" }, "CancelCutoverJobRequest": { "description": "Request message for 'CancelCutoverJob' request.", "properties": {}, "id": "CancelCutoverJobRequest", "type": "object" }, "ListCutoverJobsResponse": { "properties": { "unreachable": { "type": "array", "items": { "type": "string" }, "description": "Output only. Locations that could not be reached.", "readOnly": true }, "cutoverJobs": { "description": "Output only. The list of cutover jobs response.", "items": { "$ref": "CutoverJob" }, "type": "array", "readOnly": true }, "nextPageToken": { "type": "string", "description": "Output only. A token, which can be sent as `page_token` to retrieve the next page. If this field is omitted, there are no subsequent pages.", "readOnly": true } }, "type": "object", "description": "Response message for 'ListCutoverJobs' request.", "id": "ListCutoverJobsResponse" }, "PauseMigrationRequest": { "properties": {}, "id": "PauseMigrationRequest", "type": "object", "description": "Request message for 'PauseMigration' request." }, "Group": { "description": "Describes message for 'Group' resource. The Group is a collections of several MigratingVms.", "properties": { "updateTime": { "format": "google-datetime", "description": "Output only. The update time timestamp.", "type": "string", "readOnly": true }, "createTime": { "readOnly": true, "format": "google-datetime", "type": "string", "description": "Output only. The create time timestamp." }, "name": { "description": "Output only. The Group name.", "type": "string", "readOnly": true }, "description": { "type": "string", "description": "User-provided description of the group." }, "displayName": { "description": "Display name is a user defined name for this group which can be updated.", "type": "string" } }, "id": "Group", "type": "object" }, "StartMigrationRequest": { "properties": {}, "id": "StartMigrationRequest", "description": "Request message for 'StartMigrationRequest' request.", "type": "object" }, "ResumeMigrationRequest": { "id": "ResumeMigrationRequest", "type": "object", "properties": {}, "description": "Request message for 'ResumeMigration' request." }, "FinalizeMigrationRequest": { "properties": {}, "id": "FinalizeMigrationRequest", "description": "Request message for 'FinalizeMigration' request.", "type": "object" }, "Status": { "type": "object", "id": "Status", "description": "The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors).", "properties": { "message": { "type": "string", "description": "A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client." }, "details": { "type": "array", "description": "A list of messages that carry the error details. There is a common set of message types for APIs to use.", "items": { "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "type": "object" } }, "code": { "format": "int32", "description": "The status code, which should be an enum value of google.rpc.Code.", "type": "integer" } } }, "ApplianceVersion": { "type": "object", "properties": { "releaseNotesUri": { "type": "string", "description": "Link to a page that contains the version release notes." }, "version": { "description": "The appliance version.", "type": "string" }, "uri": { "description": "A link for downloading the version.", "type": "string" }, "critical": { "description": "Determine whether it's critical to upgrade the appliance to this version.", "type": "boolean" } }, "id": "ApplianceVersion", "description": "Describes an appliance version." }, "VmwareSourceDetails": { "id": "VmwareSourceDetails", "description": "VmwareSourceDetails message describes a specific source details for the vmware source type.", "properties": { "thumbprint": { "type": "string", "description": "The thumbprint representing the certificate for the vcenter." }, "vcenterIp": { "description": "The ip address of the vcenter this Source represents.", "type": "string" }, "password": { "description": "Input only. The credentials password. This is write only and can not be read in a GET operation.", "type": "string" }, "username": { "type": "string", "description": "The credentials username." } }, "type": "object" }, "ListCloneJobsResponse": { "description": "Response message for 'ListCloneJobs' request.", "properties": { "nextPageToken": { "readOnly": true, "description": "Output only. A token, which can be sent as `page_token` to retrieve the next page. If this field is omitted, there are no subsequent pages.", "type": "string" }, "unreachable": { "description": "Output only. Locations that could not be reached.", "type": "array", "readOnly": true, "items": { "type": "string" } }, "cloneJobs": { "items": { "$ref": "CloneJob" }, "readOnly": true, "description": "Output only. The list of clone jobs response.", "type": "array" } }, "id": "ListCloneJobsResponse", "type": "object" }, "LocalizedMessage": { "type": "object", "description": "Provides a localized error message that is safe to return to the user which can be attached to an RPC error.", "properties": { "locale": { "description": "The locale used following the specification defined at http://www.rfc-editor.org/rfc/bcp/bcp47.txt. Examples are: \"en-US\", \"fr-CH\", \"es-MX\"", "type": "string" }, "message": { "description": "The localized error message in the above locale.", "type": "string" } }, "id": "LocalizedMessage" }, "TargetProject": { "id": "TargetProject", "type": "object", "properties": { "description": { "description": "The target project's description.", "type": "string" }, "updateTime": { "description": "Output only. The last time the target project resource was updated.", "type": "string", "format": "google-datetime", "readOnly": true }, "createTime": { "readOnly": true, "description": "Output only. The time this target project resource was created (not related to when the Compute Engine project it points to was created).", "format": "google-datetime", "type": "string" }, "name": { "description": "Output only. The name of the target project.", "readOnly": true, "type": "string" }, "project": { "type": "string", "description": "The target project ID (number) or project name." } }, "description": "TargetProject message represents a target Compute Engine project for a migration or a clone." }, "AddGroupMigrationRequest": { "description": "Request message for 'AddGroupMigration' request.", "type": "object", "id": "AddGroupMigrationRequest", "properties": { "migratingVm": { "type": "string", "description": "The full path name of the MigratingVm to add." } } }, "RemoveGroupMigrationRequest": { "id": "RemoveGroupMigrationRequest", "properties": { "migratingVm": { "type": "string", "description": "The MigratingVm to remove." } }, "type": "object", "description": "Request message for 'RemoveMigration' request." }, "Source": { "description": "Source message describes a specific vm migration Source resource. It contains the source environment information.", "properties": { "description": { "type": "string", "description": "User-provided description of the source." }, "updateTime": { "format": "google-datetime", "readOnly": true, "description": "Output only. The update time timestamp.", "type": "string" }, "labels": { "type": "object", "description": "The labels of the source.", "additionalProperties": { "type": "string" } }, "vmware": { "description": "Vmware type source details.", "$ref": "VmwareSourceDetails" }, "createTime": { "format": "google-datetime", "description": "Output only. The create time timestamp.", "type": "string", "readOnly": true }, "name": { "type": "string", "readOnly": true, "description": "Output only. The Source name." } }, "type": "object", "id": "Source" }, "VmwareVmsDetails": { "properties": { "details": { "description": "The details of the vmware VMs.", "type": "array", "items": { "$ref": "VmwareVmDetails" } } }, "type": "object", "id": "VmwareVmsDetails", "description": "VmwareVmsDetails describes VMs in vCenter." }, "VmwareVmDetails": { "id": "VmwareVmDetails", "properties": { "datacenterId": { "description": "The id of the vCenter's datacenter this VM is contained in.", "type": "string" }, "bootOption": { "type": "string", "readOnly": true, "description": "Output only. The VM Boot Option.", "enumDescriptions": [ "The boot option is unknown.", "The boot option is EFI.", "The boot option is BIOS." ], "enum": [ "BOOT_OPTION_UNSPECIFIED", "EFI", "BIOS" ] }, "diskCount": { "type": "integer", "description": "The number of disks the VM has.", "format": "int32" }, "displayName": { "type": "string", "description": "The display name of the VM. Note that this is not necessarily unique." }, "datacenterDescription": { "description": "The descriptive name of the vCenter's datacenter this VM is contained in.", "type": "string" }, "committedStorageMb": { "format": "int64", "type": "string", "description": "The total size of the storage allocated to the VM in MB." }, "vmId": { "description": "The VM's id in the source (note that this is not the MigratingVm's id). This is the moref id of the VM.", "type": "string" }, "uuid": { "description": "The unique identifier of the VM in vCenter.", "type": "string" }, "memoryMb": { "format": "int32", "description": "The size of the memory of the VM in MB.", "type": "integer" }, "cpuCount": { "format": "int32", "description": "The number of cpus in the VM.", "type": "integer" }, "guestDescription": { "description": "The VM's OS. See for example https://vdc-repo.vmware.com/vmwb-repository/dcr-public/da47f910-60ac-438b-8b9b-6122f4d14524/16b7274a-bf8b-4b4c-a05e-746f2aa93c8c/doc/vim.vm.GuestOsDescriptor.GuestOsIdentifier.html for types of strings this might hold.", "type": "string" }, "powerState": { "type": "string", "enum": [ "POWER_STATE_UNSPECIFIED", "ON", "OFF", "SUSPENDED" ], "description": "The power state of the VM at the moment list was taken.", "enumDescriptions": [ "Power state is not specified.", "The VM is turned ON.", "The VM is turned OFF.", "The VM is suspended. This is similar to hibernation or sleep mode." ] } }, "type": "object", "description": "VmwareVmDetails describes a VM in vCenter." }, "MigrationError": { "properties": { "actionItem": { "$ref": "LocalizedMessage", "description": "Output only. Suggested action for solving the error.", "readOnly": true }, "code": { "enumDescriptions": [ "Default value. This value is not used.", "Migrate for Compute encountered an unknown error.", "Migrate for Compute encountered an error while validating replication source health.", "Migrate for Compute encountered an error during source data operation.", "Migrate for Compute encountered an error during target data operation.", "Migrate for Compute encountered an error during OS adaptation.", "Migrate for Compute encountered an error in clone operation.", "Migrate for Compute encountered an error in cutover operation.", "Migrate for Compute encountered an error during utilization report creation.", "Migrate for Compute encountered an error during appliance upgrade." ], "readOnly": true, "type": "string", "description": "Output only. The error code.", "enum": [ "ERROR_CODE_UNSPECIFIED", "UNKNOWN_ERROR", "SOURCE_VALIDATION_ERROR", "SOURCE_REPLICATION_ERROR", "TARGET_REPLICATION_ERROR", "OS_ADAPTATION_ERROR", "CLONE_ERROR", "CUTOVER_ERROR", "UTILIZATION_REPORT_ERROR", "APPLIANCE_UPGRADE_ERROR" ] }, "helpLinks": { "type": "array", "items": { "$ref": "Link" }, "readOnly": true, "description": "Output only. URL(s) pointing to additional information on handling the current error." }, "errorTime": { "readOnly": true, "format": "google-datetime", "description": "Output only. The time the error occurred.", "type": "string" }, "errorMessage": { "$ref": "LocalizedMessage", "description": "Output only. The localized error message.", "readOnly": true } }, "description": "Represents migration resource error information that can be used with google.rpc.Status message. MigrationError is used to present the user with error information in migration operations.", "id": "MigrationError", "type": "object" }, "ListReplicationCyclesResponse": { "description": "Response message for 'ListReplicationCycles' request.", "properties": { "replicationCycles": { "readOnly": true, "items": { "$ref": "ReplicationCycle" }, "description": "Output only. The list of replication cycles response.", "type": "array" }, "nextPageToken": { "description": "Output only. A token, which can be sent as `page_token` to retrieve the next page. If this field is omitted, there are no subsequent pages.", "type": "string", "readOnly": true }, "unreachable": { "readOnly": true, "type": "array", "items": { "type": "string" }, "description": "Output only. Locations that could not be reached." } }, "type": "object", "id": "ListReplicationCyclesResponse" }, "AvailableUpdates": { "description": "Holds informatiom about the available versions for upgrade.", "properties": { "newDeployableAppliance": { "$ref": "ApplianceVersion", "description": "The newest deployable version of the appliance. The current appliance can't be updated into this version, and the owner must manually deploy this OVA to a new appliance." }, "inPlaceUpdate": { "$ref": "ApplianceVersion", "description": "The latest version for in place update. The current appliance can be updated to this version using the API or m4c CLI." } }, "type": "object", "id": "AvailableUpdates" }, "CloneJob": { "description": "CloneJob describes the process of creating a clone of a MigratingVM to the requested target based on the latest successful uploaded snapshots. While the migration cycles of a MigratingVm take place, it is possible to verify the uploaded VM can be started in the cloud, by creating a clone. The clone can be created without any downtime, and it is created using the latest snapshots which are already in the cloud. The cloneJob is only responsible for its work, not its products, which means once it is finished, it will never touch the instance it created. It will only delete it in case of the CloneJob being cancelled or upon failure to clone.", "id": "CloneJob", "type": "object", "properties": { "name": { "type": "string", "description": "Output only. The name of the clone.", "readOnly": true }, "computeEngineTargetDetails": { "readOnly": true, "description": "Output only. Details of the target VM in Compute Engine.", "$ref": "ComputeEngineTargetDetails" }, "endTime": { "description": "Output only. The time the clone job was ended.", "format": "google-datetime", "readOnly": true, "type": "string" }, "stateTime": { "readOnly": true, "type": "string", "description": "Output only. The time the state was last updated.", "format": "google-datetime" }, "createTime": { "description": "Output only. The time the clone job was created (as an API call, not when it was actually created in the target).", "readOnly": true, "type": "string", "format": "google-datetime" }, "state": { "readOnly": true, "description": "Output only. State of the clone job.", "enum": [ "STATE_UNSPECIFIED", "PENDING", "ACTIVE", "FAILED", "SUCCEEDED", "CANCELLED", "CANCELLING", "ADAPTING_OS" ], "enumDescriptions": [ "The state is unknown. This is used for API compatibility only and is not used by the system.", "The clone job has not yet started.", "The clone job is active and running.", "The clone job finished with errors.", "The clone job finished successfully.", "The clone job was cancelled.", "The clone job is being cancelled.", "OS adaptation is running as part of the clone job to generate license." ], "type": "string" }, "error": { "description": "Output only. Provides details for the errors that led to the Clone Job's state.", "$ref": "Status", "readOnly": true } } }, "Link": { "description": "Describes a URL link.", "id": "Link", "type": "object", "properties": { "description": { "description": "Describes what the link offers.", "type": "string" }, "url": { "type": "string", "description": "The URL of the link." } } }, "VmUtilizationMetrics": { "id": "VmUtilizationMetrics", "description": "Utilization metrics values for a single VM.", "type": "object", "properties": { "networkThroughputAverageKbps": { "description": "Average network throughput (combined transmit-rates and receive-rates), in kilobytes per second.", "format": "int64", "type": "string" }, "memoryAveragePercent": { "type": "integer", "format": "int32", "description": "Average memory usage, percent." }, "cpuMaxPercent": { "format": "int32", "description": "Max CPU usage, percent.", "type": "integer" }, "networkThroughputMaxKbps": { "description": "Max network throughput (combined transmit-rates and receive-rates), in kilobytes per second.", "type": "string", "format": "int64" }, "cpuAveragePercent": { "format": "int32", "type": "integer", "description": "Average CPU usage, percent." }, "diskIoRateMaxKbps": { "type": "string", "format": "int64", "description": "Max disk IO rate, in kilobytes per second." }, "memoryMaxPercent": { "format": "int32", "description": "Max memory usage, percent.", "type": "integer" }, "diskIoRateAverageKbps": { "description": "Average disk IO rate, in kilobytes per second.", "format": "int64", "type": "string" } } }, "ListMigratingVmsResponse": { "description": "Response message for 'ListMigratingVms' request.", "properties": { "nextPageToken": { "description": "Output only. A token, which can be sent as `page_token` to retrieve the next page. If this field is omitted, there are no subsequent pages.", "type": "string", "readOnly": true }, "unreachable": { "description": "Output only. Locations that could not be reached.", "items": { "type": "string" }, "type": "array", "readOnly": true }, "migratingVms": { "type": "array", "description": "Output only. The list of Migrating VMs response.", "items": { "$ref": "MigratingVm" }, "readOnly": true } }, "id": "ListMigratingVmsResponse", "type": "object" }, "MigratingVm": { "properties": { "updateTime": { "type": "string", "readOnly": true, "description": "Output only. The last time the migrating VM resource was updated.", "format": "google-datetime" }, "labels": { "additionalProperties": { "type": "string" }, "type": "object", "description": "The labels of the migrating VM." }, "sourceVmId": { "description": "The unique ID of the VM in the source. The VM's name in vSphere can be changed, so this is not the VM's name but rather its moRef id. This id is of the form vm-.", "type": "string" }, "group": { "type": "string", "description": "Output only. The group this migrating vm is included in, if any. The group is represented by the full path of the appropriate Group resource.", "readOnly": true }, "recentCloneJobs": { "readOnly": true, "items": { "$ref": "CloneJob" }, "type": "array", "description": "Output only. The recent clone jobs performed on the migrating VM. This field holds the vm's last completed clone job and the vm's running clone job, if one exists. Note: To have this field populated you need to explicitly request it via the \"view\" parameter of the Get/List request." }, "displayName": { "type": "string", "description": "The display name attached to the MigratingVm by the user." }, "name": { "type": "string", "readOnly": true, "description": "Output only. The identifier of the MigratingVm." }, "stateTime": { "format": "google-datetime", "description": "Output only. The last time the migrating VM state was updated.", "readOnly": true, "type": "string" }, "state": { "enumDescriptions": [ "The state was not sampled by the health checks yet.", "The VM in the source is being verified.", "The source VM was verified, and it's ready to start replication.", "Migration is going through the first sync cycle.", "The replication is active, and it's running or scheduled to run.", "The source VM is being turned off, and a final replication is currently running.", "The source VM was stopped and replicated. The replication is currently paused.", "A cutover job is active and replication cycle is running the final sync.", "The replication was paused by the user and no cycles are scheduled to run.", "The migrating VM is being finalized and migration resources are being removed.", "The replication process is done. The migrating VM is finalized and no longer consumes billable resources.", "The replication process encountered an unrecoverable error and was aborted." ], "type": "string", "description": "Output only. State of the MigratingVm.", "enum": [ "STATE_UNSPECIFIED", "PENDING", "READY", "FIRST_SYNC", "ACTIVE", "CUTTING_OVER", "CUTOVER", "FINAL_SYNC", "PAUSED", "FINALIZING", "FINALIZED", "ERROR" ], "readOnly": true }, "recentCutoverJobs": { "type": "array", "items": { "$ref": "CutoverJob" }, "description": "Output only. The recent cutover jobs performed on the migrating VM. This field holds the vm's last completed cutover job and the vm's running cutover job, if one exists. Note: To have this field populated you need to explicitly request it via the \"view\" parameter of the Get/List request.", "readOnly": true }, "policy": { "$ref": "SchedulePolicy", "description": "The replication schedule policy." }, "awsSourceVmDetails": { "readOnly": true, "description": "Output only. Details of the VM from an AWS source.", "$ref": "AwsSourceVmDetails" }, "lastSync": { "$ref": "ReplicationSync", "description": "Output only. The most updated snapshot created time in the source that finished replication.", "readOnly": true }, "currentSyncInfo": { "readOnly": true, "description": "Output only. The percentage progress of the current running replication cycle.", "$ref": "ReplicationCycle" }, "createTime": { "readOnly": true, "type": "string", "description": "Output only. The time the migrating VM was created (this refers to this resource and not to the time it was installed in the source).", "format": "google-datetime" }, "error": { "$ref": "Status", "readOnly": true, "description": "Output only. Provides details on the state of the Migrating VM in case of an error in replication." }, "description": { "type": "string", "description": "The description attached to the migrating VM by the user." }, "computeEngineTargetDefaults": { "$ref": "ComputeEngineTargetDefaults", "description": "Details of the target VM in Compute Engine." } }, "type": "object", "description": "MigratingVm describes the VM that will be migrated from a Source environment and its replication state.", "id": "MigratingVm" }, "CutoverJob": { "description": "CutoverJob message describes a cutover of a migrating VM. The CutoverJob is the operation of shutting down the VM, creating a snapshot and clonning the VM using the replicated snapshot.", "id": "CutoverJob", "properties": { "name": { "type": "string", "description": "Output only. The name of the cutover job.", "readOnly": true }, "stateTime": { "readOnly": true, "type": "string", "format": "google-datetime", "description": "Output only. The time the state was last updated." }, "endTime": { "type": "string", "description": "Output only. The time the cutover job had finished.", "readOnly": true, "format": "google-datetime" }, "error": { "$ref": "Status", "description": "Output only. Provides details for the errors that led to the Cutover Job's state.", "readOnly": true }, "createTime": { "type": "string", "description": "Output only. The time the cutover job was created (as an API call, not when it was actually created in the target).", "readOnly": true, "format": "google-datetime" }, "stateMessage": { "description": "Output only. A message providing possible extra details about the current state.", "type": "string", "readOnly": true }, "computeEngineTargetDetails": { "description": "Output only. Details of the target VM in Compute Engine.", "readOnly": true, "$ref": "ComputeEngineTargetDetails" }, "progressPercent": { "description": "Output only. The current progress in percentage of the cutover job.", "readOnly": true, "format": "int32", "type": "integer" }, "state": { "type": "string", "enumDescriptions": [ "The state is unknown. This is used for API compatibility only and is not used by the system.", "The cutover job has not yet started.", "The cutover job finished with errors.", "The cutover job finished successfully.", "The cutover job was cancelled.", "The cutover job is being cancelled.", "The cutover job is active and running.", "OS adaptation is running as part of the cutover job to generate license." ], "enum": [ "STATE_UNSPECIFIED", "PENDING", "FAILED", "SUCCEEDED", "CANCELLED", "CANCELLING", "ACTIVE", "ADAPTING_OS" ], "description": "Output only. State of the cutover job.", "readOnly": true } }, "type": "object" }, "Empty": { "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }", "type": "object", "id": "Empty", "properties": {} }, "Operation": { "properties": { "error": { "$ref": "Status", "description": "The error result of the operation in case of failure or cancellation." }, "done": { "type": "boolean", "description": "If the value is `false`, it means the operation is still in progress. If `true`, the operation is completed, and either `error` or `response` is available." }, "name": { "description": "The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the `name` should be a resource name ending with `operations/{unique_id}`.", "type": "string" }, "metadata": { "description": "Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any.", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "type": "object" }, "response": { "type": "object", "description": "The normal response of the operation in case of success. If the original method returns no data on success, such as `Delete`, the response is `google.protobuf.Empty`. If the original method is standard `Get`/`Create`/`Update`, the response should be the resource. For other methods, the response should have the type `XxxResponse`, where `Xxx` is the original method name. For example, if the original method name is `TakeSnapshot()`, the inferred response type is `TakeSnapshotResponse`.", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." } } }, "type": "object", "description": "This resource represents a long-running operation that is the result of a network API call.", "id": "Operation" }, "Location": { "id": "Location", "description": "A resource that represents Google Cloud Platform location.", "properties": { "locationId": { "type": "string", "description": "The canonical id for this location. For example: `\"us-east1\"`." }, "displayName": { "type": "string", "description": "The friendly name for this location, typically a nearby city name. For example, \"Tokyo\"." }, "labels": { "additionalProperties": { "type": "string" }, "description": "Cross-service attributes for the location. For example {\"cloud.googleapis.com/region\": \"us-east1\"}", "type": "object" }, "name": { "type": "string", "description": "Resource name for the location, which may vary between implementations. For example: `\"projects/example-project/locations/us-east1\"`" }, "metadata": { "type": "object", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "description": "Service-specific metadata. For example the available capacity at the given location." } }, "type": "object" }, "ReplicationCycle": { "type": "object", "properties": { "startTime": { "description": "The time the replication cycle has started.", "type": "string", "format": "google-datetime" }, "progressPercent": { "type": "integer", "description": "The current progress in percentage of this cycle.", "format": "int32" } }, "description": "ReplicationCycle contains information about the current replication cycle status.", "id": "ReplicationCycle" }, "ListLocationsResponse": { "description": "The response message for Locations.ListLocations.", "type": "object", "properties": { "nextPageToken": { "type": "string", "description": "The standard List next-page token." }, "locations": { "description": "A list of locations that matches the specified filter in the request.", "type": "array", "items": { "$ref": "Location" } } }, "id": "ListLocationsResponse" }, "DatacenterConnector": { "id": "DatacenterConnector", "description": "DatacenterConnector message describes a connector between the Source and GCP, which is installed on a vmware datacenter (an OVA vm installed by the user) to connect the Datacenter to GCP and support vm migration data transfer.", "properties": { "updateTime": { "format": "google-datetime", "readOnly": true, "type": "string", "description": "Output only. The last time the connector was updated with an API call." }, "bucket": { "type": "string", "description": "Output only. The communication channel between the datacenter connector and GCP.", "readOnly": true }, "createTime": { "format": "google-datetime", "type": "string", "description": "Output only. The time the connector was created (as an API call, not when it was actually installed).", "readOnly": true }, "error": { "description": "Output only. Provides details on the state of the Datacenter Connector in case of an error.", "$ref": "Status", "readOnly": true }, "applianceSoftwareVersion": { "readOnly": true, "description": "Output only. Appliance last installed update bundle version. This is the version of the automatically updatable components on the appliance.", "type": "string" }, "name": { "description": "Output only. The connector's name.", "readOnly": true, "type": "string" }, "upgradeStatus": { "readOnly": true, "$ref": "UpgradeStatus", "description": "Output only. The status of the current / last upgradeAppliance operation." }, "registrationId": { "description": "Immutable. A unique key for this connector. This key is internal to the OVA connector and is supplied with its creation during the registration process and can not be modified.", "type": "string" }, "stateTime": { "description": "Output only. The time the state was last set.", "format": "google-datetime", "type": "string", "readOnly": true }, "availableVersions": { "description": "Output only. The available versions for updating this appliance.", "$ref": "AvailableUpdates", "readOnly": true }, "applianceInfrastructureVersion": { "type": "string", "readOnly": true, "description": "Output only. Appliance OVA version. This is the OVA which is manually installed by the user and contains the infrastructure for the automatically updatable components on the appliance." }, "version": { "description": "The version running in the DatacenterConnector. This is supplied by the OVA connector during the registration process and can not be modified.", "type": "string" }, "serviceAccount": { "description": "The service account to use in the connector when communicating with the cloud.", "type": "string" }, "state": { "enumDescriptions": [ "The state is unknown. This is used for API compatibility only and is not used by the system.", "The state was not sampled by the health checks yet.", "The source was sampled by health checks and is not available.", "The source is available but might not be usable yet due to unvalidated credentials or another reason. The credentials referred to are the ones to the Source. The error message will contain further details.", "The source exists and its credentials were verified." ], "description": "Output only. State of the DatacenterConnector, as determined by the health checks.", "readOnly": true, "type": "string", "enum": [ "STATE_UNSPECIFIED", "PENDING", "OFFLINE", "FAILED", "ACTIVE" ] } }, "type": "object" }, "ListOperationsResponse": { "description": "The response message for Operations.ListOperations.", "type": "object", "id": "ListOperationsResponse", "properties": { "nextPageToken": { "description": "The standard List next-page token.", "type": "string" }, "operations": { "description": "A list of operations that matches the specified filter in the request.", "items": { "$ref": "Operation" }, "type": "array" } } }, "UpgradeStatus": { "description": "UpgradeStatus contains information about upgradeAppliance operation.", "properties": { "state": { "enum": [ "STATE_UNSPECIFIED", "RUNNING", "FAILED", "SUCCEEDED" ], "type": "string", "description": "The state of the upgradeAppliance operation.", "enumDescriptions": [ "The state was not sampled by the health checks yet.", "The upgrade has started.", "The upgrade failed.", "The upgrade finished successfully." ] }, "previousVersion": { "type": "string", "description": "The version from which we upgraded." }, "error": { "description": "Provides details on the state of the upgrade operation in case of an error.", "$ref": "Status" }, "version": { "description": "The version to upgrade to.", "type": "string" }, "startTime": { "type": "string", "format": "google-datetime", "description": "The time the operation was started." } }, "id": "UpgradeStatus", "type": "object" }, "FetchInventoryResponse": { "id": "FetchInventoryResponse", "description": "Response message for fetchInventory.", "properties": { "vmwareVms": { "$ref": "VmwareVmsDetails", "description": "The description of the VMs in a Source of type Vmware." }, "nextPageToken": { "description": "Output only. A token, which can be sent as `page_token` to retrieve the next page. If this field is omitted, there are no subsequent pages.", "type": "string", "readOnly": true }, "updateTime": { "format": "google-datetime", "readOnly": true, "description": "Output only. The timestamp when the source was last queried (if the result is from the cache).", "type": "string" } }, "type": "object" }, "CancelOperationRequest": { "id": "CancelOperationRequest", "properties": {}, "description": "The request message for Operations.CancelOperation.", "type": "object" }, "VmUtilizationInfo": { "description": "Utilization information of a single VM.", "id": "VmUtilizationInfo", "type": "object", "properties": { "vmId": { "type": "string", "description": "The VM's ID in the source." }, "vmwareVmDetails": { "description": "The description of the VM in a Source of type Vmware.", "$ref": "VmwareVmDetails" }, "utilization": { "$ref": "VmUtilizationMetrics", "description": "Utilization metrics for this VM." } } }, "OperationMetadata": { "id": "OperationMetadata", "properties": { "requestedCancellation": { "description": "Output only. Identifies whether the user has requested cancellation of the operation. Operations that have successfully been cancelled have Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`.", "type": "boolean", "readOnly": true }, "apiVersion": { "type": "string", "description": "Output only. API version used to start the operation.", "readOnly": true }, "target": { "description": "Output only. Server-defined resource path for the target of the operation.", "readOnly": true, "type": "string" }, "statusMessage": { "readOnly": true, "description": "Output only. Human-readable status of the operation, if any.", "type": "string" }, "verb": { "readOnly": true, "description": "Output only. Name of the verb executed by the operation.", "type": "string" }, "endTime": { "format": "google-datetime", "description": "Output only. The time the operation finished running.", "type": "string", "readOnly": true }, "createTime": { "readOnly": true, "type": "string", "format": "google-datetime", "description": "Output only. The time the operation was created." } }, "description": "Represents the metadata of the long-running operation.", "type": "object" }, "ListUtilizationReportsResponse": { "properties": { "unreachable": { "type": "array", "items": { "type": "string" }, "readOnly": true, "description": "Output only. Locations that could not be reached." }, "nextPageToken": { "type": "string", "description": "Output only. A token, which can be sent as `page_token` to retrieve the next page. If this field is omitted, there are no subsequent pages.", "readOnly": true }, "utilizationReports": { "readOnly": true, "type": "array", "description": "Output only. The list of reports.", "items": { "$ref": "UtilizationReport" } } }, "description": "Response message for 'ListUtilizationReports' request.", "type": "object", "id": "ListUtilizationReportsResponse" }, "ComputeEngineTargetDefaults": { "type": "object", "description": "ComputeEngineTargetDefaults is a collection of details for creating a VM in a target Compute Engine project.", "id": "ComputeEngineTargetDefaults", "properties": { "machineType": { "type": "string", "description": "The machine type to create the VM with." }, "vmName": { "description": "The name of the VM to create.", "type": "string" }, "hostname": { "type": "string", "description": "The hostname to assign to the VM." }, "labels": { "additionalProperties": { "type": "string" }, "type": "object", "description": "A map of labels to associate with the VM." }, "licenseType": { "enumDescriptions": [ "The license type is the default for the OS.", "The license type is Pay As You Go license type.", "The license type is Bring Your Own License type." ], "type": "string", "enum": [ "COMPUTE_ENGINE_LICENSE_TYPE_DEFAULT", "COMPUTE_ENGINE_LICENSE_TYPE_PAYG", "COMPUTE_ENGINE_LICENSE_TYPE_BYOL" ], "description": "The license type to use in OS adaptation." }, "bootOption": { "description": "Output only. The VM Boot Option, as set in the source vm.", "enumDescriptions": [ "The boot option is unknown.", "The boot option is EFI.", "The boot option is BIOS." ], "readOnly": true, "enum": [ "COMPUTE_ENGINE_BOOT_OPTION_UNSPECIFIED", "COMPUTE_ENGINE_BOOT_OPTION_EFI", "COMPUTE_ENGINE_BOOT_OPTION_BIOS" ], "type": "string" }, "targetProject": { "description": "The full path of the resource of type TargetProject which represents the Compute Engine project in which to create this VM.", "type": "string" }, "zone": { "description": "The zone in which to create the VM.", "type": "string" }, "machineTypeSeries": { "type": "string", "description": "The machine type series to create the VM with." }, "appliedLicense": { "$ref": "AppliedLicense", "description": "Output only. The OS license returned from the adaptation module report.", "readOnly": true }, "serviceAccount": { "description": "The service account to associate the VM with.", "type": "string" }, "secureBoot": { "type": "boolean", "description": "Defines whether the instance has Secure Boot enabled. This can be set to true only if the vm boot option is EFI." }, "diskType": { "type": "string", "enum": [ "COMPUTE_ENGINE_DISK_TYPE_UNSPECIFIED", "COMPUTE_ENGINE_DISK_TYPE_STANDARD", "COMPUTE_ENGINE_DISK_TYPE_SSD", "COMPUTE_ENGINE_DISK_TYPE_BALANCED" ], "enumDescriptions": [ "An unspecified disk type. Will be used as STANDARD.", "A Standard disk type.", "SSD hard disk type.", "An alternative to SSD persistent disks that balance performance and cost." ], "description": "The disk type to use in the VM." }, "networkTags": { "items": { "type": "string" }, "type": "array", "description": "A map of network tags to associate with the VM." }, "additionalLicenses": { "description": "Additional licenses to assign to the VM.", "type": "array", "items": { "type": "string" } }, "networkInterfaces": { "type": "array", "description": "List of NICs connected to this VM.", "items": { "$ref": "NetworkInterface" } }, "computeScheduling": { "description": "Compute instance scheduling information (if empty default is used).", "$ref": "ComputeScheduling" }, "metadata": { "description": "The metadata key/value pairs to assign to the VM.", "additionalProperties": { "type": "string" }, "type": "object" } } }, "ListSourcesResponse": { "type": "object", "description": "Response message for 'ListSources' request.", "properties": { "nextPageToken": { "description": "Output only. A token, which can be sent as `page_token` to retrieve the next page. If this field is omitted, there are no subsequent pages.", "readOnly": true, "type": "string" }, "sources": { "description": "Output only. The list of sources response.", "items": { "$ref": "Source" }, "readOnly": true, "type": "array" }, "unreachable": { "readOnly": true, "description": "Output only. Locations that could not be reached.", "items": { "type": "string" }, "type": "array" } }, "id": "ListSourcesResponse" }, "CancelCloneJobRequest": { "type": "object", "description": "Request message for 'CancelCloneJob' request.", "properties": {}, "id": "CancelCloneJobRequest" }, "ReplicationSync": { "description": "ReplicationSync contain information about the last replica sync to the cloud.", "properties": { "lastSyncTime": { "format": "google-datetime", "description": "The most updated snapshot created time in the source that finished replication.", "type": "string" } }, "type": "object", "id": "ReplicationSync" }, "AppliedLicense": { "id": "AppliedLicense", "properties": { "osLicense": { "type": "string", "description": "The OS license returned from the adaptation module's report." }, "type": { "type": "string", "description": "The license type that was used in OS adaptation.", "enum": [ "TYPE_UNSPECIFIED", "NONE", "PAYG", "BYOL" ], "enumDescriptions": [ "Unspecified license for the OS.", "No license available for the OS.", "The license type is Pay As You Go license type.", "The license type is is Bring Your Own License type." ] } }, "description": "AppliedLicense holds the license data returned by adaptation module report.", "type": "object" }, "ComputeEngineTargetDetails": { "id": "ComputeEngineTargetDetails", "properties": { "secureBoot": { "type": "boolean", "description": "Defines whether the instance has Secure Boot enabled. This can be set to true only if the vm boot option is EFI." }, "zone": { "type": "string", "description": "The zone in which to create the VM." }, "serviceAccount": { "type": "string", "description": "The service account to associate the VM with." }, "networkTags": { "type": "array", "items": { "type": "string" }, "description": "A map of network tags to associate with the VM." }, "networkInterfaces": { "description": "List of NICs connected to this VM.", "type": "array", "items": { "$ref": "NetworkInterface" } }, "metadata": { "description": "The metadata key/value pairs to assign to the VM.", "type": "object", "additionalProperties": { "type": "string" } }, "vmName": { "description": "The name of the VM to create.", "type": "string" }, "project": { "type": "string", "description": "The GCP target project ID or project name." }, "additionalLicenses": { "description": "Additional licenses to assign to the VM.", "type": "array", "items": { "type": "string" } }, "appliedLicense": { "$ref": "AppliedLicense", "description": "The OS license returned from the adaptation module report." }, "machineTypeSeries": { "description": "The machine type series to create the VM with.", "type": "string" }, "bootOption": { "type": "string", "enum": [ "COMPUTE_ENGINE_BOOT_OPTION_UNSPECIFIED", "COMPUTE_ENGINE_BOOT_OPTION_EFI", "COMPUTE_ENGINE_BOOT_OPTION_BIOS" ], "enumDescriptions": [ "The boot option is unknown.", "The boot option is EFI.", "The boot option is BIOS." ], "description": "The VM Boot Option, as set in the source vm." }, "licenseType": { "description": "The license type to use in OS adaptation.", "enumDescriptions": [ "The license type is the default for the OS.", "The license type is Pay As You Go license type.", "The license type is Bring Your Own License type." ], "type": "string", "enum": [ "COMPUTE_ENGINE_LICENSE_TYPE_DEFAULT", "COMPUTE_ENGINE_LICENSE_TYPE_PAYG", "COMPUTE_ENGINE_LICENSE_TYPE_BYOL" ] }, "machineType": { "description": "The machine type to create the VM with.", "type": "string" }, "labels": { "description": "A map of labels to associate with the VM.", "type": "object", "additionalProperties": { "type": "string" } }, "hostname": { "type": "string", "description": "The hostname to assign to the VM." }, "diskType": { "description": "The disk type to use in the VM.", "enum": [ "COMPUTE_ENGINE_DISK_TYPE_UNSPECIFIED", "COMPUTE_ENGINE_DISK_TYPE_STANDARD", "COMPUTE_ENGINE_DISK_TYPE_SSD", "COMPUTE_ENGINE_DISK_TYPE_BALANCED" ], "enumDescriptions": [ "An unspecified disk type. Will be used as STANDARD.", "A Standard disk type.", "SSD hard disk type.", "An alternative to SSD persistent disks that balance performance and cost." ], "type": "string" }, "computeScheduling": { "$ref": "ComputeScheduling", "description": "Compute instance scheduling information (if empty default is used)." } }, "description": "ComputeEngineTargetDetails is a collection of details for creating a VM in a target Compute Engine project.", "type": "object" }, "AwsSourceVmDetails": { "description": "Represent the source AWS VM details.", "properties": { "committedStorageBytes": { "description": "The total size of the disks being migrated in bytes.", "format": "int64", "type": "string" }, "firmware": { "enum": [ "FIRMWARE_UNSPECIFIED", "EFI", "BIOS" ], "type": "string", "enumDescriptions": [ "The firmware is unknown.", "The firmware is EFI.", "The firmware is BIOS." ], "description": "The firmware type of the source VM." } }, "id": "AwsSourceVmDetails", "type": "object" }, "UpgradeApplianceRequest": { "id": "UpgradeApplianceRequest", "description": "Request message for 'UpgradeAppliance' request.", "type": "object", "properties": { "requestId": { "type": "string", "description": "A request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes after the first request. For example, consider a situation where you make an initial request and t he request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000)." } } }, "SchedulingNodeAffinity": { "description": "Node Affinity: the configuration of desired nodes onto which this Instance could be scheduled. Based on https://cloud.google.com/compute/docs/reference/rest/v1/instances/setScheduling", "properties": { "key": { "type": "string", "description": "The label key of Node resource to reference." }, "operator": { "enumDescriptions": [ "An unknown, unexpected behavior.", "The node resource group should be in these resources affinity.", "The node resource group should not be in these resources affinity." ], "type": "string", "description": "The operator to use for the node resources specified in the `values` parameter.", "enum": [ "OPERATOR_UNSPECIFIED", "IN", "NOT_IN" ] }, "values": { "description": "Corresponds to the label values of Node resource.", "type": "array", "items": { "type": "string" } } }, "id": "SchedulingNodeAffinity", "type": "object" }, "UtilizationReport": { "description": "Utilization report details the utilization (CPU, memory, etc.) of selected source VMs.", "properties": { "createTime": { "format": "google-datetime", "description": "Output only. The time the report was created (this refers to the time of the request, not the time the report creation completed).", "readOnly": true, "type": "string" }, "stateTime": { "type": "string", "format": "google-datetime", "description": "Output only. The time the state was last set.", "readOnly": true }, "vms": { "type": "array", "items": { "$ref": "VmUtilizationInfo" }, "description": "List of utilization information per VM. When sent as part of the request, the \"vm_id\" field is used in order to specify which VMs to include in the report. In that case all other fields are ignored." }, "displayName": { "type": "string", "description": "The report display name, as assigned by the user." }, "timeFrame": { "enumDescriptions": [ "The time frame was not specified and will default to WEEK.", "One week.", "One month.", "One year." ], "type": "string", "description": "Time frame of the report.", "enum": [ "TIME_FRAME_UNSPECIFIED", "WEEK", "MONTH", "YEAR" ] }, "error": { "readOnly": true, "$ref": "Status", "description": "Output only. Provides details on the state of the report in case of an error." }, "state": { "readOnly": true, "description": "Output only. Current state of the report.", "enumDescriptions": [ "The state is unknown. This value is not in use.", "The report is in the making.", "Report creation completed successfully.", "Report creation failed." ], "type": "string", "enum": [ "STATE_UNSPECIFIED", "CREATING", "SUCCEEDED", "FAILED" ] }, "frameEndTime": { "type": "string", "description": "Output only. The point in time when the time frame ends. Notice that the time frame is counted backwards. For instance if the \"frame_end_time\" value is 2021/01/20 and the time frame is WEEK then the report covers the week between 2021/01/20 and 2021/01/14.", "format": "google-datetime", "readOnly": true }, "vmCount": { "type": "integer", "format": "int32", "description": "Output only. Total number of VMs included in the report.", "readOnly": true }, "name": { "readOnly": true, "type": "string", "description": "Output only. The report unique name." } }, "id": "UtilizationReport", "type": "object" }, "ListGroupsResponse": { "description": "Response message for 'ListGroups' request.", "properties": { "unreachable": { "type": "array", "readOnly": true, "items": { "type": "string" }, "description": "Output only. Locations that could not be reached." }, "groups": { "readOnly": true, "description": "Output only. The list of groups response.", "items": { "$ref": "Group" }, "type": "array" }, "nextPageToken": { "description": "Output only. A token, which can be sent as `page_token` to retrieve the next page. If this field is omitted, there are no subsequent pages.", "type": "string", "readOnly": true } }, "id": "ListGroupsResponse", "type": "object" }, "NetworkInterface": { "properties": { "network": { "type": "string", "description": "The network to connect the NIC to." }, "subnetwork": { "type": "string", "description": "The subnetwork to connect the NIC to." }, "externalIp": { "description": "The external IP to define in the NIC.", "type": "string" }, "internalIp": { "description": "The internal IP to define in the NIC. The formats accepted are: `ephemeral` \\ ipv4 address \\ a named address resource full path.", "type": "string" } }, "type": "object", "description": "NetworkInterface represents a NIC of a VM.", "id": "NetworkInterface" }, "SchedulePolicy": { "description": "A policy for scheduling replications.", "id": "SchedulePolicy", "properties": { "idleDuration": { "description": "The idle duration between replication stages.", "type": "string", "format": "google-duration" }, "skipOsAdaptation": { "type": "boolean", "description": "A flag to indicate whether to skip OS adaptation during the replication sync. OS adaptation is a process where the VM's operating system undergoes changes and adaptations to fully function on Compute Engine." } }, "type": "object" }, "ListTargetProjectsResponse": { "properties": { "nextPageToken": { "description": "Output only. A token, which can be sent as `page_token` to retrieve the next page. If this field is omitted, there are no subsequent pages.", "readOnly": true, "type": "string" }, "unreachable": { "description": "Output only. Locations that could not be reached.", "readOnly": true, "items": { "type": "string" }, "type": "array" }, "targetProjects": { "readOnly": true, "items": { "$ref": "TargetProject" }, "type": "array", "description": "Output only. The list of target response." } }, "description": "Response message for 'ListTargetProjects' call.", "type": "object", "id": "ListTargetProjectsResponse" }, "ComputeScheduling": { "properties": { "restartType": { "enumDescriptions": [ "Unspecified behavior. This will use the default.", "The Instance should be automatically restarted whenever it is terminated by Compute Engine.", "The Instance isn't automatically restarted whenever it is terminated by Compute Engine." ], "type": "string", "enum": [ "RESTART_TYPE_UNSPECIFIED", "AUTOMATIC_RESTART", "NO_AUTOMATIC_RESTART" ], "description": "Whether the Instance should be automatically restarted whenever it is terminated by Compute Engine (not terminated by user). This configuration is identical to `automaticRestart` field in Compute Engine create instance under scheduling. It was changed to an enum (instead of a boolean) to match the default value in Compute Engine which is automatic restart." }, "minNodeCpus": { "description": "The minimum number of virtual CPUs this instance will consume when running on a sole-tenant node. Ignored if no node_affinites are configured.", "type": "integer", "format": "int32" }, "nodeAffinities": { "type": "array", "items": { "$ref": "SchedulingNodeAffinity" }, "description": "A set of node affinity and anti-affinity configurations for sole tenant nodes." }, "onHostMaintenance": { "description": "How the instance should behave when the host machine undergoes maintenance that may temporarily impact instance performance.", "enumDescriptions": [ "An unknown, unexpected behavior.", "Terminate the instance when the host machine undergoes maintenance.", "Migrate the instance when the host machine undergoes maintenance." ], "type": "string", "enum": [ "ON_HOST_MAINTENANCE_UNSPECIFIED", "TERMINATE", "MIGRATE" ] } }, "type": "object", "id": "ComputeScheduling", "description": "Scheduling information for VM on maintenance/restart behaviour and node allocation in sole tenant nodes." } }, "servicePath": "", "id": "vmmigration:v1", "ownerName": "Google", "name": "vmmigration", "ownerDomain": "google.com", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." } } } }, "revision": "20220630" }
]===]))
