local decode = require("cjson").new().decode
return assert(decode([===[
{ "version_module": true, "protocol": "rest", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." } } } }, "resources": { "projects": { "resources": { "locations": { "resources": { "sources": { "methods": { "get": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "vmmigration.projects.locations.sources.get", "description": "Gets details of a single Source.", "httpMethod": "GET", "response": { "$ref": "Source" }, "path": "v1alpha1/{+name}", "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/sources/{sourcesId}", "parameters": { "name": { "type": "string", "required": true, "description": "Required. The Source name.", "pattern": "^projects/[^/]+/locations/[^/]+/sources/[^/]+$", "location": "path" } }, "parameterOrder": [ "name" ] }, "create": { "id": "vmmigration.projects.locations.sources.create", "description": "Creates a new Source in a given project and location.", "parameters": { "parent": { "location": "path", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+$", "description": "Required. The Source's parent.", "required": true }, "sourceId": { "description": "Required. The source identifier.", "location": "query", "type": "string" }, "requestId": { "description": "A request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes since the first request. For example, consider a situation where you make an initial request and t he request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" } }, "parameterOrder": [ "parent" ], "request": { "$ref": "Source" }, "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/sources", "httpMethod": "POST", "path": "v1alpha1/{+parent}/sources" }, "fetchInventory": { "response": { "$ref": "FetchInventoryResponse" }, "parameterOrder": [ "source" ], "httpMethod": "GET", "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/sources/{sourcesId}:fetchInventory", "id": "vmmigration.projects.locations.sources.fetchInventory", "path": "v1alpha1/{+source}:fetchInventory", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "List remote source's inventory of VMs. The remote source is the onprem vCenter (remote in the sense it's not in Compute Engine). The inventory describes the list of existing VMs in that source. Note that this operation lists the VMs on the remote source, as opposed to listing the MigratingVms resources in the vmmigration service.", "parameters": { "pageToken": { "location": "query", "type": "string", "description": "A page token, received from a previous `FetchInventory` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `FetchInventory` must match the call that provided the page token." }, "pageSize": { "format": "int32", "type": "integer", "location": "query", "description": "The maximum number of VMs to return. The service may return fewer than this value. For AWS source: If unspecified, at most 500 VMs will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000. For VMWare source: If unspecified, all VMs will be returned. There is no limit for maximum value." }, "forceRefresh": { "location": "query", "description": "If this flag is set to true, the source will be queried instead of using cached results. Using this flag will make the call slower.", "type": "boolean" }, "source": { "location": "path", "required": true, "type": "string", "description": "Required. The name of the Source.", "pattern": "^projects/[^/]+/locations/[^/]+/sources/[^/]+$" } } }, "list": { "id": "vmmigration.projects.locations.sources.list", "parameterOrder": [ "parent" ], "response": { "$ref": "ListSourcesResponse" }, "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Lists Sources in a given project and location.", "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/sources", "parameters": { "filter": { "location": "query", "description": "Optional. The filter request.", "type": "string" }, "parent": { "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+$", "type": "string", "description": "Required. The parent, which owns this collection of sources.", "required": true }, "orderBy": { "description": "Optional. the order by fields for the result.", "location": "query", "type": "string" }, "pageSize": { "description": "Optional. The maximum number of sources to return. The service may return fewer than this value. If unspecified, at most 500 sources will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.", "format": "int32", "type": "integer", "location": "query" }, "pageToken": { "location": "query", "description": "Required. A page token, received from a previous `ListSources` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListSources` must match the call that provided the page token.", "type": "string" } }, "path": "v1alpha1/{+parent}/sources" }, "patch": { "response": { "$ref": "Operation" }, "httpMethod": "PATCH", "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/sources/{sourcesId}", "id": "vmmigration.projects.locations.sources.patch", "request": { "$ref": "Source" }, "parameters": { "name": { "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/sources/[^/]+$", "description": "Output only. The Source name.", "location": "path", "required": true }, "requestId": { "description": "A request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes since the first request. For example, consider a situation where you make an initial request and t he request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "updateMask": { "description": "Field mask is used to specify the fields to be overwritten in the Source resource by the update. The fields specified in the update_mask are relative to the resource, not the full request. A field will be overwritten if it is in the mask. If the user does not provide a mask then all fields will be overwritten.", "type": "string", "location": "query", "format": "google-fieldmask" } }, "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1alpha1/{+name}", "description": "Updates the parameters of a single Source." }, "delete": { "response": { "$ref": "Operation" }, "parameters": { "name": { "type": "string", "required": true, "location": "path", "description": "Required. The Source name.", "pattern": "^projects/[^/]+/locations/[^/]+/sources/[^/]+$" }, "requestId": { "type": "string", "description": "Optional. A request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes after the first request. For example, consider a situation where you make an initial request and t he request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).", "location": "query" } }, "httpMethod": "DELETE", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1alpha1/{+name}", "description": "Deletes a single Source.", "parameterOrder": [ "name" ], "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/sources/{sourcesId}", "id": "vmmigration.projects.locations.sources.delete" } }, "resources": { "utilizationReports": { "methods": { "list": { "path": "v1alpha1/{+parent}/utilizationReports", "response": { "$ref": "ListUtilizationReportsResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "pageSize": { "location": "query", "format": "int32", "description": "Optional. The maximum number of reports to return. The service may return fewer than this value. If unspecified, at most 500 reports will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.", "type": "integer" }, "parent": { "pattern": "^projects/[^/]+/locations/[^/]+/sources/[^/]+$", "description": "Required. The Utilization Reports parent.", "type": "string", "location": "path", "required": true }, "orderBy": { "description": "Optional. the order by fields for the result.", "type": "string", "location": "query" }, "pageToken": { "location": "query", "type": "string", "description": "Required. A page token, received from a previous `ListUtilizationReports` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListUtilizationReports` must match the call that provided the page token." }, "view": { "type": "string", "enumDescriptions": [ "The default / unset value. The API will default to FULL on single report request and BASIC for multiple reports request.", "Get the report metadata, without the list of VMs and their utilization info.", "Include everything." ], "description": "Optional. The level of details of each report. Defaults to BASIC.", "enum": [ "UTILIZATION_REPORT_VIEW_UNSPECIFIED", "BASIC", "FULL" ], "location": "query" }, "filter": { "type": "string", "location": "query", "description": "Optional. The filter request." } }, "httpMethod": "GET", "description": "Lists Utilization Reports of the given Source.", "id": "vmmigration.projects.locations.sources.utilizationReports.list", "parameterOrder": [ "parent" ], "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/sources/{sourcesId}/utilizationReports" }, "delete": { "httpMethod": "DELETE", "response": { "$ref": "Operation" }, "parameters": { "requestId": { "location": "query", "type": "string", "description": "Optional. A request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes after the first request. For example, consider a situation where you make an initial request and t he request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000)." }, "name": { "location": "path", "required": true, "type": "string", "description": "Required. The Utilization Report name.", "pattern": "^projects/[^/]+/locations/[^/]+/sources/[^/]+/utilizationReports/[^/]+$" } }, "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/sources/{sourcesId}/utilizationReports/{utilizationReportsId}", "description": "Deletes a single Utilization Report.", "id": "vmmigration.projects.locations.sources.utilizationReports.delete", "parameterOrder": [ "name" ], "path": "v1alpha1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "create": { "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/sources/{sourcesId}/utilizationReports", "description": "Creates a new UtilizationReport.", "httpMethod": "POST", "parameters": { "requestId": { "type": "string", "description": "A request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes since the first request. For example, consider a situation where you make an initial request and t he request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).", "location": "query" }, "utilizationReportId": { "type": "string", "description": "Required. The ID to use for the report, which will become the final component of the reports's resource name. This value maximum length is 63 characters, and valid characters are /a-z-/. It must start with an english letter and must not end with a hyphen.", "location": "query" }, "parent": { "pattern": "^projects/[^/]+/locations/[^/]+/sources/[^/]+$", "description": "Required. The Utilization Report's parent.", "type": "string", "required": true, "location": "path" } }, "id": "vmmigration.projects.locations.sources.utilizationReports.create", "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Operation" }, "request": { "$ref": "UtilizationReport" }, "path": "v1alpha1/{+parent}/utilizationReports" }, "get": { "description": "Gets a single Utilization Report.", "parameters": { "view": { "enumDescriptions": [ "The default / unset value. The API will default to FULL on single report request and BASIC for multiple reports request.", "Get the report metadata, without the list of VMs and their utilization info.", "Include everything." ], "type": "string", "location": "query", "enum": [ "UTILIZATION_REPORT_VIEW_UNSPECIFIED", "BASIC", "FULL" ], "description": "Optional. The level of details of the report. Defaults to FULL" }, "name": { "type": "string", "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/sources/[^/]+/utilizationReports/[^/]+$", "description": "Required. The Utilization Report name." } }, "parameterOrder": [ "name" ], "id": "vmmigration.projects.locations.sources.utilizationReports.get", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "UtilizationReport" }, "path": "v1alpha1/{+name}", "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/sources/{sourcesId}/utilizationReports/{utilizationReportsId}" } } }, "migratingVms": { "resources": { "cutoverJobs": { "methods": { "list": { "httpMethod": "GET", "id": "vmmigration.projects.locations.sources.migratingVms.cutoverJobs.list", "path": "v1alpha1/{+parent}/cutoverJobs", "parameterOrder": [ "parent" ], "description": "Lists CutoverJobs of a given migrating VM.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "pageSize": { "format": "int32", "type": "integer", "location": "query", "description": "Optional. The maximum number of cutover jobs to return. The service may return fewer than this value. If unspecified, at most 500 cutover jobs will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000." }, "orderBy": { "description": "Optional. the order by fields for the result.", "type": "string", "location": "query" }, "pageToken": { "location": "query", "type": "string", "description": "Required. A page token, received from a previous `ListCutoverJobs` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListCutoverJobs` must match the call that provided the page token." }, "filter": { "description": "Optional. The filter request.", "type": "string", "location": "query" }, "parent": { "location": "path", "description": "Required. The parent, which owns this collection of migrating VMs.", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/sources/[^/]+/migratingVms/[^/]+$", "required": true } }, "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/sources/{sourcesId}/migratingVms/{migratingVmsId}/cutoverJobs", "response": { "$ref": "ListCutoverJobsResponse" } }, "create": { "path": "v1alpha1/{+parent}/cutoverJobs", "parameterOrder": [ "parent" ], "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Initiates a Cutover of a specific migrating VM. The returned LRO is completed when the cutover job resource is created and the job is initiated.", "id": "vmmigration.projects.locations.sources.migratingVms.cutoverJobs.create", "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/sources/{sourcesId}/migratingVms/{migratingVmsId}/cutoverJobs", "response": { "$ref": "Operation" }, "request": { "$ref": "CutoverJob" }, "parameters": { "requestId": { "location": "query", "type": "string", "description": "A request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes since the first request. For example, consider a situation where you make an initial request and t he request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000)." }, "cutoverJobId": { "location": "query", "type": "string", "description": "Required. The cutover job identifier." }, "parent": { "location": "path", "description": "Required. The Cutover's parent.", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/sources/[^/]+/migratingVms/[^/]+$", "type": "string" } } }, "cancel": { "parameterOrder": [ "name" ], "response": { "$ref": "Operation" }, "description": "Initiates the cancellation of a running cutover job.", "path": "v1alpha1/{+name}:cancel", "id": "vmmigration.projects.locations.sources.migratingVms.cutoverJobs.cancel", "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/sources/{sourcesId}/migratingVms/{migratingVmsId}/cutoverJobs/{cutoverJobsId}:cancel", "parameters": { "name": { "location": "path", "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/sources/[^/]+/migratingVms/[^/]+/cutoverJobs/[^/]+$", "description": "Required. The cutover job id" } }, "request": { "$ref": "CancelCutoverJobRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST" }, "get": { "path": "v1alpha1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "vmmigration.projects.locations.sources.migratingVms.cutoverJobs.get", "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/sources/{sourcesId}/migratingVms/{migratingVmsId}/cutoverJobs/{cutoverJobsId}", "description": "Gets details of a single CutoverJob.", "parameters": { "name": { "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/sources/[^/]+/migratingVms/[^/]+/cutoverJobs/[^/]+$", "location": "path", "type": "string", "description": "Required. The name of the CutoverJob." } }, "parameterOrder": [ "name" ], "response": { "$ref": "CutoverJob" }, "httpMethod": "GET" } } }, "cloneJobs": { "methods": { "create": { "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/sources/{sourcesId}/migratingVms/{migratingVmsId}/cloneJobs", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST", "parameters": { "cloneJobId": { "type": "string", "location": "query", "description": "Required. The clone job identifier." }, "parent": { "pattern": "^projects/[^/]+/locations/[^/]+/sources/[^/]+/migratingVms/[^/]+$", "location": "path", "type": "string", "description": "Required. The Clone's parent.", "required": true }, "requestId": { "type": "string", "location": "query", "description": "A request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes since the first request. For example, consider a situation where you make an initial request and t he request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000)." } }, "description": "Initiates a Clone of a specific migrating VM.", "request": { "$ref": "CloneJob" }, "id": "vmmigration.projects.locations.sources.migratingVms.cloneJobs.create", "parameterOrder": [ "parent" ], "response": { "$ref": "Operation" }, "path": "v1alpha1/{+parent}/cloneJobs" }, "cancel": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST", "id": "vmmigration.projects.locations.sources.migratingVms.cloneJobs.cancel", "response": { "$ref": "Operation" }, "path": "v1alpha1/{+name}:cancel", "parameterOrder": [ "name" ], "parameters": { "name": { "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/sources/[^/]+/migratingVms/[^/]+/cloneJobs/[^/]+$", "description": "Required. The clone job id", "location": "path", "type": "string" } }, "request": { "$ref": "CancelCloneJobRequest" }, "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/sources/{sourcesId}/migratingVms/{migratingVmsId}/cloneJobs/{cloneJobsId}:cancel", "description": "Initiates the cancellation of a running clone job." }, "list": { "description": "Lists CloneJobs of a given migrating VM.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "parent" ], "httpMethod": "GET", "response": { "$ref": "ListCloneJobsResponse" }, "path": "v1alpha1/{+parent}/cloneJobs", "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/sources/{sourcesId}/migratingVms/{migratingVmsId}/cloneJobs", "parameters": { "pageToken": { "type": "string", "description": "Required. A page token, received from a previous `ListCloneJobs` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListCloneJobs` must match the call that provided the page token.", "location": "query" }, "pageSize": { "format": "int32", "type": "integer", "location": "query", "description": "Optional. The maximum number of clone jobs to return. The service may return fewer than this value. If unspecified, at most 500 clone jobs will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000." }, "parent": { "required": true, "type": "string", "description": "Required. The parent, which owns this collection of source VMs.", "pattern": "^projects/[^/]+/locations/[^/]+/sources/[^/]+/migratingVms/[^/]+$", "location": "path" }, "filter": { "location": "query", "description": "Optional. The filter request.", "type": "string" }, "orderBy": { "location": "query", "type": "string", "description": "Optional. the order by fields for the result." } }, "id": "vmmigration.projects.locations.sources.migratingVms.cloneJobs.list" }, "get": { "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/sources/{sourcesId}/migratingVms/{migratingVmsId}/cloneJobs/{cloneJobsId}", "path": "v1alpha1/{+name}", "response": { "$ref": "CloneJob" }, "httpMethod": "GET", "id": "vmmigration.projects.locations.sources.migratingVms.cloneJobs.get", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Gets details of a single CloneJob.", "parameterOrder": [ "name" ], "parameters": { "name": { "description": "Required. The name of the CloneJob.", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/sources/[^/]+/migratingVms/[^/]+/cloneJobs/[^/]+$", "required": true, "type": "string" } } } } }, "replicationCycles": { "methods": { "list": { "path": "v1alpha1/{+parent}/replicationCycles", "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/sources/{sourcesId}/migratingVms/{migratingVmsId}/replicationCycles", "id": "vmmigration.projects.locations.sources.migratingVms.replicationCycles.list", "response": { "$ref": "ListReplicationCyclesResponse" }, "parameters": { "filter": { "location": "query", "description": "Optional. The filter request.", "type": "string" }, "parent": { "type": "string", "required": true, "location": "path", "description": "Required. The parent, which owns this collection of ReplicationCycles.", "pattern": "^projects/[^/]+/locations/[^/]+/sources/[^/]+/migratingVms/[^/]+$" }, "pageSize": { "type": "integer", "format": "int32", "description": "Optional. The maximum number of replication cycles to return. The service may return fewer than this value. If unspecified, at most 100 migrating VMs will be returned. The maximum value is 100; values above 100 will be coerced to 100.", "location": "query" }, "pageToken": { "type": "string", "location": "query", "description": "Required. A page token, received from a previous `ListReplicationCycles` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListReplicationCycles` must match the call that provided the page token." }, "orderBy": { "type": "string", "location": "query", "description": "Optional. the order by fields for the result." } }, "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "parent" ], "description": "Lists ReplicationCycles in a given MigratingVM." }, "get": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "ReplicationCycle" }, "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/sources/{sourcesId}/migratingVms/{migratingVmsId}/replicationCycles/{replicationCyclesId}", "path": "v1alpha1/{+name}", "description": "Gets details of a single ReplicationCycle.", "parameterOrder": [ "name" ], "id": "vmmigration.projects.locations.sources.migratingVms.replicationCycles.get", "parameters": { "name": { "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/sources/[^/]+/migratingVms/[^/]+/replicationCycles/[^/]+$", "required": true, "description": "Required. The name of the ReplicationCycle.", "location": "path" } }, "httpMethod": "GET" } } } }, "methods": { "get": { "response": { "$ref": "MigratingVm" }, "parameters": { "name": { "type": "string", "required": true, "description": "Required. The name of the MigratingVm.", "pattern": "^projects/[^/]+/locations/[^/]+/sources/[^/]+/migratingVms/[^/]+$", "location": "path" }, "view": { "type": "string", "location": "query", "enum": [ "MIGRATING_VM_VIEW_UNSPECIFIED", "MIGRATING_VM_VIEW_BASIC", "MIGRATING_VM_VIEW_FULL" ], "description": "Optional. The level of details of the migrating VM.", "enumDescriptions": [ "View is unspecified. The API will fallback to the default value.", "Get the migrating VM basic details. The basic details do not include the recent clone jobs and recent cutover jobs lists.", "Include everything." ] } }, "httpMethod": "GET", "id": "vmmigration.projects.locations.sources.migratingVms.get", "description": "Gets details of a single MigratingVm.", "path": "v1alpha1/{+name}", "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/sources/{sourcesId}/migratingVms/{migratingVmsId}", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "pauseMigration": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1alpha1/{+migratingVm}:pauseMigration", "request": { "$ref": "PauseMigrationRequest" }, "description": "Pauses a migration for a VM. If cycle tasks are running they will be cancelled, preserving source task data. Further replication cycles will not be triggered while the VM is paused.", "parameterOrder": [ "migratingVm" ], "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/sources/{sourcesId}/migratingVms/{migratingVmsId}:pauseMigration", "httpMethod": "POST", "response": { "$ref": "Operation" }, "parameters": { "migratingVm": { "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/sources/[^/]+/migratingVms/[^/]+$", "description": "Required. The name of the MigratingVm.", "location": "path" } }, "id": "vmmigration.projects.locations.sources.migratingVms.pauseMigration" }, "startMigration": { "request": { "$ref": "StartMigrationRequest" }, "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/sources/{sourcesId}/migratingVms/{migratingVmsId}:startMigration", "path": "v1alpha1/{+migratingVm}:startMigration", "id": "vmmigration.projects.locations.sources.migratingVms.startMigration", "description": "Starts migration for a VM. Starts the process of uploading data and creating snapshots, in replication cycles scheduled by the policy.", "response": { "$ref": "Operation" }, "parameterOrder": [ "migratingVm" ], "parameters": { "migratingVm": { "pattern": "^projects/[^/]+/locations/[^/]+/sources/[^/]+/migratingVms/[^/]+$", "type": "string", "description": "Required. The name of the MigratingVm.", "required": true, "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST" }, "delete": { "parameters": { "name": { "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/sources/[^/]+/migratingVms/[^/]+$", "type": "string", "description": "Required. The name of the MigratingVm." } }, "parameterOrder": [ "name" ], "response": { "$ref": "Operation" }, "id": "vmmigration.projects.locations.sources.migratingVms.delete", "path": "v1alpha1/{+name}", "description": "Deletes a single MigratingVm.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "DELETE", "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/sources/{sourcesId}/migratingVms/{migratingVmsId}" }, "create": { "parameters": { "migratingVmId": { "location": "query", "description": "Required. The migratingVm identifier.", "type": "string" }, "requestId": { "type": "string", "location": "query", "description": "A request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes since the first request. For example, consider a situation where you make an initial request and t he request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000)." }, "parent": { "type": "string", "required": true, "description": "Required. The MigratingVm's parent.", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/sources/[^/]+$" } }, "id": "vmmigration.projects.locations.sources.migratingVms.create", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST", "response": { "$ref": "Operation" }, "request": { "$ref": "MigratingVm" }, "path": "v1alpha1/{+parent}/migratingVms", "description": "Creates a new MigratingVm in a given Source.", "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/sources/{sourcesId}/migratingVms", "parameterOrder": [ "parent" ] }, "finalizeMigration": { "parameterOrder": [ "migratingVm" ], "httpMethod": "POST", "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/sources/{sourcesId}/migratingVms/{migratingVmsId}:finalizeMigration", "response": { "$ref": "Operation" }, "description": "Marks a migration as completed, deleting migration resources that are no longer being used. Only applicable after cutover is done.", "request": { "$ref": "FinalizeMigrationRequest" }, "path": "v1alpha1/{+migratingVm}:finalizeMigration", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "migratingVm": { "required": true, "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/sources/[^/]+/migratingVms/[^/]+$", "description": "Required. The name of the MigratingVm." } }, "id": "vmmigration.projects.locations.sources.migratingVms.finalizeMigration" }, "resumeMigration": { "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/sources/{sourcesId}/migratingVms/{migratingVmsId}:resumeMigration", "response": { "$ref": "Operation" }, "parameterOrder": [ "migratingVm" ], "id": "vmmigration.projects.locations.sources.migratingVms.resumeMigration", "path": "v1alpha1/{+migratingVm}:resumeMigration", "httpMethod": "POST", "description": "Resumes a migration for a VM. When called on a paused migration, will start the process of uploading data and creating snapshots; when called on a completed cut-over migration, will update the migration to active state and start the process of uploading data and creating snapshots.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "migratingVm": { "description": "Required. The name of the MigratingVm.", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/sources/[^/]+/migratingVms/[^/]+$", "location": "path", "type": "string" } }, "request": { "$ref": "ResumeMigrationRequest" } }, "patch": { "path": "v1alpha1/{+name}", "request": { "$ref": "MigratingVm" }, "httpMethod": "PATCH", "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/sources/{sourcesId}/migratingVms/{migratingVmsId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Operation" }, "id": "vmmigration.projects.locations.sources.migratingVms.patch", "parameters": { "updateMask": { "location": "query", "format": "google-fieldmask", "description": "Field mask is used to specify the fields to be overwritten in the MigratingVm resource by the update. The fields specified in the update_mask are relative to the resource, not the full request. A field will be overwritten if it is in the mask. If the user does not provide a mask then all fields will be overwritten.", "type": "string" }, "requestId": { "description": "A request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes since the first request. For example, consider a situation where you make an initial request and t he request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "name": { "type": "string", "location": "path", "required": true, "description": "Output only. The identifier of the MigratingVm.", "pattern": "^projects/[^/]+/locations/[^/]+/sources/[^/]+/migratingVms/[^/]+$" } }, "parameterOrder": [ "name" ], "description": "Updates the parameters of a single MigratingVm." }, "list": { "id": "vmmigration.projects.locations.sources.migratingVms.list", "description": "Lists MigratingVms in a given Source.", "parameterOrder": [ "parent" ], "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/sources/{sourcesId}/migratingVms", "httpMethod": "GET", "path": "v1alpha1/{+parent}/migratingVms", "response": { "$ref": "ListMigratingVmsResponse" }, "parameters": { "pageSize": { "location": "query", "format": "int32", "description": "Optional. The maximum number of migrating VMs to return. The service may return fewer than this value. If unspecified, at most 500 migrating VMs will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.", "type": "integer" }, "parent": { "pattern": "^projects/[^/]+/locations/[^/]+/sources/[^/]+$", "description": "Required. The parent, which owns this collection of MigratingVms.", "location": "path", "required": true, "type": "string" }, "orderBy": { "type": "string", "location": "query", "description": "Optional. the order by fields for the result." }, "view": { "location": "query", "type": "string", "enumDescriptions": [ "View is unspecified. The API will fallback to the default value.", "Get the migrating VM basic details. The basic details do not include the recent clone jobs and recent cutover jobs lists.", "Include everything." ], "enum": [ "MIGRATING_VM_VIEW_UNSPECIFIED", "MIGRATING_VM_VIEW_BASIC", "MIGRATING_VM_VIEW_FULL" ], "description": "Optional. The level of details of each migrating VM." }, "pageToken": { "description": "Required. A page token, received from a previous `ListMigratingVms` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListMigratingVms` must match the call that provided the page token.", "type": "string", "location": "query" }, "filter": { "location": "query", "description": "Optional. The filter request.", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] } } }, "datacenterConnectors": { "methods": { "upgradeAppliance": { "path": "v1alpha1/{+datacenterConnector}:upgradeAppliance", "httpMethod": "POST", "description": "Upgrades the appliance relate to this DatacenterConnector to the in-place updateable version.", "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/sources/{sourcesId}/datacenterConnectors/{datacenterConnectorsId}:upgradeAppliance", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "datacenterConnector": { "location": "path", "required": true, "description": "Required. The DatacenterConnector name.", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/sources/[^/]+/datacenterConnectors/[^/]+$" } }, "response": { "$ref": "Operation" }, "id": "vmmigration.projects.locations.sources.datacenterConnectors.upgradeAppliance", "request": { "$ref": "UpgradeApplianceRequest" }, "parameterOrder": [ "datacenterConnector" ] }, "delete": { "httpMethod": "DELETE", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Operation" }, "parameters": { "name": { "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/sources/[^/]+/datacenterConnectors/[^/]+$", "description": "Required. The DatacenterConnector name.", "required": true, "location": "path" }, "requestId": { "location": "query", "type": "string", "description": "A request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes after the first request. For example, consider a situation where you make an initial request and t he request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000)." } }, "id": "vmmigration.projects.locations.sources.datacenterConnectors.delete", "description": "Deletes a single DatacenterConnector.", "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/sources/{sourcesId}/datacenterConnectors/{datacenterConnectorsId}", "path": "v1alpha1/{+name}", "parameterOrder": [ "name" ] }, "create": { "id": "vmmigration.projects.locations.sources.datacenterConnectors.create", "description": "Creates a new DatacenterConnector in a given Source.", "path": "v1alpha1/{+parent}/datacenterConnectors", "parameters": { "requestId": { "type": "string", "location": "query", "description": "A request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes since the first request. For example, consider a situation where you make an initial request and t he request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000)." }, "parent": { "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/sources/[^/]+$", "location": "path", "type": "string", "description": "Required. The DatacenterConnector's parent. Required. The Source in where the new DatacenterConnector will be created. For example: `projects/my-project/locations/us-central1/sources/my-source`" }, "datacenterConnectorId": { "location": "query", "description": "Required. The datacenterConnector identifier.", "type": "string" } }, "request": { "$ref": "DatacenterConnector" }, "parameterOrder": [ "parent" ], "httpMethod": "POST", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/sources/{sourcesId}/datacenterConnectors" }, "get": { "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/sources/{sourcesId}/datacenterConnectors/{datacenterConnectorsId}", "parameterOrder": [ "name" ], "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/sources/[^/]+/datacenterConnectors/[^/]+$", "required": true, "description": "Required. The name of the DatacenterConnector.", "type": "string", "location": "path" } }, "id": "vmmigration.projects.locations.sources.datacenterConnectors.get", "response": { "$ref": "DatacenterConnector" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "description": "Gets details of a single DatacenterConnector.", "path": "v1alpha1/{+name}" }, "list": { "parameters": { "pageToken": { "location": "query", "type": "string", "description": "Required. A page token, received from a previous `ListDatacenterConnectors` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListDatacenterConnectors` must match the call that provided the page token." }, "pageSize": { "format": "int32", "type": "integer", "description": "Optional. The maximum number of connectors to return. The service may return fewer than this value. If unspecified, at most 500 sources will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.", "location": "query" }, "orderBy": { "type": "string", "description": "Optional. the order by fields for the result.", "location": "query" }, "filter": { "location": "query", "type": "string", "description": "Optional. The filter request." }, "parent": { "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/sources/[^/]+$", "description": "Required. The parent, which owns this collection of connectors.", "type": "string" } }, "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/sources/{sourcesId}/datacenterConnectors", "id": "vmmigration.projects.locations.sources.datacenterConnectors.list", "parameterOrder": [ "parent" ], "path": "v1alpha1/{+parent}/datacenterConnectors", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Lists DatacenterConnectors in a given Source.", "httpMethod": "GET", "response": { "$ref": "ListDatacenterConnectorsResponse" } } } } } }, "targetProjects": { "methods": { "create": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Creates a new TargetProject in a given project. NOTE: TargetProject is a global resource; hence the only supported value for location is `global`.", "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/targetProjects", "id": "vmmigration.projects.locations.targetProjects.create", "response": { "$ref": "Operation" }, "parameterOrder": [ "parent" ], "path": "v1alpha1/{+parent}/targetProjects", "parameters": { "parent": { "location": "path", "required": true, "description": "Required. The TargetProject's parent.", "pattern": "^projects/[^/]+/locations/[^/]+$", "type": "string" }, "requestId": { "location": "query", "type": "string", "description": "A request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes since the first request. For example, consider a situation where you make an initial request and t he request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000)." }, "targetProjectId": { "description": "Required. The target_project identifier.", "location": "query", "type": "string" } }, "httpMethod": "POST", "request": { "$ref": "TargetProject" } }, "list": { "path": "v1alpha1/{+parent}/targetProjects", "id": "vmmigration.projects.locations.targetProjects.list", "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/targetProjects", "httpMethod": "GET", "parameters": { "filter": { "type": "string", "description": "Optional. The filter request.", "location": "query" }, "orderBy": { "type": "string", "location": "query", "description": "Optional. the order by fields for the result." }, "pageSize": { "type": "integer", "format": "int32", "location": "query", "description": "Optional. The maximum number of targets to return. The service may return fewer than this value. If unspecified, at most 500 targets will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000." }, "pageToken": { "type": "string", "location": "query", "description": "Required. A page token, received from a previous `ListTargets` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListTargets` must match the call that provided the page token." }, "parent": { "required": true, "type": "string", "description": "Required. The parent, which owns this collection of targets.", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+$" } }, "parameterOrder": [ "parent" ], "description": "Lists TargetProjects in a given project. NOTE: TargetProject is a global resource; hence the only supported value for location is `global`.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "ListTargetProjectsResponse" } }, "delete": { "response": { "$ref": "Operation" }, "httpMethod": "DELETE", "parameters": { "requestId": { "description": "Optional. A request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes after the first request. For example, consider a situation where you make an initial request and t he request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "name": { "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/targetProjects/[^/]+$", "type": "string", "description": "Required. The TargetProject name.", "location": "path" } }, "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/targetProjects/{targetProjectsId}", "parameterOrder": [ "name" ], "id": "vmmigration.projects.locations.targetProjects.delete", "path": "v1alpha1/{+name}", "description": "Deletes a single TargetProject. NOTE: TargetProject is a global resource; hence the only supported value for location is `global`.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "patch": { "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "PATCH", "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/targetProjects/{targetProjectsId}", "id": "vmmigration.projects.locations.targetProjects.patch", "description": "Updates the parameters of a single TargetProject. NOTE: TargetProject is a global resource; hence the only supported value for location is `global`.", "request": { "$ref": "TargetProject" }, "parameterOrder": [ "name" ], "parameters": { "name": { "required": true, "description": "Output only. The name of the target project.", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/targetProjects/[^/]+$", "type": "string" }, "updateMask": { "format": "google-fieldmask", "type": "string", "description": "Field mask is used to specify the fields to be overwritten in the TargetProject resource by the update. The fields specified in the update_mask are relative to the resource, not the full request. A field will be overwritten if it is in the mask. If the user does not provide a mask then all fields will be overwritten.", "location": "query" }, "requestId": { "description": "A request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes since the first request. For example, consider a situation where you make an initial request and t he request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" } }, "path": "v1alpha1/{+name}" }, "get": { "parameterOrder": [ "name" ], "path": "v1alpha1/{+name}", "description": "Gets details of a single TargetProject. NOTE: TargetProject is a global resource; hence the only supported value for location is `global`.", "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/targetProjects/{targetProjectsId}", "response": { "$ref": "TargetProject" }, "parameters": { "name": { "description": "Required. The TargetProject name.", "pattern": "^projects/[^/]+/locations/[^/]+/targetProjects/[^/]+$", "required": true, "location": "path", "type": "string" } }, "httpMethod": "GET", "id": "vmmigration.projects.locations.targetProjects.get", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] } } }, "groups": { "methods": { "create": { "response": { "$ref": "Operation" }, "path": "v1alpha1/{+parent}/groups", "httpMethod": "POST", "id": "vmmigration.projects.locations.groups.create", "parameterOrder": [ "parent" ], "parameters": { "requestId": { "location": "query", "type": "string", "description": "A request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes since the first request. For example, consider a situation where you make an initial request and t he request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000)." }, "groupId": { "description": "Required. The group identifier.", "location": "query", "type": "string" }, "parent": { "description": "Required. The Group's parent.", "pattern": "^projects/[^/]+/locations/[^/]+$", "location": "path", "required": true, "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/groups", "description": "Creates a new Group in a given project and location.", "request": { "$ref": "Group" } }, "addGroupMigration": { "id": "vmmigration.projects.locations.groups.addGroupMigration", "description": "Adds a MigratingVm to a Group.", "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/groups/{groupsId}:addGroupMigration", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1alpha1/{+group}:addGroupMigration", "parameters": { "group": { "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/groups/[^/]+$", "description": "Required. The full path name of the Group to add to.", "location": "path" } }, "parameterOrder": [ "group" ], "httpMethod": "POST", "response": { "$ref": "Operation" }, "request": { "$ref": "AddGroupMigrationRequest" } }, "removeGroupMigration": { "httpMethod": "POST", "path": "v1alpha1/{+group}:removeGroupMigration", "description": "Removes a MigratingVm from a Group.", "parameters": { "group": { "type": "string", "description": "Required. The name of the Group.", "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/groups/[^/]+$" } }, "parameterOrder": [ "group" ], "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/groups/{groupsId}:removeGroupMigration", "response": { "$ref": "Operation" }, "request": { "$ref": "RemoveGroupMigrationRequest" }, "id": "vmmigration.projects.locations.groups.removeGroupMigration", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "patch": { "description": "Updates the parameters of a single Group.", "request": { "$ref": "Group" }, "httpMethod": "PATCH", "parameterOrder": [ "name" ], "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/groups/{groupsId}", "path": "v1alpha1/{+name}", "parameters": { "name": { "required": true, "description": "Output only. The Group name.", "pattern": "^projects/[^/]+/locations/[^/]+/groups/[^/]+$", "type": "string", "location": "path" }, "requestId": { "location": "query", "description": "A request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes since the first request. For example, consider a situation where you make an initial request and t he request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).", "type": "string" }, "updateMask": { "location": "query", "format": "google-fieldmask", "type": "string", "description": "Field mask is used to specify the fields to be overwritten in the Group resource by the update. The fields specified in the update_mask are relative to the resource, not the full request. A field will be overwritten if it is in the mask. If the user does not provide a mask then all fields will be overwritten." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "vmmigration.projects.locations.groups.patch", "response": { "$ref": "Operation" } }, "list": { "response": { "$ref": "ListGroupsResponse" }, "parameters": { "parent": { "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+$", "description": "Required. The parent, which owns this collection of groups.", "location": "path" }, "pageSize": { "type": "integer", "description": "Optional. The maximum number of groups to return. The service may return fewer than this value. If unspecified, at most 500 groups will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.", "location": "query", "format": "int32" }, "orderBy": { "location": "query", "description": "Optional. the order by fields for the result.", "type": "string" }, "filter": { "description": "Optional. The filter request.", "type": "string", "location": "query" }, "pageToken": { "type": "string", "location": "query", "description": "Required. A page token, received from a previous `ListGroups` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListGroups` must match the call that provided the page token." } }, "httpMethod": "GET", "path": "v1alpha1/{+parent}/groups", "description": "Lists Groups in a given project and location.", "id": "vmmigration.projects.locations.groups.list", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/groups", "parameterOrder": [ "parent" ] }, "delete": { "response": { "$ref": "Operation" }, "description": "Deletes a single Group.", "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/groups/{groupsId}", "httpMethod": "DELETE", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1alpha1/{+name}", "parameterOrder": [ "name" ], "parameters": { "requestId": { "description": "Optional. A request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes after the first request. For example, consider a situation where you make an initial request and t he request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "name": { "description": "Required. The Group name.", "location": "path", "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/groups/[^/]+$" } }, "id": "vmmigration.projects.locations.groups.delete" }, "get": { "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/groups/{groupsId}", "parameterOrder": [ "name" ], "description": "Gets details of a single Group.", "parameters": { "name": { "type": "string", "description": "Required. The group name.", "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/groups/[^/]+$" } }, "id": "vmmigration.projects.locations.groups.get", "response": { "$ref": "Group" }, "path": "v1alpha1/{+name}", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] } } }, "operations": { "methods": { "cancel": { "request": { "$ref": "CancelOperationRequest" }, "parameterOrder": [ "name" ], "parameters": { "name": { "location": "path", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "required": true, "description": "The name of the operation resource to be cancelled." } }, "path": "v1alpha1/{+name}:cancel", "description": "Starts asynchronous cancellation on a long-running operation. The server makes a best effort to cancel the operation, but success is not guaranteed. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`. Clients can use Operations.GetOperation or other methods to check whether the cancellation succeeded or whether the operation completed despite cancellation. On successful cancellation, the operation is not deleted; instead, it becomes an operation with an Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "vmmigration.projects.locations.operations.cancel", "httpMethod": "POST", "response": { "$ref": "Empty" }, "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}:cancel" }, "list": { "path": "v1alpha1/{+name}/operations", "response": { "$ref": "ListOperationsResponse" }, "parameterOrder": [ "name" ], "httpMethod": "GET", "description": "Lists operations that match the specified filter in the request. If the server doesn't support this method, it returns `UNIMPLEMENTED`. NOTE: the `name` binding allows API services to override the binding to use different resource name schemes, such as `users/*/operations`. To override the binding, API services can add a binding such as `\"/v1/{name=users/*}/operations\"` to their service configuration. For backwards compatibility, the default name includes the operations collection id, however overriding users must ensure the name binding is the parent resource, without the operations collection id.", "id": "vmmigration.projects.locations.operations.list", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "pageSize": { "location": "query", "type": "integer", "format": "int32", "description": "The standard list page size." }, "name": { "required": true, "description": "The name of the operation's parent resource.", "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+$" }, "pageToken": { "location": "query", "type": "string", "description": "The standard list page token." }, "filter": { "location": "query", "type": "string", "description": "The standard list filter." } }, "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/operations" }, "get": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}", "id": "vmmigration.projects.locations.operations.get", "httpMethod": "GET", "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "type": "string", "required": true, "location": "path", "description": "The name of the operation resource." } }, "response": { "$ref": "Operation" }, "description": "Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service.", "path": "v1alpha1/{+name}" }, "delete": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "id": "vmmigration.projects.locations.operations.delete", "path": "v1alpha1/{+name}", "description": "Deletes a long-running operation. This method indicates that the client is no longer interested in the operation result. It does not cancel the operation. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`.", "parameters": { "name": { "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "description": "The name of the operation resource to be deleted.", "location": "path", "type": "string" } }, "httpMethod": "DELETE", "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}", "response": { "$ref": "Empty" } } } } }, "methods": { "list": { "parameters": { "filter": { "description": "A filter to narrow down results to a preferred subset. The filtering language accepts strings like `\"displayName=tokyo\"`, and is documented in more detail in [AIP-160](https://google.aip.dev/160).", "location": "query", "type": "string" }, "name": { "pattern": "^projects/[^/]+$", "type": "string", "location": "path", "required": true, "description": "The resource that owns the locations collection, if applicable." }, "pageToken": { "description": "A page token received from the `next_page_token` field in the response. Send that page token to receive the subsequent page.", "location": "query", "type": "string" }, "pageSize": { "type": "integer", "location": "query", "format": "int32", "description": "The maximum number of results to return. If not set, the service selects a default." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Lists information about the supported locations for this service.", "response": { "$ref": "ListLocationsResponse" }, "httpMethod": "GET", "parameterOrder": [ "name" ], "path": "v1alpha1/{+name}/locations", "id": "vmmigration.projects.locations.list", "flatPath": "v1alpha1/projects/{projectsId}/locations" }, "get": { "path": "v1alpha1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Location" }, "parameterOrder": [ "name" ], "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}", "id": "vmmigration.projects.locations.get", "description": "Gets information about a location.", "httpMethod": "GET", "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+$", "location": "path", "type": "string", "required": true, "description": "Resource name for the location." } } } } } } } }, "description": "Use the Migrate for Compute Engine API to programmatically migrate workloads. ", "name": "vmmigration", "fullyEncodeReservedExpansion": true, "icons": { "x16": "http://www.google.com/images/icons/product/search-16.gif", "x32": "http://www.google.com/images/icons/product/search-32.gif" }, "ownerDomain": "google.com", "id": "vmmigration:v1alpha1", "baseUrl": "https://vmmigration.googleapis.com/", "kind": "discovery#restDescription", "servicePath": "", "version": "v1alpha1", "rootUrl": "https://vmmigration.googleapis.com/", "mtlsRootUrl": "https://vmmigration.mtls.googleapis.com/", "ownerName": "Google", "schemas": { "ResumeMigrationRequest": { "id": "ResumeMigrationRequest", "type": "object", "properties": {}, "description": "Request message for 'ResumeMigration' request." }, "FinalizeMigrationRequest": { "type": "object", "id": "FinalizeMigrationRequest", "description": "Request message for 'FinalizeMigration' request.", "properties": {} }, "Group": { "type": "object", "properties": { "description": { "type": "string", "description": "User-provided description of the group." }, "createTime": { "type": "string", "format": "google-datetime", "description": "Output only. The create time timestamp.", "readOnly": true }, "updateTime": { "description": "Output only. The update time timestamp.", "readOnly": true, "format": "google-datetime", "type": "string" }, "name": { "type": "string", "description": "Output only. The Group name.", "readOnly": true }, "displayName": { "type": "string", "description": "Display name is a user defined name for this group which can be updated." } }, "description": "Describes message for 'Group' resource. The Group is a collections of several MigratingVms.", "id": "Group" }, "CutoverStep": { "id": "CutoverStep", "type": "object", "properties": { "finalSync": { "description": "Final sync step.", "$ref": "ReplicationCycle" }, "preparingVmDisks": { "description": "Preparing VM disks step.", "$ref": "PreparingVMDisksStep" }, "endTime": { "description": "The time the step has ended.", "format": "google-datetime", "type": "string" }, "instantiatingMigratedVm": { "description": "Instantiating migrated VM step.", "$ref": "InstantiatingMigratedVMStep" }, "startTime": { "type": "string", "description": "The time the step has started.", "format": "google-datetime" }, "previousReplicationCycle": { "$ref": "ReplicationCycle", "description": "A replication cycle prior cutover step." }, "shuttingDownSourceVm": { "description": "Shutting down VM step.", "$ref": "ShuttingDownSourceVMStep" } }, "description": "CutoverStep holds information about the cutover step progress." }, "CycleStep": { "description": "CycleStep holds information about a step progress.", "type": "object", "id": "CycleStep", "properties": { "startTime": { "type": "string", "format": "google-datetime", "description": "The time the cycle step has started." }, "postProcessing": { "description": "Post processing step.", "$ref": "PostProcessingStep" }, "endTime": { "description": "The time the cycle step has ended.", "type": "string", "format": "google-datetime" }, "initializingReplication": { "description": "Initializing replication step.", "$ref": "InitializingReplicationStep" }, "replicating": { "$ref": "ReplicatingStep", "description": "Replicating step." } } }, "RemoveGroupMigrationRequest": { "id": "RemoveGroupMigrationRequest", "type": "object", "properties": { "migratingVm": { "type": "string", "description": "The MigratingVm to remove." } }, "description": "Request message for 'RemoveMigration' request." }, "TargetProject": { "description": "TargetProject message represents a target Compute Engine project for a migration or a clone.", "type": "object", "id": "TargetProject", "properties": { "name": { "type": "string", "description": "Output only. The name of the target project.", "readOnly": true }, "project": { "type": "string", "description": "The target project ID (number) or project name." }, "description": { "description": "The target project's description.", "type": "string" }, "createTime": { "readOnly": true, "format": "google-datetime", "type": "string", "description": "Output only. The time this target project resource was created (not related to when the Compute Engine project it points to was created)." }, "updateTime": { "format": "google-datetime", "type": "string", "readOnly": true, "description": "Output only. The last time the target project resource was updated." } } }, "AvailableUpdates": { "id": "AvailableUpdates", "properties": { "newDeployableAppliance": { "$ref": "ApplianceVersion", "description": "The newest deployable version of the appliance. The current appliance can't be updated into this version, and the owner must manually deploy this OVA to a new appliance." }, "inPlaceUpdate": { "$ref": "ApplianceVersion", "description": "The latest version for in place update. The current appliance can be updated to this version using the API or m4c CLI." } }, "type": "object", "description": "Holds informatiom about the available versions for upgrade." }, "InstantiatingMigratedVMStep": { "description": "InstantiatingMigratedVMStep contains specific step details.", "properties": {}, "type": "object", "id": "InstantiatingMigratedVMStep" }, "Link": { "id": "Link", "description": "Describes a URL link.", "type": "object", "properties": { "description": { "description": "Describes what the link offers.", "type": "string" }, "url": { "description": "The URL of the link.", "type": "string" } } }, "StartMigrationRequest": { "type": "object", "properties": {}, "id": "StartMigrationRequest", "description": "Request message for 'StartMigrationRequest' request." }, "ListUtilizationReportsResponse": { "type": "object", "id": "ListUtilizationReportsResponse", "description": "Response message for 'ListUtilizationReports' request.", "properties": { "unreachable": { "type": "array", "items": { "type": "string" }, "readOnly": true, "description": "Output only. Locations that could not be reached." }, "utilizationReports": { "description": "Output only. The list of reports.", "items": { "$ref": "UtilizationReport" }, "type": "array", "readOnly": true }, "nextPageToken": { "description": "Output only. A token, which can be sent as `page_token` to retrieve the next page. If this field is omitted, there are no subsequent pages.", "type": "string", "readOnly": true } } }, "ListMigratingVmsResponse": { "description": "Response message for 'ListMigratingVms' request.", "id": "ListMigratingVmsResponse", "type": "object", "properties": { "unreachable": { "items": { "type": "string" }, "readOnly": true, "type": "array", "description": "Output only. Locations that could not be reached." }, "nextPageToken": { "type": "string", "description": "Output only. A token, which can be sent as `page_token` to retrieve the next page. If this field is omitted, there are no subsequent pages.", "readOnly": true }, "migratingVms": { "readOnly": true, "type": "array", "items": { "$ref": "MigratingVm" }, "description": "Output only. The list of Migrating VMs response." } } }, "VmUtilizationInfo": { "properties": { "utilization": { "$ref": "VmUtilizationMetrics", "description": "Utilization metrics for this VM." }, "vmId": { "type": "string", "description": "The VM's ID in the source." }, "vmwareVmDetails": { "$ref": "VmwareVmDetails", "description": "The description of the VM in a Source of type Vmware." } }, "description": "Utilization information of a single VM.", "type": "object", "id": "VmUtilizationInfo" }, "Operation": { "properties": { "name": { "type": "string", "description": "The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the `name` should be a resource name ending with `operations/{unique_id}`." }, "done": { "type": "boolean", "description": "If the value is `false`, it means the operation is still in progress. If `true`, the operation is completed, and either `error` or `response` is available." }, "metadata": { "description": "Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any.", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "type": "object" }, "error": { "description": "The error result of the operation in case of failure or cancellation.", "$ref": "Status" }, "response": { "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "type": "object", "description": "The normal response of the operation in case of success. If the original method returns no data on success, such as `Delete`, the response is `google.protobuf.Empty`. If the original method is standard `Get`/`Create`/`Update`, the response should be the resource. For other methods, the response should have the type `XxxResponse`, where `Xxx` is the original method name. For example, if the original method name is `TakeSnapshot()`, the inferred response type is `TakeSnapshotResponse`." } }, "id": "Operation", "type": "object", "description": "This resource represents a long-running operation that is the result of a network API call." }, "CancelCutoverJobRequest": { "type": "object", "properties": {}, "description": "Request message for 'CancelCutoverJob' request.", "id": "CancelCutoverJobRequest" }, "CancelOperationRequest": { "properties": {}, "id": "CancelOperationRequest", "description": "The request message for Operations.CancelOperation.", "type": "object" }, "Status": { "description": "The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors).", "id": "Status", "properties": { "details": { "type": "array", "items": { "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "type": "object" }, "description": "A list of messages that carry the error details. There is a common set of message types for APIs to use." }, "message": { "description": "A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client.", "type": "string" }, "code": { "type": "integer", "format": "int32", "description": "The status code, which should be an enum value of google.rpc.Code." } }, "type": "object" }, "NetworkInterface": { "properties": { "externalIp": { "description": "The external IP to define in the NIC.", "type": "string" }, "internalIp": { "type": "string", "description": "The internal IP to define in the NIC. The formats accepted are: `ephemeral` \\ ipv4 address \\ a named address resource full path." }, "subnetwork": { "description": "The subnetwork to connect the NIC to.", "type": "string" }, "network": { "description": "The network to connect the NIC to.", "type": "string" } }, "description": "NetworkInterface represents a NIC of a VM.", "type": "object", "id": "NetworkInterface" }, "CutoverJob": { "id": "CutoverJob", "properties": { "progressPercent": { "readOnly": true, "description": "Output only. The current progress in percentage of the cutover job.", "format": "int32", "type": "integer" }, "targetDetails": { "readOnly": true, "description": "Output only. Details of the VM to create as the target of this cutover job. Deprecated: Use compute_engine_target_details instead.", "$ref": "TargetVMDetails" }, "computeEngineVmDetails": { "description": "Output only. Details of the VM in Compute Engine. Deprecated: Use compute_engine_target_details instead.", "readOnly": true, "$ref": "TargetVMDetails" }, "createTime": { "type": "string", "format": "google-datetime", "description": "Output only. The time the cutover job was created (as an API call, not when it was actually created in the target).", "readOnly": true }, "steps": { "description": "Output only. The cutover steps list representing its progress.", "items": { "$ref": "CutoverStep" }, "readOnly": true, "type": "array" }, "error": { "description": "Output only. Provides details for the errors that led to the Cutover Job's state.", "$ref": "Status", "readOnly": true }, "progress": { "type": "integer", "description": "Output only. The current progress in percentage of the cutover job.", "format": "int32", "readOnly": true }, "stateMessage": { "type": "string", "readOnly": true, "description": "Output only. A message providing possible extra details about the current state." }, "stateTime": { "readOnly": true, "format": "google-datetime", "description": "Output only. The time the state was last updated.", "type": "string" }, "name": { "type": "string", "description": "Output only. The name of the cutover job.", "readOnly": true }, "state": { "description": "Output only. State of the cutover job.", "enum": [ "STATE_UNSPECIFIED", "PENDING", "FAILED", "SUCCEEDED", "CANCELLED", "CANCELLING", "ACTIVE", "ADAPTING_OS" ], "readOnly": true, "enumDescriptions": [ "The state is unknown. This is used for API compatibility only and is not used by the system.", "The cutover job has not yet started.", "The cutover job finished with errors.", "The cutover job finished successfully.", "The cutover job was cancelled.", "The cutover job is being cancelled.", "The cutover job is active and running.", "OS adaptation is running as part of the cutover job to generate license." ], "type": "string" }, "endTime": { "readOnly": true, "format": "google-datetime", "type": "string", "description": "Output only. The time the cutover job had finished." }, "computeEngineTargetDetails": { "$ref": "ComputeEngineTargetDetails", "readOnly": true, "description": "Output only. Details of the target VM in Compute Engine." } }, "description": "CutoverJob message describes a cutover of a migrating VM. The CutoverJob is the operation of shutting down the VM, creating a snapshot and clonning the VM using the replicated snapshot.", "type": "object" }, "ListSourcesResponse": { "type": "object", "id": "ListSourcesResponse", "description": "Response message for 'ListSources' request.", "properties": { "unreachable": { "description": "Output only. Locations that could not be reached.", "items": { "type": "string" }, "readOnly": true, "type": "array" }, "sources": { "type": "array", "description": "Output only. The list of sources response.", "readOnly": true, "items": { "$ref": "Source" } }, "nextPageToken": { "type": "string", "readOnly": true, "description": "Output only. A token, which can be sent as `page_token` to retrieve the next page. If this field is omitted, there are no subsequent pages." } } }, "LocalizedMessage": { "properties": { "locale": { "type": "string", "description": "The locale used following the specification defined at http://www.rfc-editor.org/rfc/bcp/bcp47.txt. Examples are: \"en-US\", \"fr-CH\", \"es-MX\"" }, "message": { "description": "The localized error message in the above locale.", "type": "string" } }, "id": "LocalizedMessage", "description": "Provides a localized error message that is safe to return to the user which can be attached to an RPC error.", "type": "object" }, "UtilizationReport": { "type": "object", "id": "UtilizationReport", "properties": { "vms": { "description": "List of utilization information per VM. When sent as part of the request, the \"vm_id\" field is used in order to specify which VMs to include in the report. In that case all other fields are ignored.", "items": { "$ref": "VmUtilizationInfo" }, "type": "array" }, "vmsCount": { "description": "Output only. Total number of VMs included in the report.", "format": "int32", "readOnly": true, "type": "integer" }, "stateTime": { "readOnly": true, "type": "string", "description": "Output only. The time the state was last set.", "format": "google-datetime" }, "name": { "type": "string", "readOnly": true, "description": "Output only. The report unique name." }, "state": { "description": "Output only. Current state of the report.", "enum": [ "STATE_UNSPECIFIED", "CREATING", "SUCCEEDED", "FAILED" ], "readOnly": true, "enumDescriptions": [ "The state is unknown. This value is not in use.", "The report is in the making.", "Report creation completed successfully.", "Report creation failed." ], "type": "string" }, "createTime": { "description": "Output only. The time the report was created (this refers to the time of the request, not the time the report creation completed).", "readOnly": true, "format": "google-datetime", "type": "string" }, "vmCount": { "type": "integer", "description": "Output only. Total number of VMs included in the report.", "format": "int32", "readOnly": true }, "displayName": { "description": "The report display name, as assigned by the user.", "type": "string" }, "error": { "readOnly": true, "$ref": "Status", "description": "Output only. Provides details on the state of the report in case of an error." }, "timeFrame": { "type": "string", "description": "Time frame of the report.", "enum": [ "TIME_FRAME_UNSPECIFIED", "WEEK", "MONTH", "YEAR" ], "enumDescriptions": [ "The time frame was not specified and will default to WEEK.", "One week.", "One month.", "One year." ] }, "frameEndTime": { "type": "string", "format": "google-datetime", "readOnly": true, "description": "Output only. The point in time when the time frame ends. Notice that the time frame is counted backwards. For instance if the \"frame_end_time\" value is 2021/01/20 and the time frame is WEEK then the report covers the week between 2021/01/20 and 2021/01/14." } }, "description": "Utilization report details the utilization (CPU, memory, etc.) of selected source VMs." }, "ReplicationCycle": { "description": "ReplicationCycle contains information about the current replication cycle status.", "type": "object", "id": "ReplicationCycle", "properties": { "totalPauseDuration": { "format": "google-duration", "type": "string", "description": "The accumulated duration the replication cycle was paused." }, "name": { "type": "string", "description": "The identifier of the ReplicationCycle." }, "startTime": { "description": "The time the replication cycle has started.", "type": "string", "format": "google-datetime" }, "endTime": { "format": "google-datetime", "type": "string", "description": "The time the replication cycle has ended." }, "progressPercent": { "type": "integer", "description": "The current progress in percentage of this cycle.", "format": "int32" }, "steps": { "type": "array", "items": { "$ref": "CycleStep" }, "description": "The cycle's steps list representing its progress." }, "progress": { "type": "integer", "description": "The current progress in percentage of this cycle.", "format": "int32" } } }, "ListReplicationCyclesResponse": { "type": "object", "properties": { "unreachable": { "description": "Output only. Locations that could not be reached.", "readOnly": true, "items": { "type": "string" }, "type": "array" }, "replicationCycles": { "description": "Output only. The list of replication cycles response.", "type": "array", "readOnly": true, "items": { "$ref": "ReplicationCycle" } }, "nextPageToken": { "description": "Output only. A token, which can be sent as `page_token` to retrieve the next page. If this field is omitted, there are no subsequent pages.", "readOnly": true, "type": "string" } }, "description": "Response message for 'ListReplicationCycles' request.", "id": "ListReplicationCyclesResponse" }, "FetchInventoryResponse": { "description": "Response message for fetchInventory.", "type": "object", "id": "FetchInventoryResponse", "properties": { "nextPageToken": { "type": "string", "description": "Output only. A token, which can be sent as `page_token` to retrieve the next page. If this field is omitted, there are no subsequent pages.", "readOnly": true }, "updateTime": { "readOnly": true, "type": "string", "format": "google-datetime", "description": "Output only. The timestamp when the source was last queried (if the result is from the cache)." }, "vmwareVms": { "$ref": "VmwareVmsDetails", "description": "The description of the VMs in a Source of type Vmware." } } }, "OperationMetadata": { "description": "Represents the metadata of the long-running operation.", "properties": { "verb": { "type": "string", "description": "Output only. Name of the verb executed by the operation.", "readOnly": true }, "apiVersion": { "type": "string", "description": "Output only. API version used to start the operation.", "readOnly": true }, "target": { "readOnly": true, "description": "Output only. Server-defined resource path for the target of the operation.", "type": "string" }, "requestedCancellation": { "type": "boolean", "readOnly": true, "description": "Output only. Identifies whether the user has requested cancellation of the operation. Operations that have successfully been cancelled have Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`." }, "endTime": { "description": "Output only. The time the operation finished running.", "readOnly": true, "type": "string", "format": "google-datetime" }, "statusMessage": { "readOnly": true, "type": "string", "description": "Output only. Human-readable status of the operation, if any." }, "createTime": { "description": "Output only. The time the operation was created.", "format": "google-datetime", "type": "string", "readOnly": true } }, "type": "object", "id": "OperationMetadata" }, "Location": { "properties": { "metadata": { "type": "object", "description": "Service-specific metadata. For example the available capacity at the given location.", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." } }, "name": { "type": "string", "description": "Resource name for the location, which may vary between implementations. For example: `\"projects/example-project/locations/us-east1\"`" }, "displayName": { "type": "string", "description": "The friendly name for this location, typically a nearby city name. For example, \"Tokyo\"." }, "locationId": { "type": "string", "description": "The canonical id for this location. For example: `\"us-east1\"`." }, "labels": { "additionalProperties": { "type": "string" }, "type": "object", "description": "Cross-service attributes for the location. For example {\"cloud.googleapis.com/region\": \"us-east1\"}" } }, "id": "Location", "description": "A resource that represents Google Cloud Platform location.", "type": "object" }, "AdaptingOSStep": { "description": "AdaptingOSStep contains specific step details.", "id": "AdaptingOSStep", "type": "object", "properties": {} }, "ListTargetProjectsResponse": { "type": "object", "id": "ListTargetProjectsResponse", "properties": { "targetProjects": { "description": "Output only. The list of target response.", "items": { "$ref": "TargetProject" }, "type": "array", "readOnly": true }, "nextPageToken": { "description": "Output only. A token, which can be sent as `page_token` to retrieve the next page. If this field is omitted, there are no subsequent pages.", "type": "string", "readOnly": true }, "unreachable": { "items": { "type": "string" }, "readOnly": true, "type": "array", "description": "Output only. Locations that could not be reached." } }, "description": "Response message for 'ListTargetProjects' call." }, "CancelCloneJobRequest": { "type": "object", "id": "CancelCloneJobRequest", "properties": {}, "description": "Request message for 'CancelCloneJob' request." }, "ReplicatingStep": { "description": "ReplicatingStep contains specific step details.", "id": "ReplicatingStep", "properties": { "lastThirtyMinutesAverageBytesPerSecond": { "format": "int64", "type": "string", "description": "The source disks replication rate for the last 30 minutes in bytes per second." }, "totalBytes": { "format": "int64", "type": "string", "description": "Total bytes to be handled in the step." }, "replicatedBytes": { "type": "string", "description": "Replicated bytes in the step.", "format": "int64" }, "lastTwoMinutesAverageBytesPerSecond": { "description": "The source disks replication rate for the last 2 minutes in bytes per second.", "type": "string", "format": "int64" } }, "type": "object" }, "InitializingReplicationStep": { "properties": {}, "id": "InitializingReplicationStep", "description": "InitializingReplicationStep contains specific step details.", "type": "object" }, "ListCutoverJobsResponse": { "id": "ListCutoverJobsResponse", "properties": { "unreachable": { "items": { "type": "string" }, "type": "array", "readOnly": true, "description": "Output only. Locations that could not be reached." }, "cutoverJobs": { "items": { "$ref": "CutoverJob" }, "description": "Output only. The list of cutover jobs response.", "type": "array", "readOnly": true }, "nextPageToken": { "type": "string", "readOnly": true, "description": "Output only. A token, which can be sent as `page_token` to retrieve the next page. If this field is omitted, there are no subsequent pages." } }, "type": "object", "description": "Response message for 'ListCutoverJobs' request." }, "TargetVMDetails": { "properties": { "subnetwork": { "description": "The subnetwork to connect the VM to.", "type": "string" }, "network": { "type": "string", "description": "The network to connect the VM to." }, "serviceAccount": { "description": "The service account to associate the VM with.", "type": "string" }, "internalIp": { "description": "The internal IP to define in the VM. The formats accepted are: `ephemeral` \\ ipv4 address \\ a named address resource full path.", "type": "string" }, "targetProject": { "description": "The full path of the resource of type TargetProject which represents the Compute Engine project in which to create this VM.", "type": "string" }, "metadata": { "additionalProperties": { "type": "string" }, "description": "The metadata key/value pairs to assign to the VM.", "type": "object" }, "bootOption": { "enum": [ "BOOT_OPTION_UNSPECIFIED", "EFI", "BIOS" ], "readOnly": true, "description": "Output only. The VM Boot Option, as set in the source vm.", "type": "string", "enumDescriptions": [ "The boot option is unknown.", "The boot option is EFI.", "The boot option is BIOS." ] }, "machineTypeSeries": { "type": "string", "description": "The machine type series to create the VM with." }, "externalIp": { "description": "The external IP to define in the VM.", "type": "string" }, "name": { "description": "The name of the VM to create.", "type": "string" }, "diskType": { "enumDescriptions": [ "An unspecified disk type. Will be used as STANDARD.", "A Standard disk type.", "An alternative to SSD persistent disks that balance performance and cost.", "SSD hard disk type." ], "type": "string", "description": "The disk type to use in the VM.", "enum": [ "DISK_TYPE_UNSPECIFIED", "STANDARD", "BALANCED", "SSD" ] }, "machineType": { "type": "string", "description": "The machine type to create the VM with." }, "computeScheduling": { "$ref": "ComputeScheduling", "description": "Compute instance scheduling information (if empty default is used)." }, "appliedLicense": { "description": "Output only. The OS license returned from the adaptation module report.", "readOnly": true, "$ref": "AppliedLicense" }, "zone": { "type": "string", "description": "The zone in which to create the VM." }, "secureBoot": { "type": "boolean", "description": "Defines whether the instance has Secure Boot enabled. This can be set to true only if the vm boot option is EFI." }, "project": { "readOnly": true, "description": "Output only. The project in which to create the VM.", "type": "string" }, "labels": { "additionalProperties": { "type": "string" }, "type": "object", "description": "A map of labels to associate with the VM." }, "networkTags": { "type": "array", "description": "A map of network tags to associate with the VM.", "items": { "type": "string" } }, "networkInterfaces": { "type": "array", "items": { "$ref": "NetworkInterface" }, "description": "List of NICs connected to this VM." }, "licenseType": { "enum": [ "DEFAULT", "PAYG", "BYOL" ], "enumDescriptions": [ "The license type is the default for the OS.", "The license type is Pay As You Go license type.", "The license type is Bring Your Own License type." ], "description": "The license type to use in OS adaptation.", "type": "string" } }, "type": "object", "description": "TargetVMDetails is a collection of details for creating a VM in a target Compute Engine project.", "id": "TargetVMDetails" }, "MigratingVm": { "properties": { "state": { "readOnly": true, "enumDescriptions": [ "The state was not sampled by the health checks yet.", "The VM in the source is being verified.", "The source VM was verified, and it's ready to start replication.", "Migration is going through the first sync cycle.", "The replication is active, and it's running or scheduled to run.", "The source VM is being turned off, and a final replication is currently running.", "The source VM was stopped and replicated. The replication is currently paused.", "A cutover job is active and replication cycle is running the final sync.", "The replication was paused by the user and no cycles are scheduled to run.", "The migrating VM is being finalized and migration resources are being removed.", "The replication process is done. The migrating VM is finalized and no longer consumes billable resources.", "The replication process encountered an unrecoverable error and was aborted." ], "enum": [ "STATE_UNSPECIFIED", "PENDING", "READY", "FIRST_SYNC", "ACTIVE", "CUTTING_OVER", "CUTOVER", "FINAL_SYNC", "PAUSED", "FINALIZING", "FINALIZED", "ERROR" ], "description": "Output only. State of the MigratingVm.", "type": "string" }, "error": { "readOnly": true, "$ref": "Status", "description": "Output only. Provides details on the state of the Migrating VM in case of an error in replication." }, "recentCloneJobs": { "items": { "$ref": "CloneJob" }, "readOnly": true, "type": "array", "description": "Output only. The recent clone jobs performed on the migrating VM. This field holds the vm's last completed clone job and the vm's running clone job, if one exists. Note: To have this field populated you need to explicitly request it via the \"view\" parameter of the Get/List request." }, "computeEngineVmDefaults": { "$ref": "TargetVMDetails", "description": "Details of the VM in Compute Engine. Deprecated: Use compute_engine_target_defaults instead." }, "targetDefaults": { "$ref": "TargetVMDetails", "description": "The default configuration of the target VM that will be created in GCP as a result of the migration. Deprecated: Use compute_engine_target_defaults instead." }, "name": { "type": "string", "readOnly": true, "description": "Output only. The identifier of the MigratingVm." }, "policy": { "description": "The replication schedule policy.", "$ref": "SchedulePolicy" }, "recentCutoverJobs": { "readOnly": true, "description": "Output only. The recent cutover jobs performed on the migrating VM. This field holds the vm's last completed cutover job and the vm's running cutover job, if one exists. Note: To have this field populated you need to explicitly request it via the \"view\" parameter of the Get/List request.", "type": "array", "items": { "$ref": "CutoverJob" } }, "sourceVmId": { "type": "string", "description": "The unique ID of the VM in the source. The VM's name in vSphere can be changed, so this is not the VM's name but rather its moRef id. This id is of the form vm-." }, "updateTime": { "format": "google-datetime", "readOnly": true, "type": "string", "description": "Output only. The last time the migrating VM resource was updated." }, "createTime": { "description": "Output only. The time the migrating VM was created (this refers to this resource and not to the time it was installed in the source).", "readOnly": true, "type": "string", "format": "google-datetime" }, "description": { "description": "The description attached to the migrating VM by the user.", "type": "string" }, "currentSyncInfo": { "readOnly": true, "description": "Output only. The percentage progress of the current running replication cycle.", "$ref": "ReplicationCycle" }, "lastSync": { "$ref": "ReplicationSync", "description": "Output only. The most updated snapshot created time in the source that finished replication.", "readOnly": true }, "labels": { "type": "object", "description": "The labels of the migrating VM.", "additionalProperties": { "type": "string" } }, "group": { "readOnly": true, "type": "string", "description": "Output only. The group this migrating vm is included in, if any. The group is represented by the full path of the appropriate Group resource." }, "awsSourceVmDetails": { "description": "Output only. Details of the VM from an AWS source.", "$ref": "AwsSourceVmDetails", "readOnly": true }, "computeEngineTargetDefaults": { "description": "Details of the target VM in Compute Engine.", "$ref": "ComputeEngineTargetDefaults" }, "displayName": { "description": "The display name attached to the MigratingVm by the user.", "type": "string" }, "stateTime": { "format": "google-datetime", "type": "string", "description": "Output only. The last time the migrating VM state was updated.", "readOnly": true } }, "type": "object", "id": "MigratingVm", "description": "MigratingVm describes the VM that will be migrated from a Source environment and its replication state." }, "Source": { "type": "object", "properties": { "error": { "$ref": "Status", "readOnly": true, "description": "Output only. Provides details on the state of the Source in case of an error." }, "updateTime": { "format": "google-datetime", "type": "string", "description": "Output only. The update time timestamp.", "readOnly": true }, "vmware": { "description": "Vmware type source details.", "$ref": "VmwareSourceDetails" }, "labels": { "additionalProperties": { "type": "string" }, "type": "object", "description": "The labels of the source." }, "createTime": { "description": "Output only. The create time timestamp.", "readOnly": true, "type": "string", "format": "google-datetime" }, "description": { "type": "string", "description": "User-provided description of the source." }, "name": { "readOnly": true, "type": "string", "description": "Output only. The Source name." } }, "id": "Source", "description": "Source message describes a specific vm migration Source resource. It contains the source environment information." }, "ApplianceVersion": { "description": "Describes an appliance version.", "id": "ApplianceVersion", "properties": { "uri": { "description": "A link for downloading the version.", "type": "string" }, "version": { "type": "string", "description": "The appliance version." }, "critical": { "description": "Determine whether it's critical to upgrade the appliance to this version.", "type": "boolean" }, "releaseNotesUri": { "type": "string", "description": "Link to a page that contains the version release notes." } }, "type": "object" }, "PauseMigrationRequest": { "description": "Request message for 'PauseMigration' request.", "id": "PauseMigrationRequest", "properties": {}, "type": "object" }, "ShuttingDownSourceVMStep": { "id": "ShuttingDownSourceVMStep", "properties": {}, "description": "ShuttingDownSourceVMStep contains specific step details.", "type": "object" }, "ComputeEngineTargetDefaults": { "id": "ComputeEngineTargetDefaults", "description": "ComputeEngineTargetDefaults is a collection of details for creating a VM in a target Compute Engine project.", "properties": { "bootOption": { "description": "Output only. The VM Boot Option, as set in the source vm.", "enum": [ "COMPUTE_ENGINE_BOOT_OPTION_UNSPECIFIED", "COMPUTE_ENGINE_BOOT_OPTION_EFI", "COMPUTE_ENGINE_BOOT_OPTION_BIOS" ], "type": "string", "readOnly": true, "enumDescriptions": [ "The boot option is unknown.", "The boot option is EFI.", "The boot option is BIOS." ] }, "secureBoot": { "description": "Defines whether the instance has Secure Boot enabled. This can be set to true only if the vm boot option is EFI.", "type": "boolean" }, "hostname": { "description": "The hostname to assign to the VM.", "type": "string" }, "networkInterfaces": { "type": "array", "items": { "$ref": "NetworkInterface" }, "description": "List of NICs connected to this VM." }, "labels": { "additionalProperties": { "type": "string" }, "description": "A map of labels to associate with the VM.", "type": "object" }, "licenseType": { "enumDescriptions": [ "The license type is the default for the OS.", "The license type is Pay As You Go license type.", "The license type is Bring Your Own License type." ], "type": "string", "enum": [ "COMPUTE_ENGINE_LICENSE_TYPE_DEFAULT", "COMPUTE_ENGINE_LICENSE_TYPE_PAYG", "COMPUTE_ENGINE_LICENSE_TYPE_BYOL" ], "description": "The license type to use in OS adaptation." }, "additionalLicenses": { "description": "Additional licenses to assign to the VM.", "items": { "type": "string" }, "type": "array" }, "machineType": { "description": "The machine type to create the VM with.", "type": "string" }, "vmName": { "type": "string", "description": "The name of the VM to create." }, "targetProject": { "description": "The full path of the resource of type TargetProject which represents the Compute Engine project in which to create this VM.", "type": "string" }, "metadata": { "description": "The metadata key/value pairs to assign to the VM.", "type": "object", "additionalProperties": { "type": "string" } }, "appliedLicense": { "$ref": "AppliedLicense", "readOnly": true, "description": "Output only. The OS license returned from the adaptation module report." }, "diskType": { "type": "string", "enumDescriptions": [ "An unspecified disk type. Will be used as STANDARD.", "A Standard disk type.", "SSD hard disk type.", "An alternative to SSD persistent disks that balance performance and cost." ], "enum": [ "COMPUTE_ENGINE_DISK_TYPE_UNSPECIFIED", "COMPUTE_ENGINE_DISK_TYPE_STANDARD", "COMPUTE_ENGINE_DISK_TYPE_SSD", "COMPUTE_ENGINE_DISK_TYPE_BALANCED" ], "description": "The disk type to use in the VM." }, "computeScheduling": { "description": "Compute instance scheduling information (if empty default is used).", "$ref": "ComputeScheduling" }, "serviceAccount": { "type": "string", "description": "The service account to associate the VM with." }, "networkTags": { "items": { "type": "string" }, "type": "array", "description": "A map of network tags to associate with the VM." }, "machineTypeSeries": { "type": "string", "description": "The machine type series to create the VM with." }, "zone": { "type": "string", "description": "The zone in which to create the VM." } }, "type": "object" }, "DatacenterConnector": { "description": "DatacenterConnector message describes a connector between the Source and GCP, which is installed on a vmware datacenter (an OVA vm installed by the user) to connect the Datacenter to GCP and support vm migration data transfer.", "properties": { "updateTime": { "format": "google-datetime", "type": "string", "description": "Output only. The last time the connector was updated with an API call.", "readOnly": true }, "version": { "description": "The version running in the DatacenterConnector. This is supplied by the OVA connector during the registration process and can not be modified.", "type": "string" }, "error": { "$ref": "Status", "readOnly": true, "description": "Output only. Provides details on the state of the Datacenter Connector in case of an error." }, "state": { "enumDescriptions": [ "The state is unknown. This is used for API compatibility only and is not used by the system.", "The state was not sampled by the health checks yet.", "The source was sampled by health checks and is not available.", "The source is available but might not be usable yet due to unvalidated credentials or another reason. The credentials referred to are the ones to the Source. The error message will contain further details.", "The source exists and its credentials were verified." ], "type": "string", "enum": [ "STATE_UNSPECIFIED", "PENDING", "OFFLINE", "FAILED", "ACTIVE" ], "readOnly": true, "description": "Output only. State of the DatacenterConnector, as determined by the health checks." }, "stateTime": { "format": "google-datetime", "description": "Output only. The time the state was last set.", "readOnly": true, "type": "string" }, "name": { "readOnly": true, "type": "string", "description": "Output only. The connector's name." }, "upgradeStatus": { "readOnly": true, "description": "Output only. The status of the current / last upgradeAppliance operation.", "$ref": "UpgradeStatus" }, "availableVersions": { "description": "Output only. The available versions for updating this appliance.", "$ref": "AvailableUpdates", "readOnly": true }, "applianceSoftwareVersion": { "readOnly": true, "type": "string", "description": "Output only. Appliance last installed update bundle version. This is the version of the automatically updatable components on the appliance." }, "bucket": { "type": "string", "readOnly": true, "description": "Output only. The communication channel between the datacenter connector and GCP." }, "registrationId": { "type": "string", "description": "Immutable. A unique key for this connector. This key is internal to the OVA connector and is supplied with its creation during the registration process and can not be modified." }, "applianceInfrastructureVersion": { "description": "Output only. Appliance OVA version. This is the OVA which is manually installed by the user and contains the infrastructure for the automatically updatable components on the appliance.", "type": "string", "readOnly": true }, "serviceAccount": { "type": "string", "description": "The service account to use in the connector when communicating with the cloud." }, "createTime": { "description": "Output only. The time the connector was created (as an API call, not when it was actually installed).", "type": "string", "readOnly": true, "format": "google-datetime" } }, "type": "object", "id": "DatacenterConnector" }, "PostProcessingStep": { "properties": {}, "type": "object", "description": "PostProcessingStep contains specific step details.", "id": "PostProcessingStep" }, "AppliedLicense": { "properties": { "type": { "description": "The license type that was used in OS adaptation.", "enumDescriptions": [ "Unspecified license for the OS.", "No license available for the OS.", "The license type is Pay As You Go license type.", "The license type is is Bring Your Own License type." ], "enum": [ "TYPE_UNSPECIFIED", "NONE", "PAYG", "BYOL" ], "type": "string" }, "osLicense": { "type": "string", "description": "The OS license returned from the adaptation module's report." } }, "id": "AppliedLicense", "description": "AppliedLicense holds the license data returned by adaptation module report.", "type": "object" }, "UpgradeApplianceRequest": { "description": "Request message for 'UpgradeAppliance' request.", "id": "UpgradeApplianceRequest", "type": "object", "properties": { "requestId": { "type": "string", "description": "A request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes after the first request. For example, consider a situation where you make an initial request and t he request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000)." } } }, "SchedulingNodeAffinity": { "type": "object", "properties": { "key": { "type": "string", "description": "The label key of Node resource to reference." }, "values": { "description": "Corresponds to the label values of Node resource.", "items": { "type": "string" }, "type": "array" }, "operator": { "enum": [ "OPERATOR_UNSPECIFIED", "IN", "NOT_IN" ], "enumDescriptions": [ "An unknown, unexpected behavior.", "The node resource group should be in these resources affinity.", "The node resource group should not be in these resources affinity." ], "type": "string", "description": "The operator to use for the node resources specified in the `values` parameter." } }, "description": "Node Affinity: the configuration of desired nodes onto which this Instance could be scheduled. Based on https://cloud.google.com/compute/docs/reference/rest/v1/instances/setScheduling", "id": "SchedulingNodeAffinity" }, "VmwareSourceDetails": { "type": "object", "description": "VmwareSourceDetails message describes a specific source details for the vmware source type.", "properties": { "username": { "type": "string", "description": "The credentials username." }, "vcenterIp": { "type": "string", "description": "The ip address of the vcenter this Source represents." }, "thumbprint": { "description": "The thumbprint representing the certificate for the vcenter.", "type": "string" }, "password": { "description": "Input only. The credentials password. This is write only and can not be read in a GET operation.", "type": "string" } }, "id": "VmwareSourceDetails" }, "CloneStep": { "properties": { "adaptingOs": { "description": "Adapting OS step.", "$ref": "AdaptingOSStep" }, "instantiatingMigratedVm": { "$ref": "InstantiatingMigratedVMStep", "description": "Instantiating migrated VM step." }, "preparingVmDisks": { "$ref": "PreparingVMDisksStep", "description": "Preparing VM disks step." }, "endTime": { "description": "The time the step has ended.", "format": "google-datetime", "type": "string" }, "startTime": { "type": "string", "format": "google-datetime", "description": "The time the step has started." } }, "type": "object", "description": "CloneStep holds information about the clone step progress.", "id": "CloneStep" }, "ComputeScheduling": { "id": "ComputeScheduling", "type": "object", "description": "Scheduling information for VM on maintenance/restart behaviour and node allocation in sole tenant nodes.", "properties": { "onHostMaintenance": { "description": "How the instance should behave when the host machine undergoes maintenance that may temporarily impact instance performance.", "enumDescriptions": [ "An unknown, unexpected behavior.", "Terminate the instance when the host machine undergoes maintenance.", "Migrate the instance when the host machine undergoes maintenance." ], "type": "string", "enum": [ "ON_HOST_MAINTENANCE_UNSPECIFIED", "TERMINATE", "MIGRATE" ] }, "automaticRestart": { "type": "boolean" }, "restartType": { "enumDescriptions": [ "Unspecified behavior. This will use the default.", "The Instance should be automatically restarted whenever it is terminated by Compute Engine.", "The Instance isn't automatically restarted whenever it is terminated by Compute Engine." ], "enum": [ "RESTART_TYPE_UNSPECIFIED", "AUTOMATIC_RESTART", "NO_AUTOMATIC_RESTART" ], "type": "string", "description": "Whether the Instance should be automatically restarted whenever it is terminated by Compute Engine (not terminated by user). This configuration is identical to `automaticRestart` field in Compute Engine create instance under scheduling. It was changed to an enum (instead of a boolean) to match the default value in Compute Engine which is automatic restart." }, "minNodeCpus": { "type": "integer", "description": "The minimum number of virtual CPUs this instance will consume when running on a sole-tenant node. Ignored if no node_affinites are configured.", "format": "int32" }, "nodeAffinities": { "type": "array", "items": { "$ref": "SchedulingNodeAffinity" }, "description": "A set of node affinity and anti-affinity configurations for sole tenant nodes." } } }, "Empty": { "id": "Empty", "type": "object", "properties": {}, "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }" }, "ListGroupsResponse": { "description": "Response message for 'ListGroups' request.", "type": "object", "id": "ListGroupsResponse", "properties": { "groups": { "items": { "$ref": "Group" }, "type": "array", "description": "Output only. The list of groups response.", "readOnly": true }, "nextPageToken": { "type": "string", "readOnly": true, "description": "Output only. A token, which can be sent as `page_token` to retrieve the next page. If this field is omitted, there are no subsequent pages." }, "unreachable": { "items": { "type": "string" }, "type": "array", "description": "Output only. Locations that could not be reached.", "readOnly": true } } }, "VmwareVmDetails": { "description": "VmwareVmDetails describes a VM in vCenter.", "type": "object", "id": "VmwareVmDetails", "properties": { "vmId": { "description": "The VM's id in the source (note that this is not the MigratingVm's id). This is the moref id of the VM.", "type": "string" }, "diskCount": { "description": "The number of disks the VM has.", "format": "int32", "type": "integer" }, "uuid": { "type": "string", "description": "The unique identifier of the VM in vCenter." }, "powerState": { "enum": [ "POWER_STATE_UNSPECIFIED", "ON", "OFF", "SUSPENDED" ], "description": "The power state of the VM at the moment list was taken.", "type": "string", "enumDescriptions": [ "Power state is not specified.", "The VM is turned ON.", "The VM is turned OFF.", "The VM is suspended. This is similar to hibernation or sleep mode." ] }, "cpuCount": { "type": "integer", "format": "int32", "description": "The number of cpus in the VM." }, "datacenterDescription": { "description": "The descriptive name of the vCenter's datacenter this VM is contained in.", "type": "string" }, "committedStorageMb": { "type": "string", "format": "int64", "description": "The total size of the storage allocated to the VM in MB." }, "committedStorage": { "type": "string", "description": "The total size of the storage allocated to the VM in MB.", "format": "int64" }, "guestDescription": { "type": "string", "description": "The VM's OS. See for example https://vdc-repo.vmware.com/vmwb-repository/dcr-public/da47f910-60ac-438b-8b9b-6122f4d14524/16b7274a-bf8b-4b4c-a05e-746f2aa93c8c/doc/vim.vm.GuestOsDescriptor.GuestOsIdentifier.html for types of strings this might hold." }, "bootOption": { "enum": [ "BOOT_OPTION_UNSPECIFIED", "EFI", "BIOS" ], "type": "string", "enumDescriptions": [ "The boot option is unknown.", "The boot option is EFI.", "The boot option is BIOS." ], "readOnly": true, "description": "Output only. The VM Boot Option." }, "displayName": { "type": "string", "description": "The display name of the VM. Note that this is not necessarily unique." }, "datacenterId": { "type": "string", "description": "The id of the vCenter's datacenter this VM is contained in." }, "memoryMb": { "type": "integer", "description": "The size of the memory of the VM in MB.", "format": "int32" } } }, "AddGroupMigrationRequest": { "id": "AddGroupMigrationRequest", "properties": { "migratingVm": { "type": "string", "description": "The full path name of the MigratingVm to add." } }, "description": "Request message for 'AddGroupMigration' request.", "type": "object" }, "ListLocationsResponse": { "description": "The response message for Locations.ListLocations.", "id": "ListLocationsResponse", "properties": { "nextPageToken": { "type": "string", "description": "The standard List next-page token." }, "locations": { "type": "array", "items": { "$ref": "Location" }, "description": "A list of locations that matches the specified filter in the request." } }, "type": "object" }, "ListOperationsResponse": { "description": "The response message for Operations.ListOperations.", "id": "ListOperationsResponse", "properties": { "nextPageToken": { "description": "The standard List next-page token.", "type": "string" }, "operations": { "type": "array", "items": { "$ref": "Operation" }, "description": "A list of operations that matches the specified filter in the request." } }, "type": "object" }, "CloneJob": { "id": "CloneJob", "description": "CloneJob describes the process of creating a clone of a MigratingVM to the requested target based on the latest successful uploaded snapshots. While the migration cycles of a MigratingVm take place, it is possible to verify the uploaded VM can be started in the cloud, by creating a clone. The clone can be created without any downtime, and it is created using the latest snapshots which are already in the cloud. The cloneJob is only responsible for its work, not its products, which means once it is finished, it will never touch the instance it created. It will only delete it in case of the CloneJob being cancelled or upon failure to clone.", "properties": { "stateTime": { "description": "Output only. The time the state was last updated.", "type": "string", "readOnly": true, "format": "google-datetime" }, "targetDetails": { "readOnly": true, "$ref": "TargetVMDetails", "description": "Output only. Details of the VM to create as the target of this clone job. Deprecated: Use compute_engine_target_details instead." }, "computeEngineVmDetails": { "$ref": "TargetVMDetails", "readOnly": true, "description": "Output only. Details of the VM in Compute Engine. Deprecated: Use compute_engine_target_details instead." }, "error": { "readOnly": true, "$ref": "Status", "description": "Output only. Provides details for the errors that led to the Clone Job's state." }, "name": { "type": "string", "description": "Output only. The name of the clone.", "readOnly": true }, "createTime": { "type": "string", "readOnly": true, "description": "Output only. The time the clone job was created (as an API call, not when it was actually created in the target).", "format": "google-datetime" }, "state": { "enum": [ "STATE_UNSPECIFIED", "PENDING", "ACTIVE", "FAILED", "SUCCEEDED", "CANCELLED", "CANCELLING", "ADAPTING_OS" ], "type": "string", "description": "Output only. State of the clone job.", "enumDescriptions": [ "The state is unknown. This is used for API compatibility only and is not used by the system.", "The clone job has not yet started.", "The clone job is active and running.", "The clone job finished with errors.", "The clone job finished successfully.", "The clone job was cancelled.", "The clone job is being cancelled.", "OS adaptation is running as part of the clone job to generate license." ], "readOnly": true }, "steps": { "type": "array", "readOnly": true, "items": { "$ref": "CloneStep" }, "description": "Output only. The clone steps list representing its progress." }, "endTime": { "format": "google-datetime", "readOnly": true, "type": "string", "description": "Output only. The time the clone job was ended." }, "computeEngineTargetDetails": { "description": "Output only. Details of the target VM in Compute Engine.", "readOnly": true, "$ref": "ComputeEngineTargetDetails" } }, "type": "object" }, "UpgradeStatus": { "description": "UpgradeStatus contains information about upgradeAppliance operation.", "id": "UpgradeStatus", "type": "object", "properties": { "state": { "description": "The state of the upgradeAppliance operation.", "type": "string", "enum": [ "STATE_UNSPECIFIED", "RUNNING", "FAILED", "SUCCEEDED" ], "enumDescriptions": [ "The state was not sampled by the health checks yet.", "The upgrade has started.", "The upgrade failed.", "The upgrade finished successfully." ] }, "error": { "$ref": "Status", "description": "Provides details on the state of the upgrade operation in case of an error." }, "startTime": { "type": "string", "description": "The time the operation was started.", "format": "google-datetime" }, "version": { "type": "string", "description": "The version to upgrade to." }, "previousVersion": { "type": "string", "description": "The version from which we upgraded." } } }, "ReplicationSync": { "type": "object", "description": "ReplicationSync contain information about the last replica sync to the cloud.", "properties": { "lastSyncTime": { "type": "string", "format": "google-datetime", "description": "The most updated snapshot created time in the source that finished replication." } }, "id": "ReplicationSync" }, "MigrationError": { "description": "Represents migration resource error information that can be used with google.rpc.Status message. MigrationError is used to present the user with error information in migration operations.", "properties": { "errorTime": { "format": "google-datetime", "readOnly": true, "type": "string", "description": "Output only. The time the error occurred." }, "code": { "description": "Output only. The error code.", "type": "string", "enum": [ "ERROR_CODE_UNSPECIFIED", "UNKNOWN_ERROR", "SOURCE_VALIDATION_ERROR", "SOURCE_REPLICATION_ERROR", "TARGET_REPLICATION_ERROR", "OS_ADAPTATION_ERROR", "CLONE_ERROR", "CUTOVER_ERROR", "UTILIZATION_REPORT_ERROR", "APPLIANCE_UPGRADE_ERROR" ], "readOnly": true, "enumDescriptions": [ "Default value. This value is not used.", "Migrate for Compute encountered an unknown error.", "Migrate for Compute encountered an error while validating replication source health.", "Migrate for Compute encountered an error during source data operation.", "Migrate for Compute encountered an error during target data operation.", "Migrate for Compute encountered an error during OS adaptation.", "Migrate for Compute encountered an error in clone operation.", "Migrate for Compute encountered an error in cutover operation.", "Migrate for Compute encountered an error during utilization report creation.", "Migrate for Compute encountered an error during appliance upgrade." ] }, "helpLinks": { "description": "Output only. URL(s) pointing to additional information on handling the current error.", "readOnly": true, "items": { "$ref": "Link" }, "type": "array" }, "errorMessage": { "description": "Output only. The localized error message.", "$ref": "LocalizedMessage", "readOnly": true }, "actionItem": { "$ref": "LocalizedMessage", "readOnly": true, "description": "Output only. Suggested action for solving the error." } }, "type": "object", "id": "MigrationError" }, "AwsSourceVmDetails": { "properties": { "committedStorageBytes": { "format": "int64", "description": "The total size of the disks being migrated in bytes.", "type": "string" }, "firmware": { "type": "string", "enumDescriptions": [ "The firmware is unknown.", "The firmware is EFI.", "The firmware is BIOS." ], "enum": [ "FIRMWARE_UNSPECIFIED", "EFI", "BIOS" ], "description": "The firmware type of the source VM." } }, "description": "Represent the source AWS VM details.", "id": "AwsSourceVmDetails", "type": "object" }, "ComputeEngineTargetDetails": { "type": "object", "id": "ComputeEngineTargetDetails", "properties": { "networkTags": { "description": "A map of network tags to associate with the VM.", "type": "array", "items": { "type": "string" } }, "additionalLicenses": { "description": "Additional licenses to assign to the VM.", "items": { "type": "string" }, "type": "array" }, "diskType": { "enumDescriptions": [ "An unspecified disk type. Will be used as STANDARD.", "A Standard disk type.", "SSD hard disk type.", "An alternative to SSD persistent disks that balance performance and cost." ], "description": "The disk type to use in the VM.", "enum": [ "COMPUTE_ENGINE_DISK_TYPE_UNSPECIFIED", "COMPUTE_ENGINE_DISK_TYPE_STANDARD", "COMPUTE_ENGINE_DISK_TYPE_SSD", "COMPUTE_ENGINE_DISK_TYPE_BALANCED" ], "type": "string" }, "labels": { "additionalProperties": { "type": "string" }, "description": "A map of labels to associate with the VM.", "type": "object" }, "project": { "type": "string", "description": "The GCP target project ID or project name." }, "secureBoot": { "description": "Defines whether the instance has Secure Boot enabled. This can be set to true only if the vm boot option is EFI.", "type": "boolean" }, "vmName": { "description": "The name of the VM to create.", "type": "string" }, "computeScheduling": { "description": "Compute instance scheduling information (if empty default is used).", "$ref": "ComputeScheduling" }, "licenseType": { "enum": [ "COMPUTE_ENGINE_LICENSE_TYPE_DEFAULT", "COMPUTE_ENGINE_LICENSE_TYPE_PAYG", "COMPUTE_ENGINE_LICENSE_TYPE_BYOL" ], "description": "The license type to use in OS adaptation.", "enumDescriptions": [ "The license type is the default for the OS.", "The license type is Pay As You Go license type.", "The license type is Bring Your Own License type." ], "type": "string" }, "bootOption": { "enumDescriptions": [ "The boot option is unknown.", "The boot option is EFI.", "The boot option is BIOS." ], "type": "string", "enum": [ "COMPUTE_ENGINE_BOOT_OPTION_UNSPECIFIED", "COMPUTE_ENGINE_BOOT_OPTION_EFI", "COMPUTE_ENGINE_BOOT_OPTION_BIOS" ], "description": "The VM Boot Option, as set in the source vm." }, "zone": { "type": "string", "description": "The zone in which to create the VM." }, "hostname": { "type": "string", "description": "The hostname to assign to the VM." }, "metadata": { "type": "object", "additionalProperties": { "type": "string" }, "description": "The metadata key/value pairs to assign to the VM." }, "networkInterfaces": { "type": "array", "items": { "$ref": "NetworkInterface" }, "description": "List of NICs connected to this VM." }, "machineType": { "description": "The machine type to create the VM with.", "type": "string" }, "machineTypeSeries": { "description": "The machine type series to create the VM with.", "type": "string" }, "appliedLicense": { "$ref": "AppliedLicense", "description": "The OS license returned from the adaptation module report." }, "serviceAccount": { "type": "string", "description": "The service account to associate the VM with." } }, "description": "ComputeEngineTargetDetails is a collection of details for creating a VM in a target Compute Engine project." }, "VmwareVmsDetails": { "id": "VmwareVmsDetails", "properties": { "details": { "items": { "$ref": "VmwareVmDetails" }, "type": "array", "description": "The details of the vmware VMs." } }, "type": "object", "description": "VmwareVmsDetails describes VMs in vCenter." }, "VmUtilizationMetrics": { "description": "Utilization metrics values for a single VM.", "type": "object", "properties": { "networkThroughputMaxKbps": { "format": "int64", "description": "Max network throughput (combined transmit-rates and receive-rates), in kilobytes per second.", "type": "string" }, "cpuAverage": { "type": "integer", "format": "int32", "description": "Average CPU usage, percent." }, "diskIoRateAverageKbps": { "type": "string", "description": "Average disk IO rate, in kilobytes per second.", "format": "int64" }, "diskIoRateAverage": { "type": "string", "format": "int64", "description": "Average disk IO rate, in kilobytes per second." }, "cpuMax": { "format": "int32", "description": "Max CPU usage, percent.", "type": "integer" }, "memoryMax": { "format": "int32", "type": "integer", "description": "Max memory usage, percent." }, "memoryMaxPercent": { "type": "integer", "format": "int32", "description": "Max memory usage, percent." }, "diskIoRateMax": { "description": "Max disk IO rate, in kilobytes per second.", "type": "string", "format": "int64" }, "memoryAverage": { "type": "integer", "description": "Average memory usage, percent.", "format": "int32" }, "networkThroughputAverageKbps": { "description": "Average network throughput (combined transmit-rates and receive-rates), in kilobytes per second.", "format": "int64", "type": "string" }, "diskIoRateMaxKbps": { "type": "string", "description": "Max disk IO rate, in kilobytes per second.", "format": "int64" }, "networkThroughputMax": { "type": "string", "description": "Max network throughput (combined transmit-rates and receive-rates), in kilobytes per second.", "format": "int64" }, "networkThroughputAverage": { "format": "int64", "type": "string", "description": "Average network throughput (combined transmit-rates and receive-rates), in kilobytes per second." }, "cpuMaxPercent": { "type": "integer", "description": "Max CPU usage, percent.", "format": "int32" }, "cpuAveragePercent": { "type": "integer", "description": "Average CPU usage, percent.", "format": "int32" }, "memoryAveragePercent": { "format": "int32", "type": "integer", "description": "Average memory usage, percent." } }, "id": "VmUtilizationMetrics" }, "ListDatacenterConnectorsResponse": { "description": "Response message for 'ListDatacenterConnectors' request.", "properties": { "unreachable": { "description": "Output only. Locations that could not be reached.", "type": "array", "readOnly": true, "items": { "type": "string" } }, "datacenterConnectors": { "items": { "$ref": "DatacenterConnector" }, "description": "Output only. The list of sources response.", "type": "array", "readOnly": true }, "nextPageToken": { "description": "Output only. A token, which can be sent as `page_token` to retrieve the next page. If this field is omitted, there are no subsequent pages.", "type": "string", "readOnly": true } }, "id": "ListDatacenterConnectorsResponse", "type": "object" }, "PreparingVMDisksStep": { "id": "PreparingVMDisksStep", "properties": {}, "description": "PreparingVMDisksStep contains specific step details.", "type": "object" }, "ListCloneJobsResponse": { "description": "Response message for 'ListCloneJobs' request.", "type": "object", "properties": { "unreachable": { "readOnly": true, "description": "Output only. Locations that could not be reached.", "items": { "type": "string" }, "type": "array" }, "cloneJobs": { "type": "array", "readOnly": true, "items": { "$ref": "CloneJob" }, "description": "Output only. The list of clone jobs response." }, "nextPageToken": { "type": "string", "description": "Output only. A token, which can be sent as `page_token` to retrieve the next page. If this field is omitted, there are no subsequent pages.", "readOnly": true } }, "id": "ListCloneJobsResponse" }, "SchedulePolicy": { "properties": { "skipOsAdaptation": { "type": "boolean", "description": "A flag to indicate whether to skip OS adaptation during the replication sync. OS adaptation is a process where the VM's operating system undergoes changes and adaptations to fully function on Compute Engine." }, "idleDuration": { "type": "string", "format": "google-duration", "description": "The idle duration between replication stages." } }, "type": "object", "id": "SchedulePolicy", "description": "A policy for scheduling replications." } }, "basePath": "", "discoveryVersion": "v1", "documentationLink": "https://cloud.google.com/migrate/compute-engine", "batchPath": "batch", "parameters": { "key": { "type": "string", "location": "query", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token." }, "prettyPrint": { "default": "true", "description": "Returns response with indentations and line breaks.", "type": "boolean", "location": "query" }, "oauth_token": { "type": "string", "location": "query", "description": "OAuth 2.0 token for the current user." }, "$.xgafv": { "location": "query", "enumDescriptions": [ "v1 error format", "v2 error format" ], "type": "string", "description": "V1 error format.", "enum": [ "1", "2" ] }, "uploadType": { "location": "query", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "type": "string" }, "fields": { "type": "string", "location": "query", "description": "Selector specifying which fields to include in a partial response." }, "quotaUser": { "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "type": "string", "location": "query" }, "callback": { "location": "query", "type": "string", "description": "JSONP" }, "access_token": { "description": "OAuth access token.", "type": "string", "location": "query" }, "alt": { "location": "query", "type": "string", "enum": [ "json", "media", "proto" ], "description": "Data format for response.", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "default": "json" }, "upload_protocol": { "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "type": "string", "location": "query" } }, "revision": "20220630", "title": "VM Migration API", "canonicalName": "VM Migration Service" }
]===]))
