local decode = require("cjson").new().decode
return assert(decode([===[
{ "batchPath": "batch", "version_module": true, "icons": { "x32": "http://www.google.com/images/icons/product/search-32.gif", "x16": "http://www.google.com/images/icons/product/search-16.gif" }, "id": "webrisk:v1", "baseUrl": "https://webrisk.googleapis.com/", "revision": "20220708", "kind": "discovery#restDescription", "protocol": "rest", "ownerName": "Google", "canonicalName": "Web Risk", "ownerDomain": "google.com", "mtlsRootUrl": "https://webrisk.mtls.googleapis.com/", "schemas": { "GoogleRpcStatus": { "type": "object", "id": "GoogleRpcStatus", "properties": { "message": { "type": "string", "description": "A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client." }, "details": { "items": { "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "type": "object" }, "description": "A list of messages that carry the error details. There is a common set of message types for APIs to use.", "type": "array" }, "code": { "type": "integer", "format": "int32", "description": "The status code, which should be an enum value of google.rpc.Code." } }, "description": "The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors)." }, "GoogleCloudWebriskV1SearchUrisResponseThreatUri": { "description": "Contains threat information on a matching uri.", "id": "GoogleCloudWebriskV1SearchUrisResponseThreatUri", "type": "object", "properties": { "threatTypes": { "items": { "enumDescriptions": [ "No entries should match this threat type. This threat type is unused.", "Malware targeting any platform.", "Social engineering targeting any platform.", "Unwanted software targeting any platform.", "Extended Coverage Social Engineering list targeting any platform." ], "type": "string", "enum": [ "THREAT_TYPE_UNSPECIFIED", "MALWARE", "SOCIAL_ENGINEERING", "UNWANTED_SOFTWARE", "SOCIAL_ENGINEERING_EXTENDED_COVERAGE" ] }, "type": "array", "description": "The ThreatList this threat belongs to." }, "expireTime": { "description": "The cache lifetime for the returned match. Clients must not cache this response past this timestamp to avoid false positives.", "format": "google-datetime", "type": "string" } } }, "GoogleCloudWebriskV1SubmitUriRequest": { "properties": { "submission": { "$ref": "GoogleCloudWebriskV1Submission", "description": "Required. The submission that contains the URI to be scanned." } }, "type": "object", "description": "Request to send a potentially malicious URI to WebRisk.", "id": "GoogleCloudWebriskV1SubmitUriRequest" }, "GoogleLongrunningOperation": { "type": "object", "description": "This resource represents a long-running operation that is the result of a network API call.", "properties": { "name": { "type": "string", "description": "The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the `name` should be a resource name ending with `operations/{unique_id}`." }, "done": { "description": "If the value is `false`, it means the operation is still in progress. If `true`, the operation is completed, and either `error` or `response` is available.", "type": "boolean" }, "response": { "type": "object", "description": "The normal response of the operation in case of success. If the original method returns no data on success, such as `Delete`, the response is `google.protobuf.Empty`. If the original method is standard `Get`/`Create`/`Update`, the response should be the resource. For other methods, the response should have the type `XxxResponse`, where `Xxx` is the original method name. For example, if the original method name is `TakeSnapshot()`, the inferred response type is `TakeSnapshotResponse`.", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" } }, "error": { "$ref": "GoogleRpcStatus", "description": "The error result of the operation in case of failure or cancellation." }, "metadata": { "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "type": "object", "description": "Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any." } }, "id": "GoogleLongrunningOperation" }, "GoogleProtobufEmpty": { "id": "GoogleProtobufEmpty", "type": "object", "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }", "properties": {} }, "GoogleCloudWebriskV1SearchHashesResponse": { "type": "object", "properties": { "negativeExpireTime": { "description": "For requested entities that did not match the threat list, how long to cache the response until.", "type": "string", "format": "google-datetime" }, "threats": { "type": "array", "items": { "$ref": "GoogleCloudWebriskV1SearchHashesResponseThreatHash" }, "description": "The full hashes that matched the requested prefixes. The hash will be populated in the key." } }, "id": "GoogleCloudWebriskV1SearchHashesResponse" }, "GoogleCloudWebriskV1ThreatEntryAdditions": { "properties": { "riceHashes": { "description": "The encoded 4-byte prefixes of SHA256-formatted entries, using a Golomb-Rice encoding. The hashes are converted to uint32, sorted in ascending order, then delta encoded and stored as encoded_data.", "$ref": "GoogleCloudWebriskV1RiceDeltaEncoding" }, "rawHashes": { "description": "The raw SHA256-formatted entries. Repeated to allow returning sets of hashes with different prefix sizes.", "type": "array", "items": { "$ref": "GoogleCloudWebriskV1RawHashes" } } }, "description": "Contains the set of entries to add to a local database. May contain a combination of compressed and raw data in a single response.", "type": "object", "id": "GoogleCloudWebriskV1ThreatEntryAdditions" }, "GoogleCloudWebriskV1SubmitUriMetadata": { "properties": { "createTime": { "description": "Creation time of the operation.", "type": "string", "format": "google-datetime" }, "state": { "description": "The state of the operation.", "enum": [ "STATE_UNSPECIFIED", "RUNNING", "SUCCEEDED", "CANCELLED", "FAILED" ], "enumDescriptions": [ "Default unspecified state.", "The operation is currently running.", "The operation finished with a success status.", "The operation was cancelled.", "The operation finished with a failure status." ], "type": "string" }, "updateTime": { "description": "Latest update time of the operation.", "type": "string", "format": "google-datetime" } }, "type": "object", "description": "Metadata for the Submit URI long-running operation.", "id": "GoogleCloudWebriskV1SubmitUriMetadata" }, "GoogleCloudWebriskV1ComputeThreatListDiffResponseChecksum": { "id": "GoogleCloudWebriskV1ComputeThreatListDiffResponseChecksum", "properties": { "sha256": { "format": "byte", "description": "The SHA256 hash of the client state; that is, of the sorted list of all hashes present in the database.", "type": "string" } }, "type": "object", "description": "The expected state of a client's local database." }, "GoogleCloudWebriskV1SearchHashesResponseThreatHash": { "description": "Contains threat information on a matching hash.", "properties": { "hash": { "type": "string", "format": "byte", "description": "A 32 byte SHA256 hash. This field is in binary format. For JSON requests, hashes are base64-encoded." }, "threatTypes": { "type": "array", "description": "The ThreatList this threat belongs to. This must contain at least one entry.", "items": { "type": "string", "enum": [ "THREAT_TYPE_UNSPECIFIED", "MALWARE", "SOCIAL_ENGINEERING", "UNWANTED_SOFTWARE", "SOCIAL_ENGINEERING_EXTENDED_COVERAGE" ], "enumDescriptions": [ "No entries should match this threat type. This threat type is unused.", "Malware targeting any platform.", "Social engineering targeting any platform.", "Unwanted software targeting any platform.", "Extended Coverage Social Engineering list targeting any platform." ] } }, "expireTime": { "format": "google-datetime", "description": "The cache lifetime for the returned match. Clients must not cache this response past this timestamp to avoid false positives.", "type": "string" } }, "type": "object", "id": "GoogleCloudWebriskV1SearchHashesResponseThreatHash" }, "GoogleCloudWebriskV1RiceDeltaEncoding": { "properties": { "encodedData": { "description": "The encoded deltas that are encoded using the Golomb-Rice coder.", "type": "string", "format": "byte" }, "riceParameter": { "description": "The Golomb-Rice parameter, which is a number between 2 and 28. This field is missing (that is, zero) if `num_entries` is zero.", "type": "integer", "format": "int32" }, "firstValue": { "format": "int64", "description": "The offset of the first entry in the encoded data, or, if only a single integer was encoded, that single integer's value. If the field is empty or missing, assume zero.", "type": "string" }, "entryCount": { "description": "The number of entries that are delta encoded in the encoded data. If only a single integer was encoded, this will be zero and the single value will be stored in `first_value`.", "type": "integer", "format": "int32" } }, "id": "GoogleCloudWebriskV1RiceDeltaEncoding", "description": "The Rice-Golomb encoded data. Used for sending compressed 4-byte hashes or compressed removal indices.", "type": "object" }, "GoogleCloudWebriskV1ThreatEntryRemovals": { "id": "GoogleCloudWebriskV1ThreatEntryRemovals", "description": "Contains the set of entries to remove from a local database.", "properties": { "riceIndices": { "description": "The encoded local, lexicographically-sorted list indices, using a Golomb-Rice encoding. Used for sending compressed removal indices. The removal indices (uint32) are sorted in ascending order, then delta encoded and stored as encoded_data.", "$ref": "GoogleCloudWebriskV1RiceDeltaEncoding" }, "rawIndices": { "$ref": "GoogleCloudWebriskV1RawIndices", "description": "The raw removal indices for a local list." } }, "type": "object" }, "GoogleLongrunningCancelOperationRequest": { "properties": {}, "description": "The request message for Operations.CancelOperation.", "type": "object", "id": "GoogleLongrunningCancelOperationRequest" }, "GoogleCloudWebriskV1ComputeThreatListDiffResponse": { "id": "GoogleCloudWebriskV1ComputeThreatListDiffResponse", "type": "object", "properties": { "checksum": { "description": "The expected SHA256 hash of the client state; that is, of the sorted list of all hashes present in the database after applying the provided diff. If the client state doesn't match the expected state, the client must discard this diff and retry later.", "$ref": "GoogleCloudWebriskV1ComputeThreatListDiffResponseChecksum" }, "recommendedNextDiff": { "format": "google-datetime", "type": "string", "description": "The soonest the client should wait before issuing any diff request. Querying sooner is unlikely to produce a meaningful diff. Waiting longer is acceptable considering the use case. If this field is not set clients may update as soon as they want." }, "responseType": { "type": "string", "description": "The type of response. This may indicate that an action must be taken by the client when the response is received.", "enumDescriptions": [ "Unknown.", "Partial updates are applied to the client's existing local database.", "Full updates resets the client's entire local database. This means that either the client had no state, was seriously out-of-date, or the client is believed to be corrupt." ], "enum": [ "RESPONSE_TYPE_UNSPECIFIED", "DIFF", "RESET" ] }, "removals": { "description": "A set of entries to remove from a local threat type's list. This field may be empty.", "$ref": "GoogleCloudWebriskV1ThreatEntryRemovals" }, "newVersionToken": { "description": "The new opaque client version token. This should be retained by the client and passed into the next call of ComputeThreatListDiff as 'version_token'. A separate version token should be stored and used for each threatList.", "type": "string", "format": "byte" }, "additions": { "description": "A set of entries to add to a local threat type's list.", "$ref": "GoogleCloudWebriskV1ThreatEntryAdditions" } } }, "GoogleCloudWebriskV1RawHashes": { "type": "object", "properties": { "prefixSize": { "type": "integer", "format": "int32", "description": "The number of bytes for each prefix encoded below. This field can be anywhere from 4 (shortest prefix) to 32 (full SHA256 hash). In practice this is almost always 4, except in exceptional circumstances." }, "rawHashes": { "type": "string", "description": "The hashes, in binary format, concatenated into one long string. Hashes are sorted in lexicographic order. For JSON API users, hashes are base64-encoded.", "format": "byte" } }, "id": "GoogleCloudWebriskV1RawHashes", "description": "The uncompressed threat entries in hash format. Hashes can be anywhere from 4 to 32 bytes in size. A large majority are 4 bytes, but some hashes are lengthened if they collide with the hash of a popular URI. Used for sending ThreatEntryAdditons to clients that do not support compression, or when sending non-4-byte hashes to clients that do support compression." }, "GoogleCloudWebriskV1RawIndices": { "description": "A set of raw indices to remove from a local list.", "properties": { "indices": { "type": "array", "items": { "type": "integer", "format": "int32" }, "description": "The indices to remove from a lexicographically-sorted local list." } }, "type": "object", "id": "GoogleCloudWebriskV1RawIndices" }, "GoogleCloudWebriskV1Submission": { "properties": { "threatTypes": { "type": "array", "items": { "type": "string", "enumDescriptions": [ "No entries should match this threat type. This threat type is unused.", "Malware targeting any platform.", "Social engineering targeting any platform.", "Unwanted software targeting any platform.", "Extended Coverage Social Engineering list targeting any platform." ], "enum": [ "THREAT_TYPE_UNSPECIFIED", "MALWARE", "SOCIAL_ENGINEERING", "UNWANTED_SOFTWARE", "SOCIAL_ENGINEERING_EXTENDED_COVERAGE" ] }, "description": "ThreatTypes found to be associated with the submitted URI after reviewing it. This may be empty if the URI was not added to any list." }, "uri": { "description": "Required. The URI that is being reported for malicious content to be analyzed.", "type": "string" } }, "description": "Wraps a URI that might be displaying malicious content.", "id": "GoogleCloudWebriskV1Submission", "type": "object" }, "GoogleCloudWebriskV1SearchUrisResponse": { "properties": { "threat": { "$ref": "GoogleCloudWebriskV1SearchUrisResponseThreatUri", "description": "The threat list matches. This may be empty if the URI is on no list." } }, "id": "GoogleCloudWebriskV1SearchUrisResponse", "type": "object" }, "GoogleLongrunningListOperationsResponse": { "description": "The response message for Operations.ListOperations.", "properties": { "nextPageToken": { "description": "The standard List next-page token.", "type": "string" }, "operations": { "items": { "$ref": "GoogleLongrunningOperation" }, "type": "array", "description": "A list of operations that matches the specified filter in the request." } }, "id": "GoogleLongrunningListOperationsResponse", "type": "object" } }, "name": "webrisk", "parameters": { "fields": { "description": "Selector specifying which fields to include in a partial response.", "location": "query", "type": "string" }, "oauth_token": { "location": "query", "type": "string", "description": "OAuth 2.0 token for the current user." }, "prettyPrint": { "default": "true", "description": "Returns response with indentations and line breaks.", "location": "query", "type": "boolean" }, "access_token": { "description": "OAuth access token.", "type": "string", "location": "query" }, "callback": { "type": "string", "location": "query", "description": "JSONP" }, "upload_protocol": { "location": "query", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "type": "string" }, "quotaUser": { "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "location": "query", "type": "string" }, "alt": { "type": "string", "default": "json", "enum": [ "json", "media", "proto" ], "location": "query", "description": "Data format for response.", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ] }, "$.xgafv": { "location": "query", "type": "string", "enumDescriptions": [ "v1 error format", "v2 error format" ], "description": "V1 error format.", "enum": [ "1", "2" ] }, "uploadType": { "location": "query", "type": "string", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\")." }, "key": { "type": "string", "location": "query", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token." } }, "resources": { "threatLists": { "methods": { "computeDiff": { "path": "v1/threatLists:computeDiff", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "constraints.maxDiffEntries": { "type": "integer", "location": "query", "format": "int32", "description": "The maximum size in number of entries. The diff will not contain more entries than this value. This should be a power of 2 between 2**10 and 2**20. If zero, no diff size limit is set." }, "constraints.supportedCompressions": { "repeated": true, "type": "string", "enum": [ "COMPRESSION_TYPE_UNSPECIFIED", "RAW", "RICE" ], "enumDescriptions": [ "Unknown.", "Raw, uncompressed data.", "Rice-Golomb encoded data." ], "location": "query", "description": "The compression types supported by the client." }, "constraints.maxDatabaseEntries": { "type": "integer", "description": "Sets the maximum number of entries that the client is willing to have in the local database. This should be a power of 2 between 2**10 and 2**20. If zero, no database size limit is set.", "location": "query", "format": "int32" }, "versionToken": { "format": "byte", "description": "The current version token of the client for the requested list (the client version that was received from the last successful diff). If the client does not have a version token (this is the first time calling ComputeThreatListDiff), this may be left empty and a full database snapshot will be returned.", "location": "query", "type": "string" }, "threatType": { "description": "Required. The threat list to update. Only a single ThreatType should be specified per request. If you want to handle multiple ThreatTypes, you must make one request per ThreatType.", "enumDescriptions": [ "No entries should match this threat type. This threat type is unused.", "Malware targeting any platform.", "Social engineering targeting any platform.", "Unwanted software targeting any platform.", "Extended Coverage Social Engineering list targeting any platform." ], "enum": [ "THREAT_TYPE_UNSPECIFIED", "MALWARE", "SOCIAL_ENGINEERING", "UNWANTED_SOFTWARE", "SOCIAL_ENGINEERING_EXTENDED_COVERAGE" ], "type": "string", "location": "query" } }, "response": { "$ref": "GoogleCloudWebriskV1ComputeThreatListDiffResponse" }, "parameterOrder": [], "description": "Gets the most recent threat list diffs. These diffs should be applied to a local database of hashes to keep it up-to-date. If the local database is empty or excessively out-of-date, a complete snapshot of the database will be returned. This Method only updates a single ThreatList at a time. To update multiple ThreatList databases, this method needs to be called once for each list.", "id": "webrisk.threatLists.computeDiff", "flatPath": "v1/threatLists:computeDiff" } } }, "uris": { "methods": { "search": { "id": "webrisk.uris.search", "parameters": { "uri": { "description": "Required. The URI to be checked for matches.", "location": "query", "type": "string" }, "threatTypes": { "repeated": true, "enumDescriptions": [ "No entries should match this threat type. This threat type is unused.", "Malware targeting any platform.", "Social engineering targeting any platform.", "Unwanted software targeting any platform.", "Extended Coverage Social Engineering list targeting any platform." ], "enum": [ "THREAT_TYPE_UNSPECIFIED", "MALWARE", "SOCIAL_ENGINEERING", "UNWANTED_SOFTWARE", "SOCIAL_ENGINEERING_EXTENDED_COVERAGE" ], "location": "query", "description": "Required. The ThreatLists to search in. Multiple ThreatLists may be specified.", "type": "string" } }, "path": "v1/uris:search", "parameterOrder": [], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "description": "This method is used to check whether a URI is on a given threatList. Multiple threatLists may be searched in a single query. The response will list all requested threatLists the URI was found to match. If the URI is not found on any of the requested ThreatList an empty response will be returned.", "response": { "$ref": "GoogleCloudWebriskV1SearchUrisResponse" }, "flatPath": "v1/uris:search" } } }, "projects": { "resources": { "submissions": { "methods": { "create": { "httpMethod": "POST", "parameterOrder": [ "parent" ], "flatPath": "v1/projects/{projectsId}/submissions", "request": { "$ref": "GoogleCloudWebriskV1Submission" }, "description": "Creates a Submission of a URI suspected of containing phishing content to be reviewed. If the result verifies the existence of malicious phishing content, the site will be added to the [Google's Social Engineering lists](https://support.google.com/webmasters/answer/6350487/) in order to protect users that could get exposed to this threat in the future. Only allowlisted projects can use this method during Early Access. Please reach out to Sales or your customer engineer to obtain access.", "id": "webrisk.projects.submissions.create", "parameters": { "parent": { "location": "path", "required": true, "description": "Required. The name of the project that is making the submission. This string is in the format \"projects/{project_number}\".", "pattern": "^projects/[^/]+$", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "GoogleCloudWebriskV1Submission" }, "path": "v1/{+parent}/submissions" } } }, "uris": { "methods": { "submit": { "path": "v1/{+parent}/uris:submit", "flatPath": "v1/projects/{projectsId}/uris:submit", "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Submits a URI suspected of containing malicious content to be reviewed. Returns a google.longrunning.Operation which, once the review is complete, is updated with its result. You can use the [Pub/Sub API] (https://cloud.google.com/pubsub) to receive notifications for the returned Operation. If the result verifies the existence of malicious content, the site will be added to the [Google's Social Engineering lists] (https://support.google.com/webmasters/answer/6350487/) in order to protect users that could get exposed to this threat in the future. Only allowlisted projects can use this method during Early Access. Please reach out to Sales or your customer engineer to obtain access.", "parameters": { "parent": { "description": "Required. The name of the project that is making the submission. This string is in the format \"projects/{project_number}\".", "required": true, "pattern": "^projects/[^/]+$", "location": "path", "type": "string" } }, "request": { "$ref": "GoogleCloudWebriskV1SubmitUriRequest" }, "response": { "$ref": "GoogleLongrunningOperation" }, "httpMethod": "POST", "id": "webrisk.projects.uris.submit" } } }, "operations": { "methods": { "list": { "parameterOrder": [ "name" ], "flatPath": "v1/projects/{projectsId}/operations", "path": "v1/{+name}/operations", "id": "webrisk.projects.operations.list", "httpMethod": "GET", "description": "Lists operations that match the specified filter in the request. If the server doesn't support this method, it returns `UNIMPLEMENTED`. NOTE: the `name` binding allows API services to override the binding to use different resource name schemes, such as `users/*/operations`. To override the binding, API services can add a binding such as `\"/v1/{name=users/*}/operations\"` to their service configuration. For backwards compatibility, the default name includes the operations collection id, however overriding users must ensure the name binding is the parent resource, without the operations collection id.", "response": { "$ref": "GoogleLongrunningListOperationsResponse" }, "parameters": { "filter": { "location": "query", "description": "The standard list filter.", "type": "string" }, "pageSize": { "type": "integer", "format": "int32", "location": "query", "description": "The standard list page size." }, "pageToken": { "location": "query", "type": "string", "description": "The standard list page token." }, "name": { "description": "The name of the operation's parent resource.", "location": "path", "required": true, "pattern": "^projects/[^/]+$", "type": "string" } } }, "delete": { "flatPath": "v1/projects/{projectsId}/operations/{operationsId}", "parameterOrder": [ "name" ], "httpMethod": "DELETE", "path": "v1/{+name}", "response": { "$ref": "GoogleProtobufEmpty" }, "parameters": { "name": { "required": true, "type": "string", "pattern": "^projects/[^/]+/operations/[^/]+$", "location": "path", "description": "The name of the operation resource to be deleted." } }, "id": "webrisk.projects.operations.delete", "description": "Deletes a long-running operation. This method indicates that the client is no longer interested in the operation result. It does not cancel the operation. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`." }, "cancel": { "parameterOrder": [ "name" ], "flatPath": "v1/projects/{projectsId}/operations/{operationsId}:cancel", "httpMethod": "POST", "id": "webrisk.projects.operations.cancel", "request": { "$ref": "GoogleLongrunningCancelOperationRequest" }, "parameters": { "name": { "description": "The name of the operation resource to be cancelled.", "location": "path", "pattern": "^projects/[^/]+/operations/[^/]+$", "type": "string", "required": true } }, "response": { "$ref": "GoogleProtobufEmpty" }, "path": "v1/{+name}:cancel", "description": "Starts asynchronous cancellation on a long-running operation. The server makes a best effort to cancel the operation, but success is not guaranteed. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`. Clients can use Operations.GetOperation or other methods to check whether the cancellation succeeded or whether the operation completed despite cancellation. On successful cancellation, the operation is not deleted; instead, it becomes an operation with an Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`." }, "get": { "response": { "$ref": "GoogleLongrunningOperation" }, "flatPath": "v1/projects/{projectsId}/operations/{operationsId}", "httpMethod": "GET", "id": "webrisk.projects.operations.get", "description": "Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service.", "path": "v1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "parameters": { "name": { "pattern": "^projects/[^/]+/operations/[^/]+$", "required": true, "type": "string", "location": "path", "description": "The name of the operation resource." } } } } } } }, "hashes": { "methods": { "search": { "id": "webrisk.hashes.search", "httpMethod": "GET", "description": "Gets the full hashes that match the requested hash prefix. This is used after a hash prefix is looked up in a threatList and there is a match. The client side threatList only holds partial hashes so the client must query this method to determine if there is a full hash match of a threat.", "parameters": { "hashPrefix": { "description": "A hash prefix, consisting of the most significant 4-32 bytes of a SHA256 hash. For JSON requests, this field is base64-encoded. Note that if this parameter is provided by a URI, it must be encoded using the web safe base64 variant (RFC 4648).", "type": "string", "format": "byte", "location": "query" }, "threatTypes": { "type": "string", "description": "Required. The ThreatLists to search in. Multiple ThreatLists may be specified.", "repeated": true, "location": "query", "enumDescriptions": [ "No entries should match this threat type. This threat type is unused.", "Malware targeting any platform.", "Social engineering targeting any platform.", "Unwanted software targeting any platform.", "Extended Coverage Social Engineering list targeting any platform." ], "enum": [ "THREAT_TYPE_UNSPECIFIED", "MALWARE", "SOCIAL_ENGINEERING", "UNWANTED_SOFTWARE", "SOCIAL_ENGINEERING_EXTENDED_COVERAGE" ] } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [], "path": "v1/hashes:search", "flatPath": "v1/hashes:search", "response": { "$ref": "GoogleCloudWebriskV1SearchHashesResponse" } } } } }, "documentationLink": "https://cloud.google.com/web-risk/", "discoveryVersion": "v1", "description": "", "title": "Web Risk API", "rootUrl": "https://webrisk.googleapis.com/", "servicePath": "", "fullyEncodeReservedExpansion": true, "version": "v1", "basePath": "", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." } } } } }
]===]))
