local decode = require("cjson").new().decode
return assert(decode([===[
{ "name": "websecurityscanner", "title": "Web Security Scanner API", "rootUrl": "https://websecurityscanner.googleapis.com/", "documentationLink": "https://cloud.google.com/security-command-center/docs/concepts-web-security-scanner-overview/", "discoveryVersion": "v1", "batchPath": "batch", "schemas": { "ScanConfig": { "properties": { "ignoreHttpStatusErrors": { "description": "Whether to keep scanning even if most requests return HTTP error codes.", "type": "boolean" }, "riskLevel": { "description": "The risk level selected for the scan", "enumDescriptions": [ "Use default, which is NORMAL.", "Normal scanning (Recommended)", "Lower impact scanning" ], "enum": [ "RISK_LEVEL_UNSPECIFIED", "NORMAL", "LOW" ], "type": "string" }, "maxQps": { "description": "The maximum QPS during scanning. A valid value ranges from 5 to 20 inclusively. If the field is unspecified or its value is set 0, server will default to 15. Other values outside of [5, 20] range will be rejected with INVALID_ARGUMENT error.", "format": "int32", "type": "integer" }, "name": { "type": "string", "description": "The resource name of the ScanConfig. The name follows the format of 'projects/{projectId}/scanConfigs/{scanConfigId}'. The ScanConfig IDs are generated by the system." }, "userAgent": { "enumDescriptions": [ "The user agent is unknown. Service will default to CHROME_LINUX.", "Chrome on Linux. This is the service default if unspecified.", "Chrome on Android.", "Safari on IPhone." ], "enum": [ "USER_AGENT_UNSPECIFIED", "CHROME_LINUX", "CHROME_ANDROID", "SAFARI_IPHONE" ], "description": "The user agent used during scanning.", "type": "string" }, "exportToSecurityCommandCenter": { "type": "string", "description": "Controls export of scan configurations and results to Security Command Center.", "enum": [ "EXPORT_TO_SECURITY_COMMAND_CENTER_UNSPECIFIED", "ENABLED", "DISABLED" ], "enumDescriptions": [ "Use default, which is ENABLED.", "Export results of this scan to Security Command Center.", "Do not export results of this scan to Security Command Center." ] }, "staticIpScan": { "description": "Whether the scan configuration has enabled static IP address scan feature. If enabled, the scanner will access applications from static IP addresses.", "type": "boolean" }, "authentication": { "$ref": "Authentication", "description": "The authentication configuration. If specified, service will use the authentication configuration during scanning." }, "blacklistPatterns": { "type": "array", "description": "The excluded URL patterns as described in https://cloud.google.com/security-command-center/docs/how-to-use-web-security-scanner#excluding_urls", "items": { "type": "string" } }, "managedScan": { "description": "Whether the scan config is managed by Web Security Scanner, output only.", "type": "boolean" }, "schedule": { "description": "The schedule of the ScanConfig.", "$ref": "Schedule" }, "displayName": { "type": "string", "description": "Required. The user provided display name of the ScanConfig." }, "startingUrls": { "description": "Required. The starting URLs from which the scanner finds site pages.", "type": "array", "items": { "type": "string" } } }, "description": "A ScanConfig resource contains the configurations to launch a scan.", "type": "object", "id": "ScanConfig" }, "FindingTypeStats": { "description": "A FindingTypeStats resource represents stats regarding a specific FindingType of Findings under a given ScanRun.", "type": "object", "id": "FindingTypeStats", "properties": { "findingType": { "type": "string", "description": "Output only. The finding type associated with the stats." }, "findingCount": { "type": "integer", "description": "Output only. The count of findings belonging to this finding type.", "format": "int32" } } }, "VulnerableParameters": { "properties": { "parameterNames": { "type": "array", "description": "The vulnerable parameter names.", "items": { "type": "string" } } }, "id": "VulnerableParameters", "type": "object", "description": "Information about vulnerable request parameters." }, "GoogleAccount": { "properties": { "password": { "description": "Required. Input only. The password of the Google account. The credential is stored encrypted and not returned in any response nor included in audit logs.", "type": "string" }, "username": { "description": "Required. The user name of the Google account.", "type": "string" } }, "description": "Describes authentication configuration that uses a Google account.", "id": "GoogleAccount", "type": "object" }, "ScanRun": { "type": "object", "properties": { "warningTraces": { "type": "array", "description": "Output only. A list of warnings, if such are encountered during this scan run.", "items": { "$ref": "ScanRunWarningTrace" } }, "hasVulnerabilities": { "description": "Output only. Whether the scan run has found any vulnerabilities.", "type": "boolean" }, "endTime": { "format": "google-datetime", "description": "Output only. The time at which the ScanRun reached termination state - that the ScanRun is either finished or stopped by user.", "type": "string" }, "executionState": { "type": "string", "enum": [ "EXECUTION_STATE_UNSPECIFIED", "QUEUED", "SCANNING", "FINISHED" ], "enumDescriptions": [ "Represents an invalid state caused by internal server error. This value should never be returned.", "The scan is waiting in the queue.", "The scan is in progress.", "The scan is either finished or stopped by user." ], "description": "Output only. The execution state of the ScanRun." }, "resultState": { "type": "string", "description": "Output only. The result state of the ScanRun. This field is only available after the execution state reaches \"FINISHED\".", "enumDescriptions": [ "Default value. This value is returned when the ScanRun is not yet finished.", "The scan finished without errors.", "The scan finished with errors.", "The scan was terminated by user." ], "enum": [ "RESULT_STATE_UNSPECIFIED", "SUCCESS", "ERROR", "KILLED" ] }, "urlsCrawledCount": { "description": "Output only. The number of URLs crawled during this ScanRun. If the scan is in progress, the value represents the number of URLs crawled up to now.", "type": "string", "format": "int64" }, "progressPercent": { "format": "int32", "type": "integer", "description": "Output only. The percentage of total completion ranging from 0 to 100. If the scan is in queue, the value is 0. If the scan is running, the value ranges from 0 to 100. If the scan is finished, the value is 100." }, "errorTrace": { "$ref": "ScanRunErrorTrace", "description": "Output only. If result_state is an ERROR, this field provides the primary reason for scan's termination and more details, if such are available." }, "startTime": { "description": "Output only. The time at which the ScanRun started.", "type": "string", "format": "google-datetime" }, "urlsTestedCount": { "format": "int64", "type": "string", "description": "Output only. The number of URLs tested during this ScanRun. If the scan is in progress, the value represents the number of URLs tested up to now. The number of URLs tested is usually larger than the number URLS crawled because typically a crawled URL is tested with multiple test payloads." }, "name": { "type": "string", "description": "Output only. The resource name of the ScanRun. The name follows the format of 'projects/{projectId}/scanConfigs/{scanConfigId}/scanRuns/{scanRunId}'. The ScanRun IDs are generated by the system." } }, "id": "ScanRun", "description": "A ScanRun is a output-only resource representing an actual run of the scan. Next id: 12" }, "Header": { "type": "object", "id": "Header", "description": "Describes a HTTP Header.", "properties": { "value": { "type": "string", "description": "Header value." }, "name": { "description": "Header name.", "type": "string" } } }, "ListCrawledUrlsResponse": { "type": "object", "description": "Response for the `ListCrawledUrls` method.", "properties": { "nextPageToken": { "description": "Token to retrieve the next page of results, or empty if there are no more results in the list.", "type": "string" }, "crawledUrls": { "items": { "$ref": "CrawledUrl" }, "description": "The list of CrawledUrls returned.", "type": "array" } }, "id": "ListCrawledUrlsResponse" }, "IapCredential": { "type": "object", "description": "Describes authentication configuration for Identity-Aware-Proxy (IAP).", "id": "IapCredential", "properties": { "iapTestServiceAccountInfo": { "description": "Authentication configuration when Web-Security-Scanner service account is added in Identity-Aware-Proxy (IAP) access policies.", "$ref": "IapTestServiceAccountInfo" } } }, "Authentication": { "type": "object", "description": "Scan authentication configuration.", "properties": { "customAccount": { "$ref": "CustomAccount", "description": "Authentication using a custom account." }, "googleAccount": { "$ref": "GoogleAccount", "description": "Authentication using a Google account." }, "iapCredential": { "$ref": "IapCredential", "description": "Authentication using Identity-Aware-Proxy (IAP)." } }, "id": "Authentication" }, "ListScanConfigsResponse": { "id": "ListScanConfigsResponse", "properties": { "scanConfigs": { "description": "The list of ScanConfigs returned.", "type": "array", "items": { "$ref": "ScanConfig" } }, "nextPageToken": { "description": "Token to retrieve the next page of results, or empty if there are no more results in the list.", "type": "string" } }, "type": "object", "description": "Response for the `ListScanConfigs` method." }, "ListFindingsResponse": { "description": "Response for the `ListFindings` method.", "id": "ListFindingsResponse", "type": "object", "properties": { "findings": { "type": "array", "items": { "$ref": "Finding" }, "description": "The list of Findings returned." }, "nextPageToken": { "type": "string", "description": "Token to retrieve the next page of results, or empty if there are no more results in the list." } } }, "Form": { "type": "object", "properties": { "fields": { "items": { "type": "string" }, "description": "! The names of form fields related to the vulnerability.", "type": "array" }, "actionUri": { "type": "string", "description": "! The URI where to send the form when it's submitted." } }, "description": "! Information about a vulnerability with an HTML.", "id": "Form" }, "Finding": { "id": "Finding", "properties": { "name": { "description": "Output only. The resource name of the Finding. The name follows the format of 'projects/{projectId}/scanConfigs/{scanConfigId}/scanruns/{scanRunId}/findings/{findingId}'. The finding IDs are generated by the system.", "type": "string" }, "findingType": { "type": "string", "description": "Output only. The type of the Finding. Detailed and up-to-date information on findings can be found here: https://cloud.google.com/security-command-center/docs/how-to-remediate-web-security-scanner-findings" }, "body": { "description": "Output only. The body of the request that triggered the vulnerability.", "type": "string" }, "finalUrl": { "type": "string", "description": "Output only. The URL where the browser lands when the vulnerability is detected." }, "xss": { "$ref": "Xss", "description": "Output only. An addon containing information reported for an XSS, if any." }, "form": { "$ref": "Form", "description": "Output only. An addon containing information reported for a vulnerability with an HTML form, if any." }, "frameUrl": { "type": "string", "description": "Output only. If the vulnerability was originated from nested IFrame, the immediate parent IFrame is reported." }, "severity": { "enum": [ "SEVERITY_UNSPECIFIED", "CRITICAL", "HIGH", "MEDIUM", "LOW" ], "description": "Output only. The severity level of the reported vulnerability.", "type": "string", "enumDescriptions": [ "No severity specified. The default value.", "Critical severity.", "High severity.", "Medium severity.", "Low severity." ], "readOnly": true }, "description": { "type": "string", "description": "Output only. The description of the vulnerability." }, "xxe": { "description": "Output only. An addon containing information reported for an XXE, if any.", "readOnly": true, "$ref": "Xxe" }, "violatingResource": { "description": "Output only. An addon containing detailed information regarding any resource causing the vulnerability such as JavaScript sources, image, audio files, etc.", "$ref": "ViolatingResource" }, "httpMethod": { "type": "string", "description": "Output only. The http method of the request that triggered the vulnerability, in uppercase." }, "outdatedLibrary": { "description": "Output only. An addon containing information about outdated libraries.", "$ref": "OutdatedLibrary" }, "vulnerableHeaders": { "$ref": "VulnerableHeaders", "description": "Output only. An addon containing information about vulnerable or missing HTTP headers." }, "trackingId": { "description": "Output only. The tracking ID uniquely identifies a vulnerability instance across multiple ScanRuns.", "type": "string" }, "reproductionUrl": { "description": "Output only. The URL containing human-readable payload that user can leverage to reproduce the vulnerability.", "type": "string" }, "fuzzedUrl": { "description": "Output only. The URL produced by the server-side fuzzer and used in the request that triggered the vulnerability.", "type": "string" }, "vulnerableParameters": { "$ref": "VulnerableParameters", "description": "Output only. An addon containing information about request parameters which were found to be vulnerable." } }, "description": "A Finding resource represents a vulnerability instance identified during a ScanRun.", "type": "object" }, "Xxe": { "id": "Xxe", "type": "object", "description": "Information reported for an XXE.", "properties": { "payloadValue": { "description": "The XML string that triggered the XXE vulnerability. Non-payload values might be redacted.", "type": "string" }, "payloadLocation": { "enumDescriptions": [ "Unknown Location.", "The XML payload replaced the complete request body." ], "enum": [ "LOCATION_UNSPECIFIED", "COMPLETE_REQUEST_BODY" ], "description": "Location within the request where the payload was placed.", "type": "string" } } }, "CrawledUrl": { "description": "A CrawledUrl resource represents a URL that was crawled during a ScanRun. Web Security Scanner Service crawls the web applications, following all links within the scope of sites, to find the URLs to test against.", "id": "CrawledUrl", "type": "object", "properties": { "url": { "type": "string", "description": "Output only. The URL that was crawled." }, "body": { "description": "Output only. The body of the request that was used to visit the URL.", "type": "string" }, "httpMethod": { "description": "Output only. The http method of the request that was used to visit the URL, in uppercase.", "type": "string" } } }, "IapTestServiceAccountInfo": { "type": "object", "description": "Describes authentication configuration when Web-Security-Scanner service account is added in Identity-Aware-Proxy (IAP) access policies.", "id": "IapTestServiceAccountInfo", "properties": { "targetAudienceClientId": { "description": "Required. Describes OAuth2 client id of resources protected by Identity-Aware-Proxy (IAP).", "type": "string" } } }, "Xss": { "description": "Information reported for an XSS.", "properties": { "storedXssSeedingUrl": { "type": "string", "description": "The reproduction url for the seeding POST request of a Stored XSS." }, "stackTraces": { "description": "Stack traces leading to the point where the XSS occurred.", "items": { "type": "string" }, "type": "array" }, "errorMessage": { "type": "string", "description": "An error message generated by a javascript breakage." }, "attackVector": { "type": "string", "enum": [ "ATTACK_VECTOR_UNSPECIFIED", "LOCAL_STORAGE", "SESSION_STORAGE", "WINDOW_NAME", "REFERRER", "FORM_INPUT", "COOKIE", "POST_MESSAGE", "GET_PARAMETERS", "URL_FRAGMENT", "HTML_COMMENT", "POST_PARAMETERS", "PROTOCOL", "STORED_XSS", "SAME_ORIGIN", "USER_CONTROLLABLE_URL" ], "description": "The attack vector of the payload triggering this XSS.", "enumDescriptions": [ "Unknown attack vector.", "The attack comes from fuzzing the browser's localStorage.", "The attack comes from fuzzing the browser's sessionStorage.", "The attack comes from fuzzing the window's name property.", "The attack comes from fuzzing the referrer property.", "The attack comes from fuzzing an input element.", "The attack comes from fuzzing the browser's cookies.", "The attack comes from hijacking the post messaging mechanism.", "The attack comes from fuzzing parameters in the url.", "The attack comes from fuzzing the fragment in the url.", "The attack comes from fuzzing the HTML comments.", "The attack comes from fuzzing the POST parameters.", "The attack comes from fuzzing the protocol.", "The attack comes from the server side and is stored.", "The attack is a Same-Origin Method Execution attack via a GET parameter.", "The attack payload is received from a third-party host via a URL that is user-controllable" ] } }, "type": "object", "id": "Xss" }, "OutdatedLibrary": { "properties": { "learnMoreUrls": { "description": "URLs to learn more information about the vulnerabilities in the library.", "type": "array", "items": { "type": "string" } }, "libraryName": { "type": "string", "description": "The name of the outdated library." }, "version": { "description": "The version number.", "type": "string" } }, "type": "object", "id": "OutdatedLibrary", "description": "Information reported for an outdated library." }, "Empty": { "properties": {}, "type": "object", "id": "Empty", "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }" }, "StartScanRunRequest": { "id": "StartScanRunRequest", "description": "Request for the `StartScanRun` method.", "type": "object", "properties": {} }, "ViolatingResource": { "type": "object", "properties": { "resourceUrl": { "description": "URL of this violating resource.", "type": "string" }, "contentType": { "description": "The MIME type of this resource.", "type": "string" } }, "description": "Information regarding any resource causing the vulnerability such as JavaScript sources, image, audio files, etc.", "id": "ViolatingResource" }, "ScanConfigError": { "id": "ScanConfigError", "type": "object", "properties": { "code": { "description": "Output only. Indicates the reason code for a configuration failure.", "enumDescriptions": [ "There is no error.", "There is no error.", "Indicates an internal server error. Please DO NOT USE THIS ERROR CODE unless the root cause is truly unknown.", "One of the seed URLs is an App Engine URL but we cannot validate the scan settings due to an App Engine API backend error.", "One of the seed URLs is an App Engine URL but we cannot access the App Engine API to validate scan settings.", "One of the seed URLs is an App Engine URL but the Default Host of the App Engine is not set.", "Google corporate accounts can not be used for scanning.", "The account of the scan creator can not be used for scanning.", "This scan targets Compute Engine, but we cannot validate scan settings due to a Compute Engine API backend error.", "This scan targets Compute Engine, but we cannot access the Compute Engine API to validate the scan settings.", "The Custom Login URL does not belong to the current project.", "The Custom Login URL is malformed (can not be parsed).", "The Custom Login URL is mapped to a non-routable IP address in DNS.", "The Custom Login URL is mapped to an IP address which is not reserved for the current project.", "The Custom Login URL has a non-routable IP address.", "The Custom Login URL has an IP address which is not reserved for the current project.", "Another scan with the same name (case-sensitive) already exists.", "A field is set to an invalid value.", "There was an error trying to authenticate to the scan target.", "Finding type value is not specified in the list findings request.", "Scan targets Compute Engine, yet current project was not whitelisted for Google Compute Engine Scanning Alpha access.", "User tries to update managed scan", "The supplied filter is malformed. For example, it can not be parsed, does not have a filter type in expression, or the same filter type appears more than once.", "The supplied resource name is malformed (can not be parsed).", "The current project is not in an active state.", "A required field is not set.", "Project id, scanconfig id, scanrun id, or finding id are not consistent with each other in resource name.", "The scan being requested to start is already running.", "The scan that was requested to be stopped is not running.", "One of the seed URLs does not belong to the current project.", "One of the seed URLs is malformed (can not be parsed).", "One of the seed URLs is mapped to a non-routable IP address in DNS.", "One of the seed URLs is mapped to an IP address which is not reserved for the current project.", "One of the seed URLs has on-routable IP address.", "One of the seed URLs has an IP address that is not reserved for the current project.", "The Web Security Scanner service account is not configured under the project.", "A project has reached the maximum number of scans.", "Resolving the details of the current project fails.", "One or more blacklist patterns were in the wrong format.", "The supplied filter is not supported.", "The supplied finding type is not supported. For example, we do not provide findings of the given finding type.", "The URL scheme of one or more of the supplied URLs is not supported." ], "enum": [ "CODE_UNSPECIFIED", "OK", "INTERNAL_ERROR", "APPENGINE_API_BACKEND_ERROR", "APPENGINE_API_NOT_ACCESSIBLE", "APPENGINE_DEFAULT_HOST_MISSING", "CANNOT_USE_GOOGLE_COM_ACCOUNT", "CANNOT_USE_OWNER_ACCOUNT", "COMPUTE_API_BACKEND_ERROR", "COMPUTE_API_NOT_ACCESSIBLE", "CUSTOM_LOGIN_URL_DOES_NOT_BELONG_TO_CURRENT_PROJECT", "CUSTOM_LOGIN_URL_MALFORMED", "CUSTOM_LOGIN_URL_MAPPED_TO_NON_ROUTABLE_ADDRESS", "CUSTOM_LOGIN_URL_MAPPED_TO_UNRESERVED_ADDRESS", "CUSTOM_LOGIN_URL_HAS_NON_ROUTABLE_IP_ADDRESS", "CUSTOM_LOGIN_URL_HAS_UNRESERVED_IP_ADDRESS", "DUPLICATE_SCAN_NAME", "INVALID_FIELD_VALUE", "FAILED_TO_AUTHENTICATE_TO_TARGET", "FINDING_TYPE_UNSPECIFIED", "FORBIDDEN_TO_SCAN_COMPUTE", "FORBIDDEN_UPDATE_TO_MANAGED_SCAN", "MALFORMED_FILTER", "MALFORMED_RESOURCE_NAME", "PROJECT_INACTIVE", "REQUIRED_FIELD", "RESOURCE_NAME_INCONSISTENT", "SCAN_ALREADY_RUNNING", "SCAN_NOT_RUNNING", "SEED_URL_DOES_NOT_BELONG_TO_CURRENT_PROJECT", "SEED_URL_MALFORMED", "SEED_URL_MAPPED_TO_NON_ROUTABLE_ADDRESS", "SEED_URL_MAPPED_TO_UNRESERVED_ADDRESS", "SEED_URL_HAS_NON_ROUTABLE_IP_ADDRESS", "SEED_URL_HAS_UNRESERVED_IP_ADDRESS", "SERVICE_ACCOUNT_NOT_CONFIGURED", "TOO_MANY_SCANS", "UNABLE_TO_RESOLVE_PROJECT_INFO", "UNSUPPORTED_BLACKLIST_PATTERN_FORMAT", "UNSUPPORTED_FILTER", "UNSUPPORTED_FINDING_TYPE", "UNSUPPORTED_URL_SCHEME" ], "type": "string" }, "fieldName": { "description": "Output only. Indicates the full name of the ScanConfig field that triggers this error, for example \"scan_config.max_qps\". This field is provided for troubleshooting purposes only and its actual value can change in the future.", "type": "string" } }, "description": "Defines a custom error message used by CreateScanConfig and UpdateScanConfig APIs when scan configuration validation fails. It is also reported as part of a ScanRunErrorTrace message if scan validation fails due to a scan configuration error." }, "ScanRunErrorTrace": { "description": "Output only. Defines an error trace message for a ScanRun.", "properties": { "mostCommonHttpErrorCode": { "format": "int32", "type": "integer", "description": "Output only. If the scan encounters TOO_MANY_HTTP_ERRORS, this field indicates the most common HTTP error code, if such is available. For example, if this code is 404, the scan has encountered too many NOT_FOUND responses." }, "code": { "enumDescriptions": [ "Default value is never used.", "Indicates that the scan run failed due to an internal server error.", "Indicates a scan configuration error, usually due to outdated ScanConfig settings, such as starting_urls or the DNS configuration.", "Indicates an authentication error, usually due to outdated ScanConfig authentication settings.", "Indicates a scan operation timeout, usually caused by a very large site.", "Indicates that a scan encountered excessive redirects, either to authentication or some other page outside of the scan scope.", "Indicates that a scan encountered numerous errors from the web site pages. When available, most_common_http_error_code field indicates the most common HTTP error code encountered during the scan." ], "type": "string", "enum": [ "CODE_UNSPECIFIED", "INTERNAL_ERROR", "SCAN_CONFIG_ISSUE", "AUTHENTICATION_CONFIG_ISSUE", "TIMED_OUT_WHILE_SCANNING", "TOO_MANY_REDIRECTS", "TOO_MANY_HTTP_ERRORS" ], "description": "Output only. Indicates the error reason code." }, "scanConfigError": { "description": "Output only. If the scan encounters SCAN_CONFIG_ISSUE error, this field has the error message encountered during scan configuration validation that is performed before each scan run.", "$ref": "ScanConfigError" } }, "id": "ScanRunErrorTrace", "type": "object" }, "VulnerableHeaders": { "type": "object", "id": "VulnerableHeaders", "properties": { "missingHeaders": { "type": "array", "items": { "$ref": "Header" }, "description": "List of missing headers." }, "headers": { "items": { "$ref": "Header" }, "type": "array", "description": "List of vulnerable headers." } }, "description": "Information about vulnerable or missing HTTP Headers." }, "ListScanRunsResponse": { "properties": { "scanRuns": { "items": { "$ref": "ScanRun" }, "description": "The list of ScanRuns returned.", "type": "array" }, "nextPageToken": { "description": "Token to retrieve the next page of results, or empty if there are no more results in the list.", "type": "string" } }, "description": "Response for the `ListScanRuns` method.", "id": "ListScanRunsResponse", "type": "object" }, "Schedule": { "description": "Scan schedule configuration.", "type": "object", "id": "Schedule", "properties": { "intervalDurationDays": { "format": "int32", "description": "Required. The duration of time between executions in days.", "type": "integer" }, "scheduleTime": { "description": "A timestamp indicates when the next run will be scheduled. The value is refreshed by the server after each run. If unspecified, it will default to current server time, which means the scan will be scheduled to start immediately.", "format": "google-datetime", "type": "string" } } }, "StopScanRunRequest": { "description": "Request for the `StopScanRun` method.", "type": "object", "properties": {}, "id": "StopScanRunRequest" }, "ScanRunWarningTrace": { "description": "Output only. Defines a warning trace message for ScanRun. Warning traces provide customers with useful information that helps make the scanning process more effective.", "properties": { "code": { "type": "string", "description": "Output only. Indicates the warning code.", "enumDescriptions": [ "Default value is never used.", "Indicates that a scan discovered an unexpectedly low number of URLs. This is sometimes caused by complex navigation features or by using a single URL for numerous pages.", "Indicates that a scan discovered too many URLs to test, or excessive redundant URLs.", "Indicates that too many tests have been generated for the scan. Customer should try reducing the number of starting URLs, increasing the QPS rate, or narrowing down the scope of the scan using the excluded patterns.", "Indicates that a scan is blocked by IAP.", "Indicates that no seeds is found for a scan" ], "enum": [ "CODE_UNSPECIFIED", "INSUFFICIENT_CRAWL_RESULTS", "TOO_MANY_CRAWL_RESULTS", "TOO_MANY_FUZZ_TASKS", "BLOCKED_BY_IAP", "NO_STARTING_URL_FOUND_FOR_MANAGED_SCAN" ] } }, "type": "object", "id": "ScanRunWarningTrace" }, "ListFindingTypeStatsResponse": { "description": "Response for the `ListFindingTypeStats` method.", "type": "object", "id": "ListFindingTypeStatsResponse", "properties": { "findingTypeStats": { "items": { "$ref": "FindingTypeStats" }, "description": "The list of FindingTypeStats returned.", "type": "array" } } }, "CustomAccount": { "description": "Describes authentication configuration that uses a custom account.", "type": "object", "id": "CustomAccount", "properties": { "loginUrl": { "type": "string", "description": "Required. The login form URL of the website." }, "password": { "type": "string", "description": "Required. Input only. The password of the custom account. The credential is stored encrypted and not returned in any response nor included in audit logs." }, "username": { "type": "string", "description": "Required. The user name of the custom account." } } } }, "basePath": "", "ownerName": "Google", "mtlsRootUrl": "https://websecurityscanner.mtls.googleapis.com/", "canonicalName": "WebSecurityScanner", "servicePath": "", "ownerDomain": "google.com", "revision": "20220630", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." } } } }, "protocol": "rest", "parameters": { "uploadType": { "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "type": "string", "location": "query" }, "$.xgafv": { "type": "string", "enumDescriptions": [ "v1 error format", "v2 error format" ], "description": "V1 error format.", "enum": [ "1", "2" ], "location": "query" }, "access_token": { "type": "string", "location": "query", "description": "OAuth access token." }, "quotaUser": { "type": "string", "location": "query", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters." }, "oauth_token": { "type": "string", "location": "query", "description": "OAuth 2.0 token for the current user." }, "key": { "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "location": "query", "type": "string" }, "fields": { "description": "Selector specifying which fields to include in a partial response.", "location": "query", "type": "string" }, "prettyPrint": { "default": "true", "type": "boolean", "location": "query", "description": "Returns response with indentations and line breaks." }, "alt": { "default": "json", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "location": "query", "enum": [ "json", "media", "proto" ], "description": "Data format for response.", "type": "string" }, "callback": { "type": "string", "description": "JSONP", "location": "query" }, "upload_protocol": { "location": "query", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "type": "string" } }, "version_module": true, "fullyEncodeReservedExpansion": true, "version": "v1", "baseUrl": "https://websecurityscanner.googleapis.com/", "kind": "discovery#restDescription", "id": "websecurityscanner:v1", "resources": { "projects": { "resources": { "scanConfigs": { "methods": { "delete": { "path": "v1/{+name}", "response": { "$ref": "Empty" }, "description": "Deletes an existing ScanConfig and its child resources.", "httpMethod": "DELETE", "parameterOrder": [ "name" ], "id": "websecurityscanner.projects.scanConfigs.delete", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "required": true, "pattern": "^projects/[^/]+/scanConfigs/[^/]+$", "location": "path", "description": "Required. The resource name of the ScanConfig to be deleted. The name follows the format of 'projects/{projectId}/scanConfigs/{scanConfigId}'.", "type": "string" } }, "flatPath": "v1/projects/{projectsId}/scanConfigs/{scanConfigsId}" }, "create": { "request": { "$ref": "ScanConfig" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "websecurityscanner.projects.scanConfigs.create", "description": "Creates a new ScanConfig.", "httpMethod": "POST", "flatPath": "v1/projects/{projectsId}/scanConfigs", "parameterOrder": [ "parent" ], "path": "v1/{+parent}/scanConfigs", "parameters": { "parent": { "type": "string", "required": true, "description": "Required. The parent resource name where the scan is created, which should be a project resource name in the format 'projects/{projectId}'.", "pattern": "^projects/[^/]+$", "location": "path" } }, "response": { "$ref": "ScanConfig" } }, "get": { "response": { "$ref": "ScanConfig" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Gets a ScanConfig.", "id": "websecurityscanner.projects.scanConfigs.get", "httpMethod": "GET", "flatPath": "v1/projects/{projectsId}/scanConfigs/{scanConfigsId}", "parameters": { "name": { "description": "Required. The resource name of the ScanConfig to be returned. The name follows the format of 'projects/{projectId}/scanConfigs/{scanConfigId}'.", "required": true, "type": "string", "location": "path", "pattern": "^projects/[^/]+/scanConfigs/[^/]+$" } }, "parameterOrder": [ "name" ], "path": "v1/{+name}" }, "start": { "flatPath": "v1/projects/{projectsId}/scanConfigs/{scanConfigsId}:start", "id": "websecurityscanner.projects.scanConfigs.start", "path": "v1/{+name}:start", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "ScanRun" }, "parameters": { "name": { "location": "path", "pattern": "^projects/[^/]+/scanConfigs/[^/]+$", "required": true, "description": "Required. The resource name of the ScanConfig to be used. The name follows the format of 'projects/{projectId}/scanConfigs/{scanConfigId}'.", "type": "string" } }, "request": { "$ref": "StartScanRunRequest" }, "description": "Start a ScanRun according to the given ScanConfig.", "httpMethod": "POST" }, "patch": { "httpMethod": "PATCH", "parameterOrder": [ "name" ], "response": { "$ref": "ScanConfig" }, "request": { "$ref": "ScanConfig" }, "description": "Updates a ScanConfig. This method support partial update of a ScanConfig.", "flatPath": "v1/projects/{projectsId}/scanConfigs/{scanConfigsId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "pattern": "^projects/[^/]+/scanConfigs/[^/]+$", "required": true, "location": "path", "type": "string", "description": "The resource name of the ScanConfig. The name follows the format of 'projects/{projectId}/scanConfigs/{scanConfigId}'. The ScanConfig IDs are generated by the system." }, "updateMask": { "type": "string", "description": "Required. The update mask applies to the resource. For the `FieldMask` definition, see https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#fieldmask", "format": "google-fieldmask", "location": "query" } }, "path": "v1/{+name}", "id": "websecurityscanner.projects.scanConfigs.patch" }, "list": { "httpMethod": "GET", "id": "websecurityscanner.projects.scanConfigs.list", "description": "Lists ScanConfigs under a given project.", "parameters": { "pageSize": { "format": "int32", "type": "integer", "description": "The maximum number of ScanConfigs to return, can be limited by server. If not specified or not positive, the implementation will select a reasonable value.", "location": "query" }, "pageToken": { "description": "A token identifying a page of results to be returned. This should be a `next_page_token` value returned from a previous List request. If unspecified, the first page of results is returned.", "location": "query", "type": "string" }, "parent": { "location": "path", "description": "Required. The parent resource name, which should be a project resource name in the format 'projects/{projectId}'.", "required": true, "type": "string", "pattern": "^projects/[^/]+$" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+parent}/scanConfigs", "response": { "$ref": "ListScanConfigsResponse" }, "flatPath": "v1/projects/{projectsId}/scanConfigs", "parameterOrder": [ "parent" ] } }, "resources": { "scanRuns": { "methods": { "list": { "flatPath": "v1/projects/{projectsId}/scanConfigs/{scanConfigsId}/scanRuns", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "response": { "$ref": "ListScanRunsResponse" }, "parameters": { "pageSize": { "type": "integer", "location": "query", "description": "The maximum number of ScanRuns to return, can be limited by server. If not specified or not positive, the implementation will select a reasonable value.", "format": "int32" }, "pageToken": { "type": "string", "location": "query", "description": "A token identifying a page of results to be returned. This should be a `next_page_token` value returned from a previous List request. If unspecified, the first page of results is returned." }, "parent": { "description": "Required. The parent resource name, which should be a scan resource name in the format 'projects/{projectId}/scanConfigs/{scanConfigId}'.", "location": "path", "required": true, "pattern": "^projects/[^/]+/scanConfigs/[^/]+$", "type": "string" } }, "id": "websecurityscanner.projects.scanConfigs.scanRuns.list", "parameterOrder": [ "parent" ], "path": "v1/{+parent}/scanRuns", "description": "Lists ScanRuns under a given ScanConfig, in descending order of ScanRun stop time." }, "stop": { "flatPath": "v1/projects/{projectsId}/scanConfigs/{scanConfigsId}/scanRuns/{scanRunsId}:stop", "httpMethod": "POST", "request": { "$ref": "StopScanRunRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "required": true, "pattern": "^projects/[^/]+/scanConfigs/[^/]+/scanRuns/[^/]+$", "type": "string", "location": "path", "description": "Required. The resource name of the ScanRun to be stopped. The name follows the format of 'projects/{projectId}/scanConfigs/{scanConfigId}/scanRuns/{scanRunId}'." } }, "response": { "$ref": "ScanRun" }, "id": "websecurityscanner.projects.scanConfigs.scanRuns.stop", "description": "Stops a ScanRun. The stopped ScanRun is returned.", "path": "v1/{+name}:stop", "parameterOrder": [ "name" ] }, "get": { "parameters": { "name": { "pattern": "^projects/[^/]+/scanConfigs/[^/]+/scanRuns/[^/]+$", "location": "path", "type": "string", "description": "Required. The resource name of the ScanRun to be returned. The name follows the format of 'projects/{projectId}/scanConfigs/{scanConfigId}/scanRuns/{scanRunId}'.", "required": true } }, "parameterOrder": [ "name" ], "response": { "$ref": "ScanRun" }, "flatPath": "v1/projects/{projectsId}/scanConfigs/{scanConfigsId}/scanRuns/{scanRunsId}", "id": "websecurityscanner.projects.scanConfigs.scanRuns.get", "path": "v1/{+name}", "description": "Gets a ScanRun.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET" } }, "resources": { "findings": { "methods": { "get": { "response": { "$ref": "Finding" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/projects/{projectsId}/scanConfigs/{scanConfigsId}/scanRuns/{scanRunsId}/findings/{findingsId}", "id": "websecurityscanner.projects.scanConfigs.scanRuns.findings.get", "parameters": { "name": { "description": "Required. The resource name of the Finding to be returned. The name follows the format of 'projects/{projectId}/scanConfigs/{scanConfigId}/scanRuns/{scanRunId}/findings/{findingId}'.", "location": "path", "pattern": "^projects/[^/]+/scanConfigs/[^/]+/scanRuns/[^/]+/findings/[^/]+$", "required": true, "type": "string" } }, "parameterOrder": [ "name" ], "httpMethod": "GET", "path": "v1/{+name}", "description": "Gets a Finding." }, "list": { "response": { "$ref": "ListFindingsResponse" }, "flatPath": "v1/projects/{projectsId}/scanConfigs/{scanConfigsId}/scanRuns/{scanRunsId}/findings", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "websecurityscanner.projects.scanConfigs.scanRuns.findings.list", "httpMethod": "GET", "parameters": { "pageToken": { "description": "A token identifying a page of results to be returned. This should be a `next_page_token` value returned from a previous List request. If unspecified, the first page of results is returned.", "location": "query", "type": "string" }, "pageSize": { "format": "int32", "description": "The maximum number of Findings to return, can be limited by server. If not specified or not positive, the implementation will select a reasonable value.", "type": "integer", "location": "query" }, "parent": { "type": "string", "required": true, "location": "path", "description": "Required. The parent resource name, which should be a scan run resource name in the format 'projects/{projectId}/scanConfigs/{scanConfigId}/scanRuns/{scanRunId}'.", "pattern": "^projects/[^/]+/scanConfigs/[^/]+/scanRuns/[^/]+$" }, "filter": { "location": "query", "type": "string", "description": "The filter expression. The expression must be in the format: . Supported field: 'finding_type'. Supported operator: '='." } }, "parameterOrder": [ "parent" ], "path": "v1/{+parent}/findings", "description": "List Findings under a given ScanRun." } } }, "findingTypeStats": { "methods": { "list": { "httpMethod": "GET", "id": "websecurityscanner.projects.scanConfigs.scanRuns.findingTypeStats.list", "parameters": { "parent": { "required": true, "description": "Required. The parent resource name, which should be a scan run resource name in the format 'projects/{projectId}/scanConfigs/{scanConfigId}/scanRuns/{scanRunId}'.", "location": "path", "pattern": "^projects/[^/]+/scanConfigs/[^/]+/scanRuns/[^/]+$", "type": "string" } }, "response": { "$ref": "ListFindingTypeStatsResponse" }, "parameterOrder": [ "parent" ], "path": "v1/{+parent}/findingTypeStats", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/projects/{projectsId}/scanConfigs/{scanConfigsId}/scanRuns/{scanRunsId}/findingTypeStats", "description": "List all FindingTypeStats under a given ScanRun." } } }, "crawledUrls": { "methods": { "list": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "parent" ], "id": "websecurityscanner.projects.scanConfigs.scanRuns.crawledUrls.list", "httpMethod": "GET", "path": "v1/{+parent}/crawledUrls", "response": { "$ref": "ListCrawledUrlsResponse" }, "parameters": { "parent": { "pattern": "^projects/[^/]+/scanConfigs/[^/]+/scanRuns/[^/]+$", "location": "path", "required": true, "description": "Required. The parent resource name, which should be a scan run resource name in the format 'projects/{projectId}/scanConfigs/{scanConfigId}/scanRuns/{scanRunId}'.", "type": "string" }, "pageSize": { "description": "The maximum number of CrawledUrls to return, can be limited by server. If not specified or not positive, the implementation will select a reasonable value.", "format": "int32", "location": "query", "type": "integer" }, "pageToken": { "location": "query", "type": "string", "description": "A token identifying a page of results to be returned. This should be a `next_page_token` value returned from a previous List request. If unspecified, the first page of results is returned." } }, "flatPath": "v1/projects/{projectsId}/scanConfigs/{scanConfigsId}/scanRuns/{scanRunsId}/crawledUrls", "description": "List CrawledUrls under a given ScanRun." } } } } } } } } } }, "description": "Scans your Compute and App Engine apps for common web vulnerabilities.", "icons": { "x16": "http://www.google.com/images/icons/product/search-16.gif", "x32": "http://www.google.com/images/icons/product/search-32.gif" } }
]===]))
