local decode = require("cjson").new().decode
return assert(decode([===[
{ "description": "Execute workflows created with Workflows API.", "batchPath": "batch", "baseUrl": "https://workflowexecutions.googleapis.com/", "rootUrl": "https://workflowexecutions.googleapis.com/", "documentationLink": "https://cloud.google.com/workflows", "version_module": true, "version": "v1", "name": "workflowexecutions", "id": "workflowexecutions:v1", "canonicalName": "Workflow Executions", "schemas": { "CancelExecutionRequest": { "type": "object", "properties": {}, "description": "Request for the CancelExecution method.", "id": "CancelExecutionRequest" }, "StackTraceElement": { "properties": { "routine": { "description": "The routine where the error occurred.", "type": "string" }, "position": { "description": "The source position information of the stack trace element.", "$ref": "Position" }, "step": { "type": "string", "description": "The step the error occurred at." } }, "description": "A single stack element (frame) where an error occurred.", "id": "StackTraceElement", "type": "object" }, "StackTrace": { "description": "A collection of stack elements (frames) where an error occurred.", "properties": { "elements": { "items": { "$ref": "StackTraceElement" }, "description": "An array of stack elements.", "type": "array" } }, "id": "StackTrace", "type": "object" }, "ListExecutionsResponse": { "description": "Response for the ListExecutions method.", "type": "object", "id": "ListExecutionsResponse", "properties": { "nextPageToken": { "description": "A token, which can be sent as `page_token` to retrieve the next page. If this field is omitted, there are no subsequent pages.", "type": "string" }, "executions": { "items": { "$ref": "Execution" }, "type": "array", "description": "The executions which match the request." } } }, "Execution": { "description": "A running instance of a [Workflow](/workflows/docs/reference/rest/v1/projects.locations.workflows).", "properties": { "state": { "type": "string", "readOnly": true, "description": "Output only. Current state of the execution.", "enum": [ "STATE_UNSPECIFIED", "ACTIVE", "SUCCEEDED", "FAILED", "CANCELLED" ], "enumDescriptions": [ "Invalid state.", "The execution is in progress.", "The execution finished successfully.", "The execution failed with an error.", "The execution was stopped intentionally." ] }, "argument": { "description": "Input parameters of the execution represented as a JSON string. The size limit is 32KB. *Note*: If you are using the REST API directly to run your workflow, you must escape any JSON string value of `argument`. Example: `'{\"argument\":\"{\\\"firstName\\\":\\\"FIRST\\\",\\\"lastName\\\":\\\"LAST\\\"}\"}'`", "type": "string" }, "name": { "type": "string", "readOnly": true, "description": "Output only. The resource name of the execution. Format: projects/{project}/locations/{location}/workflows/{workflow}/executions/{execution}" }, "workflowRevisionId": { "type": "string", "description": "Output only. Revision of the workflow this execution is using.", "readOnly": true }, "error": { "description": "Output only. The error which caused the execution to finish prematurely. The value is only present if the execution's state is `FAILED` or `CANCELLED`.", "$ref": "Error", "readOnly": true }, "startTime": { "readOnly": true, "description": "Output only. Marks the beginning of execution.", "type": "string", "format": "google-datetime" }, "callLogLevel": { "enum": [ "CALL_LOG_LEVEL_UNSPECIFIED", "LOG_ALL_CALLS", "LOG_ERRORS_ONLY" ], "enumDescriptions": [ "No call logging specified.", "Log all call steps within workflows, all call returns, and all exceptions raised.", "Log only exceptions that are raised from call steps within workflows." ], "type": "string", "description": "The call logging level associated to this execution." }, "endTime": { "readOnly": true, "type": "string", "description": "Output only. Marks the end of execution, successful or not.", "format": "google-datetime" }, "result": { "type": "string", "readOnly": true, "description": "Output only. Output of the execution represented as a JSON string. The value can only be present if the execution's state is `SUCCEEDED`." } }, "type": "object", "id": "Execution" }, "TriggerPubsubExecutionRequest": { "id": "TriggerPubsubExecutionRequest", "type": "object", "description": "Request for the TriggerPubsubExecution method.", "properties": { "GCPCloudEventsMode": { "type": "string", "description": "Required. LINT: LEGACY_NAMES The query parameter value for __GCP_CloudEventsMode, set by the Eventarc service when configuring triggers." }, "message": { "description": "Required. The message of the Pub/Sub push notification.", "$ref": "PubsubMessage" }, "subscription": { "type": "string", "description": "Required. The subscription of the Pub/Sub push notification. Format: projects/{project}/subscriptions/{sub}" } } }, "PubsubMessage": { "properties": { "publishTime": { "description": "The time at which the message was published, populated by the server when it receives the `Publish` call. It must not be populated by the publisher in a `Publish` call.", "type": "string", "format": "google-datetime" }, "data": { "description": "The message data field. If this field is empty, the message must contain at least one attribute.", "format": "byte", "type": "string" }, "attributes": { "additionalProperties": { "type": "string" }, "description": "Attributes for this message. If this field is empty, the message must contain non-empty data. This can be used to filter messages on the subscription.", "type": "object" }, "orderingKey": { "description": "If non-empty, identifies related messages for which publish order should be respected. If a `Subscription` has `enable_message_ordering` set to `true`, messages published with the same non-empty `ordering_key` value will be delivered to subscribers in the order in which they are received by the Pub/Sub system. All `PubsubMessage`s published in a given `PublishRequest` must specify the same `ordering_key` value. For more information, see [ordering messages](https://cloud.google.com/pubsub/docs/ordering).", "type": "string" }, "messageId": { "type": "string", "description": "ID of this message, assigned by the server when the message is published. Guaranteed to be unique within the topic. This value may be read by a subscriber that receives a `PubsubMessage` via a `Pull` call or a push delivery. It must not be populated by the publisher in a `Publish` call." } }, "description": "A message that is published by publishers and consumed by subscribers. The message must contain either a non-empty data field or at least one attribute. Note that client libraries represent this object differently depending on the language. See the corresponding [client library documentation](https://cloud.google.com/pubsub/docs/reference/libraries) for more information. See [quotas and limits] (https://cloud.google.com/pubsub/quotas) for more information about message limits.", "type": "object", "id": "PubsubMessage" }, "Error": { "description": "Error describes why the execution was abnormally terminated.", "properties": { "payload": { "description": "Error message and data returned represented as a JSON string.", "type": "string" }, "stackTrace": { "description": "Stack trace with detailed information of where error was generated.", "$ref": "StackTrace" }, "context": { "type": "string", "description": "Human-readable stack trace string." } }, "type": "object", "id": "Error" }, "Position": { "properties": { "column": { "description": "The source code column position (of the line) the current instruction was generated from.", "format": "int64", "type": "string" }, "line": { "type": "string", "format": "int64", "description": "The source code line number the current instruction was generated from." }, "length": { "description": "The number of bytes of source code making up this stack trace element.", "format": "int64", "type": "string" } }, "type": "object", "id": "Position", "description": "Position contains source position information about the stack trace element such as line number, column number and length of the code block in bytes." } }, "revision": "20220704", "ownerDomain": "google.com", "servicePath": "", "discoveryVersion": "v1", "parameters": { "$.xgafv": { "type": "string", "enumDescriptions": [ "v1 error format", "v2 error format" ], "description": "V1 error format.", "enum": [ "1", "2" ], "location": "query" }, "quotaUser": { "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "location": "query", "type": "string" }, "oauth_token": { "location": "query", "description": "OAuth 2.0 token for the current user.", "type": "string" }, "key": { "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "location": "query", "type": "string" }, "fields": { "description": "Selector specifying which fields to include in a partial response.", "location": "query", "type": "string" }, "prettyPrint": { "default": "true", "description": "Returns response with indentations and line breaks.", "type": "boolean", "location": "query" }, "uploadType": { "type": "string", "location": "query", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\")." }, "upload_protocol": { "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "location": "query", "type": "string" }, "alt": { "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "default": "json", "description": "Data format for response.", "location": "query", "type": "string", "enum": [ "json", "media", "proto" ] }, "access_token": { "location": "query", "description": "OAuth access token.", "type": "string" }, "callback": { "description": "JSONP", "location": "query", "type": "string" } }, "ownerName": "Google", "icons": { "x32": "http://www.google.com/images/icons/product/search-32.gif", "x16": "http://www.google.com/images/icons/product/search-16.gif" }, "title": "Workflow Executions API", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." } } } }, "basePath": "", "fullyEncodeReservedExpansion": true, "kind": "discovery#restDescription", "protocol": "rest", "mtlsRootUrl": "https://workflowexecutions.mtls.googleapis.com/", "resources": { "projects": { "resources": { "locations": { "resources": { "workflows": { "methods": { "triggerPubsubExecution": { "path": "v1/{+workflow}:triggerPubsubExecution", "httpMethod": "POST", "parameterOrder": [ "workflow" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/workflows/{workflowsId}:triggerPubsubExecution", "request": { "$ref": "TriggerPubsubExecutionRequest" }, "description": "Triggers a new execution using the latest revision of the given workflow by a Pub/Sub push notification.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "workflow": { "pattern": "^projects/[^/]+/locations/[^/]+/workflows/[^/]+$", "type": "string", "location": "path", "description": "Required. Name of the workflow for which an execution should be created. Format: projects/{project}/locations/{location}/workflows/{workflow}", "required": true } }, "id": "workflowexecutions.projects.locations.workflows.triggerPubsubExecution", "response": { "$ref": "Execution" } } }, "resources": { "executions": { "methods": { "get": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Returns an execution of the given name.", "path": "v1/{+name}", "httpMethod": "GET", "parameters": { "view": { "location": "query", "description": "Optional. A view defining which fields should be filled in the returned execution. The API will default to the FULL view.", "type": "string", "enum": [ "EXECUTION_VIEW_UNSPECIFIED", "BASIC", "FULL" ], "enumDescriptions": [ "The default / unset value.", "Includes only basic metadata about the execution. Following fields are returned: name, start_time, end_time, state and workflow_revision_id.", "Includes all data." ] }, "name": { "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/workflows/[^/]+/executions/[^/]+$", "description": "Required. Name of the execution to be retrieved. Format: projects/{project}/locations/{location}/workflows/{workflow}/executions/{execution}", "type": "string", "required": true } }, "id": "workflowexecutions.projects.locations.workflows.executions.get", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/workflows/{workflowsId}/executions/{executionsId}", "parameterOrder": [ "name" ], "response": { "$ref": "Execution" } }, "cancel": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "workflowexecutions.projects.locations.workflows.executions.cancel", "response": { "$ref": "Execution" }, "parameterOrder": [ "name" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/workflows/{workflowsId}/executions/{executionsId}:cancel", "parameters": { "name": { "required": true, "type": "string", "description": "Required. Name of the execution to be cancelled. Format: projects/{project}/locations/{location}/workflows/{workflow}/executions/{execution}", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/workflows/[^/]+/executions/[^/]+$" } }, "httpMethod": "POST", "path": "v1/{+name}:cancel", "description": "Cancels an execution of the given name.", "request": { "$ref": "CancelExecutionRequest" } }, "list": { "parameters": { "view": { "enum": [ "EXECUTION_VIEW_UNSPECIFIED", "BASIC", "FULL" ], "type": "string", "enumDescriptions": [ "The default / unset value.", "Includes only basic metadata about the execution. Following fields are returned: name, start_time, end_time, state and workflow_revision_id.", "Includes all data." ], "description": "Optional. A view defining which fields should be filled in the returned executions. The API will default to the BASIC view.", "location": "query" }, "parent": { "type": "string", "required": true, "description": "Required. Name of the workflow for which the executions should be listed. Format: projects/{project}/locations/{location}/workflows/{workflow}", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/workflows/[^/]+$" }, "pageToken": { "description": "A page token, received from a previous `ListExecutions` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListExecutions` must match the call that provided the page token.", "location": "query", "type": "string" }, "pageSize": { "format": "int32", "type": "integer", "location": "query", "description": "Maximum number of executions to return per call. Max supported value depends on the selected Execution view: it's 10000 for BASIC and 100 for FULL. The default value used if the field is not specified is 100, regardless of the selected view. Values greater than the max value will be coerced down to it." } }, "parameterOrder": [ "parent" ], "path": "v1/{+parent}/executions", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/workflows/{workflowsId}/executions", "description": "Returns a list of executions which belong to the workflow with the given name. The method returns executions of all workflow revisions. Returned executions are ordered by their start time (newest first).", "response": { "$ref": "ListExecutionsResponse" }, "httpMethod": "GET", "id": "workflowexecutions.projects.locations.workflows.executions.list", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "create": { "response": { "$ref": "Execution" }, "parameterOrder": [ "parent" ], "httpMethod": "POST", "id": "workflowexecutions.projects.locations.workflows.executions.create", "path": "v1/{+parent}/executions", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/workflows/{workflowsId}/executions", "description": "Creates a new execution using the latest revision of the given workflow.", "request": { "$ref": "Execution" }, "parameters": { "parent": { "type": "string", "location": "path", "description": "Required. Name of the workflow for which an execution should be created. Format: projects/{project}/locations/{location}/workflows/{workflow} The latest revision of the workflow will be used.", "pattern": "^projects/[^/]+/locations/[^/]+/workflows/[^/]+$", "required": true } } } } } } } } } } } } }
]===]))
