local decode = require("cjson").new().decode
return assert(decode([===[
{ "ownerDomain": "google.com", "basePath": "", "title": "Workflow Executions API", "rootUrl": "https://workflowexecutions.googleapis.com/", "documentationLink": "https://cloud.google.com/workflows", "version_module": true, "revision": "20220704", "description": "Execute workflows created with Workflows API.", "discoveryVersion": "v1", "canonicalName": "Workflow Executions", "batchPath": "batch", "protocol": "rest", "schemas": { "ListExecutionsResponse": { "description": "Response for the ListExecutions method.", "id": "ListExecutionsResponse", "type": "object", "properties": { "nextPageToken": { "type": "string", "description": "A token, which can be sent as `page_token` to retrieve the next page. If this field is omitted, there are no subsequent pages." }, "executions": { "type": "array", "description": "The executions which match the request.", "items": { "$ref": "Execution" } } } }, "Position": { "properties": { "line": { "description": "The source code line number the current instruction was generated from.", "type": "string", "format": "int64" }, "length": { "description": "The number of bytes of source code making up this stack trace element.", "type": "string", "format": "int64" }, "column": { "description": "The source code column position (of the line) the current instruction was generated from.", "format": "int64", "type": "string" } }, "id": "Position", "description": "Position contains source position information about the stack trace element such as line number, column number and length of the code block in bytes.", "type": "object" }, "Error": { "description": "Error describes why the execution was abnormally terminated.", "type": "object", "properties": { "context": { "type": "string", "description": "Human-readable stack trace string." }, "stackTrace": { "description": "Stack trace with detailed information of where error was generated.", "$ref": "StackTrace" }, "payload": { "type": "string", "description": "Error message and data returned represented as a JSON string." } }, "id": "Error" }, "Execution": { "properties": { "workflowRevisionId": { "description": "Output only. Revision of the workflow this execution is using.", "type": "string", "readOnly": true }, "result": { "readOnly": true, "description": "Output only. Output of the execution represented as a JSON string. The value can only be present if the execution's state is `SUCCEEDED`.", "type": "string" }, "startTime": { "format": "google-datetime", "description": "Output only. Marks the beginning of execution.", "type": "string", "readOnly": true }, "callLogLevel": { "enumDescriptions": [ "No call logging specified.", "Log all call steps within workflows, all call returns, and all exceptions raised.", "Log only exceptions that are raised from call steps within workflows." ], "enum": [ "CALL_LOG_LEVEL_UNSPECIFIED", "LOG_ALL_CALLS", "LOG_ERRORS_ONLY" ], "type": "string", "description": "The call logging level associated to this execution." }, "state": { "enumDescriptions": [ "Invalid state.", "The execution is in progress.", "The execution finished successfully.", "The execution failed with an error.", "The execution was stopped intentionally." ], "readOnly": true, "description": "Output only. Current state of the execution.", "enum": [ "STATE_UNSPECIFIED", "ACTIVE", "SUCCEEDED", "FAILED", "CANCELLED" ], "type": "string" }, "argument": { "type": "string", "description": "Input parameters of the execution represented as a JSON string. The size limit is 32KB. *Note*: If you are using the REST API directly to run your workflow, you must escape any JSON string value of `argument`. Example: `'{\"argument\":\"{\\\"firstName\\\":\\\"FIRST\\\",\\\"lastName\\\":\\\"LAST\\\"}\"}'`" }, "name": { "readOnly": true, "type": "string", "description": "Output only. The resource name of the execution. Format: projects/{project}/locations/{location}/workflows/{workflow}/executions/{execution}" }, "error": { "description": "Output only. The error which caused the execution to finish prematurely. The value is only present if the execution's state is `FAILED` or `CANCELLED`.", "$ref": "Error", "readOnly": true }, "endTime": { "format": "google-datetime", "description": "Output only. Marks the end of execution, successful or not.", "type": "string", "readOnly": true } }, "description": "A running instance of a [Workflow](/workflows/docs/reference/rest/v1beta/projects.locations.workflows).", "id": "Execution", "type": "object" }, "StackTraceElement": { "type": "object", "id": "StackTraceElement", "description": "A single stack element (frame) where an error occurred.", "properties": { "position": { "description": "The source position information of the stack trace element.", "$ref": "Position" }, "routine": { "description": "The routine where the error occurred.", "type": "string" }, "step": { "description": "The step the error occurred at.", "type": "string" } } }, "CancelExecutionRequest": { "id": "CancelExecutionRequest", "properties": {}, "description": "Request for the CancelExecution method.", "type": "object" }, "StackTrace": { "properties": { "elements": { "items": { "$ref": "StackTraceElement" }, "description": "An array of stack elements.", "type": "array" } }, "id": "StackTrace", "type": "object", "description": "A collection of stack elements (frames) where an error occurred." } }, "icons": { "x16": "http://www.google.com/images/icons/product/search-16.gif", "x32": "http://www.google.com/images/icons/product/search-32.gif" }, "resources": { "projects": { "resources": { "locations": { "resources": { "workflows": { "resources": { "executions": { "methods": { "get": { "parameters": { "view": { "enumDescriptions": [ "The default / unset value.", "Includes only basic metadata about the execution. Following fields are returned: name, start_time, end_time, state and workflow_revision_id.", "Includes all data." ], "enum": [ "EXECUTION_VIEW_UNSPECIFIED", "BASIC", "FULL" ], "type": "string", "description": "Optional. A view defining which fields should be filled in the returned execution. The API will default to the FULL view.", "location": "query" }, "name": { "description": "Required. Name of the execution to be retrieved. Format: projects/{project}/locations/{location}/workflows/{workflow}/executions/{execution}", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/workflows/[^/]+/executions/[^/]+$", "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Execution" }, "description": "Returns an execution of the given name.", "httpMethod": "GET", "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/workflows/{workflowsId}/executions/{executionsId}", "id": "workflowexecutions.projects.locations.workflows.executions.get", "path": "v1beta/{+name}", "parameterOrder": [ "name" ] }, "list": { "id": "workflowexecutions.projects.locations.workflows.executions.list", "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1beta/{+parent}/executions", "description": "Returns a list of executions which belong to the workflow with the given name. The method returns executions of all workflow revisions. Returned executions are ordered by their start time (newest first).", "response": { "$ref": "ListExecutionsResponse" }, "httpMethod": "GET", "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/workflows/{workflowsId}/executions", "parameters": { "pageSize": { "type": "integer", "description": "Maximum number of executions to return per call. Max supported value depends on the selected Execution view: it's 10000 for BASIC and 100 for FULL. The default value used if the field is not specified is 100, regardless of the selected view. Values greater than the max value will be coerced down to it.", "format": "int32", "location": "query" }, "parent": { "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/workflows/[^/]+$", "location": "path", "description": "Required. Name of the workflow for which the executions should be listed. Format: projects/{project}/locations/{location}/workflows/{workflow}", "required": true }, "view": { "enumDescriptions": [ "The default / unset value.", "Includes only basic metadata about the execution. Following fields are returned: name, start_time, end_time, state and workflow_revision_id.", "Includes all data." ], "type": "string", "description": "Optional. A view defining which fields should be filled in the returned executions. The API will default to the BASIC view.", "enum": [ "EXECUTION_VIEW_UNSPECIFIED", "BASIC", "FULL" ], "location": "query" }, "pageToken": { "description": "A page token, received from a previous `ListExecutions` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListExecutions` must match the call that provided the page token.", "location": "query", "type": "string" } } }, "create": { "path": "v1beta/{+parent}/executions", "request": { "$ref": "Execution" }, "description": "Creates a new execution using the latest revision of the given workflow.", "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/workflows/{workflowsId}/executions", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Execution" }, "parameters": { "parent": { "pattern": "^projects/[^/]+/locations/[^/]+/workflows/[^/]+$", "type": "string", "required": true, "location": "path", "description": "Required. Name of the workflow for which an execution should be created. Format: projects/{project}/locations/{location}/workflows/{workflow} The latest revision of the workflow will be used." } }, "id": "workflowexecutions.projects.locations.workflows.executions.create", "parameterOrder": [ "parent" ], "httpMethod": "POST" }, "cancel": { "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/workflows/{workflowsId}/executions/{executionsId}:cancel", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "description": "Required. Name of the execution to be cancelled. Format: projects/{project}/locations/{location}/workflows/{workflow}/executions/{execution}", "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/workflows/[^/]+/executions/[^/]+$", "location": "path" } }, "id": "workflowexecutions.projects.locations.workflows.executions.cancel", "httpMethod": "POST", "description": "Cancels an execution of the given name.", "response": { "$ref": "Execution" }, "request": { "$ref": "CancelExecutionRequest" }, "path": "v1beta/{+name}:cancel" } } } } } } } } } }, "ownerName": "Google", "id": "workflowexecutions:v1beta", "servicePath": "", "baseUrl": "https://workflowexecutions.googleapis.com/", "name": "workflowexecutions", "mtlsRootUrl": "https://workflowexecutions.mtls.googleapis.com/", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." } } } }, "version": "v1beta", "parameters": { "key": { "type": "string", "location": "query", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token." }, "access_token": { "type": "string", "location": "query", "description": "OAuth access token." }, "fields": { "location": "query", "description": "Selector specifying which fields to include in a partial response.", "type": "string" }, "alt": { "location": "query", "default": "json", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "enum": [ "json", "media", "proto" ], "description": "Data format for response.", "type": "string" }, "$.xgafv": { "location": "query", "type": "string", "description": "V1 error format.", "enumDescriptions": [ "v1 error format", "v2 error format" ], "enum": [ "1", "2" ] }, "oauth_token": { "type": "string", "description": "OAuth 2.0 token for the current user.", "location": "query" }, "prettyPrint": { "location": "query", "default": "true", "description": "Returns response with indentations and line breaks.", "type": "boolean" }, "quotaUser": { "location": "query", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "type": "string" }, "uploadType": { "type": "string", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "location": "query" }, "callback": { "description": "JSONP", "type": "string", "location": "query" }, "upload_protocol": { "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "type": "string", "location": "query" } }, "fullyEncodeReservedExpansion": true, "kind": "discovery#restDescription" }
]===]))
