local decode = require("cjson").new().decode
return assert(decode([===[
{ "basePath": "", "discoveryVersion": "v1", "mtlsRootUrl": "https://workflows.mtls.googleapis.com/", "name": "workflows", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." } } } }, "resources": { "projects": { "resources": { "locations": { "resources": { "workflows": { "methods": { "list": { "description": "Lists Workflows in a given project and location. The default order is not specified.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "workflows.projects.locations.workflows.list", "httpMethod": "GET", "parameterOrder": [ "parent" ], "response": { "$ref": "ListWorkflowsResponse" }, "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/workflows", "path": "v1beta/{+parent}/workflows", "parameters": { "parent": { "pattern": "^projects/[^/]+/locations/[^/]+$", "description": "Required. Project and location from which the workflows should be listed. Format: projects/{project}/locations/{location}", "required": true, "type": "string", "location": "path" }, "filter": { "type": "string", "location": "query", "description": "Filter to restrict results to specific workflows." }, "orderBy": { "description": "Comma-separated list of fields that that specify the order of the results. Default sorting order for a field is ascending. To specify descending order for a field, append a \" desc\" suffix. If not specified, the results will be returned in an unspecified order.", "type": "string", "location": "query" }, "pageSize": { "location": "query", "type": "integer", "format": "int32", "description": "Maximum number of workflows to return per call. The service may return fewer than this value. If the value is not specified, a default value of 500 will be used. The maximum permitted value is 1000 and values greater than 1000 will be coerced down to 1000." }, "pageToken": { "description": "A page token, received from a previous `ListWorkflows` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListWorkflows` must match the call that provided the page token.", "type": "string", "location": "query" } } }, "delete": { "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Operation" }, "description": "Deletes a workflow with the specified name. This method also cancels and deletes all running executions of the workflow.", "path": "v1beta/{+name}", "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/workflows/{workflowsId}", "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/workflows/[^/]+$", "type": "string", "required": true, "description": "Required. Name of the workflow to be deleted. Format: projects/{project}/locations/{location}/workflows/{workflow}", "location": "path" } }, "id": "workflows.projects.locations.workflows.delete", "httpMethod": "DELETE" }, "patch": { "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/workflows/{workflowsId}", "httpMethod": "PATCH", "path": "v1beta/{+name}", "description": "Updates an existing workflow. Running this method has no impact on already running executions of the workflow. A new revision of the workflow may be created as a result of a successful update operation. In that case, such revision will be used in new workflow executions.", "id": "workflows.projects.locations.workflows.patch", "parameterOrder": [ "name" ], "response": { "$ref": "Operation" }, "request": { "$ref": "Workflow" }, "parameters": { "name": { "type": "string", "required": true, "description": "The resource name of the workflow. Format: projects/{project}/locations/{location}/workflows/{workflow}", "pattern": "^projects/[^/]+/locations/[^/]+/workflows/[^/]+$", "location": "path" }, "updateMask": { "description": "List of fields to be updated. If not present, the entire workflow will be updated.", "format": "google-fieldmask", "location": "query", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "get": { "httpMethod": "GET", "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/workflows/{workflowsId}", "id": "workflows.projects.locations.workflows.get", "description": "Gets details of a single Workflow.", "parameters": { "name": { "description": "Required. Name of the workflow which information should be retrieved. Format: projects/{project}/locations/{location}/workflows/{workflow}", "location": "path", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/workflows/[^/]+$" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1beta/{+name}", "response": { "$ref": "Workflow" }, "parameterOrder": [ "name" ] }, "create": { "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/workflows", "request": { "$ref": "Workflow" }, "path": "v1beta/{+parent}/workflows", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "workflows.projects.locations.workflows.create", "parameterOrder": [ "parent" ], "parameters": { "workflowId": { "description": "Required. The ID of the workflow to be created. It has to fulfill the following requirements: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Must contain only letters, numbers, underscores and hyphens. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Must start with a letter. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Must be between 1-64 characters. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Must end with a number or a letter. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Must be unique within the customer project and location.", "location": "query", "type": "string" }, "parent": { "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+$", "required": true, "location": "path", "description": "Required. Project and location in which the workflow should be created. Format: projects/{project}/locations/{location}" } }, "description": "Creates a new workflow. If a workflow with the specified name already exists in the specified project and location, the long running operation will return ALREADY_EXISTS error.", "httpMethod": "POST" } } }, "operations": { "methods": { "delete": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1beta/{+name}", "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "description": "The name of the operation resource to be deleted.", "location": "path", "required": true, "type": "string" } }, "id": "workflows.projects.locations.operations.delete", "response": { "$ref": "Empty" }, "parameterOrder": [ "name" ], "description": "Deletes a long-running operation. This method indicates that the client is no longer interested in the operation result. It does not cancel the operation. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`.", "httpMethod": "DELETE", "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}" }, "get": { "id": "workflows.projects.locations.operations.get", "parameterOrder": [ "name" ], "response": { "$ref": "Operation" }, "description": "Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service.", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}", "parameters": { "name": { "location": "path", "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "description": "The name of the operation resource." } }, "path": "v1beta/{+name}" }, "list": { "httpMethod": "GET", "parameterOrder": [ "name" ], "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/operations", "description": "Lists operations that match the specified filter in the request. If the server doesn't support this method, it returns `UNIMPLEMENTED`. NOTE: the `name` binding allows API services to override the binding to use different resource name schemes, such as `users/*/operations`. To override the binding, API services can add a binding such as `\"/v1/{name=users/*}/operations\"` to their service configuration. For backwards compatibility, the default name includes the operations collection id, however overriding users must ensure the name binding is the parent resource, without the operations collection id.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1beta/{+name}/operations", "id": "workflows.projects.locations.operations.list", "response": { "$ref": "ListOperationsResponse" }, "parameters": { "filter": { "location": "query", "description": "The standard list filter.", "type": "string" }, "pageSize": { "location": "query", "format": "int32", "type": "integer", "description": "The standard list page size." }, "name": { "required": true, "description": "The name of the operation's parent resource.", "pattern": "^projects/[^/]+/locations/[^/]+$", "type": "string", "location": "path" }, "pageToken": { "location": "query", "description": "The standard list page token.", "type": "string" } } } } } }, "methods": { "list": { "parameters": { "filter": { "type": "string", "location": "query", "description": "A filter to narrow down results to a preferred subset. The filtering language accepts strings like `\"displayName=tokyo\"`, and is documented in more detail in [AIP-160](https://google.aip.dev/160)." }, "pageToken": { "type": "string", "location": "query", "description": "A page token received from the `next_page_token` field in the response. Send that page token to receive the subsequent page." }, "pageSize": { "description": "The maximum number of results to return. If not set, the service selects a default.", "type": "integer", "location": "query", "format": "int32" }, "name": { "description": "The resource that owns the locations collection, if applicable.", "pattern": "^projects/[^/]+$", "type": "string", "required": true, "location": "path" } }, "flatPath": "v1beta/projects/{projectsId}/locations", "response": { "$ref": "ListLocationsResponse" }, "path": "v1beta/{+name}/locations", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "description": "Lists information about the supported locations for this service.", "httpMethod": "GET", "id": "workflows.projects.locations.list" }, "get": { "parameterOrder": [ "name" ], "id": "workflows.projects.locations.get", "response": { "$ref": "Location" }, "path": "v1beta/{+name}", "httpMethod": "GET", "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}", "description": "Gets information about a location.", "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+$", "description": "Resource name for the location.", "location": "path", "type": "string", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] } } } } } }, "kind": "discovery#restDescription", "id": "workflows:v1beta", "icons": { "x32": "http://www.google.com/images/icons/product/search-32.gif", "x16": "http://www.google.com/images/icons/product/search-16.gif" }, "batchPath": "batch", "revision": "20220623", "description": "Manage workflow definitions. To execute workflows and manage executions, see the Workflows Executions API.", "parameters": { "key": { "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "type": "string", "location": "query" }, "access_token": { "description": "OAuth access token.", "location": "query", "type": "string" }, "upload_protocol": { "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "location": "query", "type": "string" }, "callback": { "location": "query", "type": "string", "description": "JSONP" }, "prettyPrint": { "default": "true", "type": "boolean", "location": "query", "description": "Returns response with indentations and line breaks." }, "alt": { "description": "Data format for response.", "type": "string", "enum": [ "json", "media", "proto" ], "location": "query", "default": "json", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ] }, "$.xgafv": { "type": "string", "enum": [ "1", "2" ], "description": "V1 error format.", "location": "query", "enumDescriptions": [ "v1 error format", "v2 error format" ] }, "uploadType": { "type": "string", "location": "query", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\")." }, "fields": { "type": "string", "location": "query", "description": "Selector specifying which fields to include in a partial response." }, "quotaUser": { "location": "query", "type": "string", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters." }, "oauth_token": { "location": "query", "type": "string", "description": "OAuth 2.0 token for the current user." } }, "protocol": "rest", "documentationLink": "https://cloud.google.com/workflows", "version": "v1beta", "title": "Workflows API", "version_module": true, "fullyEncodeReservedExpansion": true, "canonicalName": "Workflows", "baseUrl": "https://workflows.googleapis.com/", "schemas": { "ListOperationsResponse": { "properties": { "operations": { "type": "array", "items": { "$ref": "Operation" }, "description": "A list of operations that matches the specified filter in the request." }, "nextPageToken": { "description": "The standard List next-page token.", "type": "string" } }, "description": "The response message for Operations.ListOperations.", "id": "ListOperationsResponse", "type": "object" }, "Operation": { "description": "This resource represents a long-running operation that is the result of a network API call.", "properties": { "done": { "description": "If the value is `false`, it means the operation is still in progress. If `true`, the operation is completed, and either `error` or `response` is available.", "type": "boolean" }, "error": { "$ref": "Status", "description": "The error result of the operation in case of failure or cancellation." }, "response": { "type": "object", "description": "The normal response of the operation in case of success. If the original method returns no data on success, such as `Delete`, the response is `google.protobuf.Empty`. If the original method is standard `Get`/`Create`/`Update`, the response should be the resource. For other methods, the response should have the type `XxxResponse`, where `Xxx` is the original method name. For example, if the original method name is `TakeSnapshot()`, the inferred response type is `TakeSnapshotResponse`.", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." } }, "metadata": { "type": "object", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "description": "Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any." }, "name": { "type": "string", "description": "The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the `name` should be a resource name ending with `operations/{unique_id}`." } }, "type": "object", "id": "Operation" }, "ListLocationsResponse": { "properties": { "locations": { "description": "A list of locations that matches the specified filter in the request.", "items": { "$ref": "Location" }, "type": "array" }, "nextPageToken": { "type": "string", "description": "The standard List next-page token." } }, "type": "object", "description": "The response message for Locations.ListLocations.", "id": "ListLocationsResponse" }, "ListWorkflowsResponse": { "description": "Response for the ListWorkflows method.", "properties": { "workflows": { "items": { "$ref": "Workflow" }, "description": "The workflows which match the request.", "type": "array" }, "nextPageToken": { "type": "string", "description": "A token, which can be sent as `page_token` to retrieve the next page. If this field is omitted, there are no subsequent pages." }, "unreachable": { "description": "Unreachable resources.", "type": "array", "items": { "type": "string" } } }, "id": "ListWorkflowsResponse", "type": "object" }, "Status": { "type": "object", "description": "The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors).", "properties": { "details": { "description": "A list of messages that carry the error details. There is a common set of message types for APIs to use.", "items": { "type": "object", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." } }, "type": "array" }, "code": { "type": "integer", "description": "The status code, which should be an enum value of google.rpc.Code.", "format": "int32" }, "message": { "type": "string", "description": "A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client." } }, "id": "Status" }, "Empty": { "properties": {}, "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }", "id": "Empty", "type": "object" }, "Workflow": { "description": "Workflow program to be executed by Workflows.", "properties": { "serviceAccount": { "description": "The service account associated with the latest workflow version. This service account represents the identity of the workflow and determines what permissions the workflow has. Format: projects/{project}/serviceAccounts/{account} or {account} Using `-` as a wildcard for the `{project}` or not providing one at all will infer the project from the account. The `{account}` value can be the `email` address or the `unique_id` of the service account. If not provided, workflow will use the project's default service account. Modifying this field for an existing workflow results in a new workflow revision.", "type": "string" }, "labels": { "type": "object", "additionalProperties": { "type": "string" }, "description": "Labels associated with this workflow. Labels can contain at most 64 entries. Keys and values can be no longer than 63 characters and can only contain lowercase letters, numeric characters, underscores and dashes. Label keys must start with a letter. International characters are allowed." }, "description": { "description": "Description of the workflow provided by the user. Must be at most 1000 unicode characters long.", "type": "string" }, "state": { "enum": [ "STATE_UNSPECIFIED", "ACTIVE" ], "type": "string", "enumDescriptions": [ "Invalid state.", "The workflow has been deployed successfully and is serving." ], "description": "Output only. State of the workflow deployment.", "readOnly": true }, "revisionId": { "readOnly": true, "description": "Output only. The revision of the workflow. A new revision of a workflow is created as a result of updating the following properties of a workflow: - Service account - Workflow code to be executed The format is \"000001-a4d\", where the first 6 characters define the zero-padded revision ordinal number. They are followed by a hyphen and 3 hexadecimal random characters.", "type": "string" }, "sourceContents": { "description": "Workflow code to be executed. The size limit is 128KB.", "type": "string" }, "updateTime": { "readOnly": true, "format": "google-datetime", "description": "Output only. The last update timestamp of the workflow.", "type": "string" }, "revisionCreateTime": { "description": "Output only. The timestamp that the latest revision of the workflow was created.", "type": "string", "readOnly": true, "format": "google-datetime" }, "createTime": { "readOnly": true, "format": "google-datetime", "type": "string", "description": "Output only. The timestamp of when the workflow was created." }, "name": { "description": "The resource name of the workflow. Format: projects/{project}/locations/{location}/workflows/{workflow}", "type": "string" } }, "id": "Workflow", "type": "object" }, "Location": { "description": "A resource that represents Google Cloud Platform location.", "id": "Location", "type": "object", "properties": { "locationId": { "description": "The canonical id for this location. For example: `\"us-east1\"`.", "type": "string" }, "name": { "description": "Resource name for the location, which may vary between implementations. For example: `\"projects/example-project/locations/us-east1\"`", "type": "string" }, "metadata": { "type": "object", "description": "Service-specific metadata. For example the available capacity at the given location.", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." } }, "displayName": { "description": "The friendly name for this location, typically a nearby city name. For example, \"Tokyo\".", "type": "string" }, "labels": { "description": "Cross-service attributes for the location. For example {\"cloud.googleapis.com/region\": \"us-east1\"}", "additionalProperties": { "type": "string" }, "type": "object" } } }, "OperationMetadata": { "id": "OperationMetadata", "properties": { "verb": { "description": "Name of the verb executed by the operation.", "type": "string" }, "createTime": { "format": "google-datetime", "type": "string", "description": "The time the operation was created." }, "apiVersion": { "description": "API version used to start the operation.", "type": "string" }, "target": { "type": "string", "description": "Server-defined resource path for the target of the operation." }, "endTime": { "format": "google-datetime", "type": "string", "description": "The time the operation finished running." } }, "type": "object", "description": "Represents the metadata of the long-running operation." } }, "ownerName": "Google", "servicePath": "", "rootUrl": "https://workflows.googleapis.com/", "ownerDomain": "google.com" }
]===]))
