local decode = require("cjson").new().decode
return assert(decode([===[
{ "discoveryVersion": "v1", "servicePath": "", "mtlsRootUrl": "https://youtube.mtls.googleapis.com/", "kind": "discovery#restDescription", "description": "The YouTube Data API v3 is an API that provides access to YouTube data, such as videos, playlists, and channels.", "revision": "20220711", "canonicalName": "YouTube", "protocol": "rest", "parameters": { "callback": { "type": "string", "description": "JSONP", "location": "query" }, "quotaUser": { "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "type": "string", "location": "query" }, "key": { "location": "query", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "type": "string" }, "uploadType": { "location": "query", "type": "string", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\")." }, "upload_protocol": { "location": "query", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "type": "string" }, "prettyPrint": { "location": "query", "type": "boolean", "description": "Returns response with indentations and line breaks.", "default": "true" }, "access_token": { "location": "query", "type": "string", "description": "OAuth access token." }, "alt": { "description": "Data format for response.", "type": "string", "enum": [ "json", "media", "proto" ], "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "location": "query", "default": "json" }, "oauth_token": { "type": "string", "description": "OAuth 2.0 token for the current user.", "location": "query" }, "$.xgafv": { "type": "string", "description": "V1 error format.", "enumDescriptions": [ "v1 error format", "v2 error format" ], "enum": [ "1", "2" ], "location": "query" }, "fields": { "description": "Selector specifying which fields to include in a partial response.", "location": "query", "type": "string" } }, "schemas": { "MembershipsDuration": { "type": "object", "id": "MembershipsDuration", "properties": { "memberSince": { "type": "string", "description": "The date and time when the user became a continuous member across all levels." }, "memberTotalDurationMonths": { "description": "The cumulative time the user has been a member across all levels in complete months (the time is rounded down to the nearest integer).", "format": "int32", "type": "integer" } } }, "SubscriptionContentDetails": { "id": "SubscriptionContentDetails", "type": "object", "description": "Details about the content to witch a subscription refers.", "properties": { "newItemCount": { "format": "uint32", "description": "The number of new items in the subscription since its content was last read.", "type": "integer" }, "activityType": { "enum": [ "subscriptionActivityTypeUnspecified", "all", "uploads" ], "type": "string", "description": "The type of activity this subscription is for (only uploads, everything).", "enumDescriptions": [ "", "", "" ] }, "totalItemCount": { "format": "uint32", "description": "The approximate number of items that the subscription points to.", "type": "integer" } } }, "VideoFileDetailsVideoStream": { "description": "Information about a video stream.", "properties": { "heightPixels": { "type": "integer", "format": "uint32", "description": "The encoded video content's height in pixels." }, "codec": { "type": "string", "description": "The video codec that the stream uses." }, "frameRateFps": { "description": "The video stream's frame rate, in frames per second.", "type": "number", "format": "double" }, "aspectRatio": { "format": "double", "description": "The video content's display aspect ratio, which specifies the aspect ratio in which the video should be displayed.", "type": "number" }, "bitrateBps": { "type": "string", "description": "The video stream's bitrate, in bits per second.", "format": "uint64" }, "rotation": { "enum": [ "none", "clockwise", "upsideDown", "counterClockwise", "other" ], "description": "The amount that YouTube needs to rotate the original source content to properly display the video.", "enumDescriptions": [ "", "", "", "", "" ], "type": "string" }, "vendor": { "type": "string", "description": "A value that uniquely identifies a video vendor. Typically, the value is a four-letter vendor code." }, "widthPixels": { "description": "The encoded video content's width in pixels. You can calculate the video's encoding aspect ratio as width_pixels / height_pixels.", "format": "uint32", "type": "integer" } }, "id": "VideoFileDetailsVideoStream", "type": "object" }, "VideoAbuseReportReason": { "type": "object", "id": "VideoAbuseReportReason", "description": "A `__videoAbuseReportReason__` resource identifies a reason that a video could be reported as abusive. Video abuse report reasons are used with `video.ReportAbuse`.", "properties": { "snippet": { "description": "The `snippet` object contains basic details about the abuse report reason.", "$ref": "VideoAbuseReportReasonSnippet" }, "id": { "type": "string", "description": "The ID of this abuse report reason." }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string `\"youtube#videoAbuseReportReason\"`.", "default": "youtube#videoAbuseReportReason", "type": "string" }, "etag": { "type": "string", "description": "Etag of this resource." } } }, "VideoMonetizationDetails": { "properties": { "access": { "$ref": "AccessPolicy", "description": "The value of access indicates whether the video can be monetized or not." } }, "description": "Details about monetization of a YouTube Video.", "type": "object", "id": "VideoMonetizationDetails" }, "ActivityContentDetailsSubscription": { "type": "object", "id": "ActivityContentDetailsSubscription", "properties": { "resourceId": { "description": "The resourceId object contains information that identifies the resource that the user subscribed to.", "$ref": "ResourceId" } }, "description": "Information about a channel that a user subscribed to." }, "SuperChatEvent": { "description": "A `__superChatEvent__` resource represents a Super Chat purchase on a YouTube channel.", "type": "object", "properties": { "id": { "description": "The ID that YouTube assigns to uniquely identify the Super Chat event.", "type": "string" }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string `\"youtube#superChatEvent\"`.", "default": "youtube#superChatEvent" }, "etag": { "type": "string", "description": "Etag of this resource." }, "snippet": { "$ref": "SuperChatEventSnippet", "description": "The `snippet` object contains basic details about the Super Chat event." } }, "id": "SuperChatEvent" }, "LiveStream": { "id": "LiveStream", "description": "A live stream describes a live ingestion point.", "type": "object", "properties": { "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"youtube#liveStream\".", "type": "string", "default": "youtube#liveStream" }, "snippet": { "description": "The snippet object contains basic details about the stream, including its channel, title, and description.", "$ref": "LiveStreamSnippet" }, "contentDetails": { "$ref": "LiveStreamContentDetails", "description": "The content_details object contains information about the stream, including the closed captions ingestion URL." }, "status": { "$ref": "LiveStreamStatus", "description": "The status object contains information about live stream's status." }, "id": { "type": "string", "description": "The ID that YouTube assigns to uniquely identify the stream.", "annotations": { "required": [ "youtube.liveStreams.update" ] } }, "etag": { "type": "string", "description": "Etag of this resource." }, "cdn": { "description": "The cdn object defines the live stream's content delivery network (CDN) settings. These settings provide details about the manner in which you stream your content to YouTube.", "$ref": "CdnSettings" } } }, "AbuseReport": { "type": "object", "properties": { "abuseTypes": { "type": "array", "items": { "$ref": "AbuseType" } }, "description": { "type": "string" }, "relatedEntities": { "items": { "$ref": "RelatedEntity" }, "type": "array" }, "subject": { "$ref": "Entity" } }, "id": "AbuseReport" }, "ChannelBannerResource": { "type": "object", "description": "A channel banner returned as the response to a channel_banner.insert call.", "properties": { "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"youtube#channelBannerResource\".", "type": "string", "default": "youtube#channelBannerResource" }, "url": { "type": "string", "description": "The URL of this banner image." }, "etag": { "type": "string" } }, "id": "ChannelBannerResource" }, "LiveChatMemberMilestoneChatDetails": { "id": "LiveChatMemberMilestoneChatDetails", "type": "object", "properties": { "memberLevelName": { "description": "The name of the Level at which the viever is a member. The Level names are defined by the YouTube channel offering the Membership. In some situations this field isn't filled.", "type": "string" }, "userComment": { "description": "The comment added by the member to this Member Milestone Chat. This field is empty for messages without a comment from the member.", "type": "string" }, "memberMonth": { "type": "integer", "description": "The total amount of months (rounded up) the viewer has been a member that granted them this Member Milestone Chat. This is the same number of months as is being displayed to YouTube users.", "format": "uint32" } } }, "LiveStreamHealthStatus": { "properties": { "configurationIssues": { "items": { "$ref": "LiveStreamConfigurationIssue" }, "type": "array", "description": "The configurations issues on this stream" }, "lastUpdateTimeSeconds": { "description": "The last time this status was updated (in seconds)", "format": "uint64", "type": "string" }, "status": { "enumDescriptions": [ "", "", "", "", "" ], "type": "string", "enum": [ "good", "ok", "bad", "noData", "revoked" ], "description": "The status code of this stream" } }, "id": "LiveStreamHealthStatus", "type": "object" }, "ChannelListResponse": { "id": "ChannelListResponse", "type": "object", "properties": { "items": { "items": { "$ref": "Channel" }, "type": "array" }, "visitorId": { "type": "string", "description": "The visitorId identifies the visitor." }, "prevPageToken": { "type": "string", "description": "The token that can be used as the value of the pageToken parameter to retrieve the previous page in the result set." }, "etag": { "description": "Etag of this resource.", "type": "string" }, "eventId": { "description": "Serialized EventId of the request which produced this response.", "type": "string" }, "tokenPagination": { "$ref": "TokenPagination" }, "kind": { "type": "string", "default": "youtube#channelListResponse", "description": "Identifies what kind of resource this is. Value: the fixed string \"youtube#channelListResponse\"." }, "nextPageToken": { "type": "string", "description": "The token that can be used as the value of the pageToken parameter to retrieve the next page in the result set." }, "pageInfo": { "description": "General pagination information.", "$ref": "PageInfo" } } }, "ActivityListResponse": { "id": "ActivityListResponse", "properties": { "visitorId": { "description": "The visitorId identifies the visitor.", "type": "string" }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"youtube#activityListResponse\".", "default": "youtube#activityListResponse", "type": "string" }, "prevPageToken": { "type": "string", "description": "The token that can be used as the value of the pageToken parameter to retrieve the previous page in the result set." }, "nextPageToken": { "type": "string", "description": "The token that can be used as the value of the pageToken parameter to retrieve the next page in the result set." }, "items": { "items": { "$ref": "Activity" }, "type": "array" }, "pageInfo": { "$ref": "PageInfo", "description": "General pagination information." }, "tokenPagination": { "$ref": "TokenPagination" }, "etag": { "type": "string", "description": "Etag of this resource." }, "eventId": { "type": "string", "description": "Serialized EventId of the request which produced this response." } }, "type": "object" }, "TestItemTestItemSnippet": { "properties": {}, "type": "object", "id": "TestItemTestItemSnippet" }, "Subscription": { "type": "object", "id": "Subscription", "properties": { "subscriberSnippet": { "$ref": "SubscriptionSubscriberSnippet", "description": "The subscriberSnippet object contains basic details about the subscriber." }, "snippet": { "description": "The snippet object contains basic details about the subscription, including its title and the channel that the user subscribed to.", "$ref": "SubscriptionSnippet" }, "contentDetails": { "description": "The contentDetails object contains basic statistics about the subscription.", "$ref": "SubscriptionContentDetails" }, "etag": { "description": "Etag of this resource.", "type": "string" }, "kind": { "default": "youtube#subscription", "description": "Identifies what kind of resource this is. Value: the fixed string \"youtube#subscription\".", "type": "string" }, "id": { "description": "The ID that YouTube uses to uniquely identify the subscription.", "type": "string" } }, "description": "A *subscription* resource contains information about a YouTube user subscription. A subscription notifies a user when new videos are added to a channel or when another user takes one of several actions on YouTube, such as uploading a video, rating a video, or commenting on a video." }, "MembershipsDetails": { "type": "object", "id": "MembershipsDetails", "properties": { "accessibleLevels": { "type": "array", "description": "Ids of all levels that the user has access to. This includes the currently active level and all other levels that are included because of a higher purchase.", "items": { "type": "string" } }, "highestAccessibleLevelDisplayName": { "description": "Display name for the highest level that the user has access to at the moment.", "type": "string" }, "membershipsDurationAtLevels": { "items": { "$ref": "MembershipsDurationAtLevel" }, "description": "Data about memberships duration on particular pricing levels.", "type": "array" }, "highestAccessibleLevel": { "type": "string", "description": "Id of the highest level that the user has access to at the moment." }, "membershipsDuration": { "description": "Data about memberships duration without taking into consideration pricing levels.", "$ref": "MembershipsDuration" } } }, "ResourceId": { "id": "ResourceId", "properties": { "channelId": { "description": "The ID that YouTube uses to uniquely identify the referred resource, if that resource is a channel. This property is only present if the resourceId.kind value is youtube#channel.", "type": "string" }, "kind": { "type": "string", "description": "The type of the API resource." }, "playlistId": { "description": "The ID that YouTube uses to uniquely identify the referred resource, if that resource is a playlist. This property is only present if the resourceId.kind value is youtube#playlist.", "type": "string" }, "videoId": { "description": "The ID that YouTube uses to uniquely identify the referred resource, if that resource is a video. This property is only present if the resourceId.kind value is youtube#video.", "type": "string" } }, "type": "object", "description": "A resource id is a generic reference that points to another YouTube resource." }, "MembershipsLevelSnippet": { "type": "object", "properties": { "creatorChannelId": { "type": "string", "description": "The id of the channel that's offering channel memberships." }, "levelDetails": { "description": "Details about the pricing level.", "$ref": "LevelDetails" } }, "id": "MembershipsLevelSnippet" }, "ImageSettings": { "description": "Branding properties for images associated with the channel.", "properties": { "bannerMobileMediumHdImageUrl": { "description": "Banner image. Mobile size medium/high resolution (960x263).", "type": "string" }, "bannerTvMediumImageUrl": { "type": "string", "description": "Banner image. TV size medium resolution (1280x720)." }, "bannerTvHighImageUrl": { "type": "string", "description": "Banner image. TV size high resolution (1920x1080)." }, "bannerTvLowImageUrl": { "type": "string", "description": "Banner image. TV size low resolution (854x480)." }, "largeBrandedBannerImageImapScript": { "$ref": "LocalizedProperty", "description": "The image map script for the large banner image." }, "bannerMobileExtraHdImageUrl": { "description": "Banner image. Mobile size high resolution (1440x395).", "type": "string" }, "bannerMobileLowImageUrl": { "type": "string", "description": "Banner image. Mobile size low resolution (320x88)." }, "bannerMobileImageUrl": { "description": "Banner image. Mobile size (640x175).", "type": "string" }, "backgroundImageUrl": { "$ref": "LocalizedProperty", "description": "The URL for the background image shown on the video watch page. The image should be 1200px by 615px, with a maximum file size of 128k." }, "trackingImageUrl": { "type": "string", "description": "The URL for a 1px by 1px tracking pixel that can be used to collect statistics for views of the channel or video pages." }, "bannerTabletImageUrl": { "description": "Banner image. Tablet size (1707x283).", "type": "string" }, "bannerExternalUrl": { "description": "This is generated when a ChannelBanner.Insert request has succeeded for the given channel.", "type": "string" }, "bannerTabletHdImageUrl": { "description": "Banner image. Tablet size high resolution (2276x377).", "type": "string" }, "watchIconImageUrl": { "type": "string" }, "bannerTabletExtraHdImageUrl": { "description": "Banner image. Tablet size extra high resolution (2560x424).", "type": "string" }, "bannerTabletLowImageUrl": { "description": "Banner image. Tablet size low resolution (1138x188).", "type": "string" }, "bannerTvImageUrl": { "description": "Banner image. TV size extra high resolution (2120x1192).", "type": "string" }, "largeBrandedBannerImageUrl": { "description": "The URL for the 854px by 70px image that appears below the video player in the expanded video view of the video watch page.", "$ref": "LocalizedProperty" }, "bannerMobileHdImageUrl": { "type": "string", "description": "Banner image. Mobile size high resolution (1280x360)." }, "smallBrandedBannerImageImapScript": { "$ref": "LocalizedProperty", "description": "The image map script for the small banner image." }, "bannerImageUrl": { "description": "Banner image. Desktop size (1060x175).", "type": "string" }, "smallBrandedBannerImageUrl": { "$ref": "LocalizedProperty", "description": "The URL for the 640px by 70px banner image that appears below the video player in the default view of the video watch page. The URL for the image that appears above the top-left corner of the video player. This is a 25-pixel-high image with a flexible width that cannot exceed 170 pixels." } }, "id": "ImageSettings", "type": "object" }, "CommentSnippetAuthorChannelId": { "id": "CommentSnippetAuthorChannelId", "properties": { "value": { "type": "string" } }, "type": "object", "description": "The id of the author's YouTube channel, if any." }, "LiveChatMessageRetractedDetails": { "id": "LiveChatMessageRetractedDetails", "type": "object", "properties": { "retractedMessageId": { "type": "string" } } }, "ContentRating": { "properties": { "ifcoRating": { "description": "The video's Irish Film Classification Office (IFCO - Ireland) rating. See the IFCO website for more information.", "enum": [ "ifcoUnspecified", "ifcoG", "ifcoPg", "ifco12", "ifco12a", "ifco15", "ifco15a", "ifco16", "ifco18", "ifcoUnrated" ], "type": "string", "enumDescriptions": [ "", "G", "PG", "12", "12A", "15", "15A", "16", "18", "" ] }, "mibacRating": { "type": "string", "description": "The video's rating from the Ministero dei Beni e delle Attività Culturali e del Turismo (Italy).", "enum": [ "mibacUnspecified", "mibacT", "mibacVap", "mibacVm6", "mibacVm12", "mibacVm14", "mibacVm16", "mibacVm18", "mibacUnrated" ], "enumDescriptions": [ "", "", "", "", "", "", "", "", "" ] }, "eefilmRating": { "description": "The video's rating in Estonia.", "enum": [ "eefilmUnspecified", "eefilmPere", "eefilmL", "eefilmMs6", "eefilmK6", "eefilmMs12", "eefilmK12", "eefilmK14", "eefilmK16", "eefilmUnrated" ], "enumDescriptions": [ "", "Pere", "L", "MS-6", "K-6", "MS-12", "K-12", "K-14", "K-16", "" ], "type": "string" }, "cncRating": { "description": "Rating system in France - Commission de classification cinematographique", "enum": [ "cncUnspecified", "cncT", "cnc10", "cnc12", "cnc16", "cnc18", "cncE", "cncInterdiction", "cncUnrated" ], "enumDescriptions": [ "", "T", "10", "12", "16", "18", "E", "interdiction", "" ], "type": "string" }, "incaaRating": { "enumDescriptions": [ "", "ATP (Apta para todo publico)", "13 (Solo apta para mayores de 13 años)", "16 (Solo apta para mayores de 16 años)", "18 (Solo apta para mayores de 18 años)", "X (Solo apta para mayores de 18 años, de exhibición condicionada)", "" ], "enum": [ "incaaUnspecified", "incaaAtp", "incaaSam13", "incaaSam16", "incaaSam18", "incaaC", "incaaUnrated" ], "type": "string", "description": "The video's INCAA (Instituto Nacional de Cine y Artes Audiovisuales - Argentina) rating." }, "kfcbRating": { "enumDescriptions": [ "", "GE", "PG", "16", "18", "" ], "description": "The video's rating from the Kenya Film Classification Board.", "type": "string", "enum": [ "kfcbUnspecified", "kfcbG", "kfcbPg", "kfcb16plus", "kfcbR", "kfcbUnrated" ] }, "anatelRating": { "enumDescriptions": [ "", "F", "I", "I-7", "I-10", "I-12", "R", "A", "" ], "enum": [ "anatelUnspecified", "anatelF", "anatelI", "anatelI7", "anatelI10", "anatelI12", "anatelR", "anatelA", "anatelUnrated" ], "description": "The video's Anatel (Asociación Nacional de Televisión) rating for Chilean television.", "type": "string" }, "djctqRating": { "description": "The video's Departamento de Justiça, Classificação, Qualificação e Títulos (DJCQT - Brazil) rating.", "enumDescriptions": [ "", "L", "10", "12", "14", "16", "18", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "" ], "enum": [ "djctqUnspecified", "djctqL", "djctq10", "djctq12", "djctq14", "djctq16", "djctq18", "djctqEr", "djctqL10", "djctqL12", "djctqL14", "djctqL16", "djctqL18", "djctq1012", "djctq1014", "djctq1016", "djctq1018", "djctq1214", "djctq1216", "djctq1218", "djctq1416", "djctq1418", "djctq1618", "djctqUnrated" ], "type": "string" }, "nbcRating": { "enum": [ "nbcUnspecified", "nbcG", "nbcPg", "nbc12plus", "nbc15plus", "nbc18plus", "nbc18plusr", "nbcPu", "nbcUnrated" ], "enumDescriptions": [ "", "G", "PG", "12+", "15+", "18+", "18+R", "PU", "" ], "type": "string", "description": "The video's rating from the Maldives National Bureau of Classification." }, "mccaaRating": { "description": "The video's rating from Malta's Film Age-Classification Board.", "enum": [ "mccaaUnspecified", "mccaaU", "mccaaPg", "mccaa12a", "mccaa12", "mccaa14", "mccaa15", "mccaa16", "mccaa18", "mccaaUnrated" ], "enumDescriptions": [ "", "U", "PG", "12A", "12", "14 - this rating was removed from the new classification structure introduced in 2013.", "15", "16 - this rating was removed from the new classification structure introduced in 2013.", "18", "" ], "type": "string" }, "resorteviolenciaRating": { "type": "string", "enumDescriptions": [ "", "A", "B", "C", "D", "E", "" ], "enum": [ "resorteviolenciaUnspecified", "resorteviolenciaA", "resorteviolenciaB", "resorteviolenciaC", "resorteviolenciaD", "resorteviolenciaE", "resorteviolenciaUnrated" ], "description": "The video's rating in Venezuela." }, "rcnofRating": { "enumDescriptions": [ "", "", "", "", "", "", "", "" ], "enum": [ "rcnofUnspecified", "rcnofI", "rcnofIi", "rcnofIii", "rcnofIv", "rcnofV", "rcnofVi", "rcnofUnrated" ], "description": "The video's rating from the Hungarian Nemzeti Filmiroda, the Rating Committee of the National Office of Film.", "type": "string" }, "chfilmRating": { "enum": [ "chfilmUnspecified", "chfilm0", "chfilm6", "chfilm12", "chfilm16", "chfilm18", "chfilmUnrated" ], "type": "string", "enumDescriptions": [ "", "0", "6", "12", "16", "18", "" ], "description": "The video's rating in Switzerland." }, "tvpgRating": { "enum": [ "tvpgUnspecified", "tvpgY", "tvpgY7", "tvpgY7Fv", "tvpgG", "tvpgPg", "pg14", "tvpgMa", "tvpgUnrated" ], "type": "string", "description": "The video's TV Parental Guidelines (TVPG) rating.", "enumDescriptions": [ "", "TV-Y", "TV-Y7", "TV-Y7-FV", "TV-G", "TV-PG", "TV-14", "TV-MA", "" ] }, "nmcRating": { "enumDescriptions": [ "", "G", "PG", "PG-13", "PG-15", "15+", "18+", "18TC", "" ], "enum": [ "nmcUnspecified", "nmcG", "nmcPg", "nmcPg13", "nmcPg15", "nmc15plus", "nmc18plus", "nmc18tc", "nmcUnrated" ], "description": "The National Media Council ratings system for United Arab Emirates.", "type": "string" }, "cccRating": { "description": "The video's Consejo de Calificación Cinematográfica (Chile) rating.", "enumDescriptions": [ "", "Todo espectador", "6+ - Inconveniente para menores de 7 años", "14+", "18+", "18+ - contenido excesivamente violento", "18+ - contenido pornográfico", "" ], "enum": [ "cccUnspecified", "cccTe", "ccc6", "ccc14", "ccc18", "ccc18v", "ccc18s", "cccUnrated" ], "type": "string" }, "egfilmRating": { "description": "The video's rating in Egypt.", "type": "string", "enumDescriptions": [ "", "GN", "18", "BN", "" ], "enum": [ "egfilmUnspecified", "egfilmGn", "egfilm18", "egfilmBn", "egfilmUnrated" ] }, "skfilmRating": { "type": "string", "enum": [ "skfilmUnspecified", "skfilmG", "skfilmP2", "skfilmP5", "skfilmP8", "skfilmUnrated" ], "description": "The video's rating in Slovakia.", "enumDescriptions": [ "", "G", "P2", "P5", "P8", "" ] }, "cscfRating": { "enumDescriptions": [ "", "AL", "A", "6", "9", "12", "16", "18", "" ], "type": "string", "description": "The video's rating from Luxembourg's Commission de surveillance de la classification des films (CSCF).", "enum": [ "cscfUnspecified", "cscfAl", "cscfA", "cscf6", "cscf9", "cscf12", "cscf16", "cscf18", "cscfUnrated" ] }, "bmukkRating": { "description": "The video's rating from the Austrian Board of Media Classification (Bundesministerium für Unterricht, Kunst und Kultur).", "enumDescriptions": [ "", "Unrestricted", "6+", "8+", "10+", "12+", "14+", "16+", "" ], "enum": [ "bmukkUnspecified", "bmukkAa", "bmukk6", "bmukk8", "bmukk10", "bmukk12", "bmukk14", "bmukk16", "bmukkUnrated" ], "type": "string" }, "mcstRating": { "enumDescriptions": [ "", "P", "0", "C13", "C16", "16+", "C18", "MCST_G_PG", "" ], "description": "The video's rating system for Vietnam - MCST", "type": "string", "enum": [ "mcstUnspecified", "mcstP", "mcst0", "mcstC13", "mcstC16", "mcst16plus", "mcstC18", "mcstGPg", "mcstUnrated" ] }, "cnaRating": { "description": "The video's rating from Romania's CONSILIUL NATIONAL AL AUDIOVIZUALULUI (CNA).", "enum": [ "cnaUnspecified", "cnaAp", "cna12", "cna15", "cna18", "cna18plus", "cnaUnrated" ], "type": "string", "enumDescriptions": [ "", "AP", "12", "15", "18", "18+", "" ] }, "fpbRating": { "description": "The video's rating from South Africa's Film and Publication Board.", "enum": [ "fpbUnspecified", "fpbA", "fpbPg", "fpb79Pg", "fpb1012Pg", "fpb13", "fpb16", "fpb18", "fpbX18", "fpbXx", "fpbUnrated", "fpb10" ], "enumDescriptions": [ "", "A", "PG", "7-9PG", "10-12PG", "13", "16", "18", "X18", "XX", "", "10" ], "type": "string" }, "fcbmRating": { "description": "The video's rating from Malaysia's Film Censorship Board.", "enum": [ "fcbmUnspecified", "fcbmU", "fcbmPg13", "fcbmP13", "fcbm18", "fcbm18sx", "fcbm18pa", "fcbm18sg", "fcbm18pl", "fcbmUnrated" ], "type": "string", "enumDescriptions": [ "", "U", "PG13", "P13", "18", "18SX", "18PA", "18SG", "18PL", "" ] }, "nbcplRating": { "enumDescriptions": [ "", "", "", "", "", "", "" ], "type": "string", "description": "The video's rating in Poland.", "enum": [ "nbcplUnspecified", "nbcplI", "nbcplIi", "nbcplIii", "nbcplIv", "nbcpl18plus", "nbcplUnrated" ] }, "mdaRating": { "description": "The video's rating from Singapore's Media Development Authority (MDA) and, specifically, it's Board of Film Censors (BFC).", "enum": [ "mdaUnspecified", "mdaG", "mdaPg", "mdaPg13", "mdaNc16", "mdaM18", "mdaR21", "mdaUnrated" ], "type": "string", "enumDescriptions": [ "", "G", "PG", "PG13", "NC16", "M18", "R21", "" ] }, "fpbRatingReasons": { "description": "Reasons that explain why the video received its FPB (South Africa) rating.", "type": "array", "items": { "enumDescriptions": [ "", "South Africa rating content descriptors.", "", "", "", "", "", "", "", "", "", "" ], "type": "string", "enum": [ "fpbRatingReasonUnspecified", "fpbBlasphemy", "fpbLanguage", "fpbNudity", "fpbPrejudice", "fpbSex", "fpbViolence", "fpbDrugs", "fpbSexualViolence", "fpbHorror", "fpbCriminalTechniques", "fpbImitativeActsTechniques" ] } }, "smaisRating": { "enum": [ "smaisUnspecified", "smaisL", "smais7", "smais12", "smais14", "smais16", "smais18", "smaisUnrated" ], "description": "The video's rating in Iceland.", "enumDescriptions": [ "", "L", "7", "12", "14", "16", "18", "" ], "type": "string" }, "lsfRating": { "type": "string", "enum": [ "lsfUnspecified", "lsfSu", "lsfA", "lsfBo", "lsf13", "lsfR", "lsf17", "lsfD", "lsf21", "lsfUnrated" ], "description": "The video's rating from Indonesia's Lembaga Sensor Film.", "enumDescriptions": [ "", "SU", "A", "BO", "13", "R", "17", "D", "21", "" ] }, "rteRating": { "type": "string", "enumDescriptions": [ "", "GA", "CH", "PS", "MA", "" ], "description": "The video's rating from Ireland's Raidió Teilifís Éireann.", "enum": [ "rteUnspecified", "rteGa", "rteCh", "rtePs", "rteMa", "rteUnrated" ] }, "agcomRating": { "type": "string", "description": "The video's rating from Italy's Autorità per le Garanzie nelle Comunicazioni (AGCOM).", "enum": [ "agcomUnspecified", "agcomT", "agcomVm14", "agcomVm18", "agcomUnrated" ], "enumDescriptions": [ "", "T", "VM14", "VM18", "" ] }, "moctwRating": { "description": "The video's rating from Taiwan's Ministry of Culture (文化部).", "enumDescriptions": [ "", "G", "P", "PG", "R", "", "R-12", "R-15" ], "type": "string", "enum": [ "moctwUnspecified", "moctwG", "moctwP", "moctwPg", "moctwR", "moctwUnrated", "moctwR12", "moctwR15" ] }, "mpaatRating": { "type": "string", "description": "The rating system for trailer, DVD, and Ad in the US. See http://movielabs.com/md/ratings/v2.3/html/US_MPAAT_Ratings.html.", "enum": [ "mpaatUnspecified", "mpaatGb", "mpaatRb" ], "enumDescriptions": [ "", "GB", "RB" ] }, "grfilmRating": { "description": "The video's rating in Greece.", "enumDescriptions": [ "", "K", "E", "K-12", "K-13", "K-15", "K-17", "K-18", "" ], "type": "string", "enum": [ "grfilmUnspecified", "grfilmK", "grfilmE", "grfilmK12", "grfilmK13", "grfilmK15", "grfilmK17", "grfilmK18", "grfilmUnrated" ] }, "fmocRating": { "type": "string", "enum": [ "fmocUnspecified", "fmocU", "fmoc10", "fmoc12", "fmoc16", "fmoc18", "fmocE", "fmocUnrated" ], "enumDescriptions": [ "", "U", "10", "12", "16", "18", "E", "" ], "description": "This property has been deprecated. Use the contentDetails.contentRating.cncRating instead." }, "mocRating": { "enumDescriptions": [ "", "E", "T", "7", "12", "15", "18", "X", "Banned", "" ], "type": "string", "enum": [ "mocUnspecified", "mocE", "mocT", "moc7", "moc12", "moc15", "moc18", "mocX", "mocBanned", "mocUnrated" ], "description": "The video's Ministerio de Cultura (Colombia) rating." }, "chvrsRating": { "type": "string", "description": "The video's Canadian Home Video Rating System (CHVRS) rating.", "enumDescriptions": [ "", "G", "PG", "14A", "18A", "R", "E", "" ], "enum": [ "chvrsUnspecified", "chvrsG", "chvrsPg", "chvrs14a", "chvrs18a", "chvrsR", "chvrsE", "chvrsUnrated" ] }, "cbfcRating": { "description": "The video's Central Board of Film Certification (CBFC - India) rating.", "type": "string", "enumDescriptions": [ "", "U", "U/A", "U/A 7+", "U/A 13+", "U/A 16+", "A", "S", "" ], "enum": [ "cbfcUnspecified", "cbfcU", "cbfcUA", "cbfcUA7plus", "cbfcUA13plus", "cbfcUA16plus", "cbfcA", "cbfcS", "cbfcUnrated" ] }, "catvfrRating": { "enumDescriptions": [ "", "G", "8+", "13+", "16+", "18+", "", "" ], "type": "string", "enum": [ "catvfrUnspecified", "catvfrG", "catvfr8plus", "catvfr13plus", "catvfr16plus", "catvfr18plus", "catvfrUnrated", "catvfrE" ], "description": "The video's rating from the Canadian Radio-Television and Telecommunications Commission (CRTC) for Canadian French-language broadcasts. For more information, see the Canadian Broadcast Standards Council website." }, "cceRating": { "type": "string", "description": "The video's rating from Portugal's Comissão de Classificação de Espect´culos.", "enum": [ "cceUnspecified", "cceM4", "cceM6", "cceM12", "cceM16", "cceM18", "cceUnrated", "cceM14" ], "enumDescriptions": [ "", "4", "6", "12", "16", "18", "", "14" ] }, "kijkwijzerRating": { "description": "The video's NICAM/Kijkwijzer rating from the Nederlands Instituut voor de Classificatie van Audiovisuele Media (Netherlands).", "enum": [ "kijkwijzerUnspecified", "kijkwijzerAl", "kijkwijzer6", "kijkwijzer9", "kijkwijzer12", "kijkwijzer16", "kijkwijzer18", "kijkwijzerUnrated" ], "type": "string", "enumDescriptions": [ "", "AL", "6", "9", "12", "16", "", "" ] }, "mekuRating": { "enum": [ "mekuUnspecified", "mekuS", "meku7", "meku12", "meku16", "meku18", "mekuUnrated" ], "description": "The video's rating from Finland's Kansallinen Audiovisuaalinen Instituutti (National Audiovisual Institute).", "type": "string", "enumDescriptions": [ "", "S", "7", "12", "16", "18", "" ] }, "pefilmRating": { "enumDescriptions": [ "", "PT", "PG", "14", "18", "" ], "type": "string", "description": "The video's rating in Peru.", "enum": [ "pefilmUnspecified", "pefilmPt", "pefilmPg", "pefilm14", "pefilm18", "pefilmUnrated" ] }, "icaaRating": { "type": "string", "enum": [ "icaaUnspecified", "icaaApta", "icaa7", "icaa12", "icaa13", "icaa16", "icaa18", "icaaX", "icaaUnrated" ], "description": "The video's Instituto de la Cinematografía y de las Artes Audiovisuales (ICAA - Spain) rating.", "enumDescriptions": [ "", "APTA", "7", "12", "13", "16", "18", "X", "" ] }, "ytRating": { "enumDescriptions": [ "", "" ], "type": "string", "enum": [ "ytUnspecified", "ytAgeRestricted" ], "description": "A rating that YouTube uses to identify age-restricted content." }, "medietilsynetRating": { "enum": [ "medietilsynetUnspecified", "medietilsynetA", "medietilsynet6", "medietilsynet7", "medietilsynet9", "medietilsynet11", "medietilsynet12", "medietilsynet15", "medietilsynet18", "medietilsynetUnrated" ], "type": "string", "description": "The video's rating from Medietilsynet, the Norwegian Media Authority.", "enumDescriptions": [ "", "A", "6", "7", "9", "11", "12", "15", "18", "" ] }, "ecbmctRating": { "enumDescriptions": [ "", "G", "7A", "7+", "13A", "13+", "15A", "15+", "18+", "" ], "type": "string", "description": "Rating system in Turkey - Evaluation and Classification Board of the Ministry of Culture and Tourism", "enum": [ "ecbmctUnspecified", "ecbmctG", "ecbmct7a", "ecbmct7plus", "ecbmct13a", "ecbmct13plus", "ecbmct15a", "ecbmct15plus", "ecbmct18plus", "ecbmctUnrated" ] }, "czfilmRating": { "enum": [ "czfilmUnspecified", "czfilmU", "czfilm12", "czfilm14", "czfilm18", "czfilmUnrated" ], "type": "string", "enumDescriptions": [ "", "U", "12", "14", "18", "" ], "description": "The video's rating in the Czech Republic." }, "bfvcRating": { "type": "string", "enumDescriptions": [ "", "G", "E", "13", "15", "18", "20", "B", "" ], "enum": [ "bfvcUnspecified", "bfvcG", "bfvcE", "bfvc13", "bfvc15", "bfvc18", "bfvc20", "bfvcB", "bfvcUnrated" ], "description": "The video's rating from Thailand's Board of Film and Video Censors." }, "eirinRating": { "description": "The video's Eirin (映倫) rating. Eirin is the Japanese rating system.", "type": "string", "enumDescriptions": [ "", "G", "PG-12", "R15+", "R18+", "" ], "enum": [ "eirinUnspecified", "eirinG", "eirinPg12", "eirinR15plus", "eirinR18plus", "eirinUnrated" ] }, "russiaRating": { "description": "The video's National Film Registry of the Russian Federation (MKRF - Russia) rating.", "enum": [ "russiaUnspecified", "russia0", "russia6", "russia12", "russia16", "russia18", "russiaUnrated" ], "type": "string", "enumDescriptions": [ "", "0+", "6+", "12+", "16+", "18+", "" ] }, "cicfRating": { "description": "The video's rating from the Commission de Contrôle des Films (Belgium).", "enumDescriptions": [ "", "E", "KT/EA", "KNT/ENA", "" ], "enum": [ "cicfUnspecified", "cicfE", "cicfKtEa", "cicfKntEna", "cicfUnrated" ], "type": "string" }, "acbRating": { "enum": [ "acbUnspecified", "acbE", "acbP", "acbC", "acbG", "acbPg", "acbM", "acbMa15plus", "acbR18plus", "acbUnrated" ], "description": "The video's Australian Classification Board (ACB) or Australian Communications and Media Authority (ACMA) rating. ACMA ratings are used to classify children's television programming.", "type": "string", "enumDescriptions": [ "", "E", "Programs that have been given a P classification by the Australian Communications and Media Authority. These programs are intended for preschool children.", "Programs that have been given a C classification by the Australian Communications and Media Authority. These programs are intended for children (other than preschool children) who are younger than 14 years of age.", "G", "PG", "M", "MA15+", "R18+", "" ] }, "menaMpaaRating": { "description": "The rating system for MENA countries, a clone of MPAA. It is needed to prevent titles go live w/o additional QC check, since some of them can be inappropriate for the countries at all. See b/33408548 for more details.", "enumDescriptions": [ "", "G", "PG", "PG-13", "R", "To keep the same enum values as MPAA's items have, skip NC_17." ], "enum": [ "menaMpaaUnspecified", "menaMpaaG", "menaMpaaPg", "menaMpaaPg13", "menaMpaaR", "menaMpaaUnrated" ], "type": "string" }, "nfrcRating": { "enumDescriptions": [ "", "A", "B", "C", "D", "X", "" ], "enum": [ "nfrcUnspecified", "nfrcA", "nfrcB", "nfrcC", "nfrcD", "nfrcX", "nfrcUnrated" ], "type": "string", "description": "The video's rating from the Bulgarian National Film Center." }, "fskRating": { "enum": [ "fskUnspecified", "fsk0", "fsk6", "fsk12", "fsk16", "fsk18", "fskUnrated" ], "type": "string", "enumDescriptions": [ "", "FSK 0", "FSK 6", "FSK 12", "FSK 16", "FSK 18", "" ], "description": "The video's Freiwillige Selbstkontrolle der Filmwirtschaft (FSK - Germany) rating." }, "mtrcbRating": { "description": "The video's rating from the Movie and Television Review and Classification Board (Philippines).", "type": "string", "enum": [ "mtrcbUnspecified", "mtrcbG", "mtrcbPg", "mtrcbR13", "mtrcbR16", "mtrcbR18", "mtrcbX", "mtrcbUnrated" ], "enumDescriptions": [ "", "G", "PG", "R-13", "R-16", "R-18", "X", "" ] }, "nfvcbRating": { "type": "string", "enum": [ "nfvcbUnspecified", "nfvcbG", "nfvcbPg", "nfvcb12", "nfvcb12a", "nfvcb15", "nfvcb18", "nfvcbRe", "nfvcbUnrated" ], "description": "The video's rating from Nigeria's National Film and Video Censors Board.", "enumDescriptions": [ "", "G", "PG", "12", "12A", "15", "18", "RE", "" ] }, "fcoRating": { "description": "The video's rating from Hong Kong's Office for Film, Newspaper and Article Administration.", "enumDescriptions": [ "", "I", "IIA", "IIB", "II", "III", "" ], "type": "string", "enum": [ "fcoUnspecified", "fcoI", "fcoIia", "fcoIib", "fcoIi", "fcoIii", "fcoUnrated" ] }, "catvRating": { "enum": [ "catvUnspecified", "catvC", "catvC8", "catvG", "catvPg", "catv14plus", "catv18plus", "catvUnrated", "catvE" ], "type": "string", "enumDescriptions": [ "", "C", "C8", "G", "PG", "14+", "18+", "", "" ], "description": "Rating system for Canadian TV - Canadian TV Classification System The video's rating from the Canadian Radio-Television and Telecommunications Commission (CRTC) for Canadian English-language broadcasts. For more information, see the Canadian Broadcast Standards Council website." }, "kmrbRating": { "enumDescriptions": [ "", "전체관람가", "12세 이상 관람가", "15세 이상 관람가", "", "청소년 관람불가", "" ], "description": "The video's Korea Media Rating Board (영상물등급위원회) rating. The KMRB rates videos in South Korea.", "type": "string", "enum": [ "kmrbUnspecified", "kmrbAll", "kmrb12plus", "kmrb15plus", "kmrbTeenr", "kmrbR", "kmrbUnrated" ] }, "mccypRating": { "description": "The video's rating from the Danish Film Institute's (Det Danske Filminstitut) Media Council for Children and Young People.", "enumDescriptions": [ "", "A", "7", "11", "15", "" ], "enum": [ "mccypUnspecified", "mccypA", "mccyp7", "mccyp11", "mccyp15", "mccypUnrated" ], "type": "string" }, "csaRating": { "type": "string", "enum": [ "csaUnspecified", "csaT", "csa10", "csa12", "csa16", "csa18", "csaInterdiction", "csaUnrated" ], "description": "The video's rating from France's Conseil supérieur de l’audiovisuel, which rates broadcast content.", "enumDescriptions": [ "", "T", "10", "12", "16", "18", "Interdiction", "" ] }, "djctqRatingReasons": { "description": "Reasons that explain why the video received its DJCQT (Brazil) rating.", "items": { "type": "string", "enum": [ "djctqRatingReasonUnspecified", "djctqViolence", "djctqExtremeViolence", "djctqSexualContent", "djctqNudity", "djctqSex", "djctqExplicitSex", "djctqDrugs", "djctqLegalDrugs", "djctqIllegalDrugs", "djctqInappropriateLanguage", "djctqCriminalActs", "djctqImpactingContent" ], "enumDescriptions": [ "", "Brazil rating content descriptors. See http://go/brazilratings section F. Violência (Violence)", "Violência extrema (Extreme violence)", "Conteúdo sexual (Sexual content)", "Nudez (Nudity)", "Sexo (Sex)", "Sexo Explícito (Explicit sex)", "Drogas (Drugs)", "Drogas Lícitas (Legal drugs)", "Drogas Ilícitas (Illegal drugs)", "Linguagem Imprópria (Inappropriate language)", "Atos Criminosos (Criminal Acts)", "Conteúdo Impactante (Impacting content)" ] }, "type": "array" }, "rtcRating": { "description": "The video's General Directorate of Radio, Television and Cinematography (Mexico) rating.", "type": "string", "enumDescriptions": [ "", "AA", "A", "B", "B15", "C", "D", "" ], "enum": [ "rtcUnspecified", "rtcAa", "rtcA", "rtcB", "rtcB15", "rtcC", "rtcD", "rtcUnrated" ] }, "oflcRating": { "type": "string", "enum": [ "oflcUnspecified", "oflcG", "oflcPg", "oflcM", "oflcR13", "oflcR15", "oflcR16", "oflcR18", "oflcUnrated", "oflcRp13", "oflcRp16", "oflcRp18" ], "description": "The video's Office of Film and Literature Classification (OFLC - New Zealand) rating.", "enumDescriptions": [ "", "G", "PG", "M", "R13", "R15", "R16", "R18", "", "RP13", "RP16", "RP18" ] }, "ilfilmRating": { "enumDescriptions": [ "", "AA", "12", "14", "16", "18", "" ], "enum": [ "ilfilmUnspecified", "ilfilmAa", "ilfilm12", "ilfilm14", "ilfilm16", "ilfilm18", "ilfilmUnrated" ], "description": "The video's rating in Israel.", "type": "string" }, "mpaaRating": { "enumDescriptions": [ "", "G", "PG", "PG-13", "R", "NC-17", "! X", "" ], "description": "The video's Motion Picture Association of America (MPAA) rating.", "enum": [ "mpaaUnspecified", "mpaaG", "mpaaPg", "mpaaPg13", "mpaaR", "mpaaNc17", "mpaaX", "mpaaUnrated" ], "type": "string" }, "smsaRating": { "enumDescriptions": [ "", "All ages", "7", "11", "15", "" ], "type": "string", "description": "The video's rating from Statens medieråd (Sweden's National Media Council).", "enum": [ "smsaUnspecified", "smsaA", "smsa7", "smsa11", "smsa15", "smsaUnrated" ] }, "nkclvRating": { "type": "string", "enum": [ "nkclvUnspecified", "nkclvU", "nkclv7plus", "nkclv12plus", "nkclv16plus", "nkclv18plus", "nkclvUnrated" ], "description": "The video's rating from the Nacionãlais Kino centrs (National Film Centre of Latvia).", "enumDescriptions": [ "", "U", "7+", "12+", "! 16+", "18+", "" ] }, "bbfcRating": { "type": "string", "enum": [ "bbfcUnspecified", "bbfcU", "bbfcPg", "bbfc12a", "bbfc12", "bbfc15", "bbfc18", "bbfcR18", "bbfcUnrated" ], "enumDescriptions": [ "", "U", "PG", "12A", "12", "15", "18", "R18", "" ], "description": "The video's British Board of Film Classification (BBFC) rating." } }, "description": "Ratings schemes. The country-specific ratings are mostly for movies and shows. LINT.IfChange", "id": "ContentRating", "type": "object" }, "RelatedEntity": { "type": "object", "id": "RelatedEntity", "properties": { "entity": { "$ref": "Entity" } } }, "SubscriptionListResponse": { "properties": { "etag": { "description": "Etag of this resource.", "type": "string" }, "prevPageToken": { "description": "The token that can be used as the value of the pageToken parameter to retrieve the previous page in the result set.", "type": "string" }, "visitorId": { "description": "The visitorId identifies the visitor.", "type": "string" }, "tokenPagination": { "$ref": "TokenPagination" }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"youtube#subscriptionListResponse\".", "default": "youtube#subscriptionListResponse" }, "nextPageToken": { "description": "The token that can be used as the value of the pageToken parameter to retrieve the next page in the result set.", "type": "string" }, "pageInfo": { "$ref": "PageInfo" }, "items": { "items": { "$ref": "Subscription" }, "type": "array", "description": "A list of subscriptions that match the request criteria." }, "eventId": { "description": "Serialized EventId of the request which produced this response.", "type": "string" } }, "id": "SubscriptionListResponse", "type": "object" }, "ChannelContentDetails": { "id": "ChannelContentDetails", "description": "Details about the content of a channel.", "properties": { "relatedPlaylists": { "properties": { "uploads": { "type": "string", "description": "The ID of the playlist that contains the channel\"s uploaded videos. Use the videos.insert method to upload new videos and the videos.delete method to delete previously uploaded videos." }, "likes": { "type": "string", "description": "The ID of the playlist that contains the channel\"s liked videos. Use the playlistItems.insert and playlistItems.delete to add or remove items from that list." }, "favorites": { "description": "The ID of the playlist that contains the channel\"s favorite videos. Use the playlistItems.insert and playlistItems.delete to add or remove items from that list.", "type": "string" }, "watchHistory": { "type": "string", "description": "The ID of the playlist that contains the channel\"s watch history. Use the playlistItems.insert and playlistItems.delete to add or remove items from that list." }, "watchLater": { "description": "The ID of the playlist that contains the channel\"s watch later playlist. Use the playlistItems.insert and playlistItems.delete to add or remove items from that list.", "type": "string" } }, "type": "object" } }, "type": "object" }, "ChannelConversionPings": { "type": "object", "id": "ChannelConversionPings", "description": "The conversionPings object encapsulates information about conversion pings that need to be respected by the channel.", "properties": { "pings": { "type": "array", "items": { "$ref": "ChannelConversionPing" }, "description": "Pings that the app shall fire (authenticated by biscotti cookie). Each ping has a context, in which the app must fire the ping, and a url identifying the ping." } } }, "LanguageTag": { "id": "LanguageTag", "properties": { "value": { "type": "string" } }, "type": "object" }, "PlaylistSnippet": { "id": "PlaylistSnippet", "properties": { "thumbnailVideoId": { "description": "Note: if the playlist has a custom thumbnail, this field will not be populated. The video id selected by the user that will be used as the thumbnail of this playlist. This field defaults to the first publicly viewable video in the playlist, if: 1. The user has never selected a video to be the thumbnail of the playlist. 2. The user selects a video to be the thumbnail, and then removes that video from the playlist. 3. The user selects a non-owned video to be the thumbnail, but that video becomes private, or gets deleted.", "type": "string" }, "defaultLanguage": { "description": "The language of the playlist's default title and description.", "type": "string" }, "channelId": { "description": "The ID that YouTube uses to uniquely identify the channel that published the playlist.", "type": "string" }, "channelTitle": { "description": "The channel title of the channel that the video belongs to.", "type": "string" }, "thumbnails": { "$ref": "ThumbnailDetails", "description": "A map of thumbnail images associated with the playlist. For each object in the map, the key is the name of the thumbnail image, and the value is an object that contains other information about the thumbnail." }, "publishedAt": { "format": "date-time", "description": "The date and time that the playlist was created.", "type": "string" }, "description": { "type": "string", "description": "The playlist's description." }, "tags": { "items": { "type": "string" }, "description": "Keyword tags associated with the playlist.", "type": "array" }, "title": { "annotations": { "required": [ "youtube.playlists.insert", "youtube.playlists.update" ] }, "type": "string", "description": "The playlist's title." }, "localized": { "description": "Localized title and description, read-only.", "$ref": "PlaylistLocalization" } }, "description": "Basic details about a playlist, including title, description and thumbnails.", "type": "object" }, "PlaylistPlayer": { "id": "PlaylistPlayer", "properties": { "embedHtml": { "type": "string", "description": "An \u003ciframe\u003e tag that embeds a player that will play the playlist." } }, "type": "object" }, "ActivityContentDetailsBulletin": { "description": "Details about a channel bulletin post.", "type": "object", "properties": { "resourceId": { "description": "The resourceId object contains information that identifies the resource associated with a bulletin post. @mutable youtube.activities.insert", "$ref": "ResourceId" } }, "id": "ActivityContentDetailsBulletin" }, "VideoProcessingDetails": { "properties": { "processingProgress": { "$ref": "VideoProcessingDetailsProcessingProgress", "description": "The processingProgress object contains information about the progress YouTube has made in processing the video. The values are really only relevant if the video's processing status is processing." }, "fileDetailsAvailability": { "type": "string", "description": "This value indicates whether file details are available for the uploaded video. You can retrieve a video's file details by requesting the fileDetails part in your videos.list() request." }, "processingStatus": { "enum": [ "processing", "succeeded", "failed", "terminated" ], "enumDescriptions": [ "", "", "", "" ], "description": "The video's processing status. This value indicates whether YouTube was able to process the video or if the video is still being processed.", "type": "string" }, "tagSuggestionsAvailability": { "description": "This value indicates whether keyword (tag) suggestions are available for the video. Tags can be added to a video's metadata to make it easier for other users to find the video. You can retrieve these suggestions by requesting the suggestions part in your videos.list() request.", "type": "string" }, "editorSuggestionsAvailability": { "type": "string", "description": "This value indicates whether video editing suggestions, which might improve video quality or the playback experience, are available for the video. You can retrieve these suggestions by requesting the suggestions part in your videos.list() request." }, "thumbnailsAvailability": { "type": "string", "description": "This value indicates whether thumbnail images have been generated for the video." }, "processingFailureReason": { "enumDescriptions": [ "", "", "", "" ], "description": "The reason that YouTube failed to process the video. This property will only have a value if the processingStatus property's value is failed.", "enum": [ "uploadFailed", "transcodeFailed", "streamingFailed", "other" ], "type": "string" }, "processingIssuesAvailability": { "description": "This value indicates whether the video processing engine has generated suggestions that might improve YouTube's ability to process the the video, warnings that explain video processing problems, or errors that cause video processing problems. You can retrieve these suggestions by requesting the suggestions part in your videos.list() request.", "type": "string" } }, "id": "VideoProcessingDetails", "type": "object", "description": "Describes processing status and progress and availability of some other Video resource parts." }, "ChannelTopicDetails": { "id": "ChannelTopicDetails", "description": "Freebase topic information related to the channel.", "properties": { "topicIds": { "description": "A list of Freebase topic IDs associated with the channel. You can retrieve information about each topic using the Freebase Topic API.", "type": "array", "items": { "type": "string" } }, "topicCategories": { "items": { "type": "string" }, "type": "array", "description": "A list of Wikipedia URLs that describe the channel's content." } }, "type": "object" }, "CommentThreadSnippet": { "properties": { "isPublic": { "description": "Whether the thread (and therefore all its comments) is visible to all YouTube users.", "type": "boolean" }, "canReply": { "description": "Whether the current viewer of the thread can reply to it. This is viewer specific - other viewers may see a different value for this field.", "type": "boolean" }, "channelId": { "type": "string", "description": "The YouTube channel the comments in the thread refer to or the channel with the video the comments refer to. If video_id isn't set the comments refer to the channel itself." }, "totalReplyCount": { "type": "integer", "description": "The total number of replies (not including the top level comment).", "format": "uint32" }, "videoId": { "type": "string", "description": "The ID of the video the comments refer to, if any. No video_id implies a channel discussion comment." }, "topLevelComment": { "$ref": "Comment", "description": "The top level comment of this thread." } }, "id": "CommentThreadSnippet", "description": "Basic details about a comment thread.", "type": "object" }, "VideoCategoryListResponse": { "type": "object", "id": "VideoCategoryListResponse", "properties": { "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"youtube#videoCategoryListResponse\".", "default": "youtube#videoCategoryListResponse" }, "etag": { "type": "string", "description": "Etag of this resource." }, "items": { "description": "A list of video categories that can be associated with YouTube videos. In this map, the video category ID is the map key, and its value is the corresponding videoCategory resource.", "items": { "$ref": "VideoCategory" }, "type": "array" }, "eventId": { "type": "string", "description": "Serialized EventId of the request which produced this response." }, "pageInfo": { "description": "General pagination information.", "$ref": "PageInfo" }, "tokenPagination": { "$ref": "TokenPagination" }, "prevPageToken": { "type": "string", "description": "The token that can be used as the value of the pageToken parameter to retrieve the previous page in the result set." }, "nextPageToken": { "description": "The token that can be used as the value of the pageToken parameter to retrieve the next page in the result set.", "type": "string" }, "visitorId": { "type": "string", "description": "The visitorId identifies the visitor." } } }, "ChannelSnippet": { "type": "object", "properties": { "localized": { "$ref": "ChannelLocalization", "description": "Localized title and description, read-only." }, "description": { "type": "string", "description": "The description of the channel." }, "publishedAt": { "type": "string", "description": "The date and time that the channel was created.", "format": "date-time" }, "customUrl": { "type": "string", "description": "The custom url of the channel." }, "thumbnails": { "$ref": "ThumbnailDetails", "description": "A map of thumbnail images associated with the channel. For each object in the map, the key is the name of the thumbnail image, and the value is an object that contains other information about the thumbnail. When displaying thumbnails in your application, make sure that your code uses the image URLs exactly as they are returned in API responses. For example, your application should not use the http domain instead of the https domain in a URL returned in an API response. Beginning in July 2018, channel thumbnail URLs will only be available in the https domain, which is how the URLs appear in API responses. After that time, you might see broken images in your application if it tries to load YouTube images from the http domain. Thumbnail images might be empty for newly created channels and might take up to one day to populate." }, "country": { "description": "The country of the channel.", "type": "string" }, "title": { "type": "string", "description": "The channel's title." }, "defaultLanguage": { "description": "The language of the channel's default title and description.", "type": "string" } }, "description": "Basic details about a channel, including title, description and thumbnails.", "id": "ChannelSnippet" }, "I18nRegion": { "description": "A *i18nRegion* resource identifies a region where YouTube is available.", "id": "I18nRegion", "properties": { "etag": { "type": "string", "description": "Etag of this resource." }, "snippet": { "$ref": "I18nRegionSnippet", "description": "The snippet object contains basic details about the i18n region, such as region code and human-readable name." }, "kind": { "default": "youtube#i18nRegion", "description": "Identifies what kind of resource this is. Value: the fixed string \"youtube#i18nRegion\".", "type": "string" }, "id": { "description": "The ID that YouTube uses to uniquely identify the i18n region.", "type": "string" } }, "type": "object" }, "I18nLanguageSnippet": { "id": "I18nLanguageSnippet", "type": "object", "properties": { "name": { "description": "The human-readable name of the language in the language itself.", "type": "string" }, "hl": { "type": "string", "description": "A short BCP-47 code that uniquely identifies a language." } }, "description": "Basic details about an i18n language, such as language code and human-readable name." }, "ChannelSection": { "properties": { "id": { "type": "string", "description": "The ID that YouTube uses to uniquely identify the channel section." }, "localizations": { "type": "object", "description": "Localizations for different languages", "additionalProperties": { "$ref": "ChannelSectionLocalization" } }, "etag": { "description": "Etag of this resource.", "type": "string" }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"youtube#channelSection\".", "type": "string", "default": "youtube#channelSection" }, "targeting": { "$ref": "ChannelSectionTargeting", "description": "The targeting object contains basic targeting settings about the channel section." }, "contentDetails": { "$ref": "ChannelSectionContentDetails", "description": "The contentDetails object contains details about the channel section content, such as a list of playlists or channels featured in the section." }, "snippet": { "$ref": "ChannelSectionSnippet", "description": "The snippet object contains basic details about the channel section, such as its type, style and title." } }, "id": "ChannelSection", "type": "object" }, "CommentThreadListResponse": { "type": "object", "id": "CommentThreadListResponse", "properties": { "nextPageToken": { "description": "The token that can be used as the value of the pageToken parameter to retrieve the next page in the result set.", "type": "string" }, "kind": { "type": "string", "default": "youtube#commentThreadListResponse", "description": "Identifies what kind of resource this is. Value: the fixed string \"youtube#commentThreadListResponse\"." }, "items": { "type": "array", "description": "A list of comment threads that match the request criteria.", "items": { "$ref": "CommentThread" } }, "eventId": { "description": "Serialized EventId of the request which produced this response.", "type": "string" }, "visitorId": { "description": "The visitorId identifies the visitor.", "type": "string" }, "pageInfo": { "$ref": "PageInfo", "description": "General pagination information." }, "etag": { "description": "Etag of this resource.", "type": "string" }, "tokenPagination": { "$ref": "TokenPagination" } } }, "LiveStreamSnippet": { "id": "LiveStreamSnippet", "properties": { "description": { "description": "The stream's description. The value cannot be longer than 10000 characters.", "type": "string" }, "title": { "annotations": { "required": [ "youtube.liveStreams.insert", "youtube.liveStreams.update" ] }, "type": "string", "description": "The stream's title. The value must be between 1 and 128 characters long." }, "isDefaultStream": { "type": "boolean" }, "channelId": { "description": "The ID that YouTube uses to uniquely identify the channel that is transmitting the stream.", "type": "string" }, "publishedAt": { "type": "string", "description": "The date and time that the stream was created.", "format": "date-time" } }, "type": "object" }, "ChannelProfileDetails": { "properties": { "channelUrl": { "type": "string", "description": "The channel's URL." }, "displayName": { "description": "The channel's display name.", "type": "string" }, "profileImageUrl": { "type": "string", "description": "The channels's avatar URL." }, "channelId": { "description": "The YouTube channel ID.", "type": "string" } }, "id": "ChannelProfileDetails", "type": "object" }, "ChannelBrandingSettings": { "id": "ChannelBrandingSettings", "properties": { "channel": { "$ref": "ChannelSettings", "description": "Branding properties for the channel view." }, "watch": { "$ref": "WatchSettings", "description": "Branding properties for the watch page." }, "hints": { "description": "Additional experimental branding properties.", "type": "array", "items": { "$ref": "PropertyValue" } }, "image": { "description": "Branding properties for branding images.", "$ref": "ImageSettings" } }, "description": "Branding properties of a YouTube channel.", "type": "object" }, "InvideoPosition": { "description": "Describes the spatial position of a visual widget inside a video. It is a union of various position types, out of which only will be set one.", "id": "InvideoPosition", "type": "object", "properties": { "cornerPosition": { "description": "Describes in which corner of the video the visual widget will appear.", "enum": [ "topLeft", "topRight", "bottomLeft", "bottomRight" ], "enumDescriptions": [ "", "", "", "" ], "type": "string" }, "type": { "type": "string", "enum": [ "corner" ], "description": "Defines the position type.", "enumDescriptions": [ "" ] } } }, "VideoLiveStreamingDetails": { "properties": { "actualEndTime": { "format": "date-time", "type": "string", "description": "The time that the broadcast actually ended. This value will not be available until the broadcast is over." }, "activeLiveChatId": { "description": "The ID of the currently active live chat attached to this video. This field is filled only if the video is a currently live broadcast that has live chat. Once the broadcast transitions to complete this field will be removed and the live chat closed down. For persistent broadcasts that live chat id will no longer be tied to this video but rather to the new video being displayed at the persistent page.", "type": "string" }, "concurrentViewers": { "format": "uint64", "description": "The number of viewers currently watching the broadcast. The property and its value will be present if the broadcast has current viewers and the broadcast owner has not hidden the viewcount for the video. Note that YouTube stops tracking the number of concurrent viewers for a broadcast when the broadcast ends. So, this property would not identify the number of viewers watching an archived video of a live broadcast that already ended.", "type": "string" }, "scheduledEndTime": { "description": "The time that the broadcast is scheduled to end. If the value is empty or the property is not present, then the broadcast is scheduled to contiue indefinitely.", "format": "date-time", "type": "string" }, "scheduledStartTime": { "type": "string", "description": "The time that the broadcast is scheduled to begin.", "format": "date-time" }, "actualStartTime": { "type": "string", "description": "The time that the broadcast actually started. This value will not be available until the broadcast begins.", "format": "date-time" } }, "type": "object", "description": "Details about the live streaming metadata.", "id": "VideoLiveStreamingDetails" }, "ChannelStatistics": { "description": "Statistics about a channel: number of subscribers, number of videos in the channel, etc.", "properties": { "subscriberCount": { "type": "string", "description": "The number of subscribers that the channel has.", "format": "uint64" }, "videoCount": { "type": "string", "description": "The number of videos uploaded to the channel.", "format": "uint64" }, "commentCount": { "format": "uint64", "type": "string", "description": "The number of comments for the channel." }, "viewCount": { "format": "uint64", "type": "string", "description": "The number of times the channel has been viewed." }, "hiddenSubscriberCount": { "description": "Whether or not the number of subscribers is shown for this user.", "type": "boolean" } }, "id": "ChannelStatistics", "type": "object" }, "Activity": { "description": "An *activity* resource contains information about an action that a particular channel, or user, has taken on YouTube.The actions reported in activity feeds include rating a video, sharing a video, marking a video as a favorite, commenting on a video, uploading a video, and so forth. Each activity resource identifies the type of action, the channel associated with the action, and the resource(s) associated with the action, such as the video that was rated or uploaded.", "id": "Activity", "properties": { "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"youtube#activity\".", "default": "youtube#activity" }, "id": { "description": "The ID that YouTube uses to uniquely identify the activity.", "type": "string" }, "contentDetails": { "$ref": "ActivityContentDetails", "description": "The contentDetails object contains information about the content associated with the activity. For example, if the snippet.type value is videoRated, then the contentDetails object's content identifies the rated video." }, "etag": { "description": "Etag of this resource", "type": "string" }, "snippet": { "description": "The snippet object contains basic details about the activity, including the activity's type and group ID.", "$ref": "ActivitySnippet" } }, "type": "object" }, "SearchResultSnippet": { "id": "SearchResultSnippet", "properties": { "publishedAt": { "type": "string", "description": "The creation date and time of the resource that the search result identifies.", "format": "date-time" }, "channelTitle": { "type": "string", "description": "The title of the channel that published the resource that the search result identifies." }, "channelId": { "description": "The value that YouTube uses to uniquely identify the channel that published the resource that the search result identifies.", "type": "string" }, "thumbnails": { "$ref": "ThumbnailDetails", "description": "A map of thumbnail images associated with the search result. For each object in the map, the key is the name of the thumbnail image, and the value is an object that contains other information about the thumbnail." }, "title": { "description": "The title of the search result.", "type": "string" }, "description": { "description": "A description of the search result.", "type": "string" }, "liveBroadcastContent": { "enumDescriptions": [ "", "The live broadcast is upcoming.", "The live broadcast is active.", "The live broadcast has been completed." ], "enum": [ "none", "upcoming", "live", "completed" ], "type": "string", "description": "It indicates if the resource (video or channel) has upcoming/active live broadcast content. Or it's \"none\" if there is not any upcoming/active live broadcasts." } }, "type": "object", "description": "Basic details about a search result, including title, description and thumbnails of the item referenced by the search result." }, "LiveStreamContentDetails": { "description": "Detailed settings of a stream.", "properties": { "closedCaptionsIngestionUrl": { "type": "string", "description": "The ingestion URL where the closed captions of this stream are sent." }, "isReusable": { "type": "boolean", "description": "Indicates whether the stream is reusable, which means that it can be bound to multiple broadcasts. It is common for broadcasters to reuse the same stream for many different broadcasts if those broadcasts occur at different times. If you set this value to false, then the stream will not be reusable, which means that it can only be bound to one broadcast. Non-reusable streams differ from reusable streams in the following ways: - A non-reusable stream can only be bound to one broadcast. - A non-reusable stream might be deleted by an automated process after the broadcast ends. - The liveStreams.list method does not list non-reusable streams if you call the method and set the mine parameter to true. The only way to use that method to retrieve the resource for a non-reusable stream is to use the id parameter to identify the stream. " } }, "id": "LiveStreamContentDetails", "type": "object" }, "SuperChatEventSnippet": { "properties": { "messageType": { "format": "uint32", "description": "The tier for the paid message, which is based on the amount of money spent to purchase the message.", "type": "integer" }, "superStickerMetadata": { "$ref": "SuperStickerMetadata", "description": "If this event is a Super Sticker event, this field will contain metadata about the Super Sticker." }, "channelId": { "description": "Channel id where the event occurred.", "type": "string" }, "isSuperStickerEvent": { "type": "boolean", "description": "True if this event is a Super Sticker event." }, "commentText": { "description": "The text contents of the comment left by the user.", "type": "string" }, "createdAt": { "type": "string", "description": "The date and time when the event occurred.", "format": "date-time" }, "supporterDetails": { "$ref": "ChannelProfileDetails", "description": "Details about the supporter." }, "currency": { "type": "string", "description": "The currency in which the purchase was made. ISO 4217." }, "displayString": { "type": "string", "description": "A rendered string that displays the purchase amount and currency (e.g., \"$1.00\"). The string is rendered for the given language." }, "amountMicros": { "format": "uint64", "type": "string", "description": "The purchase amount, in micros of the purchase currency. e.g., 1 is represented as 1000000." } }, "type": "object", "id": "SuperChatEventSnippet" }, "LiveBroadcastStatistics": { "type": "object", "description": "Statistics about the live broadcast. These represent a snapshot of the values at the time of the request. Statistics are only returned for live broadcasts.", "properties": { "totalChatCount": { "type": "string", "description": "The total number of live chat messages currently on the broadcast. The property and its value will be present if the broadcast is public, has the live chat feature enabled, and has at least one message. Note that this field will not be filled after the broadcast ends. So this property would not identify the number of chat messages for an archived video of a completed live broadcast.", "format": "uint64" } }, "id": "LiveBroadcastStatistics" }, "LiveChatNewSponsorDetails": { "type": "object", "properties": { "isUpgrade": { "description": "If the viewer just had upgraded from a lower level. For viewers that were not members at the time of purchase, this field is false.", "type": "boolean" }, "memberLevelName": { "description": "The name of the Level that the viewer just had joined. The Level names are defined by the YouTube channel offering the Membership. In some situations this field isn't filled.", "type": "string" } }, "id": "LiveChatNewSponsorDetails" }, "LiveChatMessageAuthorDetails": { "type": "object", "id": "LiveChatMessageAuthorDetails", "properties": { "isChatSponsor": { "description": "Whether the author is a sponsor of the live chat.", "type": "boolean" }, "isVerified": { "description": "Whether the author's identity has been verified by YouTube.", "type": "boolean" }, "channelUrl": { "type": "string", "description": "The channel's URL." }, "displayName": { "type": "string", "description": "The channel's display name." }, "isChatModerator": { "type": "boolean", "description": "Whether the author is a moderator of the live chat." }, "profileImageUrl": { "type": "string", "description": "The channels's avatar URL." }, "isChatOwner": { "type": "boolean", "description": "Whether the author is the owner of the live chat." }, "channelId": { "type": "string", "description": "The YouTube channel ID." } } }, "LiveChatSuperChatDetails": { "properties": { "tier": { "format": "uint32", "description": "The tier in which the amount belongs. Lower amounts belong to lower tiers. The lowest tier is 1.", "type": "integer" }, "amountMicros": { "description": "The amount purchased by the user, in micros (1,750,000 micros = 1.75).", "type": "string", "format": "uint64" }, "amountDisplayString": { "type": "string", "description": "A rendered string that displays the fund amount and currency to the user." }, "userComment": { "description": "The comment added by the user to this Super Chat event.", "type": "string" }, "currency": { "type": "string", "description": "The currency in which the purchase was made." } }, "id": "LiveChatSuperChatDetails", "type": "object" }, "CommentThread": { "properties": { "id": { "type": "string", "description": "The ID that YouTube uses to uniquely identify the comment thread." }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"youtube#commentThread\".", "type": "string", "default": "youtube#commentThread" }, "etag": { "type": "string", "description": "Etag of this resource." }, "snippet": { "$ref": "CommentThreadSnippet", "description": "The snippet object contains basic details about the comment thread and also the top level comment." }, "replies": { "description": "The replies object contains a limited number of replies (if any) to the top level comment found in the snippet.", "$ref": "CommentThreadReplies" } }, "description": "A *comment thread* represents information that applies to a top level comment and all its replies. It can also include the top level comment itself and some of the replies.", "id": "CommentThread", "type": "object" }, "ActivityContentDetailsUpload": { "id": "ActivityContentDetailsUpload", "properties": { "videoId": { "type": "string", "description": "The ID that YouTube uses to uniquely identify the uploaded video." } }, "type": "object", "description": "Information about the uploaded video." }, "MemberListResponse": { "properties": { "eventId": { "description": "Serialized EventId of the request which produced this response.", "type": "string" }, "tokenPagination": { "$ref": "TokenPagination" }, "visitorId": { "type": "string", "description": "The visitorId identifies the visitor." }, "kind": { "type": "string", "default": "youtube#memberListResponse", "description": "Identifies what kind of resource this is. Value: the fixed string \"youtube#memberListResponse\"." }, "etag": { "description": "Etag of this resource.", "type": "string" }, "nextPageToken": { "description": "The token that can be used as the value of the pageToken parameter to retrieve the next page in the result set.", "type": "string" }, "items": { "items": { "$ref": "Member" }, "description": "A list of members that match the request criteria.", "type": "array" }, "pageInfo": { "$ref": "PageInfo" } }, "type": "object", "id": "MemberListResponse" }, "LiveBroadcastStatus": { "id": "LiveBroadcastStatus", "type": "object", "description": "Live broadcast state.", "properties": { "madeForKids": { "type": "boolean", "description": "Whether the broadcast is made for kids or not, decided by YouTube instead of the creator. This field is read only." }, "recordingStatus": { "enumDescriptions": [ "No value or the value is unknown.", "The recording has not yet been started.", "The recording is currently on.", "The recording is completed, and cannot be started again." ], "type": "string", "enum": [ "liveBroadcastRecordingStatusUnspecified", "notRecording", "recording", "recorded" ], "description": "The broadcast's recording status." }, "privacyStatus": { "annotations": { "required": [ "youtube.liveBroadcasts.insert", "youtube.liveBroadcasts.update" ] }, "enumDescriptions": [ "", "", "" ], "enum": [ "public", "unlisted", "private" ], "type": "string", "description": "The broadcast's privacy status. Note that the broadcast represents exactly one YouTube video, so the privacy settings are identical to those supported for videos. In addition, you can set this field by modifying the broadcast resource or by setting the privacyStatus field of the corresponding video resource." }, "liveBroadcastPriority": { "description": "Priority of the live broadcast event (internal state).", "type": "string", "enum": [ "liveBroadcastPriorityUnspecified", "low", "normal", "high" ], "enumDescriptions": [ "", "Low priority broadcast: for low view count HoAs or other low priority broadcasts.", "Normal priority broadcast: for regular HoAs and broadcasts.", "High priority broadcast: for high profile HoAs, like PixelCorp ones." ] }, "selfDeclaredMadeForKids": { "type": "boolean", "description": "This field will be set to True if the creator declares the broadcast to be kids only: go/live-cw-work." }, "lifeCycleStatus": { "enumDescriptions": [ "No value or the value is unknown.", "Incomplete settings, but otherwise valid", "Complete settings", "Visible only to partner, may need special UI treatment", "Viper is recording; this means the \"clock\" is running", "The broadcast is finished.", "This broadcast was removed by admin action", "Transition into TESTING has been requested", "Transition into LIVE has been requested" ], "description": "The broadcast's status. The status can be updated using the API's liveBroadcasts.transition method.", "type": "string", "enum": [ "lifeCycleStatusUnspecified", "created", "ready", "testing", "live", "complete", "revoked", "testStarting", "liveStarting" ] } } }, "MembershipsLevel": { "id": "MembershipsLevel", "type": "object", "description": "A *membershipsLevel* resource represents an offer made by YouTube creators for their fans. Users can become members of the channel by joining one of the available levels. They will provide recurring monetary support and receives special benefits.", "properties": { "snippet": { "description": "The snippet object contains basic details about the level.", "$ref": "MembershipsLevelSnippet" }, "id": { "description": "The ID that YouTube assigns to uniquely identify the memberships level.", "type": "string" }, "etag": { "type": "string", "description": "Etag of this resource." }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"youtube#membershipsLevelListResponse\".", "type": "string", "default": "youtube#membershipsLevel" } } }, "PlaylistItemStatus": { "description": "Information about the playlist item's privacy status.", "id": "PlaylistItemStatus", "type": "object", "properties": { "privacyStatus": { "description": "This resource's privacy status.", "enumDescriptions": [ "", "", "" ], "type": "string", "enum": [ "public", "unlisted", "private" ] } } }, "ActivityContentDetailsSocial": { "id": "ActivityContentDetailsSocial", "type": "object", "properties": { "imageUrl": { "description": "An image of the post's author.", "type": "string" }, "type": { "enumDescriptions": [ "", "", "", "" ], "description": "The name of the social network.", "type": "string", "enum": [ "unspecified", "googlePlus", "facebook", "twitter" ] }, "author": { "description": "The author of the social network post.", "type": "string" }, "resourceId": { "description": "The resourceId object encapsulates information that identifies the resource associated with a social network post.", "$ref": "ResourceId" }, "referenceUrl": { "description": "The URL of the social network post.", "type": "string" } }, "description": "Details about a social network post." }, "ChannelSectionListResponse": { "id": "ChannelSectionListResponse", "type": "object", "properties": { "eventId": { "type": "string", "description": "Serialized EventId of the request which produced this response." }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"youtube#channelSectionListResponse\".", "default": "youtube#channelSectionListResponse", "type": "string" }, "items": { "items": { "$ref": "ChannelSection" }, "description": "A list of ChannelSections that match the request criteria.", "type": "array" }, "etag": { "description": "Etag of this resource.", "type": "string" }, "visitorId": { "description": "The visitorId identifies the visitor.", "type": "string" } } }, "ThirdPartyLinkSnippet": { "properties": { "channelToStoreLink": { "description": "Information specific to a link between a channel and a store on a merchandising platform.", "$ref": "ChannelToStoreLinkDetails" }, "type": { "type": "string", "enum": [ "linkUnspecified", "channelToStoreLink" ], "enumDescriptions": [ "", "A link that is connecting (or about to connect) a channel with a store on a merchandising platform in order to enable retail commerce capabilities for that channel on YouTube." ], "description": "Type of the link named after the entities that are being linked." } }, "type": "object", "description": "Basic information about a third party account link, including its type and type-specific information.", "id": "ThirdPartyLinkSnippet" }, "MemberSnippet": { "properties": { "memberDetails": { "description": "Details about the member.", "$ref": "ChannelProfileDetails" }, "creatorChannelId": { "type": "string", "description": "The id of the channel that's offering memberships." }, "membershipsDetails": { "description": "Details about the user's membership.", "$ref": "MembershipsDetails" } }, "id": "MemberSnippet", "type": "object" }, "ActivityContentDetails": { "description": "Details about the content of an activity: the video that was shared, the channel that was subscribed to, etc.", "properties": { "upload": { "description": "The upload object contains information about the uploaded video. This property is only present if the snippet.type is upload.", "$ref": "ActivityContentDetailsUpload" }, "promotedItem": { "$ref": "ActivityContentDetailsPromotedItem", "description": "The promotedItem object contains details about a resource which is being promoted. This property is only present if the snippet.type is promotedItem." }, "subscription": { "description": "The subscription object contains information about a channel that a user subscribed to. This property is only present if the snippet.type is subscription.", "$ref": "ActivityContentDetailsSubscription" }, "playlistItem": { "description": "The playlistItem object contains information about a new playlist item. This property is only present if the snippet.type is playlistItem.", "$ref": "ActivityContentDetailsPlaylistItem" }, "social": { "$ref": "ActivityContentDetailsSocial", "description": "The social object contains details about a social network post. This property is only present if the snippet.type is social." }, "comment": { "$ref": "ActivityContentDetailsComment", "description": "The comment object contains information about a resource that received a comment. This property is only present if the snippet.type is comment." }, "recommendation": { "$ref": "ActivityContentDetailsRecommendation", "description": "The recommendation object contains information about a recommended resource. This property is only present if the snippet.type is recommendation." }, "bulletin": { "$ref": "ActivityContentDetailsBulletin", "description": "The bulletin object contains details about a channel bulletin post. This object is only present if the snippet.type is bulletin." }, "channelItem": { "description": "The channelItem object contains details about a resource which was added to a channel. This property is only present if the snippet.type is channelItem.", "$ref": "ActivityContentDetailsChannelItem" }, "favorite": { "description": "The favorite object contains information about a video that was marked as a favorite video. This property is only present if the snippet.type is favorite.", "$ref": "ActivityContentDetailsFavorite" }, "like": { "description": "The like object contains information about a resource that received a positive (like) rating. This property is only present if the snippet.type is like.", "$ref": "ActivityContentDetailsLike" } }, "type": "object", "id": "ActivityContentDetails" }, "PlaylistStatus": { "id": "PlaylistStatus", "type": "object", "properties": { "privacyStatus": { "enum": [ "public", "unlisted", "private" ], "type": "string", "enumDescriptions": [ "", "", "" ], "description": "The playlist's privacy status." } } }, "SuperChatEventListResponse": { "id": "SuperChatEventListResponse", "type": "object", "properties": { "items": { "items": { "$ref": "SuperChatEvent" }, "description": "A list of Super Chat purchases that match the request criteria.", "type": "array" }, "tokenPagination": { "$ref": "TokenPagination" }, "visitorId": { "type": "string", "description": "The visitorId identifies the visitor." }, "etag": { "description": "Etag of this resource.", "type": "string" }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"youtube#superChatEventListResponse\".", "type": "string", "default": "youtube#superChatEventListResponse" }, "nextPageToken": { "description": "The token that can be used as the value of the pageToken parameter to retrieve the next page in the result set.", "type": "string" }, "eventId": { "type": "string", "description": "Serialized EventId of the request which produced this response." }, "pageInfo": { "$ref": "PageInfo" } } }, "LiveChatBanSnippet": { "id": "LiveChatBanSnippet", "type": "object", "properties": { "type": { "type": "string", "enum": [ "liveChatBanTypeUnspecified", "permanent", "temporary" ], "description": "The type of ban.", "enumDescriptions": [ "An invalid ban type.", "A permanent ban.", "A temporary ban." ] }, "bannedUserDetails": { "$ref": "ChannelProfileDetails" }, "banDurationSeconds": { "description": "The duration of a ban, only filled if the ban has type TEMPORARY.", "format": "uint64", "type": "string" }, "liveChatId": { "description": "The chat this ban is pertinent to.", "type": "string" } } }, "ActivityContentDetailsPromotedItem": { "properties": { "impressionUrl": { "description": "The list of impression URLs. The client should ping all of these URLs to indicate that the user was shown this promoted item.", "type": "array", "items": { "type": "string" } }, "adTag": { "description": "The URL the client should fetch to request a promoted item.", "type": "string" }, "forecastingUrl": { "items": { "type": "string" }, "type": "array", "description": "The list of forecasting URLs. The client should ping all of these URLs when a promoted item is not available, to indicate that a promoted item could have been shown." }, "destinationUrl": { "type": "string", "description": "The URL the client should direct the user to, if the user chooses to visit the advertiser's website." }, "videoId": { "type": "string", "description": "The ID that YouTube uses to uniquely identify the promoted video." }, "clickTrackingUrl": { "description": "The URL the client should ping to indicate that the user clicked through on this promoted item.", "type": "string" }, "ctaType": { "enumDescriptions": [ "", "" ], "type": "string", "enum": [ "ctaTypeUnspecified", "visitAdvertiserSite" ], "description": "The type of call-to-action, a message to the user indicating action that can be taken." }, "descriptionText": { "description": "The text description to accompany the promoted item.", "type": "string" }, "customCtaButtonText": { "type": "string", "description": "The custom call-to-action button text. If specified, it will override the default button text for the cta_type." }, "creativeViewUrl": { "type": "string", "description": "The URL the client should ping to indicate that the user was shown this promoted item." } }, "type": "object", "description": "Details about a resource which is being promoted.", "id": "ActivityContentDetailsPromotedItem" }, "PlaylistItemSnippet": { "type": "object", "description": "Basic details about a playlist, including title, description and thumbnails. Basic details of a YouTube Playlist item provided by the author. Next ID: 15", "id": "PlaylistItemSnippet", "properties": { "description": { "description": "The item's description.", "type": "string" }, "videoOwnerChannelTitle": { "type": "string", "description": "Channel title for the channel this video belongs to." }, "title": { "description": "The item's title.", "type": "string" }, "playlistId": { "annotations": { "required": [ "youtube.playlistItems.insert", "youtube.playlistItems.update" ] }, "description": "The ID that YouTube uses to uniquely identify thGe playlist that the playlist item is in.", "type": "string" }, "thumbnails": { "$ref": "ThumbnailDetails", "description": "A map of thumbnail images associated with the playlist item. For each object in the map, the key is the name of the thumbnail image, and the value is an object that contains other information about the thumbnail." }, "channelId": { "type": "string", "description": "The ID that YouTube uses to uniquely identify the user that added the item to the playlist." }, "publishedAt": { "description": "The date and time that the item was added to the playlist.", "type": "string", "format": "date-time" }, "position": { "description": "The order in which the item appears in the playlist. The value uses a zero-based index, so the first item has a position of 0, the second item has a position of 1, and so forth.", "format": "uint32", "type": "integer" }, "videoOwnerChannelId": { "type": "string", "description": "Channel id for the channel this video belongs to." }, "resourceId": { "annotations": { "required": [ "youtube.playlistItems.insert", "youtube.playlistItems.update" ] }, "$ref": "ResourceId", "description": "The id object contains information that can be used to uniquely identify the resource that is included in the playlist as the playlist item." }, "channelTitle": { "type": "string", "description": "Channel title for the channel that the playlist item belongs to." } } }, "ChannelSectionContentDetails": { "type": "object", "id": "ChannelSectionContentDetails", "description": "Details about a channelsection, including playlists and channels.", "properties": { "channels": { "type": "array", "items": { "type": "string" }, "description": "The channel ids for type multiple_channels." }, "playlists": { "items": { "type": "string" }, "description": "The playlist ids for type single_playlist and multiple_playlists. For singlePlaylist, only one playlistId is allowed.", "type": "array" } } }, "LiveStreamStatus": { "properties": { "healthStatus": { "description": "The health status of the stream.", "$ref": "LiveStreamHealthStatus" }, "streamStatus": { "type": "string", "enum": [ "created", "ready", "active", "inactive", "error" ], "enumDescriptions": [ "", "", "", "", "" ] } }, "description": "Brief description of the live stream status.", "type": "object", "id": "LiveStreamStatus" }, "ChannelSectionSnippet": { "properties": { "defaultLanguage": { "description": "The language of the channel section's default title and description.", "type": "string" }, "position": { "description": "The position of the channel section in the channel.", "type": "integer", "format": "uint32" }, "localized": { "$ref": "ChannelSectionLocalization", "description": "Localized title, read-only." }, "type": { "description": "The type of the channel section.", "type": "string", "enum": [ "channelsectionTypeUndefined", "singlePlaylist", "multiplePlaylists", "popularUploads", "recentUploads", "likes", "allPlaylists", "likedPlaylists", "recentPosts", "recentActivity", "liveEvents", "upcomingEvents", "completedEvents", "multipleChannels", "postedVideos", "postedPlaylists", "subscriptions" ], "enumDescriptions": [ "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "" ] }, "channelId": { "type": "string", "description": "The ID that YouTube uses to uniquely identify the channel that published the channel section." }, "title": { "description": "The channel section's title for multiple_playlists and multiple_channels.", "type": "string" }, "style": { "type": "string", "description": "The style of the channel section.", "enumDescriptions": [ "", "", "" ], "enum": [ "channelsectionStyleUnspecified", "horizontalRow", "verticalList" ] } }, "description": "Basic details about a channel section, including title, style and position.", "type": "object", "id": "ChannelSectionSnippet" }, "LiveChatFanFundingEventDetails": { "id": "LiveChatFanFundingEventDetails", "properties": { "amountMicros": { "format": "uint64", "description": "The amount of the fund.", "type": "string" }, "userComment": { "description": "The comment added by the user to this fan funding event.", "type": "string" }, "currency": { "description": "The currency in which the fund was made.", "type": "string" }, "amountDisplayString": { "description": "A rendered string that displays the fund amount and currency to the user.", "type": "string" } }, "type": "object" }, "MonitorStreamInfo": { "description": "Settings and Info of the monitor stream", "properties": { "enableMonitorStream": { "annotations": { "required": [ "youtube.liveBroadcasts.update" ] }, "description": "This value determines whether the monitor stream is enabled for the broadcast. If the monitor stream is enabled, then YouTube will broadcast the event content on a special stream intended only for the broadcaster's consumption. The broadcaster can use the stream to review the event content and also to identify the optimal times to insert cuepoints. You need to set this value to true if you intend to have a broadcast delay for your event. *Note:* This property cannot be updated once the broadcast is in the testing or live state.", "type": "boolean" }, "embedHtml": { "type": "string", "description": "HTML code that embeds a player that plays the monitor stream." }, "broadcastStreamDelayMs": { "description": "If you have set the enableMonitorStream property to true, then this property determines the length of the live broadcast delay.", "type": "integer", "annotations": { "required": [ "youtube.liveBroadcasts.update" ] }, "format": "uint32" } }, "type": "object", "id": "MonitorStreamInfo" }, "LocalizedString": { "properties": { "language": { "type": "string" }, "value": { "type": "string" } }, "type": "object", "id": "LocalizedString" }, "ChannelAuditDetails": { "description": "The auditDetails object encapsulates channel data that is relevant for YouTube Partners during the audit process.", "type": "object", "properties": { "contentIdClaimsGoodStanding": { "description": "Whether or not the channel has any unresolved claims.", "type": "boolean" }, "copyrightStrikesGoodStanding": { "description": "Whether or not the channel has any copyright strikes.", "type": "boolean" }, "communityGuidelinesGoodStanding": { "type": "boolean", "description": "Whether or not the channel respects the community guidelines." } }, "id": "ChannelAuditDetails" }, "I18nLanguageListResponse": { "type": "object", "properties": { "etag": { "type": "string", "description": "Etag of this resource." }, "visitorId": { "type": "string", "description": "The visitorId identifies the visitor." }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"youtube#i18nLanguageListResponse\".", "type": "string", "default": "youtube#i18nLanguageListResponse" }, "eventId": { "description": "Serialized EventId of the request which produced this response.", "type": "string" }, "items": { "description": "A list of supported i18n languages. In this map, the i18n language ID is the map key, and its value is the corresponding i18nLanguage resource.", "type": "array", "items": { "$ref": "I18nLanguage" } } }, "id": "I18nLanguageListResponse" }, "PlaylistItem": { "type": "object", "id": "PlaylistItem", "description": "A *playlistItem* resource identifies another resource, such as a video, that is included in a playlist. In addition, the playlistItem resource contains details about the included resource that pertain specifically to how that resource is used in that playlist. YouTube uses playlists to identify special collections of videos for a channel, such as: - uploaded videos - favorite videos - positively rated (liked) videos - watch history - watch later To be more specific, these lists are associated with a channel, which is a collection of a person, group, or company's videos, playlists, and other YouTube information. You can retrieve the playlist IDs for each of these lists from the channel resource for a given channel. You can then use the playlistItems.list method to retrieve any of those lists. You can also add or remove items from those lists by calling the playlistItems.insert and playlistItems.delete methods. For example, if a user gives a positive rating to a video, you would insert that video into the liked videos playlist for that user's channel.", "properties": { "snippet": { "description": "The snippet object contains basic details about the playlist item, such as its title and position in the playlist.", "$ref": "PlaylistItemSnippet" }, "contentDetails": { "description": "The contentDetails object is included in the resource if the included item is a YouTube video. The object contains additional information about the video.", "$ref": "PlaylistItemContentDetails" }, "etag": { "description": "Etag of this resource.", "type": "string" }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"youtube#playlistItem\".", "default": "youtube#playlistItem", "type": "string" }, "status": { "description": "The status object contains information about the playlist item's privacy status.", "$ref": "PlaylistItemStatus" }, "id": { "type": "string", "description": "The ID that YouTube uses to uniquely identify the playlist item." } } }, "LiveChatMembershipGiftingDetails": { "properties": { "giftMembershipsCount": { "type": "integer", "description": "The number of gift memberships purchased by the user.", "format": "int32" }, "giftMembershipsLevelName": { "description": "The name of the level of the gift memberships purchased by the user. The Level names are defined by the YouTube channel offering the Membership. In some situations this field isn't filled.", "type": "string" } }, "type": "object", "id": "LiveChatMembershipGiftingDetails" }, "LiveBroadcastListResponse": { "properties": { "visitorId": { "description": "The visitorId identifies the visitor.", "type": "string" }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"youtube#liveBroadcastListResponse\".", "type": "string", "default": "youtube#liveBroadcastListResponse" }, "items": { "items": { "$ref": "LiveBroadcast" }, "description": "A list of broadcasts that match the request criteria.", "type": "array" }, "pageInfo": { "$ref": "PageInfo", "description": "General pagination information." }, "tokenPagination": { "$ref": "TokenPagination" }, "prevPageToken": { "description": "The token that can be used as the value of the pageToken parameter to retrieve the previous page in the result set.", "type": "string" }, "eventId": { "type": "string", "description": "Serialized EventId of the request which produced this response." }, "nextPageToken": { "type": "string", "description": "The token that can be used as the value of the pageToken parameter to retrieve the next page in the result set." }, "etag": { "description": "Etag of this resource.", "type": "string" } }, "type": "object", "id": "LiveBroadcastListResponse" }, "VideoSnippet": { "properties": { "channelId": { "type": "string", "description": "The ID that YouTube uses to uniquely identify the channel that the video was uploaded to." }, "thumbnails": { "description": "A map of thumbnail images associated with the video. For each object in the map, the key is the name of the thumbnail image, and the value is an object that contains other information about the thumbnail.", "$ref": "ThumbnailDetails" }, "liveBroadcastContent": { "type": "string", "enumDescriptions": [ "", "The live broadcast is upcoming.", "The live broadcast is active.", "The live broadcast has been completed." ], "enum": [ "none", "upcoming", "live", "completed" ], "description": "Indicates if the video is an upcoming/active live broadcast. Or it's \"none\" if the video is not an upcoming/active live broadcast." }, "title": { "type": "string", "description": "The video's title. @mutable youtube.videos.insert youtube.videos.update" }, "description": { "description": "The video's description. @mutable youtube.videos.insert youtube.videos.update", "type": "string" }, "categoryId": { "description": "The YouTube video category associated with the video.", "type": "string" }, "defaultAudioLanguage": { "description": "The default_audio_language property specifies the language spoken in the video's default audio track.", "type": "string" }, "defaultLanguage": { "type": "string", "description": "The language of the videos's default snippet." }, "tags": { "description": "A list of keyword tags associated with the video. Tags may contain spaces.", "items": { "type": "string" }, "type": "array" }, "channelTitle": { "type": "string", "description": "Channel title for the channel that the video belongs to." }, "publishedAt": { "format": "date-time", "type": "string", "description": "The date and time when the video was uploaded." }, "localized": { "description": "Localized snippet selected with the hl parameter. If no such localization exists, this field is populated with the default snippet. (Read-only)", "$ref": "VideoLocalization" } }, "description": "Basic details about a video, including title, description, uploader, thumbnails and category.", "type": "object", "id": "VideoSnippet" }, "PlaylistListResponse": { "properties": { "items": { "items": { "$ref": "Playlist" }, "description": "A list of playlists that match the request criteria", "type": "array" }, "prevPageToken": { "type": "string", "description": "The token that can be used as the value of the pageToken parameter to retrieve the previous page in the result set." }, "nextPageToken": { "type": "string", "description": "The token that can be used as the value of the pageToken parameter to retrieve the next page in the result set." }, "visitorId": { "type": "string", "description": "The visitorId identifies the visitor." }, "kind": { "type": "string", "default": "youtube#playlistListResponse", "description": "Identifies what kind of resource this is. Value: the fixed string \"youtube#playlistListResponse\"." }, "pageInfo": { "description": "General pagination information.", "$ref": "PageInfo" }, "etag": { "type": "string", "description": "Etag of this resource." }, "tokenPagination": { "$ref": "TokenPagination" }, "eventId": { "type": "string", "description": "Serialized EventId of the request which produced this response." } }, "type": "object", "id": "PlaylistListResponse" }, "I18nRegionSnippet": { "properties": { "name": { "type": "string", "description": "The human-readable name of the region." }, "gl": { "type": "string", "description": "The region code as a 2-letter ISO country code." } }, "id": "I18nRegionSnippet", "type": "object", "description": "Basic details about an i18n region, such as region code and human-readable name." }, "VideoAbuseReportSecondaryReason": { "properties": { "id": { "type": "string", "description": "The ID of this abuse report secondary reason." }, "label": { "description": "The localized label for this abuse report secondary reason.", "type": "string" } }, "type": "object", "id": "VideoAbuseReportSecondaryReason" }, "CommentSnippet": { "id": "CommentSnippet", "type": "object", "properties": { "publishedAt": { "format": "date-time", "description": "The date and time when the comment was originally published.", "type": "string" }, "authorChannelUrl": { "description": "Link to the author's YouTube channel, if any.", "type": "string" }, "parentId": { "type": "string", "description": "The unique id of the parent comment, only set for replies." }, "canRate": { "description": "Whether the current viewer can rate this comment.", "type": "boolean" }, "viewerRating": { "type": "string", "enumDescriptions": [ "", "The entity is liked.", "The entity is disliked." ], "enum": [ "none", "like", "dislike" ], "description": "The rating the viewer has given to this comment. For the time being this will never return RATE_TYPE_DISLIKE and instead return RATE_TYPE_NONE. This may change in the future." }, "authorChannelId": { "$ref": "CommentSnippetAuthorChannelId" }, "updatedAt": { "type": "string", "format": "date-time", "description": "The date and time when the comment was last updated." }, "textOriginal": { "description": "The comment's original raw text as initially posted or last updated. The original text will only be returned if it is accessible to the viewer, which is only guaranteed if the viewer is the comment's author.", "type": "string" }, "authorProfileImageUrl": { "type": "string", "description": "The URL for the avatar of the user who posted the comment." }, "videoId": { "type": "string", "description": "The ID of the video the comment refers to, if any." }, "textDisplay": { "type": "string", "description": "The comment's text. The format is either plain text or HTML dependent on what has been requested. Even the plain text representation may differ from the text originally posted in that it may replace video links with video titles etc." }, "moderationStatus": { "description": "The comment's moderation status. Will not be set if the comments were requested through the id filter.", "enumDescriptions": [ "The comment is available for public display.", "The comment is awaiting review by a moderator.", "", "The comment is unfit for display." ], "type": "string", "enum": [ "published", "heldForReview", "likelySpam", "rejected" ] }, "channelId": { "description": "The id of the corresponding YouTube channel. In case of a channel comment this is the channel the comment refers to. In case of a video comment it's the video's channel.", "type": "string" }, "likeCount": { "format": "uint32", "type": "integer", "description": "The total number of likes this comment has received." }, "authorDisplayName": { "description": "The name of the user who posted the comment.", "type": "string" } }, "description": "Basic details about a comment, such as its author and text." }, "VideoRecordingDetails": { "description": "Recording information associated with the video.", "id": "VideoRecordingDetails", "type": "object", "properties": { "location": { "$ref": "GeoPoint", "description": "The geolocation information associated with the video." }, "recordingDate": { "type": "string", "format": "date-time", "description": "The date and time when the video was recorded." }, "locationDescription": { "description": "The text description of the location where the video was recorded.", "type": "string" } } }, "SubscriptionSubscriberSnippet": { "properties": { "thumbnails": { "$ref": "ThumbnailDetails", "description": "Thumbnails for this subscriber." }, "description": { "type": "string", "description": "The description of the subscriber." }, "channelId": { "type": "string", "description": "The channel ID of the subscriber." }, "title": { "type": "string", "description": "The title of the subscriber." } }, "type": "object", "description": "Basic details about a subscription's subscriber including title, description, channel ID and thumbnails.", "id": "SubscriptionSubscriberSnippet" }, "LiveChatModeratorSnippet": { "id": "LiveChatModeratorSnippet", "type": "object", "properties": { "liveChatId": { "description": "The ID of the live chat this moderator can act on.", "type": "string" }, "moderatorDetails": { "$ref": "ChannelProfileDetails", "description": "Details about the moderator." } } }, "LiveChatTextMessageDetails": { "properties": { "messageText": { "description": "The user's message.", "type": "string" } }, "id": "LiveChatTextMessageDetails", "type": "object" }, "ChannelSectionLocalization": { "description": "ChannelSection localization setting", "id": "ChannelSectionLocalization", "properties": { "title": { "type": "string", "description": "The localized strings for channel section's title." } }, "type": "object" }, "VideoCategory": { "id": "VideoCategory", "description": "A *videoCategory* resource identifies a category that has been or could be associated with uploaded videos.", "properties": { "kind": { "type": "string", "default": "youtube#videoCategory", "description": "Identifies what kind of resource this is. Value: the fixed string \"youtube#videoCategory\"." }, "id": { "description": "The ID that YouTube uses to uniquely identify the video category.", "type": "string" }, "etag": { "type": "string", "description": "Etag of this resource." }, "snippet": { "$ref": "VideoCategorySnippet", "description": "The snippet object contains basic details about the video category, including its title." } }, "type": "object" }, "SearchListResponse": { "id": "SearchListResponse", "type": "object", "properties": { "nextPageToken": { "type": "string", "description": "The token that can be used as the value of the pageToken parameter to retrieve the next page in the result set." }, "eventId": { "type": "string", "description": "Serialized EventId of the request which produced this response." }, "prevPageToken": { "description": "The token that can be used as the value of the pageToken parameter to retrieve the previous page in the result set.", "type": "string" }, "visitorId": { "type": "string", "description": "The visitorId identifies the visitor." }, "tokenPagination": { "$ref": "TokenPagination" }, "etag": { "type": "string", "description": "Etag of this resource." }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"youtube#searchListResponse\".", "type": "string", "default": "youtube#searchListResponse" }, "regionCode": { "type": "string" }, "pageInfo": { "description": "General pagination information.", "$ref": "PageInfo" }, "items": { "type": "array", "description": "Pagination information for token pagination.", "items": { "$ref": "SearchResult" } } } }, "SearchResult": { "type": "object", "id": "SearchResult", "description": "A search result contains information about a YouTube video, channel, or playlist that matches the search parameters specified in an API request. While a search result points to a uniquely identifiable resource, like a video, it does not have its own persistent data.", "properties": { "id": { "$ref": "ResourceId", "description": "The id object contains information that can be used to uniquely identify the resource that matches the search request." }, "snippet": { "$ref": "SearchResultSnippet", "description": "The snippet object contains basic details about a search result, such as its title or description. For example, if the search result is a video, then the title will be the video's title and the description will be the video's description." }, "etag": { "description": "Etag of this resource.", "type": "string" }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"youtube#searchResult\".", "default": "youtube#searchResult" } } }, "PlaylistItemContentDetails": { "id": "PlaylistItemContentDetails", "properties": { "endAt": { "type": "string", "description": "The time, measured in seconds from the start of the video, when the video should stop playing. (The playlist owner can specify the times when the video should start and stop playing when the video is played in the context of the playlist.) By default, assume that the video.endTime is the end of the video." }, "videoId": { "type": "string", "description": "The ID that YouTube uses to uniquely identify a video. To retrieve the video resource, set the id query parameter to this value in your API request." }, "videoPublishedAt": { "format": "date-time", "description": "The date and time that the video was published to YouTube.", "type": "string" }, "startAt": { "description": "The time, measured in seconds from the start of the video, when the video should start playing. (The playlist owner can specify the times when the video should start and stop playing when the video is played in the context of the playlist.) The default value is 0.", "type": "string" }, "note": { "description": "A user-generated note for this item.", "type": "string" } }, "type": "object" }, "VideoAgeGating": { "type": "object", "properties": { "alcoholContent": { "description": "Indicates whether or not the video has alcoholic beverage content. Only users of legal purchasing age in a particular country, as identified by ICAP, can view the content.", "type": "boolean" }, "videoGameRating": { "description": "Video game rating, if any.", "enum": [ "anyone", "m15Plus", "m16Plus", "m17Plus" ], "enumDescriptions": [ "", "", "", "" ], "type": "string" }, "restricted": { "type": "boolean", "description": "Age-restricted trailers. For redband trailers and adult-rated video-games. Only users aged 18+ can view the content. The the field is true the content is restricted to viewers aged 18+. Otherwise The field won't be present." } }, "id": "VideoAgeGating" }, "LiveStreamConfigurationIssue": { "properties": { "type": { "type": "string", "enumDescriptions": [ "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "" ], "enum": [ "gopSizeOver", "gopSizeLong", "gopSizeShort", "openGop", "badContainer", "audioBitrateHigh", "audioBitrateLow", "audioSampleRate", "bitrateHigh", "bitrateLow", "audioCodec", "videoCodec", "noAudioStream", "noVideoStream", "multipleVideoStreams", "multipleAudioStreams", "audioTooManyChannels", "interlacedVideo", "frameRateHigh", "resolutionMismatch", "videoCodecMismatch", "videoInterlaceMismatch", "videoProfileMismatch", "videoBitrateMismatch", "framerateMismatch", "gopMismatch", "audioSampleRateMismatch", "audioStereoMismatch", "audioCodecMismatch", "audioBitrateMismatch", "videoResolutionSuboptimal", "videoResolutionUnsupported", "videoIngestionStarved", "videoIngestionFasterThanRealtime" ], "description": "The kind of error happening." }, "reason": { "type": "string", "description": "The short-form reason for this issue." }, "severity": { "enum": [ "info", "warning", "error" ], "enumDescriptions": [ "", "", "" ], "type": "string", "description": "How severe this issue is to the stream." }, "description": { "type": "string", "description": "The long-form description of the issue and how to resolve it." } }, "type": "object", "id": "LiveStreamConfigurationIssue" }, "TokenPagination": { "id": "TokenPagination", "properties": {}, "description": "Stub token pagination template to suppress results.", "type": "object" }, "CdnSettings": { "description": "Brief description of the live stream cdn settings.", "properties": { "ingestionInfo": { "description": "The ingestionInfo object contains information that YouTube provides that you need to transmit your RTMP or HTTP stream to YouTube.", "$ref": "IngestionInfo" }, "resolution": { "enumDescriptions": [ "", "", "", "", "", "", "", "" ], "type": "string", "enum": [ "240p", "360p", "480p", "720p", "1080p", "1440p", "2160p", "variable" ], "description": "The resolution of the inbound video data." }, "format": { "annotations": { "required": [ "youtube.liveStreams.insert", "youtube.liveStreams.update" ] }, "type": "string", "description": "The format of the video stream that you are sending to Youtube. " }, "frameRate": { "type": "string", "enum": [ "30fps", "60fps", "variable" ], "enumDescriptions": [ "", "", "" ], "description": "The frame rate of the inbound video data." }, "ingestionType": { "enumDescriptions": [ "", "", "", "" ], "annotations": { "required": [ "youtube.liveStreams.insert", "youtube.liveStreams.update" ] }, "description": " The method or protocol used to transmit the video stream.", "type": "string", "enum": [ "rtmp", "dash", "webrtc", "hls" ] } }, "id": "CdnSettings", "type": "object" }, "PlaylistItemListResponse": { "type": "object", "properties": { "items": { "description": "A list of playlist items that match the request criteria.", "type": "array", "items": { "$ref": "PlaylistItem" } }, "nextPageToken": { "type": "string", "description": "The token that can be used as the value of the pageToken parameter to retrieve the next page in the result set." }, "visitorId": { "description": "The visitorId identifies the visitor.", "type": "string" }, "etag": { "type": "string" }, "eventId": { "description": "Serialized EventId of the request which produced this response.", "type": "string" }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"youtube#playlistItemListResponse\". Etag of this resource.", "type": "string", "default": "youtube#playlistItemListResponse" }, "prevPageToken": { "type": "string", "description": "The token that can be used as the value of the pageToken parameter to retrieve the previous page in the result set." }, "tokenPagination": { "$ref": "TokenPagination" }, "pageInfo": { "description": "General pagination information.", "$ref": "PageInfo" } }, "id": "PlaylistItemListResponse" }, "ActivityContentDetailsRecommendation": { "description": "Information that identifies the recommended resource.", "type": "object", "properties": { "seedResourceId": { "$ref": "ResourceId", "description": "The seedResourceId object contains information about the resource that caused the recommendation." }, "reason": { "description": "The reason that the resource is recommended to the user.", "enum": [ "reasonUnspecified", "videoFavorited", "videoLiked", "videoWatched" ], "type": "string", "enumDescriptions": [ "", "", "", "" ] }, "resourceId": { "$ref": "ResourceId", "description": "The resourceId object contains information that identifies the recommended resource." } }, "id": "ActivityContentDetailsRecommendation" }, "LiveChatUserBannedMessageDetails": { "id": "LiveChatUserBannedMessageDetails", "type": "object", "properties": { "banType": { "enum": [ "permanent", "temporary" ], "enumDescriptions": [ "", "" ], "description": "The type of ban.", "type": "string" }, "bannedUserDetails": { "$ref": "ChannelProfileDetails", "description": "The details of the user that was banned." }, "banDurationSeconds": { "type": "string", "format": "uint64", "description": "The duration of the ban. This property is only present if the banType is temporary." } } }, "PlaylistLocalization": { "type": "object", "description": "Playlist localization setting", "properties": { "title": { "description": "The localized strings for playlist's title.", "type": "string" }, "description": { "type": "string", "description": "The localized strings for playlist's description." } }, "id": "PlaylistLocalization" }, "VideoLocalization": { "properties": { "description": { "type": "string", "description": "Localized version of the video's description." }, "title": { "description": "Localized version of the video's title.", "type": "string" } }, "type": "object", "description": "Localized versions of certain video properties (e.g. title).", "id": "VideoLocalization" }, "CommentListResponse": { "type": "object", "id": "CommentListResponse", "properties": { "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"youtube#commentListResponse\".", "default": "youtube#commentListResponse" }, "items": { "items": { "$ref": "Comment" }, "description": "A list of comments that match the request criteria.", "type": "array" }, "etag": { "type": "string", "description": "Etag of this resource." }, "eventId": { "description": "Serialized EventId of the request which produced this response.", "type": "string" }, "tokenPagination": { "$ref": "TokenPagination" }, "visitorId": { "description": "The visitorId identifies the visitor.", "type": "string" }, "pageInfo": { "description": "General pagination information.", "$ref": "PageInfo" }, "nextPageToken": { "type": "string", "description": "The token that can be used as the value of the pageToken parameter to retrieve the next page in the result set." } } }, "ChannelSettings": { "type": "object", "properties": { "defaultLanguage": { "type": "string" }, "country": { "description": "The country of the channel.", "type": "string" }, "defaultTab": { "description": "Which content tab users should see when viewing the channel.", "type": "string" }, "showRelatedChannels": { "description": "Whether related channels should be proposed.", "type": "boolean" }, "featuredChannelsUrls": { "items": { "type": "string" }, "type": "array", "description": "The list of featured channels." }, "profileColor": { "description": "A prominent color that can be rendered on this channel page.", "type": "string" }, "trackingAnalyticsAccountId": { "type": "string", "description": "The ID for a Google Analytics account to track and measure traffic to the channels." }, "title": { "type": "string", "description": "Specifies the channel title." }, "moderateComments": { "type": "boolean", "description": "Whether user-submitted comments left on the channel page need to be approved by the channel owner to be publicly visible." }, "description": { "description": "Specifies the channel description.", "type": "string" }, "unsubscribedTrailer": { "description": "The trailer of the channel, for users that are not subscribers.", "type": "string" }, "featuredChannelsTitle": { "type": "string", "description": "Title for the featured channels tab." }, "keywords": { "type": "string", "description": "Lists keywords associated with the channel, comma-separated." }, "showBrowseView": { "type": "boolean", "description": "Whether the tab to browse the videos should be displayed." } }, "description": "Branding properties for the channel view.", "id": "ChannelSettings" }, "ActivityContentDetailsChannelItem": { "type": "object", "description": "Details about a resource which was added to a channel.", "id": "ActivityContentDetailsChannelItem", "properties": { "resourceId": { "$ref": "ResourceId", "description": "The resourceId object contains information that identifies the resource that was added to the channel." } } }, "Playlist": { "properties": { "etag": { "description": "Etag of this resource.", "type": "string" }, "id": { "description": "The ID that YouTube uses to uniquely identify the playlist.", "type": "string" }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"youtube#playlist\".", "default": "youtube#playlist" }, "snippet": { "$ref": "PlaylistSnippet", "description": "The snippet object contains basic details about the playlist, such as its title and description." }, "localizations": { "description": "Localizations for different languages", "type": "object", "additionalProperties": { "$ref": "PlaylistLocalization" } }, "contentDetails": { "description": "The contentDetails object contains information like video count.", "$ref": "PlaylistContentDetails" }, "player": { "$ref": "PlaylistPlayer", "description": "The player object contains information that you would use to play the playlist in an embedded player." }, "status": { "description": "The status object contains status information for the playlist.", "$ref": "PlaylistStatus" } }, "description": "A *playlist* resource represents a YouTube playlist. A playlist is a collection of videos that can be viewed sequentially and shared with other users. A playlist can contain up to 200 videos, and YouTube does not limit the number of playlists that each user creates. By default, playlists are publicly visible to other users, but playlists can be public or private. YouTube also uses playlists to identify special collections of videos for a channel, such as: - uploaded videos - favorite videos - positively rated (liked) videos - watch history - watch later To be more specific, these lists are associated with a channel, which is a collection of a person, group, or company's videos, playlists, and other YouTube information. You can retrieve the playlist IDs for each of these lists from the channel resource for a given channel. You can then use the playlistItems.list method to retrieve any of those lists. You can also add or remove items from those lists by calling the playlistItems.insert and playlistItems.delete methods.", "type": "object", "id": "Playlist" }, "MembershipsLevelListResponse": { "id": "MembershipsLevelListResponse", "type": "object", "properties": { "eventId": { "type": "string", "description": "Serialized EventId of the request which produced this response." }, "etag": { "description": "Etag of this resource.", "type": "string" }, "items": { "items": { "$ref": "MembershipsLevel" }, "description": "A list of pricing levels offered by a creator to the fans.", "type": "array" }, "visitorId": { "description": "The visitorId identifies the visitor.", "type": "string" }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"youtube#membershipsLevelListResponse\".", "default": "youtube#membershipsLevelListResponse", "type": "string" } } }, "TestItem": { "properties": { "featuredPart": { "type": "boolean" }, "snippet": { "$ref": "TestItemTestItemSnippet" }, "gaia": { "format": "int64", "type": "string" }, "id": { "type": "string" } }, "type": "object", "id": "TestItem" }, "LiveChatMessageDeletedDetails": { "properties": { "deletedMessageId": { "type": "string" } }, "type": "object", "id": "LiveChatMessageDeletedDetails" }, "ThirdPartyLinkListResponse": { "type": "object", "properties": { "items": { "type": "array", "items": { "$ref": "ThirdPartyLink" } }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"youtube#thirdPartyLinkListResponse\".", "default": "youtube#thirdPartyLinkListResponse", "type": "string" }, "etag": { "type": "string", "description": "Etag of this resource." } }, "id": "ThirdPartyLinkListResponse" }, "PlaylistContentDetails": { "properties": { "itemCount": { "format": "uint32", "type": "integer", "description": "The number of videos in the playlist." } }, "type": "object", "id": "PlaylistContentDetails" }, "ActivityContentDetailsPlaylistItem": { "id": "ActivityContentDetailsPlaylistItem", "description": "Information about a new playlist item.", "type": "object", "properties": { "playlistItemId": { "type": "string", "description": "ID of the item within the playlist." }, "resourceId": { "description": "The resourceId object contains information about the resource that was added to the playlist.", "$ref": "ResourceId" }, "playlistId": { "type": "string", "description": "The value that YouTube uses to uniquely identify the playlist." } } }, "SubscriptionSnippet": { "type": "object", "properties": { "description": { "description": "The subscription's details.", "type": "string" }, "thumbnails": { "description": "A map of thumbnail images associated with the video. For each object in the map, the key is the name of the thumbnail image, and the value is an object that contains other information about the thumbnail.", "$ref": "ThumbnailDetails" }, "channelTitle": { "description": "Channel title for the channel that the subscription belongs to.", "type": "string" }, "channelId": { "description": "The ID that YouTube uses to uniquely identify the subscriber's channel.", "type": "string" }, "title": { "description": "The subscription's title.", "type": "string" }, "resourceId": { "annotations": { "required": [ "youtube.subscriptions.insert" ] }, "$ref": "ResourceId", "description": "The id object contains information about the channel that the user subscribed to." }, "publishedAt": { "format": "date-time", "description": "The date and time that the subscription was created.", "type": "string" } }, "description": "Basic details about a subscription, including title, description and thumbnails of the subscribed item.", "id": "SubscriptionSnippet" }, "CommentThreadReplies": { "id": "CommentThreadReplies", "properties": { "comments": { "type": "array", "description": "A limited number of replies. Unless the number of replies returned equals total_reply_count in the snippet the returned replies are only a subset of the total number of replies.", "items": { "$ref": "Comment" } } }, "type": "object", "description": "Comments written in (direct or indirect) reply to the top level comment." }, "ChannelToStoreLinkDetails": { "type": "object", "description": "Information specific to a store on a merchandising platform linked to a YouTube channel.", "id": "ChannelToStoreLinkDetails", "properties": { "merchantId": { "description": "Google Merchant Center id of the store.", "format": "uint64", "type": "string" }, "storeUrl": { "type": "string", "description": "Landing page of the store." }, "storeName": { "type": "string", "description": "Name of the store." } } }, "CaptionListResponse": { "properties": { "eventId": { "type": "string", "description": "Serialized EventId of the request which produced this response." }, "etag": { "description": "Etag of this resource.", "type": "string" }, "visitorId": { "description": "The visitorId identifies the visitor.", "type": "string" }, "kind": { "default": "youtube#captionListResponse", "description": "Identifies what kind of resource this is. Value: the fixed string \"youtube#captionListResponse\".", "type": "string" }, "items": { "description": "A list of captions that match the request criteria.", "items": { "$ref": "Caption" }, "type": "array" } }, "type": "object", "id": "CaptionListResponse" }, "LiveChatModeratorListResponse": { "properties": { "items": { "type": "array", "items": { "$ref": "LiveChatModerator" }, "description": "A list of moderators that match the request criteria." }, "nextPageToken": { "type": "string", "description": "The token that can be used as the value of the pageToken parameter to retrieve the next page in the result set." }, "prevPageToken": { "type": "string", "description": "The token that can be used as the value of the pageToken parameter to retrieve the previous page in the result set." }, "pageInfo": { "description": "General pagination information.", "$ref": "PageInfo" }, "etag": { "description": "Etag of this resource.", "type": "string" }, "eventId": { "type": "string", "description": "Serialized EventId of the request which produced this response." }, "kind": { "default": "youtube#liveChatModeratorListResponse", "description": "Identifies what kind of resource this is. Value: the fixed string \"youtube#liveChatModeratorListResponse\".", "type": "string" }, "tokenPagination": { "$ref": "TokenPagination" }, "visitorId": { "type": "string", "description": "The visitorId identifies the visitor." } }, "type": "object", "id": "LiveChatModeratorListResponse" }, "PageInfo": { "type": "object", "properties": { "resultsPerPage": { "format": "int32", "type": "integer", "description": "The number of results included in the API response." }, "totalResults": { "description": "The total number of results in the result set.", "format": "int32", "type": "integer" } }, "description": "Paging details for lists of resources, including total number of items available and number of resources returned in a single page.", "id": "PageInfo" }, "CaptionSnippet": { "description": "Basic details about a caption track, such as its language and name.", "id": "CaptionSnippet", "type": "object", "properties": { "videoId": { "type": "string", "annotations": { "required": [ "youtube.captions.insert" ] }, "description": "The ID that YouTube uses to uniquely identify the video associated with the caption track. @mutable youtube.captions.insert" }, "status": { "description": "The caption track's status.", "enumDescriptions": [ "", "", "" ], "type": "string", "enum": [ "serving", "syncing", "failed" ] }, "trackKind": { "enum": [ "standard", "ASR", "forced" ], "type": "string", "enumDescriptions": [ "", "", "" ], "description": "The caption track's type." }, "name": { "type": "string", "annotations": { "required": [ "youtube.captions.insert" ] }, "description": "The name of the caption track. The name is intended to be visible to the user as an option during playback." }, "isCC": { "type": "boolean", "description": "Indicates whether the track contains closed captions for the deaf and hard of hearing. The default value is false." }, "lastUpdated": { "type": "string", "description": "The date and time when the caption track was last updated.", "format": "date-time" }, "isAutoSynced": { "description": "Indicates whether YouTube synchronized the caption track to the audio track in the video. The value will be true if a sync was explicitly requested when the caption track was uploaded. For example, when calling the captions.insert or captions.update methods, you can set the sync parameter to true to instruct YouTube to sync the uploaded track to the video. If the value is false, YouTube uses the time codes in the uploaded caption track to determine when to display captions.", "type": "boolean" }, "isLarge": { "type": "boolean", "description": "Indicates whether the caption track uses large text for the vision-impaired. The default value is false." }, "language": { "annotations": { "required": [ "youtube.captions.insert" ] }, "description": "The language of the caption track. The property value is a BCP-47 language tag.", "type": "string" }, "isDraft": { "description": "Indicates whether the caption track is a draft. If the value is true, then the track is not publicly visible. The default value is false. @mutable youtube.captions.insert youtube.captions.update", "type": "boolean" }, "isEasyReader": { "type": "boolean", "description": "Indicates whether caption track is formatted for \"easy reader,\" meaning it is at a third-grade level for language learners. The default value is false." }, "failureReason": { "enum": [ "unknownFormat", "unsupportedFormat", "processingFailed" ], "type": "string", "enumDescriptions": [ "", "", "" ], "description": "The reason that YouTube failed to process the caption track. This property is only present if the state property's value is failed." }, "audioTrackType": { "description": "The type of audio track associated with the caption track.", "type": "string", "enumDescriptions": [ "", "", "", "" ], "enum": [ "unknown", "primary", "commentary", "descriptive" ] } } }, "SuperStickerMetadata": { "properties": { "stickerId": { "description": "Unique identifier of the Super Sticker. This is a shorter form of the alt_text that includes pack name and a recognizable characteristic of the sticker.", "type": "string" }, "altText": { "type": "string", "description": "Internationalized alt text that describes the sticker image and any animation associated with it." }, "altTextLanguage": { "description": "Specifies the localization language in which the alt text is returned.", "type": "string" } }, "type": "object", "id": "SuperStickerMetadata" }, "ChannelStatus": { "description": "JSON template for the status part of a channel.", "properties": { "madeForKids": { "type": "boolean" }, "selfDeclaredMadeForKids": { "type": "boolean" }, "privacyStatus": { "enumDescriptions": [ "", "", "" ], "type": "string", "enum": [ "public", "unlisted", "private" ], "description": "Privacy status of the channel." }, "isLinked": { "description": "If true, then the user is linked to either a YouTube username or G+ account. Otherwise, the user doesn't have a public YouTube identity.", "type": "boolean" }, "longUploadsStatus": { "enumDescriptions": [ "", "", "", "" ], "description": "The long uploads status of this channel. See https://support.google.com/youtube/answer/71673 for more information.", "enum": [ "longUploadsUnspecified", "allowed", "eligible", "disallowed" ], "type": "string" } }, "id": "ChannelStatus", "type": "object" }, "LiveBroadcastContentDetails": { "type": "object", "id": "LiveBroadcastContentDetails", "description": "Detailed settings of a broadcast.", "properties": { "startWithSlate": { "description": "This setting indicates whether the broadcast should automatically begin with an in-stream slate when you update the broadcast's status to live. After updating the status, you then need to send a liveCuepoints.insert request that sets the cuepoint's eventState to end to remove the in-stream slate and make your broadcast stream visible to viewers.", "annotations": { "required": [ "youtube.liveBroadcasts.update" ] }, "type": "boolean" }, "mesh": { "format": "byte", "description": "The mesh for projecting the video if projection is mesh. The mesh value must be a UTF-8 string containing the base-64 encoding of 3D mesh data that follows the Spherical Video V2 RFC specification for an mshp box, excluding the box size and type but including the following four reserved zero bytes for the version and flags.", "type": "string" }, "stereoLayout": { "enum": [ "stereoLayoutUnspecified", "mono", "leftRight", "topBottom" ], "type": "string", "enumDescriptions": [ "", "", "", "" ], "description": "The 3D stereo layout of this broadcast. This defaults to mono." }, "recordFromStart": { "type": "boolean", "description": "Automatically start recording after the event goes live. The default value for this property is true. *Important:* You must also set the enableDvr property's value to true if you want the playback to be available immediately after the broadcast ends. If you set this property's value to true but do not also set the enableDvr property to true, there may be a delay of around one day before the archived video will be available for playback.", "annotations": { "required": [ "youtube.liveBroadcasts.update" ] } }, "enableLowLatency": { "description": "Indicates whether this broadcast has low latency enabled.", "type": "boolean" }, "enableAutoStart": { "description": "This setting indicates whether auto start is enabled for this broadcast. The default value for this property is false. This setting can only be used by Events.", "type": "boolean" }, "boundStreamId": { "type": "string", "description": "This value uniquely identifies the live stream bound to the broadcast." }, "monitorStream": { "$ref": "MonitorStreamInfo", "description": "The monitorStream object contains information about the monitor stream, which the broadcaster can use to review the event content before the broadcast stream is shown publicly." }, "projection": { "type": "string", "enumDescriptions": [ "", "", "", "" ], "description": "The projection format of this broadcast. This defaults to rectangular.", "enum": [ "projectionUnspecified", "rectangular", "360", "mesh" ] }, "enableDvr": { "type": "boolean", "description": "This setting determines whether viewers can access DVR controls while watching the video. DVR controls enable the viewer to control the video playback experience by pausing, rewinding, or fast forwarding content. The default value for this property is true. *Important:* You must set the value to true and also set the enableArchive property's value to true if you want to make playback available immediately after the broadcast ends.", "annotations": { "required": [ "youtube.liveBroadcasts.update" ] } }, "latencyPreference": { "enumDescriptions": [ "", "Best for: highest quality viewer playbacks and higher resolutions.", "Best for: near real-time interaction, with minimal playback buffering.", "Best for: real-time interaction Does not support: Closed captions, 1440p, and 4k resolutions" ], "enum": [ "latencyPreferenceUnspecified", "normal", "low", "ultraLow" ], "description": "If both this and enable_low_latency are set, they must match. LATENCY_NORMAL should match enable_low_latency=false LATENCY_LOW should match enable_low_latency=true LATENCY_ULTRA_LOW should have enable_low_latency omitted.", "type": "string" }, "enableContentEncryption": { "type": "boolean", "annotations": { "required": [ "youtube.liveBroadcasts.update" ] }, "description": "This setting indicates whether YouTube should enable content encryption for the broadcast." }, "enableClosedCaptions": { "type": "boolean", "description": "This setting indicates whether HTTP POST closed captioning is enabled for this broadcast. The ingestion URL of the closed captions is returned through the liveStreams API. This is mutually exclusive with using the closed_captions_type property, and is equivalent to setting closed_captions_type to CLOSED_CAPTIONS_HTTP_POST." }, "closedCaptionsType": { "enumDescriptions": [ "", "", "", "" ], "enum": [ "closedCaptionsTypeUnspecified", "closedCaptionsDisabled", "closedCaptionsHttpPost", "closedCaptionsEmbedded" ], "type": "string" }, "enableEmbed": { "type": "boolean", "description": "This setting indicates whether the broadcast video can be played in an embedded player. If you choose to archive the video (using the enableArchive property), this setting will also apply to the archived video.", "annotations": { "required": [ "youtube.liveBroadcasts.update" ] } }, "enableAutoStop": { "type": "boolean", "description": "This setting indicates whether auto stop is enabled for this broadcast. The default value for this property is false. This setting can only be used by Events." }, "boundStreamLastUpdateTimeMs": { "description": "The date and time that the live stream referenced by boundStreamId was last updated.", "type": "string", "format": "date-time" } } }, "AbuseType": { "properties": { "id": { "type": "string" } }, "type": "object", "id": "AbuseType" }, "ActivityContentDetailsLike": { "id": "ActivityContentDetailsLike", "properties": { "resourceId": { "description": "The resourceId object contains information that identifies the rated resource.", "$ref": "ResourceId" } }, "description": "Information about a resource that received a positive (like) rating.", "type": "object" }, "ChannelContentOwnerDetails": { "properties": { "timeLinked": { "description": "The date and time when the channel was linked to the content owner.", "type": "string", "format": "date-time" }, "contentOwner": { "description": "The ID of the content owner linked to the channel.", "type": "string" } }, "type": "object", "description": "The contentOwnerDetails object encapsulates channel data that is relevant for YouTube Partners linked with the channel.", "id": "ChannelContentOwnerDetails" }, "LiveChatBan": { "properties": { "etag": { "description": "Etag of this resource.", "type": "string" }, "snippet": { "$ref": "LiveChatBanSnippet", "description": "The `snippet` object contains basic details about the ban." }, "kind": { "default": "youtube#liveChatBan", "description": "Identifies what kind of resource this is. Value: the fixed string `\"youtube#liveChatBan\"`.", "type": "string" }, "id": { "type": "string", "description": "The ID that YouTube assigns to uniquely identify the ban." } }, "type": "object", "description": "A `__liveChatBan__` resource represents a ban for a YouTube live chat.", "id": "LiveChatBan" }, "ThumbnailSetResponse": { "properties": { "items": { "items": { "$ref": "ThumbnailDetails" }, "type": "array", "description": "A list of thumbnails." }, "eventId": { "type": "string", "description": "Serialized EventId of the request which produced this response." }, "etag": { "type": "string", "description": "Etag of this resource." }, "kind": { "type": "string", "default": "youtube#thumbnailSetResponse", "description": "Identifies what kind of resource this is. Value: the fixed string \"youtube#thumbnailSetResponse\"." }, "visitorId": { "description": "The visitorId identifies the visitor.", "type": "string" } }, "type": "object", "id": "ThumbnailSetResponse" }, "InvideoBranding": { "description": "LINT.IfChange Describes an invideo branding.", "id": "InvideoBranding", "type": "object", "properties": { "position": { "$ref": "InvideoPosition", "description": "The spatial position within the video where the branding watermark will be displayed." }, "imageUrl": { "type": "string", "description": "The url of the uploaded image. Only used in apiary to api communication." }, "targetChannelId": { "type": "string", "description": "The channel to which this branding links. If not present it defaults to the current channel." }, "imageBytes": { "description": "The bytes the uploaded image. Only used in api to youtube communication.", "type": "string", "format": "byte" }, "timing": { "$ref": "InvideoTiming", "description": "The temporal position within the video where watermark will be displayed." } } }, "ThumbnailDetails": { "type": "object", "description": "Internal representation of thumbnails for a YouTube resource.", "properties": { "medium": { "description": "The medium quality image for this resource.", "$ref": "Thumbnail" }, "maxres": { "$ref": "Thumbnail", "description": "The maximum resolution quality image for this resource." }, "standard": { "$ref": "Thumbnail", "description": "The standard quality image for this resource." }, "default": { "$ref": "Thumbnail", "description": "The default image for this resource." }, "high": { "description": "The high quality image for this resource.", "$ref": "Thumbnail" } }, "id": "ThumbnailDetails" }, "InvideoTiming": { "properties": { "type": { "type": "string", "description": "Describes a timing type. If the value is offsetFromStart, then the offsetMs field represents an offset from the start of the video. If the value is offsetFromEnd, then the offsetMs field represents an offset from the end of the video.", "enum": [ "offsetFromStart", "offsetFromEnd" ], "enumDescriptions": [ "", "" ] }, "durationMs": { "format": "uint64", "type": "string", "description": "Defines the duration in milliseconds for which the promotion should be displayed. If missing, the client should use the default." }, "offsetMs": { "format": "uint64", "description": "Defines the time at which the promotion will appear. Depending on the value of type the value of the offsetMs field will represent a time offset from the start or from the end of the video, expressed in milliseconds.", "type": "string" } }, "type": "object", "id": "InvideoTiming", "description": "Describes a temporal position of a visual widget inside a video." }, "LiveChatMessageListResponse": { "properties": { "items": { "items": { "$ref": "LiveChatMessage" }, "type": "array" }, "visitorId": { "description": "The visitorId identifies the visitor.", "type": "string" }, "tokenPagination": { "$ref": "TokenPagination" }, "eventId": { "type": "string", "description": "Serialized EventId of the request which produced this response." }, "pageInfo": { "$ref": "PageInfo", "description": "General pagination information." }, "pollingIntervalMillis": { "format": "uint32", "type": "integer", "description": "The amount of time the client should wait before polling again." }, "nextPageToken": { "type": "string" }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"youtube#liveChatMessageListResponse\".", "type": "string", "default": "youtube#liveChatMessageListResponse" }, "offlineAt": { "format": "date-time", "description": "The date and time when the underlying stream went offline.", "type": "string" }, "etag": { "description": "Etag of this resource.", "type": "string" } }, "type": "object", "id": "LiveChatMessageListResponse" }, "VideoRating": { "description": "Basic details about rating of a video.", "type": "object", "id": "VideoRating", "properties": { "videoId": { "description": "The ID that YouTube uses to uniquely identify the video.", "type": "string" }, "rating": { "type": "string", "enumDescriptions": [ "", "The entity is liked.", "The entity is disliked." ], "enum": [ "none", "like", "dislike" ], "description": "Rating of a video." } } }, "LocalizedProperty": { "id": "LocalizedProperty", "type": "object", "properties": { "localized": { "items": { "$ref": "LocalizedString" }, "type": "array" }, "default": { "type": "string" }, "defaultLanguage": { "description": "The language of the default property.", "$ref": "LanguageTag" } } }, "VideoAbuseReportReasonListResponse": { "type": "object", "id": "VideoAbuseReportReasonListResponse", "properties": { "etag": { "description": "Etag of this resource.", "type": "string" }, "items": { "type": "array", "items": { "$ref": "VideoAbuseReportReason" }, "description": "A list of valid abuse reasons that are used with `video.ReportAbuse`." }, "eventId": { "description": "Serialized EventId of the request which produced this response.", "type": "string" }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string `\"youtube#videoAbuseReportReasonListResponse\"`.", "default": "youtube#videoAbuseReportReasonListResponse", "type": "string" }, "visitorId": { "description": "The `visitorId` identifies the visitor.", "type": "string" } } }, "Entity": { "type": "object", "id": "Entity", "properties": { "typeId": { "type": "string" }, "id": { "type": "string" }, "url": { "type": "string" } } }, "LiveChatModerator": { "type": "object", "properties": { "etag": { "type": "string", "description": "Etag of this resource." }, "snippet": { "description": "The snippet object contains basic details about the moderator.", "$ref": "LiveChatModeratorSnippet" }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"youtube#liveChatModerator\".", "default": "youtube#liveChatModerator", "type": "string" }, "id": { "description": "The ID that YouTube assigns to uniquely identify the moderator.", "type": "string" } }, "id": "LiveChatModerator", "description": "A *liveChatModerator* resource represents a moderator for a YouTube live chat. A chat moderator has the ability to ban/unban users from a chat, remove message, etc." }, "LiveBroadcastSnippet": { "properties": { "liveChatId": { "description": "The id of the live chat for this broadcast.", "type": "string" }, "thumbnails": { "description": "A map of thumbnail images associated with the broadcast. For each nested object in this object, the key is the name of the thumbnail image, and the value is an object that contains other information about the thumbnail.", "$ref": "ThumbnailDetails" }, "scheduledStartTime": { "type": "string", "annotations": { "required": [ "youtube.liveBroadcasts.insert", "youtube.liveBroadcasts.update" ] }, "format": "date-time", "description": "The date and time that the broadcast is scheduled to start." }, "publishedAt": { "description": "The date and time that the broadcast was added to YouTube's live broadcast schedule.", "type": "string", "format": "date-time" }, "channelId": { "type": "string", "description": "The ID that YouTube uses to uniquely identify the channel that is publishing the broadcast." }, "actualStartTime": { "format": "date-time", "type": "string", "description": "The date and time that the broadcast actually started. This information is only available once the broadcast's state is live." }, "isDefaultBroadcast": { "type": "boolean", "description": "Indicates whether this broadcast is the default broadcast. Internal only." }, "actualEndTime": { "type": "string", "format": "date-time", "description": "The date and time that the broadcast actually ended. This information is only available once the broadcast's state is complete." }, "title": { "annotations": { "required": [ "youtube.liveBroadcasts.insert", "youtube.liveBroadcasts.update" ] }, "type": "string", "description": "The broadcast's title. Note that the broadcast represents exactly one YouTube video. You can set this field by modifying the broadcast resource or by setting the title field of the corresponding video resource." }, "scheduledEndTime": { "format": "date-time", "type": "string", "description": "The date and time that the broadcast is scheduled to end." }, "description": { "description": "The broadcast's description. As with the title, you can set this field by modifying the broadcast resource or by setting the description field of the corresponding video resource.", "type": "string" } }, "id": "LiveBroadcastSnippet", "description": "Basic broadcast information.", "type": "object" }, "Video": { "description": "A *video* resource represents a YouTube video.", "type": "object", "id": "Video", "properties": { "localizations": { "description": "The localizations object contains localized versions of the basic details about the video, such as its title and description.", "type": "object", "additionalProperties": { "$ref": "VideoLocalization" } }, "ageGating": { "$ref": "VideoAgeGating", "description": "Age restriction details related to a video. This data can only be retrieved by the video owner." }, "processingDetails": { "description": "The processingDetails object encapsulates information about YouTube's progress in processing the uploaded video file. The properties in the object identify the current processing status and an estimate of the time remaining until YouTube finishes processing the video. This part also indicates whether different types of data or content, such as file details or thumbnail images, are available for the video. The processingProgress object is designed to be polled so that the video uploaded can track the progress that YouTube has made in processing the uploaded video file. This data can only be retrieved by the video owner.", "$ref": "VideoProcessingDetails" }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"youtube#video\".", "type": "string", "default": "youtube#video" }, "etag": { "description": "Etag of this resource.", "type": "string" }, "snippet": { "description": "The snippet object contains basic details about the video, such as its title, description, and category.", "$ref": "VideoSnippet" }, "suggestions": { "$ref": "VideoSuggestions", "description": "The suggestions object encapsulates suggestions that identify opportunities to improve the video quality or the metadata for the uploaded video. This data can only be retrieved by the video owner." }, "liveStreamingDetails": { "description": "The liveStreamingDetails object contains metadata about a live video broadcast. The object will only be present in a video resource if the video is an upcoming, live, or completed live broadcast.", "$ref": "VideoLiveStreamingDetails" }, "fileDetails": { "$ref": "VideoFileDetails", "description": "The fileDetails object encapsulates information about the video file that was uploaded to YouTube, including the file's resolution, duration, audio and video codecs, stream bitrates, and more. This data can only be retrieved by the video owner." }, "player": { "description": "The player object contains information that you would use to play the video in an embedded player.", "$ref": "VideoPlayer" }, "statistics": { "$ref": "VideoStatistics", "description": "The statistics object contains statistics about the video." }, "monetizationDetails": { "description": "The monetizationDetails object encapsulates information about the monetization status of the video.", "$ref": "VideoMonetizationDetails" }, "status": { "description": "The status object contains information about the video's uploading, processing, and privacy statuses.", "$ref": "VideoStatus" }, "recordingDetails": { "description": "The recordingDetails object encapsulates information about the location, date and address where the video was recorded.", "$ref": "VideoRecordingDetails" }, "projectDetails": { "$ref": "VideoProjectDetails", "description": "The projectDetails object contains information about the project specific video metadata. b/157517979: This part was never populated after it was added. However, it sees non-zero traffic because there is generated client code in the wild that refers to it [1]. We keep this field and do NOT remove it because otherwise V3 would return an error when this part gets requested [2]. [1] https://developers.google.com/resources/api-libraries/documentation/youtube/v3/csharp/latest/classGoogle_1_1Apis_1_1YouTube_1_1v3_1_1Data_1_1VideoProjectDetails.html [2] http://google3/video/youtube/src/python/servers/data_api/common.py?l=1565-1569&rcl=344141677" }, "topicDetails": { "$ref": "VideoTopicDetails", "description": "The topicDetails object encapsulates information about Freebase topics associated with the video." }, "id": { "type": "string", "description": "The ID that YouTube uses to uniquely identify the video.", "annotations": { "required": [ "youtube.videos.update" ] } }, "contentDetails": { "description": "The contentDetails object contains information about the video content, including the length of the video and its aspect ratio.", "$ref": "VideoContentDetails" } } }, "VideoSuggestions": { "type": "object", "description": "Specifies suggestions on how to improve video content, including encoding hints, tag suggestions, and editor suggestions.", "id": "VideoSuggestions", "properties": { "processingHints": { "description": "A list of suggestions that may improve YouTube's ability to process the video.", "type": "array", "items": { "enum": [ "nonStreamableMov", "sendBestQualityVideo", "sphericalVideo", "spatialAudio", "vrVideo", "hdrVideo" ], "type": "string", "enumDescriptions": [ "The MP4 file is not streamable, this will slow down the processing. MOOV atom was not found at the beginning of the file.", "Probably a better quality version of the video exists. The video has wide screen aspect ratio, but is not an HD video.", "Uploaded video is spherical video.", "Uploaded video has spatial audio.", "Uploaded video is VR video.", "Uploaded video is HDR video." ] } }, "tagSuggestions": { "description": "A list of keyword tags that could be added to the video's metadata to increase the likelihood that users will locate your video when searching or browsing on YouTube.", "type": "array", "items": { "$ref": "VideoSuggestionsTagSuggestion" } }, "editorSuggestions": { "type": "array", "items": { "type": "string", "enumDescriptions": [ "Picture brightness levels seem off and could be corrected.", "The video appears shaky and could be stabilized.", "Margins (mattes) detected around the picture could be cropped.", "The audio track appears silent and could be swapped with a better quality one." ], "enum": [ "videoAutoLevels", "videoStabilize", "videoCrop", "audioQuietAudioSwap" ] }, "description": "A list of video editing operations that might improve the video quality or playback experience of the uploaded video." }, "processingWarnings": { "description": "A list of reasons why YouTube may have difficulty transcoding the uploaded video or that might result in an erroneous transcoding. These warnings are generated before YouTube actually processes the uploaded video file. In addition, they identify issues that are unlikely to cause the video processing to fail but that might cause problems such as sync issues, video artifacts, or a missing audio track.", "items": { "enumDescriptions": [ "Unrecognized file format, transcoding is likely to fail.", "Unrecognized video codec, transcoding is likely to fail.", "Unrecognized audio codec, transcoding is likely to fail.", "Conflicting container and stream resolutions.", "Edit lists are not currently supported.", "Video codec that is known to cause problems was used.", "Audio codec that is known to cause problems was used.", "Unsupported VR video stereo mode.", "Unsupported spherical video projection type.", "Unsupported HDR pixel format.", "Unspecified HDR color metadata.", "Problematic HDR lookup table attached." ], "type": "string", "enum": [ "unknownContainer", "unknownVideoCodec", "unknownAudioCodec", "inconsistentResolution", "hasEditlist", "problematicVideoCodec", "problematicAudioCodec", "unsupportedVrStereoMode", "unsupportedSphericalProjectionType", "unsupportedHdrPixelFormat", "unsupportedHdrColorMetadata", "problematicHdrLookupTable" ] }, "type": "array" }, "processingErrors": { "items": { "enumDescriptions": [ "File contains audio only (e.g., an MP3 file).", "Image file (e.g., a JPEG image).", "Movie project file (e.g., Microsoft Windows Movie Maker project).", "Other non-video file.", "Document or text file (e.g., MS Word document).", "An archive file (e.g., a ZIP archive).", "Unsupported spatial audio layout type." ], "enum": [ "audioFile", "imageFile", "projectFile", "notAVideoFile", "docFile", "archiveFile", "unsupportedSpatialAudioLayout" ], "type": "string" }, "description": "A list of errors that will prevent YouTube from successfully processing the uploaded video video. These errors indicate that, regardless of the video's current processing status, eventually, that status will almost certainly be failed.", "type": "array" } } }, "Channel": { "type": "object", "description": "A *channel* resource contains information about a YouTube channel.", "properties": { "statistics": { "description": "The statistics object encapsulates statistics for the channel.", "$ref": "ChannelStatistics" }, "contentOwnerDetails": { "$ref": "ChannelContentOwnerDetails", "description": "The contentOwnerDetails object encapsulates channel data that is relevant for YouTube Partners linked with the channel." }, "conversionPings": { "description": "The conversionPings object encapsulates information about conversion pings that need to be respected by the channel.", "$ref": "ChannelConversionPings" }, "status": { "description": "The status object encapsulates information about the privacy status of the channel.", "$ref": "ChannelStatus" }, "localizations": { "description": "Localizations for different languages", "additionalProperties": { "$ref": "ChannelLocalization" }, "type": "object" }, "id": { "description": "The ID that YouTube uses to uniquely identify the channel.", "type": "string" }, "brandingSettings": { "description": "The brandingSettings object encapsulates information about the branding of the channel.", "$ref": "ChannelBrandingSettings" }, "topicDetails": { "description": "The topicDetails object encapsulates information about Freebase topics associated with the channel.", "$ref": "ChannelTopicDetails" }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"youtube#channel\".", "type": "string", "default": "youtube#channel" }, "snippet": { "description": "The snippet object contains basic details about the channel, such as its title, description, and thumbnail images.", "$ref": "ChannelSnippet" }, "contentDetails": { "description": "The contentDetails object encapsulates information about the channel's content.", "$ref": "ChannelContentDetails" }, "auditDetails": { "$ref": "ChannelAuditDetails", "description": "The auditionDetails object encapsulates channel data that is relevant for YouTube Partners during the audition process." }, "etag": { "description": "Etag of this resource.", "type": "string" } }, "id": "Channel" }, "ChannelConversionPing": { "description": "Pings that the app shall fire (authenticated by biscotti cookie). Each ping has a context, in which the app must fire the ping, and a url identifying the ping.", "id": "ChannelConversionPing", "type": "object", "properties": { "conversionUrl": { "description": "The url (without the schema) that the player shall send the ping to. It's at caller's descretion to decide which schema to use (http vs https) Example of a returned url: //googleads.g.doubleclick.net/pagead/ viewthroughconversion/962985656/?data=path%3DtHe_path%3Btype%3D cview%3Butuid%3DGISQtTNGYqaYl4sKxoVvKA&labe=default The caller must append biscotti authentication (ms param in case of mobile, for example) to this ping.", "type": "string" }, "context": { "enum": [ "subscribe", "unsubscribe", "cview" ], "enumDescriptions": [ "", "", "" ], "description": "Defines the context of the ping.", "type": "string" } } }, "VideoCategorySnippet": { "properties": { "assignable": { "type": "boolean" }, "title": { "type": "string", "description": "The video category's title." }, "channelId": { "description": "The YouTube channel that created the video category.", "type": "string", "default": "UCBR8-60-B28hp2BmDPdntcQ" } }, "type": "object", "description": "Basic details about a video category, such as its localized title.", "id": "VideoCategorySnippet" }, "VideoSuggestionsTagSuggestion": { "id": "VideoSuggestionsTagSuggestion", "description": "A single tag suggestion with it's relevance information.", "properties": { "tag": { "description": "The keyword tag suggested for the video.", "type": "string" }, "categoryRestricts": { "type": "array", "items": { "type": "string" }, "description": "A set of video categories for which the tag is relevant. You can use this information to display appropriate tag suggestions based on the video category that the video uploader associates with the video. By default, tag suggestions are relevant for all categories if there are no restricts defined for the keyword." } }, "type": "object" }, "ThirdPartyLink": { "description": "A *third party account link* resource represents a link between a YouTube account or a channel and an account on a third-party service.", "properties": { "snippet": { "$ref": "ThirdPartyLinkSnippet", "description": "The snippet object contains basic details about the third- party account link." }, "etag": { "description": "Etag of this resource", "type": "string" }, "linkingToken": { "description": "The linking_token identifies a YouTube account and channel with which the third party account is linked.", "type": "string" }, "status": { "$ref": "ThirdPartyLinkStatus", "description": "The status object contains information about the status of the link." }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"youtube#thirdPartyLink\".", "default": "youtube#thirdPartyLink", "type": "string" } }, "type": "object", "id": "ThirdPartyLink" }, "VideoProjectDetails": { "description": "DEPRECATED. b/157517979: This part was never populated after it was added. However, it sees non-zero traffic because there is generated client code in the wild that refers to it [1]. We keep this field and do NOT remove it because otherwise V3 would return an error when this part gets requested [2]. [1] https://developers.google.com/resources/api-libraries/documentation/youtube/v3/csharp/latest/classGoogle_1_1Apis_1_1YouTube_1_1v3_1_1Data_1_1VideoProjectDetails.html [2] http://google3/video/youtube/src/python/servers/data_api/common.py?l=1565-1569&rcl=344141677", "type": "object", "properties": {}, "id": "VideoProjectDetails" }, "VideoContentDetailsRegionRestriction": { "description": "DEPRECATED Region restriction of the video.", "type": "object", "properties": { "blocked": { "description": "A list of region codes that identify countries where the video is blocked. If this property is present and a country is not listed in its value, then the video is viewable in that country. If this property is present and contains an empty list, the video is viewable in all countries.", "items": { "type": "string" }, "type": "array" }, "allowed": { "description": "A list of region codes that identify countries where the video is viewable. If this property is present and a country is not listed in its value, then the video is blocked from appearing in that country. If this property is present and contains an empty list, the video is blocked in all countries.", "type": "array", "items": { "type": "string" } } }, "id": "VideoContentDetailsRegionRestriction" }, "ActivityContentDetailsFavorite": { "properties": { "resourceId": { "description": "The resourceId object contains information that identifies the resource that was marked as a favorite.", "$ref": "ResourceId" } }, "id": "ActivityContentDetailsFavorite", "description": "Information about a video that was marked as a favorite video.", "type": "object" }, "IngestionInfo": { "description": "Describes information necessary for ingesting an RTMP, HTTP, or SRT stream.", "properties": { "ingestionAddress": { "description": "The primary ingestion URL that you should use to stream video to YouTube. You must stream video to this URL. Depending on which application or tool you use to encode your video stream, you may need to enter the stream URL and stream name separately or you may need to concatenate them in the following format: *STREAM_URL/STREAM_NAME* ", "type": "string" }, "rtmpsIngestionAddress": { "description": "This ingestion url may be used instead of ingestionAddress in order to stream via RTMPS. Not applicable to non-RTMP streams.", "type": "string" }, "backupIngestionAddress": { "type": "string", "description": "The backup ingestion URL that you should use to stream video to YouTube. You have the option of simultaneously streaming the content that you are sending to the ingestionAddress to this URL." }, "rtmpsBackupIngestionAddress": { "type": "string", "description": "This ingestion url may be used instead of backupIngestionAddress in order to stream via RTMPS. Not applicable to non-RTMP streams." }, "streamName": { "type": "string", "description": "The stream name that YouTube assigns to the video stream." } }, "type": "object", "id": "IngestionInfo" }, "VideoFileDetailsAudioStream": { "description": "Information about an audio stream.", "type": "object", "id": "VideoFileDetailsAudioStream", "properties": { "channelCount": { "type": "integer", "format": "uint32", "description": "The number of audio channels that the stream contains." }, "bitrateBps": { "format": "uint64", "type": "string", "description": "The audio stream's bitrate, in bits per second." }, "codec": { "description": "The audio codec that the stream uses.", "type": "string" }, "vendor": { "description": "A value that uniquely identifies a video vendor. Typically, the value is a four-letter vendor code.", "type": "string" } } }, "Thumbnail": { "properties": { "width": { "type": "integer", "description": "(Optional) Width of the thumbnail image.", "format": "uint32" }, "url": { "type": "string", "description": "The thumbnail image's URL." }, "height": { "type": "integer", "format": "uint32", "description": "(Optional) Height of the thumbnail image." } }, "type": "object", "id": "Thumbnail", "description": "A thumbnail is an image representing a YouTube resource." }, "LiveChatSuperStickerDetails": { "type": "object", "properties": { "amountMicros": { "description": "The amount purchased by the user, in micros (1,750,000 micros = 1.75).", "type": "string", "format": "uint64" }, "superStickerMetadata": { "description": "Information about the Super Sticker.", "$ref": "SuperStickerMetadata" }, "amountDisplayString": { "type": "string", "description": "A rendered string that displays the fund amount and currency to the user." }, "tier": { "format": "uint32", "type": "integer", "description": "The tier in which the amount belongs. Lower amounts belong to lower tiers. The lowest tier is 1." }, "currency": { "type": "string", "description": "The currency in which the purchase was made." } }, "id": "LiveChatSuperStickerDetails" }, "VideoStatistics": { "properties": { "dislikeCount": { "format": "uint64", "type": "string", "description": "The number of users who have indicated that they disliked the video by giving it a negative rating." }, "commentCount": { "type": "string", "description": "The number of comments for the video.", "format": "uint64" }, "viewCount": { "type": "string", "format": "uint64", "description": "The number of times the video has been viewed." }, "favoriteCount": { "format": "uint64", "type": "string", "description": "The number of users who currently have the video marked as a favorite video." }, "likeCount": { "type": "string", "description": "The number of users who have indicated that they liked the video by giving it a positive rating.", "format": "uint64" } }, "description": "Statistics about the video, such as the number of times the video was viewed or liked.", "type": "object", "id": "VideoStatistics" }, "VideoProcessingDetailsProcessingProgress": { "type": "object", "id": "VideoProcessingDetailsProcessingProgress", "properties": { "partsTotal": { "type": "string", "description": "An estimate of the total number of parts that need to be processed for the video. The number may be updated with more precise estimates while YouTube processes the video.", "format": "uint64" }, "timeLeftMs": { "format": "uint64", "description": "An estimate of the amount of time, in millseconds, that YouTube needs to finish processing the video.", "type": "string" }, "partsProcessed": { "type": "string", "description": "The number of parts of the video that YouTube has already processed. You can estimate the percentage of the video that YouTube has already processed by calculating: 100 LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh parts_processed / parts_total Note that since the estimated number of parts could increase without a corresponding increase in the number of parts that have already been processed, it is possible that the calculated progress could periodically decrease while YouTube processes a video.", "format": "uint64" } }, "description": "Video processing progress and completion time estimate." }, "ChannelLocalization": { "type": "object", "properties": { "description": { "description": "The localized strings for channel's description.", "type": "string" }, "title": { "description": "The localized strings for channel's title.", "type": "string" } }, "id": "ChannelLocalization", "description": "Channel localization setting" }, "PropertyValue": { "id": "PropertyValue", "properties": { "value": { "type": "string", "description": "The property's value." }, "property": { "type": "string", "description": "A property." } }, "description": "A pair Property / Value.", "type": "object" }, "WatchSettings": { "id": "WatchSettings", "properties": { "backgroundColor": { "description": "The text color for the video watch page's branded area.", "type": "string" }, "textColor": { "type": "string", "description": "The background color for the video watch page's branded area." }, "featuredPlaylistId": { "description": "An ID that uniquely identifies a playlist that displays next to the video player.", "type": "string" } }, "type": "object", "description": "Branding properties for the watch. All deprecated." }, "ChannelSectionTargeting": { "properties": { "countries": { "items": { "type": "string" }, "type": "array", "description": "The country the channel section is targeting." }, "regions": { "type": "array", "description": "The region the channel section is targeting.", "items": { "type": "string" } }, "languages": { "type": "array", "description": "The language the channel section is targeting.", "items": { "type": "string" } } }, "id": "ChannelSectionTargeting", "type": "object", "description": "ChannelSection targeting setting." }, "VideoGetRatingResponse": { "id": "VideoGetRatingResponse", "type": "object", "properties": { "eventId": { "type": "string", "description": "Serialized EventId of the request which produced this response." }, "kind": { "default": "youtube#videoGetRatingResponse", "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"youtube#videoGetRatingResponse\"." }, "items": { "items": { "$ref": "VideoRating" }, "description": "A list of ratings that match the request criteria.", "type": "array" }, "visitorId": { "type": "string", "description": "The visitorId identifies the visitor." }, "etag": { "type": "string", "description": "Etag of this resource." } } }, "I18nRegionListResponse": { "id": "I18nRegionListResponse", "type": "object", "properties": { "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"youtube#i18nRegionListResponse\".", "default": "youtube#i18nRegionListResponse", "type": "string" }, "items": { "items": { "$ref": "I18nRegion" }, "description": "A list of regions where YouTube is available. In this map, the i18n region ID is the map key, and its value is the corresponding i18nRegion resource.", "type": "array" }, "visitorId": { "description": "The visitorId identifies the visitor.", "type": "string" }, "etag": { "description": "Etag of this resource.", "type": "string" }, "eventId": { "type": "string", "description": "Serialized EventId of the request which produced this response." } } }, "VideoContentDetails": { "type": "object", "description": "Details about the content of a YouTube Video.", "properties": { "hasCustomThumbnail": { "description": "Indicates whether the video uploader has provided a custom thumbnail image for the video. This property is only visible to the video uploader.", "type": "boolean" }, "contentRating": { "description": "Specifies the ratings that the video received under various rating schemes.", "$ref": "ContentRating" }, "dimension": { "type": "string", "description": "The value of dimension indicates whether the video is available in 3D or in 2D." }, "projection": { "type": "string", "enumDescriptions": [ "", "" ], "description": "Specifies the projection format of the video.", "enum": [ "rectangular", "360" ] }, "countryRestriction": { "$ref": "AccessPolicy", "description": "The countryRestriction object contains information about the countries where a video is (or is not) viewable." }, "regionRestriction": { "$ref": "VideoContentDetailsRegionRestriction", "description": "The regionRestriction object contains information about the countries where a video is (or is not) viewable. The object will contain either the contentDetails.regionRestriction.allowed property or the contentDetails.regionRestriction.blocked property." }, "caption": { "enum": [ "true", "false" ], "enumDescriptions": [ "", "" ], "type": "string", "description": "The value of captions indicates whether the video has captions or not." }, "duration": { "description": "The length of the video. The tag value is an ISO 8601 duration in the format PT#M#S, in which the letters PT indicate that the value specifies a period of time, and the letters M and S refer to length in minutes and seconds, respectively. The # characters preceding the M and S letters are both integers that specify the number of minutes (or seconds) of the video. For example, a value of PT15M51S indicates that the video is 15 minutes and 51 seconds long.", "type": "string" }, "licensedContent": { "description": "The value of is_license_content indicates whether the video is licensed content.", "type": "boolean" }, "definition": { "enum": [ "sd", "hd" ], "type": "string", "enumDescriptions": [ "sd", "hd" ], "description": "The value of definition indicates whether the video is available in high definition or only in standard definition." } }, "id": "VideoContentDetails" }, "Caption": { "type": "object", "description": "A *caption* resource represents a YouTube caption track. A caption track is associated with exactly one YouTube video.", "id": "Caption", "properties": { "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"youtube#caption\".", "default": "youtube#caption", "type": "string" }, "snippet": { "description": "The snippet object contains basic details about the caption.", "$ref": "CaptionSnippet" }, "etag": { "type": "string", "description": "Etag of this resource." }, "id": { "annotations": { "required": [ "youtube.captions.update" ] }, "description": "The ID that YouTube uses to uniquely identify the caption track.", "type": "string" } } }, "AccessPolicy": { "id": "AccessPolicy", "description": "Rights management policy for YouTube resources.", "type": "object", "properties": { "exception": { "items": { "type": "string" }, "description": "A list of region codes that identify countries where the default policy do not apply.", "type": "array" }, "allowed": { "description": "The value of allowed indicates whether the access to the policy is allowed or denied by default.", "type": "boolean" } } }, "LiveStreamListResponse": { "properties": { "prevPageToken": { "description": "The token that can be used as the value of the pageToken parameter to retrieve the previous page in the result set.", "type": "string" }, "nextPageToken": { "description": "The token that can be used as the value of the pageToken parameter to retrieve the next page in the result set.", "type": "string" }, "eventId": { "type": "string", "description": "Serialized EventId of the request which produced this response." }, "visitorId": { "description": "The visitorId identifies the visitor.", "type": "string" }, "pageInfo": { "$ref": "PageInfo" }, "etag": { "type": "string", "description": "Etag of this resource." }, "items": { "description": "A list of live streams that match the request criteria.", "items": { "$ref": "LiveStream" }, "type": "array" }, "kind": { "type": "string", "default": "youtube#liveStreamListResponse", "description": "Identifies what kind of resource this is. Value: the fixed string \"youtube#liveStreamListResponse\"." }, "tokenPagination": { "$ref": "TokenPagination" } }, "id": "LiveStreamListResponse", "type": "object" }, "LevelDetails": { "id": "LevelDetails", "properties": { "displayName": { "type": "string", "description": "The name that should be used when referring to this level." } }, "type": "object" }, "LiveChatMessageSnippet": { "type": "object", "id": "LiveChatMessageSnippet", "description": "Next ID: 33", "properties": { "liveChatId": { "type": "string" }, "memberMilestoneChatDetails": { "description": "Details about the Member Milestone Chat event, this is only set if the type is 'memberMilestoneChatEvent'.", "$ref": "LiveChatMemberMilestoneChatDetails" }, "messageDeletedDetails": { "$ref": "LiveChatMessageDeletedDetails" }, "textMessageDetails": { "description": "Details about the text message, this is only set if the type is 'textMessageEvent'.", "$ref": "LiveChatTextMessageDetails" }, "authorChannelId": { "type": "string", "description": "The ID of the user that authored this message, this field is not always filled. textMessageEvent - the user that wrote the message fanFundingEvent - the user that funded the broadcast newSponsorEvent - the user that just became a sponsor memberMilestoneChatEvent - the member that sent the message membershipGiftingEvent - the user that made the purchase giftMembershipReceivedEvent - the user that received the gift membership messageDeletedEvent - the moderator that took the action messageRetractedEvent - the author that retracted their message userBannedEvent - the moderator that took the action superChatEvent - the user that made the purchase superStickerEvent - the user that made the purchase" }, "membershipGiftingDetails": { "$ref": "LiveChatMembershipGiftingDetails", "description": "Details about the Membership Gifting event, this is only set if the type is 'membershipGiftingEvent'." }, "fanFundingEventDetails": { "description": "Details about the funding event, this is only set if the type is 'fanFundingEvent'.", "$ref": "LiveChatFanFundingEventDetails" }, "type": { "enumDescriptions": [ "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "" ], "description": "The type of message, this will always be present, it determines the contents of the message as well as which fields will be present.", "enum": [ "invalidType", "textMessageEvent", "tombstone", "fanFundingEvent", "chatEndedEvent", "sponsorOnlyModeStartedEvent", "sponsorOnlyModeEndedEvent", "newSponsorEvent", "memberMilestoneChatEvent", "membershipGiftingEvent", "giftMembershipReceivedEvent", "messageDeletedEvent", "messageRetractedEvent", "userBannedEvent", "superChatEvent", "superStickerEvent" ], "type": "string" }, "publishedAt": { "format": "date-time", "type": "string", "description": "The date and time when the message was orignally published." }, "hasDisplayContent": { "description": "Whether the message has display content that should be displayed to users.", "type": "boolean" }, "giftMembershipReceivedDetails": { "$ref": "LiveChatGiftMembershipReceivedDetails", "description": "Details about the Gift Membership Received event, this is only set if the type is 'giftMembershipReceivedEvent'." }, "messageRetractedDetails": { "$ref": "LiveChatMessageRetractedDetails" }, "superStickerDetails": { "description": "Details about the Super Sticker event, this is only set if the type is 'superStickerEvent'.", "$ref": "LiveChatSuperStickerDetails" }, "displayMessage": { "description": "Contains a string that can be displayed to the user. If this field is not present the message is silent, at the moment only messages of type TOMBSTONE and CHAT_ENDED_EVENT are silent.", "type": "string" }, "superChatDetails": { "$ref": "LiveChatSuperChatDetails", "description": "Details about the Super Chat event, this is only set if the type is 'superChatEvent'." }, "newSponsorDetails": { "description": "Details about the New Member Announcement event, this is only set if the type is 'newSponsorEvent'. Please note that \"member\" is the new term for \"sponsor\".", "$ref": "LiveChatNewSponsorDetails" }, "userBannedDetails": { "$ref": "LiveChatUserBannedMessageDetails" } } }, "VideoPlayer": { "id": "VideoPlayer", "description": "Player to be used for a video playback.", "type": "object", "properties": { "embedHeight": { "format": "int64", "type": "string" }, "embedWidth": { "format": "int64", "description": "The embed width", "type": "string" }, "embedHtml": { "type": "string", "description": "An \u003ciframe\u003e tag that embeds a player that will play the video." } } }, "GeoPoint": { "description": "Geographical coordinates of a point, in WGS84.", "properties": { "longitude": { "format": "double", "type": "number", "description": "Longitude in degrees." }, "altitude": { "type": "number", "format": "double", "description": "Altitude above the reference ellipsoid, in meters." }, "latitude": { "format": "double", "type": "number", "description": "Latitude in degrees." } }, "id": "GeoPoint", "type": "object" }, "ActivitySnippet": { "properties": { "publishedAt": { "format": "date-time", "description": "The date and time that the video was uploaded.", "type": "string" }, "title": { "description": "The title of the resource primarily associated with the activity.", "type": "string" }, "type": { "enumDescriptions": [ "", "", "", "", "", "", "", "", "", "", "", "" ], "type": "string", "description": "The type of activity that the resource describes.", "enum": [ "typeUnspecified", "upload", "like", "favorite", "comment", "subscription", "playlistItem", "recommendation", "bulletin", "social", "channelItem", "promotedItem" ] }, "channelId": { "description": "The ID that YouTube uses to uniquely identify the channel associated with the activity.", "type": "string" }, "groupId": { "description": "The group ID associated with the activity. A group ID identifies user events that are associated with the same user and resource. For example, if a user rates a video and marks the same video as a favorite, the entries for those events would have the same group ID in the user's activity feed. In your user interface, you can avoid repetition by grouping events with the same groupId value.", "type": "string" }, "channelTitle": { "description": "Channel title for the channel responsible for this activity", "type": "string" }, "description": { "type": "string", "description": "The description of the resource primarily associated with the activity. @mutable youtube.activities.insert" }, "thumbnails": { "$ref": "ThumbnailDetails", "description": "A map of thumbnail images associated with the resource that is primarily associated with the activity. For each object in the map, the key is the name of the thumbnail image, and the value is an object that contains other information about the thumbnail." } }, "type": "object", "description": "Basic details about an activity, including title, description, thumbnails, activity type and group. Next ID: 12", "id": "ActivitySnippet" }, "VideoListResponse": { "type": "object", "properties": { "prevPageToken": { "type": "string", "description": "The token that can be used as the value of the pageToken parameter to retrieve the previous page in the result set." }, "items": { "type": "array", "items": { "$ref": "Video" } }, "eventId": { "description": "Serialized EventId of the request which produced this response.", "type": "string" }, "nextPageToken": { "type": "string", "description": "The token that can be used as the value of the pageToken parameter to retrieve the next page in the result set." }, "pageInfo": { "description": "General pagination information.", "$ref": "PageInfo" }, "etag": { "type": "string", "description": "Etag of this resource." }, "visitorId": { "type": "string", "description": "The visitorId identifies the visitor." }, "tokenPagination": { "$ref": "TokenPagination" }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"youtube#videoListResponse\".", "default": "youtube#videoListResponse", "type": "string" } }, "id": "VideoListResponse" }, "VideoTopicDetails": { "type": "object", "description": "Freebase topic information related to the video.", "properties": { "topicCategories": { "items": { "type": "string" }, "type": "array", "description": "A list of Wikipedia URLs that provide a high-level description of the video's content." }, "topicIds": { "type": "array", "items": { "type": "string" }, "description": "A list of Freebase topic IDs that are centrally associated with the video. These are topics that are centrally featured in the video, and it can be said that the video is mainly about each of these. You can retrieve information about each topic using the \u003c a href=\"http://wiki.freebase.com/wiki/Topic_API\"\u003eFreebase Topic API." }, "relevantTopicIds": { "items": { "type": "string" }, "description": "Similar to topic_id, except that these topics are merely relevant to the video. These are topics that may be mentioned in, or appear in the video. You can retrieve information about each topic using Freebase Topic API.", "type": "array" } }, "id": "VideoTopicDetails" }, "MembershipsDurationAtLevel": { "properties": { "memberTotalDurationMonths": { "type": "integer", "format": "int32", "description": "The cumulative time the user has been a member for the given level in complete months (the time is rounded down to the nearest integer)." }, "memberSince": { "type": "string", "description": "The date and time when the user became a continuous member for the given level." }, "level": { "type": "string", "description": "Pricing level ID." } }, "type": "object", "id": "MembershipsDurationAtLevel" }, "Cuepoint": { "type": "object", "id": "Cuepoint", "description": "Note that there may be a 5-second end-point resolution issue. For instance, if a cuepoint comes in for 22:03:27, we may stuff the cuepoint into 22:03:25 or 22:03:30, depending. This is an artifact of HLS.", "properties": { "insertionOffsetTimeMs": { "type": "string", "description": "The time when the cuepoint should be inserted by offset to the broadcast actual start time.", "format": "int64" }, "durationSecs": { "type": "integer", "description": "The duration of this cuepoint.", "format": "uint32" }, "walltimeMs": { "type": "string", "description": "The wall clock time at which the cuepoint should be inserted. Only one of insertion_offset_time_ms and walltime_ms may be set at a time.", "format": "uint64" }, "id": { "type": "string", "description": "The identifier for cuepoint resource." }, "cueType": { "type": "string", "enumDescriptions": [ "", "" ], "enum": [ "cueTypeUnspecified", "cueTypeAd" ] }, "etag": { "type": "string" } } }, "LiveChatGiftMembershipReceivedDetails": { "id": "LiveChatGiftMembershipReceivedDetails", "properties": { "gifterChannelId": { "type": "string", "description": "The ID of the user that made the membership gifting purchase. This matches the `snippet.authorChannelId` of the associated membership gifting message." }, "associatedMembershipGiftingMessageId": { "type": "string", "description": "The ID of the membership gifting message that is related to this gift membership. This ID will always refer to a message whose type is 'membershipGiftingEvent'." }, "memberLevelName": { "description": "The name of the Level at which the viewer is a member. This matches the `snippet.membershipGiftingDetails.giftMembershipsLevelName` of the associated membership gifting message. The Level names are defined by the YouTube channel offering the Membership. In some situations this field isn't filled.", "type": "string" } }, "type": "object" }, "ThirdPartyLinkStatus": { "type": "object", "properties": { "linkStatus": { "enum": [ "unknown", "failed", "pending", "linked" ], "type": "string", "enumDescriptions": [ "", "", "", "" ] } }, "description": "The third-party link status object contains information about the status of the link.", "id": "ThirdPartyLinkStatus" }, "VideoStatus": { "id": "VideoStatus", "type": "object", "properties": { "rejectionReason": { "enumDescriptions": [ "Copyright infringement.", "Inappropriate video content.", "Duplicate upload in the same channel.", "Terms of use violation.", "Uploader account was suspended.", "Video duration was too long.", "Blocked by content owner.", "Uploader closed his/her account.", "Trademark infringement.", "An unspecified legal reason." ], "type": "string", "enum": [ "copyright", "inappropriate", "duplicate", "termsOfUse", "uploaderAccountSuspended", "length", "claim", "uploaderAccountClosed", "trademark", "legal" ], "description": "This value explains why YouTube rejected an uploaded video. This property is only present if the uploadStatus property indicates that the upload was rejected." }, "uploadStatus": { "description": "The status of the uploaded video.", "type": "string", "enum": [ "uploaded", "processed", "failed", "rejected", "deleted" ], "enumDescriptions": [ "Video has been uploaded but not processed yet.", "Video has been successfully processed.", "Processing has failed. See FailureReason.", "Video has been rejected. See RejectionReason.", "Video has been deleted." ] }, "embeddable": { "description": "This value indicates if the video can be embedded on another website. @mutable youtube.videos.insert youtube.videos.update", "type": "boolean" }, "madeForKids": { "type": "boolean" }, "failureReason": { "description": "This value explains why a video failed to upload. This property is only present if the uploadStatus property indicates that the upload failed.", "enumDescriptions": [ "Unable to convert video content.", "Invalid file format.", "Empty file.", "File was too small.", "Unsupported codec.", "Upload wasn't finished." ], "enum": [ "conversion", "invalidFile", "emptyFile", "tooSmall", "codec", "uploadAborted" ], "type": "string" }, "publicStatsViewable": { "description": "This value indicates if the extended video statistics on the watch page can be viewed by everyone. Note that the view count, likes, etc will still be visible if this is disabled. @mutable youtube.videos.insert youtube.videos.update", "type": "boolean" }, "license": { "type": "string", "enum": [ "youtube", "creativeCommon" ], "enumDescriptions": [ "", "" ], "description": "The video's license. @mutable youtube.videos.insert youtube.videos.update" }, "privacyStatus": { "type": "string", "description": "The video's privacy status.", "enum": [ "public", "unlisted", "private" ], "enumDescriptions": [ "", "", "" ] }, "selfDeclaredMadeForKids": { "type": "boolean" }, "publishAt": { "type": "string", "description": "The date and time when the video is scheduled to publish. It can be set only if the privacy status of the video is private..", "format": "date-time" } }, "description": "Basic details about a video category, such as its localized title. Next Id: 18" }, "VideoAbuseReportReasonSnippet": { "type": "object", "properties": { "label": { "type": "string", "description": "The localized label belonging to this abuse report reason." }, "secondaryReasons": { "description": "The secondary reasons associated with this reason, if any are available. (There might be 0 or more.)", "type": "array", "items": { "$ref": "VideoAbuseReportSecondaryReason" } } }, "id": "VideoAbuseReportReasonSnippet", "description": "Basic details about a video category, such as its localized title." }, "Member": { "description": "A *member* resource represents a member for a YouTube channel. A member provides recurring monetary support to a creator and receives special benefits.", "type": "object", "id": "Member", "properties": { "etag": { "type": "string", "description": "Etag of this resource." }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"youtube#member\".", "default": "youtube#member", "type": "string" }, "snippet": { "$ref": "MemberSnippet", "description": "The snippet object contains basic details about the member." } } }, "VideoFileDetails": { "properties": { "videoStreams": { "description": "A list of video streams contained in the uploaded video file. Each item in the list contains detailed metadata about a video stream.", "type": "array", "items": { "$ref": "VideoFileDetailsVideoStream" } }, "container": { "description": "The uploaded video file's container format.", "type": "string" }, "fileSize": { "description": "The uploaded file's size in bytes. This field is present whether a video file or another type of file was uploaded.", "format": "uint64", "type": "string" }, "fileType": { "enumDescriptions": [ "Known video file (e.g., an MP4 file).", "Audio only file (e.g., an MP3 file).", "Image file (e.g., a JPEG image).", "Archive file (e.g., a ZIP archive).", "Document or text file (e.g., MS Word document).", "Movie project file (e.g., Microsoft Windows Movie Maker project).", "Other non-video file type." ], "description": "The uploaded file's type as detected by YouTube's video processing engine. Currently, YouTube only processes video files, but this field is present whether a video file or another type of file was uploaded.", "type": "string", "enum": [ "video", "audio", "image", "archive", "document", "project", "other" ] }, "bitrateBps": { "format": "uint64", "description": "The uploaded video file's combined (video and audio) bitrate in bits per second.", "type": "string" }, "durationMs": { "format": "uint64", "description": "The length of the uploaded video in milliseconds.", "type": "string" }, "fileName": { "description": "The uploaded file's name. This field is present whether a video file or another type of file was uploaded.", "type": "string" }, "audioStreams": { "description": "A list of audio streams contained in the uploaded video file. Each item in the list contains detailed metadata about an audio stream.", "type": "array", "items": { "$ref": "VideoFileDetailsAudioStream" } }, "creationTime": { "description": "The date and time when the uploaded video file was created. The value is specified in ISO 8601 format. Currently, the following ISO 8601 formats are supported: - Date only: YYYY-MM-DD - Naive time: YYYY-MM-DDTHH:MM:SS - Time with timezone: YYYY-MM-DDTHH:MM:SS+HH:MM ", "type": "string" } }, "id": "VideoFileDetails", "description": "Describes original video file properties, including technical details about audio and video streams, but also metadata information like content length, digitization time, or geotagging information.", "type": "object" }, "I18nLanguage": { "description": "An *i18nLanguage* resource identifies a UI language currently supported by YouTube.", "id": "I18nLanguage", "properties": { "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"youtube#i18nLanguage\".", "default": "youtube#i18nLanguage", "type": "string" }, "id": { "type": "string", "description": "The ID that YouTube uses to uniquely identify the i18n language." }, "snippet": { "$ref": "I18nLanguageSnippet", "description": "The snippet object contains basic details about the i18n language, such as language code and human-readable name." }, "etag": { "description": "Etag of this resource.", "type": "string" } }, "type": "object" }, "LiveBroadcast": { "properties": { "snippet": { "description": "The snippet object contains basic details about the event, including its title, description, start time, and end time.", "$ref": "LiveBroadcastSnippet" }, "contentDetails": { "description": "The contentDetails object contains information about the event's video content, such as whether the content can be shown in an embedded video player or if it will be archived and therefore available for viewing after the event has concluded.", "$ref": "LiveBroadcastContentDetails" }, "statistics": { "$ref": "LiveBroadcastStatistics", "description": "The statistics object contains info about the event's current stats. These include concurrent viewers and total chat count. Statistics can change (in either direction) during the lifetime of an event. Statistics are only returned while the event is live." }, "etag": { "description": "Etag of this resource.", "type": "string" }, "id": { "description": "The ID that YouTube assigns to uniquely identify the broadcast.", "annotations": { "required": [ "youtube.liveBroadcasts.update" ] }, "type": "string" }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"youtube#liveBroadcast\".", "default": "youtube#liveBroadcast", "type": "string" }, "status": { "description": "The status object contains information about the event's status.", "$ref": "LiveBroadcastStatus" } }, "id": "LiveBroadcast", "type": "object", "description": "A *liveBroadcast* resource represents an event that will be streamed, via live video, on YouTube." }, "ActivityContentDetailsComment": { "description": "Information about a resource that received a comment.", "id": "ActivityContentDetailsComment", "properties": { "resourceId": { "description": "The resourceId object contains information that identifies the resource associated with the comment.", "$ref": "ResourceId" } }, "type": "object" }, "Comment": { "id": "Comment", "properties": { "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"youtube#comment\".", "default": "youtube#comment" }, "snippet": { "description": "The snippet object contains basic details about the comment.", "$ref": "CommentSnippet" }, "id": { "description": "The ID that YouTube uses to uniquely identify the comment.", "type": "string" }, "etag": { "description": "Etag of this resource.", "type": "string" } }, "type": "object", "description": "A *comment* represents a single YouTube comment." }, "VideoAbuseReport": { "type": "object", "properties": { "comments": { "description": "Additional comments regarding the abuse report.", "type": "string" }, "secondaryReasonId": { "description": "The specific, or secondary, reason that this content is abusive (if available). The value is an abuse report reason ID that is a valid secondary reason for the primary reason.", "type": "string" }, "videoId": { "description": "The ID that YouTube uses to uniquely identify the video.", "type": "string" }, "reasonId": { "type": "string", "description": "The high-level, or primary, reason that the content is abusive. The value is an abuse report reason ID." }, "language": { "type": "string", "description": "The language that the content was viewed in." } }, "id": "VideoAbuseReport" }, "LiveChatMessage": { "properties": { "snippet": { "description": "The snippet object contains basic details about the message.", "$ref": "LiveChatMessageSnippet" }, "kind": { "default": "youtube#liveChatMessage", "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"youtube#liveChatMessage\"." }, "etag": { "description": "Etag of this resource.", "type": "string" }, "authorDetails": { "$ref": "LiveChatMessageAuthorDetails", "description": "The authorDetails object contains basic details about the user that posted this message." }, "id": { "type": "string", "description": "The ID that YouTube assigns to uniquely identify the message." } }, "type": "object", "description": "A *liveChatMessage* resource represents a chat message in a YouTube Live Chat.", "id": "LiveChatMessage" } }, "batchPath": "batch", "documentationLink": "https://developers.google.com/youtube/", "id": "youtube:v3", "version": "v3", "icons": { "x32": "http://www.google.com/images/icons/product/search-32.gif", "x16": "http://www.google.com/images/icons/product/search-16.gif" }, "ownerDomain": "google.com", "ownerName": "Google", "basePath": "", "name": "youtube", "baseUrl": "https://youtube.googleapis.com/", "title": "YouTube Data API v3", "fullyEncodeReservedExpansion": true, "resources": { "thirdPartyLinks": { "methods": { "list": { "description": "Retrieves a list of resources, possibly filtered.", "httpMethod": "GET", "flatPath": "youtube/v3/thirdPartyLinks", "response": { "$ref": "ThirdPartyLinkListResponse" }, "parameterOrder": [ "part" ], "id": "youtube.thirdPartyLinks.list", "path": "youtube/v3/thirdPartyLinks", "parameters": { "type": { "location": "query", "description": "Get a third party link of the given type.", "type": "string", "enum": [ "linkUnspecified", "channelToStoreLink" ], "enumDescriptions": [ "", "A link that is connecting (or about to connect) a channel with a store on a merchandising platform in order to enable retail commerce capabilities for that channel on YouTube." ] }, "linkingToken": { "description": "Get a third party link with the given linking token.", "type": "string", "location": "query" }, "part": { "required": true, "description": "The *part* parameter specifies the thirdPartyLink resource parts that the API response will include. Supported values are linkingToken, status, and snippet.", "location": "query", "repeated": true, "type": "string" }, "externalChannelId": { "location": "query", "type": "string", "description": "Channel ID to which changes should be applied, for delegation." } } }, "delete": { "parameterOrder": [ "linkingToken", "type" ], "path": "youtube/v3/thirdPartyLinks", "parameters": { "linkingToken": { "required": true, "location": "query", "description": "Delete the partner links with the given linking token.", "type": "string" }, "type": { "type": "string", "location": "query", "description": "Type of the link to be deleted.", "enumDescriptions": [ "", "A link that is connecting (or about to connect) a channel with a store on a merchandising platform in order to enable retail commerce capabilities for that channel on YouTube." ], "required": true, "enum": [ "linkUnspecified", "channelToStoreLink" ] }, "part": { "type": "string", "location": "query", "repeated": true, "description": "Do not use. Required for compatibility." }, "externalChannelId": { "description": "Channel ID to which changes should be applied, for delegation.", "location": "query", "type": "string" } }, "flatPath": "youtube/v3/thirdPartyLinks", "description": "Deletes a resource.", "id": "youtube.thirdPartyLinks.delete", "httpMethod": "DELETE" }, "insert": { "path": "youtube/v3/thirdPartyLinks", "httpMethod": "POST", "request": { "$ref": "ThirdPartyLink" }, "parameterOrder": [ "part" ], "response": { "$ref": "ThirdPartyLink" }, "id": "youtube.thirdPartyLinks.insert", "parameters": { "part": { "type": "string", "description": "The *part* parameter specifies the thirdPartyLink resource parts that the API request and response will include. Supported values are linkingToken, status, and snippet.", "location": "query", "required": true, "repeated": true }, "externalChannelId": { "location": "query", "type": "string", "description": "Channel ID to which changes should be applied, for delegation." } }, "description": "Inserts a new resource into this collection.", "flatPath": "youtube/v3/thirdPartyLinks" }, "update": { "httpMethod": "PUT", "description": "Updates an existing resource.", "response": { "$ref": "ThirdPartyLink" }, "parameterOrder": [ "part" ], "flatPath": "youtube/v3/thirdPartyLinks", "id": "youtube.thirdPartyLinks.update", "path": "youtube/v3/thirdPartyLinks", "request": { "$ref": "ThirdPartyLink" }, "parameters": { "externalChannelId": { "type": "string", "location": "query", "description": "Channel ID to which changes should be applied, for delegation." }, "part": { "type": "string", "required": true, "location": "query", "description": "The *part* parameter specifies the thirdPartyLink resource parts that the API request and response will include. Supported values are linkingToken, status, and snippet.", "repeated": true } } } } }, "liveChatMessages": { "methods": { "delete": { "flatPath": "youtube/v3/liveChat/messages", "description": "Deletes a chat message.", "path": "youtube/v3/liveChat/messages", "scopes": [ "https://www.googleapis.com/auth/youtube", "https://www.googleapis.com/auth/youtube.force-ssl" ], "parameters": { "id": { "location": "query", "required": true, "type": "string" } }, "id": "youtube.liveChatMessages.delete", "httpMethod": "DELETE", "parameterOrder": [ "id" ] }, "insert": { "httpMethod": "POST", "path": "youtube/v3/liveChat/messages", "flatPath": "youtube/v3/liveChat/messages", "description": "Inserts a new resource into this collection.", "parameterOrder": [ "part" ], "scopes": [ "https://www.googleapis.com/auth/youtube", "https://www.googleapis.com/auth/youtube.force-ssl" ], "id": "youtube.liveChatMessages.insert", "parameters": { "part": { "type": "string", "repeated": true, "required": true, "location": "query", "description": "The *part* parameter serves two purposes. It identifies the properties that the write operation will set as well as the properties that the API response will include. Set the parameter value to snippet." } }, "request": { "$ref": "LiveChatMessage" }, "response": { "$ref": "LiveChatMessage" } }, "list": { "parameterOrder": [ "liveChatId", "part" ], "id": "youtube.liveChatMessages.list", "flatPath": "youtube/v3/liveChat/messages", "description": "Retrieves a list of resources, possibly filtered.", "path": "youtube/v3/liveChat/messages", "scopes": [ "https://www.googleapis.com/auth/youtube", "https://www.googleapis.com/auth/youtube.force-ssl", "https://www.googleapis.com/auth/youtube.readonly" ], "response": { "$ref": "LiveChatMessageListResponse" }, "httpMethod": "GET", "parameters": { "profileImageSize": { "description": "Specifies the size of the profile image that should be returned for each user.", "maximum": "720", "location": "query", "minimum": "16", "type": "integer", "format": "uint32" }, "liveChatId": { "description": "The id of the live chat for which comments should be returned.", "location": "query", "type": "string", "required": true }, "part": { "required": true, "description": "The *part* parameter specifies the liveChatComment resource parts that the API response will include. Supported values are id and snippet.", "type": "string", "repeated": true, "location": "query" }, "maxResults": { "maximum": "2000", "description": "The *maxResults* parameter specifies the maximum number of items that should be returned in the result set.", "minimum": "200", "format": "uint32", "type": "integer", "default": "500", "location": "query" }, "pageToken": { "description": "The *pageToken* parameter identifies a specific page in the result set that should be returned. In an API response, the nextPageToken property identify other pages that could be retrieved.", "type": "string", "location": "query" }, "hl": { "location": "query", "type": "string", "description": "Specifies the localization language in which the system messages should be returned." } } } } }, "liveChatBans": { "methods": { "insert": { "id": "youtube.liveChatBans.insert", "parameters": { "part": { "required": true, "type": "string", "repeated": true, "description": "The *part* parameter serves two purposes in this operation. It identifies the properties that the write operation will set as well as the properties that the API response returns. Set the parameter value to snippet.", "location": "query" } }, "parameterOrder": [ "part" ], "scopes": [ "https://www.googleapis.com/auth/youtube", "https://www.googleapis.com/auth/youtube.force-ssl" ], "response": { "$ref": "LiveChatBan" }, "request": { "$ref": "LiveChatBan" }, "description": "Inserts a new resource into this collection.", "httpMethod": "POST", "path": "youtube/v3/liveChat/bans", "flatPath": "youtube/v3/liveChat/bans" }, "delete": { "parameterOrder": [ "id" ], "flatPath": "youtube/v3/liveChat/bans", "parameters": { "id": { "required": true, "location": "query", "type": "string" } }, "httpMethod": "DELETE", "id": "youtube.liveChatBans.delete", "description": "Deletes a chat ban.", "scopes": [ "https://www.googleapis.com/auth/youtube", "https://www.googleapis.com/auth/youtube.force-ssl" ], "path": "youtube/v3/liveChat/bans" } } }, "subscriptions": { "methods": { "delete": { "scopes": [ "https://www.googleapis.com/auth/youtube", "https://www.googleapis.com/auth/youtube.force-ssl", "https://www.googleapis.com/auth/youtubepartner" ], "flatPath": "youtube/v3/subscriptions", "id": "youtube.subscriptions.delete", "description": "Deletes a resource.", "parameters": { "id": { "location": "query", "type": "string", "required": true } }, "path": "youtube/v3/subscriptions", "parameterOrder": [ "id" ], "httpMethod": "DELETE" }, "list": { "response": { "$ref": "SubscriptionListResponse" }, "parameterOrder": [ "part" ], "description": "Retrieves a list of resources, possibly filtered.", "scopes": [ "https://www.googleapis.com/auth/youtube", "https://www.googleapis.com/auth/youtube.force-ssl", "https://www.googleapis.com/auth/youtube.readonly", "https://www.googleapis.com/auth/youtubepartner" ], "parameters": { "pageToken": { "type": "string", "location": "query", "description": "The *pageToken* parameter identifies a specific page in the result set that should be returned. In an API response, the nextPageToken and prevPageToken properties identify other pages that could be retrieved." }, "order": { "location": "query", "description": "The order of the returned subscriptions", "type": "string", "enum": [ "subscriptionOrderUnspecified", "relevance", "unread", "alphabetical" ], "enumDescriptions": [ "", "Sort by relevance.", "Sort by order of activity.", "Sort alphabetically." ], "default": "relevance" }, "id": { "description": "Return the subscriptions with the given IDs for Stubby or Apiary.", "type": "string", "repeated": true, "location": "query" }, "onBehalfOfContentOwnerChannel": { "type": "string", "location": "query", "description": "This parameter can only be used in a properly authorized request. *Note:* This parameter is intended exclusively for YouTube content partners. The *onBehalfOfContentOwnerChannel* parameter specifies the YouTube channel ID of the channel to which a video is being added. This parameter is required when a request specifies a value for the onBehalfOfContentOwner parameter, and it can only be used in conjunction with that parameter. In addition, the request must be authorized using a CMS account that is linked to the content owner that the onBehalfOfContentOwner parameter specifies. Finally, the channel that the onBehalfOfContentOwnerChannel parameter value specifies must be linked to the content owner that the onBehalfOfContentOwner parameter specifies. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and perform actions on behalf of the channel specified in the parameter value, without having to provide authentication credentials for each separate channel." }, "onBehalfOfContentOwner": { "description": "*Note:* This parameter is intended exclusively for YouTube content partners. The *onBehalfOfContentOwner* parameter indicates that the request's authorization credentials identify a YouTube CMS user who is acting on behalf of the content owner specified in the parameter value. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and get access to all their video and channel data, without having to provide authentication credentials for each individual channel. The CMS account that the user authenticates with must be linked to the specified YouTube content owner.", "type": "string", "location": "query" }, "maxResults": { "description": "The *maxResults* parameter specifies the maximum number of items that should be returned in the result set.", "default": "5", "maximum": "50", "minimum": "0", "format": "uint32", "type": "integer", "location": "query" }, "part": { "type": "string", "description": "The *part* parameter specifies a comma-separated list of one or more subscription resource properties that the API response will include. If the parameter identifies a property that contains child properties, the child properties will be included in the response. For example, in a subscription resource, the snippet property contains other properties, such as a display title for the subscription. If you set *part=snippet*, the API response will also contain all of those nested properties.", "repeated": true, "required": true, "location": "query" }, "forChannelId": { "description": "Return the subscriptions to the subset of these channels that the authenticated user is subscribed to.", "type": "string", "location": "query" }, "channelId": { "description": "Return the subscriptions of the given channel owner.", "type": "string", "location": "query" }, "myRecentSubscribers": { "type": "boolean", "location": "query" }, "mine": { "type": "boolean", "description": "Flag for returning the subscriptions of the authenticated user.", "location": "query" }, "mySubscribers": { "location": "query", "type": "boolean", "description": "Return the subscribers of the given channel owner." } }, "httpMethod": "GET", "flatPath": "youtube/v3/subscriptions", "id": "youtube.subscriptions.list", "path": "youtube/v3/subscriptions" }, "insert": { "response": { "$ref": "Subscription" }, "id": "youtube.subscriptions.insert", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/youtube", "https://www.googleapis.com/auth/youtube.force-ssl", "https://www.googleapis.com/auth/youtubepartner" ], "description": "Inserts a new resource into this collection.", "parameters": { "part": { "type": "string", "description": "The *part* parameter serves two purposes in this operation. It identifies the properties that the write operation will set as well as the properties that the API response will include.", "location": "query", "required": true, "repeated": true } }, "request": { "$ref": "Subscription" }, "path": "youtube/v3/subscriptions", "flatPath": "youtube/v3/subscriptions", "parameterOrder": [ "part" ] } } }, "liveStreams": { "methods": { "update": { "parameters": { "onBehalfOfContentOwnerChannel": { "description": "This parameter can only be used in a properly authorized request. *Note:* This parameter is intended exclusively for YouTube content partners. The *onBehalfOfContentOwnerChannel* parameter specifies the YouTube channel ID of the channel to which a video is being added. This parameter is required when a request specifies a value for the onBehalfOfContentOwner parameter, and it can only be used in conjunction with that parameter. In addition, the request must be authorized using a CMS account that is linked to the content owner that the onBehalfOfContentOwner parameter specifies. Finally, the channel that the onBehalfOfContentOwnerChannel parameter value specifies must be linked to the content owner that the onBehalfOfContentOwner parameter specifies. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and perform actions on behalf of the channel specified in the parameter value, without having to provide authentication credentials for each separate channel.", "location": "query", "type": "string" }, "part": { "description": "The *part* parameter serves two purposes in this operation. It identifies the properties that the write operation will set as well as the properties that the API response will include. The part properties that you can include in the parameter value are id, snippet, cdn, and status. Note that this method will override the existing values for all of the mutable properties that are contained in any parts that the parameter value specifies. If the request body does not specify a value for a mutable property, the existing value for that property will be removed.", "type": "string", "location": "query", "required": true, "repeated": true }, "onBehalfOfContentOwner": { "location": "query", "description": "*Note:* This parameter is intended exclusively for YouTube content partners. The *onBehalfOfContentOwner* parameter indicates that the request's authorization credentials identify a YouTube CMS user who is acting on behalf of the content owner specified in the parameter value. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and get access to all their video and channel data, without having to provide authentication credentials for each individual channel. The CMS account that the user authenticates with must be linked to the specified YouTube content owner.", "type": "string" } }, "flatPath": "youtube/v3/liveStreams", "path": "youtube/v3/liveStreams", "request": { "$ref": "LiveStream" }, "response": { "$ref": "LiveStream" }, "id": "youtube.liveStreams.update", "scopes": [ "https://www.googleapis.com/auth/youtube", "https://www.googleapis.com/auth/youtube.force-ssl" ], "description": "Updates an existing stream for the authenticated user.", "httpMethod": "PUT", "parameterOrder": [ "part" ] }, "list": { "flatPath": "youtube/v3/liveStreams", "path": "youtube/v3/liveStreams", "id": "youtube.liveStreams.list", "parameters": { "onBehalfOfContentOwnerChannel": { "description": "This parameter can only be used in a properly authorized request. *Note:* This parameter is intended exclusively for YouTube content partners. The *onBehalfOfContentOwnerChannel* parameter specifies the YouTube channel ID of the channel to which a video is being added. This parameter is required when a request specifies a value for the onBehalfOfContentOwner parameter, and it can only be used in conjunction with that parameter. In addition, the request must be authorized using a CMS account that is linked to the content owner that the onBehalfOfContentOwner parameter specifies. Finally, the channel that the onBehalfOfContentOwnerChannel parameter value specifies must be linked to the content owner that the onBehalfOfContentOwner parameter specifies. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and perform actions on behalf of the channel specified in the parameter value, without having to provide authentication credentials for each separate channel.", "type": "string", "location": "query" }, "pageToken": { "type": "string", "location": "query", "description": "The *pageToken* parameter identifies a specific page in the result set that should be returned. In an API response, the nextPageToken and prevPageToken properties identify other pages that could be retrieved." }, "onBehalfOfContentOwner": { "description": "*Note:* This parameter is intended exclusively for YouTube content partners. The *onBehalfOfContentOwner* parameter indicates that the request's authorization credentials identify a YouTube CMS user who is acting on behalf of the content owner specified in the parameter value. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and get access to all their video and channel data, without having to provide authentication credentials for each individual channel. The CMS account that the user authenticates with must be linked to the specified YouTube content owner.", "type": "string", "location": "query" }, "id": { "description": "Return LiveStreams with the given ids from Stubby or Apiary.", "type": "string", "repeated": true, "location": "query" }, "maxResults": { "location": "query", "minimum": "0", "maximum": "50", "default": "5", "format": "uint32", "type": "integer", "description": "The *maxResults* parameter specifies the maximum number of items that should be returned in the result set." }, "part": { "repeated": true, "required": true, "location": "query", "description": "The *part* parameter specifies a comma-separated list of one or more liveStream resource properties that the API response will include. The part names that you can include in the parameter value are id, snippet, cdn, and status.", "type": "string" }, "mine": { "type": "boolean", "location": "query" } }, "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/youtube", "https://www.googleapis.com/auth/youtube.force-ssl", "https://www.googleapis.com/auth/youtube.readonly" ], "description": "Retrieve the list of streams associated with the given channel. --", "response": { "$ref": "LiveStreamListResponse" }, "parameterOrder": [ "part" ] }, "insert": { "path": "youtube/v3/liveStreams", "flatPath": "youtube/v3/liveStreams", "response": { "$ref": "LiveStream" }, "parameterOrder": [ "part" ], "httpMethod": "POST", "id": "youtube.liveStreams.insert", "scopes": [ "https://www.googleapis.com/auth/youtube", "https://www.googleapis.com/auth/youtube.force-ssl" ], "description": "Inserts a new stream for the authenticated user.", "parameters": { "part": { "required": true, "repeated": true, "type": "string", "location": "query", "description": "The *part* parameter serves two purposes in this operation. It identifies the properties that the write operation will set as well as the properties that the API response will include. The part properties that you can include in the parameter value are id, snippet, cdn, content_details, and status." }, "onBehalfOfContentOwner": { "location": "query", "description": "*Note:* This parameter is intended exclusively for YouTube content partners. The *onBehalfOfContentOwner* parameter indicates that the request's authorization credentials identify a YouTube CMS user who is acting on behalf of the content owner specified in the parameter value. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and get access to all their video and channel data, without having to provide authentication credentials for each individual channel. The CMS account that the user authenticates with must be linked to the specified YouTube content owner.", "type": "string" }, "onBehalfOfContentOwnerChannel": { "type": "string", "location": "query", "description": "This parameter can only be used in a properly authorized request. *Note:* This parameter is intended exclusively for YouTube content partners. The *onBehalfOfContentOwnerChannel* parameter specifies the YouTube channel ID of the channel to which a video is being added. This parameter is required when a request specifies a value for the onBehalfOfContentOwner parameter, and it can only be used in conjunction with that parameter. In addition, the request must be authorized using a CMS account that is linked to the content owner that the onBehalfOfContentOwner parameter specifies. Finally, the channel that the onBehalfOfContentOwnerChannel parameter value specifies must be linked to the content owner that the onBehalfOfContentOwner parameter specifies. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and perform actions on behalf of the channel specified in the parameter value, without having to provide authentication credentials for each separate channel." } }, "request": { "$ref": "LiveStream" } }, "delete": { "path": "youtube/v3/liveStreams", "description": "Deletes an existing stream for the authenticated user.", "scopes": [ "https://www.googleapis.com/auth/youtube", "https://www.googleapis.com/auth/youtube.force-ssl" ], "parameterOrder": [ "id" ], "id": "youtube.liveStreams.delete", "parameters": { "onBehalfOfContentOwner": { "description": "*Note:* This parameter is intended exclusively for YouTube content partners. The *onBehalfOfContentOwner* parameter indicates that the request's authorization credentials identify a YouTube CMS user who is acting on behalf of the content owner specified in the parameter value. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and get access to all their video and channel data, without having to provide authentication credentials for each individual channel. The CMS account that the user authenticates with must be linked to the specified YouTube content owner.", "location": "query", "type": "string" }, "id": { "location": "query", "type": "string", "required": true }, "onBehalfOfContentOwnerChannel": { "description": "This parameter can only be used in a properly authorized request. *Note:* This parameter is intended exclusively for YouTube content partners. The *onBehalfOfContentOwnerChannel* parameter specifies the YouTube channel ID of the channel to which a video is being added. This parameter is required when a request specifies a value for the onBehalfOfContentOwner parameter, and it can only be used in conjunction with that parameter. In addition, the request must be authorized using a CMS account that is linked to the content owner that the onBehalfOfContentOwner parameter specifies. Finally, the channel that the onBehalfOfContentOwnerChannel parameter value specifies must be linked to the content owner that the onBehalfOfContentOwner parameter specifies. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and perform actions on behalf of the channel specified in the parameter value, without having to provide authentication credentials for each separate channel.", "location": "query", "type": "string" } }, "httpMethod": "DELETE", "flatPath": "youtube/v3/liveStreams" } } }, "channelBanners": { "methods": { "insert": { "request": { "$ref": "ChannelBannerResource" }, "path": "youtube/v3/channelBanners/insert", "parameterOrder": [], "scopes": [ "https://www.googleapis.com/auth/youtube", "https://www.googleapis.com/auth/youtube.force-ssl", "https://www.googleapis.com/auth/youtube.upload" ], "parameters": { "onBehalfOfContentOwner": { "description": "*Note:* This parameter is intended exclusively for YouTube content partners. The *onBehalfOfContentOwner* parameter indicates that the request's authorization credentials identify a YouTube CMS user who is acting on behalf of the content owner specified in the parameter value. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and get access to all their video and channel data, without having to provide authentication credentials for each individual channel. The actual CMS account that the user authenticates with must be linked to the specified YouTube content owner.", "type": "string", "location": "query" }, "channelId": { "type": "string", "location": "query", "description": "Unused, channel_id is currently derived from the security context of the requestor." }, "onBehalfOfContentOwnerChannel": { "location": "query", "type": "string", "description": "This parameter can only be used in a properly authorized request. *Note:* This parameter is intended exclusively for YouTube content partners. The *onBehalfOfContentOwnerChannel* parameter specifies the YouTube channel ID of the channel to which a video is being added. This parameter is required when a request specifies a value for the onBehalfOfContentOwner parameter, and it can only be used in conjunction with that parameter. In addition, the request must be authorized using a CMS account that is linked to the content owner that the onBehalfOfContentOwner parameter specifies. Finally, the channel that the onBehalfOfContentOwnerChannel parameter value specifies must be linked to the content owner that the onBehalfOfContentOwner parameter specifies. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and perform actions on behalf of the channel specified in the parameter value, without having to provide authentication credentials for each separate channel." } }, "mediaUpload": { "accept": [ "image/jpeg", "image/png", "application/octet-stream" ], "protocols": { "simple": { "multipart": true, "path": "/upload/youtube/v3/channelBanners/insert" }, "resumable": { "multipart": true, "path": "/resumable/upload/youtube/v3/channelBanners/insert" } }, "maxSize": "6291456" }, "description": "Inserts a new resource into this collection.", "response": { "$ref": "ChannelBannerResource" }, "id": "youtube.channelBanners.insert", "flatPath": "youtube/v3/channelBanners/insert", "httpMethod": "POST", "supportsMediaUpload": true } } }, "activities": { "methods": { "list": { "parameterOrder": [ "part" ], "httpMethod": "GET", "id": "youtube.activities.list", "description": "Retrieves a list of resources, possibly filtered.", "scopes": [ "https://www.googleapis.com/auth/youtube", "https://www.googleapis.com/auth/youtube.force-ssl", "https://www.googleapis.com/auth/youtube.readonly" ], "parameters": { "mine": { "type": "boolean", "location": "query" }, "pageToken": { "description": "The *pageToken* parameter identifies a specific page in the result set that should be returned. In an API response, the nextPageToken and prevPageToken properties identify other pages that could be retrieved.", "location": "query", "type": "string" }, "maxResults": { "description": "The *maxResults* parameter specifies the maximum number of items that should be returned in the result set.", "minimum": "0", "format": "uint32", "location": "query", "type": "integer", "default": "5", "maximum": "50" }, "regionCode": { "type": "string", "location": "query" }, "publishedBefore": { "format": "google-datetime", "location": "query", "type": "string" }, "publishedAfter": { "location": "query", "type": "string", "format": "google-datetime" }, "home": { "type": "boolean", "location": "query" }, "part": { "type": "string", "description": "The *part* parameter specifies a comma-separated list of one or more activity resource properties that the API response will include. If the parameter identifies a property that contains child properties, the child properties will be included in the response. For example, in an activity resource, the snippet property contains other properties that identify the type of activity, a display title for the activity, and so forth. If you set *part=snippet*, the API response will also contain all of those nested properties.", "location": "query", "repeated": true, "required": true }, "channelId": { "type": "string", "location": "query" } }, "response": { "$ref": "ActivityListResponse" }, "flatPath": "youtube/v3/activities", "path": "youtube/v3/activities" } } }, "videoAbuseReportReasons": { "methods": { "list": { "response": { "$ref": "VideoAbuseReportReasonListResponse" }, "id": "youtube.videoAbuseReportReasons.list", "scopes": [ "https://www.googleapis.com/auth/youtube", "https://www.googleapis.com/auth/youtube.force-ssl", "https://www.googleapis.com/auth/youtube.readonly" ], "flatPath": "youtube/v3/videoAbuseReportReasons", "description": "Retrieves a list of resources, possibly filtered.", "path": "youtube/v3/videoAbuseReportReasons", "httpMethod": "GET", "parameters": { "part": { "required": true, "type": "string", "location": "query", "repeated": true, "description": "The *part* parameter specifies the videoCategory resource parts that the API response will include. Supported values are id and snippet." }, "hl": { "type": "string", "location": "query", "default": "en-US" } }, "parameterOrder": [ "part" ] } } }, "commentThreads": { "methods": { "list": { "path": "youtube/v3/commentThreads", "description": "Retrieves a list of resources, possibly filtered.", "httpMethod": "GET", "response": { "$ref": "CommentThreadListResponse" }, "parameters": { "maxResults": { "minimum": "1", "type": "integer", "default": "20", "format": "uint32", "maximum": "100", "description": "The *maxResults* parameter specifies the maximum number of items that should be returned in the result set.", "location": "query" }, "channelId": { "location": "query", "type": "string", "description": "Returns the comment threads for all the channel comments (ie does not include comments left on videos)." }, "moderationStatus": { "location": "query", "description": "Limits the returned comment threads to those with the specified moderation status. Not compatible with the 'id' filter. Valid values: published, heldForReview, likelySpam.", "default": "published", "type": "string", "enumDescriptions": [ "The comment is available for public display.", "The comment is awaiting review by a moderator.", "", "The comment is unfit for display." ], "enum": [ "published", "heldForReview", "likelySpam", "rejected" ] }, "videoId": { "location": "query", "type": "string", "description": "Returns the comment threads of the specified video." }, "allThreadsRelatedToChannelId": { "type": "string", "location": "query", "description": "Returns the comment threads of all videos of the channel and the channel comments as well." }, "pageToken": { "location": "query", "type": "string", "description": "The *pageToken* parameter identifies a specific page in the result set that should be returned. In an API response, the nextPageToken and prevPageToken properties identify other pages that could be retrieved." }, "searchTerms": { "description": "Limits the returned comment threads to those matching the specified key words. Not compatible with the 'id' filter.", "type": "string", "location": "query" }, "order": { "type": "string", "enum": [ "orderUnspecified", "time", "relevance" ], "location": "query", "default": "time", "enumDescriptions": [ "", "Order by time.", "Order by relevance." ] }, "id": { "location": "query", "type": "string", "description": "Returns the comment threads with the given IDs for Stubby or Apiary.", "repeated": true }, "part": { "location": "query", "description": "The *part* parameter specifies a comma-separated list of one or more commentThread resource properties that the API response will include.", "type": "string", "repeated": true, "required": true }, "textFormat": { "description": "The requested text format for the returned comments.", "enum": [ "textFormatUnspecified", "html", "plainText" ], "default": "html", "enumDescriptions": [ "", "Returns the comments in HTML format. This is the default value.", "Returns the comments in plain text format." ], "location": "query", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/youtube.force-ssl" ], "flatPath": "youtube/v3/commentThreads", "id": "youtube.commentThreads.list", "parameterOrder": [ "part" ] }, "insert": { "flatPath": "youtube/v3/commentThreads", "id": "youtube.commentThreads.insert", "parameters": { "part": { "required": true, "repeated": true, "location": "query", "description": "The *part* parameter identifies the properties that the API response will include. Set the parameter value to snippet. The snippet part has a quota cost of 2 units.", "type": "string" } }, "request": { "$ref": "CommentThread" }, "description": "Inserts a new resource into this collection.", "scopes": [ "https://www.googleapis.com/auth/youtube.force-ssl" ], "response": { "$ref": "CommentThread" }, "parameterOrder": [ "part" ], "path": "youtube/v3/commentThreads", "httpMethod": "POST" } } }, "playlistItems": { "methods": { "delete": { "parameters": { "id": { "location": "query", "type": "string", "required": true }, "onBehalfOfContentOwner": { "type": "string", "description": "*Note:* This parameter is intended exclusively for YouTube content partners. The *onBehalfOfContentOwner* parameter indicates that the request's authorization credentials identify a YouTube CMS user who is acting on behalf of the content owner specified in the parameter value. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and get access to all their video and channel data, without having to provide authentication credentials for each individual channel. The CMS account that the user authenticates with must be linked to the specified YouTube content owner.", "location": "query" } }, "description": "Deletes a resource.", "httpMethod": "DELETE", "path": "youtube/v3/playlistItems", "flatPath": "youtube/v3/playlistItems", "parameterOrder": [ "id" ], "scopes": [ "https://www.googleapis.com/auth/youtube", "https://www.googleapis.com/auth/youtube.force-ssl", "https://www.googleapis.com/auth/youtubepartner" ], "id": "youtube.playlistItems.delete" }, "insert": { "description": "Inserts a new resource into this collection.", "response": { "$ref": "PlaylistItem" }, "request": { "$ref": "PlaylistItem" }, "id": "youtube.playlistItems.insert", "httpMethod": "POST", "flatPath": "youtube/v3/playlistItems", "scopes": [ "https://www.googleapis.com/auth/youtube", "https://www.googleapis.com/auth/youtube.force-ssl", "https://www.googleapis.com/auth/youtubepartner" ], "parameters": { "onBehalfOfContentOwner": { "type": "string", "description": "*Note:* This parameter is intended exclusively for YouTube content partners. The *onBehalfOfContentOwner* parameter indicates that the request's authorization credentials identify a YouTube CMS user who is acting on behalf of the content owner specified in the parameter value. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and get access to all their video and channel data, without having to provide authentication credentials for each individual channel. The CMS account that the user authenticates with must be linked to the specified YouTube content owner.", "location": "query" }, "part": { "type": "string", "repeated": true, "location": "query", "required": true, "description": "The *part* parameter serves two purposes in this operation. It identifies the properties that the write operation will set as well as the properties that the API response will include." } }, "path": "youtube/v3/playlistItems", "parameterOrder": [ "part" ] }, "update": { "parameters": { "onBehalfOfContentOwner": { "type": "string", "location": "query", "description": "*Note:* This parameter is intended exclusively for YouTube content partners. The *onBehalfOfContentOwner* parameter indicates that the request's authorization credentials identify a YouTube CMS user who is acting on behalf of the content owner specified in the parameter value. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and get access to all their video and channel data, without having to provide authentication credentials for each individual channel. The CMS account that the user authenticates with must be linked to the specified YouTube content owner." }, "part": { "location": "query", "type": "string", "description": "The *part* parameter serves two purposes in this operation. It identifies the properties that the write operation will set as well as the properties that the API response will include. Note that this method will override the existing values for all of the mutable properties that are contained in any parts that the parameter value specifies. For example, a playlist item can specify a start time and end time, which identify the times portion of the video that should play when users watch the video in the playlist. If your request is updating a playlist item that sets these values, and the request's part parameter value includes the contentDetails part, the playlist item's start and end times will be updated to whatever value the request body specifies. If the request body does not specify values, the existing start and end times will be removed and replaced with the default settings.", "repeated": true, "required": true } }, "flatPath": "youtube/v3/playlistItems", "request": { "$ref": "PlaylistItem" }, "scopes": [ "https://www.googleapis.com/auth/youtube", "https://www.googleapis.com/auth/youtube.force-ssl", "https://www.googleapis.com/auth/youtubepartner" ], "description": "Updates an existing resource.", "httpMethod": "PUT", "parameterOrder": [ "part" ], "path": "youtube/v3/playlistItems", "response": { "$ref": "PlaylistItem" }, "id": "youtube.playlistItems.update" }, "list": { "parameters": { "part": { "description": "The *part* parameter specifies a comma-separated list of one or more playlistItem resource properties that the API response will include. If the parameter identifies a property that contains child properties, the child properties will be included in the response. For example, in a playlistItem resource, the snippet property contains numerous fields, including the title, description, position, and resourceId properties. As such, if you set *part=snippet*, the API response will contain all of those properties.", "type": "string", "repeated": true, "location": "query", "required": true }, "onBehalfOfContentOwner": { "location": "query", "type": "string", "description": "*Note:* This parameter is intended exclusively for YouTube content partners. The *onBehalfOfContentOwner* parameter indicates that the request's authorization credentials identify a YouTube CMS user who is acting on behalf of the content owner specified in the parameter value. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and get access to all their video and channel data, without having to provide authentication credentials for each individual channel. The CMS account that the user authenticates with must be linked to the specified YouTube content owner." }, "playlistId": { "location": "query", "type": "string", "description": "Return the playlist items within the given playlist." }, "pageToken": { "type": "string", "description": "The *pageToken* parameter identifies a specific page in the result set that should be returned. In an API response, the nextPageToken and prevPageToken properties identify other pages that could be retrieved.", "location": "query" }, "maxResults": { "format": "uint32", "minimum": "0", "type": "integer", "default": "5", "maximum": "50", "location": "query", "description": "The *maxResults* parameter specifies the maximum number of items that should be returned in the result set." }, "videoId": { "location": "query", "type": "string", "description": "Return the playlist items associated with the given video ID." }, "id": { "repeated": true, "type": "string", "location": "query" } }, "scopes": [ "https://www.googleapis.com/auth/youtube", "https://www.googleapis.com/auth/youtube.force-ssl", "https://www.googleapis.com/auth/youtube.readonly", "https://www.googleapis.com/auth/youtubepartner" ], "description": "Retrieves a list of resources, possibly filtered.", "httpMethod": "GET", "response": { "$ref": "PlaylistItemListResponse" }, "flatPath": "youtube/v3/playlistItems", "path": "youtube/v3/playlistItems", "parameterOrder": [ "part" ], "id": "youtube.playlistItems.list" } } }, "videos": { "methods": { "delete": { "scopes": [ "https://www.googleapis.com/auth/youtube", "https://www.googleapis.com/auth/youtube.force-ssl", "https://www.googleapis.com/auth/youtubepartner" ], "description": "Deletes a resource.", "httpMethod": "DELETE", "flatPath": "youtube/v3/videos", "parameterOrder": [ "id" ], "path": "youtube/v3/videos", "parameters": { "id": { "type": "string", "location": "query", "required": true }, "onBehalfOfContentOwner": { "type": "string", "description": "*Note:* This parameter is intended exclusively for YouTube content partners. The *onBehalfOfContentOwner* parameter indicates that the request's authorization credentials identify a YouTube CMS user who is acting on behalf of the content owner specified in the parameter value. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and get access to all their video and channel data, without having to provide authentication credentials for each individual channel. The actual CMS account that the user authenticates with must be linked to the specified YouTube content owner.", "location": "query" } }, "id": "youtube.videos.delete" }, "update": { "parameterOrder": [ "part" ], "path": "youtube/v3/videos", "scopes": [ "https://www.googleapis.com/auth/youtube", "https://www.googleapis.com/auth/youtube.force-ssl", "https://www.googleapis.com/auth/youtubepartner" ], "request": { "$ref": "Video" }, "httpMethod": "PUT", "description": "Updates an existing resource.", "parameters": { "onBehalfOfContentOwner": { "description": "*Note:* This parameter is intended exclusively for YouTube content partners. The *onBehalfOfContentOwner* parameter indicates that the request's authorization credentials identify a YouTube CMS user who is acting on behalf of the content owner specified in the parameter value. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and get access to all their video and channel data, without having to provide authentication credentials for each individual channel. The actual CMS account that the user authenticates with must be linked to the specified YouTube content owner.", "location": "query", "type": "string" }, "part": { "required": true, "type": "string", "description": "The *part* parameter serves two purposes in this operation. It identifies the properties that the write operation will set as well as the properties that the API response will include. Note that this method will override the existing values for all of the mutable properties that are contained in any parts that the parameter value specifies. For example, a video's privacy setting is contained in the status part. As such, if your request is updating a private video, and the request's part parameter value includes the status part, the video's privacy setting will be updated to whatever value the request body specifies. If the request body does not specify a value, the existing privacy setting will be removed and the video will revert to the default privacy setting. In addition, not all parts contain properties that can be set when inserting or updating a video. For example, the statistics object encapsulates statistics that YouTube calculates for a video and does not contain values that you can set or modify. If the parameter value specifies a part that does not contain mutable values, that part will still be included in the API response.", "location": "query", "repeated": true } }, "response": { "$ref": "Video" }, "id": "youtube.videos.update", "flatPath": "youtube/v3/videos" }, "rate": { "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/youtube", "https://www.googleapis.com/auth/youtube.force-ssl", "https://www.googleapis.com/auth/youtubepartner" ], "flatPath": "youtube/v3/videos/rate", "id": "youtube.videos.rate", "parameterOrder": [ "id", "rating" ], "parameters": { "id": { "required": true, "location": "query", "type": "string" }, "rating": { "type": "string", "enumDescriptions": [ "", "The entity is liked.", "The entity is disliked." ], "enum": [ "none", "like", "dislike" ], "required": true, "location": "query" } }, "path": "youtube/v3/videos/rate", "description": "Adds a like or dislike rating to a video or removes a rating from a video." }, "insert": { "supportsMediaUpload": true, "request": { "$ref": "Video" }, "mediaUpload": { "protocols": { "simple": { "path": "/upload/youtube/v3/videos", "multipart": true }, "resumable": { "path": "/resumable/upload/youtube/v3/videos", "multipart": true } }, "maxSize": "274877906944", "accept": [ "video/*", "application/octet-stream" ] }, "flatPath": "youtube/v3/videos", "id": "youtube.videos.insert", "parameters": { "autoLevels": { "type": "boolean", "location": "query", "description": "Should auto-levels be applied to the upload." }, "onBehalfOfContentOwner": { "type": "string", "location": "query", "description": "*Note:* This parameter is intended exclusively for YouTube content partners. The *onBehalfOfContentOwner* parameter indicates that the request's authorization credentials identify a YouTube CMS user who is acting on behalf of the content owner specified in the parameter value. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and get access to all their video and channel data, without having to provide authentication credentials for each individual channel. The CMS account that the user authenticates with must be linked to the specified YouTube content owner." }, "part": { "required": true, "repeated": true, "type": "string", "description": "The *part* parameter serves two purposes in this operation. It identifies the properties that the write operation will set as well as the properties that the API response will include. Note that not all parts contain properties that can be set when inserting or updating a video. For example, the statistics object encapsulates statistics that YouTube calculates for a video and does not contain values that you can set or modify. If the parameter value specifies a part that does not contain mutable values, that part will still be included in the API response.", "location": "query" }, "notifySubscribers": { "description": "Notify the channel subscribers about the new video. As default, the notification is enabled.", "location": "query", "type": "boolean", "default": "true" }, "stabilize": { "location": "query", "description": "Should stabilize be applied to the upload.", "type": "boolean" }, "onBehalfOfContentOwnerChannel": { "description": "This parameter can only be used in a properly authorized request. *Note:* This parameter is intended exclusively for YouTube content partners. The *onBehalfOfContentOwnerChannel* parameter specifies the YouTube channel ID of the channel to which a video is being added. This parameter is required when a request specifies a value for the onBehalfOfContentOwner parameter, and it can only be used in conjunction with that parameter. In addition, the request must be authorized using a CMS account that is linked to the content owner that the onBehalfOfContentOwner parameter specifies. Finally, the channel that the onBehalfOfContentOwnerChannel parameter value specifies must be linked to the content owner that the onBehalfOfContentOwner parameter specifies. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and perform actions on behalf of the channel specified in the parameter value, without having to provide authentication credentials for each separate channel.", "type": "string", "location": "query" } }, "scopes": [ "https://www.googleapis.com/auth/youtube", "https://www.googleapis.com/auth/youtube.force-ssl", "https://www.googleapis.com/auth/youtube.upload", "https://www.googleapis.com/auth/youtubepartner" ], "parameterOrder": [ "part" ], "description": "Inserts a new resource into this collection.", "response": { "$ref": "Video" }, "httpMethod": "POST", "path": "youtube/v3/videos" }, "reportAbuse": { "path": "youtube/v3/videos/reportAbuse", "flatPath": "youtube/v3/videos/reportAbuse", "httpMethod": "POST", "parameters": { "onBehalfOfContentOwner": { "description": "*Note:* This parameter is intended exclusively for YouTube content partners. The *onBehalfOfContentOwner* parameter indicates that the request's authorization credentials identify a YouTube CMS user who is acting on behalf of the content owner specified in the parameter value. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and get access to all their video and channel data, without having to provide authentication credentials for each individual channel. The CMS account that the user authenticates with must be linked to the specified YouTube content owner.", "type": "string", "location": "query" } }, "request": { "$ref": "VideoAbuseReport" }, "parameterOrder": [], "scopes": [ "https://www.googleapis.com/auth/youtube", "https://www.googleapis.com/auth/youtube.force-ssl", "https://www.googleapis.com/auth/youtubepartner" ], "id": "youtube.videos.reportAbuse", "description": "Report abuse for a video." }, "getRating": { "parameters": { "id": { "repeated": true, "required": true, "type": "string", "location": "query" }, "onBehalfOfContentOwner": { "location": "query", "description": "*Note:* This parameter is intended exclusively for YouTube content partners. The *onBehalfOfContentOwner* parameter indicates that the request's authorization credentials identify a YouTube CMS user who is acting on behalf of the content owner specified in the parameter value. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and get access to all their video and channel data, without having to provide authentication credentials for each individual channel. The CMS account that the user authenticates with must be linked to the specified YouTube content owner.", "type": "string" } }, "id": "youtube.videos.getRating", "path": "youtube/v3/videos/getRating", "flatPath": "youtube/v3/videos/getRating", "parameterOrder": [ "id" ], "description": "Retrieves the ratings that the authorized user gave to a list of specified videos.", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/youtube", "https://www.googleapis.com/auth/youtube.force-ssl", "https://www.googleapis.com/auth/youtubepartner" ], "response": { "$ref": "VideoGetRatingResponse" } }, "list": { "parameters": { "id": { "type": "string", "description": "Return videos with the given ids.", "location": "query", "repeated": true }, "maxResults": { "location": "query", "type": "integer", "description": "The *maxResults* parameter specifies the maximum number of items that should be returned in the result set. *Note:* This parameter is supported for use in conjunction with the myRating and chart parameters, but it is not supported for use in conjunction with the id parameter.", "minimum": "1", "default": "5", "format": "uint32", "maximum": "50" }, "locale": { "location": "query", "type": "string" }, "part": { "type": "string", "location": "query", "required": true, "description": "The *part* parameter specifies a comma-separated list of one or more video resource properties that the API response will include. If the parameter identifies a property that contains child properties, the child properties will be included in the response. For example, in a video resource, the snippet property contains the channelId, title, description, tags, and categoryId properties. As such, if you set *part=snippet*, the API response will contain all of those properties.", "repeated": true }, "maxHeight": { "maximum": "8192", "type": "integer", "format": "int32", "location": "query", "minimum": "72" }, "myRating": { "enumDescriptions": [ "", "The entity is liked.", "The entity is disliked." ], "description": "Return videos liked/disliked by the authenticated user. Does not support RateType.RATED_TYPE_NONE.", "enum": [ "none", "like", "dislike" ], "location": "query", "type": "string" }, "maxWidth": { "format": "int32", "maximum": "8192", "description": "Return the player with maximum height specified in", "type": "integer", "location": "query", "minimum": "72" }, "onBehalfOfContentOwner": { "location": "query", "description": "*Note:* This parameter is intended exclusively for YouTube content partners. The *onBehalfOfContentOwner* parameter indicates that the request's authorization credentials identify a YouTube CMS user who is acting on behalf of the content owner specified in the parameter value. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and get access to all their video and channel data, without having to provide authentication credentials for each individual channel. The CMS account that the user authenticates with must be linked to the specified YouTube content owner.", "type": "string" }, "pageToken": { "type": "string", "location": "query", "description": "The *pageToken* parameter identifies a specific page in the result set that should be returned. In an API response, the nextPageToken and prevPageToken properties identify other pages that could be retrieved. *Note:* This parameter is supported for use in conjunction with the myRating and chart parameters, but it is not supported for use in conjunction with the id parameter." }, "chart": { "location": "query", "enumDescriptions": [ "", "Return the most popular videos for the specified content region and video category." ], "enum": [ "chartUnspecified", "mostPopular" ], "type": "string", "description": "Return the videos that are in the specified chart." }, "videoCategoryId": { "type": "string", "default": "0", "location": "query", "description": "Use chart that is specific to the specified video category" }, "hl": { "location": "query", "description": "Stands for \"host language\". Specifies the localization language of the metadata to be filled into snippet.localized. The field is filled with the default metadata if there is no localization in the specified language. The parameter value must be a language code included in the list returned by the i18nLanguages.list method (e.g. en_US, es_MX).", "type": "string" }, "regionCode": { "location": "query", "type": "string", "description": "Use a chart that is specific to the specified region" } }, "description": "Retrieves a list of resources, possibly filtered.", "id": "youtube.videos.list", "scopes": [ "https://www.googleapis.com/auth/youtube", "https://www.googleapis.com/auth/youtube.force-ssl", "https://www.googleapis.com/auth/youtube.readonly", "https://www.googleapis.com/auth/youtubepartner" ], "response": { "$ref": "VideoListResponse" }, "parameterOrder": [ "part" ], "path": "youtube/v3/videos", "httpMethod": "GET", "flatPath": "youtube/v3/videos" } } }, "abuseReports": { "methods": { "insert": { "flatPath": "youtube/v3/abuseReports", "request": { "$ref": "AbuseReport" }, "parameterOrder": [ "part" ], "response": { "$ref": "AbuseReport" }, "id": "youtube.abuseReports.insert", "path": "youtube/v3/abuseReports", "scopes": [ "https://www.googleapis.com/auth/youtube", "https://www.googleapis.com/auth/youtube.force-ssl" ], "description": "Inserts a new resource into this collection.", "httpMethod": "POST", "parameters": { "part": { "type": "string", "location": "query", "repeated": true, "required": true, "description": "The *part* parameter serves two purposes in this operation. It identifies the properties that the write operation will set as well as the properties that the API response will include." } } } } }, "liveChatModerators": { "methods": { "delete": { "path": "youtube/v3/liveChat/moderators", "flatPath": "youtube/v3/liveChat/moderators", "id": "youtube.liveChatModerators.delete", "parameters": { "id": { "type": "string", "required": true, "location": "query" } }, "parameterOrder": [ "id" ], "scopes": [ "https://www.googleapis.com/auth/youtube", "https://www.googleapis.com/auth/youtube.force-ssl" ], "httpMethod": "DELETE", "description": "Deletes a chat moderator." }, "list": { "flatPath": "youtube/v3/liveChat/moderators", "httpMethod": "GET", "id": "youtube.liveChatModerators.list", "scopes": [ "https://www.googleapis.com/auth/youtube", "https://www.googleapis.com/auth/youtube.force-ssl", "https://www.googleapis.com/auth/youtube.readonly" ], "path": "youtube/v3/liveChat/moderators", "parameters": { "maxResults": { "maximum": "50", "type": "integer", "location": "query", "description": "The *maxResults* parameter specifies the maximum number of items that should be returned in the result set.", "default": "5", "format": "uint32", "minimum": "0" }, "liveChatId": { "type": "string", "required": true, "location": "query", "description": "The id of the live chat for which moderators should be returned." }, "pageToken": { "description": "The *pageToken* parameter identifies a specific page in the result set that should be returned. In an API response, the nextPageToken and prevPageToken properties identify other pages that could be retrieved.", "type": "string", "location": "query" }, "part": { "location": "query", "type": "string", "repeated": true, "required": true, "description": "The *part* parameter specifies the liveChatModerator resource parts that the API response will include. Supported values are id and snippet." } }, "parameterOrder": [ "liveChatId", "part" ], "response": { "$ref": "LiveChatModeratorListResponse" }, "description": "Retrieves a list of resources, possibly filtered." }, "insert": { "parameterOrder": [ "part" ], "parameters": { "part": { "type": "string", "location": "query", "repeated": true, "description": "The *part* parameter serves two purposes in this operation. It identifies the properties that the write operation will set as well as the properties that the API response returns. Set the parameter value to snippet.", "required": true } }, "response": { "$ref": "LiveChatModerator" }, "path": "youtube/v3/liveChat/moderators", "request": { "$ref": "LiveChatModerator" }, "httpMethod": "POST", "id": "youtube.liveChatModerators.insert", "scopes": [ "https://www.googleapis.com/auth/youtube", "https://www.googleapis.com/auth/youtube.force-ssl" ], "description": "Inserts a new resource into this collection.", "flatPath": "youtube/v3/liveChat/moderators" } } }, "i18nRegions": { "methods": { "list": { "path": "youtube/v3/i18nRegions", "parameters": { "hl": { "default": "en_US", "location": "query", "type": "string" }, "part": { "type": "string", "repeated": true, "required": true, "location": "query", "description": "The *part* parameter specifies the i18nRegion resource properties that the API response will include. Set the parameter value to snippet." } }, "id": "youtube.i18nRegions.list", "httpMethod": "GET", "parameterOrder": [ "part" ], "description": "Retrieves a list of resources, possibly filtered.", "response": { "$ref": "I18nRegionListResponse" }, "scopes": [ "https://www.googleapis.com/auth/youtube", "https://www.googleapis.com/auth/youtube.force-ssl", "https://www.googleapis.com/auth/youtube.readonly", "https://www.googleapis.com/auth/youtubepartner" ], "flatPath": "youtube/v3/i18nRegions" } } }, "comments": { "methods": { "delete": { "id": "youtube.comments.delete", "httpMethod": "DELETE", "path": "youtube/v3/comments", "scopes": [ "https://www.googleapis.com/auth/youtube.force-ssl" ], "description": "Deletes a resource.", "parameters": { "id": { "location": "query", "required": true, "type": "string" } }, "parameterOrder": [ "id" ], "flatPath": "youtube/v3/comments" }, "update": { "id": "youtube.comments.update", "path": "youtube/v3/comments", "httpMethod": "PUT", "description": "Updates an existing resource.", "parameterOrder": [ "part" ], "request": { "$ref": "Comment" }, "flatPath": "youtube/v3/comments", "scopes": [ "https://www.googleapis.com/auth/youtube.force-ssl" ], "parameters": { "part": { "repeated": true, "required": true, "description": "The *part* parameter identifies the properties that the API response will include. You must at least include the snippet part in the parameter value since that part contains all of the properties that the API request can update.", "location": "query", "type": "string" } }, "response": { "$ref": "Comment" } }, "setModerationStatus": { "flatPath": "youtube/v3/comments/setModerationStatus", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/youtube.force-ssl" ], "parameters": { "moderationStatus": { "description": "Specifies the requested moderation status. Note, comments can be in statuses, which are not available through this call. For example, this call does not allow to mark a comment as 'likely spam'. Valid values: MODERATION_STATUS_PUBLISHED, MODERATION_STATUS_HELD_FOR_REVIEW, MODERATION_STATUS_REJECTED.", "required": true, "type": "string", "enumDescriptions": [ "The comment is available for public display.", "The comment is awaiting review by a moderator.", "", "The comment is unfit for display." ], "enum": [ "published", "heldForReview", "likelySpam", "rejected" ], "location": "query" }, "id": { "description": "Modifies the moderation status of the comments with the given IDs", "location": "query", "repeated": true, "type": "string", "required": true }, "banAuthor": { "default": "false", "location": "query", "type": "boolean", "description": "If set to true the author of the comment gets added to the ban list. This means all future comments of the author will autmomatically be rejected. Only valid in combination with STATUS_REJECTED." } }, "path": "youtube/v3/comments/setModerationStatus", "description": "Sets the moderation status of one or more comments.", "id": "youtube.comments.setModerationStatus", "parameterOrder": [ "id", "moderationStatus" ] }, "markAsSpam": { "path": "youtube/v3/comments/markAsSpam", "description": "Expresses the caller's opinion that one or more comments should be flagged as spam.", "parameters": { "id": { "type": "string", "required": true, "description": "Flags the comments with the given IDs as spam in the caller's opinion.", "repeated": true, "location": "query" } }, "scopes": [ "https://www.googleapis.com/auth/youtube.force-ssl" ], "parameterOrder": [ "id" ], "httpMethod": "POST", "flatPath": "youtube/v3/comments/markAsSpam", "id": "youtube.comments.markAsSpam" }, "list": { "flatPath": "youtube/v3/comments", "parameters": { "id": { "description": "Returns the comments with the given IDs for One Platform.", "location": "query", "type": "string", "repeated": true }, "part": { "location": "query", "description": "The *part* parameter specifies a comma-separated list of one or more comment resource properties that the API response will include.", "repeated": true, "required": true, "type": "string" }, "textFormat": { "enum": [ "textFormatUnspecified", "html", "plainText" ], "location": "query", "description": "The requested text format for the returned comments.", "type": "string", "enumDescriptions": [ "", "Returns the comments in HTML format. This is the default value.", "Returns the comments in plain text format." ], "default": "html" }, "maxResults": { "minimum": "1", "default": "20", "location": "query", "type": "integer", "format": "uint32", "description": "The *maxResults* parameter specifies the maximum number of items that should be returned in the result set.", "maximum": "100" }, "parentId": { "location": "query", "description": "Returns replies to the specified comment. Note, currently YouTube features only one level of replies (ie replies to top level comments). However replies to replies may be supported in the future.", "type": "string" }, "pageToken": { "description": "The *pageToken* parameter identifies a specific page in the result set that should be returned. In an API response, the nextPageToken and prevPageToken properties identify other pages that could be retrieved.", "location": "query", "type": "string" } }, "id": "youtube.comments.list", "path": "youtube/v3/comments", "response": { "$ref": "CommentListResponse" }, "scopes": [ "https://www.googleapis.com/auth/youtube.force-ssl" ], "parameterOrder": [ "part" ], "description": "Retrieves a list of resources, possibly filtered.", "httpMethod": "GET" }, "insert": { "scopes": [ "https://www.googleapis.com/auth/youtube.force-ssl" ], "httpMethod": "POST", "request": { "$ref": "Comment" }, "path": "youtube/v3/comments", "id": "youtube.comments.insert", "flatPath": "youtube/v3/comments", "description": "Inserts a new resource into this collection.", "parameters": { "part": { "location": "query", "description": "The *part* parameter identifies the properties that the API response will include. Set the parameter value to snippet. The snippet part has a quota cost of 2 units.", "repeated": true, "required": true, "type": "string" } }, "parameterOrder": [ "part" ], "response": { "$ref": "Comment" } } } }, "i18nLanguages": { "methods": { "list": { "id": "youtube.i18nLanguages.list", "httpMethod": "GET", "parameterOrder": [ "part" ], "description": "Retrieves a list of resources, possibly filtered.", "parameters": { "hl": { "default": "en_US", "type": "string", "location": "query" }, "part": { "location": "query", "description": "The *part* parameter specifies the i18nLanguage resource properties that the API response will include. Set the parameter value to snippet.", "repeated": true, "required": true, "type": "string" } }, "response": { "$ref": "I18nLanguageListResponse" }, "scopes": [ "https://www.googleapis.com/auth/youtube", "https://www.googleapis.com/auth/youtube.force-ssl", "https://www.googleapis.com/auth/youtube.readonly", "https://www.googleapis.com/auth/youtubepartner" ], "path": "youtube/v3/i18nLanguages", "flatPath": "youtube/v3/i18nLanguages" } } }, "membershipsLevels": { "methods": { "list": { "flatPath": "youtube/v3/membershipsLevels", "response": { "$ref": "MembershipsLevelListResponse" }, "parameterOrder": [ "part" ], "httpMethod": "GET", "parameters": { "part": { "description": "The *part* parameter specifies the membershipsLevel resource parts that the API response will include. Supported values are id and snippet.", "repeated": true, "required": true, "location": "query", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/youtube.channel-memberships.creator" ], "id": "youtube.membershipsLevels.list", "path": "youtube/v3/membershipsLevels", "description": "Retrieves a list of all pricing levels offered by a creator to the fans." } } }, "thumbnails": { "methods": { "set": { "parameterOrder": [ "videoId" ], "response": { "$ref": "ThumbnailSetResponse" }, "flatPath": "youtube/v3/thumbnails/set", "scopes": [ "https://www.googleapis.com/auth/youtube", "https://www.googleapis.com/auth/youtube.force-ssl", "https://www.googleapis.com/auth/youtube.upload", "https://www.googleapis.com/auth/youtubepartner" ], "description": "As this is not an insert in a strict sense (it supports uploading/setting of a thumbnail for multiple videos, which doesn't result in creation of a single resource), I use a custom verb here.", "id": "youtube.thumbnails.set", "path": "youtube/v3/thumbnails/set", "httpMethod": "POST", "parameters": { "videoId": { "required": true, "location": "query", "description": "Returns the Thumbnail with the given video IDs for Stubby or Apiary.", "type": "string" }, "onBehalfOfContentOwner": { "location": "query", "description": "*Note:* This parameter is intended exclusively for YouTube content partners. The *onBehalfOfContentOwner* parameter indicates that the request's authorization credentials identify a YouTube CMS user who is acting on behalf of the content owner specified in the parameter value. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and get access to all their video and channel data, without having to provide authentication credentials for each individual channel. The actual CMS account that the user authenticates with must be linked to the specified YouTube content owner.", "type": "string" } }, "mediaUpload": { "protocols": { "resumable": { "path": "/resumable/upload/youtube/v3/thumbnails/set", "multipart": true }, "simple": { "multipart": true, "path": "/upload/youtube/v3/thumbnails/set" } }, "accept": [ "image/jpeg", "image/png", "application/octet-stream" ], "maxSize": "2097152" }, "supportsMediaUpload": true } } }, "members": { "methods": { "list": { "scopes": [ "https://www.googleapis.com/auth/youtube.channel-memberships.creator" ], "flatPath": "youtube/v3/members", "httpMethod": "GET", "path": "youtube/v3/members", "description": "Retrieves a list of members that match the request criteria for a channel.", "id": "youtube.members.list", "response": { "$ref": "MemberListResponse" }, "parameters": { "hasAccessToLevel": { "type": "string", "location": "query", "description": "Filter members in the results set to the ones that have access to a level." }, "pageToken": { "description": "The *pageToken* parameter identifies a specific page in the result set that should be returned. In an API response, the nextPageToken and prevPageToken properties identify other pages that could be retrieved.", "location": "query", "type": "string" }, "maxResults": { "type": "integer", "minimum": "0", "description": "The *maxResults* parameter specifies the maximum number of items that should be returned in the result set.", "format": "uint32", "maximum": "1000", "default": "5", "location": "query" }, "filterByMemberChannelId": { "description": "Comma separated list of channel IDs. Only data about members that are part of this list will be included in the response.", "location": "query", "type": "string" }, "mode": { "description": "Parameter that specifies which channel members to return.", "default": "all_current", "enum": [ "listMembersModeUnknown", "updates", "all_current" ], "location": "query", "type": "string", "enumDescriptions": [ "", "Return only members that joined after the first call with this mode was made.", "Return all current members, from newest to oldest." ] }, "part": { "type": "string", "description": "The *part* parameter specifies the member resource parts that the API response will include. Set the parameter value to snippet.", "required": true, "repeated": true, "location": "query" } }, "parameterOrder": [ "part" ] } } }, "search": { "methods": { "list": { "scopes": [ "https://www.googleapis.com/auth/youtube", "https://www.googleapis.com/auth/youtube.force-ssl", "https://www.googleapis.com/auth/youtube.readonly", "https://www.googleapis.com/auth/youtubepartner" ], "path": "youtube/v3/search", "parameters": { "regionCode": { "type": "string", "location": "query", "description": "Display the content as seen by viewers in this country." }, "videoType": { "type": "string", "enumDescriptions": [ "", "Return all videos.", "Only retrieve movies.", "Only retrieve episodes of shows." ], "enum": [ "videoTypeUnspecified", "any", "movie", "episode" ], "location": "query", "description": "Filter on videos of a specific type." }, "order": { "type": "string", "description": "Sort order of the results.", "default": "relevance", "enum": [ "searchSortUnspecified", "date", "rating", "viewCount", "relevance", "title", "videoCount" ], "enumDescriptions": [ "", "Resources are sorted in reverse chronological order based on the date they were created.", "Resources are sorted from highest to lowest rating.", "Resources are sorted from highest to lowest number of views.", "Resources are sorted based on their relevance to the search query. This is the default value for this parameter.", "Resources are sorted alphabetically by title.", "Channels are sorted in descending order of their number of uploaded videos." ], "location": "query" }, "part": { "type": "string", "location": "query", "description": "The *part* parameter specifies a comma-separated list of one or more search resource properties that the API response will include. Set the parameter value to snippet.", "repeated": true, "required": true }, "publishedBefore": { "format": "google-datetime", "location": "query", "type": "string", "description": "Filter on resources published before this date." }, "type": { "type": "string", "location": "query", "repeated": true, "description": "Restrict results to a particular set of resource types from One Platform." }, "locationRadius": { "location": "query", "description": "Filter on distance from the location (specified above).", "type": "string" }, "videoDuration": { "description": "Filter on the duration of the videos.", "type": "string", "enumDescriptions": [ "", "Do not filter video search results based on their duration. This is the default value.", "Only include videos that are less than four minutes long.", "Only include videos that are between four and 20 minutes long (inclusive).", "Only include videos longer than 20 minutes." ], "location": "query", "enum": [ "videoDurationUnspecified", "any", "short", "medium", "long" ] }, "onBehalfOfContentOwner": { "description": "*Note:* This parameter is intended exclusively for YouTube content partners. The *onBehalfOfContentOwner* parameter indicates that the request's authorization credentials identify a YouTube CMS user who is acting on behalf of the content owner specified in the parameter value. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and get access to all their video and channel data, without having to provide authentication credentials for each individual channel. The CMS account that the user authenticates with must be linked to the specified YouTube content owner.", "type": "string", "location": "query" }, "channelId": { "description": "Filter on resources belonging to this channelId.", "type": "string", "location": "query" }, "publishedAfter": { "description": "Filter on resources published after this date.", "type": "string", "location": "query", "format": "google-datetime" }, "videoSyndicated": { "type": "string", "enum": [ "videoSyndicatedUnspecified", "any", "true" ], "description": "Filter on syndicated videos.", "location": "query", "enumDescriptions": [ "", "Return all videos, syndicated or not.", "Only retrieve syndicated videos." ] }, "relatedToVideoId": { "type": "string", "location": "query", "description": "Search related to a resource." }, "videoEmbeddable": { "enum": [ "videoEmbeddableUnspecified", "any", "true" ], "description": "Filter on embeddable videos.", "enumDescriptions": [ "", "Return all videos, embeddable or not.", "Only retrieve embeddable videos." ], "location": "query", "type": "string" }, "videoDimension": { "description": "Filter on 3d videos.", "enum": [ "any", "2d", "3d" ], "location": "query", "enumDescriptions": [ "Include both 3D and non-3D videos in returned results. This is the default value.", "Restrict search results to exclude 3D videos.", "Restrict search results to only include 3D videos." ], "type": "string" }, "channelType": { "location": "query", "enum": [ "channelTypeUnspecified", "any", "show" ], "description": "Add a filter on the channel search.", "type": "string", "enumDescriptions": [ "", "Return all channels.", "Only retrieve shows." ] }, "eventType": { "location": "query", "description": "Filter on the livestream status of the videos.", "type": "string", "enumDescriptions": [ "", "The live broadcast is upcoming.", "The live broadcast is active.", "The live broadcast has been completed." ], "enum": [ "none", "upcoming", "live", "completed" ] }, "safeSearch": { "enum": [ "safeSearchSettingUnspecified", "none", "moderate", "strict" ], "type": "string", "enumDescriptions": [ "", "YouTube will not filter the search result set.", "YouTube will filter some content from search results and, at the least, will filter content that is restricted in your locale. Based on their content, search results could be removed from search results or demoted in search results. This is the default parameter value.", "YouTube will try to exclude all restricted content from the search result set. Based on their content, search results could be removed from search results or demoted in search results." ], "description": "Indicates whether the search results should include restricted content as well as standard content.", "location": "query", "default": "moderate" }, "topicId": { "description": "Restrict results to a particular topic.", "type": "string", "location": "query" }, "videoDefinition": { "location": "query", "type": "string", "enumDescriptions": [ "Return all videos, regardless of their resolution.", "Only retrieve videos in standard definition.", "Only retrieve HD videos." ], "enum": [ "any", "standard", "high" ], "description": "Filter on the definition of the videos." }, "pageToken": { "type": "string", "description": "The *pageToken* parameter identifies a specific page in the result set that should be returned. In an API response, the nextPageToken and prevPageToken properties identify other pages that could be retrieved.", "location": "query" }, "q": { "description": "Textual search terms to match.", "type": "string", "location": "query" }, "relevanceLanguage": { "location": "query", "type": "string", "description": "Return results relevant to this language." }, "maxResults": { "location": "query", "format": "uint32", "type": "integer", "minimum": "0", "maximum": "50", "description": "The *maxResults* parameter specifies the maximum number of items that should be returned in the result set.", "default": "5" }, "videoCategoryId": { "description": "Filter on videos in a specific category.", "type": "string", "location": "query" }, "forDeveloper": { "location": "query", "description": "Restrict the search to only retrieve videos uploaded using the project id of the authenticated user.", "type": "boolean" }, "location": { "description": "Filter on location of the video", "type": "string", "location": "query" }, "forMine": { "type": "boolean", "description": "Search for the private videos of the authenticated user.", "location": "query" }, "videoLicense": { "enum": [ "any", "youtube", "creativeCommon" ], "enumDescriptions": [ "Return all videos, regardless of which license they have, that match the query parameters.", "Only return videos that have the standard YouTube license.", "Only return videos that have a Creative Commons license. Users can reuse videos with this license in other videos that they create. Learn more." ], "description": "Filter on the license of the videos.", "type": "string", "location": "query" }, "forContentOwner": { "description": "Search owned by a content owner.", "location": "query", "type": "boolean" }, "videoCaption": { "description": "Filter on the presence of captions on the videos.", "location": "query", "enum": [ "videoCaptionUnspecified", "any", "closedCaption", "none" ], "enumDescriptions": [ "", "Do not filter results based on caption availability.", "Only include videos that have captions.", "Only include videos that do not have captions." ], "type": "string" } }, "parameterOrder": [ "part" ], "flatPath": "youtube/v3/search", "description": "Retrieves a list of search resources", "httpMethod": "GET", "id": "youtube.search.list", "response": { "$ref": "SearchListResponse" } } } }, "superChatEvents": { "methods": { "list": { "scopes": [ "https://www.googleapis.com/auth/youtube", "https://www.googleapis.com/auth/youtube.force-ssl", "https://www.googleapis.com/auth/youtube.readonly" ], "httpMethod": "GET", "parameterOrder": [ "part" ], "response": { "$ref": "SuperChatEventListResponse" }, "id": "youtube.superChatEvents.list", "flatPath": "youtube/v3/superChatEvents", "path": "youtube/v3/superChatEvents", "parameters": { "hl": { "description": "Return rendered funding amounts in specified language.", "type": "string", "location": "query" }, "pageToken": { "location": "query", "type": "string", "description": "The *pageToken* parameter identifies a specific page in the result set that should be returned. In an API response, the nextPageToken and prevPageToken properties identify other pages that could be retrieved." }, "part": { "description": "The *part* parameter specifies the superChatEvent resource parts that the API response will include. This parameter is currently not supported.", "location": "query", "repeated": true, "type": "string", "required": true }, "maxResults": { "default": "5", "description": "The *maxResults* parameter specifies the maximum number of items that should be returned in the result set.", "format": "uint32", "minimum": "1", "type": "integer", "maximum": "50", "location": "query" } }, "description": "Retrieves a list of resources, possibly filtered." } } }, "liveBroadcasts": { "methods": { "transition": { "response": { "$ref": "LiveBroadcast" }, "parameterOrder": [ "broadcastStatus", "id", "part" ], "id": "youtube.liveBroadcasts.transition", "flatPath": "youtube/v3/liveBroadcasts/transition", "description": "Transition a broadcast to a given status.", "httpMethod": "POST", "path": "youtube/v3/liveBroadcasts/transition", "parameters": { "onBehalfOfContentOwnerChannel": { "location": "query", "type": "string", "description": "This parameter can only be used in a properly authorized request. *Note:* This parameter is intended exclusively for YouTube content partners. The *onBehalfOfContentOwnerChannel* parameter specifies the YouTube channel ID of the channel to which a video is being added. This parameter is required when a request specifies a value for the onBehalfOfContentOwner parameter, and it can only be used in conjunction with that parameter. In addition, the request must be authorized using a CMS account that is linked to the content owner that the onBehalfOfContentOwner parameter specifies. Finally, the channel that the onBehalfOfContentOwnerChannel parameter value specifies must be linked to the content owner that the onBehalfOfContentOwner parameter specifies. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and perform actions on behalf of the channel specified in the parameter value, without having to provide authentication credentials for each separate channel." }, "broadcastStatus": { "enum": [ "statusUnspecified", "testing", "live", "complete" ], "description": "The status to which the broadcast is going to transition.", "type": "string", "location": "query", "enumDescriptions": [ "", "Start testing the broadcast. YouTube transmits video to the broadcast's monitor stream. Note that you can only transition a broadcast to the testing state if its contentDetails.monitorStream.enableMonitorStream property is set to true.\",", "Return only persistent broadcasts.", "The broadcast is over. YouTube stops transmitting video." ], "required": true }, "id": { "required": true, "location": "query", "description": "Broadcast to transition.", "type": "string" }, "onBehalfOfContentOwner": { "location": "query", "description": "*Note:* This parameter is intended exclusively for YouTube content partners. The *onBehalfOfContentOwner* parameter indicates that the request's authorization credentials identify a YouTube CMS user who is acting on behalf of the content owner specified in the parameter value. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and get access to all their video and channel data, without having to provide authentication credentials for each individual channel. The CMS account that the user authenticates with must be linked to the specified YouTube content owner.", "type": "string" }, "part": { "type": "string", "repeated": true, "description": "The *part* parameter specifies a comma-separated list of one or more liveBroadcast resource properties that the API response will include. The part names that you can include in the parameter value are id, snippet, contentDetails, and status.", "location": "query", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/youtube", "https://www.googleapis.com/auth/youtube.force-ssl" ] }, "bind": { "httpMethod": "POST", "parameters": { "streamId": { "location": "query", "type": "string", "description": "Stream to bind, if not set unbind the current one." }, "onBehalfOfContentOwner": { "location": "query", "type": "string", "description": "*Note:* This parameter is intended exclusively for YouTube content partners. The *onBehalfOfContentOwner* parameter indicates that the request's authorization credentials identify a YouTube CMS user who is acting on behalf of the content owner specified in the parameter value. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and get access to all their video and channel data, without having to provide authentication credentials for each individual channel. The CMS account that the user authenticates with must be linked to the specified YouTube content owner." }, "id": { "description": "Broadcast to bind to the stream", "required": true, "location": "query", "type": "string" }, "onBehalfOfContentOwnerChannel": { "type": "string", "location": "query", "description": "This parameter can only be used in a properly authorized request. *Note:* This parameter is intended exclusively for YouTube content partners. The *onBehalfOfContentOwnerChannel* parameter specifies the YouTube channel ID of the channel to which a video is being added. This parameter is required when a request specifies a value for the onBehalfOfContentOwner parameter, and it can only be used in conjunction with that parameter. In addition, the request must be authorized using a CMS account that is linked to the content owner that the onBehalfOfContentOwner parameter specifies. Finally, the channel that the onBehalfOfContentOwnerChannel parameter value specifies must be linked to the content owner that the onBehalfOfContentOwner parameter specifies. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and perform actions on behalf of the channel specified in the parameter value, without having to provide authentication credentials for each separate channel." }, "part": { "required": true, "type": "string", "repeated": true, "location": "query", "description": "The *part* parameter specifies a comma-separated list of one or more liveBroadcast resource properties that the API response will include. The part names that you can include in the parameter value are id, snippet, contentDetails, and status." } }, "response": { "$ref": "LiveBroadcast" }, "flatPath": "youtube/v3/liveBroadcasts/bind", "scopes": [ "https://www.googleapis.com/auth/youtube", "https://www.googleapis.com/auth/youtube.force-ssl" ], "id": "youtube.liveBroadcasts.bind", "path": "youtube/v3/liveBroadcasts/bind", "description": "Bind a broadcast to a stream.", "parameterOrder": [ "id", "part" ] }, "insertCuepoint": { "parameterOrder": [], "httpMethod": "POST", "path": "youtube/v3/liveBroadcasts/cuepoint", "description": "Insert cuepoints in a broadcast", "parameters": { "resource.durationSecs": { "location": "query", "type": "integer", "format": "uint32", "description": "The duration of this cuepoint." }, "resource.walltimeMs": { "description": "The wall clock time at which the cuepoint should be inserted. Only one of insertion_offset_time_ms and walltime_ms may be set at a time.", "location": "query", "type": "string", "format": "uint64" }, "onBehalfOfContentOwnerChannel": { "type": "string", "location": "query", "description": "This parameter can only be used in a properly authorized request. *Note:* This parameter is intended exclusively for YouTube content partners. The *onBehalfOfContentOwnerChannel* parameter specifies the YouTube channel ID of the channel to which a video is being added. This parameter is required when a request specifies a value for the onBehalfOfContentOwner parameter, and it can only be used in conjunction with that parameter. In addition, the request must be authorized using a CMS account that is linked to the content owner that the onBehalfOfContentOwner parameter specifies. Finally, the channel that the onBehalfOfContentOwnerChannel parameter value specifies must be linked to the content owner that the onBehalfOfContentOwner parameter specifies. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and perform actions on behalf of the channel specified in the parameter value, without having to provide authentication credentials for each separate channel." }, "resource.cueType": { "location": "query", "enumDescriptions": [ "", "" ], "enum": [ "cueTypeUnspecified", "cueTypeAd" ], "type": "string" }, "onBehalfOfContentOwner": { "type": "string", "description": "*Note:* This parameter is intended exclusively for YouTube content partners. The *onBehalfOfContentOwner* parameter indicates that the request's authorization credentials identify a YouTube CMS user who is acting on behalf of the content owner specified in the parameter value. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and get access to all their video and channel data, without having to provide authentication credentials for each individual channel. The CMS account that the user authenticates with must be linked to the specified YouTube content owner.", "location": "query" }, "part": { "repeated": true, "type": "string", "description": "The *part* parameter specifies a comma-separated list of one or more liveBroadcast resource properties that the API response will include. The part names that you can include in the parameter value are id, snippet, contentDetails, and status.", "location": "query" }, "id": { "description": "Broadcast to insert ads to, or equivalently `external_video_id` for internal use.", "location": "query", "type": "string" }, "resource.id": { "description": "The identifier for cuepoint resource.", "type": "string", "location": "query" }, "resource.etag": { "location": "query", "type": "string" }, "resource.insertionOffsetTimeMs": { "location": "query", "type": "string", "description": "The time when the cuepoint should be inserted by offset to the broadcast actual start time.", "format": "int64" } }, "response": { "$ref": "Cuepoint" }, "flatPath": "youtube/v3/liveBroadcasts/cuepoint", "id": "youtube.liveBroadcasts.insertCuepoint", "scopes": [ "https://www.googleapis.com/auth/youtubepartner" ] }, "list": { "response": { "$ref": "LiveBroadcastListResponse" }, "httpMethod": "GET", "description": "Retrieve the list of broadcasts associated with the given channel.", "id": "youtube.liveBroadcasts.list", "flatPath": "youtube/v3/liveBroadcasts", "parameterOrder": [ "part" ], "parameters": { "broadcastType": { "enum": [ "broadcastTypeFilterUnspecified", "all", "event", "persistent" ], "description": "Return only broadcasts with the selected type.", "default": "event", "enumDescriptions": [ "", "Return all broadcasts.", "Return only scheduled event broadcasts.", "Return only persistent broadcasts." ], "location": "query", "type": "string" }, "pageToken": { "description": "The *pageToken* parameter identifies a specific page in the result set that should be returned. In an API response, the nextPageToken and prevPageToken properties identify other pages that could be retrieved.", "type": "string", "location": "query" }, "mine": { "type": "boolean", "location": "query" }, "broadcastStatus": { "location": "query", "enumDescriptions": [ "", "Return all broadcasts.", "Return current live broadcasts.", "Return broadcasts that have not yet started.", "Return broadcasts that have already ended." ], "type": "string", "enum": [ "broadcastStatusFilterUnspecified", "all", "active", "upcoming", "completed" ], "description": "Return broadcasts with a certain status, e.g. active broadcasts." }, "onBehalfOfContentOwner": { "type": "string", "location": "query", "description": "*Note:* This parameter is intended exclusively for YouTube content partners. The *onBehalfOfContentOwner* parameter indicates that the request's authorization credentials identify a YouTube CMS user who is acting on behalf of the content owner specified in the parameter value. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and get access to all their video and channel data, without having to provide authentication credentials for each individual channel. The CMS account that the user authenticates with must be linked to the specified YouTube content owner." }, "onBehalfOfContentOwnerChannel": { "location": "query", "type": "string", "description": "This parameter can only be used in a properly authorized request. *Note:* This parameter is intended exclusively for YouTube content partners. The *onBehalfOfContentOwnerChannel* parameter specifies the YouTube channel ID of the channel to which a video is being added. This parameter is required when a request specifies a value for the onBehalfOfContentOwner parameter, and it can only be used in conjunction with that parameter. In addition, the request must be authorized using a CMS account that is linked to the content owner that the onBehalfOfContentOwner parameter specifies. Finally, the channel that the onBehalfOfContentOwnerChannel parameter value specifies must be linked to the content owner that the onBehalfOfContentOwner parameter specifies. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and perform actions on behalf of the channel specified in the parameter value, without having to provide authentication credentials for each separate channel." }, "part": { "type": "string", "description": "The *part* parameter specifies a comma-separated list of one or more liveBroadcast resource properties that the API response will include. The part names that you can include in the parameter value are id, snippet, contentDetails, status and statistics.", "location": "query", "required": true, "repeated": true }, "id": { "type": "string", "description": "Return broadcasts with the given ids from Stubby or Apiary.", "location": "query", "repeated": true }, "maxResults": { "description": "The *maxResults* parameter specifies the maximum number of items that should be returned in the result set.", "default": "5", "location": "query", "format": "uint32", "type": "integer", "maximum": "50", "minimum": "0" } }, "path": "youtube/v3/liveBroadcasts", "scopes": [ "https://www.googleapis.com/auth/youtube", "https://www.googleapis.com/auth/youtube.force-ssl", "https://www.googleapis.com/auth/youtube.readonly" ] }, "insert": { "id": "youtube.liveBroadcasts.insert", "parameterOrder": [ "part" ], "httpMethod": "POST", "parameters": { "onBehalfOfContentOwner": { "location": "query", "type": "string", "description": "*Note:* This parameter is intended exclusively for YouTube content partners. The *onBehalfOfContentOwner* parameter indicates that the request's authorization credentials identify a YouTube CMS user who is acting on behalf of the content owner specified in the parameter value. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and get access to all their video and channel data, without having to provide authentication credentials for each individual channel. The CMS account that the user authenticates with must be linked to the specified YouTube content owner." }, "part": { "repeated": true, "required": true, "location": "query", "description": "The *part* parameter serves two purposes in this operation. It identifies the properties that the write operation will set as well as the properties that the API response will include. The part properties that you can include in the parameter value are id, snippet, contentDetails, and status.", "type": "string" }, "onBehalfOfContentOwnerChannel": { "description": "This parameter can only be used in a properly authorized request. *Note:* This parameter is intended exclusively for YouTube content partners. The *onBehalfOfContentOwnerChannel* parameter specifies the YouTube channel ID of the channel to which a video is being added. This parameter is required when a request specifies a value for the onBehalfOfContentOwner parameter, and it can only be used in conjunction with that parameter. In addition, the request must be authorized using a CMS account that is linked to the content owner that the onBehalfOfContentOwner parameter specifies. Finally, the channel that the onBehalfOfContentOwnerChannel parameter value specifies must be linked to the content owner that the onBehalfOfContentOwner parameter specifies. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and perform actions on behalf of the channel specified in the parameter value, without having to provide authentication credentials for each separate channel.", "location": "query", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/youtube", "https://www.googleapis.com/auth/youtube.force-ssl" ], "path": "youtube/v3/liveBroadcasts", "request": { "$ref": "LiveBroadcast" }, "response": { "$ref": "LiveBroadcast" }, "description": "Inserts a new stream for the authenticated user.", "flatPath": "youtube/v3/liveBroadcasts" }, "delete": { "parameters": { "onBehalfOfContentOwnerChannel": { "type": "string", "description": "This parameter can only be used in a properly authorized request. *Note:* This parameter is intended exclusively for YouTube content partners. The *onBehalfOfContentOwnerChannel* parameter specifies the YouTube channel ID of the channel to which a video is being added. This parameter is required when a request specifies a value for the onBehalfOfContentOwner parameter, and it can only be used in conjunction with that parameter. In addition, the request must be authorized using a CMS account that is linked to the content owner that the onBehalfOfContentOwner parameter specifies. Finally, the channel that the onBehalfOfContentOwnerChannel parameter value specifies must be linked to the content owner that the onBehalfOfContentOwner parameter specifies. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and perform actions on behalf of the channel specified in the parameter value, without having to provide authentication credentials for each separate channel.", "location": "query" }, "id": { "required": true, "description": "Broadcast to delete.", "location": "query", "type": "string" }, "onBehalfOfContentOwner": { "location": "query", "type": "string", "description": "*Note:* This parameter is intended exclusively for YouTube content partners. The *onBehalfOfContentOwner* parameter indicates that the request's authorization credentials identify a YouTube CMS user who is acting on behalf of the content owner specified in the parameter value. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and get access to all their video and channel data, without having to provide authentication credentials for each individual channel. The CMS account that the user authenticates with must be linked to the specified YouTube content owner." } }, "path": "youtube/v3/liveBroadcasts", "scopes": [ "https://www.googleapis.com/auth/youtube", "https://www.googleapis.com/auth/youtube.force-ssl" ], "parameterOrder": [ "id" ], "flatPath": "youtube/v3/liveBroadcasts", "description": "Delete a given broadcast.", "id": "youtube.liveBroadcasts.delete", "httpMethod": "DELETE" }, "update": { "request": { "$ref": "LiveBroadcast" }, "parameters": { "onBehalfOfContentOwner": { "location": "query", "description": "*Note:* This parameter is intended exclusively for YouTube content partners. The *onBehalfOfContentOwner* parameter indicates that the request's authorization credentials identify a YouTube CMS user who is acting on behalf of the content owner specified in the parameter value. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and get access to all their video and channel data, without having to provide authentication credentials for each individual channel. The CMS account that the user authenticates with must be linked to the specified YouTube content owner.", "type": "string" }, "onBehalfOfContentOwnerChannel": { "location": "query", "type": "string", "description": "This parameter can only be used in a properly authorized request. *Note:* This parameter is intended exclusively for YouTube content partners. The *onBehalfOfContentOwnerChannel* parameter specifies the YouTube channel ID of the channel to which a video is being added. This parameter is required when a request specifies a value for the onBehalfOfContentOwner parameter, and it can only be used in conjunction with that parameter. In addition, the request must be authorized using a CMS account that is linked to the content owner that the onBehalfOfContentOwner parameter specifies. Finally, the channel that the onBehalfOfContentOwnerChannel parameter value specifies must be linked to the content owner that the onBehalfOfContentOwner parameter specifies. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and perform actions on behalf of the channel specified in the parameter value, without having to provide authentication credentials for each separate channel." }, "part": { "location": "query", "repeated": true, "description": "The *part* parameter serves two purposes in this operation. It identifies the properties that the write operation will set as well as the properties that the API response will include. The part properties that you can include in the parameter value are id, snippet, contentDetails, and status. Note that this method will override the existing values for all of the mutable properties that are contained in any parts that the parameter value specifies. For example, a broadcast's privacy status is defined in the status part. As such, if your request is updating a private or unlisted broadcast, and the request's part parameter value includes the status part, the broadcast's privacy setting will be updated to whatever value the request body specifies. If the request body does not specify a value, the existing privacy setting will be removed and the broadcast will revert to the default privacy setting.", "type": "string", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/youtube", "https://www.googleapis.com/auth/youtube.force-ssl" ], "parameterOrder": [ "part" ], "httpMethod": "PUT", "path": "youtube/v3/liveBroadcasts", "description": "Updates an existing broadcast for the authenticated user.", "flatPath": "youtube/v3/liveBroadcasts", "id": "youtube.liveBroadcasts.update", "response": { "$ref": "LiveBroadcast" } } } }, "videoCategories": { "methods": { "list": { "httpMethod": "GET", "parameters": { "hl": { "location": "query", "type": "string", "default": "en-US" }, "regionCode": { "location": "query", "type": "string" }, "part": { "required": true, "repeated": true, "type": "string", "location": "query", "description": "The *part* parameter specifies the videoCategory resource properties that the API response will include. Set the parameter value to snippet." }, "id": { "description": "Returns the video categories with the given IDs for Stubby or Apiary.", "type": "string", "location": "query", "repeated": true } }, "parameterOrder": [ "part" ], "path": "youtube/v3/videoCategories", "response": { "$ref": "VideoCategoryListResponse" }, "id": "youtube.videoCategories.list", "description": "Retrieves a list of resources, possibly filtered.", "scopes": [ "https://www.googleapis.com/auth/youtube", "https://www.googleapis.com/auth/youtube.force-ssl", "https://www.googleapis.com/auth/youtube.readonly", "https://www.googleapis.com/auth/youtubepartner" ], "flatPath": "youtube/v3/videoCategories" } } }, "channels": { "methods": { "update": { "scopes": [ "https://www.googleapis.com/auth/youtube", "https://www.googleapis.com/auth/youtube.force-ssl", "https://www.googleapis.com/auth/youtubepartner" ], "response": { "$ref": "Channel" }, "flatPath": "youtube/v3/channels", "description": "Updates an existing resource.", "parameters": { "onBehalfOfContentOwner": { "description": "The *onBehalfOfContentOwner* parameter indicates that the authenticated user is acting on behalf of the content owner specified in the parameter value. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and get access to all their video and channel data, without having to provide authentication credentials for each individual channel. The actual CMS account that the user authenticates with needs to be linked to the specified YouTube content owner.", "type": "string", "location": "query" }, "part": { "repeated": true, "required": true, "type": "string", "location": "query", "description": "The *part* parameter serves two purposes in this operation. It identifies the properties that the write operation will set as well as the properties that the API response will include. The API currently only allows the parameter value to be set to either brandingSettings or invideoPromotion. (You cannot update both of those parts with a single request.) Note that this method overrides the existing values for all of the mutable properties that are contained in any parts that the parameter value specifies." } }, "request": { "$ref": "Channel" }, "httpMethod": "PUT", "path": "youtube/v3/channels", "parameterOrder": [ "part" ], "id": "youtube.channels.update" }, "list": { "scopes": [ "https://www.googleapis.com/auth/youtube", "https://www.googleapis.com/auth/youtube.force-ssl", "https://www.googleapis.com/auth/youtube.readonly", "https://www.googleapis.com/auth/youtubepartner", "https://www.googleapis.com/auth/youtubepartner-channel-audit" ], "parameterOrder": [ "part" ], "description": "Retrieves a list of resources, possibly filtered.", "httpMethod": "GET", "response": { "$ref": "ChannelListResponse" }, "path": "youtube/v3/channels", "parameters": { "onBehalfOfContentOwner": { "location": "query", "type": "string", "description": "*Note:* This parameter is intended exclusively for YouTube content partners. The *onBehalfOfContentOwner* parameter indicates that the request's authorization credentials identify a YouTube CMS user who is acting on behalf of the content owner specified in the parameter value. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and get access to all their video and channel data, without having to provide authentication credentials for each individual channel. The CMS account that the user authenticates with must be linked to the specified YouTube content owner." }, "mine": { "description": "Return the ids of channels owned by the authenticated user.", "type": "boolean", "location": "query" }, "managedByMe": { "location": "query", "description": "Return the channels managed by the authenticated user.", "type": "boolean" }, "forUsername": { "description": "Return the channel associated with a YouTube username.", "type": "string", "location": "query" }, "categoryId": { "description": "Return the channels within the specified guide category ID.", "type": "string", "location": "query" }, "mySubscribers": { "type": "boolean", "location": "query", "description": "Return the channels subscribed to the authenticated user" }, "pageToken": { "description": "The *pageToken* parameter identifies a specific page in the result set that should be returned. In an API response, the nextPageToken and prevPageToken properties identify other pages that could be retrieved.", "type": "string", "location": "query" }, "id": { "description": "Return the channels with the specified IDs.", "repeated": true, "location": "query", "type": "string" }, "maxResults": { "location": "query", "default": "5", "maximum": "50", "minimum": "0", "type": "integer", "description": "The *maxResults* parameter specifies the maximum number of items that should be returned in the result set.", "format": "uint32" }, "part": { "location": "query", "type": "string", "repeated": true, "description": "The *part* parameter specifies a comma-separated list of one or more channel resource properties that the API response will include. If the parameter identifies a property that contains child properties, the child properties will be included in the response. For example, in a channel resource, the contentDetails property contains other properties, such as the uploads properties. As such, if you set *part=contentDetails*, the API response will also contain all of those nested properties.", "required": true }, "hl": { "location": "query", "type": "string", "description": "Stands for \"host language\". Specifies the localization language of the metadata to be filled into snippet.localized. The field is filled with the default metadata if there is no localization in the specified language. The parameter value must be a language code included in the list returned by the i18nLanguages.list method (e.g. en_US, es_MX)." } }, "id": "youtube.channels.list", "flatPath": "youtube/v3/channels" } } }, "channelSections": { "methods": { "delete": { "id": "youtube.channelSections.delete", "flatPath": "youtube/v3/channelSections", "parameterOrder": [ "id" ], "description": "Deletes a resource.", "path": "youtube/v3/channelSections", "httpMethod": "DELETE", "scopes": [ "https://www.googleapis.com/auth/youtube", "https://www.googleapis.com/auth/youtube.force-ssl", "https://www.googleapis.com/auth/youtubepartner" ], "parameters": { "onBehalfOfContentOwner": { "type": "string", "location": "query", "description": "*Note:* This parameter is intended exclusively for YouTube content partners. The *onBehalfOfContentOwner* parameter indicates that the request's authorization credentials identify a YouTube CMS user who is acting on behalf of the content owner specified in the parameter value. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and get access to all their video and channel data, without having to provide authentication credentials for each individual channel. The CMS account that the user authenticates with must be linked to the specified YouTube content owner." }, "id": { "required": true, "location": "query", "type": "string" } } }, "update": { "id": "youtube.channelSections.update", "parameterOrder": [ "part" ], "httpMethod": "PUT", "path": "youtube/v3/channelSections", "response": { "$ref": "ChannelSection" }, "scopes": [ "https://www.googleapis.com/auth/youtube", "https://www.googleapis.com/auth/youtube.force-ssl", "https://www.googleapis.com/auth/youtubepartner" ], "flatPath": "youtube/v3/channelSections", "description": "Updates an existing resource.", "request": { "$ref": "ChannelSection" }, "parameters": { "onBehalfOfContentOwner": { "location": "query", "description": "*Note:* This parameter is intended exclusively for YouTube content partners. The *onBehalfOfContentOwner* parameter indicates that the request's authorization credentials identify a YouTube CMS user who is acting on behalf of the content owner specified in the parameter value. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and get access to all their video and channel data, without having to provide authentication credentials for each individual channel. The CMS account that the user authenticates with must be linked to the specified YouTube content owner.", "type": "string" }, "part": { "repeated": true, "required": true, "description": "The *part* parameter serves two purposes in this operation. It identifies the properties that the write operation will set as well as the properties that the API response will include. The part names that you can include in the parameter value are snippet and contentDetails.", "location": "query", "type": "string" } } }, "insert": { "response": { "$ref": "ChannelSection" }, "path": "youtube/v3/channelSections", "parameters": { "onBehalfOfContentOwner": { "location": "query", "description": "*Note:* This parameter is intended exclusively for YouTube content partners. The *onBehalfOfContentOwner* parameter indicates that the request's authorization credentials identify a YouTube CMS user who is acting on behalf of the content owner specified in the parameter value. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and get access to all their video and channel data, without having to provide authentication credentials for each individual channel. The CMS account that the user authenticates with must be linked to the specified YouTube content owner.", "type": "string" }, "onBehalfOfContentOwnerChannel": { "description": "This parameter can only be used in a properly authorized request. *Note:* This parameter is intended exclusively for YouTube content partners. The *onBehalfOfContentOwnerChannel* parameter specifies the YouTube channel ID of the channel to which a video is being added. This parameter is required when a request specifies a value for the onBehalfOfContentOwner parameter, and it can only be used in conjunction with that parameter. In addition, the request must be authorized using a CMS account that is linked to the content owner that the onBehalfOfContentOwner parameter specifies. Finally, the channel that the onBehalfOfContentOwnerChannel parameter value specifies must be linked to the content owner that the onBehalfOfContentOwner parameter specifies. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and perform actions on behalf of the channel specified in the parameter value, without having to provide authentication credentials for each separate channel.", "type": "string", "location": "query" }, "part": { "type": "string", "description": "The *part* parameter serves two purposes in this operation. It identifies the properties that the write operation will set as well as the properties that the API response will include. The part names that you can include in the parameter value are snippet and contentDetails.", "repeated": true, "location": "query", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/youtube", "https://www.googleapis.com/auth/youtube.force-ssl", "https://www.googleapis.com/auth/youtubepartner" ], "flatPath": "youtube/v3/channelSections", "description": "Inserts a new resource into this collection.", "parameterOrder": [ "part" ], "request": { "$ref": "ChannelSection" }, "httpMethod": "POST", "id": "youtube.channelSections.insert" }, "list": { "parameterOrder": [ "part" ], "id": "youtube.channelSections.list", "description": "Retrieves a list of resources, possibly filtered.", "scopes": [ "https://www.googleapis.com/auth/youtube", "https://www.googleapis.com/auth/youtube.force-ssl", "https://www.googleapis.com/auth/youtube.readonly", "https://www.googleapis.com/auth/youtubepartner" ], "response": { "$ref": "ChannelSectionListResponse" }, "path": "youtube/v3/channelSections", "flatPath": "youtube/v3/channelSections", "parameters": { "onBehalfOfContentOwner": { "description": "*Note:* This parameter is intended exclusively for YouTube content partners. The *onBehalfOfContentOwner* parameter indicates that the request's authorization credentials identify a YouTube CMS user who is acting on behalf of the content owner specified in the parameter value. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and get access to all their video and channel data, without having to provide authentication credentials for each individual channel. The CMS account that the user authenticates with must be linked to the specified YouTube content owner.", "type": "string", "location": "query" }, "part": { "description": "The *part* parameter specifies a comma-separated list of one or more channelSection resource properties that the API response will include. The part names that you can include in the parameter value are id, snippet, and contentDetails. If the parameter identifies a property that contains child properties, the child properties will be included in the response. For example, in a channelSection resource, the snippet property contains other properties, such as a display title for the channelSection. If you set *part=snippet*, the API response will also contain all of those nested properties.", "location": "query", "required": true, "repeated": true, "type": "string" }, "mine": { "type": "boolean", "description": "Return the ChannelSections owned by the authenticated user.", "location": "query" }, "id": { "repeated": true, "description": "Return the ChannelSections with the given IDs for Stubby or Apiary.", "location": "query", "type": "string" }, "hl": { "type": "string", "description": "Return content in specified language", "location": "query" }, "channelId": { "type": "string", "description": "Return the ChannelSections owned by the specified channel ID.", "location": "query" } }, "httpMethod": "GET" } } }, "youtube": { "resources": { "v3": { "methods": { "updateCommentThreads": { "response": { "$ref": "CommentThread" }, "request": { "$ref": "CommentThread" }, "parameters": { "part": { "description": "The *part* parameter specifies a comma-separated list of commentThread resource properties that the API response will include. You must at least include the snippet part in the parameter value since that part contains all of the properties that the API request can update.", "location": "query", "type": "string", "repeated": true } }, "parameterOrder": [], "flatPath": "youtube/v3/commentThreads", "httpMethod": "PUT", "id": "youtube.youtube.v3.updateCommentThreads", "description": "Updates an existing resource.", "path": "youtube/v3/commentThreads" } } } } }, "tests": { "methods": { "insert": { "scopes": [ "https://www.googleapis.com/auth/youtube.readonly" ], "parameters": { "externalChannelId": { "type": "string", "location": "query" }, "part": { "repeated": true, "location": "query", "type": "string", "required": true } }, "request": { "$ref": "TestItem" }, "parameterOrder": [ "part" ], "flatPath": "youtube/v3/tests", "description": "POST method.", "id": "youtube.tests.insert", "httpMethod": "POST", "path": "youtube/v3/tests", "response": { "$ref": "TestItem" } } } }, "playlists": { "methods": { "delete": { "description": "Deletes a resource.", "scopes": [ "https://www.googleapis.com/auth/youtube", "https://www.googleapis.com/auth/youtube.force-ssl", "https://www.googleapis.com/auth/youtubepartner" ], "id": "youtube.playlists.delete", "flatPath": "youtube/v3/playlists", "parameters": { "id": { "required": true, "location": "query", "type": "string" }, "onBehalfOfContentOwner": { "location": "query", "description": "*Note:* This parameter is intended exclusively for YouTube content partners. The *onBehalfOfContentOwner* parameter indicates that the request's authorization credentials identify a YouTube CMS user who is acting on behalf of the content owner specified in the parameter value. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and get access to all their video and channel data, without having to provide authentication credentials for each individual channel. The CMS account that the user authenticates with must be linked to the specified YouTube content owner.", "type": "string" } }, "path": "youtube/v3/playlists", "parameterOrder": [ "id" ], "httpMethod": "DELETE" }, "list": { "path": "youtube/v3/playlists", "scopes": [ "https://www.googleapis.com/auth/youtube", "https://www.googleapis.com/auth/youtube.force-ssl", "https://www.googleapis.com/auth/youtube.readonly", "https://www.googleapis.com/auth/youtubepartner" ], "response": { "$ref": "PlaylistListResponse" }, "description": "Retrieves a list of resources, possibly filtered.", "parameterOrder": [ "part" ], "flatPath": "youtube/v3/playlists", "id": "youtube.playlists.list", "parameters": { "onBehalfOfContentOwnerChannel": { "location": "query", "description": "This parameter can only be used in a properly authorized request. *Note:* This parameter is intended exclusively for YouTube content partners. The *onBehalfOfContentOwnerChannel* parameter specifies the YouTube channel ID of the channel to which a video is being added. This parameter is required when a request specifies a value for the onBehalfOfContentOwner parameter, and it can only be used in conjunction with that parameter. In addition, the request must be authorized using a CMS account that is linked to the content owner that the onBehalfOfContentOwner parameter specifies. Finally, the channel that the onBehalfOfContentOwnerChannel parameter value specifies must be linked to the content owner that the onBehalfOfContentOwner parameter specifies. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and perform actions on behalf of the channel specified in the parameter value, without having to provide authentication credentials for each separate channel.", "type": "string" }, "part": { "required": true, "description": "The *part* parameter specifies a comma-separated list of one or more playlist resource properties that the API response will include. If the parameter identifies a property that contains child properties, the child properties will be included in the response. For example, in a playlist resource, the snippet property contains properties like author, title, description, tags, and timeCreated. As such, if you set *part=snippet*, the API response will contain all of those properties.", "location": "query", "repeated": true, "type": "string" }, "pageToken": { "description": "The *pageToken* parameter identifies a specific page in the result set that should be returned. In an API response, the nextPageToken and prevPageToken properties identify other pages that could be retrieved.", "location": "query", "type": "string" }, "maxResults": { "maximum": "50", "default": "5", "location": "query", "description": "The *maxResults* parameter specifies the maximum number of items that should be returned in the result set.", "minimum": "0", "type": "integer", "format": "uint32" }, "onBehalfOfContentOwner": { "type": "string", "description": "*Note:* This parameter is intended exclusively for YouTube content partners. The *onBehalfOfContentOwner* parameter indicates that the request's authorization credentials identify a YouTube CMS user who is acting on behalf of the content owner specified in the parameter value. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and get access to all their video and channel data, without having to provide authentication credentials for each individual channel. The CMS account that the user authenticates with must be linked to the specified YouTube content owner.", "location": "query" }, "channelId": { "location": "query", "type": "string", "description": "Return the playlists owned by the specified channel ID." }, "mine": { "description": "Return the playlists owned by the authenticated user.", "type": "boolean", "location": "query" }, "hl": { "type": "string", "description": "Returen content in specified language", "location": "query" }, "id": { "repeated": true, "description": "Return the playlists with the given IDs for Stubby or Apiary.", "location": "query", "type": "string" } }, "httpMethod": "GET" }, "update": { "response": { "$ref": "Playlist" }, "parameters": { "onBehalfOfContentOwner": { "description": "*Note:* This parameter is intended exclusively for YouTube content partners. The *onBehalfOfContentOwner* parameter indicates that the request's authorization credentials identify a YouTube CMS user who is acting on behalf of the content owner specified in the parameter value. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and get access to all their video and channel data, without having to provide authentication credentials for each individual channel. The CMS account that the user authenticates with must be linked to the specified YouTube content owner.", "location": "query", "type": "string" }, "part": { "description": "The *part* parameter serves two purposes in this operation. It identifies the properties that the write operation will set as well as the properties that the API response will include. Note that this method will override the existing values for mutable properties that are contained in any parts that the request body specifies. For example, a playlist's description is contained in the snippet part, which must be included in the request body. If the request does not specify a value for the snippet.description property, the playlist's existing description will be deleted.", "location": "query", "type": "string", "required": true, "repeated": true } }, "httpMethod": "PUT", "parameterOrder": [ "part" ], "scopes": [ "https://www.googleapis.com/auth/youtube", "https://www.googleapis.com/auth/youtube.force-ssl", "https://www.googleapis.com/auth/youtubepartner" ], "path": "youtube/v3/playlists", "request": { "$ref": "Playlist" }, "flatPath": "youtube/v3/playlists", "id": "youtube.playlists.update", "description": "Updates an existing resource." }, "insert": { "flatPath": "youtube/v3/playlists", "description": "Inserts a new resource into this collection.", "parameterOrder": [ "part" ], "scopes": [ "https://www.googleapis.com/auth/youtube", "https://www.googleapis.com/auth/youtube.force-ssl", "https://www.googleapis.com/auth/youtubepartner" ], "response": { "$ref": "Playlist" }, "request": { "$ref": "Playlist" }, "id": "youtube.playlists.insert", "httpMethod": "POST", "path": "youtube/v3/playlists", "parameters": { "onBehalfOfContentOwnerChannel": { "type": "string", "location": "query", "description": "This parameter can only be used in a properly authorized request. *Note:* This parameter is intended exclusively for YouTube content partners. The *onBehalfOfContentOwnerChannel* parameter specifies the YouTube channel ID of the channel to which a video is being added. This parameter is required when a request specifies a value for the onBehalfOfContentOwner parameter, and it can only be used in conjunction with that parameter. In addition, the request must be authorized using a CMS account that is linked to the content owner that the onBehalfOfContentOwner parameter specifies. Finally, the channel that the onBehalfOfContentOwnerChannel parameter value specifies must be linked to the content owner that the onBehalfOfContentOwner parameter specifies. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and perform actions on behalf of the channel specified in the parameter value, without having to provide authentication credentials for each separate channel." }, "part": { "description": "The *part* parameter serves two purposes in this operation. It identifies the properties that the write operation will set as well as the properties that the API response will include.", "location": "query", "required": true, "type": "string", "repeated": true }, "onBehalfOfContentOwner": { "description": "*Note:* This parameter is intended exclusively for YouTube content partners. The *onBehalfOfContentOwner* parameter indicates that the request's authorization credentials identify a YouTube CMS user who is acting on behalf of the content owner specified in the parameter value. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and get access to all their video and channel data, without having to provide authentication credentials for each individual channel. The CMS account that the user authenticates with must be linked to the specified YouTube content owner.", "type": "string", "location": "query" } } } } }, "watermarks": { "methods": { "unset": { "flatPath": "youtube/v3/watermarks/unset", "scopes": [ "https://www.googleapis.com/auth/youtube", "https://www.googleapis.com/auth/youtube.force-ssl", "https://www.googleapis.com/auth/youtubepartner" ], "description": "Allows removal of channel watermark.", "id": "youtube.watermarks.unset", "parameterOrder": [ "channelId" ], "httpMethod": "POST", "path": "youtube/v3/watermarks/unset", "parameters": { "channelId": { "type": "string", "required": true, "location": "query" }, "onBehalfOfContentOwner": { "location": "query", "description": "*Note:* This parameter is intended exclusively for YouTube content partners. The *onBehalfOfContentOwner* parameter indicates that the request's authorization credentials identify a YouTube CMS user who is acting on behalf of the content owner specified in the parameter value. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and get access to all their video and channel data, without having to provide authentication credentials for each individual channel. The CMS account that the user authenticates with must be linked to the specified YouTube content owner.", "type": "string" } } }, "set": { "httpMethod": "POST", "flatPath": "youtube/v3/watermarks/set", "parameters": { "channelId": { "location": "query", "required": true, "type": "string" }, "onBehalfOfContentOwner": { "description": "*Note:* This parameter is intended exclusively for YouTube content partners. The *onBehalfOfContentOwner* parameter indicates that the request's authorization credentials identify a YouTube CMS user who is acting on behalf of the content owner specified in the parameter value. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and get access to all their video and channel data, without having to provide authentication credentials for each individual channel. The CMS account that the user authenticates with must be linked to the specified YouTube content owner.", "location": "query", "type": "string" } }, "path": "youtube/v3/watermarks/set", "scopes": [ "https://www.googleapis.com/auth/youtube", "https://www.googleapis.com/auth/youtube.force-ssl", "https://www.googleapis.com/auth/youtube.upload", "https://www.googleapis.com/auth/youtubepartner" ], "mediaUpload": { "accept": [ "image/jpeg", "image/png", "application/octet-stream" ], "protocols": { "resumable": { "multipart": true, "path": "/resumable/upload/youtube/v3/watermarks/set" }, "simple": { "path": "/upload/youtube/v3/watermarks/set", "multipart": true } }, "maxSize": "10485760" }, "id": "youtube.watermarks.set", "parameterOrder": [ "channelId" ], "supportsMediaUpload": true, "request": { "$ref": "InvideoBranding" }, "description": "Allows upload of watermark image and setting it for a channel." } } }, "captions": { "methods": { "list": { "id": "youtube.captions.list", "description": "Retrieves a list of resources, possibly filtered.", "scopes": [ "https://www.googleapis.com/auth/youtube.force-ssl", "https://www.googleapis.com/auth/youtubepartner" ], "httpMethod": "GET", "flatPath": "youtube/v3/captions", "parameterOrder": [ "part", "videoId" ], "response": { "$ref": "CaptionListResponse" }, "path": "youtube/v3/captions", "parameters": { "part": { "repeated": true, "required": true, "description": "The *part* parameter specifies a comma-separated list of one or more caption resource parts that the API response will include. The part names that you can include in the parameter value are id and snippet.", "location": "query", "type": "string" }, "videoId": { "location": "query", "type": "string", "required": true, "description": "Returns the captions for the specified video." }, "id": { "repeated": true, "description": "Returns the captions with the given IDs for Stubby or Apiary.", "type": "string", "location": "query" }, "onBehalfOfContentOwner": { "description": "*Note:* This parameter is intended exclusively for YouTube content partners. The *onBehalfOfContentOwner* parameter indicates that the request's authorization credentials identify a YouTube CMS user who is acting on behalf of the content owner specified in the parameter value. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and get access to all their video and channel data, without having to provide authentication credentials for each individual channel. The actual CMS account that the user authenticates with must be linked to the specified YouTube content owner.", "location": "query", "type": "string" }, "onBehalfOf": { "type": "string", "location": "query", "description": "ID of the Google+ Page for the channel that the request is on behalf of." } } }, "insert": { "scopes": [ "https://www.googleapis.com/auth/youtube.force-ssl", "https://www.googleapis.com/auth/youtubepartner" ], "path": "youtube/v3/captions", "request": { "$ref": "Caption" }, "response": { "$ref": "Caption" }, "mediaUpload": { "accept": [ "text/xml", "application/octet-stream", "*/*" ], "protocols": { "simple": { "path": "/upload/youtube/v3/captions", "multipart": true }, "resumable": { "multipart": true, "path": "/resumable/upload/youtube/v3/captions" } }, "maxSize": "104857600" }, "parameterOrder": [ "part" ], "supportsMediaUpload": true, "parameters": { "onBehalfOf": { "location": "query", "description": "ID of the Google+ Page for the channel that the request is be on behalf of", "type": "string" }, "onBehalfOfContentOwner": { "description": "*Note:* This parameter is intended exclusively for YouTube content partners. The *onBehalfOfContentOwner* parameter indicates that the request's authorization credentials identify a YouTube CMS user who is acting on behalf of the content owner specified in the parameter value. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and get access to all their video and channel data, without having to provide authentication credentials for each individual channel. The actual CMS account that the user authenticates with must be linked to the specified YouTube content owner.", "location": "query", "type": "string" }, "sync": { "type": "boolean", "description": "Extra parameter to allow automatically syncing the uploaded caption/transcript with the audio.", "location": "query" }, "part": { "required": true, "description": "The *part* parameter specifies the caption resource parts that the API response will include. Set the parameter value to snippet.", "type": "string", "repeated": true, "location": "query" } }, "flatPath": "youtube/v3/captions", "description": "Inserts a new resource into this collection.", "id": "youtube.captions.insert", "httpMethod": "POST" }, "update": { "parameters": { "sync": { "description": "Extra parameter to allow automatically syncing the uploaded caption/transcript with the audio.", "location": "query", "type": "boolean" }, "onBehalfOf": { "location": "query", "description": "ID of the Google+ Page for the channel that the request is on behalf of.", "type": "string" }, "onBehalfOfContentOwner": { "location": "query", "type": "string", "description": "*Note:* This parameter is intended exclusively for YouTube content partners. The *onBehalfOfContentOwner* parameter indicates that the request's authorization credentials identify a YouTube CMS user who is acting on behalf of the content owner specified in the parameter value. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and get access to all their video and channel data, without having to provide authentication credentials for each individual channel. The actual CMS account that the user authenticates with must be linked to the specified YouTube content owner." }, "part": { "repeated": true, "location": "query", "description": "The *part* parameter specifies a comma-separated list of one or more caption resource parts that the API response will include. The part names that you can include in the parameter value are id and snippet.", "type": "string", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/youtube.force-ssl", "https://www.googleapis.com/auth/youtubepartner" ], "id": "youtube.captions.update", "flatPath": "youtube/v3/captions", "supportsMediaUpload": true, "request": { "$ref": "Caption" }, "path": "youtube/v3/captions", "description": "Updates an existing resource.", "mediaUpload": { "maxSize": "104857600", "protocols": { "simple": { "multipart": true, "path": "/upload/youtube/v3/captions" }, "resumable": { "path": "/resumable/upload/youtube/v3/captions", "multipart": true } }, "accept": [ "text/xml", "application/octet-stream", "*/*" ] }, "response": { "$ref": "Caption" }, "httpMethod": "PUT", "parameterOrder": [ "part" ] }, "download": { "description": "Downloads a caption track.", "parameters": { "id": { "description": "The ID of the caption track to download, required for One Platform.", "type": "string", "location": "path", "required": true }, "onBehalfOf": { "description": "ID of the Google+ Page for the channel that the request is be on behalf of", "type": "string", "location": "query" }, "onBehalfOfContentOwner": { "description": "*Note:* This parameter is intended exclusively for YouTube content partners. The *onBehalfOfContentOwner* parameter indicates that the request's authorization credentials identify a YouTube CMS user who is acting on behalf of the content owner specified in the parameter value. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and get access to all their video and channel data, without having to provide authentication credentials for each individual channel. The actual CMS account that the user authenticates with must be linked to the specified YouTube content owner.", "type": "string", "location": "query" }, "tfmt": { "location": "query", "description": "Convert the captions into this format. Supported options are sbv, srt, and vtt.", "type": "string" }, "tlang": { "location": "query", "type": "string", "description": "tlang is the language code; machine translate the captions into this language." } }, "parameterOrder": [ "id" ], "flatPath": "youtube/v3/captions/{id}", "useMediaDownloadService": true, "supportsMediaDownload": true, "httpMethod": "GET", "id": "youtube.captions.download", "path": "youtube/v3/captions/{id}", "scopes": [ "https://www.googleapis.com/auth/youtube.force-ssl", "https://www.googleapis.com/auth/youtubepartner" ] }, "delete": { "parameterOrder": [ "id" ], "scopes": [ "https://www.googleapis.com/auth/youtube.force-ssl", "https://www.googleapis.com/auth/youtubepartner" ], "httpMethod": "DELETE", "description": "Deletes a resource.", "parameters": { "id": { "required": true, "type": "string", "location": "query" }, "onBehalfOfContentOwner": { "description": "*Note:* This parameter is intended exclusively for YouTube content partners. The *onBehalfOfContentOwner* parameter indicates that the request's authorization credentials identify a YouTube CMS user who is acting on behalf of the content owner specified in the parameter value. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and get access to all their video and channel data, without having to provide authentication credentials for each individual channel. The actual CMS account that the user authenticates with must be linked to the specified YouTube content owner.", "type": "string", "location": "query" }, "onBehalfOf": { "location": "query", "description": "ID of the Google+ Page for the channel that the request is be on behalf of", "type": "string" } }, "id": "youtube.captions.delete", "flatPath": "youtube/v3/captions", "path": "youtube/v3/captions" } } } }, "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/youtube": { "description": "Manage your YouTube account" }, "https://www.googleapis.com/auth/youtube.readonly": { "description": "View your YouTube account" }, "https://www.googleapis.com/auth/youtubepartner": { "description": "View and manage your assets and associated content on YouTube" }, "https://www.googleapis.com/auth/youtube.force-ssl": { "description": "See, edit, and permanently delete your YouTube videos, ratings, comments and captions" }, "https://www.googleapis.com/auth/youtube.channel-memberships.creator": { "description": "See a list of your current active channel members, their current level, and when they became a member" }, "https://www.googleapis.com/auth/youtube.upload": { "description": "Manage your YouTube videos" }, "https://www.googleapis.com/auth/youtubepartner-channel-audit": { "description": "View private information of your YouTube channel relevant during the audit process with a YouTube partner" } } } }, "rootUrl": "https://youtube.googleapis.com/" }
]===]))
